#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2355
#define LARGE_STATE_COUNT 1063
#define SYMBOL_COUNT 134
#define ALIAS_COUNT 1
#define TOKEN_COUNT 80
#define EXTERNAL_TOKEN_COUNT 13
#define FIELD_COUNT 20
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 55

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_BSLASH = 2,
  anon_sym_function = 3,
  anon_sym_EQ = 4,
  anon_sym_if = 5,
  anon_sym_for = 6,
  anon_sym_in = 7,
  anon_sym_while = 8,
  anon_sym_repeat = 9,
  anon_sym_QMARK = 10,
  anon_sym_TILDE = 11,
  anon_sym_BANG = 12,
  anon_sym_PLUS = 13,
  anon_sym_DASH = 14,
  anon_sym_LT_DASH = 15,
  anon_sym_LT_LT_DASH = 16,
  anon_sym_COLON_EQ = 17,
  anon_sym_DASH_GT = 18,
  anon_sym_DASH_GT_GT = 19,
  anon_sym_PIPE = 20,
  anon_sym_AMP = 21,
  anon_sym_PIPE_PIPE = 22,
  anon_sym_AMP_AMP = 23,
  anon_sym_LT = 24,
  anon_sym_LT_EQ = 25,
  anon_sym_GT = 26,
  anon_sym_GT_EQ = 27,
  anon_sym_EQ_EQ = 28,
  anon_sym_BANG_EQ = 29,
  anon_sym_STAR = 30,
  anon_sym_SLASH = 31,
  anon_sym_STAR_STAR = 32,
  anon_sym_CARET = 33,
  aux_sym_binary_operator_token1 = 34,
  anon_sym_PIPE_GT = 35,
  anon_sym_COLON = 36,
  anon_sym_DOLLAR = 37,
  anon_sym_AT = 38,
  anon_sym_COLON_COLON = 39,
  anon_sym_COLON_COLON_COLON = 40,
  anon_sym_L = 41,
  anon_sym_i = 42,
  sym__hex_literal = 43,
  sym__number_literal = 44,
  anon_sym_SQUOTE = 45,
  anon_sym_DQUOTE = 46,
  aux_sym__single_quoted_string_content_token1 = 47,
  aux_sym__double_quoted_string_content_token1 = 48,
  sym_escape_sequence = 49,
  sym_return = 50,
  sym_next = 51,
  sym_break = 52,
  sym_true = 53,
  sym_false = 54,
  sym_null = 55,
  sym_inf = 56,
  sym_nan = 57,
  anon_sym_NA = 58,
  anon_sym_NA_integer_ = 59,
  anon_sym_NA_real_ = 60,
  anon_sym_NA_complex_ = 61,
  anon_sym_NA_character_ = 62,
  sym_dots = 63,
  sym_dot_dot_i = 64,
  sym_comment = 65,
  sym_comma = 66,
  sym__newline = 67,
  sym__semicolon = 68,
  sym__raw_string_literal = 69,
  sym__external_else = 70,
  sym__external_open_parenthesis = 71,
  sym__external_close_parenthesis = 72,
  sym__external_open_brace = 73,
  sym__external_close_brace = 74,
  sym__external_open_bracket = 75,
  sym__external_close_bracket = 76,
  sym__external_open_bracket2 = 77,
  sym__external_close_bracket2 = 78,
  sym__error_sentinel = 79,
  sym_program = 80,
  sym_function_definition = 81,
  sym_parameters = 82,
  sym_parameter = 83,
  sym__parameter_with_default = 84,
  sym__parameter_without_default = 85,
  sym_if_statement = 86,
  sym_for_statement = 87,
  sym_while_statement = 88,
  sym_repeat_statement = 89,
  sym_braced_expression = 90,
  sym_parenthesized_expression = 91,
  sym_call = 92,
  sym_subset = 93,
  sym_subset2 = 94,
  sym_call_arguments = 95,
  sym_subset_arguments = 96,
  sym_subset2_arguments = 97,
  sym__argument = 98,
  sym_argument = 99,
  sym__argument_named = 100,
  sym__argument_unnamed = 101,
  sym__argument_value = 102,
  sym_unary_operator = 103,
  sym_binary_operator = 104,
  sym_extract_operator = 105,
  sym_namespace_operator = 106,
  sym_integer = 107,
  sym_complex = 108,
  sym_float = 109,
  sym__float_literal = 110,
  sym_string = 111,
  sym__single_quoted_string = 112,
  sym__double_quoted_string = 113,
  aux_sym__single_quoted_string_content = 114,
  aux_sym__double_quoted_string_content = 115,
  sym_na = 116,
  sym__expression = 117,
  sym__string_or_identifier = 118,
  sym__else = 119,
  sym__open_parenthesis = 120,
  sym__close_parenthesis = 121,
  sym__open_brace = 122,
  sym__close_brace = 123,
  sym__open_bracket = 124,
  sym__close_bracket = 125,
  sym__open_bracket2 = 126,
  sym__close_bracket2 = 127,
  aux_sym_program_repeat1 = 128,
  aux_sym_function_definition_repeat1 = 129,
  aux_sym_parameters_repeat1 = 130,
  aux_sym_braced_expression_repeat1 = 131,
  aux_sym_parenthesized_expression_repeat1 = 132,
  aux_sym_call_arguments_repeat1 = 133,
  alias_sym_string_content = 134,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_function] = "function",
  [anon_sym_EQ] = "=",
  [anon_sym_if] = "if",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_repeat] = "repeat",
  [anon_sym_QMARK] = "\?",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_DASH_GT_GT] = "->>",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_CARET] = "^",
  [aux_sym_binary_operator_token1] = "special",
  [anon_sym_PIPE_GT] = "|>",
  [anon_sym_COLON] = ":",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_AT] = "@",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_COLON_COLON_COLON] = ":::",
  [anon_sym_L] = "L",
  [anon_sym_i] = "i",
  [sym__hex_literal] = "_hex_literal",
  [sym__number_literal] = "_number_literal",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym__single_quoted_string_content_token1] = "_single_quoted_string_content_token1",
  [aux_sym__double_quoted_string_content_token1] = "_double_quoted_string_content_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_return] = "return",
  [sym_next] = "next",
  [sym_break] = "break",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_inf] = "inf",
  [sym_nan] = "nan",
  [anon_sym_NA] = "NA",
  [anon_sym_NA_integer_] = "NA_integer_",
  [anon_sym_NA_real_] = "NA_real_",
  [anon_sym_NA_complex_] = "NA_complex_",
  [anon_sym_NA_character_] = "NA_character_",
  [sym_dots] = "dots",
  [sym_dot_dot_i] = "dot_dot_i",
  [sym_comment] = "comment",
  [sym_comma] = "comma",
  [sym__newline] = "_newline",
  [sym__semicolon] = "_semicolon",
  [sym__raw_string_literal] = "_raw_string_literal",
  [sym__external_else] = "else",
  [sym__external_open_parenthesis] = "(",
  [sym__external_close_parenthesis] = ")",
  [sym__external_open_brace] = "{",
  [sym__external_close_brace] = "}",
  [sym__external_open_bracket] = "[",
  [sym__external_close_bracket] = "]",
  [sym__external_open_bracket2] = "[[",
  [sym__external_close_bracket2] = "]]",
  [sym__error_sentinel] = "_error_sentinel",
  [sym_program] = "program",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym__parameter_with_default] = "_parameter_with_default",
  [sym__parameter_without_default] = "_parameter_without_default",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_repeat_statement] = "repeat_statement",
  [sym_braced_expression] = "braced_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call] = "call",
  [sym_subset] = "subset",
  [sym_subset2] = "subset2",
  [sym_call_arguments] = "arguments",
  [sym_subset_arguments] = "arguments",
  [sym_subset2_arguments] = "arguments",
  [sym__argument] = "_argument",
  [sym_argument] = "argument",
  [sym__argument_named] = "_argument_named",
  [sym__argument_unnamed] = "_argument_unnamed",
  [sym__argument_value] = "_argument_value",
  [sym_unary_operator] = "unary_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_extract_operator] = "extract_operator",
  [sym_namespace_operator] = "namespace_operator",
  [sym_integer] = "integer",
  [sym_complex] = "complex",
  [sym_float] = "float",
  [sym__float_literal] = "_float_literal",
  [sym_string] = "string",
  [sym__single_quoted_string] = "_single_quoted_string",
  [sym__double_quoted_string] = "_double_quoted_string",
  [aux_sym__single_quoted_string_content] = "_single_quoted_string_content",
  [aux_sym__double_quoted_string_content] = "_double_quoted_string_content",
  [sym_na] = "na",
  [sym__expression] = "_expression",
  [sym__string_or_identifier] = "_string_or_identifier",
  [sym__else] = "_else",
  [sym__open_parenthesis] = "_open_parenthesis",
  [sym__close_parenthesis] = "_close_parenthesis",
  [sym__open_brace] = "_open_brace",
  [sym__close_brace] = "_close_brace",
  [sym__open_bracket] = "_open_bracket",
  [sym__close_bracket] = "_close_bracket",
  [sym__open_bracket2] = "_open_bracket2",
  [sym__close_bracket2] = "_close_bracket2",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_braced_expression_repeat1] = "braced_expression_repeat1",
  [aux_sym_parenthesized_expression_repeat1] = "parenthesized_expression_repeat1",
  [aux_sym_call_arguments_repeat1] = "call_arguments_repeat1",
  [alias_sym_string_content] = "string_content",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_repeat] = anon_sym_repeat,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_DASH_GT_GT] = anon_sym_DASH_GT_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_CARET] = anon_sym_CARET,
  [aux_sym_binary_operator_token1] = aux_sym_binary_operator_token1,
  [anon_sym_PIPE_GT] = anon_sym_PIPE_GT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_COLON_COLON_COLON] = anon_sym_COLON_COLON_COLON,
  [anon_sym_L] = anon_sym_L,
  [anon_sym_i] = anon_sym_i,
  [sym__hex_literal] = sym__hex_literal,
  [sym__number_literal] = sym__number_literal,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym__single_quoted_string_content_token1] = aux_sym__single_quoted_string_content_token1,
  [aux_sym__double_quoted_string_content_token1] = aux_sym__double_quoted_string_content_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_return] = sym_return,
  [sym_next] = sym_next,
  [sym_break] = sym_break,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_inf] = sym_inf,
  [sym_nan] = sym_nan,
  [anon_sym_NA] = anon_sym_NA,
  [anon_sym_NA_integer_] = anon_sym_NA_integer_,
  [anon_sym_NA_real_] = anon_sym_NA_real_,
  [anon_sym_NA_complex_] = anon_sym_NA_complex_,
  [anon_sym_NA_character_] = anon_sym_NA_character_,
  [sym_dots] = sym_dots,
  [sym_dot_dot_i] = sym_dot_dot_i,
  [sym_comment] = sym_comment,
  [sym_comma] = sym_comma,
  [sym__newline] = sym__newline,
  [sym__semicolon] = sym__semicolon,
  [sym__raw_string_literal] = sym__raw_string_literal,
  [sym__external_else] = sym__external_else,
  [sym__external_open_parenthesis] = sym__external_open_parenthesis,
  [sym__external_close_parenthesis] = sym__external_close_parenthesis,
  [sym__external_open_brace] = sym__external_open_brace,
  [sym__external_close_brace] = sym__external_close_brace,
  [sym__external_open_bracket] = sym__external_open_bracket,
  [sym__external_close_bracket] = sym__external_close_bracket,
  [sym__external_open_bracket2] = sym__external_open_bracket2,
  [sym__external_close_bracket2] = sym__external_close_bracket2,
  [sym__error_sentinel] = sym__error_sentinel,
  [sym_program] = sym_program,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym__parameter_with_default] = sym__parameter_with_default,
  [sym__parameter_without_default] = sym__parameter_without_default,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_repeat_statement] = sym_repeat_statement,
  [sym_braced_expression] = sym_braced_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call] = sym_call,
  [sym_subset] = sym_subset,
  [sym_subset2] = sym_subset2,
  [sym_call_arguments] = sym_call_arguments,
  [sym_subset_arguments] = sym_call_arguments,
  [sym_subset2_arguments] = sym_call_arguments,
  [sym__argument] = sym__argument,
  [sym_argument] = sym_argument,
  [sym__argument_named] = sym__argument_named,
  [sym__argument_unnamed] = sym__argument_unnamed,
  [sym__argument_value] = sym__argument_value,
  [sym_unary_operator] = sym_unary_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_extract_operator] = sym_extract_operator,
  [sym_namespace_operator] = sym_namespace_operator,
  [sym_integer] = sym_integer,
  [sym_complex] = sym_complex,
  [sym_float] = sym_float,
  [sym__float_literal] = sym__float_literal,
  [sym_string] = sym_string,
  [sym__single_quoted_string] = sym__single_quoted_string,
  [sym__double_quoted_string] = sym__double_quoted_string,
  [aux_sym__single_quoted_string_content] = aux_sym__single_quoted_string_content,
  [aux_sym__double_quoted_string_content] = aux_sym__double_quoted_string_content,
  [sym_na] = sym_na,
  [sym__expression] = sym__expression,
  [sym__string_or_identifier] = sym__string_or_identifier,
  [sym__else] = sym__else,
  [sym__open_parenthesis] = sym__open_parenthesis,
  [sym__close_parenthesis] = sym__close_parenthesis,
  [sym__open_brace] = sym__open_brace,
  [sym__close_brace] = sym__close_brace,
  [sym__open_bracket] = sym__open_bracket,
  [sym__close_bracket] = sym__close_bracket,
  [sym__open_bracket2] = sym__open_bracket2,
  [sym__close_bracket2] = sym__close_bracket2,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_braced_expression_repeat1] = aux_sym_braced_expression_repeat1,
  [aux_sym_parenthesized_expression_repeat1] = aux_sym_parenthesized_expression_repeat1,
  [aux_sym_call_arguments_repeat1] = aux_sym_call_arguments_repeat1,
  [alias_sym_string_content] = alias_sym_string_content,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_repeat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_L] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i] = {
    .visible = true,
    .named = false,
  },
  [sym__hex_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__number_literal] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__single_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__double_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_return] = {
    .visible = true,
    .named = true,
  },
  [sym_next] = {
    .visible = true,
    .named = true,
  },
  [sym_break] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_inf] = {
    .visible = true,
    .named = true,
  },
  [sym_nan] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_integer_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_real_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_complex_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_character_] = {
    .visible = true,
    .named = false,
  },
  [sym_dots] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_dot_i] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__external_else] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_parenthesis] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_parenthesis] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_brace] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_brace] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_bracket2] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_bracket2] = {
    .visible = true,
    .named = false,
  },
  [sym__error_sentinel] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_with_default] = {
    .visible = false,
    .named = true,
  },
  [sym__parameter_without_default] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_braced_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_subset] = {
    .visible = true,
    .named = true,
  },
  [sym_subset2] = {
    .visible = true,
    .named = true,
  },
  [sym_call_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_subset_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_subset2_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__argument] = {
    .visible = false,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_named] = {
    .visible = false,
    .named = true,
  },
  [sym__argument_unnamed] = {
    .visible = false,
    .named = true,
  },
  [sym__argument_value] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_extract_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_complex] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym__float_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quoted_string] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__single_quoted_string_content] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__double_quoted_string_content] = {
    .visible = false,
    .named = false,
  },
  [sym_na] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__string_or_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__else] = {
    .visible = false,
    .named = true,
  },
  [sym__open_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__close_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__open_brace] = {
    .visible = false,
    .named = true,
  },
  [sym__close_brace] = {
    .visible = false,
    .named = true,
  },
  [sym__open_bracket] = {
    .visible = false,
    .named = true,
  },
  [sym__close_bracket] = {
    .visible = false,
    .named = true,
  },
  [sym__open_bracket2] = {
    .visible = false,
    .named = true,
  },
  [sym__close_bracket2] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_braced_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parenthesized_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_string_content] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_body = 4,
  field_close = 5,
  field_condition = 6,
  field_consequence = 7,
  field_content = 8,
  field_default = 9,
  field_function = 10,
  field_lhs = 11,
  field_name = 12,
  field_open = 13,
  field_operator = 14,
  field_parameter = 15,
  field_parameters = 16,
  field_rhs = 17,
  field_sequence = 18,
  field_value = 19,
  field_variable = 20,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_close] = "close",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_content] = "content",
  [field_default] = "default",
  [field_function] = "function",
  [field_lhs] = "lhs",
  [field_name] = "name",
  [field_open] = "open",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_rhs] = "rhs",
  [field_sequence] = "sequence",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 2},
  [4] = {.index = 4, .length = 2},
  [5] = {.index = 6, .length = 2},
  [6] = {.index = 8, .length = 1},
  [7] = {.index = 9, .length = 2},
  [8] = {.index = 11, .length = 3},
  [9] = {.index = 14, .length = 1},
  [10] = {.index = 15, .length = 2},
  [11] = {.index = 17, .length = 1},
  [12] = {.index = 18, .length = 1},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 1},
  [15] = {.index = 22, .length = 3},
  [16] = {.index = 25, .length = 1},
  [17] = {.index = 26, .length = 1},
  [18] = {.index = 27, .length = 1},
  [19] = {.index = 28, .length = 2},
  [20] = {.index = 30, .length = 1},
  [21] = {.index = 31, .length = 3},
  [22] = {.index = 34, .length = 2},
  [23] = {.index = 36, .length = 3},
  [24] = {.index = 39, .length = 3},
  [25] = {.index = 42, .length = 3},
  [26] = {.index = 45, .length = 3},
  [27] = {.index = 48, .length = 3},
  [28] = {.index = 51, .length = 2},
  [29] = {.index = 53, .length = 2},
  [30] = {.index = 55, .length = 1},
  [31] = {.index = 56, .length = 4},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 3},
  [34] = {.index = 65, .length = 4},
  [35] = {.index = 69, .length = 4},
  [36] = {.index = 73, .length = 2},
  [37] = {.index = 75, .length = 4},
  [38] = {.index = 79, .length = 4},
  [39] = {.index = 83, .length = 4},
  [40] = {.index = 87, .length = 4},
  [41] = {.index = 91, .length = 5},
  [42] = {.index = 96, .length = 4},
  [43] = {.index = 100, .length = 5},
  [44] = {.index = 105, .length = 4},
  [45] = {.index = 109, .length = 5},
  [46] = {.index = 114, .length = 5},
  [47] = {.index = 119, .length = 5},
  [48] = {.index = 124, .length = 5},
  [49] = {.index = 129, .length = 5},
  [50] = {.index = 134, .length = 5},
  [51] = {.index = 139, .length = 5},
  [52] = {.index = 144, .length = 5},
  [53] = {.index = 149, .length = 5},
  [54] = {.index = 154, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_content, 0, .inherited = true},
  [1] =
    {field_body, 1},
  [2] =
    {field_operator, 0},
    {field_rhs, 1},
  [4] =
    {field_lhs, 0},
    {field_operator, 1},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_body, 0},
  [9] =
    {field_close, 1},
    {field_open, 0},
  [11] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [14] =
    {field_name, 0},
  [15] =
    {field_default, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_name, 0, .inherited = true},
  [18] =
    {field_body, 2},
  [19] =
    {field_operator, 0},
    {field_rhs, 2},
  [21] =
    {field_content, 1},
  [22] =
    {field_lhs, 0},
    {field_operator, 1},
    {field_rhs, 2},
  [25] =
    {field_value, 0},
  [26] =
    {field_argument, 0, .inherited = true},
  [27] =
    {field_argument, 0},
  [28] =
    {field_name, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [30] =
    {field_value, 0, .inherited = true},
  [31] =
    {field_body, 1, .inherited = true},
    {field_close, 2},
    {field_open, 0},
  [34] =
    {field_body, 0, .inherited = true},
    {field_body, 1, .inherited = true},
  [36] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 1},
  [39] =
    {field_close, 2},
    {field_open, 0},
    {field_parameter, 1},
  [42] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2},
  [45] =
    {field_lhs, 0},
    {field_operator, 1},
    {field_rhs, 3},
  [48] =
    {field_argument, 1, .inherited = true},
    {field_close, 2},
    {field_open, 0},
  [51] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [53] =
    {field_default, 2},
    {field_name, 0},
  [55] =
    {field_parameter, 1},
  [56] =
    {field_close, 3},
    {field_open, 0},
    {field_parameter, 1},
    {field_parameter, 2, .inherited = true},
  [60] =
    {field_parameter, 0, .inherited = true},
    {field_parameter, 1, .inherited = true},
  [62] =
    {field_body, 4},
    {field_name, 0},
    {field_parameters, 2},
  [65] =
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 4},
    {field_open, 1},
  [69] =
    {field_body, 4},
    {field_close, 3},
    {field_condition, 2},
    {field_open, 1},
  [73] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [75] =
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 5},
    {field_open, 1},
  [79] =
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 5},
    {field_open, 2},
  [83] =
    {field_body, 5},
    {field_close, 3},
    {field_condition, 2},
    {field_open, 1},
  [87] =
    {field_body, 5},
    {field_close, 4},
    {field_condition, 3},
    {field_open, 2},
  [91] =
    {field_alternative, 6},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 4},
    {field_open, 1},
  [96] =
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 6},
    {field_open, 2},
  [100] =
    {field_body, 6},
    {field_close, 5},
    {field_open, 1},
    {field_sequence, 4},
    {field_variable, 2},
  [105] =
    {field_body, 6},
    {field_close, 4},
    {field_condition, 3},
    {field_open, 2},
  [109] =
    {field_alternative, 7},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 4},
    {field_open, 1},
  [114] =
    {field_alternative, 7},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 5},
    {field_open, 1},
  [119] =
    {field_alternative, 7},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 5},
    {field_open, 2},
  [124] =
    {field_body, 7},
    {field_close, 5},
    {field_open, 1},
    {field_sequence, 4},
    {field_variable, 2},
  [129] =
    {field_body, 7},
    {field_close, 6},
    {field_open, 2},
    {field_sequence, 5},
    {field_variable, 3},
  [134] =
    {field_alternative, 8},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 5},
    {field_open, 1},
  [139] =
    {field_alternative, 8},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 5},
    {field_open, 2},
  [144] =
    {field_alternative, 8},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 6},
    {field_open, 2},
  [149] =
    {field_body, 8},
    {field_close, 6},
    {field_open, 2},
    {field_sequence, 5},
    {field_variable, 3},
  [154] =
    {field_alternative, 9},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 6},
    {field_open, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [14] = {
    [1] = alias_sym_string_content,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__single_quoted_string_content, 2,
    aux_sym__single_quoted_string_content,
    alias_sym_string_content,
  aux_sym__double_quoted_string_content, 2,
    aux_sym__double_quoted_string_content,
    alias_sym_string_content,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 5,
  [6] = 6,
  [7] = 3,
  [8] = 2,
  [9] = 5,
  [10] = 6,
  [11] = 3,
  [12] = 2,
  [13] = 5,
  [14] = 6,
  [15] = 3,
  [16] = 2,
  [17] = 5,
  [18] = 2,
  [19] = 3,
  [20] = 5,
  [21] = 3,
  [22] = 2,
  [23] = 5,
  [24] = 6,
  [25] = 3,
  [26] = 2,
  [27] = 5,
  [28] = 6,
  [29] = 3,
  [30] = 2,
  [31] = 5,
  [32] = 6,
  [33] = 3,
  [34] = 6,
  [35] = 5,
  [36] = 6,
  [37] = 3,
  [38] = 2,
  [39] = 5,
  [40] = 6,
  [41] = 6,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 42,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 43,
  [100] = 44,
  [101] = 45,
  [102] = 46,
  [103] = 47,
  [104] = 48,
  [105] = 49,
  [106] = 50,
  [107] = 51,
  [108] = 52,
  [109] = 53,
  [110] = 54,
  [111] = 55,
  [112] = 56,
  [113] = 57,
  [114] = 58,
  [115] = 59,
  [116] = 60,
  [117] = 61,
  [118] = 62,
  [119] = 63,
  [120] = 64,
  [121] = 65,
  [122] = 66,
  [123] = 67,
  [124] = 68,
  [125] = 69,
  [126] = 70,
  [127] = 71,
  [128] = 72,
  [129] = 73,
  [130] = 42,
  [131] = 75,
  [132] = 76,
  [133] = 77,
  [134] = 78,
  [135] = 79,
  [136] = 80,
  [137] = 81,
  [138] = 77,
  [139] = 82,
  [140] = 83,
  [141] = 84,
  [142] = 85,
  [143] = 86,
  [144] = 87,
  [145] = 88,
  [146] = 89,
  [147] = 90,
  [148] = 91,
  [149] = 92,
  [150] = 93,
  [151] = 94,
  [152] = 95,
  [153] = 96,
  [154] = 97,
  [155] = 98,
  [156] = 43,
  [157] = 44,
  [158] = 45,
  [159] = 46,
  [160] = 47,
  [161] = 48,
  [162] = 49,
  [163] = 50,
  [164] = 51,
  [165] = 52,
  [166] = 53,
  [167] = 54,
  [168] = 55,
  [169] = 56,
  [170] = 57,
  [171] = 58,
  [172] = 59,
  [173] = 60,
  [174] = 61,
  [175] = 62,
  [176] = 63,
  [177] = 64,
  [178] = 65,
  [179] = 66,
  [180] = 67,
  [181] = 68,
  [182] = 69,
  [183] = 70,
  [184] = 71,
  [185] = 72,
  [186] = 73,
  [187] = 42,
  [188] = 75,
  [189] = 76,
  [190] = 77,
  [191] = 78,
  [192] = 79,
  [193] = 80,
  [194] = 98,
  [195] = 82,
  [196] = 83,
  [197] = 84,
  [198] = 85,
  [199] = 86,
  [200] = 87,
  [201] = 88,
  [202] = 89,
  [203] = 90,
  [204] = 91,
  [205] = 92,
  [206] = 93,
  [207] = 94,
  [208] = 95,
  [209] = 96,
  [210] = 97,
  [211] = 98,
  [212] = 43,
  [213] = 44,
  [214] = 45,
  [215] = 46,
  [216] = 47,
  [217] = 48,
  [218] = 49,
  [219] = 50,
  [220] = 51,
  [221] = 52,
  [222] = 53,
  [223] = 54,
  [224] = 55,
  [225] = 56,
  [226] = 57,
  [227] = 58,
  [228] = 59,
  [229] = 60,
  [230] = 61,
  [231] = 62,
  [232] = 63,
  [233] = 64,
  [234] = 65,
  [235] = 66,
  [236] = 67,
  [237] = 68,
  [238] = 69,
  [239] = 70,
  [240] = 71,
  [241] = 72,
  [242] = 73,
  [243] = 42,
  [244] = 75,
  [245] = 76,
  [246] = 77,
  [247] = 78,
  [248] = 79,
  [249] = 80,
  [250] = 81,
  [251] = 82,
  [252] = 83,
  [253] = 84,
  [254] = 85,
  [255] = 86,
  [256] = 87,
  [257] = 88,
  [258] = 89,
  [259] = 90,
  [260] = 91,
  [261] = 92,
  [262] = 93,
  [263] = 94,
  [264] = 95,
  [265] = 96,
  [266] = 97,
  [267] = 98,
  [268] = 43,
  [269] = 44,
  [270] = 45,
  [271] = 46,
  [272] = 47,
  [273] = 48,
  [274] = 49,
  [275] = 50,
  [276] = 51,
  [277] = 52,
  [278] = 53,
  [279] = 54,
  [280] = 55,
  [281] = 56,
  [282] = 57,
  [283] = 58,
  [284] = 59,
  [285] = 60,
  [286] = 61,
  [287] = 62,
  [288] = 63,
  [289] = 64,
  [290] = 65,
  [291] = 66,
  [292] = 67,
  [293] = 68,
  [294] = 69,
  [295] = 70,
  [296] = 71,
  [297] = 72,
  [298] = 73,
  [299] = 78,
  [300] = 75,
  [301] = 76,
  [302] = 79,
  [303] = 80,
  [304] = 81,
  [305] = 82,
  [306] = 83,
  [307] = 84,
  [308] = 85,
  [309] = 86,
  [310] = 87,
  [311] = 88,
  [312] = 89,
  [313] = 90,
  [314] = 91,
  [315] = 92,
  [316] = 93,
  [317] = 94,
  [318] = 95,
  [319] = 96,
  [320] = 97,
  [321] = 81,
  [322] = 45,
  [323] = 77,
  [324] = 78,
  [325] = 79,
  [326] = 80,
  [327] = 81,
  [328] = 82,
  [329] = 83,
  [330] = 84,
  [331] = 85,
  [332] = 86,
  [333] = 87,
  [334] = 88,
  [335] = 89,
  [336] = 90,
  [337] = 91,
  [338] = 92,
  [339] = 93,
  [340] = 94,
  [341] = 95,
  [342] = 96,
  [343] = 97,
  [344] = 98,
  [345] = 43,
  [346] = 44,
  [347] = 347,
  [348] = 348,
  [349] = 45,
  [350] = 46,
  [351] = 47,
  [352] = 48,
  [353] = 49,
  [354] = 50,
  [355] = 51,
  [356] = 52,
  [357] = 53,
  [358] = 54,
  [359] = 55,
  [360] = 56,
  [361] = 57,
  [362] = 58,
  [363] = 59,
  [364] = 60,
  [365] = 81,
  [366] = 61,
  [367] = 62,
  [368] = 63,
  [369] = 64,
  [370] = 65,
  [371] = 66,
  [372] = 67,
  [373] = 68,
  [374] = 69,
  [375] = 70,
  [376] = 71,
  [377] = 72,
  [378] = 73,
  [379] = 42,
  [380] = 75,
  [381] = 76,
  [382] = 77,
  [383] = 78,
  [384] = 79,
  [385] = 80,
  [386] = 81,
  [387] = 82,
  [388] = 83,
  [389] = 84,
  [390] = 85,
  [391] = 86,
  [392] = 87,
  [393] = 88,
  [394] = 89,
  [395] = 90,
  [396] = 91,
  [397] = 92,
  [398] = 93,
  [399] = 94,
  [400] = 95,
  [401] = 96,
  [402] = 97,
  [403] = 98,
  [404] = 43,
  [405] = 44,
  [406] = 347,
  [407] = 348,
  [408] = 45,
  [409] = 46,
  [410] = 47,
  [411] = 48,
  [412] = 49,
  [413] = 50,
  [414] = 51,
  [415] = 52,
  [416] = 53,
  [417] = 54,
  [418] = 55,
  [419] = 56,
  [420] = 57,
  [421] = 58,
  [422] = 59,
  [423] = 60,
  [424] = 61,
  [425] = 62,
  [426] = 63,
  [427] = 64,
  [428] = 65,
  [429] = 66,
  [430] = 67,
  [431] = 68,
  [432] = 69,
  [433] = 70,
  [434] = 71,
  [435] = 72,
  [436] = 73,
  [437] = 42,
  [438] = 75,
  [439] = 76,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 82,
  [446] = 83,
  [447] = 84,
  [448] = 85,
  [449] = 86,
  [450] = 87,
  [451] = 88,
  [452] = 89,
  [453] = 90,
  [454] = 91,
  [455] = 455,
  [456] = 347,
  [457] = 348,
  [458] = 92,
  [459] = 93,
  [460] = 94,
  [461] = 95,
  [462] = 96,
  [463] = 97,
  [464] = 98,
  [465] = 43,
  [466] = 44,
  [467] = 467,
  [468] = 468,
  [469] = 347,
  [470] = 348,
  [471] = 46,
  [472] = 47,
  [473] = 48,
  [474] = 49,
  [475] = 50,
  [476] = 51,
  [477] = 52,
  [478] = 53,
  [479] = 54,
  [480] = 55,
  [481] = 56,
  [482] = 443,
  [483] = 57,
  [484] = 58,
  [485] = 59,
  [486] = 60,
  [487] = 61,
  [488] = 62,
  [489] = 63,
  [490] = 64,
  [491] = 65,
  [492] = 455,
  [493] = 347,
  [494] = 348,
  [495] = 66,
  [496] = 67,
  [497] = 68,
  [498] = 69,
  [499] = 70,
  [500] = 71,
  [501] = 72,
  [502] = 73,
  [503] = 42,
  [504] = 75,
  [505] = 76,
  [506] = 77,
  [507] = 78,
  [508] = 79,
  [509] = 80,
  [510] = 81,
  [511] = 82,
  [512] = 83,
  [513] = 84,
  [514] = 443,
  [515] = 85,
  [516] = 86,
  [517] = 87,
  [518] = 88,
  [519] = 89,
  [520] = 90,
  [521] = 91,
  [522] = 442,
  [523] = 93,
  [524] = 94,
  [525] = 95,
  [526] = 96,
  [527] = 97,
  [528] = 98,
  [529] = 43,
  [530] = 44,
  [531] = 455,
  [532] = 347,
  [533] = 348,
  [534] = 467,
  [535] = 468,
  [536] = 347,
  [537] = 348,
  [538] = 45,
  [539] = 46,
  [540] = 47,
  [541] = 48,
  [542] = 49,
  [543] = 50,
  [544] = 51,
  [545] = 52,
  [546] = 53,
  [547] = 54,
  [548] = 55,
  [549] = 56,
  [550] = 57,
  [551] = 58,
  [552] = 59,
  [553] = 347,
  [554] = 348,
  [555] = 60,
  [556] = 556,
  [557] = 61,
  [558] = 443,
  [559] = 62,
  [560] = 63,
  [561] = 64,
  [562] = 65,
  [563] = 66,
  [564] = 67,
  [565] = 68,
  [566] = 69,
  [567] = 70,
  [568] = 71,
  [569] = 72,
  [570] = 73,
  [571] = 42,
  [572] = 75,
  [573] = 76,
  [574] = 455,
  [575] = 347,
  [576] = 348,
  [577] = 77,
  [578] = 78,
  [579] = 79,
  [580] = 80,
  [581] = 81,
  [582] = 82,
  [583] = 83,
  [584] = 84,
  [585] = 85,
  [586] = 86,
  [587] = 87,
  [588] = 88,
  [589] = 89,
  [590] = 90,
  [591] = 91,
  [592] = 92,
  [593] = 93,
  [594] = 443,
  [595] = 94,
  [596] = 95,
  [597] = 96,
  [598] = 97,
  [599] = 98,
  [600] = 43,
  [601] = 44,
  [602] = 467,
  [603] = 347,
  [604] = 348,
  [605] = 455,
  [606] = 347,
  [607] = 348,
  [608] = 45,
  [609] = 46,
  [610] = 47,
  [611] = 48,
  [612] = 49,
  [613] = 50,
  [614] = 51,
  [615] = 52,
  [616] = 53,
  [617] = 54,
  [618] = 55,
  [619] = 56,
  [620] = 57,
  [621] = 58,
  [622] = 59,
  [623] = 60,
  [624] = 77,
  [625] = 61,
  [626] = 78,
  [627] = 79,
  [628] = 62,
  [629] = 63,
  [630] = 64,
  [631] = 80,
  [632] = 65,
  [633] = 440,
  [634] = 441,
  [635] = 442,
  [636] = 66,
  [637] = 67,
  [638] = 68,
  [639] = 69,
  [640] = 468,
  [641] = 70,
  [642] = 71,
  [643] = 72,
  [644] = 73,
  [645] = 42,
  [646] = 75,
  [647] = 76,
  [648] = 347,
  [649] = 348,
  [650] = 440,
  [651] = 441,
  [652] = 442,
  [653] = 468,
  [654] = 440,
  [655] = 441,
  [656] = 442,
  [657] = 468,
  [658] = 440,
  [659] = 441,
  [660] = 442,
  [661] = 468,
  [662] = 440,
  [663] = 441,
  [664] = 442,
  [665] = 468,
  [666] = 440,
  [667] = 441,
  [668] = 442,
  [669] = 468,
  [670] = 440,
  [671] = 441,
  [672] = 442,
  [673] = 468,
  [674] = 440,
  [675] = 441,
  [676] = 442,
  [677] = 468,
  [678] = 440,
  [679] = 441,
  [680] = 442,
  [681] = 468,
  [682] = 440,
  [683] = 441,
  [684] = 442,
  [685] = 468,
  [686] = 440,
  [687] = 441,
  [688] = 92,
  [689] = 443,
  [690] = 690,
  [691] = 691,
  [692] = 455,
  [693] = 443,
  [694] = 455,
  [695] = 691,
  [696] = 443,
  [697] = 690,
  [698] = 455,
  [699] = 690,
  [700] = 443,
  [701] = 455,
  [702] = 702,
  [703] = 455,
  [704] = 691,
  [705] = 690,
  [706] = 443,
  [707] = 690,
  [708] = 690,
  [709] = 690,
  [710] = 690,
  [711] = 690,
  [712] = 690,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 714,
  [717] = 715,
  [718] = 718,
  [719] = 713,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 714,
  [726] = 715,
  [727] = 718,
  [728] = 713,
  [729] = 720,
  [730] = 721,
  [731] = 722,
  [732] = 723,
  [733] = 724,
  [734] = 718,
  [735] = 713,
  [736] = 720,
  [737] = 721,
  [738] = 722,
  [739] = 723,
  [740] = 724,
  [741] = 714,
  [742] = 715,
  [743] = 714,
  [744] = 715,
  [745] = 718,
  [746] = 713,
  [747] = 720,
  [748] = 721,
  [749] = 722,
  [750] = 723,
  [751] = 724,
  [752] = 718,
  [753] = 720,
  [754] = 721,
  [755] = 722,
  [756] = 723,
  [757] = 724,
  [758] = 714,
  [759] = 724,
  [760] = 718,
  [761] = 714,
  [762] = 715,
  [763] = 713,
  [764] = 764,
  [765] = 765,
  [766] = 720,
  [767] = 723,
  [768] = 721,
  [769] = 713,
  [770] = 724,
  [771] = 764,
  [772] = 718,
  [773] = 722,
  [774] = 713,
  [775] = 714,
  [776] = 720,
  [777] = 721,
  [778] = 715,
  [779] = 722,
  [780] = 720,
  [781] = 721,
  [782] = 714,
  [783] = 722,
  [784] = 723,
  [785] = 765,
  [786] = 765,
  [787] = 723,
  [788] = 724,
  [789] = 723,
  [790] = 718,
  [791] = 713,
  [792] = 720,
  [793] = 721,
  [794] = 722,
  [795] = 718,
  [796] = 713,
  [797] = 720,
  [798] = 721,
  [799] = 723,
  [800] = 724,
  [801] = 765,
  [802] = 724,
  [803] = 718,
  [804] = 765,
  [805] = 764,
  [806] = 715,
  [807] = 714,
  [808] = 715,
  [809] = 715,
  [810] = 722,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 811,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 813,
  [821] = 814,
  [822] = 815,
  [823] = 811,
  [824] = 824,
  [825] = 817,
  [826] = 818,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 812,
  [831] = 831,
  [832] = 765,
  [833] = 831,
  [834] = 819,
  [835] = 827,
  [836] = 828,
  [837] = 829,
  [838] = 824,
  [839] = 812,
  [840] = 813,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 814,
  [846] = 815,
  [847] = 841,
  [848] = 842,
  [849] = 849,
  [850] = 843,
  [851] = 844,
  [852] = 849,
  [853] = 853,
  [854] = 854,
  [855] = 831,
  [856] = 853,
  [857] = 854,
  [858] = 831,
  [859] = 765,
  [860] = 817,
  [861] = 818,
  [862] = 819,
  [863] = 813,
  [864] = 814,
  [865] = 815,
  [866] = 831,
  [867] = 831,
  [868] = 811,
  [869] = 765,
  [870] = 817,
  [871] = 827,
  [872] = 828,
  [873] = 829,
  [874] = 812,
  [875] = 818,
  [876] = 831,
  [877] = 819,
  [878] = 813,
  [879] = 814,
  [880] = 815,
  [881] = 824,
  [882] = 811,
  [883] = 824,
  [884] = 884,
  [885] = 817,
  [886] = 818,
  [887] = 827,
  [888] = 828,
  [889] = 829,
  [890] = 812,
  [891] = 831,
  [892] = 765,
  [893] = 841,
  [894] = 819,
  [895] = 841,
  [896] = 842,
  [897] = 884,
  [898] = 842,
  [899] = 843,
  [900] = 844,
  [901] = 884,
  [902] = 827,
  [903] = 843,
  [904] = 884,
  [905] = 849,
  [906] = 884,
  [907] = 844,
  [908] = 849,
  [909] = 828,
  [910] = 884,
  [911] = 824,
  [912] = 853,
  [913] = 854,
  [914] = 831,
  [915] = 884,
  [916] = 831,
  [917] = 853,
  [918] = 884,
  [919] = 854,
  [920] = 841,
  [921] = 884,
  [922] = 842,
  [923] = 831,
  [924] = 884,
  [925] = 843,
  [926] = 884,
  [927] = 844,
  [928] = 849,
  [929] = 765,
  [930] = 853,
  [931] = 884,
  [932] = 854,
  [933] = 831,
  [934] = 829,
  [935] = 841,
  [936] = 936,
  [937] = 828,
  [938] = 818,
  [939] = 841,
  [940] = 811,
  [941] = 841,
  [942] = 843,
  [943] = 853,
  [944] = 854,
  [945] = 843,
  [946] = 815,
  [947] = 824,
  [948] = 844,
  [949] = 819,
  [950] = 827,
  [951] = 936,
  [952] = 828,
  [953] = 842,
  [954] = 829,
  [955] = 812,
  [956] = 827,
  [957] = 854,
  [958] = 813,
  [959] = 814,
  [960] = 811,
  [961] = 811,
  [962] = 841,
  [963] = 963,
  [964] = 811,
  [965] = 849,
  [966] = 824,
  [967] = 967,
  [968] = 968,
  [969] = 844,
  [970] = 842,
  [971] = 819,
  [972] = 843,
  [973] = 844,
  [974] = 817,
  [975] = 829,
  [976] = 963,
  [977] = 812,
  [978] = 824,
  [979] = 967,
  [980] = 849,
  [981] = 815,
  [982] = 818,
  [983] = 815,
  [984] = 842,
  [985] = 985,
  [986] = 819,
  [987] = 817,
  [988] = 812,
  [989] = 989,
  [990] = 841,
  [991] = 824,
  [992] = 854,
  [993] = 842,
  [994] = 968,
  [995] = 813,
  [996] = 828,
  [997] = 849,
  [998] = 829,
  [999] = 963,
  [1000] = 814,
  [1001] = 968,
  [1002] = 1002,
  [1003] = 813,
  [1004] = 843,
  [1005] = 819,
  [1006] = 827,
  [1007] = 842,
  [1008] = 968,
  [1009] = 817,
  [1010] = 817,
  [1011] = 843,
  [1012] = 844,
  [1013] = 963,
  [1014] = 849,
  [1015] = 968,
  [1016] = 818,
  [1017] = 853,
  [1018] = 853,
  [1019] = 811,
  [1020] = 963,
  [1021] = 827,
  [1022] = 968,
  [1023] = 827,
  [1024] = 967,
  [1025] = 936,
  [1026] = 817,
  [1027] = 963,
  [1028] = 818,
  [1029] = 968,
  [1030] = 828,
  [1031] = 963,
  [1032] = 854,
  [1033] = 819,
  [1034] = 963,
  [1035] = 828,
  [1036] = 968,
  [1037] = 813,
  [1038] = 814,
  [1039] = 968,
  [1040] = 813,
  [1041] = 963,
  [1042] = 829,
  [1043] = 968,
  [1044] = 818,
  [1045] = 844,
  [1046] = 849,
  [1047] = 814,
  [1048] = 963,
  [1049] = 814,
  [1050] = 968,
  [1051] = 829,
  [1052] = 853,
  [1053] = 854,
  [1054] = 812,
  [1055] = 963,
  [1056] = 815,
  [1057] = 968,
  [1058] = 812,
  [1059] = 815,
  [1060] = 824,
  [1061] = 853,
  [1062] = 963,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1065,
  [1078] = 1078,
  [1079] = 1068,
  [1080] = 1074,
  [1081] = 1081,
  [1082] = 1081,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1083,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1085,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1087,
  [1097] = 1097,
  [1098] = 1089,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1066,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1067,
  [1117] = 1069,
  [1118] = 1070,
  [1119] = 1071,
  [1120] = 1120,
  [1121] = 1076,
  [1122] = 1078,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1084,
  [1127] = 1064,
  [1128] = 1088,
  [1129] = 1090,
  [1130] = 1130,
  [1131] = 1115,
  [1132] = 1094,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1097,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1099,
  [1141] = 1100,
  [1142] = 1101,
  [1143] = 1104,
  [1144] = 1105,
  [1145] = 1066,
  [1146] = 1107,
  [1147] = 1108,
  [1148] = 1091,
  [1149] = 1109,
  [1150] = 1110,
  [1151] = 1151,
  [1152] = 1111,
  [1153] = 1153,
  [1154] = 1120,
  [1155] = 1124,
  [1156] = 1125,
  [1157] = 1064,
  [1158] = 1130,
  [1159] = 1159,
  [1160] = 1133,
  [1161] = 1134,
  [1162] = 1135,
  [1163] = 1137,
  [1164] = 1138,
  [1165] = 1139,
  [1166] = 1072,
  [1167] = 1073,
  [1168] = 1151,
  [1169] = 1153,
  [1170] = 1075,
  [1171] = 1065,
  [1172] = 1068,
  [1173] = 1074,
  [1174] = 1072,
  [1175] = 1081,
  [1176] = 1073,
  [1177] = 1075,
  [1178] = 1083,
  [1179] = 1065,
  [1180] = 1068,
  [1181] = 1085,
  [1182] = 1074,
  [1183] = 1081,
  [1184] = 1087,
  [1185] = 1083,
  [1186] = 1085,
  [1187] = 1089,
  [1188] = 1087,
  [1189] = 1089,
  [1190] = 1091,
  [1191] = 1091,
  [1192] = 1092,
  [1193] = 1092,
  [1194] = 1092,
  [1195] = 1102,
  [1196] = 1103,
  [1197] = 1102,
  [1198] = 1103,
  [1199] = 1112,
  [1200] = 1113,
  [1201] = 1114,
  [1202] = 1115,
  [1203] = 1067,
  [1204] = 1069,
  [1205] = 1070,
  [1206] = 1071,
  [1207] = 1076,
  [1208] = 1078,
  [1209] = 1112,
  [1210] = 1113,
  [1211] = 1114,
  [1212] = 1084,
  [1213] = 1088,
  [1214] = 1090,
  [1215] = 1115,
  [1216] = 1094,
  [1217] = 1067,
  [1218] = 1097,
  [1219] = 1069,
  [1220] = 1070,
  [1221] = 1099,
  [1222] = 1100,
  [1223] = 1101,
  [1224] = 1104,
  [1225] = 1105,
  [1226] = 1071,
  [1227] = 1076,
  [1228] = 1078,
  [1229] = 1066,
  [1230] = 1107,
  [1231] = 1108,
  [1232] = 1109,
  [1233] = 1084,
  [1234] = 1110,
  [1235] = 1111,
  [1236] = 1088,
  [1237] = 1090,
  [1238] = 1120,
  [1239] = 1124,
  [1240] = 1125,
  [1241] = 1094,
  [1242] = 1130,
  [1243] = 1159,
  [1244] = 1133,
  [1245] = 1134,
  [1246] = 1135,
  [1247] = 1137,
  [1248] = 1138,
  [1249] = 1139,
  [1250] = 1097,
  [1251] = 1102,
  [1252] = 1099,
  [1253] = 1100,
  [1254] = 1151,
  [1255] = 1153,
  [1256] = 1101,
  [1257] = 1104,
  [1258] = 1105,
  [1259] = 1259,
  [1260] = 1066,
  [1261] = 1072,
  [1262] = 1073,
  [1263] = 1107,
  [1264] = 1075,
  [1265] = 1065,
  [1266] = 1108,
  [1267] = 1068,
  [1268] = 1074,
  [1269] = 1109,
  [1270] = 1081,
  [1271] = 1083,
  [1272] = 1110,
  [1273] = 1085,
  [1274] = 1087,
  [1275] = 1111,
  [1276] = 1089,
  [1277] = 1103,
  [1278] = 1091,
  [1279] = 1092,
  [1280] = 1120,
  [1281] = 1123,
  [1282] = 1124,
  [1283] = 1125,
  [1284] = 1064,
  [1285] = 1130,
  [1286] = 1159,
  [1287] = 1133,
  [1288] = 1134,
  [1289] = 1135,
  [1290] = 1102,
  [1291] = 1103,
  [1292] = 1137,
  [1293] = 1138,
  [1294] = 1139,
  [1295] = 1107,
  [1296] = 1102,
  [1297] = 1103,
  [1298] = 1151,
  [1299] = 1151,
  [1300] = 1153,
  [1301] = 1112,
  [1302] = 1113,
  [1303] = 1114,
  [1304] = 1115,
  [1305] = 1153,
  [1306] = 1067,
  [1307] = 1069,
  [1308] = 1070,
  [1309] = 1071,
  [1310] = 1076,
  [1311] = 1078,
  [1312] = 1072,
  [1313] = 1073,
  [1314] = 1084,
  [1315] = 1088,
  [1316] = 1090,
  [1317] = 1075,
  [1318] = 1094,
  [1319] = 1065,
  [1320] = 1068,
  [1321] = 1097,
  [1322] = 1074,
  [1323] = 1099,
  [1324] = 1100,
  [1325] = 1101,
  [1326] = 1104,
  [1327] = 1105,
  [1328] = 1066,
  [1329] = 1107,
  [1330] = 1108,
  [1331] = 1109,
  [1332] = 1110,
  [1333] = 1111,
  [1334] = 1120,
  [1335] = 1124,
  [1336] = 1125,
  [1337] = 1064,
  [1338] = 1130,
  [1339] = 1159,
  [1340] = 1133,
  [1341] = 1134,
  [1342] = 1135,
  [1343] = 1137,
  [1344] = 1138,
  [1345] = 1139,
  [1346] = 1151,
  [1347] = 1153,
  [1348] = 1081,
  [1349] = 1072,
  [1350] = 1073,
  [1351] = 1075,
  [1352] = 1065,
  [1353] = 1068,
  [1354] = 1074,
  [1355] = 1081,
  [1356] = 1083,
  [1357] = 1085,
  [1358] = 1087,
  [1359] = 1089,
  [1360] = 1091,
  [1361] = 1092,
  [1362] = 1083,
  [1363] = 1102,
  [1364] = 1103,
  [1365] = 1112,
  [1366] = 1113,
  [1367] = 1114,
  [1368] = 1115,
  [1369] = 1067,
  [1370] = 1069,
  [1371] = 1070,
  [1372] = 1071,
  [1373] = 1076,
  [1374] = 1078,
  [1375] = 1084,
  [1376] = 1088,
  [1377] = 1090,
  [1378] = 1094,
  [1379] = 1097,
  [1380] = 1380,
  [1381] = 1099,
  [1382] = 1100,
  [1383] = 1101,
  [1384] = 1104,
  [1385] = 1105,
  [1386] = 1085,
  [1387] = 1387,
  [1388] = 1087,
  [1389] = 1089,
  [1390] = 1066,
  [1391] = 1107,
  [1392] = 1091,
  [1393] = 1108,
  [1394] = 1109,
  [1395] = 1092,
  [1396] = 1110,
  [1397] = 1112,
  [1398] = 1111,
  [1399] = 1113,
  [1400] = 1114,
  [1401] = 1112,
  [1402] = 1120,
  [1403] = 1124,
  [1404] = 1125,
  [1405] = 1064,
  [1406] = 1130,
  [1407] = 1159,
  [1408] = 1133,
  [1409] = 1134,
  [1410] = 1135,
  [1411] = 1137,
  [1412] = 1138,
  [1413] = 1139,
  [1414] = 1113,
  [1415] = 1115,
  [1416] = 1114,
  [1417] = 1067,
  [1418] = 1069,
  [1419] = 1102,
  [1420] = 1103,
  [1421] = 1151,
  [1422] = 1153,
  [1423] = 1070,
  [1424] = 1071,
  [1425] = 1108,
  [1426] = 1426,
  [1427] = 1076,
  [1428] = 1078,
  [1429] = 1115,
  [1430] = 1072,
  [1431] = 1084,
  [1432] = 1073,
  [1433] = 1109,
  [1434] = 1075,
  [1435] = 1088,
  [1436] = 1065,
  [1437] = 1090,
  [1438] = 1068,
  [1439] = 1067,
  [1440] = 1074,
  [1441] = 1081,
  [1442] = 1094,
  [1443] = 1083,
  [1444] = 1069,
  [1445] = 1085,
  [1446] = 1070,
  [1447] = 1087,
  [1448] = 1071,
  [1449] = 1089,
  [1450] = 1097,
  [1451] = 1091,
  [1452] = 1112,
  [1453] = 1092,
  [1454] = 1113,
  [1455] = 1114,
  [1456] = 1110,
  [1457] = 1115,
  [1458] = 1076,
  [1459] = 1099,
  [1460] = 1067,
  [1461] = 1100,
  [1462] = 1069,
  [1463] = 1070,
  [1464] = 1071,
  [1465] = 1102,
  [1466] = 1103,
  [1467] = 1101,
  [1468] = 1104,
  [1469] = 1076,
  [1470] = 1078,
  [1471] = 1105,
  [1472] = 1078,
  [1473] = 1084,
  [1474] = 1111,
  [1475] = 1088,
  [1476] = 1090,
  [1477] = 1084,
  [1478] = 1094,
  [1479] = 1066,
  [1480] = 1107,
  [1481] = 1097,
  [1482] = 1088,
  [1483] = 1112,
  [1484] = 1113,
  [1485] = 1114,
  [1486] = 1115,
  [1487] = 1108,
  [1488] = 1090,
  [1489] = 1067,
  [1490] = 1099,
  [1491] = 1069,
  [1492] = 1070,
  [1493] = 1071,
  [1494] = 1100,
  [1495] = 1076,
  [1496] = 1078,
  [1497] = 1101,
  [1498] = 1104,
  [1499] = 1105,
  [1500] = 1084,
  [1501] = 1109,
  [1502] = 1088,
  [1503] = 1090,
  [1504] = 1072,
  [1505] = 1110,
  [1506] = 1094,
  [1507] = 1111,
  [1508] = 1066,
  [1509] = 1097,
  [1510] = 1094,
  [1511] = 1107,
  [1512] = 1073,
  [1513] = 1099,
  [1514] = 1100,
  [1515] = 1101,
  [1516] = 1104,
  [1517] = 1105,
  [1518] = 1108,
  [1519] = 1109,
  [1520] = 1075,
  [1521] = 1110,
  [1522] = 1066,
  [1523] = 1120,
  [1524] = 1107,
  [1525] = 1111,
  [1526] = 1108,
  [1527] = 1123,
  [1528] = 1109,
  [1529] = 1124,
  [1530] = 1110,
  [1531] = 1125,
  [1532] = 1111,
  [1533] = 1064,
  [1534] = 1120,
  [1535] = 1123,
  [1536] = 1124,
  [1537] = 1120,
  [1538] = 1124,
  [1539] = 1125,
  [1540] = 1064,
  [1541] = 1130,
  [1542] = 1159,
  [1543] = 1133,
  [1544] = 1134,
  [1545] = 1135,
  [1546] = 1137,
  [1547] = 1138,
  [1548] = 1139,
  [1549] = 1125,
  [1550] = 1064,
  [1551] = 1130,
  [1552] = 1159,
  [1553] = 1133,
  [1554] = 1134,
  [1555] = 1135,
  [1556] = 1137,
  [1557] = 1138,
  [1558] = 1151,
  [1559] = 1153,
  [1560] = 1139,
  [1561] = 1130,
  [1562] = 1159,
  [1563] = 1133,
  [1564] = 1134,
  [1565] = 1135,
  [1566] = 1137,
  [1567] = 1138,
  [1568] = 1072,
  [1569] = 1139,
  [1570] = 1073,
  [1571] = 1097,
  [1572] = 1075,
  [1573] = 1151,
  [1574] = 1065,
  [1575] = 1153,
  [1576] = 1068,
  [1577] = 1074,
  [1578] = 1081,
  [1579] = 1065,
  [1580] = 1083,
  [1581] = 1085,
  [1582] = 1099,
  [1583] = 1087,
  [1584] = 1100,
  [1585] = 1089,
  [1586] = 1101,
  [1587] = 1091,
  [1588] = 1104,
  [1589] = 1092,
  [1590] = 1105,
  [1591] = 1072,
  [1592] = 1151,
  [1593] = 1073,
  [1594] = 1153,
  [1595] = 1075,
  [1596] = 1068,
  [1597] = 1065,
  [1598] = 1068,
  [1599] = 1074,
  [1600] = 1074,
  [1601] = 1102,
  [1602] = 1103,
  [1603] = 1099,
  [1604] = 1081,
  [1605] = 1081,
  [1606] = 1083,
  [1607] = 1066,
  [1608] = 1085,
  [1609] = 1100,
  [1610] = 1087,
  [1611] = 1107,
  [1612] = 1089,
  [1613] = 1083,
  [1614] = 1091,
  [1615] = 1072,
  [1616] = 1092,
  [1617] = 1108,
  [1618] = 1073,
  [1619] = 1120,
  [1620] = 1075,
  [1621] = 1109,
  [1622] = 1112,
  [1623] = 1113,
  [1624] = 1114,
  [1625] = 1115,
  [1626] = 1065,
  [1627] = 1085,
  [1628] = 1067,
  [1629] = 1068,
  [1630] = 1069,
  [1631] = 1070,
  [1632] = 1071,
  [1633] = 1110,
  [1634] = 1076,
  [1635] = 1078,
  [1636] = 1074,
  [1637] = 1123,
  [1638] = 1081,
  [1639] = 1084,
  [1640] = 1102,
  [1641] = 1088,
  [1642] = 1090,
  [1643] = 1103,
  [1644] = 1111,
  [1645] = 1094,
  [1646] = 1083,
  [1647] = 1087,
  [1648] = 1085,
  [1649] = 1097,
  [1650] = 1124,
  [1651] = 1087,
  [1652] = 1089,
  [1653] = 1089,
  [1654] = 1125,
  [1655] = 1091,
  [1656] = 1120,
  [1657] = 1092,
  [1658] = 1123,
  [1659] = 1259,
  [1660] = 1124,
  [1661] = 1380,
  [1662] = 1387,
  [1663] = 1125,
  [1664] = 1426,
  [1665] = 1064,
  [1666] = 1112,
  [1667] = 1113,
  [1668] = 1114,
  [1669] = 1115,
  [1670] = 1130,
  [1671] = 1159,
  [1672] = 1067,
  [1673] = 1133,
  [1674] = 1069,
  [1675] = 1070,
  [1676] = 1071,
  [1677] = 1134,
  [1678] = 1135,
  [1679] = 1076,
  [1680] = 1078,
  [1681] = 1137,
  [1682] = 1138,
  [1683] = 1139,
  [1684] = 1259,
  [1685] = 1380,
  [1686] = 1387,
  [1687] = 1426,
  [1688] = 1084,
  [1689] = 1091,
  [1690] = 1088,
  [1691] = 1090,
  [1692] = 1064,
  [1693] = 1092,
  [1694] = 1094,
  [1695] = 1259,
  [1696] = 1380,
  [1697] = 1387,
  [1698] = 1426,
  [1699] = 1102,
  [1700] = 1103,
  [1701] = 1130,
  [1702] = 1097,
  [1703] = 1159,
  [1704] = 1133,
  [1705] = 1259,
  [1706] = 1380,
  [1707] = 1387,
  [1708] = 1426,
  [1709] = 1099,
  [1710] = 1100,
  [1711] = 1101,
  [1712] = 1104,
  [1713] = 1105,
  [1714] = 1134,
  [1715] = 1259,
  [1716] = 1380,
  [1717] = 1387,
  [1718] = 1426,
  [1719] = 1151,
  [1720] = 1153,
  [1721] = 1066,
  [1722] = 1107,
  [1723] = 1259,
  [1724] = 1380,
  [1725] = 1387,
  [1726] = 1426,
  [1727] = 1108,
  [1728] = 1109,
  [1729] = 1110,
  [1730] = 1135,
  [1731] = 1111,
  [1732] = 1259,
  [1733] = 1380,
  [1734] = 1387,
  [1735] = 1426,
  [1736] = 1137,
  [1737] = 1138,
  [1738] = 1139,
  [1739] = 1120,
  [1740] = 1124,
  [1741] = 1125,
  [1742] = 1259,
  [1743] = 1380,
  [1744] = 1387,
  [1745] = 1426,
  [1746] = 1064,
  [1747] = 1130,
  [1748] = 1159,
  [1749] = 1133,
  [1750] = 1134,
  [1751] = 1135,
  [1752] = 1137,
  [1753] = 1259,
  [1754] = 1380,
  [1755] = 1387,
  [1756] = 1426,
  [1757] = 1138,
  [1758] = 1139,
  [1759] = 1072,
  [1760] = 1101,
  [1761] = 1073,
  [1762] = 1104,
  [1763] = 1112,
  [1764] = 1259,
  [1765] = 1380,
  [1766] = 1387,
  [1767] = 1426,
  [1768] = 1113,
  [1769] = 1114,
  [1770] = 1075,
  [1771] = 1151,
  [1772] = 1153,
  [1773] = 1105,
  [1774] = 1259,
  [1775] = 1380,
  [1776] = 1387,
  [1777] = 1426,
  [1778] = 1159,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1779,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1781,
  [1786] = 1779,
  [1787] = 1787,
  [1788] = 1780,
  [1789] = 1781,
  [1790] = 1779,
  [1791] = 1787,
  [1792] = 1780,
  [1793] = 1781,
  [1794] = 1779,
  [1795] = 1787,
  [1796] = 1780,
  [1797] = 1781,
  [1798] = 1779,
  [1799] = 1787,
  [1800] = 1780,
  [1801] = 1781,
  [1802] = 1779,
  [1803] = 1787,
  [1804] = 1780,
  [1805] = 1781,
  [1806] = 1779,
  [1807] = 1787,
  [1808] = 1780,
  [1809] = 1781,
  [1810] = 1779,
  [1811] = 1787,
  [1812] = 1780,
  [1813] = 1781,
  [1814] = 1779,
  [1815] = 1787,
  [1816] = 1780,
  [1817] = 1781,
  [1818] = 1784,
  [1819] = 1787,
  [1820] = 1780,
  [1821] = 1781,
  [1822] = 1779,
  [1823] = 1787,
  [1824] = 1780,
  [1825] = 1781,
  [1826] = 1779,
  [1827] = 1787,
  [1828] = 1780,
  [1829] = 1783,
  [1830] = 1784,
  [1831] = 1783,
  [1832] = 1784,
  [1833] = 1783,
  [1834] = 1784,
  [1835] = 1783,
  [1836] = 1784,
  [1837] = 1783,
  [1838] = 1784,
  [1839] = 1783,
  [1840] = 1784,
  [1841] = 1783,
  [1842] = 1784,
  [1843] = 1783,
  [1844] = 1784,
  [1845] = 1783,
  [1846] = 1784,
  [1847] = 1783,
  [1848] = 1784,
  [1849] = 1783,
  [1850] = 1787,
  [1851] = 455,
  [1852] = 443,
  [1853] = 443,
  [1854] = 455,
  [1855] = 690,
  [1856] = 5,
  [1857] = 2,
  [1858] = 3,
  [1859] = 2,
  [1860] = 690,
  [1861] = 6,
  [1862] = 3,
  [1863] = 5,
  [1864] = 6,
  [1865] = 89,
  [1866] = 64,
  [1867] = 65,
  [1868] = 66,
  [1869] = 67,
  [1870] = 68,
  [1871] = 69,
  [1872] = 48,
  [1873] = 70,
  [1874] = 71,
  [1875] = 72,
  [1876] = 73,
  [1877] = 42,
  [1878] = 75,
  [1879] = 76,
  [1880] = 45,
  [1881] = 49,
  [1882] = 44,
  [1883] = 46,
  [1884] = 54,
  [1885] = 55,
  [1886] = 50,
  [1887] = 56,
  [1888] = 51,
  [1889] = 52,
  [1890] = 53,
  [1891] = 57,
  [1892] = 765,
  [1893] = 43,
  [1894] = 59,
  [1895] = 60,
  [1896] = 77,
  [1897] = 78,
  [1898] = 79,
  [1899] = 80,
  [1900] = 81,
  [1901] = 61,
  [1902] = 62,
  [1903] = 63,
  [1904] = 82,
  [1905] = 83,
  [1906] = 84,
  [1907] = 85,
  [1908] = 86,
  [1909] = 87,
  [1910] = 88,
  [1911] = 47,
  [1912] = 90,
  [1913] = 91,
  [1914] = 92,
  [1915] = 93,
  [1916] = 94,
  [1917] = 95,
  [1918] = 96,
  [1919] = 97,
  [1920] = 98,
  [1921] = 58,
  [1922] = 1922,
  [1923] = 97,
  [1924] = 57,
  [1925] = 50,
  [1926] = 51,
  [1927] = 66,
  [1928] = 67,
  [1929] = 83,
  [1930] = 68,
  [1931] = 84,
  [1932] = 98,
  [1933] = 69,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1922,
  [1937] = 1937,
  [1938] = 58,
  [1939] = 43,
  [1940] = 1934,
  [1941] = 70,
  [1942] = 1935,
  [1943] = 71,
  [1944] = 1922,
  [1945] = 1937,
  [1946] = 59,
  [1947] = 1934,
  [1948] = 1935,
  [1949] = 1922,
  [1950] = 1937,
  [1951] = 44,
  [1952] = 77,
  [1953] = 52,
  [1954] = 1934,
  [1955] = 1935,
  [1956] = 1922,
  [1957] = 1937,
  [1958] = 72,
  [1959] = 73,
  [1960] = 765,
  [1961] = 1934,
  [1962] = 1935,
  [1963] = 1922,
  [1964] = 1937,
  [1965] = 42,
  [1966] = 1934,
  [1967] = 75,
  [1968] = 1935,
  [1969] = 1922,
  [1970] = 1937,
  [1971] = 86,
  [1972] = 87,
  [1973] = 1934,
  [1974] = 76,
  [1975] = 1935,
  [1976] = 1935,
  [1977] = 1922,
  [1978] = 1937,
  [1979] = 53,
  [1980] = 45,
  [1981] = 1934,
  [1982] = 78,
  [1983] = 1935,
  [1984] = 1922,
  [1985] = 1937,
  [1986] = 46,
  [1987] = 60,
  [1988] = 79,
  [1989] = 88,
  [1990] = 1934,
  [1991] = 85,
  [1992] = 1934,
  [1993] = 1935,
  [1994] = 1994,
  [1995] = 1922,
  [1996] = 1937,
  [1997] = 89,
  [1998] = 1934,
  [1999] = 1935,
  [2000] = 1922,
  [2001] = 1937,
  [2002] = 2002,
  [2003] = 61,
  [2004] = 1994,
  [2005] = 2002,
  [2006] = 90,
  [2007] = 1994,
  [2008] = 91,
  [2009] = 2002,
  [2010] = 1994,
  [2011] = 55,
  [2012] = 2002,
  [2013] = 1994,
  [2014] = 92,
  [2015] = 2002,
  [2016] = 47,
  [2017] = 1994,
  [2018] = 93,
  [2019] = 80,
  [2020] = 2002,
  [2021] = 62,
  [2022] = 1994,
  [2023] = 48,
  [2024] = 2002,
  [2025] = 1994,
  [2026] = 63,
  [2027] = 2002,
  [2028] = 94,
  [2029] = 1994,
  [2030] = 64,
  [2031] = 2002,
  [2032] = 1994,
  [2033] = 81,
  [2034] = 2002,
  [2035] = 1994,
  [2036] = 1937,
  [2037] = 2002,
  [2038] = 95,
  [2039] = 1994,
  [2040] = 82,
  [2041] = 1934,
  [2042] = 2002,
  [2043] = 1935,
  [2044] = 96,
  [2045] = 1922,
  [2046] = 56,
  [2047] = 49,
  [2048] = 1937,
  [2049] = 65,
  [2050] = 2050,
  [2051] = 54,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 714,
  [2056] = 715,
  [2057] = 2057,
  [2058] = 713,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2054,
  [2062] = 718,
  [2063] = 2063,
  [2064] = 720,
  [2065] = 721,
  [2066] = 2053,
  [2067] = 2052,
  [2068] = 723,
  [2069] = 2069,
  [2070] = 2069,
  [2071] = 724,
  [2072] = 2057,
  [2073] = 722,
  [2074] = 2052,
  [2075] = 2054,
  [2076] = 2059,
  [2077] = 2057,
  [2078] = 2053,
  [2079] = 2069,
  [2080] = 2063,
  [2081] = 2059,
  [2082] = 2063,
  [2083] = 713,
  [2084] = 765,
  [2085] = 715,
  [2086] = 721,
  [2087] = 720,
  [2088] = 723,
  [2089] = 722,
  [2090] = 718,
  [2091] = 714,
  [2092] = 724,
  [2093] = 2093,
  [2094] = 824,
  [2095] = 2095,
  [2096] = 814,
  [2097] = 854,
  [2098] = 812,
  [2099] = 843,
  [2100] = 815,
  [2101] = 829,
  [2102] = 811,
  [2103] = 844,
  [2104] = 841,
  [2105] = 2105,
  [2106] = 817,
  [2107] = 818,
  [2108] = 827,
  [2109] = 828,
  [2110] = 842,
  [2111] = 2111,
  [2112] = 849,
  [2113] = 819,
  [2114] = 853,
  [2115] = 813,
  [2116] = 849,
  [2117] = 819,
  [2118] = 842,
  [2119] = 841,
  [2120] = 843,
  [2121] = 844,
  [2122] = 827,
  [2123] = 829,
  [2124] = 828,
  [2125] = 853,
  [2126] = 824,
  [2127] = 854,
  [2128] = 813,
  [2129] = 811,
  [2130] = 814,
  [2131] = 815,
  [2132] = 817,
  [2133] = 818,
  [2134] = 812,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2136,
  [2138] = 2138,
  [2139] = 2136,
  [2140] = 2138,
  [2141] = 2138,
  [2142] = 2138,
  [2143] = 2136,
  [2144] = 2136,
  [2145] = 2138,
  [2146] = 2138,
  [2147] = 2138,
  [2148] = 2136,
  [2149] = 2136,
  [2150] = 2136,
  [2151] = 2138,
  [2152] = 2136,
  [2153] = 2138,
  [2154] = 2136,
  [2155] = 2138,
  [2156] = 2138,
  [2157] = 2157,
  [2158] = 2138,
  [2159] = 2136,
  [2160] = 2136,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2163,
  [2166] = 2161,
  [2167] = 2161,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2169,
  [2172] = 2161,
  [2173] = 2173,
  [2174] = 2169,
  [2175] = 2169,
  [2176] = 2169,
  [2177] = 2161,
  [2178] = 2161,
  [2179] = 2169,
  [2180] = 2163,
  [2181] = 2168,
  [2182] = 2163,
  [2183] = 2169,
  [2184] = 2184,
  [2185] = 2169,
  [2186] = 2168,
  [2187] = 2168,
  [2188] = 2163,
  [2189] = 2163,
  [2190] = 2163,
  [2191] = 2191,
  [2192] = 2168,
  [2193] = 2161,
  [2194] = 2161,
  [2195] = 2169,
  [2196] = 2161,
  [2197] = 2169,
  [2198] = 2168,
  [2199] = 2168,
  [2200] = 2200,
  [2201] = 2163,
  [2202] = 2170,
  [2203] = 2169,
  [2204] = 2168,
  [2205] = 2200,
  [2206] = 2170,
  [2207] = 2168,
  [2208] = 2200,
  [2209] = 2168,
  [2210] = 2170,
  [2211] = 2163,
  [2212] = 2200,
  [2213] = 2161,
  [2214] = 2170,
  [2215] = 2168,
  [2216] = 2200,
  [2217] = 2217,
  [2218] = 2170,
  [2219] = 2163,
  [2220] = 2200,
  [2221] = 2169,
  [2222] = 2170,
  [2223] = 2200,
  [2224] = 2200,
  [2225] = 2170,
  [2226] = 2163,
  [2227] = 2200,
  [2228] = 2163,
  [2229] = 2200,
  [2230] = 2230,
  [2231] = 2170,
  [2232] = 2200,
  [2233] = 2161,
  [2234] = 2170,
  [2235] = 2168,
  [2236] = 2200,
  [2237] = 2170,
  [2238] = 2238,
  [2239] = 2238,
  [2240] = 2164,
  [2241] = 2161,
  [2242] = 2238,
  [2243] = 2164,
  [2244] = 2238,
  [2245] = 2164,
  [2246] = 2238,
  [2247] = 2164,
  [2248] = 2238,
  [2249] = 2164,
  [2250] = 2238,
  [2251] = 2164,
  [2252] = 2238,
  [2253] = 2164,
  [2254] = 2238,
  [2255] = 2164,
  [2256] = 2238,
  [2257] = 2164,
  [2258] = 2238,
  [2259] = 2164,
  [2260] = 2238,
  [2261] = 2173,
  [2262] = 2164,
  [2263] = 2217,
  [2264] = 2173,
  [2265] = 2217,
  [2266] = 2173,
  [2267] = 2217,
  [2268] = 2173,
  [2269] = 2217,
  [2270] = 2173,
  [2271] = 2217,
  [2272] = 2173,
  [2273] = 2217,
  [2274] = 2173,
  [2275] = 2217,
  [2276] = 2173,
  [2277] = 2217,
  [2278] = 2173,
  [2279] = 2217,
  [2280] = 2173,
  [2281] = 2217,
  [2282] = 2173,
  [2283] = 2217,
  [2284] = 2170,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 765,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2290,
  [2292] = 2290,
  [2293] = 2290,
  [2294] = 2294,
  [2295] = 2290,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2290,
  [2299] = 2290,
  [2300] = 2290,
  [2301] = 2290,
  [2302] = 2290,
  [2303] = 2290,
  [2304] = 2304,
  [2305] = 2290,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2306,
  [2311] = 2307,
  [2312] = 2308,
  [2313] = 2306,
  [2314] = 2306,
  [2315] = 2307,
  [2316] = 2309,
  [2317] = 2306,
  [2318] = 2306,
  [2319] = 2307,
  [2320] = 2308,
  [2321] = 2309,
  [2322] = 2306,
  [2323] = 2307,
  [2324] = 2308,
  [2325] = 2309,
  [2326] = 2307,
  [2327] = 2307,
  [2328] = 2306,
  [2329] = 2307,
  [2330] = 2307,
  [2331] = 2308,
  [2332] = 2308,
  [2333] = 2309,
  [2334] = 2307,
  [2335] = 2308,
  [2336] = 2306,
  [2337] = 2306,
  [2338] = 2308,
  [2339] = 2309,
  [2340] = 2308,
  [2341] = 2309,
  [2342] = 2307,
  [2343] = 2309,
  [2344] = 2308,
  [2345] = 2309,
  [2346] = 2307,
  [2347] = 2347,
  [2348] = 2308,
  [2349] = 2309,
  [2350] = 2308,
  [2351] = 2309,
  [2352] = 2306,
  [2353] = 2306,
  [2354] = 2309,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'.', '.'}, {'A', 'Z'}, {'_', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'.', '.'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(25);
      ADVANCE_MAP(
        '!', 30,
        '"', 70,
        '#', 95,
        '$', 56,
        '%', 5,
        '&', 39,
        '\'', 69,
        '*', 48,
        '+', 31,
        ',', 96,
        '-', 32,
        '.', 90,
        '/', 49,
        '0', 61,
        ':', 54,
        '<', 42,
        '=', 27,
        '>', 44,
        '?', 28,
        '@', 57,
        '\\', 26,
        '^', 51,
        '`', 9,
        '|', 38,
        '~', 29,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(62);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(92);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 7,
        '"', 70,
        '#', 95,
        '$', 56,
        '%', 5,
        '&', 39,
        '\'', 69,
        '*', 48,
        '+', 31,
        ',', 96,
        '-', 32,
        '/', 49,
        ':', 55,
        '<', 42,
        '=', 27,
        '>', 44,
        '?', 28,
        '@', 57,
        '^', 51,
        '`', 9,
        '|', 38,
        '~', 29,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(92);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(70);
      if (lookahead == '#') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(75);
      if (lookahead != 0) ADVANCE(76);
      END_STATE();
    case 3:
      if (lookahead == '#') ADVANCE(95);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '`') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(92);
      END_STATE();
    case 4:
      if (lookahead == '#') ADVANCE(71);
      if (lookahead == '\'') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(72);
      if (lookahead != 0) ADVANCE(73);
      END_STATE();
    case 5:
      if (lookahead == '%') ADVANCE(52);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(5);
      END_STATE();
    case 6:
      if (lookahead == '-') ADVANCE(34);
      END_STATE();
    case 7:
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 8:
      if (lookahead == 'U') ADVANCE(10);
      if (lookahead == 'u') ADVANCE(11);
      if (lookahead == 'x') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(79);
      if (lookahead != 0 &&
          (lookahead < '0' || '9' < lookahead)) ADVANCE(77);
      END_STATE();
    case 9:
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '`') ADVANCE(87);
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 10:
      if (lookahead == '{') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      END_STATE();
    case 11:
      if (lookahead == '{') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 12:
      if (lookahead == '}') ADVANCE(77);
      END_STATE();
    case 13:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(12);
      END_STATE();
    case 14:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(13);
      END_STATE();
    case 15:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(14);
      END_STATE();
    case 16:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 17:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(16);
      END_STATE();
    case 18:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(17);
      END_STATE();
    case 19:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(18);
      END_STATE();
    case 20:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(19);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 24:
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(46);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(36);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '>') ADVANCE(37);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_DASH_GT_GT);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(53);
      if (lookahead == '|') ADVANCE(40);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(41);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '<') ADVANCE(6);
      if (lookahead == '=') ADVANCE(43);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(45);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(50);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(aux_sym_binary_operator_token1);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_PIPE_GT);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == '=') ADVANCE(35);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(35);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      if (lookahead == ':') ADVANCE(59);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_COLON_COLON_COLON);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym__hex_literal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(63);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym__number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym__number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym__single_quoted_string_content_token1);
      if (lookahead == '\n') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(71);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym__single_quoted_string_content_token1);
      if (lookahead == '#') ADVANCE(71);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(72);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(73);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym__single_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(73);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym__double_quoted_string_content_token1);
      if (lookahead == '\n') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym__double_quoted_string_content_token1);
      if (lookahead == '#') ADVANCE(74);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\\') ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym__double_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(76);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(77);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(78);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_identifier);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(93);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(89);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_dots);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(92);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_dot_dot_i);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_comma);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'F', 1,
        'I', 2,
        'L', 3,
        'N', 4,
        'T', 5,
        'b', 6,
        'f', 7,
        'i', 8,
        'n', 9,
        'r', 10,
        'w', 11,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(12);
      END_STATE();
    case 2:
      if (lookahead == 'n') ADVANCE(13);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_L);
      END_STATE();
    case 4:
      if (lookahead == 'A') ADVANCE(14);
      if (lookahead == 'U') ADVANCE(15);
      if (lookahead == 'a') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'R') ADVANCE(17);
      END_STATE();
    case 6:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_i);
      if (lookahead == 'f') ADVANCE(21);
      if (lookahead == 'n') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(23);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(24);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(25);
      END_STATE();
    case 12:
      if (lookahead == 'L') ADVANCE(26);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(27);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_NA);
      if (lookahead == '_') ADVANCE(28);
      END_STATE();
    case 15:
      if (lookahead == 'L') ADVANCE(29);
      END_STATE();
    case 16:
      if (lookahead == 'N') ADVANCE(30);
      END_STATE();
    case 17:
      if (lookahead == 'U') ADVANCE(31);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 23:
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      END_STATE();
    case 25:
      if (lookahead == 'i') ADVANCE(38);
      END_STATE();
    case 26:
      if (lookahead == 'S') ADVANCE(39);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(sym_inf);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(40);
      if (lookahead == 'i') ADVANCE(41);
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'L') ADVANCE(43);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(sym_nan);
      END_STATE();
    case 31:
      if (lookahead == 'E') ADVANCE(44);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(46);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 39:
      if (lookahead == 'E') ADVANCE(51);
      END_STATE();
    case 40:
      if (lookahead == 'h') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 41:
      if (lookahead == 'n') ADVANCE(54);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(55);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 45:
      if (lookahead == 'k') ADVANCE(56);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_next);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 49:
      if (lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 50:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 53:
      if (lookahead == 'm') ADVANCE(62);
      END_STATE();
    case 54:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_break);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 61:
      if (lookahead == 'r') ADVANCE(68);
      END_STATE();
    case 62:
      if (lookahead == 'p') ADVANCE(69);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 64:
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(72);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_repeat);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_return);
      END_STATE();
    case 68:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 70:
      if (lookahead == 'g') ADVANCE(75);
      END_STATE();
    case 71:
      if (lookahead == '_') ADVANCE(76);
      END_STATE();
    case 72:
      if (lookahead == 'n') ADVANCE(77);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_NA_real_);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 79:
      if (lookahead == 'x') ADVANCE(82);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 82:
      if (lookahead == '_') ADVANCE(85);
      END_STATE();
    case 83:
      if (lookahead == '_') ADVANCE(86);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(87);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_NA_complex_);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_NA_integer_);
      END_STATE();
    case 87:
      if (lookahead == '_') ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_NA_character_);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 0, .external_lex_state = 2},
  [2] = {.lex_state = 0, .external_lex_state = 3},
  [3] = {.lex_state = 0, .external_lex_state = 4},
  [4] = {.lex_state = 0, .external_lex_state = 5},
  [5] = {.lex_state = 0, .external_lex_state = 5},
  [6] = {.lex_state = 0, .external_lex_state = 5},
  [7] = {.lex_state = 0, .external_lex_state = 5},
  [8] = {.lex_state = 0, .external_lex_state = 6},
  [9] = {.lex_state = 0, .external_lex_state = 6},
  [10] = {.lex_state = 0, .external_lex_state = 6},
  [11] = {.lex_state = 0, .external_lex_state = 6},
  [12] = {.lex_state = 0, .external_lex_state = 3},
  [13] = {.lex_state = 0, .external_lex_state = 3},
  [14] = {.lex_state = 0, .external_lex_state = 3},
  [15] = {.lex_state = 0, .external_lex_state = 3},
  [16] = {.lex_state = 0, .external_lex_state = 7},
  [17] = {.lex_state = 0, .external_lex_state = 7},
  [18] = {.lex_state = 0, .external_lex_state = 4},
  [19] = {.lex_state = 0, .external_lex_state = 7},
  [20] = {.lex_state = 0, .external_lex_state = 4},
  [21] = {.lex_state = 0, .external_lex_state = 7},
  [22] = {.lex_state = 0, .external_lex_state = 4},
  [23] = {.lex_state = 0, .external_lex_state = 4},
  [24] = {.lex_state = 0, .external_lex_state = 4},
  [25] = {.lex_state = 0, .external_lex_state = 4},
  [26] = {.lex_state = 0, .external_lex_state = 5},
  [27] = {.lex_state = 0, .external_lex_state = 5},
  [28] = {.lex_state = 0, .external_lex_state = 5},
  [29] = {.lex_state = 0, .external_lex_state = 5},
  [30] = {.lex_state = 0, .external_lex_state = 6},
  [31] = {.lex_state = 0, .external_lex_state = 6},
  [32] = {.lex_state = 0, .external_lex_state = 6},
  [33] = {.lex_state = 0, .external_lex_state = 6},
  [34] = {.lex_state = 0, .external_lex_state = 4},
  [35] = {.lex_state = 0, .external_lex_state = 3},
  [36] = {.lex_state = 0, .external_lex_state = 3},
  [37] = {.lex_state = 0, .external_lex_state = 3},
  [38] = {.lex_state = 0, .external_lex_state = 7},
  [39] = {.lex_state = 0, .external_lex_state = 7},
  [40] = {.lex_state = 0, .external_lex_state = 7},
  [41] = {.lex_state = 0, .external_lex_state = 7},
  [42] = {.lex_state = 0, .external_lex_state = 7},
  [43] = {.lex_state = 0, .external_lex_state = 4},
  [44] = {.lex_state = 0, .external_lex_state = 4},
  [45] = {.lex_state = 0, .external_lex_state = 4},
  [46] = {.lex_state = 0, .external_lex_state = 4},
  [47] = {.lex_state = 0, .external_lex_state = 4},
  [48] = {.lex_state = 0, .external_lex_state = 4},
  [49] = {.lex_state = 0, .external_lex_state = 4},
  [50] = {.lex_state = 0, .external_lex_state = 4},
  [51] = {.lex_state = 0, .external_lex_state = 4},
  [52] = {.lex_state = 0, .external_lex_state = 4},
  [53] = {.lex_state = 0, .external_lex_state = 4},
  [54] = {.lex_state = 0, .external_lex_state = 4},
  [55] = {.lex_state = 0, .external_lex_state = 4},
  [56] = {.lex_state = 0, .external_lex_state = 4},
  [57] = {.lex_state = 0, .external_lex_state = 4},
  [58] = {.lex_state = 0, .external_lex_state = 4},
  [59] = {.lex_state = 0, .external_lex_state = 4},
  [60] = {.lex_state = 0, .external_lex_state = 4},
  [61] = {.lex_state = 0, .external_lex_state = 4},
  [62] = {.lex_state = 0, .external_lex_state = 4},
  [63] = {.lex_state = 0, .external_lex_state = 4},
  [64] = {.lex_state = 0, .external_lex_state = 4},
  [65] = {.lex_state = 0, .external_lex_state = 4},
  [66] = {.lex_state = 0, .external_lex_state = 4},
  [67] = {.lex_state = 0, .external_lex_state = 4},
  [68] = {.lex_state = 0, .external_lex_state = 4},
  [69] = {.lex_state = 0, .external_lex_state = 4},
  [70] = {.lex_state = 0, .external_lex_state = 4},
  [71] = {.lex_state = 0, .external_lex_state = 4},
  [72] = {.lex_state = 0, .external_lex_state = 4},
  [73] = {.lex_state = 0, .external_lex_state = 4},
  [74] = {.lex_state = 0, .external_lex_state = 4},
  [75] = {.lex_state = 0, .external_lex_state = 4},
  [76] = {.lex_state = 0, .external_lex_state = 4},
  [77] = {.lex_state = 0, .external_lex_state = 5},
  [78] = {.lex_state = 0, .external_lex_state = 5},
  [79] = {.lex_state = 0, .external_lex_state = 5},
  [80] = {.lex_state = 0, .external_lex_state = 5},
  [81] = {.lex_state = 0, .external_lex_state = 5},
  [82] = {.lex_state = 0, .external_lex_state = 5},
  [83] = {.lex_state = 0, .external_lex_state = 5},
  [84] = {.lex_state = 0, .external_lex_state = 5},
  [85] = {.lex_state = 0, .external_lex_state = 5},
  [86] = {.lex_state = 0, .external_lex_state = 5},
  [87] = {.lex_state = 0, .external_lex_state = 5},
  [88] = {.lex_state = 0, .external_lex_state = 5},
  [89] = {.lex_state = 0, .external_lex_state = 5},
  [90] = {.lex_state = 0, .external_lex_state = 5},
  [91] = {.lex_state = 0, .external_lex_state = 5},
  [92] = {.lex_state = 0, .external_lex_state = 5},
  [93] = {.lex_state = 0, .external_lex_state = 5},
  [94] = {.lex_state = 0, .external_lex_state = 5},
  [95] = {.lex_state = 0, .external_lex_state = 5},
  [96] = {.lex_state = 0, .external_lex_state = 5},
  [97] = {.lex_state = 0, .external_lex_state = 5},
  [98] = {.lex_state = 0, .external_lex_state = 5},
  [99] = {.lex_state = 0, .external_lex_state = 5},
  [100] = {.lex_state = 0, .external_lex_state = 5},
  [101] = {.lex_state = 0, .external_lex_state = 5},
  [102] = {.lex_state = 0, .external_lex_state = 5},
  [103] = {.lex_state = 0, .external_lex_state = 5},
  [104] = {.lex_state = 0, .external_lex_state = 5},
  [105] = {.lex_state = 0, .external_lex_state = 5},
  [106] = {.lex_state = 0, .external_lex_state = 5},
  [107] = {.lex_state = 0, .external_lex_state = 5},
  [108] = {.lex_state = 0, .external_lex_state = 5},
  [109] = {.lex_state = 0, .external_lex_state = 5},
  [110] = {.lex_state = 0, .external_lex_state = 5},
  [111] = {.lex_state = 0, .external_lex_state = 5},
  [112] = {.lex_state = 0, .external_lex_state = 5},
  [113] = {.lex_state = 0, .external_lex_state = 5},
  [114] = {.lex_state = 0, .external_lex_state = 5},
  [115] = {.lex_state = 0, .external_lex_state = 5},
  [116] = {.lex_state = 0, .external_lex_state = 5},
  [117] = {.lex_state = 0, .external_lex_state = 5},
  [118] = {.lex_state = 0, .external_lex_state = 5},
  [119] = {.lex_state = 0, .external_lex_state = 5},
  [120] = {.lex_state = 0, .external_lex_state = 5},
  [121] = {.lex_state = 0, .external_lex_state = 5},
  [122] = {.lex_state = 0, .external_lex_state = 5},
  [123] = {.lex_state = 0, .external_lex_state = 5},
  [124] = {.lex_state = 0, .external_lex_state = 5},
  [125] = {.lex_state = 0, .external_lex_state = 5},
  [126] = {.lex_state = 0, .external_lex_state = 5},
  [127] = {.lex_state = 0, .external_lex_state = 5},
  [128] = {.lex_state = 0, .external_lex_state = 5},
  [129] = {.lex_state = 0, .external_lex_state = 5},
  [130] = {.lex_state = 0, .external_lex_state = 5},
  [131] = {.lex_state = 0, .external_lex_state = 5},
  [132] = {.lex_state = 0, .external_lex_state = 5},
  [133] = {.lex_state = 0, .external_lex_state = 6},
  [134] = {.lex_state = 0, .external_lex_state = 6},
  [135] = {.lex_state = 0, .external_lex_state = 6},
  [136] = {.lex_state = 0, .external_lex_state = 6},
  [137] = {.lex_state = 0, .external_lex_state = 6},
  [138] = {.lex_state = 0, .external_lex_state = 4},
  [139] = {.lex_state = 0, .external_lex_state = 6},
  [140] = {.lex_state = 0, .external_lex_state = 6},
  [141] = {.lex_state = 0, .external_lex_state = 6},
  [142] = {.lex_state = 0, .external_lex_state = 6},
  [143] = {.lex_state = 0, .external_lex_state = 6},
  [144] = {.lex_state = 0, .external_lex_state = 6},
  [145] = {.lex_state = 0, .external_lex_state = 6},
  [146] = {.lex_state = 0, .external_lex_state = 6},
  [147] = {.lex_state = 0, .external_lex_state = 6},
  [148] = {.lex_state = 0, .external_lex_state = 6},
  [149] = {.lex_state = 0, .external_lex_state = 6},
  [150] = {.lex_state = 0, .external_lex_state = 6},
  [151] = {.lex_state = 0, .external_lex_state = 6},
  [152] = {.lex_state = 0, .external_lex_state = 6},
  [153] = {.lex_state = 0, .external_lex_state = 6},
  [154] = {.lex_state = 0, .external_lex_state = 6},
  [155] = {.lex_state = 0, .external_lex_state = 6},
  [156] = {.lex_state = 0, .external_lex_state = 6},
  [157] = {.lex_state = 0, .external_lex_state = 6},
  [158] = {.lex_state = 0, .external_lex_state = 6},
  [159] = {.lex_state = 0, .external_lex_state = 6},
  [160] = {.lex_state = 0, .external_lex_state = 6},
  [161] = {.lex_state = 0, .external_lex_state = 6},
  [162] = {.lex_state = 0, .external_lex_state = 6},
  [163] = {.lex_state = 0, .external_lex_state = 6},
  [164] = {.lex_state = 0, .external_lex_state = 6},
  [165] = {.lex_state = 0, .external_lex_state = 6},
  [166] = {.lex_state = 0, .external_lex_state = 6},
  [167] = {.lex_state = 0, .external_lex_state = 6},
  [168] = {.lex_state = 0, .external_lex_state = 6},
  [169] = {.lex_state = 0, .external_lex_state = 6},
  [170] = {.lex_state = 0, .external_lex_state = 6},
  [171] = {.lex_state = 0, .external_lex_state = 6},
  [172] = {.lex_state = 0, .external_lex_state = 6},
  [173] = {.lex_state = 0, .external_lex_state = 6},
  [174] = {.lex_state = 0, .external_lex_state = 6},
  [175] = {.lex_state = 0, .external_lex_state = 6},
  [176] = {.lex_state = 0, .external_lex_state = 6},
  [177] = {.lex_state = 0, .external_lex_state = 6},
  [178] = {.lex_state = 0, .external_lex_state = 6},
  [179] = {.lex_state = 0, .external_lex_state = 6},
  [180] = {.lex_state = 0, .external_lex_state = 6},
  [181] = {.lex_state = 0, .external_lex_state = 6},
  [182] = {.lex_state = 0, .external_lex_state = 6},
  [183] = {.lex_state = 0, .external_lex_state = 6},
  [184] = {.lex_state = 0, .external_lex_state = 6},
  [185] = {.lex_state = 0, .external_lex_state = 6},
  [186] = {.lex_state = 0, .external_lex_state = 6},
  [187] = {.lex_state = 0, .external_lex_state = 6},
  [188] = {.lex_state = 0, .external_lex_state = 6},
  [189] = {.lex_state = 0, .external_lex_state = 6},
  [190] = {.lex_state = 0, .external_lex_state = 3},
  [191] = {.lex_state = 0, .external_lex_state = 3},
  [192] = {.lex_state = 0, .external_lex_state = 3},
  [193] = {.lex_state = 0, .external_lex_state = 3},
  [194] = {.lex_state = 0, .external_lex_state = 4},
  [195] = {.lex_state = 0, .external_lex_state = 3},
  [196] = {.lex_state = 0, .external_lex_state = 3},
  [197] = {.lex_state = 0, .external_lex_state = 3},
  [198] = {.lex_state = 0, .external_lex_state = 3},
  [199] = {.lex_state = 0, .external_lex_state = 3},
  [200] = {.lex_state = 0, .external_lex_state = 3},
  [201] = {.lex_state = 0, .external_lex_state = 3},
  [202] = {.lex_state = 0, .external_lex_state = 3},
  [203] = {.lex_state = 0, .external_lex_state = 3},
  [204] = {.lex_state = 0, .external_lex_state = 3},
  [205] = {.lex_state = 0, .external_lex_state = 3},
  [206] = {.lex_state = 0, .external_lex_state = 3},
  [207] = {.lex_state = 0, .external_lex_state = 3},
  [208] = {.lex_state = 0, .external_lex_state = 3},
  [209] = {.lex_state = 0, .external_lex_state = 3},
  [210] = {.lex_state = 0, .external_lex_state = 3},
  [211] = {.lex_state = 0, .external_lex_state = 3},
  [212] = {.lex_state = 0, .external_lex_state = 3},
  [213] = {.lex_state = 0, .external_lex_state = 3},
  [214] = {.lex_state = 0, .external_lex_state = 3},
  [215] = {.lex_state = 0, .external_lex_state = 3},
  [216] = {.lex_state = 0, .external_lex_state = 3},
  [217] = {.lex_state = 0, .external_lex_state = 3},
  [218] = {.lex_state = 0, .external_lex_state = 3},
  [219] = {.lex_state = 0, .external_lex_state = 3},
  [220] = {.lex_state = 0, .external_lex_state = 3},
  [221] = {.lex_state = 0, .external_lex_state = 3},
  [222] = {.lex_state = 0, .external_lex_state = 3},
  [223] = {.lex_state = 0, .external_lex_state = 3},
  [224] = {.lex_state = 0, .external_lex_state = 3},
  [225] = {.lex_state = 0, .external_lex_state = 3},
  [226] = {.lex_state = 0, .external_lex_state = 3},
  [227] = {.lex_state = 0, .external_lex_state = 3},
  [228] = {.lex_state = 0, .external_lex_state = 3},
  [229] = {.lex_state = 0, .external_lex_state = 3},
  [230] = {.lex_state = 0, .external_lex_state = 3},
  [231] = {.lex_state = 0, .external_lex_state = 3},
  [232] = {.lex_state = 0, .external_lex_state = 3},
  [233] = {.lex_state = 0, .external_lex_state = 3},
  [234] = {.lex_state = 0, .external_lex_state = 3},
  [235] = {.lex_state = 0, .external_lex_state = 3},
  [236] = {.lex_state = 0, .external_lex_state = 3},
  [237] = {.lex_state = 0, .external_lex_state = 3},
  [238] = {.lex_state = 0, .external_lex_state = 3},
  [239] = {.lex_state = 0, .external_lex_state = 3},
  [240] = {.lex_state = 0, .external_lex_state = 3},
  [241] = {.lex_state = 0, .external_lex_state = 3},
  [242] = {.lex_state = 0, .external_lex_state = 3},
  [243] = {.lex_state = 0, .external_lex_state = 3},
  [244] = {.lex_state = 0, .external_lex_state = 3},
  [245] = {.lex_state = 0, .external_lex_state = 3},
  [246] = {.lex_state = 0, .external_lex_state = 7},
  [247] = {.lex_state = 0, .external_lex_state = 7},
  [248] = {.lex_state = 0, .external_lex_state = 7},
  [249] = {.lex_state = 0, .external_lex_state = 7},
  [250] = {.lex_state = 0, .external_lex_state = 7},
  [251] = {.lex_state = 0, .external_lex_state = 7},
  [252] = {.lex_state = 0, .external_lex_state = 7},
  [253] = {.lex_state = 0, .external_lex_state = 7},
  [254] = {.lex_state = 0, .external_lex_state = 7},
  [255] = {.lex_state = 0, .external_lex_state = 7},
  [256] = {.lex_state = 0, .external_lex_state = 7},
  [257] = {.lex_state = 0, .external_lex_state = 7},
  [258] = {.lex_state = 0, .external_lex_state = 7},
  [259] = {.lex_state = 0, .external_lex_state = 7},
  [260] = {.lex_state = 0, .external_lex_state = 7},
  [261] = {.lex_state = 0, .external_lex_state = 7},
  [262] = {.lex_state = 0, .external_lex_state = 7},
  [263] = {.lex_state = 0, .external_lex_state = 7},
  [264] = {.lex_state = 0, .external_lex_state = 7},
  [265] = {.lex_state = 0, .external_lex_state = 7},
  [266] = {.lex_state = 0, .external_lex_state = 7},
  [267] = {.lex_state = 0, .external_lex_state = 7},
  [268] = {.lex_state = 0, .external_lex_state = 7},
  [269] = {.lex_state = 0, .external_lex_state = 7},
  [270] = {.lex_state = 0, .external_lex_state = 7},
  [271] = {.lex_state = 0, .external_lex_state = 7},
  [272] = {.lex_state = 0, .external_lex_state = 7},
  [273] = {.lex_state = 0, .external_lex_state = 7},
  [274] = {.lex_state = 0, .external_lex_state = 7},
  [275] = {.lex_state = 0, .external_lex_state = 7},
  [276] = {.lex_state = 0, .external_lex_state = 7},
  [277] = {.lex_state = 0, .external_lex_state = 7},
  [278] = {.lex_state = 0, .external_lex_state = 7},
  [279] = {.lex_state = 0, .external_lex_state = 7},
  [280] = {.lex_state = 0, .external_lex_state = 7},
  [281] = {.lex_state = 0, .external_lex_state = 7},
  [282] = {.lex_state = 0, .external_lex_state = 7},
  [283] = {.lex_state = 0, .external_lex_state = 7},
  [284] = {.lex_state = 0, .external_lex_state = 7},
  [285] = {.lex_state = 0, .external_lex_state = 7},
  [286] = {.lex_state = 0, .external_lex_state = 7},
  [287] = {.lex_state = 0, .external_lex_state = 7},
  [288] = {.lex_state = 0, .external_lex_state = 7},
  [289] = {.lex_state = 0, .external_lex_state = 7},
  [290] = {.lex_state = 0, .external_lex_state = 7},
  [291] = {.lex_state = 0, .external_lex_state = 7},
  [292] = {.lex_state = 0, .external_lex_state = 7},
  [293] = {.lex_state = 0, .external_lex_state = 7},
  [294] = {.lex_state = 0, .external_lex_state = 7},
  [295] = {.lex_state = 0, .external_lex_state = 7},
  [296] = {.lex_state = 0, .external_lex_state = 7},
  [297] = {.lex_state = 0, .external_lex_state = 7},
  [298] = {.lex_state = 0, .external_lex_state = 7},
  [299] = {.lex_state = 0, .external_lex_state = 4},
  [300] = {.lex_state = 0, .external_lex_state = 7},
  [301] = {.lex_state = 0, .external_lex_state = 7},
  [302] = {.lex_state = 0, .external_lex_state = 4},
  [303] = {.lex_state = 0, .external_lex_state = 4},
  [304] = {.lex_state = 0, .external_lex_state = 4},
  [305] = {.lex_state = 0, .external_lex_state = 4},
  [306] = {.lex_state = 0, .external_lex_state = 4},
  [307] = {.lex_state = 0, .external_lex_state = 4},
  [308] = {.lex_state = 0, .external_lex_state = 4},
  [309] = {.lex_state = 0, .external_lex_state = 4},
  [310] = {.lex_state = 0, .external_lex_state = 4},
  [311] = {.lex_state = 0, .external_lex_state = 4},
  [312] = {.lex_state = 0, .external_lex_state = 4},
  [313] = {.lex_state = 0, .external_lex_state = 4},
  [314] = {.lex_state = 0, .external_lex_state = 4},
  [315] = {.lex_state = 0, .external_lex_state = 4},
  [316] = {.lex_state = 0, .external_lex_state = 4},
  [317] = {.lex_state = 0, .external_lex_state = 4},
  [318] = {.lex_state = 0, .external_lex_state = 4},
  [319] = {.lex_state = 0, .external_lex_state = 4},
  [320] = {.lex_state = 0, .external_lex_state = 4},
  [321] = {.lex_state = 0, .external_lex_state = 3},
  [322] = {.lex_state = 0, .external_lex_state = 8},
  [323] = {.lex_state = 0, .external_lex_state = 9},
  [324] = {.lex_state = 0, .external_lex_state = 9},
  [325] = {.lex_state = 0, .external_lex_state = 9},
  [326] = {.lex_state = 0, .external_lex_state = 9},
  [327] = {.lex_state = 0, .external_lex_state = 9},
  [328] = {.lex_state = 0, .external_lex_state = 9},
  [329] = {.lex_state = 0, .external_lex_state = 9},
  [330] = {.lex_state = 0, .external_lex_state = 9},
  [331] = {.lex_state = 0, .external_lex_state = 9},
  [332] = {.lex_state = 0, .external_lex_state = 9},
  [333] = {.lex_state = 0, .external_lex_state = 9},
  [334] = {.lex_state = 0, .external_lex_state = 9},
  [335] = {.lex_state = 0, .external_lex_state = 9},
  [336] = {.lex_state = 0, .external_lex_state = 9},
  [337] = {.lex_state = 0, .external_lex_state = 9},
  [338] = {.lex_state = 0, .external_lex_state = 9},
  [339] = {.lex_state = 0, .external_lex_state = 9},
  [340] = {.lex_state = 0, .external_lex_state = 9},
  [341] = {.lex_state = 0, .external_lex_state = 9},
  [342] = {.lex_state = 0, .external_lex_state = 9},
  [343] = {.lex_state = 0, .external_lex_state = 9},
  [344] = {.lex_state = 0, .external_lex_state = 9},
  [345] = {.lex_state = 0, .external_lex_state = 9},
  [346] = {.lex_state = 0, .external_lex_state = 9},
  [347] = {.lex_state = 0, .external_lex_state = 10},
  [348] = {.lex_state = 0, .external_lex_state = 11},
  [349] = {.lex_state = 0, .external_lex_state = 9},
  [350] = {.lex_state = 0, .external_lex_state = 9},
  [351] = {.lex_state = 0, .external_lex_state = 9},
  [352] = {.lex_state = 0, .external_lex_state = 9},
  [353] = {.lex_state = 0, .external_lex_state = 9},
  [354] = {.lex_state = 0, .external_lex_state = 9},
  [355] = {.lex_state = 0, .external_lex_state = 9},
  [356] = {.lex_state = 0, .external_lex_state = 9},
  [357] = {.lex_state = 0, .external_lex_state = 9},
  [358] = {.lex_state = 0, .external_lex_state = 9},
  [359] = {.lex_state = 0, .external_lex_state = 9},
  [360] = {.lex_state = 0, .external_lex_state = 9},
  [361] = {.lex_state = 0, .external_lex_state = 9},
  [362] = {.lex_state = 0, .external_lex_state = 9},
  [363] = {.lex_state = 0, .external_lex_state = 9},
  [364] = {.lex_state = 0, .external_lex_state = 9},
  [365] = {.lex_state = 0, .external_lex_state = 8},
  [366] = {.lex_state = 0, .external_lex_state = 9},
  [367] = {.lex_state = 0, .external_lex_state = 9},
  [368] = {.lex_state = 0, .external_lex_state = 9},
  [369] = {.lex_state = 0, .external_lex_state = 9},
  [370] = {.lex_state = 0, .external_lex_state = 9},
  [371] = {.lex_state = 0, .external_lex_state = 9},
  [372] = {.lex_state = 0, .external_lex_state = 9},
  [373] = {.lex_state = 0, .external_lex_state = 9},
  [374] = {.lex_state = 0, .external_lex_state = 9},
  [375] = {.lex_state = 0, .external_lex_state = 9},
  [376] = {.lex_state = 0, .external_lex_state = 9},
  [377] = {.lex_state = 0, .external_lex_state = 9},
  [378] = {.lex_state = 0, .external_lex_state = 9},
  [379] = {.lex_state = 0, .external_lex_state = 9},
  [380] = {.lex_state = 0, .external_lex_state = 9},
  [381] = {.lex_state = 0, .external_lex_state = 9},
  [382] = {.lex_state = 0, .external_lex_state = 12},
  [383] = {.lex_state = 0, .external_lex_state = 12},
  [384] = {.lex_state = 0, .external_lex_state = 12},
  [385] = {.lex_state = 0, .external_lex_state = 12},
  [386] = {.lex_state = 0, .external_lex_state = 12},
  [387] = {.lex_state = 0, .external_lex_state = 12},
  [388] = {.lex_state = 0, .external_lex_state = 12},
  [389] = {.lex_state = 0, .external_lex_state = 12},
  [390] = {.lex_state = 0, .external_lex_state = 12},
  [391] = {.lex_state = 0, .external_lex_state = 12},
  [392] = {.lex_state = 0, .external_lex_state = 12},
  [393] = {.lex_state = 0, .external_lex_state = 12},
  [394] = {.lex_state = 0, .external_lex_state = 12},
  [395] = {.lex_state = 0, .external_lex_state = 12},
  [396] = {.lex_state = 0, .external_lex_state = 12},
  [397] = {.lex_state = 0, .external_lex_state = 12},
  [398] = {.lex_state = 0, .external_lex_state = 12},
  [399] = {.lex_state = 0, .external_lex_state = 12},
  [400] = {.lex_state = 0, .external_lex_state = 12},
  [401] = {.lex_state = 0, .external_lex_state = 12},
  [402] = {.lex_state = 0, .external_lex_state = 12},
  [403] = {.lex_state = 0, .external_lex_state = 12},
  [404] = {.lex_state = 0, .external_lex_state = 12},
  [405] = {.lex_state = 0, .external_lex_state = 12},
  [406] = {.lex_state = 0, .external_lex_state = 10},
  [407] = {.lex_state = 0, .external_lex_state = 11},
  [408] = {.lex_state = 0, .external_lex_state = 12},
  [409] = {.lex_state = 0, .external_lex_state = 12},
  [410] = {.lex_state = 0, .external_lex_state = 12},
  [411] = {.lex_state = 0, .external_lex_state = 12},
  [412] = {.lex_state = 0, .external_lex_state = 12},
  [413] = {.lex_state = 0, .external_lex_state = 12},
  [414] = {.lex_state = 0, .external_lex_state = 12},
  [415] = {.lex_state = 0, .external_lex_state = 12},
  [416] = {.lex_state = 0, .external_lex_state = 12},
  [417] = {.lex_state = 0, .external_lex_state = 12},
  [418] = {.lex_state = 0, .external_lex_state = 12},
  [419] = {.lex_state = 0, .external_lex_state = 12},
  [420] = {.lex_state = 0, .external_lex_state = 12},
  [421] = {.lex_state = 0, .external_lex_state = 12},
  [422] = {.lex_state = 0, .external_lex_state = 12},
  [423] = {.lex_state = 0, .external_lex_state = 12},
  [424] = {.lex_state = 0, .external_lex_state = 12},
  [425] = {.lex_state = 0, .external_lex_state = 12},
  [426] = {.lex_state = 0, .external_lex_state = 12},
  [427] = {.lex_state = 0, .external_lex_state = 12},
  [428] = {.lex_state = 0, .external_lex_state = 12},
  [429] = {.lex_state = 0, .external_lex_state = 12},
  [430] = {.lex_state = 0, .external_lex_state = 12},
  [431] = {.lex_state = 0, .external_lex_state = 12},
  [432] = {.lex_state = 0, .external_lex_state = 12},
  [433] = {.lex_state = 0, .external_lex_state = 12},
  [434] = {.lex_state = 0, .external_lex_state = 12},
  [435] = {.lex_state = 0, .external_lex_state = 12},
  [436] = {.lex_state = 0, .external_lex_state = 12},
  [437] = {.lex_state = 0, .external_lex_state = 12},
  [438] = {.lex_state = 0, .external_lex_state = 12},
  [439] = {.lex_state = 0, .external_lex_state = 12},
  [440] = {.lex_state = 0, .external_lex_state = 13},
  [441] = {.lex_state = 0, .external_lex_state = 10},
  [442] = {.lex_state = 0, .external_lex_state = 11},
  [443] = {.lex_state = 0, .external_lex_state = 4},
  [444] = {.lex_state = 0, .external_lex_state = 14},
  [445] = {.lex_state = 0, .external_lex_state = 8},
  [446] = {.lex_state = 0, .external_lex_state = 8},
  [447] = {.lex_state = 0, .external_lex_state = 8},
  [448] = {.lex_state = 0, .external_lex_state = 8},
  [449] = {.lex_state = 0, .external_lex_state = 8},
  [450] = {.lex_state = 0, .external_lex_state = 8},
  [451] = {.lex_state = 0, .external_lex_state = 8},
  [452] = {.lex_state = 0, .external_lex_state = 8},
  [453] = {.lex_state = 0, .external_lex_state = 8},
  [454] = {.lex_state = 0, .external_lex_state = 8},
  [455] = {.lex_state = 0, .external_lex_state = 4},
  [456] = {.lex_state = 0, .external_lex_state = 10},
  [457] = {.lex_state = 0, .external_lex_state = 11},
  [458] = {.lex_state = 0, .external_lex_state = 8},
  [459] = {.lex_state = 0, .external_lex_state = 8},
  [460] = {.lex_state = 0, .external_lex_state = 8},
  [461] = {.lex_state = 0, .external_lex_state = 8},
  [462] = {.lex_state = 0, .external_lex_state = 8},
  [463] = {.lex_state = 0, .external_lex_state = 8},
  [464] = {.lex_state = 0, .external_lex_state = 8},
  [465] = {.lex_state = 0, .external_lex_state = 8},
  [466] = {.lex_state = 0, .external_lex_state = 8},
  [467] = {.lex_state = 0, .external_lex_state = 15},
  [468] = {.lex_state = 0, .external_lex_state = 13},
  [469] = {.lex_state = 0, .external_lex_state = 10},
  [470] = {.lex_state = 0, .external_lex_state = 11},
  [471] = {.lex_state = 0, .external_lex_state = 8},
  [472] = {.lex_state = 0, .external_lex_state = 8},
  [473] = {.lex_state = 0, .external_lex_state = 8},
  [474] = {.lex_state = 0, .external_lex_state = 8},
  [475] = {.lex_state = 0, .external_lex_state = 8},
  [476] = {.lex_state = 0, .external_lex_state = 8},
  [477] = {.lex_state = 0, .external_lex_state = 8},
  [478] = {.lex_state = 0, .external_lex_state = 8},
  [479] = {.lex_state = 0, .external_lex_state = 8},
  [480] = {.lex_state = 0, .external_lex_state = 8},
  [481] = {.lex_state = 0, .external_lex_state = 8},
  [482] = {.lex_state = 0, .external_lex_state = 5},
  [483] = {.lex_state = 0, .external_lex_state = 8},
  [484] = {.lex_state = 0, .external_lex_state = 8},
  [485] = {.lex_state = 0, .external_lex_state = 8},
  [486] = {.lex_state = 0, .external_lex_state = 8},
  [487] = {.lex_state = 0, .external_lex_state = 8},
  [488] = {.lex_state = 0, .external_lex_state = 8},
  [489] = {.lex_state = 0, .external_lex_state = 8},
  [490] = {.lex_state = 0, .external_lex_state = 8},
  [491] = {.lex_state = 0, .external_lex_state = 8},
  [492] = {.lex_state = 0, .external_lex_state = 5},
  [493] = {.lex_state = 0, .external_lex_state = 10},
  [494] = {.lex_state = 0, .external_lex_state = 11},
  [495] = {.lex_state = 0, .external_lex_state = 8},
  [496] = {.lex_state = 0, .external_lex_state = 8},
  [497] = {.lex_state = 0, .external_lex_state = 8},
  [498] = {.lex_state = 0, .external_lex_state = 8},
  [499] = {.lex_state = 0, .external_lex_state = 8},
  [500] = {.lex_state = 0, .external_lex_state = 8},
  [501] = {.lex_state = 0, .external_lex_state = 8},
  [502] = {.lex_state = 0, .external_lex_state = 8},
  [503] = {.lex_state = 0, .external_lex_state = 8},
  [504] = {.lex_state = 0, .external_lex_state = 8},
  [505] = {.lex_state = 0, .external_lex_state = 8},
  [506] = {.lex_state = 0, .external_lex_state = 15},
  [507] = {.lex_state = 0, .external_lex_state = 15},
  [508] = {.lex_state = 0, .external_lex_state = 15},
  [509] = {.lex_state = 0, .external_lex_state = 15},
  [510] = {.lex_state = 0, .external_lex_state = 15},
  [511] = {.lex_state = 0, .external_lex_state = 15},
  [512] = {.lex_state = 0, .external_lex_state = 15},
  [513] = {.lex_state = 0, .external_lex_state = 15},
  [514] = {.lex_state = 0, .external_lex_state = 6},
  [515] = {.lex_state = 0, .external_lex_state = 15},
  [516] = {.lex_state = 0, .external_lex_state = 15},
  [517] = {.lex_state = 0, .external_lex_state = 15},
  [518] = {.lex_state = 0, .external_lex_state = 15},
  [519] = {.lex_state = 0, .external_lex_state = 15},
  [520] = {.lex_state = 0, .external_lex_state = 15},
  [521] = {.lex_state = 0, .external_lex_state = 15},
  [522] = {.lex_state = 0, .external_lex_state = 11},
  [523] = {.lex_state = 0, .external_lex_state = 15},
  [524] = {.lex_state = 0, .external_lex_state = 15},
  [525] = {.lex_state = 0, .external_lex_state = 15},
  [526] = {.lex_state = 0, .external_lex_state = 15},
  [527] = {.lex_state = 0, .external_lex_state = 15},
  [528] = {.lex_state = 0, .external_lex_state = 15},
  [529] = {.lex_state = 0, .external_lex_state = 15},
  [530] = {.lex_state = 0, .external_lex_state = 15},
  [531] = {.lex_state = 0, .external_lex_state = 6},
  [532] = {.lex_state = 0, .external_lex_state = 10},
  [533] = {.lex_state = 0, .external_lex_state = 11},
  [534] = {.lex_state = 0, .external_lex_state = 9},
  [535] = {.lex_state = 0, .external_lex_state = 13},
  [536] = {.lex_state = 0, .external_lex_state = 10},
  [537] = {.lex_state = 0, .external_lex_state = 11},
  [538] = {.lex_state = 0, .external_lex_state = 15},
  [539] = {.lex_state = 0, .external_lex_state = 15},
  [540] = {.lex_state = 0, .external_lex_state = 15},
  [541] = {.lex_state = 0, .external_lex_state = 15},
  [542] = {.lex_state = 0, .external_lex_state = 15},
  [543] = {.lex_state = 0, .external_lex_state = 15},
  [544] = {.lex_state = 0, .external_lex_state = 15},
  [545] = {.lex_state = 0, .external_lex_state = 15},
  [546] = {.lex_state = 0, .external_lex_state = 15},
  [547] = {.lex_state = 0, .external_lex_state = 15},
  [548] = {.lex_state = 0, .external_lex_state = 15},
  [549] = {.lex_state = 0, .external_lex_state = 15},
  [550] = {.lex_state = 0, .external_lex_state = 15},
  [551] = {.lex_state = 0, .external_lex_state = 15},
  [552] = {.lex_state = 0, .external_lex_state = 15},
  [553] = {.lex_state = 0, .external_lex_state = 10},
  [554] = {.lex_state = 0, .external_lex_state = 11},
  [555] = {.lex_state = 0, .external_lex_state = 15},
  [556] = {.lex_state = 0, .external_lex_state = 8},
  [557] = {.lex_state = 0, .external_lex_state = 15},
  [558] = {.lex_state = 0, .external_lex_state = 3},
  [559] = {.lex_state = 0, .external_lex_state = 15},
  [560] = {.lex_state = 0, .external_lex_state = 15},
  [561] = {.lex_state = 0, .external_lex_state = 15},
  [562] = {.lex_state = 0, .external_lex_state = 15},
  [563] = {.lex_state = 0, .external_lex_state = 15},
  [564] = {.lex_state = 0, .external_lex_state = 15},
  [565] = {.lex_state = 0, .external_lex_state = 15},
  [566] = {.lex_state = 0, .external_lex_state = 15},
  [567] = {.lex_state = 0, .external_lex_state = 15},
  [568] = {.lex_state = 0, .external_lex_state = 15},
  [569] = {.lex_state = 0, .external_lex_state = 15},
  [570] = {.lex_state = 0, .external_lex_state = 15},
  [571] = {.lex_state = 0, .external_lex_state = 15},
  [572] = {.lex_state = 0, .external_lex_state = 15},
  [573] = {.lex_state = 0, .external_lex_state = 15},
  [574] = {.lex_state = 0, .external_lex_state = 3},
  [575] = {.lex_state = 0, .external_lex_state = 10},
  [576] = {.lex_state = 0, .external_lex_state = 11},
  [577] = {.lex_state = 0, .external_lex_state = 14},
  [578] = {.lex_state = 0, .external_lex_state = 14},
  [579] = {.lex_state = 0, .external_lex_state = 14},
  [580] = {.lex_state = 0, .external_lex_state = 14},
  [581] = {.lex_state = 0, .external_lex_state = 14},
  [582] = {.lex_state = 0, .external_lex_state = 14},
  [583] = {.lex_state = 0, .external_lex_state = 14},
  [584] = {.lex_state = 0, .external_lex_state = 14},
  [585] = {.lex_state = 0, .external_lex_state = 14},
  [586] = {.lex_state = 0, .external_lex_state = 14},
  [587] = {.lex_state = 0, .external_lex_state = 14},
  [588] = {.lex_state = 0, .external_lex_state = 14},
  [589] = {.lex_state = 0, .external_lex_state = 14},
  [590] = {.lex_state = 0, .external_lex_state = 14},
  [591] = {.lex_state = 0, .external_lex_state = 14},
  [592] = {.lex_state = 0, .external_lex_state = 14},
  [593] = {.lex_state = 0, .external_lex_state = 14},
  [594] = {.lex_state = 0, .external_lex_state = 7},
  [595] = {.lex_state = 0, .external_lex_state = 14},
  [596] = {.lex_state = 0, .external_lex_state = 14},
  [597] = {.lex_state = 0, .external_lex_state = 14},
  [598] = {.lex_state = 0, .external_lex_state = 14},
  [599] = {.lex_state = 0, .external_lex_state = 14},
  [600] = {.lex_state = 0, .external_lex_state = 14},
  [601] = {.lex_state = 0, .external_lex_state = 14},
  [602] = {.lex_state = 0, .external_lex_state = 12},
  [603] = {.lex_state = 0, .external_lex_state = 10},
  [604] = {.lex_state = 0, .external_lex_state = 11},
  [605] = {.lex_state = 0, .external_lex_state = 7},
  [606] = {.lex_state = 0, .external_lex_state = 10},
  [607] = {.lex_state = 0, .external_lex_state = 11},
  [608] = {.lex_state = 0, .external_lex_state = 14},
  [609] = {.lex_state = 0, .external_lex_state = 14},
  [610] = {.lex_state = 0, .external_lex_state = 14},
  [611] = {.lex_state = 0, .external_lex_state = 14},
  [612] = {.lex_state = 0, .external_lex_state = 14},
  [613] = {.lex_state = 0, .external_lex_state = 14},
  [614] = {.lex_state = 0, .external_lex_state = 14},
  [615] = {.lex_state = 0, .external_lex_state = 14},
  [616] = {.lex_state = 0, .external_lex_state = 14},
  [617] = {.lex_state = 0, .external_lex_state = 14},
  [618] = {.lex_state = 0, .external_lex_state = 14},
  [619] = {.lex_state = 0, .external_lex_state = 14},
  [620] = {.lex_state = 0, .external_lex_state = 14},
  [621] = {.lex_state = 0, .external_lex_state = 14},
  [622] = {.lex_state = 0, .external_lex_state = 14},
  [623] = {.lex_state = 0, .external_lex_state = 14},
  [624] = {.lex_state = 0, .external_lex_state = 8},
  [625] = {.lex_state = 0, .external_lex_state = 14},
  [626] = {.lex_state = 0, .external_lex_state = 8},
  [627] = {.lex_state = 0, .external_lex_state = 8},
  [628] = {.lex_state = 0, .external_lex_state = 14},
  [629] = {.lex_state = 0, .external_lex_state = 14},
  [630] = {.lex_state = 0, .external_lex_state = 14},
  [631] = {.lex_state = 0, .external_lex_state = 8},
  [632] = {.lex_state = 0, .external_lex_state = 14},
  [633] = {.lex_state = 0, .external_lex_state = 13},
  [634] = {.lex_state = 0, .external_lex_state = 10},
  [635] = {.lex_state = 0, .external_lex_state = 11},
  [636] = {.lex_state = 0, .external_lex_state = 14},
  [637] = {.lex_state = 0, .external_lex_state = 14},
  [638] = {.lex_state = 0, .external_lex_state = 14},
  [639] = {.lex_state = 0, .external_lex_state = 14},
  [640] = {.lex_state = 0, .external_lex_state = 13},
  [641] = {.lex_state = 0, .external_lex_state = 14},
  [642] = {.lex_state = 0, .external_lex_state = 14},
  [643] = {.lex_state = 0, .external_lex_state = 14},
  [644] = {.lex_state = 0, .external_lex_state = 14},
  [645] = {.lex_state = 0, .external_lex_state = 14},
  [646] = {.lex_state = 0, .external_lex_state = 14},
  [647] = {.lex_state = 0, .external_lex_state = 14},
  [648] = {.lex_state = 0, .external_lex_state = 10},
  [649] = {.lex_state = 0, .external_lex_state = 11},
  [650] = {.lex_state = 0, .external_lex_state = 13},
  [651] = {.lex_state = 0, .external_lex_state = 10},
  [652] = {.lex_state = 0, .external_lex_state = 11},
  [653] = {.lex_state = 0, .external_lex_state = 13},
  [654] = {.lex_state = 0, .external_lex_state = 13},
  [655] = {.lex_state = 0, .external_lex_state = 10},
  [656] = {.lex_state = 0, .external_lex_state = 11},
  [657] = {.lex_state = 0, .external_lex_state = 13},
  [658] = {.lex_state = 0, .external_lex_state = 13},
  [659] = {.lex_state = 0, .external_lex_state = 10},
  [660] = {.lex_state = 0, .external_lex_state = 11},
  [661] = {.lex_state = 0, .external_lex_state = 13},
  [662] = {.lex_state = 0, .external_lex_state = 13},
  [663] = {.lex_state = 0, .external_lex_state = 10},
  [664] = {.lex_state = 0, .external_lex_state = 11},
  [665] = {.lex_state = 0, .external_lex_state = 13},
  [666] = {.lex_state = 0, .external_lex_state = 13},
  [667] = {.lex_state = 0, .external_lex_state = 10},
  [668] = {.lex_state = 0, .external_lex_state = 11},
  [669] = {.lex_state = 0, .external_lex_state = 13},
  [670] = {.lex_state = 0, .external_lex_state = 13},
  [671] = {.lex_state = 0, .external_lex_state = 10},
  [672] = {.lex_state = 0, .external_lex_state = 11},
  [673] = {.lex_state = 0, .external_lex_state = 13},
  [674] = {.lex_state = 0, .external_lex_state = 13},
  [675] = {.lex_state = 0, .external_lex_state = 10},
  [676] = {.lex_state = 0, .external_lex_state = 11},
  [677] = {.lex_state = 0, .external_lex_state = 13},
  [678] = {.lex_state = 0, .external_lex_state = 13},
  [679] = {.lex_state = 0, .external_lex_state = 10},
  [680] = {.lex_state = 0, .external_lex_state = 11},
  [681] = {.lex_state = 0, .external_lex_state = 13},
  [682] = {.lex_state = 0, .external_lex_state = 13},
  [683] = {.lex_state = 0, .external_lex_state = 10},
  [684] = {.lex_state = 0, .external_lex_state = 11},
  [685] = {.lex_state = 0, .external_lex_state = 13},
  [686] = {.lex_state = 0, .external_lex_state = 13},
  [687] = {.lex_state = 0, .external_lex_state = 10},
  [688] = {.lex_state = 0, .external_lex_state = 15},
  [689] = {.lex_state = 0, .external_lex_state = 8},
  [690] = {.lex_state = 0, .external_lex_state = 3},
  [691] = {.lex_state = 0, .external_lex_state = 13},
  [692] = {.lex_state = 0, .external_lex_state = 14},
  [693] = {.lex_state = 0, .external_lex_state = 9},
  [694] = {.lex_state = 0, .external_lex_state = 8},
  [695] = {.lex_state = 0, .external_lex_state = 11},
  [696] = {.lex_state = 0, .external_lex_state = 14},
  [697] = {.lex_state = 0, .external_lex_state = 6},
  [698] = {.lex_state = 0, .external_lex_state = 9},
  [699] = {.lex_state = 0, .external_lex_state = 4},
  [700] = {.lex_state = 0, .external_lex_state = 12},
  [701] = {.lex_state = 0, .external_lex_state = 15},
  [702] = {.lex_state = 0, .external_lex_state = 15},
  [703] = {.lex_state = 0, .external_lex_state = 12},
  [704] = {.lex_state = 0, .external_lex_state = 10},
  [705] = {.lex_state = 0, .external_lex_state = 5},
  [706] = {.lex_state = 0, .external_lex_state = 15},
  [707] = {.lex_state = 0, .external_lex_state = 7},
  [708] = {.lex_state = 0, .external_lex_state = 15},
  [709] = {.lex_state = 0, .external_lex_state = 14},
  [710] = {.lex_state = 0, .external_lex_state = 9},
  [711] = {.lex_state = 0, .external_lex_state = 8},
  [712] = {.lex_state = 0, .external_lex_state = 12},
  [713] = {.lex_state = 0, .external_lex_state = 6},
  [714] = {.lex_state = 0, .external_lex_state = 6},
  [715] = {.lex_state = 0, .external_lex_state = 6},
  [716] = {.lex_state = 0, .external_lex_state = 4},
  [717] = {.lex_state = 0, .external_lex_state = 4},
  [718] = {.lex_state = 0, .external_lex_state = 3},
  [719] = {.lex_state = 0, .external_lex_state = 3},
  [720] = {.lex_state = 0, .external_lex_state = 3},
  [721] = {.lex_state = 0, .external_lex_state = 3},
  [722] = {.lex_state = 0, .external_lex_state = 3},
  [723] = {.lex_state = 0, .external_lex_state = 3},
  [724] = {.lex_state = 0, .external_lex_state = 3},
  [725] = {.lex_state = 0, .external_lex_state = 3},
  [726] = {.lex_state = 0, .external_lex_state = 3},
  [727] = {.lex_state = 0, .external_lex_state = 5},
  [728] = {.lex_state = 0, .external_lex_state = 5},
  [729] = {.lex_state = 0, .external_lex_state = 5},
  [730] = {.lex_state = 0, .external_lex_state = 5},
  [731] = {.lex_state = 0, .external_lex_state = 5},
  [732] = {.lex_state = 0, .external_lex_state = 5},
  [733] = {.lex_state = 0, .external_lex_state = 6},
  [734] = {.lex_state = 0, .external_lex_state = 7},
  [735] = {.lex_state = 0, .external_lex_state = 7},
  [736] = {.lex_state = 0, .external_lex_state = 7},
  [737] = {.lex_state = 0, .external_lex_state = 7},
  [738] = {.lex_state = 0, .external_lex_state = 7},
  [739] = {.lex_state = 0, .external_lex_state = 7},
  [740] = {.lex_state = 0, .external_lex_state = 7},
  [741] = {.lex_state = 0, .external_lex_state = 7},
  [742] = {.lex_state = 0, .external_lex_state = 7},
  [743] = {.lex_state = 0, .external_lex_state = 5},
  [744] = {.lex_state = 0, .external_lex_state = 5},
  [745] = {.lex_state = 0, .external_lex_state = 4},
  [746] = {.lex_state = 0, .external_lex_state = 4},
  [747] = {.lex_state = 0, .external_lex_state = 4},
  [748] = {.lex_state = 0, .external_lex_state = 4},
  [749] = {.lex_state = 0, .external_lex_state = 4},
  [750] = {.lex_state = 0, .external_lex_state = 4},
  [751] = {.lex_state = 0, .external_lex_state = 4},
  [752] = {.lex_state = 0, .external_lex_state = 6},
  [753] = {.lex_state = 0, .external_lex_state = 6},
  [754] = {.lex_state = 0, .external_lex_state = 6},
  [755] = {.lex_state = 0, .external_lex_state = 6},
  [756] = {.lex_state = 0, .external_lex_state = 6},
  [757] = {.lex_state = 0, .external_lex_state = 5},
  [758] = {.lex_state = 0, .external_lex_state = 9},
  [759] = {.lex_state = 0, .external_lex_state = 9},
  [760] = {.lex_state = 0, .external_lex_state = 12},
  [761] = {.lex_state = 0, .external_lex_state = 8},
  [762] = {.lex_state = 0, .external_lex_state = 8},
  [763] = {.lex_state = 0, .external_lex_state = 12},
  [764] = {.lex_state = 0, .external_lex_state = 9},
  [765] = {.lex_state = 0, .external_lex_state = 6},
  [766] = {.lex_state = 0, .external_lex_state = 12},
  [767] = {.lex_state = 0, .external_lex_state = 8},
  [768] = {.lex_state = 0, .external_lex_state = 12},
  [769] = {.lex_state = 0, .external_lex_state = 8},
  [770] = {.lex_state = 0, .external_lex_state = 8},
  [771] = {.lex_state = 0, .external_lex_state = 12},
  [772] = {.lex_state = 0, .external_lex_state = 14},
  [773] = {.lex_state = 0, .external_lex_state = 9},
  [774] = {.lex_state = 0, .external_lex_state = 14},
  [775] = {.lex_state = 0, .external_lex_state = 12},
  [776] = {.lex_state = 0, .external_lex_state = 8},
  [777] = {.lex_state = 0, .external_lex_state = 8},
  [778] = {.lex_state = 0, .external_lex_state = 12},
  [779] = {.lex_state = 0, .external_lex_state = 8},
  [780] = {.lex_state = 0, .external_lex_state = 14},
  [781] = {.lex_state = 0, .external_lex_state = 14},
  [782] = {.lex_state = 0, .external_lex_state = 15},
  [783] = {.lex_state = 0, .external_lex_state = 12},
  [784] = {.lex_state = 0, .external_lex_state = 12},
  [785] = {.lex_state = 0, .external_lex_state = 3},
  [786] = {.lex_state = 0, .external_lex_state = 7},
  [787] = {.lex_state = 0, .external_lex_state = 9},
  [788] = {.lex_state = 0, .external_lex_state = 12},
  [789] = {.lex_state = 0, .external_lex_state = 14},
  [790] = {.lex_state = 0, .external_lex_state = 15},
  [791] = {.lex_state = 0, .external_lex_state = 15},
  [792] = {.lex_state = 0, .external_lex_state = 15},
  [793] = {.lex_state = 0, .external_lex_state = 15},
  [794] = {.lex_state = 0, .external_lex_state = 15},
  [795] = {.lex_state = 0, .external_lex_state = 9},
  [796] = {.lex_state = 0, .external_lex_state = 9},
  [797] = {.lex_state = 0, .external_lex_state = 9},
  [798] = {.lex_state = 0, .external_lex_state = 9},
  [799] = {.lex_state = 0, .external_lex_state = 15},
  [800] = {.lex_state = 0, .external_lex_state = 15},
  [801] = {.lex_state = 0, .external_lex_state = 4},
  [802] = {.lex_state = 0, .external_lex_state = 14},
  [803] = {.lex_state = 0, .external_lex_state = 8},
  [804] = {.lex_state = 0, .external_lex_state = 5},
  [805] = {.lex_state = 0, .external_lex_state = 15},
  [806] = {.lex_state = 0, .external_lex_state = 15},
  [807] = {.lex_state = 0, .external_lex_state = 14},
  [808] = {.lex_state = 0, .external_lex_state = 14},
  [809] = {.lex_state = 0, .external_lex_state = 9},
  [810] = {.lex_state = 0, .external_lex_state = 14},
  [811] = {.lex_state = 0, .external_lex_state = 7},
  [812] = {.lex_state = 0, .external_lex_state = 4},
  [813] = {.lex_state = 0, .external_lex_state = 6},
  [814] = {.lex_state = 0, .external_lex_state = 6},
  [815] = {.lex_state = 0, .external_lex_state = 6},
  [816] = {.lex_state = 0, .external_lex_state = 3},
  [817] = {.lex_state = 0, .external_lex_state = 3},
  [818] = {.lex_state = 0, .external_lex_state = 3},
  [819] = {.lex_state = 0, .external_lex_state = 3},
  [820] = {.lex_state = 0, .external_lex_state = 3},
  [821] = {.lex_state = 0, .external_lex_state = 3},
  [822] = {.lex_state = 0, .external_lex_state = 3},
  [823] = {.lex_state = 0, .external_lex_state = 4},
  [824] = {.lex_state = 0, .external_lex_state = 5},
  [825] = {.lex_state = 0, .external_lex_state = 4},
  [826] = {.lex_state = 0, .external_lex_state = 4},
  [827] = {.lex_state = 0, .external_lex_state = 3},
  [828] = {.lex_state = 0, .external_lex_state = 3},
  [829] = {.lex_state = 0, .external_lex_state = 3},
  [830] = {.lex_state = 0, .external_lex_state = 3},
  [831] = {.lex_state = 0, .external_lex_state = 16},
  [832] = {.lex_state = 0, .external_lex_state = 8},
  [833] = {.lex_state = 0, .external_lex_state = 16},
  [834] = {.lex_state = 0, .external_lex_state = 4},
  [835] = {.lex_state = 0, .external_lex_state = 6},
  [836] = {.lex_state = 0, .external_lex_state = 6},
  [837] = {.lex_state = 0, .external_lex_state = 6},
  [838] = {.lex_state = 0, .external_lex_state = 7},
  [839] = {.lex_state = 0, .external_lex_state = 6},
  [840] = {.lex_state = 0, .external_lex_state = 4},
  [841] = {.lex_state = 0, .external_lex_state = 5},
  [842] = {.lex_state = 0, .external_lex_state = 5},
  [843] = {.lex_state = 0, .external_lex_state = 5},
  [844] = {.lex_state = 0, .external_lex_state = 5},
  [845] = {.lex_state = 0, .external_lex_state = 4},
  [846] = {.lex_state = 0, .external_lex_state = 4},
  [847] = {.lex_state = 0, .external_lex_state = 7},
  [848] = {.lex_state = 0, .external_lex_state = 7},
  [849] = {.lex_state = 0, .external_lex_state = 5},
  [850] = {.lex_state = 0, .external_lex_state = 7},
  [851] = {.lex_state = 0, .external_lex_state = 7},
  [852] = {.lex_state = 0, .external_lex_state = 7},
  [853] = {.lex_state = 0, .external_lex_state = 7},
  [854] = {.lex_state = 0, .external_lex_state = 7},
  [855] = {.lex_state = 0, .external_lex_state = 16},
  [856] = {.lex_state = 0, .external_lex_state = 5},
  [857] = {.lex_state = 0, .external_lex_state = 5},
  [858] = {.lex_state = 0, .external_lex_state = 16},
  [859] = {.lex_state = 0, .external_lex_state = 12},
  [860] = {.lex_state = 0, .external_lex_state = 7},
  [861] = {.lex_state = 0, .external_lex_state = 7},
  [862] = {.lex_state = 0, .external_lex_state = 7},
  [863] = {.lex_state = 0, .external_lex_state = 7},
  [864] = {.lex_state = 0, .external_lex_state = 7},
  [865] = {.lex_state = 0, .external_lex_state = 7},
  [866] = {.lex_state = 0, .external_lex_state = 16},
  [867] = {.lex_state = 0, .external_lex_state = 16},
  [868] = {.lex_state = 0, .external_lex_state = 5},
  [869] = {.lex_state = 0, .external_lex_state = 14},
  [870] = {.lex_state = 0, .external_lex_state = 5},
  [871] = {.lex_state = 0, .external_lex_state = 7},
  [872] = {.lex_state = 0, .external_lex_state = 7},
  [873] = {.lex_state = 0, .external_lex_state = 7},
  [874] = {.lex_state = 0, .external_lex_state = 7},
  [875] = {.lex_state = 0, .external_lex_state = 5},
  [876] = {.lex_state = 0, .external_lex_state = 16},
  [877] = {.lex_state = 0, .external_lex_state = 5},
  [878] = {.lex_state = 0, .external_lex_state = 5},
  [879] = {.lex_state = 0, .external_lex_state = 5},
  [880] = {.lex_state = 0, .external_lex_state = 5},
  [881] = {.lex_state = 0, .external_lex_state = 4},
  [882] = {.lex_state = 0, .external_lex_state = 6},
  [883] = {.lex_state = 0, .external_lex_state = 3},
  [884] = {.lex_state = 0, .external_lex_state = 16},
  [885] = {.lex_state = 0, .external_lex_state = 6},
  [886] = {.lex_state = 0, .external_lex_state = 6},
  [887] = {.lex_state = 0, .external_lex_state = 5},
  [888] = {.lex_state = 0, .external_lex_state = 5},
  [889] = {.lex_state = 0, .external_lex_state = 5},
  [890] = {.lex_state = 0, .external_lex_state = 5},
  [891] = {.lex_state = 0, .external_lex_state = 16},
  [892] = {.lex_state = 0, .external_lex_state = 15},
  [893] = {.lex_state = 0, .external_lex_state = 4},
  [894] = {.lex_state = 0, .external_lex_state = 6},
  [895] = {.lex_state = 0, .external_lex_state = 3},
  [896] = {.lex_state = 0, .external_lex_state = 3},
  [897] = {.lex_state = 0, .external_lex_state = 16},
  [898] = {.lex_state = 0, .external_lex_state = 4},
  [899] = {.lex_state = 0, .external_lex_state = 4},
  [900] = {.lex_state = 0, .external_lex_state = 4},
  [901] = {.lex_state = 0, .external_lex_state = 16},
  [902] = {.lex_state = 0, .external_lex_state = 4},
  [903] = {.lex_state = 0, .external_lex_state = 3},
  [904] = {.lex_state = 0, .external_lex_state = 16},
  [905] = {.lex_state = 0, .external_lex_state = 4},
  [906] = {.lex_state = 0, .external_lex_state = 16},
  [907] = {.lex_state = 0, .external_lex_state = 3},
  [908] = {.lex_state = 0, .external_lex_state = 3},
  [909] = {.lex_state = 0, .external_lex_state = 4},
  [910] = {.lex_state = 0, .external_lex_state = 16},
  [911] = {.lex_state = 0, .external_lex_state = 6},
  [912] = {.lex_state = 0, .external_lex_state = 3},
  [913] = {.lex_state = 0, .external_lex_state = 3},
  [914] = {.lex_state = 0, .external_lex_state = 16},
  [915] = {.lex_state = 0, .external_lex_state = 16},
  [916] = {.lex_state = 0, .external_lex_state = 16},
  [917] = {.lex_state = 0, .external_lex_state = 4},
  [918] = {.lex_state = 0, .external_lex_state = 16},
  [919] = {.lex_state = 0, .external_lex_state = 4},
  [920] = {.lex_state = 0, .external_lex_state = 6},
  [921] = {.lex_state = 0, .external_lex_state = 16},
  [922] = {.lex_state = 0, .external_lex_state = 6},
  [923] = {.lex_state = 0, .external_lex_state = 16},
  [924] = {.lex_state = 0, .external_lex_state = 16},
  [925] = {.lex_state = 0, .external_lex_state = 6},
  [926] = {.lex_state = 0, .external_lex_state = 16},
  [927] = {.lex_state = 0, .external_lex_state = 6},
  [928] = {.lex_state = 0, .external_lex_state = 6},
  [929] = {.lex_state = 0, .external_lex_state = 9},
  [930] = {.lex_state = 0, .external_lex_state = 6},
  [931] = {.lex_state = 0, .external_lex_state = 16},
  [932] = {.lex_state = 0, .external_lex_state = 6},
  [933] = {.lex_state = 0, .external_lex_state = 16},
  [934] = {.lex_state = 0, .external_lex_state = 4},
  [935] = {.lex_state = 0, .external_lex_state = 15},
  [936] = {.lex_state = 0, .external_lex_state = 10},
  [937] = {.lex_state = 0, .external_lex_state = 15},
  [938] = {.lex_state = 0, .external_lex_state = 8},
  [939] = {.lex_state = 0, .external_lex_state = 8},
  [940] = {.lex_state = 0, .external_lex_state = 8},
  [941] = {.lex_state = 0, .external_lex_state = 9},
  [942] = {.lex_state = 0, .external_lex_state = 8},
  [943] = {.lex_state = 0, .external_lex_state = 12},
  [944] = {.lex_state = 0, .external_lex_state = 12},
  [945] = {.lex_state = 0, .external_lex_state = 12},
  [946] = {.lex_state = 0, .external_lex_state = 15},
  [947] = {.lex_state = 0, .external_lex_state = 12},
  [948] = {.lex_state = 0, .external_lex_state = 12},
  [949] = {.lex_state = 0, .external_lex_state = 8},
  [950] = {.lex_state = 0, .external_lex_state = 14},
  [951] = {.lex_state = 0, .external_lex_state = 11},
  [952] = {.lex_state = 0, .external_lex_state = 14},
  [953] = {.lex_state = 0, .external_lex_state = 8},
  [954] = {.lex_state = 0, .external_lex_state = 14},
  [955] = {.lex_state = 0, .external_lex_state = 14},
  [956] = {.lex_state = 0, .external_lex_state = 12},
  [957] = {.lex_state = 0, .external_lex_state = 8},
  [958] = {.lex_state = 0, .external_lex_state = 8},
  [959] = {.lex_state = 0, .external_lex_state = 8},
  [960] = {.lex_state = 0, .external_lex_state = 12},
  [961] = {.lex_state = 0, .external_lex_state = 9},
  [962] = {.lex_state = 0, .external_lex_state = 12},
  [963] = {.lex_state = 0, .external_lex_state = 13},
  [964] = {.lex_state = 0, .external_lex_state = 15},
  [965] = {.lex_state = 0, .external_lex_state = 8},
  [966] = {.lex_state = 0, .external_lex_state = 14},
  [967] = {.lex_state = 0, .external_lex_state = 9},
  [968] = {.lex_state = 0, .external_lex_state = 13},
  [969] = {.lex_state = 0, .external_lex_state = 8},
  [970] = {.lex_state = 0, .external_lex_state = 9},
  [971] = {.lex_state = 0, .external_lex_state = 12},
  [972] = {.lex_state = 0, .external_lex_state = 9},
  [973] = {.lex_state = 0, .external_lex_state = 9},
  [974] = {.lex_state = 0, .external_lex_state = 15},
  [975] = {.lex_state = 0, .external_lex_state = 15},
  [976] = {.lex_state = 0, .external_lex_state = 13},
  [977] = {.lex_state = 0, .external_lex_state = 15},
  [978] = {.lex_state = 0, .external_lex_state = 15},
  [979] = {.lex_state = 0, .external_lex_state = 15},
  [980] = {.lex_state = 0, .external_lex_state = 12},
  [981] = {.lex_state = 0, .external_lex_state = 12},
  [982] = {.lex_state = 0, .external_lex_state = 15},
  [983] = {.lex_state = 0, .external_lex_state = 8},
  [984] = {.lex_state = 0, .external_lex_state = 12},
  [985] = {.lex_state = 0, .external_lex_state = 16},
  [986] = {.lex_state = 0, .external_lex_state = 15},
  [987] = {.lex_state = 0, .external_lex_state = 8},
  [988] = {.lex_state = 0, .external_lex_state = 9},
  [989] = {.lex_state = 0, .external_lex_state = 2},
  [990] = {.lex_state = 0, .external_lex_state = 14},
  [991] = {.lex_state = 0, .external_lex_state = 9},
  [992] = {.lex_state = 0, .external_lex_state = 9},
  [993] = {.lex_state = 0, .external_lex_state = 14},
  [994] = {.lex_state = 0, .external_lex_state = 13},
  [995] = {.lex_state = 0, .external_lex_state = 15},
  [996] = {.lex_state = 0, .external_lex_state = 12},
  [997] = {.lex_state = 0, .external_lex_state = 9},
  [998] = {.lex_state = 0, .external_lex_state = 12},
  [999] = {.lex_state = 0, .external_lex_state = 13},
  [1000] = {.lex_state = 0, .external_lex_state = 12},
  [1001] = {.lex_state = 0, .external_lex_state = 13},
  [1002] = {.lex_state = 0, .external_lex_state = 2},
  [1003] = {.lex_state = 0, .external_lex_state = 9},
  [1004] = {.lex_state = 0, .external_lex_state = 14},
  [1005] = {.lex_state = 0, .external_lex_state = 9},
  [1006] = {.lex_state = 0, .external_lex_state = 15},
  [1007] = {.lex_state = 0, .external_lex_state = 15},
  [1008] = {.lex_state = 0, .external_lex_state = 13},
  [1009] = {.lex_state = 0, .external_lex_state = 9},
  [1010] = {.lex_state = 0, .external_lex_state = 12},
  [1011] = {.lex_state = 0, .external_lex_state = 15},
  [1012] = {.lex_state = 0, .external_lex_state = 15},
  [1013] = {.lex_state = 0, .external_lex_state = 13},
  [1014] = {.lex_state = 0, .external_lex_state = 15},
  [1015] = {.lex_state = 0, .external_lex_state = 13},
  [1016] = {.lex_state = 0, .external_lex_state = 9},
  [1017] = {.lex_state = 0, .external_lex_state = 9},
  [1018] = {.lex_state = 0, .external_lex_state = 15},
  [1019] = {.lex_state = 0, .external_lex_state = 14},
  [1020] = {.lex_state = 0, .external_lex_state = 13},
  [1021] = {.lex_state = 0, .external_lex_state = 8},
  [1022] = {.lex_state = 0, .external_lex_state = 13},
  [1023] = {.lex_state = 0, .external_lex_state = 9},
  [1024] = {.lex_state = 0, .external_lex_state = 12},
  [1025] = {.lex_state = 0, .external_lex_state = 13},
  [1026] = {.lex_state = 0, .external_lex_state = 14},
  [1027] = {.lex_state = 0, .external_lex_state = 13},
  [1028] = {.lex_state = 0, .external_lex_state = 14},
  [1029] = {.lex_state = 0, .external_lex_state = 13},
  [1030] = {.lex_state = 0, .external_lex_state = 8},
  [1031] = {.lex_state = 0, .external_lex_state = 13},
  [1032] = {.lex_state = 0, .external_lex_state = 15},
  [1033] = {.lex_state = 0, .external_lex_state = 14},
  [1034] = {.lex_state = 0, .external_lex_state = 13},
  [1035] = {.lex_state = 0, .external_lex_state = 9},
  [1036] = {.lex_state = 0, .external_lex_state = 13},
  [1037] = {.lex_state = 0, .external_lex_state = 14},
  [1038] = {.lex_state = 0, .external_lex_state = 14},
  [1039] = {.lex_state = 0, .external_lex_state = 13},
  [1040] = {.lex_state = 0, .external_lex_state = 12},
  [1041] = {.lex_state = 0, .external_lex_state = 13},
  [1042] = {.lex_state = 0, .external_lex_state = 9},
  [1043] = {.lex_state = 0, .external_lex_state = 13},
  [1044] = {.lex_state = 0, .external_lex_state = 12},
  [1045] = {.lex_state = 0, .external_lex_state = 14},
  [1046] = {.lex_state = 0, .external_lex_state = 14},
  [1047] = {.lex_state = 0, .external_lex_state = 9},
  [1048] = {.lex_state = 0, .external_lex_state = 13},
  [1049] = {.lex_state = 0, .external_lex_state = 15},
  [1050] = {.lex_state = 0, .external_lex_state = 13},
  [1051] = {.lex_state = 0, .external_lex_state = 8},
  [1052] = {.lex_state = 0, .external_lex_state = 14},
  [1053] = {.lex_state = 0, .external_lex_state = 14},
  [1054] = {.lex_state = 0, .external_lex_state = 12},
  [1055] = {.lex_state = 0, .external_lex_state = 13},
  [1056] = {.lex_state = 0, .external_lex_state = 14},
  [1057] = {.lex_state = 0, .external_lex_state = 13},
  [1058] = {.lex_state = 0, .external_lex_state = 8},
  [1059] = {.lex_state = 0, .external_lex_state = 9},
  [1060] = {.lex_state = 0, .external_lex_state = 8},
  [1061] = {.lex_state = 0, .external_lex_state = 8},
  [1062] = {.lex_state = 0, .external_lex_state = 13},
  [1063] = {.lex_state = 0, .external_lex_state = 13},
  [1064] = {.lex_state = 0, .external_lex_state = 17},
  [1065] = {.lex_state = 0, .external_lex_state = 17},
  [1066] = {.lex_state = 0, .external_lex_state = 17},
  [1067] = {.lex_state = 0, .external_lex_state = 17},
  [1068] = {.lex_state = 0, .external_lex_state = 17},
  [1069] = {.lex_state = 0, .external_lex_state = 17},
  [1070] = {.lex_state = 0, .external_lex_state = 17},
  [1071] = {.lex_state = 0, .external_lex_state = 17},
  [1072] = {.lex_state = 0, .external_lex_state = 17},
  [1073] = {.lex_state = 0, .external_lex_state = 17},
  [1074] = {.lex_state = 0, .external_lex_state = 17},
  [1075] = {.lex_state = 0, .external_lex_state = 17},
  [1076] = {.lex_state = 0, .external_lex_state = 17},
  [1077] = {.lex_state = 0, .external_lex_state = 17},
  [1078] = {.lex_state = 0, .external_lex_state = 17},
  [1079] = {.lex_state = 0, .external_lex_state = 17},
  [1080] = {.lex_state = 0, .external_lex_state = 17},
  [1081] = {.lex_state = 0, .external_lex_state = 17},
  [1082] = {.lex_state = 0, .external_lex_state = 17},
  [1083] = {.lex_state = 0, .external_lex_state = 17},
  [1084] = {.lex_state = 0, .external_lex_state = 17},
  [1085] = {.lex_state = 0, .external_lex_state = 17},
  [1086] = {.lex_state = 0, .external_lex_state = 17},
  [1087] = {.lex_state = 0, .external_lex_state = 17},
  [1088] = {.lex_state = 0, .external_lex_state = 17},
  [1089] = {.lex_state = 0, .external_lex_state = 17},
  [1090] = {.lex_state = 0, .external_lex_state = 17},
  [1091] = {.lex_state = 0, .external_lex_state = 17},
  [1092] = {.lex_state = 0, .external_lex_state = 17},
  [1093] = {.lex_state = 0, .external_lex_state = 17},
  [1094] = {.lex_state = 0, .external_lex_state = 17},
  [1095] = {.lex_state = 0, .external_lex_state = 18},
  [1096] = {.lex_state = 0, .external_lex_state = 17},
  [1097] = {.lex_state = 0, .external_lex_state = 17},
  [1098] = {.lex_state = 0, .external_lex_state = 17},
  [1099] = {.lex_state = 0, .external_lex_state = 17},
  [1100] = {.lex_state = 0, .external_lex_state = 17},
  [1101] = {.lex_state = 0, .external_lex_state = 17},
  [1102] = {.lex_state = 0, .external_lex_state = 17},
  [1103] = {.lex_state = 0, .external_lex_state = 17},
  [1104] = {.lex_state = 0, .external_lex_state = 17},
  [1105] = {.lex_state = 0, .external_lex_state = 17},
  [1106] = {.lex_state = 0, .external_lex_state = 17},
  [1107] = {.lex_state = 0, .external_lex_state = 17},
  [1108] = {.lex_state = 0, .external_lex_state = 17},
  [1109] = {.lex_state = 0, .external_lex_state = 17},
  [1110] = {.lex_state = 0, .external_lex_state = 17},
  [1111] = {.lex_state = 0, .external_lex_state = 17},
  [1112] = {.lex_state = 0, .external_lex_state = 17},
  [1113] = {.lex_state = 0, .external_lex_state = 17},
  [1114] = {.lex_state = 0, .external_lex_state = 17},
  [1115] = {.lex_state = 0, .external_lex_state = 17},
  [1116] = {.lex_state = 0, .external_lex_state = 17},
  [1117] = {.lex_state = 0, .external_lex_state = 17},
  [1118] = {.lex_state = 0, .external_lex_state = 17},
  [1119] = {.lex_state = 0, .external_lex_state = 17},
  [1120] = {.lex_state = 0, .external_lex_state = 17},
  [1121] = {.lex_state = 0, .external_lex_state = 17},
  [1122] = {.lex_state = 0, .external_lex_state = 17},
  [1123] = {.lex_state = 0, .external_lex_state = 17},
  [1124] = {.lex_state = 0, .external_lex_state = 17},
  [1125] = {.lex_state = 0, .external_lex_state = 17},
  [1126] = {.lex_state = 0, .external_lex_state = 17},
  [1127] = {.lex_state = 0, .external_lex_state = 17},
  [1128] = {.lex_state = 0, .external_lex_state = 17},
  [1129] = {.lex_state = 0, .external_lex_state = 17},
  [1130] = {.lex_state = 0, .external_lex_state = 17},
  [1131] = {.lex_state = 0, .external_lex_state = 17},
  [1132] = {.lex_state = 0, .external_lex_state = 17},
  [1133] = {.lex_state = 0, .external_lex_state = 17},
  [1134] = {.lex_state = 0, .external_lex_state = 17},
  [1135] = {.lex_state = 0, .external_lex_state = 17},
  [1136] = {.lex_state = 0, .external_lex_state = 17},
  [1137] = {.lex_state = 0, .external_lex_state = 17},
  [1138] = {.lex_state = 0, .external_lex_state = 17},
  [1139] = {.lex_state = 0, .external_lex_state = 17},
  [1140] = {.lex_state = 0, .external_lex_state = 17},
  [1141] = {.lex_state = 0, .external_lex_state = 17},
  [1142] = {.lex_state = 0, .external_lex_state = 17},
  [1143] = {.lex_state = 0, .external_lex_state = 17},
  [1144] = {.lex_state = 0, .external_lex_state = 17},
  [1145] = {.lex_state = 0, .external_lex_state = 17},
  [1146] = {.lex_state = 0, .external_lex_state = 17},
  [1147] = {.lex_state = 0, .external_lex_state = 17},
  [1148] = {.lex_state = 0, .external_lex_state = 17},
  [1149] = {.lex_state = 0, .external_lex_state = 17},
  [1150] = {.lex_state = 0, .external_lex_state = 17},
  [1151] = {.lex_state = 0, .external_lex_state = 17},
  [1152] = {.lex_state = 0, .external_lex_state = 17},
  [1153] = {.lex_state = 0, .external_lex_state = 17},
  [1154] = {.lex_state = 0, .external_lex_state = 17},
  [1155] = {.lex_state = 0, .external_lex_state = 17},
  [1156] = {.lex_state = 0, .external_lex_state = 17},
  [1157] = {.lex_state = 0, .external_lex_state = 17},
  [1158] = {.lex_state = 0, .external_lex_state = 17},
  [1159] = {.lex_state = 0, .external_lex_state = 17},
  [1160] = {.lex_state = 0, .external_lex_state = 17},
  [1161] = {.lex_state = 0, .external_lex_state = 17},
  [1162] = {.lex_state = 0, .external_lex_state = 17},
  [1163] = {.lex_state = 0, .external_lex_state = 17},
  [1164] = {.lex_state = 0, .external_lex_state = 17},
  [1165] = {.lex_state = 0, .external_lex_state = 17},
  [1166] = {.lex_state = 0, .external_lex_state = 17},
  [1167] = {.lex_state = 0, .external_lex_state = 17},
  [1168] = {.lex_state = 0, .external_lex_state = 17},
  [1169] = {.lex_state = 0, .external_lex_state = 17},
  [1170] = {.lex_state = 0, .external_lex_state = 17},
  [1171] = {.lex_state = 0, .external_lex_state = 17},
  [1172] = {.lex_state = 0, .external_lex_state = 17},
  [1173] = {.lex_state = 0, .external_lex_state = 17},
  [1174] = {.lex_state = 0, .external_lex_state = 17},
  [1175] = {.lex_state = 0, .external_lex_state = 17},
  [1176] = {.lex_state = 0, .external_lex_state = 17},
  [1177] = {.lex_state = 0, .external_lex_state = 17},
  [1178] = {.lex_state = 0, .external_lex_state = 17},
  [1179] = {.lex_state = 0, .external_lex_state = 17},
  [1180] = {.lex_state = 0, .external_lex_state = 17},
  [1181] = {.lex_state = 0, .external_lex_state = 17},
  [1182] = {.lex_state = 0, .external_lex_state = 17},
  [1183] = {.lex_state = 0, .external_lex_state = 17},
  [1184] = {.lex_state = 0, .external_lex_state = 17},
  [1185] = {.lex_state = 0, .external_lex_state = 17},
  [1186] = {.lex_state = 0, .external_lex_state = 17},
  [1187] = {.lex_state = 0, .external_lex_state = 17},
  [1188] = {.lex_state = 0, .external_lex_state = 17},
  [1189] = {.lex_state = 0, .external_lex_state = 17},
  [1190] = {.lex_state = 0, .external_lex_state = 17},
  [1191] = {.lex_state = 0, .external_lex_state = 17},
  [1192] = {.lex_state = 0, .external_lex_state = 17},
  [1193] = {.lex_state = 0, .external_lex_state = 17},
  [1194] = {.lex_state = 0, .external_lex_state = 17},
  [1195] = {.lex_state = 0, .external_lex_state = 17},
  [1196] = {.lex_state = 0, .external_lex_state = 17},
  [1197] = {.lex_state = 0, .external_lex_state = 17},
  [1198] = {.lex_state = 0, .external_lex_state = 17},
  [1199] = {.lex_state = 0, .external_lex_state = 17},
  [1200] = {.lex_state = 0, .external_lex_state = 17},
  [1201] = {.lex_state = 0, .external_lex_state = 17},
  [1202] = {.lex_state = 0, .external_lex_state = 17},
  [1203] = {.lex_state = 0, .external_lex_state = 17},
  [1204] = {.lex_state = 0, .external_lex_state = 17},
  [1205] = {.lex_state = 0, .external_lex_state = 17},
  [1206] = {.lex_state = 0, .external_lex_state = 17},
  [1207] = {.lex_state = 0, .external_lex_state = 17},
  [1208] = {.lex_state = 0, .external_lex_state = 17},
  [1209] = {.lex_state = 0, .external_lex_state = 17},
  [1210] = {.lex_state = 0, .external_lex_state = 17},
  [1211] = {.lex_state = 0, .external_lex_state = 17},
  [1212] = {.lex_state = 0, .external_lex_state = 17},
  [1213] = {.lex_state = 0, .external_lex_state = 17},
  [1214] = {.lex_state = 0, .external_lex_state = 17},
  [1215] = {.lex_state = 0, .external_lex_state = 17},
  [1216] = {.lex_state = 0, .external_lex_state = 17},
  [1217] = {.lex_state = 0, .external_lex_state = 17},
  [1218] = {.lex_state = 0, .external_lex_state = 17},
  [1219] = {.lex_state = 0, .external_lex_state = 17},
  [1220] = {.lex_state = 0, .external_lex_state = 17},
  [1221] = {.lex_state = 0, .external_lex_state = 17},
  [1222] = {.lex_state = 0, .external_lex_state = 17},
  [1223] = {.lex_state = 0, .external_lex_state = 17},
  [1224] = {.lex_state = 0, .external_lex_state = 17},
  [1225] = {.lex_state = 0, .external_lex_state = 17},
  [1226] = {.lex_state = 0, .external_lex_state = 17},
  [1227] = {.lex_state = 0, .external_lex_state = 17},
  [1228] = {.lex_state = 0, .external_lex_state = 17},
  [1229] = {.lex_state = 0, .external_lex_state = 17},
  [1230] = {.lex_state = 0, .external_lex_state = 17},
  [1231] = {.lex_state = 0, .external_lex_state = 17},
  [1232] = {.lex_state = 0, .external_lex_state = 17},
  [1233] = {.lex_state = 0, .external_lex_state = 17},
  [1234] = {.lex_state = 0, .external_lex_state = 17},
  [1235] = {.lex_state = 0, .external_lex_state = 17},
  [1236] = {.lex_state = 0, .external_lex_state = 17},
  [1237] = {.lex_state = 0, .external_lex_state = 17},
  [1238] = {.lex_state = 0, .external_lex_state = 17},
  [1239] = {.lex_state = 0, .external_lex_state = 17},
  [1240] = {.lex_state = 0, .external_lex_state = 17},
  [1241] = {.lex_state = 0, .external_lex_state = 17},
  [1242] = {.lex_state = 0, .external_lex_state = 17},
  [1243] = {.lex_state = 0, .external_lex_state = 17},
  [1244] = {.lex_state = 0, .external_lex_state = 17},
  [1245] = {.lex_state = 0, .external_lex_state = 17},
  [1246] = {.lex_state = 0, .external_lex_state = 17},
  [1247] = {.lex_state = 0, .external_lex_state = 17},
  [1248] = {.lex_state = 0, .external_lex_state = 17},
  [1249] = {.lex_state = 0, .external_lex_state = 17},
  [1250] = {.lex_state = 0, .external_lex_state = 17},
  [1251] = {.lex_state = 0, .external_lex_state = 17},
  [1252] = {.lex_state = 0, .external_lex_state = 17},
  [1253] = {.lex_state = 0, .external_lex_state = 17},
  [1254] = {.lex_state = 0, .external_lex_state = 17},
  [1255] = {.lex_state = 0, .external_lex_state = 17},
  [1256] = {.lex_state = 0, .external_lex_state = 17},
  [1257] = {.lex_state = 0, .external_lex_state = 17},
  [1258] = {.lex_state = 0, .external_lex_state = 17},
  [1259] = {.lex_state = 0, .external_lex_state = 17},
  [1260] = {.lex_state = 0, .external_lex_state = 17},
  [1261] = {.lex_state = 0, .external_lex_state = 17},
  [1262] = {.lex_state = 0, .external_lex_state = 17},
  [1263] = {.lex_state = 0, .external_lex_state = 17},
  [1264] = {.lex_state = 0, .external_lex_state = 17},
  [1265] = {.lex_state = 0, .external_lex_state = 17},
  [1266] = {.lex_state = 0, .external_lex_state = 17},
  [1267] = {.lex_state = 0, .external_lex_state = 17},
  [1268] = {.lex_state = 0, .external_lex_state = 17},
  [1269] = {.lex_state = 0, .external_lex_state = 17},
  [1270] = {.lex_state = 0, .external_lex_state = 17},
  [1271] = {.lex_state = 0, .external_lex_state = 17},
  [1272] = {.lex_state = 0, .external_lex_state = 17},
  [1273] = {.lex_state = 0, .external_lex_state = 17},
  [1274] = {.lex_state = 0, .external_lex_state = 17},
  [1275] = {.lex_state = 0, .external_lex_state = 17},
  [1276] = {.lex_state = 0, .external_lex_state = 17},
  [1277] = {.lex_state = 0, .external_lex_state = 17},
  [1278] = {.lex_state = 0, .external_lex_state = 17},
  [1279] = {.lex_state = 0, .external_lex_state = 17},
  [1280] = {.lex_state = 0, .external_lex_state = 17},
  [1281] = {.lex_state = 0, .external_lex_state = 17},
  [1282] = {.lex_state = 0, .external_lex_state = 17},
  [1283] = {.lex_state = 0, .external_lex_state = 17},
  [1284] = {.lex_state = 0, .external_lex_state = 17},
  [1285] = {.lex_state = 0, .external_lex_state = 17},
  [1286] = {.lex_state = 0, .external_lex_state = 17},
  [1287] = {.lex_state = 0, .external_lex_state = 17},
  [1288] = {.lex_state = 0, .external_lex_state = 17},
  [1289] = {.lex_state = 0, .external_lex_state = 17},
  [1290] = {.lex_state = 0, .external_lex_state = 17},
  [1291] = {.lex_state = 0, .external_lex_state = 17},
  [1292] = {.lex_state = 0, .external_lex_state = 17},
  [1293] = {.lex_state = 0, .external_lex_state = 17},
  [1294] = {.lex_state = 0, .external_lex_state = 17},
  [1295] = {.lex_state = 0, .external_lex_state = 17},
  [1296] = {.lex_state = 0, .external_lex_state = 17},
  [1297] = {.lex_state = 0, .external_lex_state = 17},
  [1298] = {.lex_state = 0, .external_lex_state = 17},
  [1299] = {.lex_state = 0, .external_lex_state = 17},
  [1300] = {.lex_state = 0, .external_lex_state = 17},
  [1301] = {.lex_state = 0, .external_lex_state = 17},
  [1302] = {.lex_state = 0, .external_lex_state = 17},
  [1303] = {.lex_state = 0, .external_lex_state = 17},
  [1304] = {.lex_state = 0, .external_lex_state = 17},
  [1305] = {.lex_state = 0, .external_lex_state = 17},
  [1306] = {.lex_state = 0, .external_lex_state = 17},
  [1307] = {.lex_state = 0, .external_lex_state = 17},
  [1308] = {.lex_state = 0, .external_lex_state = 17},
  [1309] = {.lex_state = 0, .external_lex_state = 17},
  [1310] = {.lex_state = 0, .external_lex_state = 17},
  [1311] = {.lex_state = 0, .external_lex_state = 17},
  [1312] = {.lex_state = 0, .external_lex_state = 17},
  [1313] = {.lex_state = 0, .external_lex_state = 17},
  [1314] = {.lex_state = 0, .external_lex_state = 17},
  [1315] = {.lex_state = 0, .external_lex_state = 17},
  [1316] = {.lex_state = 0, .external_lex_state = 17},
  [1317] = {.lex_state = 0, .external_lex_state = 17},
  [1318] = {.lex_state = 0, .external_lex_state = 17},
  [1319] = {.lex_state = 0, .external_lex_state = 17},
  [1320] = {.lex_state = 0, .external_lex_state = 17},
  [1321] = {.lex_state = 0, .external_lex_state = 17},
  [1322] = {.lex_state = 0, .external_lex_state = 17},
  [1323] = {.lex_state = 0, .external_lex_state = 17},
  [1324] = {.lex_state = 0, .external_lex_state = 17},
  [1325] = {.lex_state = 0, .external_lex_state = 17},
  [1326] = {.lex_state = 0, .external_lex_state = 17},
  [1327] = {.lex_state = 0, .external_lex_state = 17},
  [1328] = {.lex_state = 0, .external_lex_state = 17},
  [1329] = {.lex_state = 0, .external_lex_state = 17},
  [1330] = {.lex_state = 0, .external_lex_state = 17},
  [1331] = {.lex_state = 0, .external_lex_state = 17},
  [1332] = {.lex_state = 0, .external_lex_state = 17},
  [1333] = {.lex_state = 0, .external_lex_state = 17},
  [1334] = {.lex_state = 0, .external_lex_state = 17},
  [1335] = {.lex_state = 0, .external_lex_state = 17},
  [1336] = {.lex_state = 0, .external_lex_state = 17},
  [1337] = {.lex_state = 0, .external_lex_state = 17},
  [1338] = {.lex_state = 0, .external_lex_state = 17},
  [1339] = {.lex_state = 0, .external_lex_state = 17},
  [1340] = {.lex_state = 0, .external_lex_state = 17},
  [1341] = {.lex_state = 0, .external_lex_state = 17},
  [1342] = {.lex_state = 0, .external_lex_state = 17},
  [1343] = {.lex_state = 0, .external_lex_state = 17},
  [1344] = {.lex_state = 0, .external_lex_state = 17},
  [1345] = {.lex_state = 0, .external_lex_state = 17},
  [1346] = {.lex_state = 0, .external_lex_state = 17},
  [1347] = {.lex_state = 0, .external_lex_state = 17},
  [1348] = {.lex_state = 0, .external_lex_state = 17},
  [1349] = {.lex_state = 0, .external_lex_state = 17},
  [1350] = {.lex_state = 0, .external_lex_state = 17},
  [1351] = {.lex_state = 0, .external_lex_state = 17},
  [1352] = {.lex_state = 0, .external_lex_state = 17},
  [1353] = {.lex_state = 0, .external_lex_state = 17},
  [1354] = {.lex_state = 0, .external_lex_state = 17},
  [1355] = {.lex_state = 0, .external_lex_state = 17},
  [1356] = {.lex_state = 0, .external_lex_state = 17},
  [1357] = {.lex_state = 0, .external_lex_state = 17},
  [1358] = {.lex_state = 0, .external_lex_state = 17},
  [1359] = {.lex_state = 0, .external_lex_state = 17},
  [1360] = {.lex_state = 0, .external_lex_state = 17},
  [1361] = {.lex_state = 0, .external_lex_state = 17},
  [1362] = {.lex_state = 0, .external_lex_state = 17},
  [1363] = {.lex_state = 0, .external_lex_state = 17},
  [1364] = {.lex_state = 0, .external_lex_state = 17},
  [1365] = {.lex_state = 0, .external_lex_state = 17},
  [1366] = {.lex_state = 0, .external_lex_state = 17},
  [1367] = {.lex_state = 0, .external_lex_state = 17},
  [1368] = {.lex_state = 0, .external_lex_state = 17},
  [1369] = {.lex_state = 0, .external_lex_state = 17},
  [1370] = {.lex_state = 0, .external_lex_state = 17},
  [1371] = {.lex_state = 0, .external_lex_state = 17},
  [1372] = {.lex_state = 0, .external_lex_state = 17},
  [1373] = {.lex_state = 0, .external_lex_state = 17},
  [1374] = {.lex_state = 0, .external_lex_state = 17},
  [1375] = {.lex_state = 0, .external_lex_state = 17},
  [1376] = {.lex_state = 0, .external_lex_state = 17},
  [1377] = {.lex_state = 0, .external_lex_state = 17},
  [1378] = {.lex_state = 0, .external_lex_state = 17},
  [1379] = {.lex_state = 0, .external_lex_state = 17},
  [1380] = {.lex_state = 0, .external_lex_state = 17},
  [1381] = {.lex_state = 0, .external_lex_state = 17},
  [1382] = {.lex_state = 0, .external_lex_state = 17},
  [1383] = {.lex_state = 0, .external_lex_state = 17},
  [1384] = {.lex_state = 0, .external_lex_state = 17},
  [1385] = {.lex_state = 0, .external_lex_state = 17},
  [1386] = {.lex_state = 0, .external_lex_state = 17},
  [1387] = {.lex_state = 0, .external_lex_state = 17},
  [1388] = {.lex_state = 0, .external_lex_state = 17},
  [1389] = {.lex_state = 0, .external_lex_state = 17},
  [1390] = {.lex_state = 0, .external_lex_state = 17},
  [1391] = {.lex_state = 0, .external_lex_state = 17},
  [1392] = {.lex_state = 0, .external_lex_state = 17},
  [1393] = {.lex_state = 0, .external_lex_state = 17},
  [1394] = {.lex_state = 0, .external_lex_state = 17},
  [1395] = {.lex_state = 0, .external_lex_state = 17},
  [1396] = {.lex_state = 0, .external_lex_state = 17},
  [1397] = {.lex_state = 0, .external_lex_state = 17},
  [1398] = {.lex_state = 0, .external_lex_state = 17},
  [1399] = {.lex_state = 0, .external_lex_state = 17},
  [1400] = {.lex_state = 0, .external_lex_state = 17},
  [1401] = {.lex_state = 0, .external_lex_state = 17},
  [1402] = {.lex_state = 0, .external_lex_state = 17},
  [1403] = {.lex_state = 0, .external_lex_state = 17},
  [1404] = {.lex_state = 0, .external_lex_state = 17},
  [1405] = {.lex_state = 0, .external_lex_state = 17},
  [1406] = {.lex_state = 0, .external_lex_state = 17},
  [1407] = {.lex_state = 0, .external_lex_state = 17},
  [1408] = {.lex_state = 0, .external_lex_state = 17},
  [1409] = {.lex_state = 0, .external_lex_state = 17},
  [1410] = {.lex_state = 0, .external_lex_state = 17},
  [1411] = {.lex_state = 0, .external_lex_state = 17},
  [1412] = {.lex_state = 0, .external_lex_state = 17},
  [1413] = {.lex_state = 0, .external_lex_state = 17},
  [1414] = {.lex_state = 0, .external_lex_state = 17},
  [1415] = {.lex_state = 0, .external_lex_state = 17},
  [1416] = {.lex_state = 0, .external_lex_state = 17},
  [1417] = {.lex_state = 0, .external_lex_state = 17},
  [1418] = {.lex_state = 0, .external_lex_state = 17},
  [1419] = {.lex_state = 0, .external_lex_state = 17},
  [1420] = {.lex_state = 0, .external_lex_state = 17},
  [1421] = {.lex_state = 0, .external_lex_state = 17},
  [1422] = {.lex_state = 0, .external_lex_state = 17},
  [1423] = {.lex_state = 0, .external_lex_state = 17},
  [1424] = {.lex_state = 0, .external_lex_state = 17},
  [1425] = {.lex_state = 0, .external_lex_state = 17},
  [1426] = {.lex_state = 0, .external_lex_state = 17},
  [1427] = {.lex_state = 0, .external_lex_state = 17},
  [1428] = {.lex_state = 0, .external_lex_state = 17},
  [1429] = {.lex_state = 0, .external_lex_state = 17},
  [1430] = {.lex_state = 0, .external_lex_state = 17},
  [1431] = {.lex_state = 0, .external_lex_state = 17},
  [1432] = {.lex_state = 0, .external_lex_state = 17},
  [1433] = {.lex_state = 0, .external_lex_state = 17},
  [1434] = {.lex_state = 0, .external_lex_state = 17},
  [1435] = {.lex_state = 0, .external_lex_state = 17},
  [1436] = {.lex_state = 0, .external_lex_state = 17},
  [1437] = {.lex_state = 0, .external_lex_state = 17},
  [1438] = {.lex_state = 0, .external_lex_state = 17},
  [1439] = {.lex_state = 0, .external_lex_state = 17},
  [1440] = {.lex_state = 0, .external_lex_state = 17},
  [1441] = {.lex_state = 0, .external_lex_state = 17},
  [1442] = {.lex_state = 0, .external_lex_state = 17},
  [1443] = {.lex_state = 0, .external_lex_state = 17},
  [1444] = {.lex_state = 0, .external_lex_state = 17},
  [1445] = {.lex_state = 0, .external_lex_state = 17},
  [1446] = {.lex_state = 0, .external_lex_state = 17},
  [1447] = {.lex_state = 0, .external_lex_state = 17},
  [1448] = {.lex_state = 0, .external_lex_state = 17},
  [1449] = {.lex_state = 0, .external_lex_state = 17},
  [1450] = {.lex_state = 0, .external_lex_state = 17},
  [1451] = {.lex_state = 0, .external_lex_state = 17},
  [1452] = {.lex_state = 0, .external_lex_state = 17},
  [1453] = {.lex_state = 0, .external_lex_state = 17},
  [1454] = {.lex_state = 0, .external_lex_state = 17},
  [1455] = {.lex_state = 0, .external_lex_state = 17},
  [1456] = {.lex_state = 0, .external_lex_state = 17},
  [1457] = {.lex_state = 0, .external_lex_state = 17},
  [1458] = {.lex_state = 0, .external_lex_state = 17},
  [1459] = {.lex_state = 0, .external_lex_state = 17},
  [1460] = {.lex_state = 0, .external_lex_state = 17},
  [1461] = {.lex_state = 0, .external_lex_state = 17},
  [1462] = {.lex_state = 0, .external_lex_state = 17},
  [1463] = {.lex_state = 0, .external_lex_state = 17},
  [1464] = {.lex_state = 0, .external_lex_state = 17},
  [1465] = {.lex_state = 0, .external_lex_state = 17},
  [1466] = {.lex_state = 0, .external_lex_state = 17},
  [1467] = {.lex_state = 0, .external_lex_state = 17},
  [1468] = {.lex_state = 0, .external_lex_state = 17},
  [1469] = {.lex_state = 0, .external_lex_state = 17},
  [1470] = {.lex_state = 0, .external_lex_state = 17},
  [1471] = {.lex_state = 0, .external_lex_state = 17},
  [1472] = {.lex_state = 0, .external_lex_state = 17},
  [1473] = {.lex_state = 0, .external_lex_state = 17},
  [1474] = {.lex_state = 0, .external_lex_state = 17},
  [1475] = {.lex_state = 0, .external_lex_state = 17},
  [1476] = {.lex_state = 0, .external_lex_state = 17},
  [1477] = {.lex_state = 0, .external_lex_state = 17},
  [1478] = {.lex_state = 0, .external_lex_state = 17},
  [1479] = {.lex_state = 0, .external_lex_state = 17},
  [1480] = {.lex_state = 0, .external_lex_state = 17},
  [1481] = {.lex_state = 0, .external_lex_state = 17},
  [1482] = {.lex_state = 0, .external_lex_state = 17},
  [1483] = {.lex_state = 0, .external_lex_state = 17},
  [1484] = {.lex_state = 0, .external_lex_state = 17},
  [1485] = {.lex_state = 0, .external_lex_state = 17},
  [1486] = {.lex_state = 0, .external_lex_state = 17},
  [1487] = {.lex_state = 0, .external_lex_state = 17},
  [1488] = {.lex_state = 0, .external_lex_state = 17},
  [1489] = {.lex_state = 0, .external_lex_state = 17},
  [1490] = {.lex_state = 0, .external_lex_state = 17},
  [1491] = {.lex_state = 0, .external_lex_state = 17},
  [1492] = {.lex_state = 0, .external_lex_state = 17},
  [1493] = {.lex_state = 0, .external_lex_state = 17},
  [1494] = {.lex_state = 0, .external_lex_state = 17},
  [1495] = {.lex_state = 0, .external_lex_state = 17},
  [1496] = {.lex_state = 0, .external_lex_state = 17},
  [1497] = {.lex_state = 0, .external_lex_state = 17},
  [1498] = {.lex_state = 0, .external_lex_state = 17},
  [1499] = {.lex_state = 0, .external_lex_state = 17},
  [1500] = {.lex_state = 0, .external_lex_state = 17},
  [1501] = {.lex_state = 0, .external_lex_state = 17},
  [1502] = {.lex_state = 0, .external_lex_state = 17},
  [1503] = {.lex_state = 0, .external_lex_state = 17},
  [1504] = {.lex_state = 0, .external_lex_state = 17},
  [1505] = {.lex_state = 0, .external_lex_state = 17},
  [1506] = {.lex_state = 0, .external_lex_state = 17},
  [1507] = {.lex_state = 0, .external_lex_state = 17},
  [1508] = {.lex_state = 0, .external_lex_state = 17},
  [1509] = {.lex_state = 0, .external_lex_state = 17},
  [1510] = {.lex_state = 0, .external_lex_state = 17},
  [1511] = {.lex_state = 0, .external_lex_state = 17},
  [1512] = {.lex_state = 0, .external_lex_state = 17},
  [1513] = {.lex_state = 0, .external_lex_state = 17},
  [1514] = {.lex_state = 0, .external_lex_state = 17},
  [1515] = {.lex_state = 0, .external_lex_state = 17},
  [1516] = {.lex_state = 0, .external_lex_state = 17},
  [1517] = {.lex_state = 0, .external_lex_state = 17},
  [1518] = {.lex_state = 0, .external_lex_state = 17},
  [1519] = {.lex_state = 0, .external_lex_state = 17},
  [1520] = {.lex_state = 0, .external_lex_state = 17},
  [1521] = {.lex_state = 0, .external_lex_state = 17},
  [1522] = {.lex_state = 0, .external_lex_state = 17},
  [1523] = {.lex_state = 0, .external_lex_state = 17},
  [1524] = {.lex_state = 0, .external_lex_state = 17},
  [1525] = {.lex_state = 0, .external_lex_state = 17},
  [1526] = {.lex_state = 0, .external_lex_state = 17},
  [1527] = {.lex_state = 0, .external_lex_state = 17},
  [1528] = {.lex_state = 0, .external_lex_state = 17},
  [1529] = {.lex_state = 0, .external_lex_state = 17},
  [1530] = {.lex_state = 0, .external_lex_state = 17},
  [1531] = {.lex_state = 0, .external_lex_state = 17},
  [1532] = {.lex_state = 0, .external_lex_state = 17},
  [1533] = {.lex_state = 0, .external_lex_state = 17},
  [1534] = {.lex_state = 0, .external_lex_state = 17},
  [1535] = {.lex_state = 0, .external_lex_state = 17},
  [1536] = {.lex_state = 0, .external_lex_state = 17},
  [1537] = {.lex_state = 0, .external_lex_state = 17},
  [1538] = {.lex_state = 0, .external_lex_state = 17},
  [1539] = {.lex_state = 0, .external_lex_state = 17},
  [1540] = {.lex_state = 0, .external_lex_state = 17},
  [1541] = {.lex_state = 0, .external_lex_state = 17},
  [1542] = {.lex_state = 0, .external_lex_state = 17},
  [1543] = {.lex_state = 0, .external_lex_state = 17},
  [1544] = {.lex_state = 0, .external_lex_state = 17},
  [1545] = {.lex_state = 0, .external_lex_state = 17},
  [1546] = {.lex_state = 0, .external_lex_state = 17},
  [1547] = {.lex_state = 0, .external_lex_state = 17},
  [1548] = {.lex_state = 0, .external_lex_state = 17},
  [1549] = {.lex_state = 0, .external_lex_state = 17},
  [1550] = {.lex_state = 0, .external_lex_state = 17},
  [1551] = {.lex_state = 0, .external_lex_state = 17},
  [1552] = {.lex_state = 0, .external_lex_state = 17},
  [1553] = {.lex_state = 0, .external_lex_state = 17},
  [1554] = {.lex_state = 0, .external_lex_state = 17},
  [1555] = {.lex_state = 0, .external_lex_state = 17},
  [1556] = {.lex_state = 0, .external_lex_state = 17},
  [1557] = {.lex_state = 0, .external_lex_state = 17},
  [1558] = {.lex_state = 0, .external_lex_state = 17},
  [1559] = {.lex_state = 0, .external_lex_state = 17},
  [1560] = {.lex_state = 0, .external_lex_state = 17},
  [1561] = {.lex_state = 0, .external_lex_state = 17},
  [1562] = {.lex_state = 0, .external_lex_state = 17},
  [1563] = {.lex_state = 0, .external_lex_state = 17},
  [1564] = {.lex_state = 0, .external_lex_state = 17},
  [1565] = {.lex_state = 0, .external_lex_state = 17},
  [1566] = {.lex_state = 0, .external_lex_state = 17},
  [1567] = {.lex_state = 0, .external_lex_state = 17},
  [1568] = {.lex_state = 0, .external_lex_state = 17},
  [1569] = {.lex_state = 0, .external_lex_state = 17},
  [1570] = {.lex_state = 0, .external_lex_state = 17},
  [1571] = {.lex_state = 0, .external_lex_state = 17},
  [1572] = {.lex_state = 0, .external_lex_state = 17},
  [1573] = {.lex_state = 0, .external_lex_state = 17},
  [1574] = {.lex_state = 0, .external_lex_state = 17},
  [1575] = {.lex_state = 0, .external_lex_state = 17},
  [1576] = {.lex_state = 0, .external_lex_state = 17},
  [1577] = {.lex_state = 0, .external_lex_state = 17},
  [1578] = {.lex_state = 0, .external_lex_state = 17},
  [1579] = {.lex_state = 0, .external_lex_state = 17},
  [1580] = {.lex_state = 0, .external_lex_state = 17},
  [1581] = {.lex_state = 0, .external_lex_state = 17},
  [1582] = {.lex_state = 0, .external_lex_state = 17},
  [1583] = {.lex_state = 0, .external_lex_state = 17},
  [1584] = {.lex_state = 0, .external_lex_state = 17},
  [1585] = {.lex_state = 0, .external_lex_state = 17},
  [1586] = {.lex_state = 0, .external_lex_state = 17},
  [1587] = {.lex_state = 0, .external_lex_state = 17},
  [1588] = {.lex_state = 0, .external_lex_state = 17},
  [1589] = {.lex_state = 0, .external_lex_state = 17},
  [1590] = {.lex_state = 0, .external_lex_state = 17},
  [1591] = {.lex_state = 0, .external_lex_state = 17},
  [1592] = {.lex_state = 0, .external_lex_state = 17},
  [1593] = {.lex_state = 0, .external_lex_state = 17},
  [1594] = {.lex_state = 0, .external_lex_state = 17},
  [1595] = {.lex_state = 0, .external_lex_state = 17},
  [1596] = {.lex_state = 0, .external_lex_state = 17},
  [1597] = {.lex_state = 0, .external_lex_state = 17},
  [1598] = {.lex_state = 0, .external_lex_state = 17},
  [1599] = {.lex_state = 0, .external_lex_state = 17},
  [1600] = {.lex_state = 0, .external_lex_state = 17},
  [1601] = {.lex_state = 0, .external_lex_state = 17},
  [1602] = {.lex_state = 0, .external_lex_state = 17},
  [1603] = {.lex_state = 0, .external_lex_state = 17},
  [1604] = {.lex_state = 0, .external_lex_state = 17},
  [1605] = {.lex_state = 0, .external_lex_state = 17},
  [1606] = {.lex_state = 0, .external_lex_state = 17},
  [1607] = {.lex_state = 0, .external_lex_state = 17},
  [1608] = {.lex_state = 0, .external_lex_state = 17},
  [1609] = {.lex_state = 0, .external_lex_state = 17},
  [1610] = {.lex_state = 0, .external_lex_state = 17},
  [1611] = {.lex_state = 0, .external_lex_state = 17},
  [1612] = {.lex_state = 0, .external_lex_state = 17},
  [1613] = {.lex_state = 0, .external_lex_state = 17},
  [1614] = {.lex_state = 0, .external_lex_state = 17},
  [1615] = {.lex_state = 0, .external_lex_state = 17},
  [1616] = {.lex_state = 0, .external_lex_state = 17},
  [1617] = {.lex_state = 0, .external_lex_state = 17},
  [1618] = {.lex_state = 0, .external_lex_state = 17},
  [1619] = {.lex_state = 0, .external_lex_state = 17},
  [1620] = {.lex_state = 0, .external_lex_state = 17},
  [1621] = {.lex_state = 0, .external_lex_state = 17},
  [1622] = {.lex_state = 0, .external_lex_state = 17},
  [1623] = {.lex_state = 0, .external_lex_state = 17},
  [1624] = {.lex_state = 0, .external_lex_state = 17},
  [1625] = {.lex_state = 0, .external_lex_state = 17},
  [1626] = {.lex_state = 0, .external_lex_state = 17},
  [1627] = {.lex_state = 0, .external_lex_state = 17},
  [1628] = {.lex_state = 0, .external_lex_state = 17},
  [1629] = {.lex_state = 0, .external_lex_state = 17},
  [1630] = {.lex_state = 0, .external_lex_state = 17},
  [1631] = {.lex_state = 0, .external_lex_state = 17},
  [1632] = {.lex_state = 0, .external_lex_state = 17},
  [1633] = {.lex_state = 0, .external_lex_state = 17},
  [1634] = {.lex_state = 0, .external_lex_state = 17},
  [1635] = {.lex_state = 0, .external_lex_state = 17},
  [1636] = {.lex_state = 0, .external_lex_state = 17},
  [1637] = {.lex_state = 0, .external_lex_state = 17},
  [1638] = {.lex_state = 0, .external_lex_state = 17},
  [1639] = {.lex_state = 0, .external_lex_state = 17},
  [1640] = {.lex_state = 0, .external_lex_state = 17},
  [1641] = {.lex_state = 0, .external_lex_state = 17},
  [1642] = {.lex_state = 0, .external_lex_state = 17},
  [1643] = {.lex_state = 0, .external_lex_state = 17},
  [1644] = {.lex_state = 0, .external_lex_state = 17},
  [1645] = {.lex_state = 0, .external_lex_state = 17},
  [1646] = {.lex_state = 0, .external_lex_state = 17},
  [1647] = {.lex_state = 0, .external_lex_state = 17},
  [1648] = {.lex_state = 0, .external_lex_state = 17},
  [1649] = {.lex_state = 0, .external_lex_state = 17},
  [1650] = {.lex_state = 0, .external_lex_state = 17},
  [1651] = {.lex_state = 0, .external_lex_state = 17},
  [1652] = {.lex_state = 0, .external_lex_state = 17},
  [1653] = {.lex_state = 0, .external_lex_state = 17},
  [1654] = {.lex_state = 0, .external_lex_state = 17},
  [1655] = {.lex_state = 0, .external_lex_state = 17},
  [1656] = {.lex_state = 0, .external_lex_state = 17},
  [1657] = {.lex_state = 0, .external_lex_state = 17},
  [1658] = {.lex_state = 0, .external_lex_state = 17},
  [1659] = {.lex_state = 0, .external_lex_state = 17},
  [1660] = {.lex_state = 0, .external_lex_state = 17},
  [1661] = {.lex_state = 0, .external_lex_state = 17},
  [1662] = {.lex_state = 0, .external_lex_state = 17},
  [1663] = {.lex_state = 0, .external_lex_state = 17},
  [1664] = {.lex_state = 0, .external_lex_state = 17},
  [1665] = {.lex_state = 0, .external_lex_state = 17},
  [1666] = {.lex_state = 0, .external_lex_state = 17},
  [1667] = {.lex_state = 0, .external_lex_state = 17},
  [1668] = {.lex_state = 0, .external_lex_state = 17},
  [1669] = {.lex_state = 0, .external_lex_state = 17},
  [1670] = {.lex_state = 0, .external_lex_state = 17},
  [1671] = {.lex_state = 0, .external_lex_state = 17},
  [1672] = {.lex_state = 0, .external_lex_state = 17},
  [1673] = {.lex_state = 0, .external_lex_state = 17},
  [1674] = {.lex_state = 0, .external_lex_state = 17},
  [1675] = {.lex_state = 0, .external_lex_state = 17},
  [1676] = {.lex_state = 0, .external_lex_state = 17},
  [1677] = {.lex_state = 0, .external_lex_state = 17},
  [1678] = {.lex_state = 0, .external_lex_state = 17},
  [1679] = {.lex_state = 0, .external_lex_state = 17},
  [1680] = {.lex_state = 0, .external_lex_state = 17},
  [1681] = {.lex_state = 0, .external_lex_state = 17},
  [1682] = {.lex_state = 0, .external_lex_state = 17},
  [1683] = {.lex_state = 0, .external_lex_state = 17},
  [1684] = {.lex_state = 0, .external_lex_state = 17},
  [1685] = {.lex_state = 0, .external_lex_state = 17},
  [1686] = {.lex_state = 0, .external_lex_state = 17},
  [1687] = {.lex_state = 0, .external_lex_state = 17},
  [1688] = {.lex_state = 0, .external_lex_state = 17},
  [1689] = {.lex_state = 0, .external_lex_state = 17},
  [1690] = {.lex_state = 0, .external_lex_state = 17},
  [1691] = {.lex_state = 0, .external_lex_state = 17},
  [1692] = {.lex_state = 0, .external_lex_state = 17},
  [1693] = {.lex_state = 0, .external_lex_state = 17},
  [1694] = {.lex_state = 0, .external_lex_state = 17},
  [1695] = {.lex_state = 0, .external_lex_state = 17},
  [1696] = {.lex_state = 0, .external_lex_state = 17},
  [1697] = {.lex_state = 0, .external_lex_state = 17},
  [1698] = {.lex_state = 0, .external_lex_state = 17},
  [1699] = {.lex_state = 0, .external_lex_state = 17},
  [1700] = {.lex_state = 0, .external_lex_state = 17},
  [1701] = {.lex_state = 0, .external_lex_state = 17},
  [1702] = {.lex_state = 0, .external_lex_state = 17},
  [1703] = {.lex_state = 0, .external_lex_state = 17},
  [1704] = {.lex_state = 0, .external_lex_state = 17},
  [1705] = {.lex_state = 0, .external_lex_state = 17},
  [1706] = {.lex_state = 0, .external_lex_state = 17},
  [1707] = {.lex_state = 0, .external_lex_state = 17},
  [1708] = {.lex_state = 0, .external_lex_state = 17},
  [1709] = {.lex_state = 0, .external_lex_state = 17},
  [1710] = {.lex_state = 0, .external_lex_state = 17},
  [1711] = {.lex_state = 0, .external_lex_state = 17},
  [1712] = {.lex_state = 0, .external_lex_state = 17},
  [1713] = {.lex_state = 0, .external_lex_state = 17},
  [1714] = {.lex_state = 0, .external_lex_state = 17},
  [1715] = {.lex_state = 0, .external_lex_state = 17},
  [1716] = {.lex_state = 0, .external_lex_state = 17},
  [1717] = {.lex_state = 0, .external_lex_state = 17},
  [1718] = {.lex_state = 0, .external_lex_state = 17},
  [1719] = {.lex_state = 0, .external_lex_state = 17},
  [1720] = {.lex_state = 0, .external_lex_state = 17},
  [1721] = {.lex_state = 0, .external_lex_state = 17},
  [1722] = {.lex_state = 0, .external_lex_state = 17},
  [1723] = {.lex_state = 0, .external_lex_state = 17},
  [1724] = {.lex_state = 0, .external_lex_state = 17},
  [1725] = {.lex_state = 0, .external_lex_state = 17},
  [1726] = {.lex_state = 0, .external_lex_state = 17},
  [1727] = {.lex_state = 0, .external_lex_state = 17},
  [1728] = {.lex_state = 0, .external_lex_state = 17},
  [1729] = {.lex_state = 0, .external_lex_state = 17},
  [1730] = {.lex_state = 0, .external_lex_state = 17},
  [1731] = {.lex_state = 0, .external_lex_state = 17},
  [1732] = {.lex_state = 0, .external_lex_state = 17},
  [1733] = {.lex_state = 0, .external_lex_state = 17},
  [1734] = {.lex_state = 0, .external_lex_state = 17},
  [1735] = {.lex_state = 0, .external_lex_state = 17},
  [1736] = {.lex_state = 0, .external_lex_state = 17},
  [1737] = {.lex_state = 0, .external_lex_state = 17},
  [1738] = {.lex_state = 0, .external_lex_state = 17},
  [1739] = {.lex_state = 0, .external_lex_state = 17},
  [1740] = {.lex_state = 0, .external_lex_state = 17},
  [1741] = {.lex_state = 0, .external_lex_state = 17},
  [1742] = {.lex_state = 0, .external_lex_state = 17},
  [1743] = {.lex_state = 0, .external_lex_state = 17},
  [1744] = {.lex_state = 0, .external_lex_state = 17},
  [1745] = {.lex_state = 0, .external_lex_state = 17},
  [1746] = {.lex_state = 0, .external_lex_state = 17},
  [1747] = {.lex_state = 0, .external_lex_state = 17},
  [1748] = {.lex_state = 0, .external_lex_state = 17},
  [1749] = {.lex_state = 0, .external_lex_state = 17},
  [1750] = {.lex_state = 0, .external_lex_state = 17},
  [1751] = {.lex_state = 0, .external_lex_state = 17},
  [1752] = {.lex_state = 0, .external_lex_state = 17},
  [1753] = {.lex_state = 0, .external_lex_state = 17},
  [1754] = {.lex_state = 0, .external_lex_state = 17},
  [1755] = {.lex_state = 0, .external_lex_state = 17},
  [1756] = {.lex_state = 0, .external_lex_state = 17},
  [1757] = {.lex_state = 0, .external_lex_state = 17},
  [1758] = {.lex_state = 0, .external_lex_state = 17},
  [1759] = {.lex_state = 0, .external_lex_state = 17},
  [1760] = {.lex_state = 0, .external_lex_state = 17},
  [1761] = {.lex_state = 0, .external_lex_state = 17},
  [1762] = {.lex_state = 0, .external_lex_state = 17},
  [1763] = {.lex_state = 0, .external_lex_state = 17},
  [1764] = {.lex_state = 0, .external_lex_state = 17},
  [1765] = {.lex_state = 0, .external_lex_state = 17},
  [1766] = {.lex_state = 0, .external_lex_state = 17},
  [1767] = {.lex_state = 0, .external_lex_state = 17},
  [1768] = {.lex_state = 0, .external_lex_state = 17},
  [1769] = {.lex_state = 0, .external_lex_state = 17},
  [1770] = {.lex_state = 0, .external_lex_state = 17},
  [1771] = {.lex_state = 0, .external_lex_state = 17},
  [1772] = {.lex_state = 0, .external_lex_state = 17},
  [1773] = {.lex_state = 0, .external_lex_state = 17},
  [1774] = {.lex_state = 0, .external_lex_state = 17},
  [1775] = {.lex_state = 0, .external_lex_state = 17},
  [1776] = {.lex_state = 0, .external_lex_state = 17},
  [1777] = {.lex_state = 0, .external_lex_state = 17},
  [1778] = {.lex_state = 0, .external_lex_state = 17},
  [1779] = {.lex_state = 0, .external_lex_state = 19},
  [1780] = {.lex_state = 0, .external_lex_state = 19},
  [1781] = {.lex_state = 0, .external_lex_state = 19},
  [1782] = {.lex_state = 0, .external_lex_state = 19},
  [1783] = {.lex_state = 0, .external_lex_state = 19},
  [1784] = {.lex_state = 0, .external_lex_state = 19},
  [1785] = {.lex_state = 0, .external_lex_state = 19},
  [1786] = {.lex_state = 0, .external_lex_state = 19},
  [1787] = {.lex_state = 0, .external_lex_state = 19},
  [1788] = {.lex_state = 0, .external_lex_state = 19},
  [1789] = {.lex_state = 0, .external_lex_state = 19},
  [1790] = {.lex_state = 0, .external_lex_state = 19},
  [1791] = {.lex_state = 0, .external_lex_state = 19},
  [1792] = {.lex_state = 0, .external_lex_state = 19},
  [1793] = {.lex_state = 0, .external_lex_state = 19},
  [1794] = {.lex_state = 0, .external_lex_state = 19},
  [1795] = {.lex_state = 0, .external_lex_state = 19},
  [1796] = {.lex_state = 0, .external_lex_state = 19},
  [1797] = {.lex_state = 0, .external_lex_state = 19},
  [1798] = {.lex_state = 0, .external_lex_state = 19},
  [1799] = {.lex_state = 0, .external_lex_state = 19},
  [1800] = {.lex_state = 0, .external_lex_state = 19},
  [1801] = {.lex_state = 0, .external_lex_state = 19},
  [1802] = {.lex_state = 0, .external_lex_state = 19},
  [1803] = {.lex_state = 0, .external_lex_state = 19},
  [1804] = {.lex_state = 0, .external_lex_state = 19},
  [1805] = {.lex_state = 0, .external_lex_state = 19},
  [1806] = {.lex_state = 0, .external_lex_state = 19},
  [1807] = {.lex_state = 0, .external_lex_state = 19},
  [1808] = {.lex_state = 0, .external_lex_state = 19},
  [1809] = {.lex_state = 0, .external_lex_state = 19},
  [1810] = {.lex_state = 0, .external_lex_state = 19},
  [1811] = {.lex_state = 0, .external_lex_state = 19},
  [1812] = {.lex_state = 0, .external_lex_state = 19},
  [1813] = {.lex_state = 0, .external_lex_state = 19},
  [1814] = {.lex_state = 0, .external_lex_state = 19},
  [1815] = {.lex_state = 0, .external_lex_state = 19},
  [1816] = {.lex_state = 0, .external_lex_state = 19},
  [1817] = {.lex_state = 0, .external_lex_state = 19},
  [1818] = {.lex_state = 0, .external_lex_state = 19},
  [1819] = {.lex_state = 0, .external_lex_state = 19},
  [1820] = {.lex_state = 0, .external_lex_state = 19},
  [1821] = {.lex_state = 0, .external_lex_state = 19},
  [1822] = {.lex_state = 0, .external_lex_state = 19},
  [1823] = {.lex_state = 0, .external_lex_state = 19},
  [1824] = {.lex_state = 0, .external_lex_state = 19},
  [1825] = {.lex_state = 0, .external_lex_state = 19},
  [1826] = {.lex_state = 0, .external_lex_state = 19},
  [1827] = {.lex_state = 0, .external_lex_state = 19},
  [1828] = {.lex_state = 0, .external_lex_state = 19},
  [1829] = {.lex_state = 0, .external_lex_state = 19},
  [1830] = {.lex_state = 0, .external_lex_state = 19},
  [1831] = {.lex_state = 0, .external_lex_state = 19},
  [1832] = {.lex_state = 0, .external_lex_state = 19},
  [1833] = {.lex_state = 0, .external_lex_state = 19},
  [1834] = {.lex_state = 0, .external_lex_state = 19},
  [1835] = {.lex_state = 0, .external_lex_state = 19},
  [1836] = {.lex_state = 0, .external_lex_state = 19},
  [1837] = {.lex_state = 0, .external_lex_state = 19},
  [1838] = {.lex_state = 0, .external_lex_state = 19},
  [1839] = {.lex_state = 0, .external_lex_state = 19},
  [1840] = {.lex_state = 0, .external_lex_state = 19},
  [1841] = {.lex_state = 0, .external_lex_state = 19},
  [1842] = {.lex_state = 0, .external_lex_state = 19},
  [1843] = {.lex_state = 0, .external_lex_state = 19},
  [1844] = {.lex_state = 0, .external_lex_state = 19},
  [1845] = {.lex_state = 0, .external_lex_state = 19},
  [1846] = {.lex_state = 0, .external_lex_state = 19},
  [1847] = {.lex_state = 0, .external_lex_state = 19},
  [1848] = {.lex_state = 0, .external_lex_state = 19},
  [1849] = {.lex_state = 0, .external_lex_state = 19},
  [1850] = {.lex_state = 0, .external_lex_state = 19},
  [1851] = {.lex_state = 1, .external_lex_state = 20},
  [1852] = {.lex_state = 1, .external_lex_state = 20},
  [1853] = {.lex_state = 1, .external_lex_state = 21},
  [1854] = {.lex_state = 1, .external_lex_state = 21},
  [1855] = {.lex_state = 1, .external_lex_state = 22},
  [1856] = {.lex_state = 0, .external_lex_state = 23},
  [1857] = {.lex_state = 0, .external_lex_state = 23},
  [1858] = {.lex_state = 0, .external_lex_state = 23},
  [1859] = {.lex_state = 0, .external_lex_state = 23},
  [1860] = {.lex_state = 1, .external_lex_state = 24},
  [1861] = {.lex_state = 0, .external_lex_state = 23},
  [1862] = {.lex_state = 0, .external_lex_state = 23},
  [1863] = {.lex_state = 0, .external_lex_state = 23},
  [1864] = {.lex_state = 0, .external_lex_state = 23},
  [1865] = {.lex_state = 0, .external_lex_state = 23},
  [1866] = {.lex_state = 0, .external_lex_state = 23},
  [1867] = {.lex_state = 0, .external_lex_state = 23},
  [1868] = {.lex_state = 0, .external_lex_state = 23},
  [1869] = {.lex_state = 0, .external_lex_state = 23},
  [1870] = {.lex_state = 0, .external_lex_state = 23},
  [1871] = {.lex_state = 0, .external_lex_state = 23},
  [1872] = {.lex_state = 0, .external_lex_state = 23},
  [1873] = {.lex_state = 0, .external_lex_state = 23},
  [1874] = {.lex_state = 0, .external_lex_state = 23},
  [1875] = {.lex_state = 0, .external_lex_state = 23},
  [1876] = {.lex_state = 0, .external_lex_state = 23},
  [1877] = {.lex_state = 0, .external_lex_state = 23},
  [1878] = {.lex_state = 0, .external_lex_state = 23},
  [1879] = {.lex_state = 0, .external_lex_state = 23},
  [1880] = {.lex_state = 0, .external_lex_state = 23},
  [1881] = {.lex_state = 0, .external_lex_state = 23},
  [1882] = {.lex_state = 0, .external_lex_state = 23},
  [1883] = {.lex_state = 0, .external_lex_state = 23},
  [1884] = {.lex_state = 0, .external_lex_state = 23},
  [1885] = {.lex_state = 0, .external_lex_state = 23},
  [1886] = {.lex_state = 0, .external_lex_state = 23},
  [1887] = {.lex_state = 0, .external_lex_state = 23},
  [1888] = {.lex_state = 0, .external_lex_state = 23},
  [1889] = {.lex_state = 0, .external_lex_state = 23},
  [1890] = {.lex_state = 0, .external_lex_state = 23},
  [1891] = {.lex_state = 0, .external_lex_state = 23},
  [1892] = {.lex_state = 1, .external_lex_state = 20},
  [1893] = {.lex_state = 0, .external_lex_state = 23},
  [1894] = {.lex_state = 0, .external_lex_state = 23},
  [1895] = {.lex_state = 0, .external_lex_state = 23},
  [1896] = {.lex_state = 0, .external_lex_state = 23},
  [1897] = {.lex_state = 0, .external_lex_state = 23},
  [1898] = {.lex_state = 0, .external_lex_state = 23},
  [1899] = {.lex_state = 0, .external_lex_state = 23},
  [1900] = {.lex_state = 0, .external_lex_state = 23},
  [1901] = {.lex_state = 0, .external_lex_state = 23},
  [1902] = {.lex_state = 0, .external_lex_state = 23},
  [1903] = {.lex_state = 0, .external_lex_state = 23},
  [1904] = {.lex_state = 0, .external_lex_state = 23},
  [1905] = {.lex_state = 0, .external_lex_state = 23},
  [1906] = {.lex_state = 0, .external_lex_state = 23},
  [1907] = {.lex_state = 0, .external_lex_state = 23},
  [1908] = {.lex_state = 0, .external_lex_state = 23},
  [1909] = {.lex_state = 0, .external_lex_state = 23},
  [1910] = {.lex_state = 0, .external_lex_state = 23},
  [1911] = {.lex_state = 0, .external_lex_state = 23},
  [1912] = {.lex_state = 0, .external_lex_state = 23},
  [1913] = {.lex_state = 0, .external_lex_state = 23},
  [1914] = {.lex_state = 0, .external_lex_state = 23},
  [1915] = {.lex_state = 0, .external_lex_state = 23},
  [1916] = {.lex_state = 0, .external_lex_state = 23},
  [1917] = {.lex_state = 0, .external_lex_state = 23},
  [1918] = {.lex_state = 0, .external_lex_state = 23},
  [1919] = {.lex_state = 0, .external_lex_state = 23},
  [1920] = {.lex_state = 0, .external_lex_state = 23},
  [1921] = {.lex_state = 0, .external_lex_state = 23},
  [1922] = {.lex_state = 0, .external_lex_state = 25},
  [1923] = {.lex_state = 0, .external_lex_state = 25},
  [1924] = {.lex_state = 0, .external_lex_state = 25},
  [1925] = {.lex_state = 0, .external_lex_state = 25},
  [1926] = {.lex_state = 0, .external_lex_state = 25},
  [1927] = {.lex_state = 0, .external_lex_state = 25},
  [1928] = {.lex_state = 0, .external_lex_state = 25},
  [1929] = {.lex_state = 0, .external_lex_state = 25},
  [1930] = {.lex_state = 0, .external_lex_state = 25},
  [1931] = {.lex_state = 0, .external_lex_state = 25},
  [1932] = {.lex_state = 0, .external_lex_state = 25},
  [1933] = {.lex_state = 0, .external_lex_state = 25},
  [1934] = {.lex_state = 0, .external_lex_state = 25},
  [1935] = {.lex_state = 0, .external_lex_state = 25},
  [1936] = {.lex_state = 0, .external_lex_state = 25},
  [1937] = {.lex_state = 0, .external_lex_state = 25},
  [1938] = {.lex_state = 0, .external_lex_state = 25},
  [1939] = {.lex_state = 0, .external_lex_state = 25},
  [1940] = {.lex_state = 0, .external_lex_state = 25},
  [1941] = {.lex_state = 0, .external_lex_state = 25},
  [1942] = {.lex_state = 0, .external_lex_state = 25},
  [1943] = {.lex_state = 0, .external_lex_state = 25},
  [1944] = {.lex_state = 0, .external_lex_state = 25},
  [1945] = {.lex_state = 0, .external_lex_state = 25},
  [1946] = {.lex_state = 0, .external_lex_state = 25},
  [1947] = {.lex_state = 0, .external_lex_state = 25},
  [1948] = {.lex_state = 0, .external_lex_state = 25},
  [1949] = {.lex_state = 0, .external_lex_state = 25},
  [1950] = {.lex_state = 0, .external_lex_state = 25},
  [1951] = {.lex_state = 0, .external_lex_state = 25},
  [1952] = {.lex_state = 0, .external_lex_state = 25},
  [1953] = {.lex_state = 0, .external_lex_state = 25},
  [1954] = {.lex_state = 0, .external_lex_state = 25},
  [1955] = {.lex_state = 0, .external_lex_state = 25},
  [1956] = {.lex_state = 0, .external_lex_state = 25},
  [1957] = {.lex_state = 0, .external_lex_state = 25},
  [1958] = {.lex_state = 0, .external_lex_state = 25},
  [1959] = {.lex_state = 0, .external_lex_state = 25},
  [1960] = {.lex_state = 1, .external_lex_state = 21},
  [1961] = {.lex_state = 0, .external_lex_state = 25},
  [1962] = {.lex_state = 0, .external_lex_state = 25},
  [1963] = {.lex_state = 0, .external_lex_state = 25},
  [1964] = {.lex_state = 0, .external_lex_state = 25},
  [1965] = {.lex_state = 0, .external_lex_state = 25},
  [1966] = {.lex_state = 0, .external_lex_state = 25},
  [1967] = {.lex_state = 0, .external_lex_state = 25},
  [1968] = {.lex_state = 0, .external_lex_state = 25},
  [1969] = {.lex_state = 0, .external_lex_state = 25},
  [1970] = {.lex_state = 0, .external_lex_state = 25},
  [1971] = {.lex_state = 0, .external_lex_state = 25},
  [1972] = {.lex_state = 0, .external_lex_state = 25},
  [1973] = {.lex_state = 0, .external_lex_state = 25},
  [1974] = {.lex_state = 0, .external_lex_state = 25},
  [1975] = {.lex_state = 0, .external_lex_state = 25},
  [1976] = {.lex_state = 0, .external_lex_state = 25},
  [1977] = {.lex_state = 0, .external_lex_state = 25},
  [1978] = {.lex_state = 0, .external_lex_state = 25},
  [1979] = {.lex_state = 0, .external_lex_state = 25},
  [1980] = {.lex_state = 0, .external_lex_state = 25},
  [1981] = {.lex_state = 0, .external_lex_state = 25},
  [1982] = {.lex_state = 0, .external_lex_state = 25},
  [1983] = {.lex_state = 0, .external_lex_state = 25},
  [1984] = {.lex_state = 0, .external_lex_state = 25},
  [1985] = {.lex_state = 0, .external_lex_state = 25},
  [1986] = {.lex_state = 0, .external_lex_state = 25},
  [1987] = {.lex_state = 0, .external_lex_state = 25},
  [1988] = {.lex_state = 0, .external_lex_state = 25},
  [1989] = {.lex_state = 0, .external_lex_state = 25},
  [1990] = {.lex_state = 0, .external_lex_state = 25},
  [1991] = {.lex_state = 0, .external_lex_state = 25},
  [1992] = {.lex_state = 0, .external_lex_state = 25},
  [1993] = {.lex_state = 0, .external_lex_state = 25},
  [1994] = {.lex_state = 0, .external_lex_state = 25},
  [1995] = {.lex_state = 0, .external_lex_state = 25},
  [1996] = {.lex_state = 0, .external_lex_state = 25},
  [1997] = {.lex_state = 0, .external_lex_state = 25},
  [1998] = {.lex_state = 0, .external_lex_state = 25},
  [1999] = {.lex_state = 0, .external_lex_state = 25},
  [2000] = {.lex_state = 0, .external_lex_state = 25},
  [2001] = {.lex_state = 0, .external_lex_state = 25},
  [2002] = {.lex_state = 0, .external_lex_state = 25},
  [2003] = {.lex_state = 0, .external_lex_state = 25},
  [2004] = {.lex_state = 0, .external_lex_state = 25},
  [2005] = {.lex_state = 0, .external_lex_state = 25},
  [2006] = {.lex_state = 0, .external_lex_state = 25},
  [2007] = {.lex_state = 0, .external_lex_state = 25},
  [2008] = {.lex_state = 0, .external_lex_state = 25},
  [2009] = {.lex_state = 0, .external_lex_state = 25},
  [2010] = {.lex_state = 0, .external_lex_state = 25},
  [2011] = {.lex_state = 0, .external_lex_state = 25},
  [2012] = {.lex_state = 0, .external_lex_state = 25},
  [2013] = {.lex_state = 0, .external_lex_state = 25},
  [2014] = {.lex_state = 0, .external_lex_state = 25},
  [2015] = {.lex_state = 0, .external_lex_state = 25},
  [2016] = {.lex_state = 0, .external_lex_state = 25},
  [2017] = {.lex_state = 0, .external_lex_state = 25},
  [2018] = {.lex_state = 0, .external_lex_state = 25},
  [2019] = {.lex_state = 0, .external_lex_state = 25},
  [2020] = {.lex_state = 0, .external_lex_state = 25},
  [2021] = {.lex_state = 0, .external_lex_state = 25},
  [2022] = {.lex_state = 0, .external_lex_state = 25},
  [2023] = {.lex_state = 0, .external_lex_state = 25},
  [2024] = {.lex_state = 0, .external_lex_state = 25},
  [2025] = {.lex_state = 0, .external_lex_state = 25},
  [2026] = {.lex_state = 0, .external_lex_state = 25},
  [2027] = {.lex_state = 0, .external_lex_state = 25},
  [2028] = {.lex_state = 0, .external_lex_state = 25},
  [2029] = {.lex_state = 0, .external_lex_state = 25},
  [2030] = {.lex_state = 0, .external_lex_state = 25},
  [2031] = {.lex_state = 0, .external_lex_state = 25},
  [2032] = {.lex_state = 0, .external_lex_state = 25},
  [2033] = {.lex_state = 0, .external_lex_state = 25},
  [2034] = {.lex_state = 0, .external_lex_state = 25},
  [2035] = {.lex_state = 0, .external_lex_state = 25},
  [2036] = {.lex_state = 0, .external_lex_state = 25},
  [2037] = {.lex_state = 0, .external_lex_state = 25},
  [2038] = {.lex_state = 0, .external_lex_state = 25},
  [2039] = {.lex_state = 0, .external_lex_state = 25},
  [2040] = {.lex_state = 0, .external_lex_state = 25},
  [2041] = {.lex_state = 0, .external_lex_state = 25},
  [2042] = {.lex_state = 0, .external_lex_state = 25},
  [2043] = {.lex_state = 0, .external_lex_state = 25},
  [2044] = {.lex_state = 0, .external_lex_state = 25},
  [2045] = {.lex_state = 0, .external_lex_state = 25},
  [2046] = {.lex_state = 0, .external_lex_state = 25},
  [2047] = {.lex_state = 0, .external_lex_state = 25},
  [2048] = {.lex_state = 0, .external_lex_state = 25},
  [2049] = {.lex_state = 0, .external_lex_state = 25},
  [2050] = {.lex_state = 0, .external_lex_state = 25},
  [2051] = {.lex_state = 0, .external_lex_state = 25},
  [2052] = {.lex_state = 0, .external_lex_state = 11},
  [2053] = {.lex_state = 0, .external_lex_state = 10},
  [2054] = {.lex_state = 0, .external_lex_state = 11},
  [2055] = {.lex_state = 0, .external_lex_state = 23},
  [2056] = {.lex_state = 0, .external_lex_state = 23},
  [2057] = {.lex_state = 0, .external_lex_state = 10},
  [2058] = {.lex_state = 0, .external_lex_state = 23},
  [2059] = {.lex_state = 0, .external_lex_state = 13},
  [2060] = {.lex_state = 0, .external_lex_state = 16},
  [2061] = {.lex_state = 0, .external_lex_state = 10},
  [2062] = {.lex_state = 0, .external_lex_state = 23},
  [2063] = {.lex_state = 0, .external_lex_state = 13},
  [2064] = {.lex_state = 1, .external_lex_state = 23},
  [2065] = {.lex_state = 0, .external_lex_state = 23},
  [2066] = {.lex_state = 0, .external_lex_state = 13},
  [2067] = {.lex_state = 0, .external_lex_state = 13},
  [2068] = {.lex_state = 0, .external_lex_state = 23},
  [2069] = {.lex_state = 0, .external_lex_state = 13},
  [2070] = {.lex_state = 0, .external_lex_state = 10},
  [2071] = {.lex_state = 0, .external_lex_state = 23},
  [2072] = {.lex_state = 0, .external_lex_state = 11},
  [2073] = {.lex_state = 0, .external_lex_state = 23},
  [2074] = {.lex_state = 0, .external_lex_state = 10},
  [2075] = {.lex_state = 0, .external_lex_state = 13},
  [2076] = {.lex_state = 0, .external_lex_state = 10},
  [2077] = {.lex_state = 0, .external_lex_state = 13},
  [2078] = {.lex_state = 0, .external_lex_state = 11},
  [2079] = {.lex_state = 0, .external_lex_state = 11},
  [2080] = {.lex_state = 0, .external_lex_state = 10},
  [2081] = {.lex_state = 0, .external_lex_state = 11},
  [2082] = {.lex_state = 0, .external_lex_state = 11},
  [2083] = {.lex_state = 0, .external_lex_state = 25},
  [2084] = {.lex_state = 0, .external_lex_state = 17},
  [2085] = {.lex_state = 0, .external_lex_state = 25},
  [2086] = {.lex_state = 0, .external_lex_state = 25},
  [2087] = {.lex_state = 1, .external_lex_state = 25},
  [2088] = {.lex_state = 0, .external_lex_state = 25},
  [2089] = {.lex_state = 0, .external_lex_state = 25},
  [2090] = {.lex_state = 0, .external_lex_state = 25},
  [2091] = {.lex_state = 0, .external_lex_state = 25},
  [2092] = {.lex_state = 0, .external_lex_state = 25},
  [2093] = {.lex_state = 0, .external_lex_state = 13},
  [2094] = {.lex_state = 0, .external_lex_state = 23},
  [2095] = {.lex_state = 0, .external_lex_state = 17},
  [2096] = {.lex_state = 0, .external_lex_state = 23},
  [2097] = {.lex_state = 0, .external_lex_state = 23},
  [2098] = {.lex_state = 0, .external_lex_state = 23},
  [2099] = {.lex_state = 0, .external_lex_state = 23},
  [2100] = {.lex_state = 0, .external_lex_state = 23},
  [2101] = {.lex_state = 0, .external_lex_state = 23},
  [2102] = {.lex_state = 0, .external_lex_state = 23},
  [2103] = {.lex_state = 0, .external_lex_state = 23},
  [2104] = {.lex_state = 0, .external_lex_state = 23},
  [2105] = {.lex_state = 0, .external_lex_state = 17},
  [2106] = {.lex_state = 0, .external_lex_state = 23},
  [2107] = {.lex_state = 0, .external_lex_state = 23},
  [2108] = {.lex_state = 0, .external_lex_state = 23},
  [2109] = {.lex_state = 0, .external_lex_state = 23},
  [2110] = {.lex_state = 0, .external_lex_state = 23},
  [2111] = {.lex_state = 0, .external_lex_state = 17},
  [2112] = {.lex_state = 0, .external_lex_state = 23},
  [2113] = {.lex_state = 0, .external_lex_state = 23},
  [2114] = {.lex_state = 0, .external_lex_state = 23},
  [2115] = {.lex_state = 0, .external_lex_state = 23},
  [2116] = {.lex_state = 0, .external_lex_state = 25},
  [2117] = {.lex_state = 0, .external_lex_state = 25},
  [2118] = {.lex_state = 0, .external_lex_state = 25},
  [2119] = {.lex_state = 0, .external_lex_state = 25},
  [2120] = {.lex_state = 0, .external_lex_state = 25},
  [2121] = {.lex_state = 0, .external_lex_state = 25},
  [2122] = {.lex_state = 0, .external_lex_state = 25},
  [2123] = {.lex_state = 0, .external_lex_state = 25},
  [2124] = {.lex_state = 0, .external_lex_state = 25},
  [2125] = {.lex_state = 0, .external_lex_state = 25},
  [2126] = {.lex_state = 0, .external_lex_state = 25},
  [2127] = {.lex_state = 0, .external_lex_state = 25},
  [2128] = {.lex_state = 0, .external_lex_state = 25},
  [2129] = {.lex_state = 0, .external_lex_state = 25},
  [2130] = {.lex_state = 0, .external_lex_state = 25},
  [2131] = {.lex_state = 0, .external_lex_state = 25},
  [2132] = {.lex_state = 0, .external_lex_state = 25},
  [2133] = {.lex_state = 0, .external_lex_state = 25},
  [2134] = {.lex_state = 0, .external_lex_state = 25},
  [2135] = {.lex_state = 3, .external_lex_state = 26},
  [2136] = {.lex_state = 0, .external_lex_state = 27},
  [2137] = {.lex_state = 0, .external_lex_state = 27},
  [2138] = {.lex_state = 0, .external_lex_state = 27},
  [2139] = {.lex_state = 0, .external_lex_state = 27},
  [2140] = {.lex_state = 0, .external_lex_state = 27},
  [2141] = {.lex_state = 0, .external_lex_state = 27},
  [2142] = {.lex_state = 0, .external_lex_state = 27},
  [2143] = {.lex_state = 0, .external_lex_state = 27},
  [2144] = {.lex_state = 0, .external_lex_state = 27},
  [2145] = {.lex_state = 0, .external_lex_state = 27},
  [2146] = {.lex_state = 0, .external_lex_state = 27},
  [2147] = {.lex_state = 0, .external_lex_state = 27},
  [2148] = {.lex_state = 0, .external_lex_state = 27},
  [2149] = {.lex_state = 0, .external_lex_state = 27},
  [2150] = {.lex_state = 0, .external_lex_state = 27},
  [2151] = {.lex_state = 0, .external_lex_state = 27},
  [2152] = {.lex_state = 0, .external_lex_state = 27},
  [2153] = {.lex_state = 0, .external_lex_state = 27},
  [2154] = {.lex_state = 0, .external_lex_state = 27},
  [2155] = {.lex_state = 0, .external_lex_state = 27},
  [2156] = {.lex_state = 0, .external_lex_state = 27},
  [2157] = {.lex_state = 3},
  [2158] = {.lex_state = 0, .external_lex_state = 27},
  [2159] = {.lex_state = 0, .external_lex_state = 27},
  [2160] = {.lex_state = 0, .external_lex_state = 27},
  [2161] = {.lex_state = 4},
  [2162] = {.lex_state = 4},
  [2163] = {.lex_state = 2},
  [2164] = {.lex_state = 0, .external_lex_state = 27},
  [2165] = {.lex_state = 2},
  [2166] = {.lex_state = 4},
  [2167] = {.lex_state = 4},
  [2168] = {.lex_state = 4},
  [2169] = {.lex_state = 2},
  [2170] = {.lex_state = 0, .external_lex_state = 27},
  [2171] = {.lex_state = 2},
  [2172] = {.lex_state = 4},
  [2173] = {.lex_state = 0, .external_lex_state = 27},
  [2174] = {.lex_state = 2},
  [2175] = {.lex_state = 2},
  [2176] = {.lex_state = 2},
  [2177] = {.lex_state = 4},
  [2178] = {.lex_state = 4},
  [2179] = {.lex_state = 2},
  [2180] = {.lex_state = 2},
  [2181] = {.lex_state = 4},
  [2182] = {.lex_state = 2},
  [2183] = {.lex_state = 2},
  [2184] = {.lex_state = 0, .external_lex_state = 26},
  [2185] = {.lex_state = 2},
  [2186] = {.lex_state = 4},
  [2187] = {.lex_state = 4},
  [2188] = {.lex_state = 2},
  [2189] = {.lex_state = 2},
  [2190] = {.lex_state = 2},
  [2191] = {.lex_state = 0, .external_lex_state = 26},
  [2192] = {.lex_state = 4},
  [2193] = {.lex_state = 4},
  [2194] = {.lex_state = 4},
  [2195] = {.lex_state = 2},
  [2196] = {.lex_state = 4},
  [2197] = {.lex_state = 2},
  [2198] = {.lex_state = 4},
  [2199] = {.lex_state = 4},
  [2200] = {.lex_state = 0, .external_lex_state = 27},
  [2201] = {.lex_state = 2},
  [2202] = {.lex_state = 0, .external_lex_state = 27},
  [2203] = {.lex_state = 2},
  [2204] = {.lex_state = 4},
  [2205] = {.lex_state = 0, .external_lex_state = 27},
  [2206] = {.lex_state = 0, .external_lex_state = 27},
  [2207] = {.lex_state = 4},
  [2208] = {.lex_state = 0, .external_lex_state = 27},
  [2209] = {.lex_state = 4},
  [2210] = {.lex_state = 0, .external_lex_state = 27},
  [2211] = {.lex_state = 2},
  [2212] = {.lex_state = 0, .external_lex_state = 27},
  [2213] = {.lex_state = 4},
  [2214] = {.lex_state = 0, .external_lex_state = 27},
  [2215] = {.lex_state = 4},
  [2216] = {.lex_state = 0, .external_lex_state = 27},
  [2217] = {.lex_state = 0, .external_lex_state = 27},
  [2218] = {.lex_state = 0, .external_lex_state = 27},
  [2219] = {.lex_state = 2},
  [2220] = {.lex_state = 0, .external_lex_state = 27},
  [2221] = {.lex_state = 2},
  [2222] = {.lex_state = 0, .external_lex_state = 27},
  [2223] = {.lex_state = 0, .external_lex_state = 27},
  [2224] = {.lex_state = 0, .external_lex_state = 27},
  [2225] = {.lex_state = 0, .external_lex_state = 27},
  [2226] = {.lex_state = 2},
  [2227] = {.lex_state = 0, .external_lex_state = 27},
  [2228] = {.lex_state = 2},
  [2229] = {.lex_state = 0, .external_lex_state = 27},
  [2230] = {.lex_state = 2},
  [2231] = {.lex_state = 0, .external_lex_state = 27},
  [2232] = {.lex_state = 0, .external_lex_state = 27},
  [2233] = {.lex_state = 4},
  [2234] = {.lex_state = 0, .external_lex_state = 27},
  [2235] = {.lex_state = 4},
  [2236] = {.lex_state = 0, .external_lex_state = 27},
  [2237] = {.lex_state = 0, .external_lex_state = 27},
  [2238] = {.lex_state = 0, .external_lex_state = 27},
  [2239] = {.lex_state = 0, .external_lex_state = 27},
  [2240] = {.lex_state = 0, .external_lex_state = 27},
  [2241] = {.lex_state = 4},
  [2242] = {.lex_state = 0, .external_lex_state = 27},
  [2243] = {.lex_state = 0, .external_lex_state = 27},
  [2244] = {.lex_state = 0, .external_lex_state = 27},
  [2245] = {.lex_state = 0, .external_lex_state = 27},
  [2246] = {.lex_state = 0, .external_lex_state = 27},
  [2247] = {.lex_state = 0, .external_lex_state = 27},
  [2248] = {.lex_state = 0, .external_lex_state = 27},
  [2249] = {.lex_state = 0, .external_lex_state = 27},
  [2250] = {.lex_state = 0, .external_lex_state = 27},
  [2251] = {.lex_state = 0, .external_lex_state = 27},
  [2252] = {.lex_state = 0, .external_lex_state = 27},
  [2253] = {.lex_state = 0, .external_lex_state = 27},
  [2254] = {.lex_state = 0, .external_lex_state = 27},
  [2255] = {.lex_state = 0, .external_lex_state = 27},
  [2256] = {.lex_state = 0, .external_lex_state = 27},
  [2257] = {.lex_state = 0, .external_lex_state = 27},
  [2258] = {.lex_state = 0, .external_lex_state = 27},
  [2259] = {.lex_state = 0, .external_lex_state = 27},
  [2260] = {.lex_state = 0, .external_lex_state = 27},
  [2261] = {.lex_state = 0, .external_lex_state = 27},
  [2262] = {.lex_state = 0, .external_lex_state = 27},
  [2263] = {.lex_state = 0, .external_lex_state = 27},
  [2264] = {.lex_state = 0, .external_lex_state = 27},
  [2265] = {.lex_state = 0, .external_lex_state = 27},
  [2266] = {.lex_state = 0, .external_lex_state = 27},
  [2267] = {.lex_state = 0, .external_lex_state = 27},
  [2268] = {.lex_state = 0, .external_lex_state = 27},
  [2269] = {.lex_state = 0, .external_lex_state = 27},
  [2270] = {.lex_state = 0, .external_lex_state = 27},
  [2271] = {.lex_state = 0, .external_lex_state = 27},
  [2272] = {.lex_state = 0, .external_lex_state = 27},
  [2273] = {.lex_state = 0, .external_lex_state = 27},
  [2274] = {.lex_state = 0, .external_lex_state = 27},
  [2275] = {.lex_state = 0, .external_lex_state = 27},
  [2276] = {.lex_state = 0, .external_lex_state = 27},
  [2277] = {.lex_state = 0, .external_lex_state = 27},
  [2278] = {.lex_state = 0, .external_lex_state = 27},
  [2279] = {.lex_state = 0, .external_lex_state = 27},
  [2280] = {.lex_state = 0, .external_lex_state = 27},
  [2281] = {.lex_state = 0, .external_lex_state = 27},
  [2282] = {.lex_state = 0, .external_lex_state = 27},
  [2283] = {.lex_state = 0, .external_lex_state = 27},
  [2284] = {.lex_state = 0, .external_lex_state = 27},
  [2285] = {.lex_state = 0, .external_lex_state = 26},
  [2286] = {.lex_state = 2},
  [2287] = {.lex_state = 0, .external_lex_state = 27},
  [2288] = {.lex_state = 0, .external_lex_state = 26},
  [2289] = {.lex_state = 4},
  [2290] = {.lex_state = 0},
  [2291] = {.lex_state = 0},
  [2292] = {.lex_state = 0},
  [2293] = {.lex_state = 0},
  [2294] = {.lex_state = 0, .external_lex_state = 26},
  [2295] = {.lex_state = 0},
  [2296] = {.lex_state = 0, .external_lex_state = 26},
  [2297] = {.lex_state = 0, .external_lex_state = 26},
  [2298] = {.lex_state = 0},
  [2299] = {.lex_state = 0},
  [2300] = {.lex_state = 0},
  [2301] = {.lex_state = 0},
  [2302] = {.lex_state = 0},
  [2303] = {.lex_state = 0},
  [2304] = {.lex_state = 0, .external_lex_state = 26},
  [2305] = {.lex_state = 0},
  [2306] = {.lex_state = 1},
  [2307] = {.lex_state = 1},
  [2308] = {.lex_state = 1},
  [2309] = {.lex_state = 1},
  [2310] = {.lex_state = 1},
  [2311] = {.lex_state = 1},
  [2312] = {.lex_state = 1},
  [2313] = {.lex_state = 1},
  [2314] = {.lex_state = 1},
  [2315] = {.lex_state = 1},
  [2316] = {.lex_state = 1},
  [2317] = {.lex_state = 1},
  [2318] = {.lex_state = 1},
  [2319] = {.lex_state = 1},
  [2320] = {.lex_state = 1},
  [2321] = {.lex_state = 1},
  [2322] = {.lex_state = 1},
  [2323] = {.lex_state = 1},
  [2324] = {.lex_state = 1},
  [2325] = {.lex_state = 1},
  [2326] = {.lex_state = 1},
  [2327] = {.lex_state = 1},
  [2328] = {.lex_state = 1},
  [2329] = {.lex_state = 1},
  [2330] = {.lex_state = 1},
  [2331] = {.lex_state = 1},
  [2332] = {.lex_state = 1},
  [2333] = {.lex_state = 1},
  [2334] = {.lex_state = 1},
  [2335] = {.lex_state = 1},
  [2336] = {.lex_state = 1},
  [2337] = {.lex_state = 1},
  [2338] = {.lex_state = 1},
  [2339] = {.lex_state = 1},
  [2340] = {.lex_state = 1},
  [2341] = {.lex_state = 1},
  [2342] = {.lex_state = 1},
  [2343] = {.lex_state = 1},
  [2344] = {.lex_state = 1},
  [2345] = {.lex_state = 1},
  [2346] = {.lex_state = 1},
  [2347] = {.lex_state = 0},
  [2348] = {.lex_state = 1},
  [2349] = {.lex_state = 1},
  [2350] = {.lex_state = 1},
  [2351] = {.lex_state = 1},
  [2352] = {.lex_state = 1},
  [2353] = {.lex_state = 1},
  [2354] = {.lex_state = 1},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_repeat] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_DASH_GT_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [aux_sym_binary_operator_token1] = ACTIONS(1),
    [anon_sym_PIPE_GT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1),
    [anon_sym_L] = ACTIONS(1),
    [anon_sym_i] = ACTIONS(1),
    [sym__hex_literal] = ACTIONS(1),
    [sym__number_literal] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_return] = ACTIONS(1),
    [sym_next] = ACTIONS(1),
    [sym_break] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_inf] = ACTIONS(1),
    [sym_nan] = ACTIONS(1),
    [anon_sym_NA] = ACTIONS(1),
    [anon_sym_NA_integer_] = ACTIONS(1),
    [anon_sym_NA_real_] = ACTIONS(1),
    [anon_sym_NA_complex_] = ACTIONS(1),
    [anon_sym_NA_character_] = ACTIONS(1),
    [sym_dots] = ACTIONS(1),
    [sym_dot_dot_i] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__semicolon] = ACTIONS(1),
    [sym__raw_string_literal] = ACTIONS(1),
    [sym__external_else] = ACTIONS(1),
    [sym__external_open_parenthesis] = ACTIONS(1),
    [sym__external_close_parenthesis] = ACTIONS(1),
    [sym__external_open_brace] = ACTIONS(1),
    [sym__external_close_brace] = ACTIONS(1),
    [sym__external_open_bracket] = ACTIONS(1),
    [sym__external_close_bracket] = ACTIONS(1),
    [sym__external_open_bracket2] = ACTIONS(1),
    [sym__external_close_bracket2] = ACTIONS(1),
    [sym__error_sentinel] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2347),
    [sym_function_definition] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_while_statement] = STATE(556),
    [sym_repeat_statement] = STATE(556),
    [sym_braced_expression] = STATE(556),
    [sym_parenthesized_expression] = STATE(556),
    [sym_call] = STATE(556),
    [sym_subset] = STATE(556),
    [sym_subset2] = STATE(556),
    [sym_unary_operator] = STATE(556),
    [sym_binary_operator] = STATE(556),
    [sym_extract_operator] = STATE(556),
    [sym_namespace_operator] = STATE(556),
    [sym_integer] = STATE(556),
    [sym_complex] = STATE(556),
    [sym_float] = STATE(556),
    [sym__float_literal] = STATE(776),
    [sym_string] = STATE(769),
    [sym__single_quoted_string] = STATE(777),
    [sym__double_quoted_string] = STATE(779),
    [sym_na] = STATE(556),
    [sym__expression] = STATE(556),
    [sym__string_or_identifier] = STATE(2305),
    [sym__open_parenthesis] = STATE(1039),
    [sym__open_brace] = STATE(924),
    [aux_sym_program_repeat1] = STATE(1002),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_for] = ACTIONS(15),
    [anon_sym_while] = ACTIONS(17),
    [anon_sym_repeat] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [sym__hex_literal] = ACTIONS(29),
    [sym__number_literal] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_return] = ACTIONS(37),
    [sym_next] = ACTIONS(37),
    [sym_break] = ACTIONS(37),
    [sym_true] = ACTIONS(37),
    [sym_false] = ACTIONS(37),
    [sym_null] = ACTIONS(37),
    [sym_inf] = ACTIONS(37),
    [sym_nan] = ACTIONS(37),
    [anon_sym_NA] = ACTIONS(39),
    [anon_sym_NA_integer_] = ACTIONS(39),
    [anon_sym_NA_real_] = ACTIONS(39),
    [anon_sym_NA_complex_] = ACTIONS(39),
    [anon_sym_NA_character_] = ACTIONS(39),
    [sym_dots] = ACTIONS(37),
    [sym_dot_dot_i] = ACTIONS(41),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(43),
    [sym__semicolon] = ACTIONS(43),
    [sym__raw_string_literal] = ACTIONS(45),
    [sym__external_open_parenthesis] = ACTIONS(47),
    [sym__external_open_brace] = ACTIONS(49),
  },
  [2] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__else] = STATE(1485),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_repeat] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(53),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(53),
    [sym__number_literal] = ACTIONS(51),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_return] = ACTIONS(51),
    [sym_next] = ACTIONS(51),
    [sym_break] = ACTIONS(51),
    [sym_true] = ACTIONS(51),
    [sym_false] = ACTIONS(51),
    [sym_null] = ACTIONS(51),
    [sym_inf] = ACTIONS(51),
    [sym_nan] = ACTIONS(51),
    [anon_sym_NA] = ACTIONS(51),
    [anon_sym_NA_integer_] = ACTIONS(51),
    [anon_sym_NA_real_] = ACTIONS(51),
    [anon_sym_NA_complex_] = ACTIONS(51),
    [anon_sym_NA_character_] = ACTIONS(51),
    [sym_dots] = ACTIONS(51),
    [sym_dot_dot_i] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(53),
    [sym__newline] = ACTIONS(53),
    [sym__raw_string_literal] = ACTIONS(53),
    [sym__external_else] = ACTIONS(93),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(53),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [3] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__else] = STATE(1488),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(101),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(101),
    [sym__raw_string_literal] = ACTIONS(101),
    [sym__external_else] = ACTIONS(143),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(101),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [4] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__else] = STATE(1400),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_repeat] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(53),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(53),
    [sym__number_literal] = ACTIONS(51),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_return] = ACTIONS(51),
    [sym_next] = ACTIONS(51),
    [sym_break] = ACTIONS(51),
    [sym_true] = ACTIONS(51),
    [sym_false] = ACTIONS(51),
    [sym_null] = ACTIONS(51),
    [sym_inf] = ACTIONS(51),
    [sym_nan] = ACTIONS(51),
    [anon_sym_NA] = ACTIONS(51),
    [anon_sym_NA_integer_] = ACTIONS(51),
    [anon_sym_NA_real_] = ACTIONS(51),
    [anon_sym_NA_complex_] = ACTIONS(51),
    [anon_sym_NA_character_] = ACTIONS(51),
    [sym_dots] = ACTIONS(51),
    [sym_dot_dot_i] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(53),
    [sym__newline] = ACTIONS(53),
    [sym__raw_string_literal] = ACTIONS(53),
    [sym__external_else] = ACTIONS(189),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(53),
    [sym__external_open_brace] = ACTIONS(53),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [5] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__else] = STATE(1423),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(199),
    [sym__newline] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(201),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(199),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [6] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__else] = STATE(1424),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(203),
    [anon_sym_repeat] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(205),
    [sym__number_literal] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(205),
    [sym_return] = ACTIONS(203),
    [sym_next] = ACTIONS(203),
    [sym_break] = ACTIONS(203),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_inf] = ACTIONS(203),
    [sym_nan] = ACTIONS(203),
    [anon_sym_NA] = ACTIONS(203),
    [anon_sym_NA_integer_] = ACTIONS(203),
    [anon_sym_NA_real_] = ACTIONS(203),
    [anon_sym_NA_complex_] = ACTIONS(203),
    [anon_sym_NA_character_] = ACTIONS(203),
    [sym_dots] = ACTIONS(203),
    [sym_dot_dot_i] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(205),
    [sym__newline] = ACTIONS(205),
    [sym__raw_string_literal] = ACTIONS(205),
    [sym__external_else] = ACTIONS(207),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(205),
    [sym__external_open_brace] = ACTIONS(205),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [7] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__else] = STATE(1437),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(101),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(101),
    [sym__newline] = ACTIONS(101),
    [sym__raw_string_literal] = ACTIONS(101),
    [sym__external_else] = ACTIONS(209),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(101),
    [sym__external_open_brace] = ACTIONS(101),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [8] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__else] = STATE(1769),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_repeat] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(53),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(53),
    [sym__number_literal] = ACTIONS(51),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_return] = ACTIONS(51),
    [sym_next] = ACTIONS(51),
    [sym_break] = ACTIONS(51),
    [sym_true] = ACTIONS(51),
    [sym_false] = ACTIONS(51),
    [sym_null] = ACTIONS(51),
    [sym_inf] = ACTIONS(51),
    [sym_nan] = ACTIONS(51),
    [anon_sym_NA] = ACTIONS(51),
    [anon_sym_NA_integer_] = ACTIONS(51),
    [anon_sym_NA_real_] = ACTIONS(51),
    [anon_sym_NA_complex_] = ACTIONS(51),
    [anon_sym_NA_character_] = ACTIONS(51),
    [sym_dots] = ACTIONS(51),
    [sym_dot_dot_i] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(53),
    [sym__semicolon] = ACTIONS(53),
    [sym__raw_string_literal] = ACTIONS(53),
    [sym__external_else] = ACTIONS(249),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(53),
    [sym__external_close_brace] = ACTIONS(53),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [9] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__else] = STATE(1070),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(199),
    [sym__semicolon] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(257),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_close_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [10] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__else] = STATE(1071),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(203),
    [anon_sym_repeat] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(205),
    [sym__number_literal] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(205),
    [sym_return] = ACTIONS(203),
    [sym_next] = ACTIONS(203),
    [sym_break] = ACTIONS(203),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_inf] = ACTIONS(203),
    [sym_nan] = ACTIONS(203),
    [anon_sym_NA] = ACTIONS(203),
    [anon_sym_NA_integer_] = ACTIONS(203),
    [anon_sym_NA_real_] = ACTIONS(203),
    [anon_sym_NA_complex_] = ACTIONS(203),
    [anon_sym_NA_character_] = ACTIONS(203),
    [sym_dots] = ACTIONS(203),
    [sym_dot_dot_i] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(205),
    [sym__semicolon] = ACTIONS(205),
    [sym__raw_string_literal] = ACTIONS(205),
    [sym__external_else] = ACTIONS(259),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(205),
    [sym__external_close_brace] = ACTIONS(205),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [11] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__else] = STATE(1090),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(101),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(101),
    [sym__raw_string_literal] = ACTIONS(101),
    [sym__external_else] = ACTIONS(261),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(101),
    [sym__external_close_brace] = ACTIONS(101),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [12] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__else] = STATE(1455),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_repeat] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(53),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(53),
    [sym__number_literal] = ACTIONS(51),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_return] = ACTIONS(51),
    [sym_next] = ACTIONS(51),
    [sym_break] = ACTIONS(51),
    [sym_true] = ACTIONS(51),
    [sym_false] = ACTIONS(51),
    [sym_null] = ACTIONS(51),
    [sym_inf] = ACTIONS(51),
    [sym_nan] = ACTIONS(51),
    [anon_sym_NA] = ACTIONS(51),
    [anon_sym_NA_integer_] = ACTIONS(51),
    [anon_sym_NA_real_] = ACTIONS(51),
    [anon_sym_NA_complex_] = ACTIONS(51),
    [anon_sym_NA_character_] = ACTIONS(51),
    [sym_dots] = ACTIONS(51),
    [sym_dot_dot_i] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(53),
    [sym__newline] = ACTIONS(53),
    [sym__raw_string_literal] = ACTIONS(53),
    [sym__external_else] = ACTIONS(263),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(53),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [13] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__else] = STATE(1463),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(199),
    [sym__newline] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(265),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(199),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [14] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__else] = STATE(1464),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(203),
    [anon_sym_repeat] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(205),
    [sym__number_literal] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(205),
    [sym_return] = ACTIONS(203),
    [sym_next] = ACTIONS(203),
    [sym_break] = ACTIONS(203),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_inf] = ACTIONS(203),
    [sym_nan] = ACTIONS(203),
    [anon_sym_NA] = ACTIONS(203),
    [anon_sym_NA_integer_] = ACTIONS(203),
    [anon_sym_NA_real_] = ACTIONS(203),
    [anon_sym_NA_complex_] = ACTIONS(203),
    [anon_sym_NA_character_] = ACTIONS(203),
    [sym_dots] = ACTIONS(203),
    [sym_dot_dot_i] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(205),
    [sym__newline] = ACTIONS(205),
    [sym__raw_string_literal] = ACTIONS(205),
    [sym__external_else] = ACTIONS(267),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(205),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(205),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [15] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__else] = STATE(1476),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(101),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(101),
    [sym__newline] = ACTIONS(101),
    [sym__raw_string_literal] = ACTIONS(101),
    [sym__external_else] = ACTIONS(269),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(101),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(101),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [16] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__else] = STATE(1668),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_repeat] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(53),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(53),
    [sym__number_literal] = ACTIONS(51),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_return] = ACTIONS(51),
    [sym_next] = ACTIONS(51),
    [sym_break] = ACTIONS(51),
    [sym_true] = ACTIONS(51),
    [sym_false] = ACTIONS(51),
    [sym_null] = ACTIONS(51),
    [sym_inf] = ACTIONS(51),
    [sym_nan] = ACTIONS(51),
    [anon_sym_NA] = ACTIONS(51),
    [anon_sym_NA_integer_] = ACTIONS(51),
    [anon_sym_NA_real_] = ACTIONS(51),
    [anon_sym_NA_complex_] = ACTIONS(51),
    [anon_sym_NA_character_] = ACTIONS(51),
    [sym_dots] = ACTIONS(51),
    [sym_dot_dot_i] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(53),
    [sym__newline] = ACTIONS(53),
    [sym__raw_string_literal] = ACTIONS(53),
    [sym__external_else] = ACTIONS(309),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(53),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(53),
  },
  [17] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__else] = STATE(1675),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(199),
    [sym__newline] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(317),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(199),
  },
  [18] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__else] = STATE(1416),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(53),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_repeat] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(53),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(53),
    [sym__number_literal] = ACTIONS(51),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_return] = ACTIONS(51),
    [sym_next] = ACTIONS(51),
    [sym_break] = ACTIONS(51),
    [sym_true] = ACTIONS(51),
    [sym_false] = ACTIONS(51),
    [sym_null] = ACTIONS(51),
    [sym_inf] = ACTIONS(51),
    [sym_nan] = ACTIONS(51),
    [anon_sym_NA] = ACTIONS(51),
    [anon_sym_NA_integer_] = ACTIONS(51),
    [anon_sym_NA_real_] = ACTIONS(51),
    [anon_sym_NA_complex_] = ACTIONS(51),
    [anon_sym_NA_character_] = ACTIONS(51),
    [sym_dots] = ACTIONS(51),
    [sym_dot_dot_i] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(53),
    [sym__semicolon] = ACTIONS(53),
    [sym__raw_string_literal] = ACTIONS(53),
    [sym__external_else] = ACTIONS(319),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(53),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [19] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__else] = STATE(1691),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(101),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(101),
    [sym__newline] = ACTIONS(101),
    [sym__raw_string_literal] = ACTIONS(101),
    [sym__external_else] = ACTIONS(321),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(101),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(101),
  },
  [20] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__else] = STATE(1446),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(199),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(199),
    [sym__semicolon] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(323),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [21] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__else] = STATE(1642),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(101),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(101),
    [sym__newline] = ACTIONS(101),
    [sym__raw_string_literal] = ACTIONS(101),
    [sym__external_else] = ACTIONS(325),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(101),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(101),
  },
  [22] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__else] = STATE(1114),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(53),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_repeat] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(53),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(53),
    [sym__number_literal] = ACTIONS(51),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_return] = ACTIONS(51),
    [sym_next] = ACTIONS(51),
    [sym_break] = ACTIONS(51),
    [sym_true] = ACTIONS(51),
    [sym_false] = ACTIONS(51),
    [sym_null] = ACTIONS(51),
    [sym_inf] = ACTIONS(51),
    [sym_nan] = ACTIONS(51),
    [anon_sym_NA] = ACTIONS(51),
    [anon_sym_NA_integer_] = ACTIONS(51),
    [anon_sym_NA_real_] = ACTIONS(51),
    [anon_sym_NA_complex_] = ACTIONS(51),
    [anon_sym_NA_character_] = ACTIONS(51),
    [sym_dots] = ACTIONS(51),
    [sym_dot_dot_i] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(53),
    [sym__semicolon] = ACTIONS(53),
    [sym__raw_string_literal] = ACTIONS(53),
    [sym__external_else] = ACTIONS(327),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(53),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [23] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__else] = STATE(1118),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(199),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(199),
    [sym__semicolon] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(329),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [24] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__else] = STATE(1119),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(205),
    [sym_identifier] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(203),
    [anon_sym_repeat] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(205),
    [sym__number_literal] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(205),
    [sym_return] = ACTIONS(203),
    [sym_next] = ACTIONS(203),
    [sym_break] = ACTIONS(203),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_inf] = ACTIONS(203),
    [sym_nan] = ACTIONS(203),
    [anon_sym_NA] = ACTIONS(203),
    [anon_sym_NA_integer_] = ACTIONS(203),
    [anon_sym_NA_real_] = ACTIONS(203),
    [anon_sym_NA_complex_] = ACTIONS(203),
    [anon_sym_NA_character_] = ACTIONS(203),
    [sym_dots] = ACTIONS(203),
    [sym_dot_dot_i] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(205),
    [sym__semicolon] = ACTIONS(205),
    [sym__raw_string_literal] = ACTIONS(205),
    [sym__external_else] = ACTIONS(331),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(205),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [25] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__else] = STATE(1129),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(101),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(101),
    [sym__raw_string_literal] = ACTIONS(101),
    [sym__external_else] = ACTIONS(333),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(101),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [26] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__else] = STATE(1201),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_repeat] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(53),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(53),
    [sym__number_literal] = ACTIONS(51),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_return] = ACTIONS(51),
    [sym_next] = ACTIONS(51),
    [sym_break] = ACTIONS(51),
    [sym_true] = ACTIONS(51),
    [sym_false] = ACTIONS(51),
    [sym_null] = ACTIONS(51),
    [sym_inf] = ACTIONS(51),
    [sym_nan] = ACTIONS(51),
    [anon_sym_NA] = ACTIONS(51),
    [anon_sym_NA_integer_] = ACTIONS(51),
    [anon_sym_NA_real_] = ACTIONS(51),
    [anon_sym_NA_complex_] = ACTIONS(51),
    [anon_sym_NA_character_] = ACTIONS(51),
    [sym_dots] = ACTIONS(51),
    [sym_dot_dot_i] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(53),
    [sym__newline] = ACTIONS(53),
    [sym__raw_string_literal] = ACTIONS(53),
    [sym__external_else] = ACTIONS(335),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(53),
    [sym__external_open_brace] = ACTIONS(53),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [27] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__else] = STATE(1205),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(199),
    [sym__newline] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(337),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(199),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [28] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__else] = STATE(1206),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(203),
    [anon_sym_repeat] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(205),
    [sym__number_literal] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(205),
    [sym_return] = ACTIONS(203),
    [sym_next] = ACTIONS(203),
    [sym_break] = ACTIONS(203),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_inf] = ACTIONS(203),
    [sym_nan] = ACTIONS(203),
    [anon_sym_NA] = ACTIONS(203),
    [anon_sym_NA_integer_] = ACTIONS(203),
    [anon_sym_NA_real_] = ACTIONS(203),
    [anon_sym_NA_complex_] = ACTIONS(203),
    [anon_sym_NA_character_] = ACTIONS(203),
    [sym_dots] = ACTIONS(203),
    [sym_dot_dot_i] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(205),
    [sym__newline] = ACTIONS(205),
    [sym__raw_string_literal] = ACTIONS(205),
    [sym__external_else] = ACTIONS(339),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(205),
    [sym__external_open_brace] = ACTIONS(205),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [29] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__else] = STATE(1214),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(101),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(101),
    [sym__newline] = ACTIONS(101),
    [sym__raw_string_literal] = ACTIONS(101),
    [sym__external_else] = ACTIONS(341),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(101),
    [sym__external_open_brace] = ACTIONS(101),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [30] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__else] = STATE(1303),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_repeat] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(53),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(53),
    [sym__number_literal] = ACTIONS(51),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_return] = ACTIONS(51),
    [sym_next] = ACTIONS(51),
    [sym_break] = ACTIONS(51),
    [sym_true] = ACTIONS(51),
    [sym_false] = ACTIONS(51),
    [sym_null] = ACTIONS(51),
    [sym_inf] = ACTIONS(51),
    [sym_nan] = ACTIONS(51),
    [anon_sym_NA] = ACTIONS(51),
    [anon_sym_NA_integer_] = ACTIONS(51),
    [anon_sym_NA_real_] = ACTIONS(51),
    [anon_sym_NA_complex_] = ACTIONS(51),
    [anon_sym_NA_character_] = ACTIONS(51),
    [sym_dots] = ACTIONS(51),
    [sym_dot_dot_i] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(53),
    [sym__semicolon] = ACTIONS(53),
    [sym__raw_string_literal] = ACTIONS(53),
    [sym__external_else] = ACTIONS(343),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(53),
    [sym__external_close_brace] = ACTIONS(53),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [31] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__else] = STATE(1308),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(199),
    [sym__semicolon] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(345),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_close_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [32] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__else] = STATE(1309),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(203),
    [anon_sym_repeat] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(205),
    [sym__number_literal] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(205),
    [sym_return] = ACTIONS(203),
    [sym_next] = ACTIONS(203),
    [sym_break] = ACTIONS(203),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_inf] = ACTIONS(203),
    [sym_nan] = ACTIONS(203),
    [anon_sym_NA] = ACTIONS(203),
    [anon_sym_NA_integer_] = ACTIONS(203),
    [anon_sym_NA_real_] = ACTIONS(203),
    [anon_sym_NA_complex_] = ACTIONS(203),
    [anon_sym_NA_character_] = ACTIONS(203),
    [sym_dots] = ACTIONS(203),
    [sym_dot_dot_i] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(205),
    [sym__semicolon] = ACTIONS(205),
    [sym__raw_string_literal] = ACTIONS(205),
    [sym__external_else] = ACTIONS(347),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(205),
    [sym__external_close_brace] = ACTIONS(205),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [33] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__else] = STATE(1316),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(101),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(101),
    [sym__raw_string_literal] = ACTIONS(101),
    [sym__external_else] = ACTIONS(349),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(101),
    [sym__external_close_brace] = ACTIONS(101),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [34] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__else] = STATE(1448),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(205),
    [sym_identifier] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(203),
    [anon_sym_repeat] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(205),
    [sym__number_literal] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(205),
    [sym_return] = ACTIONS(203),
    [sym_next] = ACTIONS(203),
    [sym_break] = ACTIONS(203),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_inf] = ACTIONS(203),
    [sym_nan] = ACTIONS(203),
    [anon_sym_NA] = ACTIONS(203),
    [anon_sym_NA_integer_] = ACTIONS(203),
    [anon_sym_NA_real_] = ACTIONS(203),
    [anon_sym_NA_complex_] = ACTIONS(203),
    [anon_sym_NA_character_] = ACTIONS(203),
    [sym_dots] = ACTIONS(203),
    [sym_dot_dot_i] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(205),
    [sym__semicolon] = ACTIONS(205),
    [sym__raw_string_literal] = ACTIONS(205),
    [sym__external_else] = ACTIONS(351),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(205),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [35] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__else] = STATE(1492),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(199),
    [sym__newline] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(353),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(199),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [36] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__else] = STATE(1493),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(203),
    [anon_sym_repeat] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(205),
    [sym__number_literal] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(205),
    [sym_return] = ACTIONS(203),
    [sym_next] = ACTIONS(203),
    [sym_break] = ACTIONS(203),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_inf] = ACTIONS(203),
    [sym_nan] = ACTIONS(203),
    [anon_sym_NA] = ACTIONS(203),
    [anon_sym_NA_integer_] = ACTIONS(203),
    [anon_sym_NA_real_] = ACTIONS(203),
    [anon_sym_NA_complex_] = ACTIONS(203),
    [anon_sym_NA_character_] = ACTIONS(203),
    [sym_dots] = ACTIONS(203),
    [sym_dot_dot_i] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(205),
    [sym__newline] = ACTIONS(205),
    [sym__raw_string_literal] = ACTIONS(205),
    [sym__external_else] = ACTIONS(355),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(205),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(205),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [37] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__else] = STATE(1503),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_BSLASH] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(103),
    [anon_sym_for] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(103),
    [anon_sym_repeat] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(101),
    [sym__number_literal] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_return] = ACTIONS(103),
    [sym_next] = ACTIONS(103),
    [sym_break] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_inf] = ACTIONS(103),
    [sym_nan] = ACTIONS(103),
    [anon_sym_NA] = ACTIONS(103),
    [anon_sym_NA_integer_] = ACTIONS(103),
    [anon_sym_NA_real_] = ACTIONS(103),
    [anon_sym_NA_complex_] = ACTIONS(103),
    [anon_sym_NA_character_] = ACTIONS(103),
    [sym_dots] = ACTIONS(103),
    [sym_dot_dot_i] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(101),
    [sym__newline] = ACTIONS(101),
    [sym__raw_string_literal] = ACTIONS(101),
    [sym__external_else] = ACTIONS(357),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(101),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(101),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [38] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__else] = STATE(1624),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_repeat] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(53),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(53),
    [sym__number_literal] = ACTIONS(51),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_return] = ACTIONS(51),
    [sym_next] = ACTIONS(51),
    [sym_break] = ACTIONS(51),
    [sym_true] = ACTIONS(51),
    [sym_false] = ACTIONS(51),
    [sym_null] = ACTIONS(51),
    [sym_inf] = ACTIONS(51),
    [sym_nan] = ACTIONS(51),
    [anon_sym_NA] = ACTIONS(51),
    [anon_sym_NA_integer_] = ACTIONS(51),
    [anon_sym_NA_real_] = ACTIONS(51),
    [anon_sym_NA_complex_] = ACTIONS(51),
    [anon_sym_NA_character_] = ACTIONS(51),
    [sym_dots] = ACTIONS(51),
    [sym_dot_dot_i] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(53),
    [sym__newline] = ACTIONS(53),
    [sym__raw_string_literal] = ACTIONS(53),
    [sym__external_else] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(53),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(53),
  },
  [39] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__else] = STATE(1631),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(199),
    [sym__newline] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(361),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(199),
  },
  [40] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__else] = STATE(1632),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(203),
    [anon_sym_repeat] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(205),
    [sym__number_literal] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(205),
    [sym_return] = ACTIONS(203),
    [sym_next] = ACTIONS(203),
    [sym_break] = ACTIONS(203),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_inf] = ACTIONS(203),
    [sym_nan] = ACTIONS(203),
    [anon_sym_NA] = ACTIONS(203),
    [anon_sym_NA_integer_] = ACTIONS(203),
    [anon_sym_NA_real_] = ACTIONS(203),
    [anon_sym_NA_complex_] = ACTIONS(203),
    [anon_sym_NA_character_] = ACTIONS(203),
    [sym_dots] = ACTIONS(203),
    [sym_dot_dot_i] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(205),
    [sym__newline] = ACTIONS(205),
    [sym__raw_string_literal] = ACTIONS(205),
    [sym__external_else] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(205),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(205),
  },
  [41] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__else] = STATE(1676),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(203),
    [anon_sym_repeat] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(205),
    [sym__number_literal] = ACTIONS(203),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(205),
    [sym_return] = ACTIONS(203),
    [sym_next] = ACTIONS(203),
    [sym_break] = ACTIONS(203),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_inf] = ACTIONS(203),
    [sym_nan] = ACTIONS(203),
    [anon_sym_NA] = ACTIONS(203),
    [anon_sym_NA_integer_] = ACTIONS(203),
    [anon_sym_NA_real_] = ACTIONS(203),
    [anon_sym_NA_complex_] = ACTIONS(203),
    [anon_sym_NA_character_] = ACTIONS(203),
    [sym_dots] = ACTIONS(203),
    [sym_dot_dot_i] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(205),
    [sym__newline] = ACTIONS(205),
    [sym__raw_string_literal] = ACTIONS(205),
    [sym__external_else] = ACTIONS(365),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(205),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(205),
  },
  [42] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(367),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(369),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_dots] = ACTIONS(367),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(369),
    [sym__newline] = ACTIONS(369),
    [sym__raw_string_literal] = ACTIONS(369),
    [sym__external_else] = ACTIONS(369),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(369),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(369),
  },
  [43] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [44] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [45] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(375),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__semicolon] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_else] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [46] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(379),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__semicolon] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_else] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [47] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [48] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [49] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [50] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [51] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [52] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [53] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [54] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [55] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [56] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [57] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [58] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [59] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [60] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(387),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__semicolon] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_else] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [61] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(391),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__semicolon] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_else] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [62] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(395),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__semicolon] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_else] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [63] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(399),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__semicolon] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_else] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [64] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(403),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__semicolon] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_else] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [65] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(407),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__semicolon] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_else] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [66] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(411),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__semicolon] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_else] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [67] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(415),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__semicolon] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_else] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [68] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(419),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__semicolon] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_else] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [69] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(423),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__semicolon] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_else] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [70] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(427),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_repeat] = ACTIONS(429),
    [anon_sym_QMARK] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(429),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(427),
    [sym__number_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [sym_return] = ACTIONS(429),
    [sym_next] = ACTIONS(429),
    [sym_break] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym_null] = ACTIONS(429),
    [sym_inf] = ACTIONS(429),
    [sym_nan] = ACTIONS(429),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_dots] = ACTIONS(429),
    [sym_dot_dot_i] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(427),
    [sym__semicolon] = ACTIONS(427),
    [sym__raw_string_literal] = ACTIONS(427),
    [sym__external_else] = ACTIONS(427),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(427),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [71] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [anon_sym_BSLASH] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(433),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_while] = ACTIONS(433),
    [anon_sym_repeat] = ACTIONS(433),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(431),
    [sym__number_literal] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(431),
    [sym_return] = ACTIONS(433),
    [sym_next] = ACTIONS(433),
    [sym_break] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_null] = ACTIONS(433),
    [sym_inf] = ACTIONS(433),
    [sym_nan] = ACTIONS(433),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [sym_dots] = ACTIONS(433),
    [sym_dot_dot_i] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(431),
    [sym__semicolon] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(431),
    [sym__external_else] = ACTIONS(431),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(431),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [72] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(435),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(437),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(435),
    [sym__number_literal] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(435),
    [sym_return] = ACTIONS(437),
    [sym_next] = ACTIONS(437),
    [sym_break] = ACTIONS(437),
    [sym_true] = ACTIONS(437),
    [sym_false] = ACTIONS(437),
    [sym_null] = ACTIONS(437),
    [sym_inf] = ACTIONS(437),
    [sym_nan] = ACTIONS(437),
    [anon_sym_NA] = ACTIONS(437),
    [anon_sym_NA_integer_] = ACTIONS(437),
    [anon_sym_NA_real_] = ACTIONS(437),
    [anon_sym_NA_complex_] = ACTIONS(437),
    [anon_sym_NA_character_] = ACTIONS(437),
    [sym_dots] = ACTIONS(437),
    [sym_dot_dot_i] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(435),
    [sym__semicolon] = ACTIONS(435),
    [sym__raw_string_literal] = ACTIONS(435),
    [sym__external_else] = ACTIONS(435),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(435),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [73] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(439),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_repeat] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(439),
    [sym__number_literal] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [sym_return] = ACTIONS(441),
    [sym_next] = ACTIONS(441),
    [sym_break] = ACTIONS(441),
    [sym_true] = ACTIONS(441),
    [sym_false] = ACTIONS(441),
    [sym_null] = ACTIONS(441),
    [sym_inf] = ACTIONS(441),
    [sym_nan] = ACTIONS(441),
    [anon_sym_NA] = ACTIONS(441),
    [anon_sym_NA_integer_] = ACTIONS(441),
    [anon_sym_NA_real_] = ACTIONS(441),
    [anon_sym_NA_complex_] = ACTIONS(441),
    [anon_sym_NA_character_] = ACTIONS(441),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(439),
    [sym__semicolon] = ACTIONS(439),
    [sym__raw_string_literal] = ACTIONS(439),
    [sym__external_else] = ACTIONS(439),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(439),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [74] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(369),
    [sym_identifier] = ACTIONS(367),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(369),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_dots] = ACTIONS(367),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(369),
    [sym__semicolon] = ACTIONS(369),
    [sym__raw_string_literal] = ACTIONS(369),
    [sym__external_else] = ACTIONS(369),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(369),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [75] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(443),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_repeat] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(443),
    [sym__number_literal] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_return] = ACTIONS(445),
    [sym_next] = ACTIONS(445),
    [sym_break] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_inf] = ACTIONS(445),
    [sym_nan] = ACTIONS(445),
    [anon_sym_NA] = ACTIONS(445),
    [anon_sym_NA_integer_] = ACTIONS(445),
    [anon_sym_NA_real_] = ACTIONS(445),
    [anon_sym_NA_complex_] = ACTIONS(445),
    [anon_sym_NA_character_] = ACTIONS(445),
    [sym_dots] = ACTIONS(445),
    [sym_dot_dot_i] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(443),
    [sym__semicolon] = ACTIONS(443),
    [sym__raw_string_literal] = ACTIONS(443),
    [sym__external_else] = ACTIONS(443),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(443),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [76] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(447),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_repeat] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(447),
    [sym__number_literal] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [sym_return] = ACTIONS(449),
    [sym_next] = ACTIONS(449),
    [sym_break] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_inf] = ACTIONS(449),
    [sym_nan] = ACTIONS(449),
    [anon_sym_NA] = ACTIONS(449),
    [anon_sym_NA_integer_] = ACTIONS(449),
    [anon_sym_NA_real_] = ACTIONS(449),
    [anon_sym_NA_complex_] = ACTIONS(449),
    [anon_sym_NA_character_] = ACTIONS(449),
    [sym_dots] = ACTIONS(449),
    [sym_dot_dot_i] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(447),
    [sym__semicolon] = ACTIONS(447),
    [sym__raw_string_literal] = ACTIONS(447),
    [sym__external_else] = ACTIONS(447),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(447),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [77] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(451),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(453),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [sym_return] = ACTIONS(451),
    [sym_next] = ACTIONS(451),
    [sym_break] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym_null] = ACTIONS(451),
    [sym_inf] = ACTIONS(451),
    [sym_nan] = ACTIONS(451),
    [anon_sym_NA] = ACTIONS(451),
    [anon_sym_NA_integer_] = ACTIONS(451),
    [anon_sym_NA_real_] = ACTIONS(451),
    [anon_sym_NA_complex_] = ACTIONS(451),
    [anon_sym_NA_character_] = ACTIONS(451),
    [sym_dots] = ACTIONS(451),
    [sym_dot_dot_i] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(453),
    [sym__newline] = ACTIONS(453),
    [sym__raw_string_literal] = ACTIONS(453),
    [sym__external_else] = ACTIONS(453),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(453),
    [sym__external_open_brace] = ACTIONS(453),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [78] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(457),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [79] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(457),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [80] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(457),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [81] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(457),
    [anon_sym_PIPE_GT] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(457),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [82] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_repeat] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(461),
    [sym__number_literal] = ACTIONS(459),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_return] = ACTIONS(459),
    [sym_next] = ACTIONS(459),
    [sym_break] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_inf] = ACTIONS(459),
    [sym_nan] = ACTIONS(459),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(459),
    [sym_dot_dot_i] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(461),
    [sym__newline] = ACTIONS(461),
    [sym__raw_string_literal] = ACTIONS(461),
    [sym__external_else] = ACTIONS(461),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(461),
    [sym__external_open_brace] = ACTIONS(461),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [83] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_BSLASH] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_repeat] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(465),
    [sym__number_literal] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [sym_return] = ACTIONS(463),
    [sym_next] = ACTIONS(463),
    [sym_break] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_null] = ACTIONS(463),
    [sym_inf] = ACTIONS(463),
    [sym_nan] = ACTIONS(463),
    [anon_sym_NA] = ACTIONS(463),
    [anon_sym_NA_integer_] = ACTIONS(463),
    [anon_sym_NA_real_] = ACTIONS(463),
    [anon_sym_NA_complex_] = ACTIONS(463),
    [anon_sym_NA_character_] = ACTIONS(463),
    [sym_dots] = ACTIONS(463),
    [sym_dot_dot_i] = ACTIONS(465),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(465),
    [sym__raw_string_literal] = ACTIONS(465),
    [sym__external_else] = ACTIONS(465),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(465),
    [sym__external_open_brace] = ACTIONS(465),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [84] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(469),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [85] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(469),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [86] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(469),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [87] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(467),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(469),
    [anon_sym_PIPE_GT] = ACTIONS(469),
    [anon_sym_COLON] = ACTIONS(467),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(469),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [88] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [89] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [90] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [91] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [92] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [93] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [94] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [95] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [96] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [97] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [98] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [99] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [100] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [101] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_else] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(375),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [102] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_else] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(379),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [103] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [104] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [105] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [106] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [107] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [108] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [109] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [110] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [111] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [112] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [113] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [114] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [115] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [116] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_else] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(387),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [117] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_else] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(391),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [118] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_else] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(395),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [119] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_else] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(399),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [120] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_else] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(403),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [121] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_else] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(407),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [122] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_else] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(411),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [123] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_else] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(415),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [124] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_else] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(419),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [125] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_else] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(423),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [126] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_repeat] = ACTIONS(429),
    [anon_sym_QMARK] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(429),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(427),
    [sym__number_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [sym_return] = ACTIONS(429),
    [sym_next] = ACTIONS(429),
    [sym_break] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym_null] = ACTIONS(429),
    [sym_inf] = ACTIONS(429),
    [sym_nan] = ACTIONS(429),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_dots] = ACTIONS(429),
    [sym_dot_dot_i] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(427),
    [sym__newline] = ACTIONS(427),
    [sym__raw_string_literal] = ACTIONS(427),
    [sym__external_else] = ACTIONS(427),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(427),
    [sym__external_open_brace] = ACTIONS(427),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [127] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(433),
    [anon_sym_BSLASH] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(433),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_while] = ACTIONS(433),
    [anon_sym_repeat] = ACTIONS(433),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(431),
    [sym__number_literal] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(431),
    [sym_return] = ACTIONS(433),
    [sym_next] = ACTIONS(433),
    [sym_break] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_null] = ACTIONS(433),
    [sym_inf] = ACTIONS(433),
    [sym_nan] = ACTIONS(433),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [sym_dots] = ACTIONS(433),
    [sym_dot_dot_i] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__newline] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(431),
    [sym__external_else] = ACTIONS(431),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(431),
    [sym__external_open_brace] = ACTIONS(431),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [128] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(437),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(435),
    [sym__number_literal] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(435),
    [sym_return] = ACTIONS(437),
    [sym_next] = ACTIONS(437),
    [sym_break] = ACTIONS(437),
    [sym_true] = ACTIONS(437),
    [sym_false] = ACTIONS(437),
    [sym_null] = ACTIONS(437),
    [sym_inf] = ACTIONS(437),
    [sym_nan] = ACTIONS(437),
    [anon_sym_NA] = ACTIONS(437),
    [anon_sym_NA_integer_] = ACTIONS(437),
    [anon_sym_NA_real_] = ACTIONS(437),
    [anon_sym_NA_complex_] = ACTIONS(437),
    [anon_sym_NA_character_] = ACTIONS(437),
    [sym_dots] = ACTIONS(437),
    [sym_dot_dot_i] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(435),
    [sym__newline] = ACTIONS(435),
    [sym__raw_string_literal] = ACTIONS(435),
    [sym__external_else] = ACTIONS(435),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(435),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [129] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_repeat] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(439),
    [sym__number_literal] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [sym_return] = ACTIONS(441),
    [sym_next] = ACTIONS(441),
    [sym_break] = ACTIONS(441),
    [sym_true] = ACTIONS(441),
    [sym_false] = ACTIONS(441),
    [sym_null] = ACTIONS(441),
    [sym_inf] = ACTIONS(441),
    [sym_nan] = ACTIONS(441),
    [anon_sym_NA] = ACTIONS(441),
    [anon_sym_NA_integer_] = ACTIONS(441),
    [anon_sym_NA_real_] = ACTIONS(441),
    [anon_sym_NA_complex_] = ACTIONS(441),
    [anon_sym_NA_character_] = ACTIONS(441),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(439),
    [sym__newline] = ACTIONS(439),
    [sym__raw_string_literal] = ACTIONS(439),
    [sym__external_else] = ACTIONS(439),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(439),
    [sym__external_open_brace] = ACTIONS(439),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [130] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(367),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(369),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_dots] = ACTIONS(367),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(369),
    [sym__newline] = ACTIONS(369),
    [sym__raw_string_literal] = ACTIONS(369),
    [sym__external_else] = ACTIONS(369),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(369),
    [sym__external_open_brace] = ACTIONS(369),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [131] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_repeat] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(443),
    [sym__number_literal] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_return] = ACTIONS(445),
    [sym_next] = ACTIONS(445),
    [sym_break] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_inf] = ACTIONS(445),
    [sym_nan] = ACTIONS(445),
    [anon_sym_NA] = ACTIONS(445),
    [anon_sym_NA_integer_] = ACTIONS(445),
    [anon_sym_NA_real_] = ACTIONS(445),
    [anon_sym_NA_complex_] = ACTIONS(445),
    [anon_sym_NA_character_] = ACTIONS(445),
    [sym_dots] = ACTIONS(445),
    [sym_dot_dot_i] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(443),
    [sym__newline] = ACTIONS(443),
    [sym__raw_string_literal] = ACTIONS(443),
    [sym__external_else] = ACTIONS(443),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(443),
    [sym__external_open_brace] = ACTIONS(443),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [132] = {
    [sym_call_arguments] = STATE(843),
    [sym_subset_arguments] = STATE(844),
    [sym_subset2_arguments] = STATE(849),
    [sym__open_parenthesis] = STATE(670),
    [sym__open_bracket] = STATE(671),
    [sym__open_bracket2] = STATE(672),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_repeat] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_LT_DASH] = ACTIONS(159),
    [anon_sym_LT_LT_DASH] = ACTIONS(159),
    [anon_sym_COLON_EQ] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(161),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(167),
    [anon_sym_PIPE_PIPE] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_GT_EQ] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_SLASH] = ACTIONS(179),
    [anon_sym_STAR_STAR] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [aux_sym_binary_operator_token1] = ACTIONS(183),
    [anon_sym_PIPE_GT] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__hex_literal] = ACTIONS(447),
    [sym__number_literal] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [sym_return] = ACTIONS(449),
    [sym_next] = ACTIONS(449),
    [sym_break] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_inf] = ACTIONS(449),
    [sym_nan] = ACTIONS(449),
    [anon_sym_NA] = ACTIONS(449),
    [anon_sym_NA_integer_] = ACTIONS(449),
    [anon_sym_NA_real_] = ACTIONS(449),
    [anon_sym_NA_complex_] = ACTIONS(449),
    [anon_sym_NA_character_] = ACTIONS(449),
    [sym_dots] = ACTIONS(449),
    [sym_dot_dot_i] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(447),
    [sym__newline] = ACTIONS(447),
    [sym__raw_string_literal] = ACTIONS(447),
    [sym__external_else] = ACTIONS(447),
    [sym__external_open_parenthesis] = ACTIONS(191),
    [sym__external_close_parenthesis] = ACTIONS(447),
    [sym__external_open_brace] = ACTIONS(447),
    [sym__external_open_bracket] = ACTIONS(193),
    [sym__external_open_bracket2] = ACTIONS(195),
  },
  [133] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(451),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(453),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [sym_return] = ACTIONS(451),
    [sym_next] = ACTIONS(451),
    [sym_break] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym_null] = ACTIONS(451),
    [sym_inf] = ACTIONS(451),
    [sym_nan] = ACTIONS(451),
    [anon_sym_NA] = ACTIONS(451),
    [anon_sym_NA_integer_] = ACTIONS(451),
    [anon_sym_NA_real_] = ACTIONS(451),
    [anon_sym_NA_complex_] = ACTIONS(451),
    [anon_sym_NA_character_] = ACTIONS(451),
    [sym_dots] = ACTIONS(451),
    [sym_dot_dot_i] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__semicolon] = ACTIONS(453),
    [sym__raw_string_literal] = ACTIONS(453),
    [sym__external_else] = ACTIONS(453),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(453),
    [sym__external_close_brace] = ACTIONS(453),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [134] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_close_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [135] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_close_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [136] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_close_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [137] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(457),
    [anon_sym_PIPE_GT] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_close_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [138] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(453),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(451),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(453),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [sym_return] = ACTIONS(451),
    [sym_next] = ACTIONS(451),
    [sym_break] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym_null] = ACTIONS(451),
    [sym_inf] = ACTIONS(451),
    [sym_nan] = ACTIONS(451),
    [anon_sym_NA] = ACTIONS(451),
    [anon_sym_NA_integer_] = ACTIONS(451),
    [anon_sym_NA_real_] = ACTIONS(451),
    [anon_sym_NA_complex_] = ACTIONS(451),
    [anon_sym_NA_character_] = ACTIONS(451),
    [sym_dots] = ACTIONS(451),
    [sym_dot_dot_i] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__semicolon] = ACTIONS(453),
    [sym__raw_string_literal] = ACTIONS(453),
    [sym__external_else] = ACTIONS(453),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(453),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [139] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_repeat] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(461),
    [sym__number_literal] = ACTIONS(459),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_return] = ACTIONS(459),
    [sym_next] = ACTIONS(459),
    [sym_break] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_inf] = ACTIONS(459),
    [sym_nan] = ACTIONS(459),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(459),
    [sym_dot_dot_i] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__semicolon] = ACTIONS(461),
    [sym__raw_string_literal] = ACTIONS(461),
    [sym__external_else] = ACTIONS(461),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(461),
    [sym__external_close_brace] = ACTIONS(461),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [140] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_BSLASH] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_repeat] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(465),
    [sym__number_literal] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [sym_return] = ACTIONS(463),
    [sym_next] = ACTIONS(463),
    [sym_break] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_null] = ACTIONS(463),
    [sym_inf] = ACTIONS(463),
    [sym_nan] = ACTIONS(463),
    [anon_sym_NA] = ACTIONS(463),
    [anon_sym_NA_integer_] = ACTIONS(463),
    [anon_sym_NA_real_] = ACTIONS(463),
    [anon_sym_NA_complex_] = ACTIONS(463),
    [anon_sym_NA_character_] = ACTIONS(463),
    [sym_dots] = ACTIONS(463),
    [sym_dot_dot_i] = ACTIONS(465),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__semicolon] = ACTIONS(465),
    [sym__raw_string_literal] = ACTIONS(465),
    [sym__external_else] = ACTIONS(465),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(465),
    [sym__external_close_brace] = ACTIONS(465),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [141] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_close_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [142] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_close_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [143] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_close_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [144] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(467),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(469),
    [anon_sym_PIPE_GT] = ACTIONS(469),
    [anon_sym_COLON] = ACTIONS(467),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_close_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [145] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [146] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [147] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [148] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [149] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [150] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [151] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [152] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [153] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [154] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [155] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [156] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [157] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [158] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__semicolon] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_else] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_close_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [159] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__semicolon] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_else] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_close_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [160] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [161] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [162] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [163] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [164] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [165] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [166] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [167] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [168] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [169] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [170] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [171] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [172] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [173] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__semicolon] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_else] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_close_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [174] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__semicolon] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_else] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_close_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [175] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__semicolon] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_else] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_close_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [176] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__semicolon] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_else] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_close_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [177] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__semicolon] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_else] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_close_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [178] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__semicolon] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_else] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_close_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [179] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__semicolon] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_else] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_close_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [180] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__semicolon] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_else] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_close_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [181] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__semicolon] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_else] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_close_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [182] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__semicolon] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_else] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_close_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [183] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_repeat] = ACTIONS(429),
    [anon_sym_QMARK] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(429),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(427),
    [sym__number_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [sym_return] = ACTIONS(429),
    [sym_next] = ACTIONS(429),
    [sym_break] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym_null] = ACTIONS(429),
    [sym_inf] = ACTIONS(429),
    [sym_nan] = ACTIONS(429),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_dots] = ACTIONS(429),
    [sym_dot_dot_i] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(427),
    [sym__semicolon] = ACTIONS(427),
    [sym__raw_string_literal] = ACTIONS(427),
    [sym__external_else] = ACTIONS(427),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(427),
    [sym__external_close_brace] = ACTIONS(427),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [184] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(433),
    [anon_sym_BSLASH] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(433),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_while] = ACTIONS(433),
    [anon_sym_repeat] = ACTIONS(433),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(431),
    [sym__number_literal] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(431),
    [sym_return] = ACTIONS(433),
    [sym_next] = ACTIONS(433),
    [sym_break] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_null] = ACTIONS(433),
    [sym_inf] = ACTIONS(433),
    [sym_nan] = ACTIONS(433),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [sym_dots] = ACTIONS(433),
    [sym_dot_dot_i] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(431),
    [sym__semicolon] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(431),
    [sym__external_else] = ACTIONS(431),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(431),
    [sym__external_close_brace] = ACTIONS(431),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [185] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(437),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(435),
    [sym__number_literal] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(435),
    [sym_return] = ACTIONS(437),
    [sym_next] = ACTIONS(437),
    [sym_break] = ACTIONS(437),
    [sym_true] = ACTIONS(437),
    [sym_false] = ACTIONS(437),
    [sym_null] = ACTIONS(437),
    [sym_inf] = ACTIONS(437),
    [sym_nan] = ACTIONS(437),
    [anon_sym_NA] = ACTIONS(437),
    [anon_sym_NA_integer_] = ACTIONS(437),
    [anon_sym_NA_real_] = ACTIONS(437),
    [anon_sym_NA_complex_] = ACTIONS(437),
    [anon_sym_NA_character_] = ACTIONS(437),
    [sym_dots] = ACTIONS(437),
    [sym_dot_dot_i] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(435),
    [sym__semicolon] = ACTIONS(435),
    [sym__raw_string_literal] = ACTIONS(435),
    [sym__external_else] = ACTIONS(435),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(435),
    [sym__external_close_brace] = ACTIONS(435),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [186] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_repeat] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(439),
    [sym__number_literal] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [sym_return] = ACTIONS(441),
    [sym_next] = ACTIONS(441),
    [sym_break] = ACTIONS(441),
    [sym_true] = ACTIONS(441),
    [sym_false] = ACTIONS(441),
    [sym_null] = ACTIONS(441),
    [sym_inf] = ACTIONS(441),
    [sym_nan] = ACTIONS(441),
    [anon_sym_NA] = ACTIONS(441),
    [anon_sym_NA_integer_] = ACTIONS(441),
    [anon_sym_NA_real_] = ACTIONS(441),
    [anon_sym_NA_complex_] = ACTIONS(441),
    [anon_sym_NA_character_] = ACTIONS(441),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(439),
    [sym__semicolon] = ACTIONS(439),
    [sym__raw_string_literal] = ACTIONS(439),
    [sym__external_else] = ACTIONS(439),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(439),
    [sym__external_close_brace] = ACTIONS(439),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [187] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(367),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(369),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_dots] = ACTIONS(367),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(369),
    [sym__semicolon] = ACTIONS(369),
    [sym__raw_string_literal] = ACTIONS(369),
    [sym__external_else] = ACTIONS(369),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(369),
    [sym__external_close_brace] = ACTIONS(369),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [188] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_repeat] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(443),
    [sym__number_literal] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_return] = ACTIONS(445),
    [sym_next] = ACTIONS(445),
    [sym_break] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_inf] = ACTIONS(445),
    [sym_nan] = ACTIONS(445),
    [anon_sym_NA] = ACTIONS(445),
    [anon_sym_NA_integer_] = ACTIONS(445),
    [anon_sym_NA_real_] = ACTIONS(445),
    [anon_sym_NA_complex_] = ACTIONS(445),
    [anon_sym_NA_character_] = ACTIONS(445),
    [sym_dots] = ACTIONS(445),
    [sym_dot_dot_i] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(443),
    [sym__semicolon] = ACTIONS(443),
    [sym__raw_string_literal] = ACTIONS(443),
    [sym__external_else] = ACTIONS(443),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(443),
    [sym__external_close_brace] = ACTIONS(443),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [189] = {
    [sym_call_arguments] = STATE(925),
    [sym_subset_arguments] = STATE(927),
    [sym_subset2_arguments] = STATE(928),
    [sym__open_parenthesis] = STATE(674),
    [sym__open_bracket] = STATE(675),
    [sym__open_bracket2] = STATE(676),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ] = ACTIONS(211),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_repeat] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_LT_DASH] = ACTIONS(219),
    [anon_sym_LT_LT_DASH] = ACTIONS(219),
    [anon_sym_COLON_EQ] = ACTIONS(219),
    [anon_sym_DASH_GT] = ACTIONS(221),
    [anon_sym_DASH_GT_GT] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(225),
    [anon_sym_AMP] = ACTIONS(227),
    [anon_sym_PIPE_PIPE] = ACTIONS(229),
    [anon_sym_AMP_AMP] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(239),
    [anon_sym_STAR_STAR] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [aux_sym_binary_operator_token1] = ACTIONS(243),
    [anon_sym_PIPE_GT] = ACTIONS(243),
    [anon_sym_COLON] = ACTIONS(245),
    [anon_sym_DOLLAR] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(247),
    [sym__hex_literal] = ACTIONS(447),
    [sym__number_literal] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [sym_return] = ACTIONS(449),
    [sym_next] = ACTIONS(449),
    [sym_break] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_inf] = ACTIONS(449),
    [sym_nan] = ACTIONS(449),
    [anon_sym_NA] = ACTIONS(449),
    [anon_sym_NA_integer_] = ACTIONS(449),
    [anon_sym_NA_real_] = ACTIONS(449),
    [anon_sym_NA_complex_] = ACTIONS(449),
    [anon_sym_NA_character_] = ACTIONS(449),
    [sym_dots] = ACTIONS(449),
    [sym_dot_dot_i] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(447),
    [sym__semicolon] = ACTIONS(447),
    [sym__raw_string_literal] = ACTIONS(447),
    [sym__external_else] = ACTIONS(447),
    [sym__external_open_parenthesis] = ACTIONS(251),
    [sym__external_open_brace] = ACTIONS(447),
    [sym__external_close_brace] = ACTIONS(447),
    [sym__external_open_bracket] = ACTIONS(253),
    [sym__external_open_bracket2] = ACTIONS(255),
  },
  [190] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(451),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(453),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [sym_return] = ACTIONS(451),
    [sym_next] = ACTIONS(451),
    [sym_break] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym_null] = ACTIONS(451),
    [sym_inf] = ACTIONS(451),
    [sym_nan] = ACTIONS(451),
    [anon_sym_NA] = ACTIONS(451),
    [anon_sym_NA_integer_] = ACTIONS(451),
    [anon_sym_NA_real_] = ACTIONS(451),
    [anon_sym_NA_complex_] = ACTIONS(451),
    [anon_sym_NA_character_] = ACTIONS(451),
    [sym_dots] = ACTIONS(451),
    [sym_dot_dot_i] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(453),
    [sym__newline] = ACTIONS(453),
    [sym__raw_string_literal] = ACTIONS(453),
    [sym__external_else] = ACTIONS(453),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(453),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(453),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [191] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(457),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [192] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(457),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [193] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(457),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [194] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [195] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_repeat] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(461),
    [sym__number_literal] = ACTIONS(459),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_return] = ACTIONS(459),
    [sym_next] = ACTIONS(459),
    [sym_break] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_inf] = ACTIONS(459),
    [sym_nan] = ACTIONS(459),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(459),
    [sym_dot_dot_i] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(461),
    [sym__newline] = ACTIONS(461),
    [sym__raw_string_literal] = ACTIONS(461),
    [sym__external_else] = ACTIONS(461),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(461),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(461),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [196] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_BSLASH] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_repeat] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(465),
    [sym__number_literal] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [sym_return] = ACTIONS(463),
    [sym_next] = ACTIONS(463),
    [sym_break] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_null] = ACTIONS(463),
    [sym_inf] = ACTIONS(463),
    [sym_nan] = ACTIONS(463),
    [anon_sym_NA] = ACTIONS(463),
    [anon_sym_NA_integer_] = ACTIONS(463),
    [anon_sym_NA_real_] = ACTIONS(463),
    [anon_sym_NA_complex_] = ACTIONS(463),
    [anon_sym_NA_character_] = ACTIONS(463),
    [sym_dots] = ACTIONS(463),
    [sym_dot_dot_i] = ACTIONS(465),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(465),
    [sym__raw_string_literal] = ACTIONS(465),
    [sym__external_else] = ACTIONS(465),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(465),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(465),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [197] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(469),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [198] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(469),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [199] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(469),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [200] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(467),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(469),
    [anon_sym_PIPE_GT] = ACTIONS(469),
    [anon_sym_COLON] = ACTIONS(467),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(469),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [201] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [202] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [203] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [204] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [205] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [206] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [207] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [208] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [209] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [210] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [211] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [212] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [213] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [214] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_else] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(375),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [215] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_else] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(379),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [216] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [217] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [218] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [219] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [220] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [221] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [222] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [223] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [224] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [225] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [226] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [227] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [228] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [229] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_else] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(387),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [230] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_else] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(391),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [231] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_else] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(395),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [232] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_else] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(399),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [233] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_else] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(403),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [234] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_else] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(407),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [235] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_else] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(411),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [236] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_else] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(415),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [237] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_else] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(419),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [238] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_else] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(423),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [239] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_repeat] = ACTIONS(429),
    [anon_sym_QMARK] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(429),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(427),
    [sym__number_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [sym_return] = ACTIONS(429),
    [sym_next] = ACTIONS(429),
    [sym_break] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym_null] = ACTIONS(429),
    [sym_inf] = ACTIONS(429),
    [sym_nan] = ACTIONS(429),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_dots] = ACTIONS(429),
    [sym_dot_dot_i] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(427),
    [sym__newline] = ACTIONS(427),
    [sym__raw_string_literal] = ACTIONS(427),
    [sym__external_else] = ACTIONS(427),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(427),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(427),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [240] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(433),
    [anon_sym_BSLASH] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(433),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_while] = ACTIONS(433),
    [anon_sym_repeat] = ACTIONS(433),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(431),
    [sym__number_literal] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(431),
    [sym_return] = ACTIONS(433),
    [sym_next] = ACTIONS(433),
    [sym_break] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_null] = ACTIONS(433),
    [sym_inf] = ACTIONS(433),
    [sym_nan] = ACTIONS(433),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [sym_dots] = ACTIONS(433),
    [sym_dot_dot_i] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__newline] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(431),
    [sym__external_else] = ACTIONS(431),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(431),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(431),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [241] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(437),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(435),
    [sym__number_literal] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(435),
    [sym_return] = ACTIONS(437),
    [sym_next] = ACTIONS(437),
    [sym_break] = ACTIONS(437),
    [sym_true] = ACTIONS(437),
    [sym_false] = ACTIONS(437),
    [sym_null] = ACTIONS(437),
    [sym_inf] = ACTIONS(437),
    [sym_nan] = ACTIONS(437),
    [anon_sym_NA] = ACTIONS(437),
    [anon_sym_NA_integer_] = ACTIONS(437),
    [anon_sym_NA_real_] = ACTIONS(437),
    [anon_sym_NA_complex_] = ACTIONS(437),
    [anon_sym_NA_character_] = ACTIONS(437),
    [sym_dots] = ACTIONS(437),
    [sym_dot_dot_i] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(435),
    [sym__newline] = ACTIONS(435),
    [sym__raw_string_literal] = ACTIONS(435),
    [sym__external_else] = ACTIONS(435),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(435),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(435),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [242] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_repeat] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(439),
    [sym__number_literal] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [sym_return] = ACTIONS(441),
    [sym_next] = ACTIONS(441),
    [sym_break] = ACTIONS(441),
    [sym_true] = ACTIONS(441),
    [sym_false] = ACTIONS(441),
    [sym_null] = ACTIONS(441),
    [sym_inf] = ACTIONS(441),
    [sym_nan] = ACTIONS(441),
    [anon_sym_NA] = ACTIONS(441),
    [anon_sym_NA_integer_] = ACTIONS(441),
    [anon_sym_NA_real_] = ACTIONS(441),
    [anon_sym_NA_complex_] = ACTIONS(441),
    [anon_sym_NA_character_] = ACTIONS(441),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(439),
    [sym__newline] = ACTIONS(439),
    [sym__raw_string_literal] = ACTIONS(439),
    [sym__external_else] = ACTIONS(439),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(439),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(439),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [243] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(367),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(369),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_dots] = ACTIONS(367),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(369),
    [sym__newline] = ACTIONS(369),
    [sym__raw_string_literal] = ACTIONS(369),
    [sym__external_else] = ACTIONS(369),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(369),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(369),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [244] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_repeat] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(443),
    [sym__number_literal] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_return] = ACTIONS(445),
    [sym_next] = ACTIONS(445),
    [sym_break] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_inf] = ACTIONS(445),
    [sym_nan] = ACTIONS(445),
    [anon_sym_NA] = ACTIONS(445),
    [anon_sym_NA_integer_] = ACTIONS(445),
    [anon_sym_NA_real_] = ACTIONS(445),
    [anon_sym_NA_complex_] = ACTIONS(445),
    [anon_sym_NA_character_] = ACTIONS(445),
    [sym_dots] = ACTIONS(445),
    [sym_dot_dot_i] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(443),
    [sym__newline] = ACTIONS(443),
    [sym__raw_string_literal] = ACTIONS(443),
    [sym__external_else] = ACTIONS(443),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(443),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(443),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [245] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_repeat] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(63),
    [anon_sym_LT_LT_DASH] = ACTIONS(63),
    [anon_sym_COLON_EQ] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_DASH_GT_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(77),
    [anon_sym_LT_EQ] = ACTIONS(79),
    [anon_sym_GT] = ACTIONS(77),
    [anon_sym_GT_EQ] = ACTIONS(79),
    [anon_sym_EQ_EQ] = ACTIONS(79),
    [anon_sym_BANG_EQ] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(87),
    [anon_sym_PIPE_GT] = ACTIONS(87),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(447),
    [sym__number_literal] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [sym_return] = ACTIONS(449),
    [sym_next] = ACTIONS(449),
    [sym_break] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_inf] = ACTIONS(449),
    [sym_nan] = ACTIONS(449),
    [anon_sym_NA] = ACTIONS(449),
    [anon_sym_NA_integer_] = ACTIONS(449),
    [anon_sym_NA_real_] = ACTIONS(449),
    [anon_sym_NA_complex_] = ACTIONS(449),
    [anon_sym_NA_character_] = ACTIONS(449),
    [sym_dots] = ACTIONS(449),
    [sym_dot_dot_i] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(447),
    [sym__newline] = ACTIONS(447),
    [sym__raw_string_literal] = ACTIONS(447),
    [sym__external_else] = ACTIONS(447),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(447),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(447),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [246] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(451),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(453),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [sym_return] = ACTIONS(451),
    [sym_next] = ACTIONS(451),
    [sym_break] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym_null] = ACTIONS(451),
    [sym_inf] = ACTIONS(451),
    [sym_nan] = ACTIONS(451),
    [anon_sym_NA] = ACTIONS(451),
    [anon_sym_NA_integer_] = ACTIONS(451),
    [anon_sym_NA_real_] = ACTIONS(451),
    [anon_sym_NA_complex_] = ACTIONS(451),
    [anon_sym_NA_character_] = ACTIONS(451),
    [sym_dots] = ACTIONS(451),
    [sym_dot_dot_i] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(453),
    [sym__newline] = ACTIONS(453),
    [sym__raw_string_literal] = ACTIONS(453),
    [sym__external_else] = ACTIONS(453),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(453),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(453),
  },
  [247] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(457),
  },
  [248] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(457),
  },
  [249] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(457),
  },
  [250] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(457),
    [anon_sym_PIPE_GT] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(457),
  },
  [251] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_repeat] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(461),
    [sym__number_literal] = ACTIONS(459),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_return] = ACTIONS(459),
    [sym_next] = ACTIONS(459),
    [sym_break] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_inf] = ACTIONS(459),
    [sym_nan] = ACTIONS(459),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(459),
    [sym_dot_dot_i] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(461),
    [sym__newline] = ACTIONS(461),
    [sym__raw_string_literal] = ACTIONS(461),
    [sym__external_else] = ACTIONS(461),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(461),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(461),
  },
  [252] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_BSLASH] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_repeat] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(465),
    [sym__number_literal] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [sym_return] = ACTIONS(463),
    [sym_next] = ACTIONS(463),
    [sym_break] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_null] = ACTIONS(463),
    [sym_inf] = ACTIONS(463),
    [sym_nan] = ACTIONS(463),
    [anon_sym_NA] = ACTIONS(463),
    [anon_sym_NA_integer_] = ACTIONS(463),
    [anon_sym_NA_real_] = ACTIONS(463),
    [anon_sym_NA_complex_] = ACTIONS(463),
    [anon_sym_NA_character_] = ACTIONS(463),
    [sym_dots] = ACTIONS(463),
    [sym_dot_dot_i] = ACTIONS(465),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(465),
    [sym__raw_string_literal] = ACTIONS(465),
    [sym__external_else] = ACTIONS(465),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(465),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(465),
  },
  [253] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(469),
  },
  [254] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(469),
  },
  [255] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(469),
  },
  [256] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(467),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(469),
    [anon_sym_PIPE_GT] = ACTIONS(469),
    [anon_sym_COLON] = ACTIONS(467),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(469),
  },
  [257] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [258] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [259] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [260] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [261] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [262] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [263] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [264] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [265] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [266] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [267] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [268] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [269] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [270] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_else] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(375),
  },
  [271] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_else] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(379),
  },
  [272] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [273] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [274] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [275] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [276] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [277] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [278] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [279] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [280] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [281] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [282] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [283] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [284] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_else] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [285] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_else] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(387),
  },
  [286] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_else] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(391),
  },
  [287] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_else] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(395),
  },
  [288] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_else] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(399),
  },
  [289] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_else] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(403),
  },
  [290] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_else] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(407),
  },
  [291] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_else] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(411),
  },
  [292] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_else] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(415),
  },
  [293] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_else] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(419),
  },
  [294] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_else] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(423),
  },
  [295] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_repeat] = ACTIONS(429),
    [anon_sym_QMARK] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(429),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(427),
    [sym__number_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [sym_return] = ACTIONS(429),
    [sym_next] = ACTIONS(429),
    [sym_break] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym_null] = ACTIONS(429),
    [sym_inf] = ACTIONS(429),
    [sym_nan] = ACTIONS(429),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_dots] = ACTIONS(429),
    [sym_dot_dot_i] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(427),
    [sym__newline] = ACTIONS(427),
    [sym__raw_string_literal] = ACTIONS(427),
    [sym__external_else] = ACTIONS(427),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(427),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(427),
  },
  [296] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(433),
    [anon_sym_BSLASH] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(433),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_while] = ACTIONS(433),
    [anon_sym_repeat] = ACTIONS(433),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(431),
    [sym__number_literal] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(431),
    [sym_return] = ACTIONS(433),
    [sym_next] = ACTIONS(433),
    [sym_break] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_null] = ACTIONS(433),
    [sym_inf] = ACTIONS(433),
    [sym_nan] = ACTIONS(433),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [sym_dots] = ACTIONS(433),
    [sym_dot_dot_i] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__newline] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(431),
    [sym__external_else] = ACTIONS(431),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(431),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(431),
  },
  [297] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(437),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(435),
    [sym__number_literal] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(435),
    [sym_return] = ACTIONS(437),
    [sym_next] = ACTIONS(437),
    [sym_break] = ACTIONS(437),
    [sym_true] = ACTIONS(437),
    [sym_false] = ACTIONS(437),
    [sym_null] = ACTIONS(437),
    [sym_inf] = ACTIONS(437),
    [sym_nan] = ACTIONS(437),
    [anon_sym_NA] = ACTIONS(437),
    [anon_sym_NA_integer_] = ACTIONS(437),
    [anon_sym_NA_real_] = ACTIONS(437),
    [anon_sym_NA_complex_] = ACTIONS(437),
    [anon_sym_NA_character_] = ACTIONS(437),
    [sym_dots] = ACTIONS(437),
    [sym_dot_dot_i] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(435),
    [sym__newline] = ACTIONS(435),
    [sym__raw_string_literal] = ACTIONS(435),
    [sym__external_else] = ACTIONS(435),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(435),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(435),
  },
  [298] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_repeat] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(439),
    [sym__number_literal] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [sym_return] = ACTIONS(441),
    [sym_next] = ACTIONS(441),
    [sym_break] = ACTIONS(441),
    [sym_true] = ACTIONS(441),
    [sym_false] = ACTIONS(441),
    [sym_null] = ACTIONS(441),
    [sym_inf] = ACTIONS(441),
    [sym_nan] = ACTIONS(441),
    [anon_sym_NA] = ACTIONS(441),
    [anon_sym_NA_integer_] = ACTIONS(441),
    [anon_sym_NA_real_] = ACTIONS(441),
    [anon_sym_NA_complex_] = ACTIONS(441),
    [anon_sym_NA_character_] = ACTIONS(441),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(439),
    [sym__newline] = ACTIONS(439),
    [sym__raw_string_literal] = ACTIONS(439),
    [sym__external_else] = ACTIONS(439),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(439),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(439),
  },
  [299] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [300] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_repeat] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(443),
    [sym__number_literal] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_return] = ACTIONS(445),
    [sym_next] = ACTIONS(445),
    [sym_break] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_inf] = ACTIONS(445),
    [sym_nan] = ACTIONS(445),
    [anon_sym_NA] = ACTIONS(445),
    [anon_sym_NA_integer_] = ACTIONS(445),
    [anon_sym_NA_real_] = ACTIONS(445),
    [anon_sym_NA_complex_] = ACTIONS(445),
    [anon_sym_NA_character_] = ACTIONS(445),
    [sym_dots] = ACTIONS(445),
    [sym_dot_dot_i] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(443),
    [sym__newline] = ACTIONS(443),
    [sym__raw_string_literal] = ACTIONS(443),
    [sym__external_else] = ACTIONS(443),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(443),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(443),
  },
  [301] = {
    [sym_call_arguments] = STATE(850),
    [sym_subset_arguments] = STATE(851),
    [sym_subset2_arguments] = STATE(852),
    [sym__open_parenthesis] = STATE(686),
    [sym__open_bracket] = STATE(687),
    [sym__open_bracket2] = STATE(522),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_repeat] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_LT_DASH] = ACTIONS(279),
    [anon_sym_LT_LT_DASH] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_AMP_AMP] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(293),
    [anon_sym_LT_EQ] = ACTIONS(295),
    [anon_sym_GT] = ACTIONS(293),
    [anon_sym_GT_EQ] = ACTIONS(295),
    [anon_sym_EQ_EQ] = ACTIONS(295),
    [anon_sym_BANG_EQ] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [aux_sym_binary_operator_token1] = ACTIONS(303),
    [anon_sym_PIPE_GT] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_DOLLAR] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [sym__hex_literal] = ACTIONS(447),
    [sym__number_literal] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [sym_return] = ACTIONS(449),
    [sym_next] = ACTIONS(449),
    [sym_break] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_inf] = ACTIONS(449),
    [sym_nan] = ACTIONS(449),
    [anon_sym_NA] = ACTIONS(449),
    [anon_sym_NA_integer_] = ACTIONS(449),
    [anon_sym_NA_real_] = ACTIONS(449),
    [anon_sym_NA_complex_] = ACTIONS(449),
    [anon_sym_NA_character_] = ACTIONS(449),
    [sym_dots] = ACTIONS(449),
    [sym_dot_dot_i] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(447),
    [sym__newline] = ACTIONS(447),
    [sym__raw_string_literal] = ACTIONS(447),
    [sym__external_else] = ACTIONS(447),
    [sym__external_open_parenthesis] = ACTIONS(311),
    [sym__external_open_brace] = ACTIONS(447),
    [sym__external_open_bracket] = ACTIONS(313),
    [sym__external_open_bracket2] = ACTIONS(315),
    [sym__external_close_bracket2] = ACTIONS(447),
  },
  [302] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [303] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [304] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(457),
    [anon_sym_PIPE_GT] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [305] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(461),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_repeat] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(461),
    [sym__number_literal] = ACTIONS(459),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_return] = ACTIONS(459),
    [sym_next] = ACTIONS(459),
    [sym_break] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_inf] = ACTIONS(459),
    [sym_nan] = ACTIONS(459),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(459),
    [sym_dot_dot_i] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__semicolon] = ACTIONS(461),
    [sym__raw_string_literal] = ACTIONS(461),
    [sym__external_else] = ACTIONS(461),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(461),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [306] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(465),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_BSLASH] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_repeat] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(465),
    [sym__number_literal] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [sym_return] = ACTIONS(463),
    [sym_next] = ACTIONS(463),
    [sym_break] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_null] = ACTIONS(463),
    [sym_inf] = ACTIONS(463),
    [sym_nan] = ACTIONS(463),
    [anon_sym_NA] = ACTIONS(463),
    [anon_sym_NA_integer_] = ACTIONS(463),
    [anon_sym_NA_real_] = ACTIONS(463),
    [anon_sym_NA_complex_] = ACTIONS(463),
    [anon_sym_NA_character_] = ACTIONS(463),
    [sym_dots] = ACTIONS(463),
    [sym_dot_dot_i] = ACTIONS(465),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__semicolon] = ACTIONS(465),
    [sym__raw_string_literal] = ACTIONS(465),
    [sym__external_else] = ACTIONS(465),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(465),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [307] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(469),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [308] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(469),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [309] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(469),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [310] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(469),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(467),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(469),
    [anon_sym_PIPE_GT] = ACTIONS(469),
    [anon_sym_COLON] = ACTIONS(467),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_else] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [311] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [312] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [313] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [314] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [315] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(113),
    [anon_sym_LT_LT_DASH] = ACTIONS(113),
    [anon_sym_COLON_EQ] = ACTIONS(113),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_DASH_GT_GT] = ACTIONS(117),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [316] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [317] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [318] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [319] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(109),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [320] = {
    [sym_call_arguments] = STATE(899),
    [sym_subset_arguments] = STATE(900),
    [sym_subset2_arguments] = STATE(905),
    [sym__open_parenthesis] = STATE(666),
    [sym__open_bracket] = STATE(667),
    [sym__open_bracket2] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(135),
    [aux_sym_binary_operator_token1] = ACTIONS(137),
    [anon_sym_PIPE_GT] = ACTIONS(137),
    [anon_sym_COLON] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_else] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(145),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(147),
    [sym__external_open_bracket2] = ACTIONS(149),
  },
  [321] = {
    [sym_call_arguments] = STATE(903),
    [sym_subset_arguments] = STATE(907),
    [sym_subset2_arguments] = STATE(908),
    [sym__open_parenthesis] = STATE(682),
    [sym__open_bracket] = STATE(683),
    [sym__open_bracket2] = STATE(684),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_STAR_STAR] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(85),
    [aux_sym_binary_operator_token1] = ACTIONS(457),
    [anon_sym_PIPE_GT] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_else] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(95),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(97),
    [sym__external_close_bracket] = ACTIONS(457),
    [sym__external_open_bracket2] = ACTIONS(99),
  },
  [322] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(375),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__semicolon] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [323] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(451),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(453),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [sym_return] = ACTIONS(451),
    [sym_next] = ACTIONS(451),
    [sym_break] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym_null] = ACTIONS(451),
    [sym_inf] = ACTIONS(451),
    [sym_nan] = ACTIONS(451),
    [anon_sym_NA] = ACTIONS(451),
    [anon_sym_NA_integer_] = ACTIONS(451),
    [anon_sym_NA_real_] = ACTIONS(451),
    [anon_sym_NA_complex_] = ACTIONS(451),
    [anon_sym_NA_character_] = ACTIONS(451),
    [sym_dots] = ACTIONS(451),
    [sym_dot_dot_i] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(453),
    [sym__newline] = ACTIONS(453),
    [sym__raw_string_literal] = ACTIONS(453),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(453),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(453),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [324] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(457),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [325] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(457),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [326] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(457),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [327] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(457),
    [anon_sym_PIPE_GT] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(457),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [328] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_repeat] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(461),
    [sym__number_literal] = ACTIONS(459),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_return] = ACTIONS(459),
    [sym_next] = ACTIONS(459),
    [sym_break] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_inf] = ACTIONS(459),
    [sym_nan] = ACTIONS(459),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(459),
    [sym_dot_dot_i] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(461),
    [sym__newline] = ACTIONS(461),
    [sym__raw_string_literal] = ACTIONS(461),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(461),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(461),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [329] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_BSLASH] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_repeat] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(465),
    [sym__number_literal] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [sym_return] = ACTIONS(463),
    [sym_next] = ACTIONS(463),
    [sym_break] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_null] = ACTIONS(463),
    [sym_inf] = ACTIONS(463),
    [sym_nan] = ACTIONS(463),
    [anon_sym_NA] = ACTIONS(463),
    [anon_sym_NA_integer_] = ACTIONS(463),
    [anon_sym_NA_real_] = ACTIONS(463),
    [anon_sym_NA_complex_] = ACTIONS(463),
    [anon_sym_NA_character_] = ACTIONS(463),
    [sym_dots] = ACTIONS(463),
    [sym_dot_dot_i] = ACTIONS(465),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(465),
    [sym__raw_string_literal] = ACTIONS(465),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(465),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(465),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [330] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(469),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [331] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(469),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [332] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(469),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [333] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(467),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(469),
    [anon_sym_PIPE_GT] = ACTIONS(469),
    [anon_sym_COLON] = ACTIONS(467),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(469),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [334] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [335] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [336] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [337] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [338] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [339] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [340] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [341] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [342] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [343] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [344] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [345] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [346] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(371),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [347] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(1042),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(607),
  },
  [348] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(988),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(657),
  },
  [349] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(375),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [350] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(379),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [351] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [352] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [353] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [354] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [355] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [356] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [357] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [358] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [359] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [360] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [361] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [362] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [363] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(383),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [364] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(387),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [365] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(457),
    [anon_sym_PIPE_GT] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [366] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(391),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [367] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(395),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [368] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(399),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [369] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(403),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [370] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(407),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [371] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(411),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [372] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(415),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [373] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(419),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [374] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(423),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [375] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_repeat] = ACTIONS(429),
    [anon_sym_QMARK] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(429),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(427),
    [sym__number_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [sym_return] = ACTIONS(429),
    [sym_next] = ACTIONS(429),
    [sym_break] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym_null] = ACTIONS(429),
    [sym_inf] = ACTIONS(429),
    [sym_nan] = ACTIONS(429),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_dots] = ACTIONS(429),
    [sym_dot_dot_i] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(427),
    [sym__newline] = ACTIONS(427),
    [sym__raw_string_literal] = ACTIONS(427),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(427),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(427),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [376] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(433),
    [anon_sym_BSLASH] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(433),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_while] = ACTIONS(433),
    [anon_sym_repeat] = ACTIONS(433),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(431),
    [sym__number_literal] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(431),
    [sym_return] = ACTIONS(433),
    [sym_next] = ACTIONS(433),
    [sym_break] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_null] = ACTIONS(433),
    [sym_inf] = ACTIONS(433),
    [sym_nan] = ACTIONS(433),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [sym_dots] = ACTIONS(433),
    [sym_dot_dot_i] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__newline] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(431),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(431),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(431),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [377] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(437),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(435),
    [sym__number_literal] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(435),
    [sym_return] = ACTIONS(437),
    [sym_next] = ACTIONS(437),
    [sym_break] = ACTIONS(437),
    [sym_true] = ACTIONS(437),
    [sym_false] = ACTIONS(437),
    [sym_null] = ACTIONS(437),
    [sym_inf] = ACTIONS(437),
    [sym_nan] = ACTIONS(437),
    [anon_sym_NA] = ACTIONS(437),
    [anon_sym_NA_integer_] = ACTIONS(437),
    [anon_sym_NA_real_] = ACTIONS(437),
    [anon_sym_NA_complex_] = ACTIONS(437),
    [anon_sym_NA_character_] = ACTIONS(437),
    [sym_dots] = ACTIONS(437),
    [sym_dot_dot_i] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(435),
    [sym__newline] = ACTIONS(435),
    [sym__raw_string_literal] = ACTIONS(435),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(435),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(435),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [378] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_repeat] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(439),
    [sym__number_literal] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [sym_return] = ACTIONS(441),
    [sym_next] = ACTIONS(441),
    [sym_break] = ACTIONS(441),
    [sym_true] = ACTIONS(441),
    [sym_false] = ACTIONS(441),
    [sym_null] = ACTIONS(441),
    [sym_inf] = ACTIONS(441),
    [sym_nan] = ACTIONS(441),
    [anon_sym_NA] = ACTIONS(441),
    [anon_sym_NA_integer_] = ACTIONS(441),
    [anon_sym_NA_real_] = ACTIONS(441),
    [anon_sym_NA_complex_] = ACTIONS(441),
    [anon_sym_NA_character_] = ACTIONS(441),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(439),
    [sym__newline] = ACTIONS(439),
    [sym__raw_string_literal] = ACTIONS(439),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(439),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(439),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [379] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(367),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(369),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_dots] = ACTIONS(367),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(369),
    [sym__newline] = ACTIONS(369),
    [sym__raw_string_literal] = ACTIONS(369),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(369),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(369),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [380] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_repeat] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(443),
    [sym__number_literal] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_return] = ACTIONS(445),
    [sym_next] = ACTIONS(445),
    [sym_break] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_inf] = ACTIONS(445),
    [sym_nan] = ACTIONS(445),
    [anon_sym_NA] = ACTIONS(445),
    [anon_sym_NA_integer_] = ACTIONS(445),
    [anon_sym_NA_real_] = ACTIONS(445),
    [anon_sym_NA_complex_] = ACTIONS(445),
    [anon_sym_NA_character_] = ACTIONS(445),
    [sym_dots] = ACTIONS(445),
    [sym_dot_dot_i] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(443),
    [sym__newline] = ACTIONS(443),
    [sym__raw_string_literal] = ACTIONS(443),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(443),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(443),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [381] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_repeat] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(447),
    [sym__number_literal] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [sym_return] = ACTIONS(449),
    [sym_next] = ACTIONS(449),
    [sym_break] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_inf] = ACTIONS(449),
    [sym_nan] = ACTIONS(449),
    [anon_sym_NA] = ACTIONS(449),
    [anon_sym_NA_integer_] = ACTIONS(449),
    [anon_sym_NA_real_] = ACTIONS(449),
    [anon_sym_NA_complex_] = ACTIONS(449),
    [anon_sym_NA_character_] = ACTIONS(449),
    [sym_dots] = ACTIONS(449),
    [sym_dot_dot_i] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(447),
    [sym__newline] = ACTIONS(447),
    [sym__raw_string_literal] = ACTIONS(447),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(447),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(447),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [382] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(451),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(453),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [sym_return] = ACTIONS(451),
    [sym_next] = ACTIONS(451),
    [sym_break] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym_null] = ACTIONS(451),
    [sym_inf] = ACTIONS(451),
    [sym_nan] = ACTIONS(451),
    [anon_sym_NA] = ACTIONS(451),
    [anon_sym_NA_integer_] = ACTIONS(451),
    [anon_sym_NA_real_] = ACTIONS(451),
    [anon_sym_NA_complex_] = ACTIONS(451),
    [anon_sym_NA_character_] = ACTIONS(451),
    [sym_dots] = ACTIONS(451),
    [sym_dot_dot_i] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(453),
    [sym__newline] = ACTIONS(453),
    [sym__raw_string_literal] = ACTIONS(453),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(453),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(453),
  },
  [383] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(457),
  },
  [384] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(457),
  },
  [385] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(457),
  },
  [386] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(457),
    [anon_sym_PIPE_GT] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(457),
  },
  [387] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_repeat] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(461),
    [sym__number_literal] = ACTIONS(459),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_return] = ACTIONS(459),
    [sym_next] = ACTIONS(459),
    [sym_break] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_inf] = ACTIONS(459),
    [sym_nan] = ACTIONS(459),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(459),
    [sym_dot_dot_i] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(461),
    [sym__newline] = ACTIONS(461),
    [sym__raw_string_literal] = ACTIONS(461),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(461),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(461),
  },
  [388] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_BSLASH] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_repeat] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(465),
    [sym__number_literal] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [sym_return] = ACTIONS(463),
    [sym_next] = ACTIONS(463),
    [sym_break] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_null] = ACTIONS(463),
    [sym_inf] = ACTIONS(463),
    [sym_nan] = ACTIONS(463),
    [anon_sym_NA] = ACTIONS(463),
    [anon_sym_NA_integer_] = ACTIONS(463),
    [anon_sym_NA_real_] = ACTIONS(463),
    [anon_sym_NA_complex_] = ACTIONS(463),
    [anon_sym_NA_character_] = ACTIONS(463),
    [sym_dots] = ACTIONS(463),
    [sym_dot_dot_i] = ACTIONS(465),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(465),
    [sym__raw_string_literal] = ACTIONS(465),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(465),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(465),
  },
  [389] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(469),
  },
  [390] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(469),
  },
  [391] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(469),
  },
  [392] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(467),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(469),
    [anon_sym_PIPE_GT] = ACTIONS(469),
    [anon_sym_COLON] = ACTIONS(467),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(469),
  },
  [393] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [394] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [395] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [396] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [397] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [398] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [399] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [400] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [401] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [402] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [403] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [404] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [405] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(371),
  },
  [406] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(998),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(703),
  },
  [407] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(1054),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(705),
  },
  [408] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(375),
  },
  [409] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(379),
  },
  [410] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [411] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [412] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [413] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [414] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [415] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [416] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [417] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [418] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [419] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [420] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [421] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [422] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(383),
  },
  [423] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(387),
  },
  [424] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(391),
  },
  [425] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(395),
  },
  [426] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(399),
  },
  [427] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(403),
  },
  [428] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(407),
  },
  [429] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(411),
  },
  [430] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(415),
  },
  [431] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(419),
  },
  [432] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(423),
  },
  [433] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_repeat] = ACTIONS(429),
    [anon_sym_QMARK] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(429),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(427),
    [sym__number_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [sym_return] = ACTIONS(429),
    [sym_next] = ACTIONS(429),
    [sym_break] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym_null] = ACTIONS(429),
    [sym_inf] = ACTIONS(429),
    [sym_nan] = ACTIONS(429),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_dots] = ACTIONS(429),
    [sym_dot_dot_i] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(427),
    [sym__newline] = ACTIONS(427),
    [sym__raw_string_literal] = ACTIONS(427),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(427),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(427),
  },
  [434] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(433),
    [anon_sym_BSLASH] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(433),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_while] = ACTIONS(433),
    [anon_sym_repeat] = ACTIONS(433),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(431),
    [sym__number_literal] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(431),
    [sym_return] = ACTIONS(433),
    [sym_next] = ACTIONS(433),
    [sym_break] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_null] = ACTIONS(433),
    [sym_inf] = ACTIONS(433),
    [sym_nan] = ACTIONS(433),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [sym_dots] = ACTIONS(433),
    [sym_dot_dot_i] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__newline] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(431),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(431),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(431),
  },
  [435] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(437),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(435),
    [sym__number_literal] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(435),
    [sym_return] = ACTIONS(437),
    [sym_next] = ACTIONS(437),
    [sym_break] = ACTIONS(437),
    [sym_true] = ACTIONS(437),
    [sym_false] = ACTIONS(437),
    [sym_null] = ACTIONS(437),
    [sym_inf] = ACTIONS(437),
    [sym_nan] = ACTIONS(437),
    [anon_sym_NA] = ACTIONS(437),
    [anon_sym_NA_integer_] = ACTIONS(437),
    [anon_sym_NA_real_] = ACTIONS(437),
    [anon_sym_NA_complex_] = ACTIONS(437),
    [anon_sym_NA_character_] = ACTIONS(437),
    [sym_dots] = ACTIONS(437),
    [sym_dot_dot_i] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(435),
    [sym__newline] = ACTIONS(435),
    [sym__raw_string_literal] = ACTIONS(435),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(435),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(435),
  },
  [436] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_repeat] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(439),
    [sym__number_literal] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [sym_return] = ACTIONS(441),
    [sym_next] = ACTIONS(441),
    [sym_break] = ACTIONS(441),
    [sym_true] = ACTIONS(441),
    [sym_false] = ACTIONS(441),
    [sym_null] = ACTIONS(441),
    [sym_inf] = ACTIONS(441),
    [sym_nan] = ACTIONS(441),
    [anon_sym_NA] = ACTIONS(441),
    [anon_sym_NA_integer_] = ACTIONS(441),
    [anon_sym_NA_real_] = ACTIONS(441),
    [anon_sym_NA_complex_] = ACTIONS(441),
    [anon_sym_NA_character_] = ACTIONS(441),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(439),
    [sym__newline] = ACTIONS(439),
    [sym__raw_string_literal] = ACTIONS(439),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(439),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(439),
  },
  [437] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(367),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(369),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_dots] = ACTIONS(367),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(369),
    [sym__newline] = ACTIONS(369),
    [sym__raw_string_literal] = ACTIONS(369),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(369),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(369),
  },
  [438] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_repeat] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(443),
    [sym__number_literal] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_return] = ACTIONS(445),
    [sym_next] = ACTIONS(445),
    [sym_break] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_inf] = ACTIONS(445),
    [sym_nan] = ACTIONS(445),
    [anon_sym_NA] = ACTIONS(445),
    [anon_sym_NA_integer_] = ACTIONS(445),
    [anon_sym_NA_real_] = ACTIONS(445),
    [anon_sym_NA_complex_] = ACTIONS(445),
    [anon_sym_NA_character_] = ACTIONS(445),
    [sym_dots] = ACTIONS(445),
    [sym_dot_dot_i] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(443),
    [sym__newline] = ACTIONS(443),
    [sym__raw_string_literal] = ACTIONS(443),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(443),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(443),
  },
  [439] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_repeat] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(447),
    [sym__number_literal] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [sym_return] = ACTIONS(449),
    [sym_next] = ACTIONS(449),
    [sym_break] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_inf] = ACTIONS(449),
    [sym_nan] = ACTIONS(449),
    [anon_sym_NA] = ACTIONS(449),
    [anon_sym_NA_integer_] = ACTIONS(449),
    [anon_sym_NA_real_] = ACTIONS(449),
    [anon_sym_NA_complex_] = ACTIONS(449),
    [anon_sym_NA_character_] = ACTIONS(449),
    [sym_dots] = ACTIONS(449),
    [sym_dot_dot_i] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(447),
    [sym__newline] = ACTIONS(447),
    [sym__raw_string_literal] = ACTIONS(447),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(447),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(447),
  },
  [440] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(987),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(468),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(753),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [441] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(938),
    [aux_sym_call_arguments_repeat1] = STATE(469),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(757),
  },
  [442] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(949),
    [aux_sym_call_arguments_repeat1] = STATE(470),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(759),
  },
  [443] = {
    [sym_string] = STATE(823),
    [sym__single_quoted_string] = STATE(748),
    [sym__double_quoted_string] = STATE(749),
    [sym__string_or_identifier] = STATE(823),
    [aux_sym_function_definition_repeat1] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(761),
    [sym_identifier] = ACTIONS(763),
    [anon_sym_BSLASH] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_TILDE] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(761),
    [anon_sym_LT_LT_DASH] = ACTIONS(761),
    [anon_sym_COLON_EQ] = ACTIONS(761),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(761),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(761),
    [anon_sym_AMP_AMP] = ACTIONS(761),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(761),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(761),
    [anon_sym_STAR_STAR] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(761),
    [aux_sym_binary_operator_token1] = ACTIONS(761),
    [anon_sym_PIPE_GT] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [sym__hex_literal] = ACTIONS(761),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(771),
    [sym__semicolon] = ACTIONS(761),
    [sym__raw_string_literal] = ACTIONS(773),
    [sym__external_else] = ACTIONS(761),
    [sym__external_open_parenthesis] = ACTIONS(761),
    [sym__external_open_brace] = ACTIONS(761),
    [sym__external_open_bracket] = ACTIONS(761),
    [sym__external_open_bracket2] = ACTIONS(761),
  },
  [444] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(775),
    [anon_sym_BSLASH] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [anon_sym_repeat] = ACTIONS(775),
    [anon_sym_QMARK] = ACTIONS(781),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(777),
    [sym__number_literal] = ACTIONS(775),
    [anon_sym_SQUOTE] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(777),
    [sym_return] = ACTIONS(775),
    [sym_next] = ACTIONS(775),
    [sym_break] = ACTIONS(775),
    [sym_true] = ACTIONS(775),
    [sym_false] = ACTIONS(775),
    [sym_null] = ACTIONS(775),
    [sym_inf] = ACTIONS(775),
    [sym_nan] = ACTIONS(775),
    [anon_sym_NA] = ACTIONS(775),
    [anon_sym_NA_integer_] = ACTIONS(775),
    [anon_sym_NA_real_] = ACTIONS(775),
    [anon_sym_NA_complex_] = ACTIONS(775),
    [anon_sym_NA_character_] = ACTIONS(775),
    [sym_dots] = ACTIONS(775),
    [sym_dot_dot_i] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(777),
    [sym__semicolon] = ACTIONS(777),
    [sym__raw_string_literal] = ACTIONS(777),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(777),
    [sym__external_close_brace] = ACTIONS(777),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [445] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(461),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_repeat] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(461),
    [sym__number_literal] = ACTIONS(459),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_return] = ACTIONS(459),
    [sym_next] = ACTIONS(459),
    [sym_break] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_inf] = ACTIONS(459),
    [sym_nan] = ACTIONS(459),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(459),
    [sym_dot_dot_i] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__semicolon] = ACTIONS(461),
    [sym__raw_string_literal] = ACTIONS(461),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(461),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [446] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(465),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_BSLASH] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_repeat] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(465),
    [sym__number_literal] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [sym_return] = ACTIONS(463),
    [sym_next] = ACTIONS(463),
    [sym_break] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_null] = ACTIONS(463),
    [sym_inf] = ACTIONS(463),
    [sym_nan] = ACTIONS(463),
    [anon_sym_NA] = ACTIONS(463),
    [anon_sym_NA_integer_] = ACTIONS(463),
    [anon_sym_NA_real_] = ACTIONS(463),
    [anon_sym_NA_complex_] = ACTIONS(463),
    [anon_sym_NA_character_] = ACTIONS(463),
    [sym_dots] = ACTIONS(463),
    [sym_dot_dot_i] = ACTIONS(465),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__semicolon] = ACTIONS(465),
    [sym__raw_string_literal] = ACTIONS(465),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(465),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [447] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(469),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [448] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(469),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [449] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(469),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [450] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(469),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(467),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(469),
    [anon_sym_PIPE_GT] = ACTIONS(469),
    [anon_sym_COLON] = ACTIONS(467),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [451] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [452] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [453] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [454] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [455] = {
    [sym_string] = STATE(902),
    [sym__single_quoted_string] = STATE(748),
    [sym__double_quoted_string] = STATE(749),
    [sym__string_or_identifier] = STATE(902),
    [aux_sym_function_definition_repeat1] = STATE(801),
    [ts_builtin_sym_end] = ACTIONS(825),
    [sym_identifier] = ACTIONS(827),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_repeat] = ACTIONS(829),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(829),
    [anon_sym_AMP] = ACTIONS(829),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [sym_return] = ACTIONS(829),
    [sym_next] = ACTIONS(829),
    [sym_break] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [sym_inf] = ACTIONS(829),
    [sym_nan] = ACTIONS(829),
    [anon_sym_NA] = ACTIONS(829),
    [anon_sym_NA_integer_] = ACTIONS(829),
    [anon_sym_NA_real_] = ACTIONS(829),
    [anon_sym_NA_complex_] = ACTIONS(829),
    [anon_sym_NA_character_] = ACTIONS(829),
    [sym_dots] = ACTIONS(829),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(825),
    [sym__semicolon] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(773),
    [sym__external_else] = ACTIONS(825),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [456] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(934),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(831),
  },
  [457] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(812),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(833),
  },
  [458] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [459] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [460] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [461] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [462] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [463] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [464] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [465] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [466] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [467] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(835),
    [anon_sym_BSLASH] = ACTIONS(837),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(835),
    [anon_sym_for] = ACTIONS(835),
    [anon_sym_while] = ACTIONS(835),
    [anon_sym_repeat] = ACTIONS(835),
    [anon_sym_QMARK] = ACTIONS(841),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(837),
    [sym__number_literal] = ACTIONS(835),
    [anon_sym_SQUOTE] = ACTIONS(837),
    [anon_sym_DQUOTE] = ACTIONS(837),
    [sym_return] = ACTIONS(835),
    [sym_next] = ACTIONS(835),
    [sym_break] = ACTIONS(835),
    [sym_true] = ACTIONS(835),
    [sym_false] = ACTIONS(835),
    [sym_null] = ACTIONS(835),
    [sym_inf] = ACTIONS(835),
    [sym_nan] = ACTIONS(835),
    [anon_sym_NA] = ACTIONS(835),
    [anon_sym_NA_integer_] = ACTIONS(835),
    [anon_sym_NA_real_] = ACTIONS(835),
    [anon_sym_NA_complex_] = ACTIONS(835),
    [anon_sym_NA_character_] = ACTIONS(835),
    [sym_dots] = ACTIONS(835),
    [sym_dot_dot_i] = ACTIONS(837),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(837),
    [sym__newline] = ACTIONS(837),
    [sym__raw_string_literal] = ACTIONS(837),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(837),
    [sym__external_open_brace] = ACTIONS(837),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [468] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1030),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(885),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [469] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(1051),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(887),
  },
  [470] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(1058),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(889),
  },
  [471] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(379),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__semicolon] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [472] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [473] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [474] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [475] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [476] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [477] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [478] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [479] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [480] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [481] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [482] = {
    [sym_string] = STATE(868),
    [sym__single_quoted_string] = STATE(730),
    [sym__double_quoted_string] = STATE(731),
    [sym__string_or_identifier] = STATE(868),
    [aux_sym_function_definition_repeat1] = STATE(492),
    [sym_identifier] = ACTIONS(891),
    [anon_sym_BSLASH] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_TILDE] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(761),
    [anon_sym_LT_LT_DASH] = ACTIONS(761),
    [anon_sym_COLON_EQ] = ACTIONS(761),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(761),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(761),
    [anon_sym_AMP_AMP] = ACTIONS(761),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(761),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(761),
    [anon_sym_STAR_STAR] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(761),
    [aux_sym_binary_operator_token1] = ACTIONS(761),
    [anon_sym_PIPE_GT] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [sym__hex_literal] = ACTIONS(761),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(761),
    [sym__newline] = ACTIONS(897),
    [sym__raw_string_literal] = ACTIONS(899),
    [sym__external_else] = ACTIONS(761),
    [sym__external_open_parenthesis] = ACTIONS(761),
    [sym__external_close_parenthesis] = ACTIONS(761),
    [sym__external_open_brace] = ACTIONS(761),
    [sym__external_open_bracket] = ACTIONS(761),
    [sym__external_open_bracket2] = ACTIONS(761),
  },
  [483] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [484] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [485] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [486] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(387),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__semicolon] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [487] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(391),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__semicolon] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [488] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(395),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__semicolon] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [489] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(399),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__semicolon] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [490] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(403),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__semicolon] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [491] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(407),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__semicolon] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [492] = {
    [sym_string] = STATE(887),
    [sym__single_quoted_string] = STATE(730),
    [sym__double_quoted_string] = STATE(731),
    [sym__string_or_identifier] = STATE(887),
    [aux_sym_function_definition_repeat1] = STATE(804),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_repeat] = ACTIONS(829),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(829),
    [anon_sym_AMP] = ACTIONS(829),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_return] = ACTIONS(829),
    [sym_next] = ACTIONS(829),
    [sym_break] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [sym_inf] = ACTIONS(829),
    [sym_nan] = ACTIONS(829),
    [anon_sym_NA] = ACTIONS(829),
    [anon_sym_NA_integer_] = ACTIONS(829),
    [anon_sym_NA_real_] = ACTIONS(829),
    [anon_sym_NA_complex_] = ACTIONS(829),
    [anon_sym_NA_character_] = ACTIONS(829),
    [sym_dots] = ACTIONS(829),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(825),
    [sym__newline] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(899),
    [sym__external_else] = ACTIONS(825),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_close_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [493] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(889),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(903),
  },
  [494] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(890),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(905),
  },
  [495] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(411),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__semicolon] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [496] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(415),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__semicolon] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [497] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(419),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__semicolon] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [498] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(423),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__semicolon] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [499] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(427),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_repeat] = ACTIONS(429),
    [anon_sym_QMARK] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(429),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(427),
    [sym__number_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [sym_return] = ACTIONS(429),
    [sym_next] = ACTIONS(429),
    [sym_break] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym_null] = ACTIONS(429),
    [sym_inf] = ACTIONS(429),
    [sym_nan] = ACTIONS(429),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_dots] = ACTIONS(429),
    [sym_dot_dot_i] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(427),
    [sym__semicolon] = ACTIONS(427),
    [sym__raw_string_literal] = ACTIONS(427),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(427),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [500] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [anon_sym_BSLASH] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(433),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_while] = ACTIONS(433),
    [anon_sym_repeat] = ACTIONS(433),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(431),
    [sym__number_literal] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(431),
    [sym_return] = ACTIONS(433),
    [sym_next] = ACTIONS(433),
    [sym_break] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_null] = ACTIONS(433),
    [sym_inf] = ACTIONS(433),
    [sym_nan] = ACTIONS(433),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [sym_dots] = ACTIONS(433),
    [sym_dot_dot_i] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(431),
    [sym__semicolon] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(431),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(431),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [501] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(435),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(437),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(435),
    [sym__number_literal] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(435),
    [sym_return] = ACTIONS(437),
    [sym_next] = ACTIONS(437),
    [sym_break] = ACTIONS(437),
    [sym_true] = ACTIONS(437),
    [sym_false] = ACTIONS(437),
    [sym_null] = ACTIONS(437),
    [sym_inf] = ACTIONS(437),
    [sym_nan] = ACTIONS(437),
    [anon_sym_NA] = ACTIONS(437),
    [anon_sym_NA_integer_] = ACTIONS(437),
    [anon_sym_NA_real_] = ACTIONS(437),
    [anon_sym_NA_complex_] = ACTIONS(437),
    [anon_sym_NA_character_] = ACTIONS(437),
    [sym_dots] = ACTIONS(437),
    [sym_dot_dot_i] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(435),
    [sym__semicolon] = ACTIONS(435),
    [sym__raw_string_literal] = ACTIONS(435),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(435),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [502] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(439),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_repeat] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(439),
    [sym__number_literal] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [sym_return] = ACTIONS(441),
    [sym_next] = ACTIONS(441),
    [sym_break] = ACTIONS(441),
    [sym_true] = ACTIONS(441),
    [sym_false] = ACTIONS(441),
    [sym_null] = ACTIONS(441),
    [sym_inf] = ACTIONS(441),
    [sym_nan] = ACTIONS(441),
    [anon_sym_NA] = ACTIONS(441),
    [anon_sym_NA_integer_] = ACTIONS(441),
    [anon_sym_NA_real_] = ACTIONS(441),
    [anon_sym_NA_complex_] = ACTIONS(441),
    [anon_sym_NA_character_] = ACTIONS(441),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(439),
    [sym__semicolon] = ACTIONS(439),
    [sym__raw_string_literal] = ACTIONS(439),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(439),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [503] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(369),
    [sym_identifier] = ACTIONS(367),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(369),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_dots] = ACTIONS(367),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(369),
    [sym__semicolon] = ACTIONS(369),
    [sym__raw_string_literal] = ACTIONS(369),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(369),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [504] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(443),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_repeat] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(443),
    [sym__number_literal] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_return] = ACTIONS(445),
    [sym_next] = ACTIONS(445),
    [sym_break] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_inf] = ACTIONS(445),
    [sym_nan] = ACTIONS(445),
    [anon_sym_NA] = ACTIONS(445),
    [anon_sym_NA_integer_] = ACTIONS(445),
    [anon_sym_NA_real_] = ACTIONS(445),
    [anon_sym_NA_complex_] = ACTIONS(445),
    [anon_sym_NA_character_] = ACTIONS(445),
    [sym_dots] = ACTIONS(445),
    [sym_dot_dot_i] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(443),
    [sym__semicolon] = ACTIONS(443),
    [sym__raw_string_literal] = ACTIONS(443),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(443),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [505] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(447),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_repeat] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(447),
    [sym__number_literal] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [sym_return] = ACTIONS(449),
    [sym_next] = ACTIONS(449),
    [sym_break] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_inf] = ACTIONS(449),
    [sym_nan] = ACTIONS(449),
    [anon_sym_NA] = ACTIONS(449),
    [anon_sym_NA_integer_] = ACTIONS(449),
    [anon_sym_NA_real_] = ACTIONS(449),
    [anon_sym_NA_complex_] = ACTIONS(449),
    [anon_sym_NA_character_] = ACTIONS(449),
    [sym_dots] = ACTIONS(449),
    [sym_dot_dot_i] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(447),
    [sym__semicolon] = ACTIONS(447),
    [sym__raw_string_literal] = ACTIONS(447),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(447),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [506] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(451),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(453),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [sym_return] = ACTIONS(451),
    [sym_next] = ACTIONS(451),
    [sym_break] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym_null] = ACTIONS(451),
    [sym_inf] = ACTIONS(451),
    [sym_nan] = ACTIONS(451),
    [anon_sym_NA] = ACTIONS(451),
    [anon_sym_NA_integer_] = ACTIONS(451),
    [anon_sym_NA_real_] = ACTIONS(451),
    [anon_sym_NA_complex_] = ACTIONS(451),
    [anon_sym_NA_character_] = ACTIONS(451),
    [sym_dots] = ACTIONS(451),
    [sym_dot_dot_i] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(453),
    [sym__newline] = ACTIONS(453),
    [sym__raw_string_literal] = ACTIONS(453),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(453),
    [sym__external_open_brace] = ACTIONS(453),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [507] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(457),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [508] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(457),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [509] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(457),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [510] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(457),
    [anon_sym_PIPE_GT] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(457),
    [sym__newline] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(457),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [511] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_repeat] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(461),
    [sym__number_literal] = ACTIONS(459),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_return] = ACTIONS(459),
    [sym_next] = ACTIONS(459),
    [sym_break] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_inf] = ACTIONS(459),
    [sym_nan] = ACTIONS(459),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(459),
    [sym_dot_dot_i] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(461),
    [sym__newline] = ACTIONS(461),
    [sym__raw_string_literal] = ACTIONS(461),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(461),
    [sym__external_open_brace] = ACTIONS(461),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [512] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_BSLASH] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_repeat] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(465),
    [sym__number_literal] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [sym_return] = ACTIONS(463),
    [sym_next] = ACTIONS(463),
    [sym_break] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_null] = ACTIONS(463),
    [sym_inf] = ACTIONS(463),
    [sym_nan] = ACTIONS(463),
    [anon_sym_NA] = ACTIONS(463),
    [anon_sym_NA_integer_] = ACTIONS(463),
    [anon_sym_NA_real_] = ACTIONS(463),
    [anon_sym_NA_complex_] = ACTIONS(463),
    [anon_sym_NA_character_] = ACTIONS(463),
    [sym_dots] = ACTIONS(463),
    [sym_dot_dot_i] = ACTIONS(465),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(465),
    [sym__newline] = ACTIONS(465),
    [sym__raw_string_literal] = ACTIONS(465),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(465),
    [sym__external_open_brace] = ACTIONS(465),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [513] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(469),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [514] = {
    [sym_string] = STATE(882),
    [sym__single_quoted_string] = STATE(754),
    [sym__double_quoted_string] = STATE(755),
    [sym__string_or_identifier] = STATE(882),
    [aux_sym_function_definition_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(907),
    [anon_sym_BSLASH] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_TILDE] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(761),
    [anon_sym_LT_LT_DASH] = ACTIONS(761),
    [anon_sym_COLON_EQ] = ACTIONS(761),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(761),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(761),
    [anon_sym_AMP_AMP] = ACTIONS(761),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(761),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(761),
    [anon_sym_STAR_STAR] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(761),
    [aux_sym_binary_operator_token1] = ACTIONS(761),
    [anon_sym_PIPE_GT] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [sym__hex_literal] = ACTIONS(761),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(913),
    [sym__semicolon] = ACTIONS(761),
    [sym__raw_string_literal] = ACTIONS(915),
    [sym__external_else] = ACTIONS(761),
    [sym__external_open_parenthesis] = ACTIONS(761),
    [sym__external_open_brace] = ACTIONS(761),
    [sym__external_close_brace] = ACTIONS(761),
    [sym__external_open_bracket] = ACTIONS(761),
    [sym__external_open_bracket2] = ACTIONS(761),
  },
  [515] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(469),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [516] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(469),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [517] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(467),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(469),
    [anon_sym_PIPE_GT] = ACTIONS(469),
    [anon_sym_COLON] = ACTIONS(467),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(469),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [518] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [519] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [520] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [521] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [522] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(862),
    [aux_sym_call_arguments_repeat1] = STATE(607),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(917),
  },
  [523] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [524] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [525] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [526] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [527] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [528] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [529] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [530] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [531] = {
    [sym_string] = STATE(835),
    [sym__single_quoted_string] = STATE(754),
    [sym__double_quoted_string] = STATE(755),
    [sym__string_or_identifier] = STATE(835),
    [aux_sym_function_definition_repeat1] = STATE(765),
    [sym_identifier] = ACTIONS(919),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_repeat] = ACTIONS(829),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(829),
    [anon_sym_AMP] = ACTIONS(829),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [sym_return] = ACTIONS(829),
    [sym_next] = ACTIONS(829),
    [sym_break] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [sym_inf] = ACTIONS(829),
    [sym_nan] = ACTIONS(829),
    [anon_sym_NA] = ACTIONS(829),
    [anon_sym_NA_integer_] = ACTIONS(829),
    [anon_sym_NA_real_] = ACTIONS(829),
    [anon_sym_NA_complex_] = ACTIONS(829),
    [anon_sym_NA_character_] = ACTIONS(829),
    [sym_dots] = ACTIONS(829),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(825),
    [sym__semicolon] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(915),
    [sym__external_else] = ACTIONS(825),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_close_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [532] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(837),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(921),
  },
  [533] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(839),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(923),
  },
  [534] = {
    [sym_call_arguments] = STATE(972),
    [sym_subset_arguments] = STATE(973),
    [sym_subset2_arguments] = STATE(997),
    [sym__open_parenthesis] = STATE(658),
    [sym__open_bracket] = STATE(659),
    [sym__open_bracket2] = STATE(660),
    [sym_identifier] = ACTIONS(835),
    [anon_sym_BSLASH] = ACTIONS(837),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_EQ] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(835),
    [anon_sym_for] = ACTIONS(835),
    [anon_sym_while] = ACTIONS(835),
    [anon_sym_repeat] = ACTIONS(835),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_LT_DASH] = ACTIONS(523),
    [anon_sym_LT_LT_DASH] = ACTIONS(523),
    [anon_sym_COLON_EQ] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_DASH_GT_GT] = ACTIONS(527),
    [anon_sym_PIPE] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE_PIPE] = ACTIONS(533),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_LT_EQ] = ACTIONS(539),
    [anon_sym_GT] = ACTIONS(537),
    [anon_sym_GT_EQ] = ACTIONS(539),
    [anon_sym_EQ_EQ] = ACTIONS(539),
    [anon_sym_BANG_EQ] = ACTIONS(539),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_CARET] = ACTIONS(545),
    [aux_sym_binary_operator_token1] = ACTIONS(547),
    [anon_sym_PIPE_GT] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(551),
    [sym__hex_literal] = ACTIONS(837),
    [sym__number_literal] = ACTIONS(835),
    [anon_sym_SQUOTE] = ACTIONS(837),
    [anon_sym_DQUOTE] = ACTIONS(837),
    [sym_return] = ACTIONS(835),
    [sym_next] = ACTIONS(835),
    [sym_break] = ACTIONS(835),
    [sym_true] = ACTIONS(835),
    [sym_false] = ACTIONS(835),
    [sym_null] = ACTIONS(835),
    [sym_inf] = ACTIONS(835),
    [sym_nan] = ACTIONS(835),
    [anon_sym_NA] = ACTIONS(835),
    [anon_sym_NA_integer_] = ACTIONS(835),
    [anon_sym_NA_real_] = ACTIONS(835),
    [anon_sym_NA_complex_] = ACTIONS(835),
    [anon_sym_NA_character_] = ACTIONS(835),
    [sym_dots] = ACTIONS(835),
    [sym_dot_dot_i] = ACTIONS(837),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(837),
    [sym__newline] = ACTIONS(837),
    [sym__raw_string_literal] = ACTIONS(837),
    [sym__external_open_parenthesis] = ACTIONS(553),
    [sym__external_open_brace] = ACTIONS(837),
    [sym__external_open_bracket] = ACTIONS(555),
    [sym__external_close_bracket] = ACTIONS(837),
    [sym__external_open_bracket2] = ACTIONS(557),
  },
  [535] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(937),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(927),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [536] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(975),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(929),
  },
  [537] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(977),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(931),
  },
  [538] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(375),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [539] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(379),
    [sym__newline] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(379),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [540] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [541] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [542] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [543] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [544] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [545] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [546] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [547] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [548] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [549] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [550] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [551] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [552] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(383),
    [sym__newline] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(383),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [553] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(2101),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(933),
  },
  [554] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(2098),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(935),
  },
  [555] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(387),
    [sym__newline] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(387),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [556] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(937),
    [sym_identifier] = ACTIONS(939),
    [anon_sym_BSLASH] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_repeat] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(937),
    [sym__number_literal] = ACTIONS(939),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE] = ACTIONS(937),
    [sym_return] = ACTIONS(939),
    [sym_next] = ACTIONS(939),
    [sym_break] = ACTIONS(939),
    [sym_true] = ACTIONS(939),
    [sym_false] = ACTIONS(939),
    [sym_null] = ACTIONS(939),
    [sym_inf] = ACTIONS(939),
    [sym_nan] = ACTIONS(939),
    [anon_sym_NA] = ACTIONS(939),
    [anon_sym_NA_integer_] = ACTIONS(939),
    [anon_sym_NA_real_] = ACTIONS(939),
    [anon_sym_NA_complex_] = ACTIONS(939),
    [anon_sym_NA_character_] = ACTIONS(939),
    [sym_dots] = ACTIONS(939),
    [sym_dot_dot_i] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(937),
    [sym__semicolon] = ACTIONS(937),
    [sym__raw_string_literal] = ACTIONS(937),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(937),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [557] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(391),
    [sym__newline] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(391),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [558] = {
    [sym_string] = STATE(816),
    [sym__single_quoted_string] = STATE(721),
    [sym__double_quoted_string] = STATE(722),
    [sym__string_or_identifier] = STATE(816),
    [aux_sym_function_definition_repeat1] = STATE(574),
    [sym_identifier] = ACTIONS(943),
    [anon_sym_BSLASH] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_TILDE] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(761),
    [anon_sym_LT_LT_DASH] = ACTIONS(761),
    [anon_sym_COLON_EQ] = ACTIONS(761),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(761),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(761),
    [anon_sym_AMP_AMP] = ACTIONS(761),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(761),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(761),
    [anon_sym_STAR_STAR] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(761),
    [aux_sym_binary_operator_token1] = ACTIONS(761),
    [anon_sym_PIPE_GT] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [sym__hex_literal] = ACTIONS(761),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(761),
    [sym__newline] = ACTIONS(949),
    [sym__raw_string_literal] = ACTIONS(951),
    [sym__external_else] = ACTIONS(761),
    [sym__external_open_parenthesis] = ACTIONS(761),
    [sym__external_open_brace] = ACTIONS(761),
    [sym__external_open_bracket] = ACTIONS(761),
    [sym__external_close_bracket] = ACTIONS(761),
    [sym__external_open_bracket2] = ACTIONS(761),
  },
  [559] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(395),
    [sym__newline] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(395),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [560] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(399),
    [sym__newline] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(399),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [561] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(403),
    [sym__newline] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(403),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [562] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(407),
    [sym__newline] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(407),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [563] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(411),
    [sym__newline] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(411),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [564] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(415),
    [sym__newline] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(415),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [565] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(419),
    [sym__newline] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(419),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [566] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(423),
    [sym__newline] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(423),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [567] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_repeat] = ACTIONS(429),
    [anon_sym_QMARK] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(429),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(427),
    [sym__number_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [sym_return] = ACTIONS(429),
    [sym_next] = ACTIONS(429),
    [sym_break] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym_null] = ACTIONS(429),
    [sym_inf] = ACTIONS(429),
    [sym_nan] = ACTIONS(429),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_dots] = ACTIONS(429),
    [sym_dot_dot_i] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(427),
    [sym__newline] = ACTIONS(427),
    [sym__raw_string_literal] = ACTIONS(427),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(427),
    [sym__external_open_brace] = ACTIONS(427),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [568] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(433),
    [anon_sym_BSLASH] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(433),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_while] = ACTIONS(433),
    [anon_sym_repeat] = ACTIONS(433),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(431),
    [sym__number_literal] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(431),
    [sym_return] = ACTIONS(433),
    [sym_next] = ACTIONS(433),
    [sym_break] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_null] = ACTIONS(433),
    [sym_inf] = ACTIONS(433),
    [sym_nan] = ACTIONS(433),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [sym_dots] = ACTIONS(433),
    [sym_dot_dot_i] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__newline] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(431),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(431),
    [sym__external_open_brace] = ACTIONS(431),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [569] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(437),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(435),
    [sym__number_literal] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(435),
    [sym_return] = ACTIONS(437),
    [sym_next] = ACTIONS(437),
    [sym_break] = ACTIONS(437),
    [sym_true] = ACTIONS(437),
    [sym_false] = ACTIONS(437),
    [sym_null] = ACTIONS(437),
    [sym_inf] = ACTIONS(437),
    [sym_nan] = ACTIONS(437),
    [anon_sym_NA] = ACTIONS(437),
    [anon_sym_NA_integer_] = ACTIONS(437),
    [anon_sym_NA_real_] = ACTIONS(437),
    [anon_sym_NA_complex_] = ACTIONS(437),
    [anon_sym_NA_character_] = ACTIONS(437),
    [sym_dots] = ACTIONS(437),
    [sym_dot_dot_i] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(435),
    [sym__newline] = ACTIONS(435),
    [sym__raw_string_literal] = ACTIONS(435),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(435),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [570] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_repeat] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(439),
    [sym__number_literal] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [sym_return] = ACTIONS(441),
    [sym_next] = ACTIONS(441),
    [sym_break] = ACTIONS(441),
    [sym_true] = ACTIONS(441),
    [sym_false] = ACTIONS(441),
    [sym_null] = ACTIONS(441),
    [sym_inf] = ACTIONS(441),
    [sym_nan] = ACTIONS(441),
    [anon_sym_NA] = ACTIONS(441),
    [anon_sym_NA_integer_] = ACTIONS(441),
    [anon_sym_NA_real_] = ACTIONS(441),
    [anon_sym_NA_complex_] = ACTIONS(441),
    [anon_sym_NA_character_] = ACTIONS(441),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(439),
    [sym__newline] = ACTIONS(439),
    [sym__raw_string_literal] = ACTIONS(439),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(439),
    [sym__external_open_brace] = ACTIONS(439),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [571] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(367),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(369),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_dots] = ACTIONS(367),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(369),
    [sym__newline] = ACTIONS(369),
    [sym__raw_string_literal] = ACTIONS(369),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(369),
    [sym__external_open_brace] = ACTIONS(369),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [572] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_repeat] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(443),
    [sym__number_literal] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_return] = ACTIONS(445),
    [sym_next] = ACTIONS(445),
    [sym_break] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_inf] = ACTIONS(445),
    [sym_nan] = ACTIONS(445),
    [anon_sym_NA] = ACTIONS(445),
    [anon_sym_NA_integer_] = ACTIONS(445),
    [anon_sym_NA_real_] = ACTIONS(445),
    [anon_sym_NA_complex_] = ACTIONS(445),
    [anon_sym_NA_character_] = ACTIONS(445),
    [sym_dots] = ACTIONS(445),
    [sym_dot_dot_i] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(443),
    [sym__newline] = ACTIONS(443),
    [sym__raw_string_literal] = ACTIONS(443),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(443),
    [sym__external_open_brace] = ACTIONS(443),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [573] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_repeat] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(447),
    [sym__number_literal] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [sym_return] = ACTIONS(449),
    [sym_next] = ACTIONS(449),
    [sym_break] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_inf] = ACTIONS(449),
    [sym_nan] = ACTIONS(449),
    [anon_sym_NA] = ACTIONS(449),
    [anon_sym_NA_integer_] = ACTIONS(449),
    [anon_sym_NA_real_] = ACTIONS(449),
    [anon_sym_NA_complex_] = ACTIONS(449),
    [anon_sym_NA_character_] = ACTIONS(449),
    [sym_dots] = ACTIONS(449),
    [sym_dot_dot_i] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(447),
    [sym__newline] = ACTIONS(447),
    [sym__raw_string_literal] = ACTIONS(447),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(447),
    [sym__external_open_brace] = ACTIONS(447),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [574] = {
    [sym_string] = STATE(827),
    [sym__single_quoted_string] = STATE(721),
    [sym__double_quoted_string] = STATE(722),
    [sym__string_or_identifier] = STATE(827),
    [aux_sym_function_definition_repeat1] = STATE(785),
    [sym_identifier] = ACTIONS(953),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_repeat] = ACTIONS(829),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(829),
    [anon_sym_AMP] = ACTIONS(829),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_return] = ACTIONS(829),
    [sym_next] = ACTIONS(829),
    [sym_break] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [sym_inf] = ACTIONS(829),
    [sym_nan] = ACTIONS(829),
    [anon_sym_NA] = ACTIONS(829),
    [anon_sym_NA_integer_] = ACTIONS(829),
    [anon_sym_NA_real_] = ACTIONS(829),
    [anon_sym_NA_complex_] = ACTIONS(829),
    [anon_sym_NA_character_] = ACTIONS(829),
    [sym_dots] = ACTIONS(829),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(825),
    [sym__newline] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(951),
    [sym__external_else] = ACTIONS(825),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_close_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [575] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(829),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(955),
  },
  [576] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(830),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(957),
  },
  [577] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(451),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(453),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [sym_return] = ACTIONS(451),
    [sym_next] = ACTIONS(451),
    [sym_break] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym_null] = ACTIONS(451),
    [sym_inf] = ACTIONS(451),
    [sym_nan] = ACTIONS(451),
    [anon_sym_NA] = ACTIONS(451),
    [anon_sym_NA_integer_] = ACTIONS(451),
    [anon_sym_NA_real_] = ACTIONS(451),
    [anon_sym_NA_complex_] = ACTIONS(451),
    [anon_sym_NA_character_] = ACTIONS(451),
    [sym_dots] = ACTIONS(451),
    [sym_dot_dot_i] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__semicolon] = ACTIONS(453),
    [sym__raw_string_literal] = ACTIONS(453),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(453),
    [sym__external_close_brace] = ACTIONS(453),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [578] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_close_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [579] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_close_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [580] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_close_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [581] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(457),
    [anon_sym_PIPE_GT] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_close_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [582] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_repeat] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(461),
    [sym__number_literal] = ACTIONS(459),
    [anon_sym_SQUOTE] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_return] = ACTIONS(459),
    [sym_next] = ACTIONS(459),
    [sym_break] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_null] = ACTIONS(459),
    [sym_inf] = ACTIONS(459),
    [sym_nan] = ACTIONS(459),
    [anon_sym_NA] = ACTIONS(459),
    [anon_sym_NA_integer_] = ACTIONS(459),
    [anon_sym_NA_real_] = ACTIONS(459),
    [anon_sym_NA_complex_] = ACTIONS(459),
    [anon_sym_NA_character_] = ACTIONS(459),
    [sym_dots] = ACTIONS(459),
    [sym_dot_dot_i] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__semicolon] = ACTIONS(461),
    [sym__raw_string_literal] = ACTIONS(461),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(461),
    [sym__external_close_brace] = ACTIONS(461),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [583] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_BSLASH] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_repeat] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(465),
    [sym__number_literal] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [sym_return] = ACTIONS(463),
    [sym_next] = ACTIONS(463),
    [sym_break] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_null] = ACTIONS(463),
    [sym_inf] = ACTIONS(463),
    [sym_nan] = ACTIONS(463),
    [anon_sym_NA] = ACTIONS(463),
    [anon_sym_NA_integer_] = ACTIONS(463),
    [anon_sym_NA_real_] = ACTIONS(463),
    [anon_sym_NA_complex_] = ACTIONS(463),
    [anon_sym_NA_character_] = ACTIONS(463),
    [sym_dots] = ACTIONS(463),
    [sym_dot_dot_i] = ACTIONS(465),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__semicolon] = ACTIONS(465),
    [sym__raw_string_literal] = ACTIONS(465),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(465),
    [sym__external_close_brace] = ACTIONS(465),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [584] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_close_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [585] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_close_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [586] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_close_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [587] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(467),
    [anon_sym_BSLASH] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(467),
    [anon_sym_EQ] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_repeat] = ACTIONS(467),
    [anon_sym_QMARK] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_LT_DASH] = ACTIONS(469),
    [anon_sym_LT_LT_DASH] = ACTIONS(469),
    [anon_sym_COLON_EQ] = ACTIONS(469),
    [anon_sym_DASH_GT] = ACTIONS(467),
    [anon_sym_DASH_GT_GT] = ACTIONS(469),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE_PIPE] = ACTIONS(469),
    [anon_sym_AMP_AMP] = ACTIONS(469),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_LT_EQ] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(469),
    [anon_sym_EQ_EQ] = ACTIONS(469),
    [anon_sym_BANG_EQ] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(467),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(469),
    [anon_sym_PIPE_GT] = ACTIONS(469),
    [anon_sym_COLON] = ACTIONS(467),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(469),
    [sym__number_literal] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_return] = ACTIONS(467),
    [sym_next] = ACTIONS(467),
    [sym_break] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_null] = ACTIONS(467),
    [sym_inf] = ACTIONS(467),
    [sym_nan] = ACTIONS(467),
    [anon_sym_NA] = ACTIONS(467),
    [anon_sym_NA_integer_] = ACTIONS(467),
    [anon_sym_NA_real_] = ACTIONS(467),
    [anon_sym_NA_complex_] = ACTIONS(467),
    [anon_sym_NA_character_] = ACTIONS(467),
    [sym_dots] = ACTIONS(467),
    [sym_dot_dot_i] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__semicolon] = ACTIONS(469),
    [sym__raw_string_literal] = ACTIONS(469),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(469),
    [sym__external_close_brace] = ACTIONS(469),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [588] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [589] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [590] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [591] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [592] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [593] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [594] = {
    [sym_string] = STATE(811),
    [sym__single_quoted_string] = STATE(737),
    [sym__double_quoted_string] = STATE(738),
    [sym__string_or_identifier] = STATE(811),
    [aux_sym_function_definition_repeat1] = STATE(605),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_BSLASH] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_TILDE] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(761),
    [anon_sym_LT_LT_DASH] = ACTIONS(761),
    [anon_sym_COLON_EQ] = ACTIONS(761),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(761),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(761),
    [anon_sym_AMP_AMP] = ACTIONS(761),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(761),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(761),
    [anon_sym_STAR_STAR] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(761),
    [aux_sym_binary_operator_token1] = ACTIONS(761),
    [anon_sym_PIPE_GT] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [sym__hex_literal] = ACTIONS(761),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(761),
    [sym__newline] = ACTIONS(965),
    [sym__raw_string_literal] = ACTIONS(967),
    [sym__external_else] = ACTIONS(761),
    [sym__external_open_parenthesis] = ACTIONS(761),
    [sym__external_open_brace] = ACTIONS(761),
    [sym__external_open_bracket] = ACTIONS(761),
    [sym__external_open_bracket2] = ACTIONS(761),
    [sym__external_close_bracket2] = ACTIONS(761),
  },
  [595] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [596] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [597] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [598] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [599] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [600] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [601] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(373),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_LT_DASH] = ACTIONS(371),
    [anon_sym_LT_LT_DASH] = ACTIONS(371),
    [anon_sym_COLON_EQ] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(373),
    [anon_sym_AMP] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_AMP_AMP] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(373),
    [anon_sym_LT_EQ] = ACTIONS(371),
    [anon_sym_GT] = ACTIONS(373),
    [anon_sym_GT_EQ] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(371),
    [anon_sym_BANG_EQ] = ACTIONS(371),
    [anon_sym_STAR] = ACTIONS(373),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(371),
    [anon_sym_PIPE_GT] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__semicolon] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_close_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [602] = {
    [sym_call_arguments] = STATE(945),
    [sym_subset_arguments] = STATE(948),
    [sym_subset2_arguments] = STATE(980),
    [sym__open_parenthesis] = STATE(662),
    [sym__open_bracket] = STATE(663),
    [sym__open_bracket2] = STATE(664),
    [sym_identifier] = ACTIONS(835),
    [anon_sym_BSLASH] = ACTIONS(837),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(835),
    [anon_sym_for] = ACTIONS(835),
    [anon_sym_while] = ACTIONS(835),
    [anon_sym_repeat] = ACTIONS(835),
    [anon_sym_QMARK] = ACTIONS(969),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_LT_DASH] = ACTIONS(667),
    [anon_sym_LT_LT_DASH] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(667),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(675),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_STAR_STAR] = ACTIONS(689),
    [anon_sym_CARET] = ACTIONS(689),
    [aux_sym_binary_operator_token1] = ACTIONS(691),
    [anon_sym_PIPE_GT] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [sym__hex_literal] = ACTIONS(837),
    [sym__number_literal] = ACTIONS(835),
    [anon_sym_SQUOTE] = ACTIONS(837),
    [anon_sym_DQUOTE] = ACTIONS(837),
    [sym_return] = ACTIONS(835),
    [sym_next] = ACTIONS(835),
    [sym_break] = ACTIONS(835),
    [sym_true] = ACTIONS(835),
    [sym_false] = ACTIONS(835),
    [sym_null] = ACTIONS(835),
    [sym_inf] = ACTIONS(835),
    [sym_nan] = ACTIONS(835),
    [anon_sym_NA] = ACTIONS(835),
    [anon_sym_NA_integer_] = ACTIONS(835),
    [anon_sym_NA_real_] = ACTIONS(835),
    [anon_sym_NA_complex_] = ACTIONS(835),
    [anon_sym_NA_character_] = ACTIONS(835),
    [sym_dots] = ACTIONS(835),
    [sym_dot_dot_i] = ACTIONS(837),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(837),
    [sym__newline] = ACTIONS(837),
    [sym__raw_string_literal] = ACTIONS(837),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(837),
    [sym__external_open_bracket] = ACTIONS(699),
    [sym__external_open_bracket2] = ACTIONS(701),
    [sym__external_close_bracket2] = ACTIONS(837),
  },
  [603] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(954),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(971),
  },
  [604] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(955),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(973),
  },
  [605] = {
    [sym_string] = STATE(871),
    [sym__single_quoted_string] = STATE(737),
    [sym__double_quoted_string] = STATE(738),
    [sym__string_or_identifier] = STATE(871),
    [aux_sym_function_definition_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_repeat] = ACTIONS(829),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(829),
    [anon_sym_AMP] = ACTIONS(829),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_return] = ACTIONS(829),
    [sym_next] = ACTIONS(829),
    [sym_break] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [sym_inf] = ACTIONS(829),
    [sym_nan] = ACTIONS(829),
    [anon_sym_NA] = ACTIONS(829),
    [anon_sym_NA_integer_] = ACTIONS(829),
    [anon_sym_NA_real_] = ACTIONS(829),
    [anon_sym_NA_complex_] = ACTIONS(829),
    [anon_sym_NA_character_] = ACTIONS(829),
    [sym_dots] = ACTIONS(829),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(825),
    [sym__newline] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(967),
    [sym__external_else] = ACTIONS(825),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
    [sym__external_close_bracket2] = ACTIONS(825),
  },
  [606] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(873),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(977),
  },
  [607] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(874),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(979),
  },
  [608] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_repeat] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(375),
    [sym__number_literal] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_return] = ACTIONS(377),
    [sym_next] = ACTIONS(377),
    [sym_break] = ACTIONS(377),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [sym_null] = ACTIONS(377),
    [sym_inf] = ACTIONS(377),
    [sym_nan] = ACTIONS(377),
    [anon_sym_NA] = ACTIONS(377),
    [anon_sym_NA_integer_] = ACTIONS(377),
    [anon_sym_NA_real_] = ACTIONS(377),
    [anon_sym_NA_complex_] = ACTIONS(377),
    [anon_sym_NA_character_] = ACTIONS(377),
    [sym_dots] = ACTIONS(377),
    [sym_dot_dot_i] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__semicolon] = ACTIONS(375),
    [sym__raw_string_literal] = ACTIONS(375),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(375),
    [sym__external_close_brace] = ACTIONS(375),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [609] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_function] = ACTIONS(381),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_repeat] = ACTIONS(381),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(379),
    [sym__number_literal] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [sym_return] = ACTIONS(381),
    [sym_next] = ACTIONS(381),
    [sym_break] = ACTIONS(381),
    [sym_true] = ACTIONS(381),
    [sym_false] = ACTIONS(381),
    [sym_null] = ACTIONS(381),
    [sym_inf] = ACTIONS(381),
    [sym_nan] = ACTIONS(381),
    [anon_sym_NA] = ACTIONS(381),
    [anon_sym_NA_integer_] = ACTIONS(381),
    [anon_sym_NA_real_] = ACTIONS(381),
    [anon_sym_NA_complex_] = ACTIONS(381),
    [anon_sym_NA_character_] = ACTIONS(381),
    [sym_dots] = ACTIONS(381),
    [sym_dot_dot_i] = ACTIONS(379),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__semicolon] = ACTIONS(379),
    [sym__raw_string_literal] = ACTIONS(379),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(379),
    [sym__external_close_brace] = ACTIONS(379),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [610] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [611] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [612] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [613] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [614] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [615] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [616] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [617] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [618] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [619] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [620] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [621] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [622] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_while] = ACTIONS(385),
    [anon_sym_repeat] = ACTIONS(385),
    [anon_sym_QMARK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(385),
    [anon_sym_LT_DASH] = ACTIONS(383),
    [anon_sym_LT_LT_DASH] = ACTIONS(383),
    [anon_sym_COLON_EQ] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_PIPE] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_PIPE_PIPE] = ACTIONS(383),
    [anon_sym_AMP_AMP] = ACTIONS(383),
    [anon_sym_LT] = ACTIONS(385),
    [anon_sym_LT_EQ] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(385),
    [anon_sym_GT_EQ] = ACTIONS(383),
    [anon_sym_EQ_EQ] = ACTIONS(383),
    [anon_sym_BANG_EQ] = ACTIONS(383),
    [anon_sym_STAR] = ACTIONS(385),
    [anon_sym_SLASH] = ACTIONS(383),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(383),
    [anon_sym_PIPE_GT] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(383),
    [sym__number_literal] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [sym_return] = ACTIONS(385),
    [sym_next] = ACTIONS(385),
    [sym_break] = ACTIONS(385),
    [sym_true] = ACTIONS(385),
    [sym_false] = ACTIONS(385),
    [sym_null] = ACTIONS(385),
    [sym_inf] = ACTIONS(385),
    [sym_nan] = ACTIONS(385),
    [anon_sym_NA] = ACTIONS(385),
    [anon_sym_NA_integer_] = ACTIONS(385),
    [anon_sym_NA_real_] = ACTIONS(385),
    [anon_sym_NA_complex_] = ACTIONS(385),
    [anon_sym_NA_character_] = ACTIONS(385),
    [sym_dots] = ACTIONS(385),
    [sym_dot_dot_i] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__semicolon] = ACTIONS(383),
    [sym__raw_string_literal] = ACTIONS(383),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(383),
    [sym__external_close_brace] = ACTIONS(383),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [623] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(389),
    [anon_sym_BSLASH] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(389),
    [anon_sym_repeat] = ACTIONS(389),
    [anon_sym_QMARK] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(387),
    [sym__number_literal] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(387),
    [sym_return] = ACTIONS(389),
    [sym_next] = ACTIONS(389),
    [sym_break] = ACTIONS(389),
    [sym_true] = ACTIONS(389),
    [sym_false] = ACTIONS(389),
    [sym_null] = ACTIONS(389),
    [sym_inf] = ACTIONS(389),
    [sym_nan] = ACTIONS(389),
    [anon_sym_NA] = ACTIONS(389),
    [anon_sym_NA_integer_] = ACTIONS(389),
    [anon_sym_NA_real_] = ACTIONS(389),
    [anon_sym_NA_complex_] = ACTIONS(389),
    [anon_sym_NA_character_] = ACTIONS(389),
    [sym_dots] = ACTIONS(389),
    [sym_dot_dot_i] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__semicolon] = ACTIONS(387),
    [sym__raw_string_literal] = ACTIONS(387),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(387),
    [sym__external_close_brace] = ACTIONS(387),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [624] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(453),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_BSLASH] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(451),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(453),
    [sym__number_literal] = ACTIONS(451),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [sym_return] = ACTIONS(451),
    [sym_next] = ACTIONS(451),
    [sym_break] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym_null] = ACTIONS(451),
    [sym_inf] = ACTIONS(451),
    [sym_nan] = ACTIONS(451),
    [anon_sym_NA] = ACTIONS(451),
    [anon_sym_NA_integer_] = ACTIONS(451),
    [anon_sym_NA_real_] = ACTIONS(451),
    [anon_sym_NA_complex_] = ACTIONS(451),
    [anon_sym_NA_character_] = ACTIONS(451),
    [sym_dots] = ACTIONS(451),
    [sym_dot_dot_i] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__semicolon] = ACTIONS(453),
    [sym__raw_string_literal] = ACTIONS(453),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(453),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [625] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_repeat] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(391),
    [sym__number_literal] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [sym_return] = ACTIONS(393),
    [sym_next] = ACTIONS(393),
    [sym_break] = ACTIONS(393),
    [sym_true] = ACTIONS(393),
    [sym_false] = ACTIONS(393),
    [sym_null] = ACTIONS(393),
    [sym_inf] = ACTIONS(393),
    [sym_nan] = ACTIONS(393),
    [anon_sym_NA] = ACTIONS(393),
    [anon_sym_NA_integer_] = ACTIONS(393),
    [anon_sym_NA_real_] = ACTIONS(393),
    [anon_sym_NA_complex_] = ACTIONS(393),
    [anon_sym_NA_character_] = ACTIONS(393),
    [sym_dots] = ACTIONS(393),
    [sym_dot_dot_i] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__semicolon] = ACTIONS(391),
    [sym__raw_string_literal] = ACTIONS(391),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(391),
    [sym__external_close_brace] = ACTIONS(391),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [626] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(479),
    [anon_sym_LT_LT_DASH] = ACTIONS(479),
    [anon_sym_COLON_EQ] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [627] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [628] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(397),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(395),
    [sym__number_literal] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(395),
    [sym_return] = ACTIONS(397),
    [sym_next] = ACTIONS(397),
    [sym_break] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_null] = ACTIONS(397),
    [sym_inf] = ACTIONS(397),
    [sym_nan] = ACTIONS(397),
    [anon_sym_NA] = ACTIONS(397),
    [anon_sym_NA_integer_] = ACTIONS(397),
    [anon_sym_NA_real_] = ACTIONS(397),
    [anon_sym_NA_complex_] = ACTIONS(397),
    [anon_sym_NA_character_] = ACTIONS(397),
    [sym_dots] = ACTIONS(397),
    [sym_dot_dot_i] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__semicolon] = ACTIONS(395),
    [sym__raw_string_literal] = ACTIONS(395),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(395),
    [sym__external_close_brace] = ACTIONS(395),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [629] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(401),
    [anon_sym_repeat] = ACTIONS(401),
    [anon_sym_QMARK] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(399),
    [sym__number_literal] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(399),
    [sym_return] = ACTIONS(401),
    [sym_next] = ACTIONS(401),
    [sym_break] = ACTIONS(401),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [sym_null] = ACTIONS(401),
    [sym_inf] = ACTIONS(401),
    [sym_nan] = ACTIONS(401),
    [anon_sym_NA] = ACTIONS(401),
    [anon_sym_NA_integer_] = ACTIONS(401),
    [anon_sym_NA_real_] = ACTIONS(401),
    [anon_sym_NA_complex_] = ACTIONS(401),
    [anon_sym_NA_character_] = ACTIONS(401),
    [sym_dots] = ACTIONS(401),
    [sym_dot_dot_i] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__semicolon] = ACTIONS(399),
    [sym__raw_string_literal] = ACTIONS(399),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(399),
    [sym__external_close_brace] = ACTIONS(399),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [630] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(405),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(403),
    [sym__number_literal] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_return] = ACTIONS(405),
    [sym_next] = ACTIONS(405),
    [sym_break] = ACTIONS(405),
    [sym_true] = ACTIONS(405),
    [sym_false] = ACTIONS(405),
    [sym_null] = ACTIONS(405),
    [sym_inf] = ACTIONS(405),
    [sym_nan] = ACTIONS(405),
    [anon_sym_NA] = ACTIONS(405),
    [anon_sym_NA_integer_] = ACTIONS(405),
    [anon_sym_NA_real_] = ACTIONS(405),
    [anon_sym_NA_complex_] = ACTIONS(405),
    [anon_sym_NA_character_] = ACTIONS(405),
    [sym_dots] = ACTIONS(405),
    [sym_dot_dot_i] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__semicolon] = ACTIONS(403),
    [sym__raw_string_literal] = ACTIONS(403),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(403),
    [sym__external_close_brace] = ACTIONS(403),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [631] = {
    [sym_call_arguments] = STATE(942),
    [sym_subset_arguments] = STATE(969),
    [sym_subset2_arguments] = STATE(965),
    [sym__open_parenthesis] = STATE(440),
    [sym__open_bracket] = STATE(441),
    [sym__open_bracket2] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_BSLASH] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_EQ] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_repeat] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_LT_DASH] = ACTIONS(457),
    [anon_sym_LT_LT_DASH] = ACTIONS(457),
    [anon_sym_COLON_EQ] = ACTIONS(457),
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_STAR] = ACTIONS(497),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_STAR_STAR] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [aux_sym_binary_operator_token1] = ACTIONS(503),
    [anon_sym_PIPE_GT] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__hex_literal] = ACTIONS(457),
    [sym__number_literal] = ACTIONS(455),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [sym_return] = ACTIONS(455),
    [sym_next] = ACTIONS(455),
    [sym_break] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_inf] = ACTIONS(455),
    [sym_nan] = ACTIONS(455),
    [anon_sym_NA] = ACTIONS(455),
    [anon_sym_NA_integer_] = ACTIONS(455),
    [anon_sym_NA_real_] = ACTIONS(455),
    [anon_sym_NA_complex_] = ACTIONS(455),
    [anon_sym_NA_character_] = ACTIONS(455),
    [sym_dots] = ACTIONS(455),
    [sym_dot_dot_i] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__semicolon] = ACTIONS(457),
    [sym__raw_string_literal] = ACTIONS(457),
    [sym__external_open_parenthesis] = ACTIONS(509),
    [sym__external_open_brace] = ACTIONS(457),
    [sym__external_open_bracket] = ACTIONS(511),
    [sym__external_open_bracket2] = ACTIONS(513),
  },
  [632] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_repeat] = ACTIONS(409),
    [anon_sym_QMARK] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(407),
    [sym__number_literal] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_return] = ACTIONS(409),
    [sym_next] = ACTIONS(409),
    [sym_break] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_null] = ACTIONS(409),
    [sym_inf] = ACTIONS(409),
    [sym_nan] = ACTIONS(409),
    [anon_sym_NA] = ACTIONS(409),
    [anon_sym_NA_integer_] = ACTIONS(409),
    [anon_sym_NA_real_] = ACTIONS(409),
    [anon_sym_NA_complex_] = ACTIONS(409),
    [anon_sym_NA_character_] = ACTIONS(409),
    [sym_dots] = ACTIONS(409),
    [sym_dot_dot_i] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__semicolon] = ACTIONS(407),
    [sym__raw_string_literal] = ACTIONS(407),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(407),
    [sym__external_close_brace] = ACTIONS(407),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [633] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(974),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(535),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(981),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [634] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(982),
    [aux_sym_call_arguments_repeat1] = STATE(536),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(983),
  },
  [635] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(986),
    [aux_sym_call_arguments_repeat1] = STATE(537),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(985),
  },
  [636] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(413),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_function] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_repeat] = ACTIONS(413),
    [anon_sym_QMARK] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(411),
    [sym__number_literal] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [sym_return] = ACTIONS(413),
    [sym_next] = ACTIONS(413),
    [sym_break] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym_null] = ACTIONS(413),
    [sym_inf] = ACTIONS(413),
    [sym_nan] = ACTIONS(413),
    [anon_sym_NA] = ACTIONS(413),
    [anon_sym_NA_integer_] = ACTIONS(413),
    [anon_sym_NA_real_] = ACTIONS(413),
    [anon_sym_NA_complex_] = ACTIONS(413),
    [anon_sym_NA_character_] = ACTIONS(413),
    [sym_dots] = ACTIONS(413),
    [sym_dot_dot_i] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__semicolon] = ACTIONS(411),
    [sym__raw_string_literal] = ACTIONS(411),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(411),
    [sym__external_close_brace] = ACTIONS(411),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [637] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(417),
    [anon_sym_BSLASH] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_repeat] = ACTIONS(417),
    [anon_sym_QMARK] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(415),
    [sym__number_literal] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(415),
    [sym_return] = ACTIONS(417),
    [sym_next] = ACTIONS(417),
    [sym_break] = ACTIONS(417),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [sym_null] = ACTIONS(417),
    [sym_inf] = ACTIONS(417),
    [sym_nan] = ACTIONS(417),
    [anon_sym_NA] = ACTIONS(417),
    [anon_sym_NA_integer_] = ACTIONS(417),
    [anon_sym_NA_real_] = ACTIONS(417),
    [anon_sym_NA_complex_] = ACTIONS(417),
    [anon_sym_NA_character_] = ACTIONS(417),
    [sym_dots] = ACTIONS(417),
    [sym_dot_dot_i] = ACTIONS(415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__semicolon] = ACTIONS(415),
    [sym__raw_string_literal] = ACTIONS(415),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(415),
    [sym__external_close_brace] = ACTIONS(415),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [638] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_repeat] = ACTIONS(421),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(419),
    [sym__number_literal] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_return] = ACTIONS(421),
    [sym_next] = ACTIONS(421),
    [sym_break] = ACTIONS(421),
    [sym_true] = ACTIONS(421),
    [sym_false] = ACTIONS(421),
    [sym_null] = ACTIONS(421),
    [sym_inf] = ACTIONS(421),
    [sym_nan] = ACTIONS(421),
    [anon_sym_NA] = ACTIONS(421),
    [anon_sym_NA_integer_] = ACTIONS(421),
    [anon_sym_NA_real_] = ACTIONS(421),
    [anon_sym_NA_complex_] = ACTIONS(421),
    [anon_sym_NA_character_] = ACTIONS(421),
    [sym_dots] = ACTIONS(421),
    [sym_dot_dot_i] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__semicolon] = ACTIONS(419),
    [sym__raw_string_literal] = ACTIONS(419),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(419),
    [sym__external_close_brace] = ACTIONS(419),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [639] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_BSLASH] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_repeat] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(423),
    [sym__number_literal] = ACTIONS(425),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_return] = ACTIONS(425),
    [sym_next] = ACTIONS(425),
    [sym_break] = ACTIONS(425),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_inf] = ACTIONS(425),
    [sym_nan] = ACTIONS(425),
    [anon_sym_NA] = ACTIONS(425),
    [anon_sym_NA_integer_] = ACTIONS(425),
    [anon_sym_NA_real_] = ACTIONS(425),
    [anon_sym_NA_complex_] = ACTIONS(425),
    [anon_sym_NA_character_] = ACTIONS(425),
    [sym_dots] = ACTIONS(425),
    [sym_dot_dot_i] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__semicolon] = ACTIONS(423),
    [sym__raw_string_literal] = ACTIONS(423),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(423),
    [sym__external_close_brace] = ACTIONS(423),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [640] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(952),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(987),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [641] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_repeat] = ACTIONS(429),
    [anon_sym_QMARK] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(429),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(427),
    [sym__number_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [sym_return] = ACTIONS(429),
    [sym_next] = ACTIONS(429),
    [sym_break] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym_null] = ACTIONS(429),
    [sym_inf] = ACTIONS(429),
    [sym_nan] = ACTIONS(429),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_dots] = ACTIONS(429),
    [sym_dot_dot_i] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(427),
    [sym__semicolon] = ACTIONS(427),
    [sym__raw_string_literal] = ACTIONS(427),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(427),
    [sym__external_close_brace] = ACTIONS(427),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [642] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(433),
    [anon_sym_BSLASH] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(433),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_while] = ACTIONS(433),
    [anon_sym_repeat] = ACTIONS(433),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(431),
    [sym__number_literal] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(431),
    [sym_return] = ACTIONS(433),
    [sym_next] = ACTIONS(433),
    [sym_break] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_null] = ACTIONS(433),
    [sym_inf] = ACTIONS(433),
    [sym_nan] = ACTIONS(433),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [sym_dots] = ACTIONS(433),
    [sym_dot_dot_i] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(431),
    [sym__semicolon] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(431),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(431),
    [sym__external_close_brace] = ACTIONS(431),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [643] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(437),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_repeat] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(435),
    [sym__number_literal] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(435),
    [sym_return] = ACTIONS(437),
    [sym_next] = ACTIONS(437),
    [sym_break] = ACTIONS(437),
    [sym_true] = ACTIONS(437),
    [sym_false] = ACTIONS(437),
    [sym_null] = ACTIONS(437),
    [sym_inf] = ACTIONS(437),
    [sym_nan] = ACTIONS(437),
    [anon_sym_NA] = ACTIONS(437),
    [anon_sym_NA_integer_] = ACTIONS(437),
    [anon_sym_NA_real_] = ACTIONS(437),
    [anon_sym_NA_complex_] = ACTIONS(437),
    [anon_sym_NA_character_] = ACTIONS(437),
    [sym_dots] = ACTIONS(437),
    [sym_dot_dot_i] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(435),
    [sym__semicolon] = ACTIONS(435),
    [sym__raw_string_literal] = ACTIONS(435),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(435),
    [sym__external_close_brace] = ACTIONS(435),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [644] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_repeat] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(439),
    [sym__number_literal] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [sym_return] = ACTIONS(441),
    [sym_next] = ACTIONS(441),
    [sym_break] = ACTIONS(441),
    [sym_true] = ACTIONS(441),
    [sym_false] = ACTIONS(441),
    [sym_null] = ACTIONS(441),
    [sym_inf] = ACTIONS(441),
    [sym_nan] = ACTIONS(441),
    [anon_sym_NA] = ACTIONS(441),
    [anon_sym_NA_integer_] = ACTIONS(441),
    [anon_sym_NA_real_] = ACTIONS(441),
    [anon_sym_NA_complex_] = ACTIONS(441),
    [anon_sym_NA_character_] = ACTIONS(441),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(439),
    [sym__semicolon] = ACTIONS(439),
    [sym__raw_string_literal] = ACTIONS(439),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(439),
    [sym__external_close_brace] = ACTIONS(439),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [645] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(367),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(369),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_dots] = ACTIONS(367),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(369),
    [sym__semicolon] = ACTIONS(369),
    [sym__raw_string_literal] = ACTIONS(369),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(369),
    [sym__external_close_brace] = ACTIONS(369),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [646] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_repeat] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(443),
    [sym__number_literal] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_return] = ACTIONS(445),
    [sym_next] = ACTIONS(445),
    [sym_break] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_inf] = ACTIONS(445),
    [sym_nan] = ACTIONS(445),
    [anon_sym_NA] = ACTIONS(445),
    [anon_sym_NA_integer_] = ACTIONS(445),
    [anon_sym_NA_real_] = ACTIONS(445),
    [anon_sym_NA_complex_] = ACTIONS(445),
    [anon_sym_NA_character_] = ACTIONS(445),
    [sym_dots] = ACTIONS(445),
    [sym_dot_dot_i] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(443),
    [sym__semicolon] = ACTIONS(443),
    [sym__raw_string_literal] = ACTIONS(443),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(443),
    [sym__external_close_brace] = ACTIONS(443),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [647] = {
    [sym_call_arguments] = STATE(1004),
    [sym_subset_arguments] = STATE(1045),
    [sym_subset2_arguments] = STATE(1046),
    [sym__open_parenthesis] = STATE(650),
    [sym__open_bracket] = STATE(651),
    [sym__open_bracket2] = STATE(652),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_repeat] = ACTIONS(449),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(797),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(811),
    [anon_sym_CARET] = ACTIONS(811),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(447),
    [sym__number_literal] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [sym_return] = ACTIONS(449),
    [sym_next] = ACTIONS(449),
    [sym_break] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_null] = ACTIONS(449),
    [sym_inf] = ACTIONS(449),
    [sym_nan] = ACTIONS(449),
    [anon_sym_NA] = ACTIONS(449),
    [anon_sym_NA_integer_] = ACTIONS(449),
    [anon_sym_NA_real_] = ACTIONS(449),
    [anon_sym_NA_complex_] = ACTIONS(449),
    [anon_sym_NA_character_] = ACTIONS(449),
    [sym_dots] = ACTIONS(449),
    [sym_dot_dot_i] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(447),
    [sym__semicolon] = ACTIONS(447),
    [sym__raw_string_literal] = ACTIONS(447),
    [sym__external_open_parenthesis] = ACTIONS(819),
    [sym__external_open_brace] = ACTIONS(447),
    [sym__external_close_brace] = ACTIONS(447),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(823),
  },
  [648] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(2123),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(989),
  },
  [649] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(2134),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(991),
  },
  [650] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1026),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(640),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(993),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [651] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(1028),
    [aux_sym_call_arguments_repeat1] = STATE(603),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(995),
  },
  [652] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(1033),
    [aux_sym_call_arguments_repeat1] = STATE(604),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(997),
  },
  [653] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(2124),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(999),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [654] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(2132),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(653),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1001),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [655] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(2133),
    [aux_sym_call_arguments_repeat1] = STATE(648),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(1003),
  },
  [656] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(2117),
    [aux_sym_call_arguments_repeat1] = STATE(649),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(1005),
  },
  [657] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1035),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1007),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [658] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1009),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(657),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1009),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [659] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(1016),
    [aux_sym_call_arguments_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(1011),
  },
  [660] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(1005),
    [aux_sym_call_arguments_repeat1] = STATE(348),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(1013),
  },
  [661] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(996),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1015),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [662] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1010),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(661),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1017),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [663] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(1044),
    [aux_sym_call_arguments_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(1019),
  },
  [664] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(971),
    [aux_sym_call_arguments_repeat1] = STATE(407),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(1021),
  },
  [665] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(909),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1023),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [666] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(825),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(665),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1025),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [667] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(826),
    [aux_sym_call_arguments_repeat1] = STATE(456),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(1027),
  },
  [668] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(834),
    [aux_sym_call_arguments_repeat1] = STATE(457),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(1029),
  },
  [669] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(888),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1031),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [670] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(870),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1033),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [671] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(875),
    [aux_sym_call_arguments_repeat1] = STATE(493),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(1035),
  },
  [672] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(877),
    [aux_sym_call_arguments_repeat1] = STATE(494),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(1037),
  },
  [673] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(836),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1039),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [674] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(885),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1041),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [675] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(886),
    [aux_sym_call_arguments_repeat1] = STATE(532),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(1043),
  },
  [676] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(894),
    [aux_sym_call_arguments_repeat1] = STATE(533),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(1045),
  },
  [677] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(2109),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1047),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [678] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(2106),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(677),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1049),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [679] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(2107),
    [aux_sym_call_arguments_repeat1] = STATE(553),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(1051),
  },
  [680] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(2113),
    [aux_sym_call_arguments_repeat1] = STATE(554),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(1053),
  },
  [681] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(828),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1055),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [682] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(817),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(681),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1057),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [683] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(818),
    [aux_sym_call_arguments_repeat1] = STATE(575),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(1059),
  },
  [684] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym__close_bracket2] = STATE(819),
    [aux_sym_call_arguments_repeat1] = STATE(576),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(643),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(647),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(1061),
  },
  [685] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(872),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1063),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [686] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(860),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(685),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(741),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(745),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1065),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [687] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym__close_bracket] = STATE(861),
    [aux_sym_call_arguments_repeat1] = STATE(606),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(593),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(597),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(1067),
  },
  [688] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(373),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(373),
    [anon_sym_repeat] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(373),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(371),
    [sym__number_literal] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE] = ACTIONS(371),
    [sym_return] = ACTIONS(373),
    [sym_next] = ACTIONS(373),
    [sym_break] = ACTIONS(373),
    [sym_true] = ACTIONS(373),
    [sym_false] = ACTIONS(373),
    [sym_null] = ACTIONS(373),
    [sym_inf] = ACTIONS(373),
    [sym_nan] = ACTIONS(373),
    [anon_sym_NA] = ACTIONS(373),
    [anon_sym_NA_integer_] = ACTIONS(373),
    [anon_sym_NA_real_] = ACTIONS(373),
    [anon_sym_NA_complex_] = ACTIONS(373),
    [anon_sym_NA_character_] = ACTIONS(373),
    [sym_dots] = ACTIONS(373),
    [sym_dot_dot_i] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(371),
    [sym__newline] = ACTIONS(371),
    [sym__raw_string_literal] = ACTIONS(371),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(371),
    [sym__external_open_brace] = ACTIONS(371),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [689] = {
    [sym_string] = STATE(940),
    [sym__single_quoted_string] = STATE(777),
    [sym__double_quoted_string] = STATE(779),
    [sym__string_or_identifier] = STATE(940),
    [aux_sym_function_definition_repeat1] = STATE(694),
    [ts_builtin_sym_end] = ACTIONS(761),
    [sym_identifier] = ACTIONS(1069),
    [anon_sym_BSLASH] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_TILDE] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(761),
    [anon_sym_LT_LT_DASH] = ACTIONS(761),
    [anon_sym_COLON_EQ] = ACTIONS(761),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(761),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(761),
    [anon_sym_AMP_AMP] = ACTIONS(761),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(761),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(761),
    [anon_sym_STAR_STAR] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(761),
    [aux_sym_binary_operator_token1] = ACTIONS(761),
    [anon_sym_PIPE_GT] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [sym__hex_literal] = ACTIONS(761),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1071),
    [sym__semicolon] = ACTIONS(761),
    [sym__raw_string_literal] = ACTIONS(45),
    [sym__external_open_parenthesis] = ACTIONS(761),
    [sym__external_open_brace] = ACTIONS(761),
    [sym__external_open_bracket] = ACTIONS(761),
    [sym__external_open_bracket2] = ACTIONS(761),
  },
  [690] = {
    [sym_string] = STATE(820),
    [sym__single_quoted_string] = STATE(721),
    [sym__double_quoted_string] = STATE(722),
    [sym__string_or_identifier] = STATE(820),
    [sym_identifier] = ACTIONS(1073),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_function] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_repeat] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_LT_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_DASH_GT] = ACTIONS(1077),
    [anon_sym_DASH_GT_GT] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1077),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_STAR_STAR] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [aux_sym_binary_operator_token1] = ACTIONS(1075),
    [anon_sym_PIPE_GT] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [sym__hex_literal] = ACTIONS(1075),
    [sym__number_literal] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_return] = ACTIONS(1077),
    [sym_next] = ACTIONS(1077),
    [sym_break] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_inf] = ACTIONS(1077),
    [sym_nan] = ACTIONS(1077),
    [anon_sym_NA] = ACTIONS(1077),
    [anon_sym_NA_integer_] = ACTIONS(1077),
    [anon_sym_NA_real_] = ACTIONS(1077),
    [anon_sym_NA_complex_] = ACTIONS(1077),
    [anon_sym_NA_character_] = ACTIONS(1077),
    [sym_dots] = ACTIONS(1077),
    [sym_dot_dot_i] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1075),
    [sym__newline] = ACTIONS(1075),
    [sym__raw_string_literal] = ACTIONS(951),
    [sym__external_else] = ACTIONS(1075),
    [sym__external_open_parenthesis] = ACTIONS(1075),
    [sym__external_open_brace] = ACTIONS(1075),
    [sym__external_open_bracket] = ACTIONS(1075),
    [sym__external_close_bracket] = ACTIONS(1075),
    [sym__external_open_bracket2] = ACTIONS(1075),
  },
  [691] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument] = STATE(2059),
    [sym_argument] = STATE(2063),
    [sym__argument_named] = STATE(2067),
    [sym__argument_unnamed] = STATE(2075),
    [sym__argument_value] = STATE(2077),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(805),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__open_brace] = STATE(884),
    [aux_sym_call_arguments_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1079),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_function] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_for] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1094),
    [anon_sym_repeat] = ACTIONS(1097),
    [anon_sym_QMARK] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1103),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1109),
    [anon_sym_DASH] = ACTIONS(1109),
    [sym__hex_literal] = ACTIONS(1112),
    [sym__number_literal] = ACTIONS(1115),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_return] = ACTIONS(1124),
    [sym_next] = ACTIONS(1124),
    [sym_break] = ACTIONS(1124),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [sym_null] = ACTIONS(1124),
    [sym_inf] = ACTIONS(1124),
    [sym_nan] = ACTIONS(1124),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [sym_dots] = ACTIONS(1130),
    [sym_dot_dot_i] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1136),
    [sym__newline] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1142),
    [sym__external_open_parenthesis] = ACTIONS(1145),
    [sym__external_close_parenthesis] = ACTIONS(1148),
    [sym__external_open_brace] = ACTIONS(1150),
  },
  [692] = {
    [sym_string] = STATE(950),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym__string_or_identifier] = STATE(950),
    [aux_sym_function_definition_repeat1] = STATE(869),
    [sym_identifier] = ACTIONS(1153),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_repeat] = ACTIONS(829),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(829),
    [anon_sym_AMP] = ACTIONS(829),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(829),
    [sym_next] = ACTIONS(829),
    [sym_break] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [sym_inf] = ACTIONS(829),
    [sym_nan] = ACTIONS(829),
    [anon_sym_NA] = ACTIONS(829),
    [anon_sym_NA_integer_] = ACTIONS(829),
    [anon_sym_NA_real_] = ACTIONS(829),
    [anon_sym_NA_complex_] = ACTIONS(829),
    [anon_sym_NA_character_] = ACTIONS(829),
    [sym_dots] = ACTIONS(829),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(825),
    [sym__semicolon] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_close_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [693] = {
    [sym_string] = STATE(961),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym__string_or_identifier] = STATE(961),
    [aux_sym_function_definition_repeat1] = STATE(698),
    [sym_identifier] = ACTIONS(1161),
    [anon_sym_BSLASH] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_TILDE] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(761),
    [anon_sym_LT_LT_DASH] = ACTIONS(761),
    [anon_sym_COLON_EQ] = ACTIONS(761),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(761),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(761),
    [anon_sym_AMP_AMP] = ACTIONS(761),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(761),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(761),
    [anon_sym_STAR_STAR] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(761),
    [aux_sym_binary_operator_token1] = ACTIONS(761),
    [anon_sym_PIPE_GT] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [sym__hex_literal] = ACTIONS(761),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(761),
    [sym__newline] = ACTIONS(1163),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(761),
    [sym__external_open_brace] = ACTIONS(761),
    [sym__external_open_bracket] = ACTIONS(761),
    [sym__external_close_bracket] = ACTIONS(761),
    [sym__external_open_bracket2] = ACTIONS(761),
  },
  [694] = {
    [sym_string] = STATE(1021),
    [sym__single_quoted_string] = STATE(777),
    [sym__double_quoted_string] = STATE(779),
    [sym__string_or_identifier] = STATE(1021),
    [aux_sym_function_definition_repeat1] = STATE(832),
    [ts_builtin_sym_end] = ACTIONS(825),
    [sym_identifier] = ACTIONS(1165),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_repeat] = ACTIONS(829),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(829),
    [anon_sym_AMP] = ACTIONS(829),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_return] = ACTIONS(829),
    [sym_next] = ACTIONS(829),
    [sym_break] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [sym_inf] = ACTIONS(829),
    [sym_nan] = ACTIONS(829),
    [anon_sym_NA] = ACTIONS(829),
    [anon_sym_NA_integer_] = ACTIONS(829),
    [anon_sym_NA_real_] = ACTIONS(829),
    [anon_sym_NA_complex_] = ACTIONS(829),
    [anon_sym_NA_character_] = ACTIONS(829),
    [sym_dots] = ACTIONS(829),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(825),
    [sym__semicolon] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(45),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [695] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument] = STATE(2081),
    [sym_argument] = STATE(2082),
    [sym__argument_named] = STATE(2052),
    [sym__argument_unnamed] = STATE(2054),
    [sym__argument_value] = STATE(2072),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(771),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [aux_sym_call_arguments_repeat1] = STATE(695),
    [sym_identifier] = ACTIONS(1167),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_function] = ACTIONS(1173),
    [anon_sym_if] = ACTIONS(1176),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1182),
    [anon_sym_repeat] = ACTIONS(1185),
    [anon_sym_QMARK] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1197),
    [sym__hex_literal] = ACTIONS(1200),
    [sym__number_literal] = ACTIONS(1203),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_return] = ACTIONS(1212),
    [sym_next] = ACTIONS(1212),
    [sym_break] = ACTIONS(1212),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [sym_null] = ACTIONS(1212),
    [sym_inf] = ACTIONS(1212),
    [sym_nan] = ACTIONS(1212),
    [anon_sym_NA] = ACTIONS(1215),
    [anon_sym_NA_integer_] = ACTIONS(1215),
    [anon_sym_NA_real_] = ACTIONS(1215),
    [anon_sym_NA_complex_] = ACTIONS(1215),
    [anon_sym_NA_character_] = ACTIONS(1215),
    [sym_dots] = ACTIONS(1218),
    [sym_dot_dot_i] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1224),
    [sym__newline] = ACTIONS(1227),
    [sym__raw_string_literal] = ACTIONS(1230),
    [sym__external_open_parenthesis] = ACTIONS(1233),
    [sym__external_open_brace] = ACTIONS(1236),
    [sym__external_close_bracket2] = ACTIONS(1148),
  },
  [696] = {
    [sym_string] = STATE(1019),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym__string_or_identifier] = STATE(1019),
    [aux_sym_function_definition_repeat1] = STATE(692),
    [sym_identifier] = ACTIONS(1239),
    [anon_sym_BSLASH] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_TILDE] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(761),
    [anon_sym_LT_LT_DASH] = ACTIONS(761),
    [anon_sym_COLON_EQ] = ACTIONS(761),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(761),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(761),
    [anon_sym_AMP_AMP] = ACTIONS(761),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(761),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(761),
    [anon_sym_STAR_STAR] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(761),
    [aux_sym_binary_operator_token1] = ACTIONS(761),
    [anon_sym_PIPE_GT] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [sym__hex_literal] = ACTIONS(761),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1241),
    [sym__semicolon] = ACTIONS(761),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(761),
    [sym__external_open_brace] = ACTIONS(761),
    [sym__external_close_brace] = ACTIONS(761),
    [sym__external_open_bracket] = ACTIONS(761),
    [sym__external_open_bracket2] = ACTIONS(761),
  },
  [697] = {
    [sym_string] = STATE(813),
    [sym__single_quoted_string] = STATE(754),
    [sym__double_quoted_string] = STATE(755),
    [sym__string_or_identifier] = STATE(813),
    [sym_identifier] = ACTIONS(1243),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_function] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_repeat] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_LT_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_DASH_GT] = ACTIONS(1077),
    [anon_sym_DASH_GT_GT] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1077),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_STAR_STAR] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [aux_sym_binary_operator_token1] = ACTIONS(1075),
    [anon_sym_PIPE_GT] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [sym__hex_literal] = ACTIONS(1075),
    [sym__number_literal] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [sym_return] = ACTIONS(1077),
    [sym_next] = ACTIONS(1077),
    [sym_break] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_inf] = ACTIONS(1077),
    [sym_nan] = ACTIONS(1077),
    [anon_sym_NA] = ACTIONS(1077),
    [anon_sym_NA_integer_] = ACTIONS(1077),
    [anon_sym_NA_real_] = ACTIONS(1077),
    [anon_sym_NA_complex_] = ACTIONS(1077),
    [anon_sym_NA_character_] = ACTIONS(1077),
    [sym_dots] = ACTIONS(1077),
    [sym_dot_dot_i] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1075),
    [sym__semicolon] = ACTIONS(1075),
    [sym__raw_string_literal] = ACTIONS(915),
    [sym__external_else] = ACTIONS(1075),
    [sym__external_open_parenthesis] = ACTIONS(1075),
    [sym__external_open_brace] = ACTIONS(1075),
    [sym__external_close_brace] = ACTIONS(1075),
    [sym__external_open_bracket] = ACTIONS(1075),
    [sym__external_open_bracket2] = ACTIONS(1075),
  },
  [698] = {
    [sym_string] = STATE(1023),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym__string_or_identifier] = STATE(1023),
    [aux_sym_function_definition_repeat1] = STATE(929),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_repeat] = ACTIONS(829),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(829),
    [anon_sym_AMP] = ACTIONS(829),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(829),
    [sym_next] = ACTIONS(829),
    [sym_break] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [sym_inf] = ACTIONS(829),
    [sym_nan] = ACTIONS(829),
    [anon_sym_NA] = ACTIONS(829),
    [anon_sym_NA_integer_] = ACTIONS(829),
    [anon_sym_NA_real_] = ACTIONS(829),
    [anon_sym_NA_complex_] = ACTIONS(829),
    [anon_sym_NA_character_] = ACTIONS(829),
    [sym_dots] = ACTIONS(829),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(825),
    [sym__newline] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_close_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [699] = {
    [sym_string] = STATE(840),
    [sym__single_quoted_string] = STATE(748),
    [sym__double_quoted_string] = STATE(749),
    [sym__string_or_identifier] = STATE(840),
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1247),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_function] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_repeat] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_LT_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_DASH_GT] = ACTIONS(1077),
    [anon_sym_DASH_GT_GT] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1077),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_STAR_STAR] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [aux_sym_binary_operator_token1] = ACTIONS(1075),
    [anon_sym_PIPE_GT] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [sym__hex_literal] = ACTIONS(1075),
    [sym__number_literal] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [sym_return] = ACTIONS(1077),
    [sym_next] = ACTIONS(1077),
    [sym_break] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_inf] = ACTIONS(1077),
    [sym_nan] = ACTIONS(1077),
    [anon_sym_NA] = ACTIONS(1077),
    [anon_sym_NA_integer_] = ACTIONS(1077),
    [anon_sym_NA_real_] = ACTIONS(1077),
    [anon_sym_NA_complex_] = ACTIONS(1077),
    [anon_sym_NA_character_] = ACTIONS(1077),
    [sym_dots] = ACTIONS(1077),
    [sym_dot_dot_i] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1075),
    [sym__semicolon] = ACTIONS(1075),
    [sym__raw_string_literal] = ACTIONS(773),
    [sym__external_else] = ACTIONS(1075),
    [sym__external_open_parenthesis] = ACTIONS(1075),
    [sym__external_open_brace] = ACTIONS(1075),
    [sym__external_open_bracket] = ACTIONS(1075),
    [sym__external_open_bracket2] = ACTIONS(1075),
  },
  [700] = {
    [sym_string] = STATE(960),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym__string_or_identifier] = STATE(960),
    [aux_sym_function_definition_repeat1] = STATE(703),
    [sym_identifier] = ACTIONS(1249),
    [anon_sym_BSLASH] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_TILDE] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(761),
    [anon_sym_LT_LT_DASH] = ACTIONS(761),
    [anon_sym_COLON_EQ] = ACTIONS(761),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(761),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(761),
    [anon_sym_AMP_AMP] = ACTIONS(761),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(761),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(761),
    [anon_sym_STAR_STAR] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(761),
    [aux_sym_binary_operator_token1] = ACTIONS(761),
    [anon_sym_PIPE_GT] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [sym__hex_literal] = ACTIONS(761),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(761),
    [sym__newline] = ACTIONS(1251),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(761),
    [sym__external_open_brace] = ACTIONS(761),
    [sym__external_open_bracket] = ACTIONS(761),
    [sym__external_open_bracket2] = ACTIONS(761),
    [sym__external_close_bracket2] = ACTIONS(761),
  },
  [701] = {
    [sym_string] = STATE(1006),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym__string_or_identifier] = STATE(1006),
    [aux_sym_function_definition_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_repeat] = ACTIONS(829),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(829),
    [anon_sym_AMP] = ACTIONS(829),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(829),
    [sym_next] = ACTIONS(829),
    [sym_break] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [sym_inf] = ACTIONS(829),
    [sym_nan] = ACTIONS(829),
    [anon_sym_NA] = ACTIONS(829),
    [anon_sym_NA_integer_] = ACTIONS(829),
    [anon_sym_NA_real_] = ACTIONS(829),
    [anon_sym_NA_complex_] = ACTIONS(829),
    [anon_sym_NA_character_] = ACTIONS(829),
    [sym_dots] = ACTIONS(829),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(825),
    [sym__newline] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_close_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [702] = {
    [sym_call_arguments] = STATE(1011),
    [sym_subset_arguments] = STATE(1012),
    [sym_subset2_arguments] = STATE(1014),
    [sym__open_parenthesis] = STATE(633),
    [sym__open_bracket] = STATE(634),
    [sym__open_bracket2] = STATE(635),
    [sym_identifier] = ACTIONS(1255),
    [anon_sym_BSLASH] = ACTIONS(1257),
    [anon_sym_function] = ACTIONS(1255),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_repeat] = ACTIONS(1255),
    [anon_sym_QMARK] = ACTIONS(841),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_LT_DASH] = ACTIONS(849),
    [anon_sym_LT_LT_DASH] = ACTIONS(849),
    [anon_sym_COLON_EQ] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [anon_sym_DASH_GT_GT] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(859),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [aux_sym_binary_operator_token1] = ACTIONS(873),
    [anon_sym_PIPE_GT] = ACTIONS(873),
    [anon_sym_COLON] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [sym__hex_literal] = ACTIONS(1257),
    [sym__number_literal] = ACTIONS(1255),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [sym_return] = ACTIONS(1255),
    [sym_next] = ACTIONS(1255),
    [sym_break] = ACTIONS(1255),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [sym_null] = ACTIONS(1255),
    [sym_inf] = ACTIONS(1255),
    [sym_nan] = ACTIONS(1255),
    [anon_sym_NA] = ACTIONS(1255),
    [anon_sym_NA_integer_] = ACTIONS(1255),
    [anon_sym_NA_real_] = ACTIONS(1255),
    [anon_sym_NA_complex_] = ACTIONS(1255),
    [anon_sym_NA_character_] = ACTIONS(1255),
    [sym_dots] = ACTIONS(1255),
    [sym_dot_dot_i] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1257),
    [sym__raw_string_literal] = ACTIONS(1257),
    [sym__external_open_parenthesis] = ACTIONS(879),
    [sym__external_close_parenthesis] = ACTIONS(1257),
    [sym__external_open_brace] = ACTIONS(1257),
    [sym__external_open_bracket] = ACTIONS(881),
    [sym__external_open_bracket2] = ACTIONS(883),
  },
  [703] = {
    [sym_string] = STATE(956),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym__string_or_identifier] = STATE(956),
    [aux_sym_function_definition_repeat1] = STATE(859),
    [sym_identifier] = ACTIONS(1259),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_repeat] = ACTIONS(829),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(829),
    [anon_sym_AMP] = ACTIONS(829),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(829),
    [sym_next] = ACTIONS(829),
    [sym_break] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [sym_inf] = ACTIONS(829),
    [sym_nan] = ACTIONS(829),
    [anon_sym_NA] = ACTIONS(829),
    [anon_sym_NA_integer_] = ACTIONS(829),
    [anon_sym_NA_real_] = ACTIONS(829),
    [anon_sym_NA_complex_] = ACTIONS(829),
    [anon_sym_NA_character_] = ACTIONS(829),
    [sym_dots] = ACTIONS(829),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(825),
    [sym__newline] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
    [sym__external_close_bracket2] = ACTIONS(825),
  },
  [704] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument] = STATE(2076),
    [sym_argument] = STATE(2080),
    [sym__argument_named] = STATE(2074),
    [sym__argument_unnamed] = STATE(2061),
    [sym__argument_value] = STATE(2057),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(764),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [aux_sym_call_arguments_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1270),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_repeat] = ACTIONS(1279),
    [anon_sym_QMARK] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_DASH] = ACTIONS(1291),
    [sym__hex_literal] = ACTIONS(1294),
    [sym__number_literal] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [sym_return] = ACTIONS(1306),
    [sym_next] = ACTIONS(1306),
    [sym_break] = ACTIONS(1306),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [sym_null] = ACTIONS(1306),
    [sym_inf] = ACTIONS(1306),
    [sym_nan] = ACTIONS(1306),
    [anon_sym_NA] = ACTIONS(1309),
    [anon_sym_NA_integer_] = ACTIONS(1309),
    [anon_sym_NA_real_] = ACTIONS(1309),
    [anon_sym_NA_complex_] = ACTIONS(1309),
    [anon_sym_NA_character_] = ACTIONS(1309),
    [sym_dots] = ACTIONS(1312),
    [sym_dot_dot_i] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1318),
    [sym__newline] = ACTIONS(1321),
    [sym__raw_string_literal] = ACTIONS(1324),
    [sym__external_open_parenthesis] = ACTIONS(1327),
    [sym__external_open_brace] = ACTIONS(1330),
    [sym__external_close_bracket] = ACTIONS(1148),
  },
  [705] = {
    [sym_string] = STATE(878),
    [sym__single_quoted_string] = STATE(730),
    [sym__double_quoted_string] = STATE(731),
    [sym__string_or_identifier] = STATE(878),
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_function] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_repeat] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_LT_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_DASH_GT] = ACTIONS(1077),
    [anon_sym_DASH_GT_GT] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1077),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_STAR_STAR] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [aux_sym_binary_operator_token1] = ACTIONS(1075),
    [anon_sym_PIPE_GT] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [sym__hex_literal] = ACTIONS(1075),
    [sym__number_literal] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_return] = ACTIONS(1077),
    [sym_next] = ACTIONS(1077),
    [sym_break] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_inf] = ACTIONS(1077),
    [sym_nan] = ACTIONS(1077),
    [anon_sym_NA] = ACTIONS(1077),
    [anon_sym_NA_integer_] = ACTIONS(1077),
    [anon_sym_NA_real_] = ACTIONS(1077),
    [anon_sym_NA_complex_] = ACTIONS(1077),
    [anon_sym_NA_character_] = ACTIONS(1077),
    [sym_dots] = ACTIONS(1077),
    [sym_dot_dot_i] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1075),
    [sym__newline] = ACTIONS(1075),
    [sym__raw_string_literal] = ACTIONS(899),
    [sym__external_else] = ACTIONS(1075),
    [sym__external_open_parenthesis] = ACTIONS(1075),
    [sym__external_close_parenthesis] = ACTIONS(1075),
    [sym__external_open_brace] = ACTIONS(1075),
    [sym__external_open_bracket] = ACTIONS(1075),
    [sym__external_open_bracket2] = ACTIONS(1075),
  },
  [706] = {
    [sym_string] = STATE(964),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym__string_or_identifier] = STATE(964),
    [aux_sym_function_definition_repeat1] = STATE(701),
    [sym_identifier] = ACTIONS(1335),
    [anon_sym_BSLASH] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_TILDE] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(761),
    [anon_sym_LT_LT_DASH] = ACTIONS(761),
    [anon_sym_COLON_EQ] = ACTIONS(761),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(761),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(761),
    [anon_sym_AMP_AMP] = ACTIONS(761),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(761),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(761),
    [anon_sym_EQ_EQ] = ACTIONS(761),
    [anon_sym_BANG_EQ] = ACTIONS(761),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(761),
    [anon_sym_STAR_STAR] = ACTIONS(761),
    [anon_sym_CARET] = ACTIONS(761),
    [aux_sym_binary_operator_token1] = ACTIONS(761),
    [anon_sym_PIPE_GT] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [sym__hex_literal] = ACTIONS(761),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(761),
    [sym__newline] = ACTIONS(1337),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(761),
    [sym__external_close_parenthesis] = ACTIONS(761),
    [sym__external_open_brace] = ACTIONS(761),
    [sym__external_open_bracket] = ACTIONS(761),
    [sym__external_open_bracket2] = ACTIONS(761),
  },
  [707] = {
    [sym_string] = STATE(863),
    [sym__single_quoted_string] = STATE(737),
    [sym__double_quoted_string] = STATE(738),
    [sym__string_or_identifier] = STATE(863),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_function] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_repeat] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_LT_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_DASH_GT] = ACTIONS(1077),
    [anon_sym_DASH_GT_GT] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1077),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_STAR_STAR] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [aux_sym_binary_operator_token1] = ACTIONS(1075),
    [anon_sym_PIPE_GT] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [sym__hex_literal] = ACTIONS(1075),
    [sym__number_literal] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_return] = ACTIONS(1077),
    [sym_next] = ACTIONS(1077),
    [sym_break] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_inf] = ACTIONS(1077),
    [sym_nan] = ACTIONS(1077),
    [anon_sym_NA] = ACTIONS(1077),
    [anon_sym_NA_integer_] = ACTIONS(1077),
    [anon_sym_NA_real_] = ACTIONS(1077),
    [anon_sym_NA_complex_] = ACTIONS(1077),
    [anon_sym_NA_character_] = ACTIONS(1077),
    [sym_dots] = ACTIONS(1077),
    [sym_dot_dot_i] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1075),
    [sym__newline] = ACTIONS(1075),
    [sym__raw_string_literal] = ACTIONS(967),
    [sym__external_else] = ACTIONS(1075),
    [sym__external_open_parenthesis] = ACTIONS(1075),
    [sym__external_open_brace] = ACTIONS(1075),
    [sym__external_open_bracket] = ACTIONS(1075),
    [sym__external_open_bracket2] = ACTIONS(1075),
    [sym__external_close_bracket2] = ACTIONS(1075),
  },
  [708] = {
    [sym_string] = STATE(995),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym__string_or_identifier] = STATE(995),
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_function] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_repeat] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_LT_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_DASH_GT] = ACTIONS(1077),
    [anon_sym_DASH_GT_GT] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1077),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_STAR_STAR] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [aux_sym_binary_operator_token1] = ACTIONS(1075),
    [anon_sym_PIPE_GT] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [sym__hex_literal] = ACTIONS(1075),
    [sym__number_literal] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1077),
    [sym_next] = ACTIONS(1077),
    [sym_break] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_inf] = ACTIONS(1077),
    [sym_nan] = ACTIONS(1077),
    [anon_sym_NA] = ACTIONS(1077),
    [anon_sym_NA_integer_] = ACTIONS(1077),
    [anon_sym_NA_real_] = ACTIONS(1077),
    [anon_sym_NA_complex_] = ACTIONS(1077),
    [anon_sym_NA_character_] = ACTIONS(1077),
    [sym_dots] = ACTIONS(1077),
    [sym_dot_dot_i] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1075),
    [sym__newline] = ACTIONS(1075),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(1075),
    [sym__external_close_parenthesis] = ACTIONS(1075),
    [sym__external_open_brace] = ACTIONS(1075),
    [sym__external_open_bracket] = ACTIONS(1075),
    [sym__external_open_bracket2] = ACTIONS(1075),
  },
  [709] = {
    [sym_string] = STATE(1037),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym__string_or_identifier] = STATE(1037),
    [sym_identifier] = ACTIONS(1343),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_function] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_repeat] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_LT_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_DASH_GT] = ACTIONS(1077),
    [anon_sym_DASH_GT_GT] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1077),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_STAR_STAR] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [aux_sym_binary_operator_token1] = ACTIONS(1075),
    [anon_sym_PIPE_GT] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [sym__hex_literal] = ACTIONS(1075),
    [sym__number_literal] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1077),
    [sym_next] = ACTIONS(1077),
    [sym_break] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_inf] = ACTIONS(1077),
    [sym_nan] = ACTIONS(1077),
    [anon_sym_NA] = ACTIONS(1077),
    [anon_sym_NA_integer_] = ACTIONS(1077),
    [anon_sym_NA_real_] = ACTIONS(1077),
    [anon_sym_NA_complex_] = ACTIONS(1077),
    [anon_sym_NA_character_] = ACTIONS(1077),
    [sym_dots] = ACTIONS(1077),
    [sym_dot_dot_i] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1075),
    [sym__semicolon] = ACTIONS(1075),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1075),
    [sym__external_open_brace] = ACTIONS(1075),
    [sym__external_close_brace] = ACTIONS(1075),
    [sym__external_open_bracket] = ACTIONS(1075),
    [sym__external_open_bracket2] = ACTIONS(1075),
  },
  [710] = {
    [sym_string] = STATE(1003),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym__string_or_identifier] = STATE(1003),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_function] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_repeat] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_LT_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_DASH_GT] = ACTIONS(1077),
    [anon_sym_DASH_GT_GT] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1077),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_STAR_STAR] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [aux_sym_binary_operator_token1] = ACTIONS(1075),
    [anon_sym_PIPE_GT] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [sym__hex_literal] = ACTIONS(1075),
    [sym__number_literal] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(1077),
    [sym_next] = ACTIONS(1077),
    [sym_break] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_inf] = ACTIONS(1077),
    [sym_nan] = ACTIONS(1077),
    [anon_sym_NA] = ACTIONS(1077),
    [anon_sym_NA_integer_] = ACTIONS(1077),
    [anon_sym_NA_real_] = ACTIONS(1077),
    [anon_sym_NA_complex_] = ACTIONS(1077),
    [anon_sym_NA_character_] = ACTIONS(1077),
    [sym_dots] = ACTIONS(1077),
    [sym_dot_dot_i] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1075),
    [sym__newline] = ACTIONS(1075),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(1075),
    [sym__external_open_brace] = ACTIONS(1075),
    [sym__external_open_bracket] = ACTIONS(1075),
    [sym__external_close_bracket] = ACTIONS(1075),
    [sym__external_open_bracket2] = ACTIONS(1075),
  },
  [711] = {
    [sym_string] = STATE(958),
    [sym__single_quoted_string] = STATE(777),
    [sym__double_quoted_string] = STATE(779),
    [sym__string_or_identifier] = STATE(958),
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1347),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_function] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_repeat] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_LT_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_DASH_GT] = ACTIONS(1077),
    [anon_sym_DASH_GT_GT] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1077),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_STAR_STAR] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [aux_sym_binary_operator_token1] = ACTIONS(1075),
    [anon_sym_PIPE_GT] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [sym__hex_literal] = ACTIONS(1075),
    [sym__number_literal] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_return] = ACTIONS(1077),
    [sym_next] = ACTIONS(1077),
    [sym_break] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_inf] = ACTIONS(1077),
    [sym_nan] = ACTIONS(1077),
    [anon_sym_NA] = ACTIONS(1077),
    [anon_sym_NA_integer_] = ACTIONS(1077),
    [anon_sym_NA_real_] = ACTIONS(1077),
    [anon_sym_NA_complex_] = ACTIONS(1077),
    [anon_sym_NA_character_] = ACTIONS(1077),
    [sym_dots] = ACTIONS(1077),
    [sym_dot_dot_i] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1075),
    [sym__semicolon] = ACTIONS(1075),
    [sym__raw_string_literal] = ACTIONS(45),
    [sym__external_open_parenthesis] = ACTIONS(1075),
    [sym__external_open_brace] = ACTIONS(1075),
    [sym__external_open_bracket] = ACTIONS(1075),
    [sym__external_open_bracket2] = ACTIONS(1075),
  },
  [712] = {
    [sym_string] = STATE(1040),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym__string_or_identifier] = STATE(1040),
    [sym_identifier] = ACTIONS(1349),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_function] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_repeat] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_LT_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_DASH_GT] = ACTIONS(1077),
    [anon_sym_DASH_GT_GT] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1077),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_STAR_STAR] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [aux_sym_binary_operator_token1] = ACTIONS(1075),
    [anon_sym_PIPE_GT] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [sym__hex_literal] = ACTIONS(1075),
    [sym__number_literal] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(1077),
    [sym_next] = ACTIONS(1077),
    [sym_break] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_inf] = ACTIONS(1077),
    [sym_nan] = ACTIONS(1077),
    [anon_sym_NA] = ACTIONS(1077),
    [anon_sym_NA_integer_] = ACTIONS(1077),
    [anon_sym_NA_real_] = ACTIONS(1077),
    [anon_sym_NA_complex_] = ACTIONS(1077),
    [anon_sym_NA_character_] = ACTIONS(1077),
    [sym_dots] = ACTIONS(1077),
    [sym_dot_dot_i] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1075),
    [sym__newline] = ACTIONS(1075),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(1075),
    [sym__external_open_brace] = ACTIONS(1075),
    [sym__external_open_bracket] = ACTIONS(1075),
    [sym__external_open_bracket2] = ACTIONS(1075),
    [sym__external_close_bracket2] = ACTIONS(1075),
  },
  [713] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1353),
    [sym__semicolon] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_else] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_close_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [714] = {
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_repeat] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [anon_sym_LT_LT_DASH] = ACTIONS(1361),
    [anon_sym_COLON_EQ] = ACTIONS(1361),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_DASH_GT_GT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [aux_sym_binary_operator_token1] = ACTIONS(1361),
    [anon_sym_PIPE_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1361),
    [sym__hex_literal] = ACTIONS(1361),
    [sym__number_literal] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [sym_return] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_break] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1359),
    [anon_sym_NA_integer_] = ACTIONS(1359),
    [anon_sym_NA_real_] = ACTIONS(1359),
    [anon_sym_NA_complex_] = ACTIONS(1359),
    [anon_sym_NA_character_] = ACTIONS(1359),
    [sym_dots] = ACTIONS(1359),
    [sym_dot_dot_i] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1361),
    [sym__semicolon] = ACTIONS(1361),
    [sym__raw_string_literal] = ACTIONS(1361),
    [sym__external_else] = ACTIONS(1361),
    [sym__external_open_parenthesis] = ACTIONS(1361),
    [sym__external_open_brace] = ACTIONS(1361),
    [sym__external_close_brace] = ACTIONS(1361),
    [sym__external_open_bracket] = ACTIONS(1361),
    [sym__external_open_bracket2] = ACTIONS(1361),
  },
  [715] = {
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_BSLASH] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_repeat] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_LT_DASH] = ACTIONS(1365),
    [anon_sym_LT_LT_DASH] = ACTIONS(1365),
    [anon_sym_COLON_EQ] = ACTIONS(1365),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_DASH_GT_GT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [aux_sym_binary_operator_token1] = ACTIONS(1365),
    [anon_sym_PIPE_GT] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1365),
    [sym__hex_literal] = ACTIONS(1365),
    [sym__number_literal] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_return] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_break] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1363),
    [anon_sym_NA_integer_] = ACTIONS(1363),
    [anon_sym_NA_real_] = ACTIONS(1363),
    [anon_sym_NA_complex_] = ACTIONS(1363),
    [anon_sym_NA_character_] = ACTIONS(1363),
    [sym_dots] = ACTIONS(1363),
    [sym_dot_dot_i] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1365),
    [sym__semicolon] = ACTIONS(1365),
    [sym__raw_string_literal] = ACTIONS(1365),
    [sym__external_else] = ACTIONS(1365),
    [sym__external_open_parenthesis] = ACTIONS(1365),
    [sym__external_open_brace] = ACTIONS(1365),
    [sym__external_close_brace] = ACTIONS(1365),
    [sym__external_open_bracket] = ACTIONS(1365),
    [sym__external_open_bracket2] = ACTIONS(1365),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_repeat] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [anon_sym_LT_LT_DASH] = ACTIONS(1361),
    [anon_sym_COLON_EQ] = ACTIONS(1361),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_DASH_GT_GT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [aux_sym_binary_operator_token1] = ACTIONS(1361),
    [anon_sym_PIPE_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1361),
    [sym__hex_literal] = ACTIONS(1361),
    [sym__number_literal] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [sym_return] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_break] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1359),
    [anon_sym_NA_integer_] = ACTIONS(1359),
    [anon_sym_NA_real_] = ACTIONS(1359),
    [anon_sym_NA_complex_] = ACTIONS(1359),
    [anon_sym_NA_character_] = ACTIONS(1359),
    [sym_dots] = ACTIONS(1359),
    [sym_dot_dot_i] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1361),
    [sym__semicolon] = ACTIONS(1361),
    [sym__raw_string_literal] = ACTIONS(1361),
    [sym__external_else] = ACTIONS(1361),
    [sym__external_open_parenthesis] = ACTIONS(1361),
    [sym__external_open_brace] = ACTIONS(1361),
    [sym__external_open_bracket] = ACTIONS(1361),
    [sym__external_open_bracket2] = ACTIONS(1361),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(1365),
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_BSLASH] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_repeat] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_LT_DASH] = ACTIONS(1365),
    [anon_sym_LT_LT_DASH] = ACTIONS(1365),
    [anon_sym_COLON_EQ] = ACTIONS(1365),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_DASH_GT_GT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [aux_sym_binary_operator_token1] = ACTIONS(1365),
    [anon_sym_PIPE_GT] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1365),
    [sym__hex_literal] = ACTIONS(1365),
    [sym__number_literal] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_return] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_break] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1363),
    [anon_sym_NA_integer_] = ACTIONS(1363),
    [anon_sym_NA_real_] = ACTIONS(1363),
    [anon_sym_NA_complex_] = ACTIONS(1363),
    [anon_sym_NA_character_] = ACTIONS(1363),
    [sym_dots] = ACTIONS(1363),
    [sym_dot_dot_i] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1365),
    [sym__semicolon] = ACTIONS(1365),
    [sym__raw_string_literal] = ACTIONS(1365),
    [sym__external_else] = ACTIONS(1365),
    [sym__external_open_parenthesis] = ACTIONS(1365),
    [sym__external_open_brace] = ACTIONS(1365),
    [sym__external_open_bracket] = ACTIONS(1365),
    [sym__external_open_bracket2] = ACTIONS(1365),
  },
  [718] = {
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_BSLASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_repeat] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_LT_LT_DASH] = ACTIONS(1369),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_DASH_GT_GT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [aux_sym_binary_operator_token1] = ACTIONS(1369),
    [anon_sym_PIPE_GT] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DOLLAR] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1369),
    [sym__hex_literal] = ACTIONS(1369),
    [sym__number_literal] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [sym_return] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_break] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1367),
    [anon_sym_NA_integer_] = ACTIONS(1367),
    [anon_sym_NA_real_] = ACTIONS(1367),
    [anon_sym_NA_complex_] = ACTIONS(1367),
    [anon_sym_NA_character_] = ACTIONS(1367),
    [sym_dots] = ACTIONS(1367),
    [sym_dot_dot_i] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1369),
    [sym__newline] = ACTIONS(1369),
    [sym__raw_string_literal] = ACTIONS(1369),
    [sym__external_else] = ACTIONS(1369),
    [sym__external_open_parenthesis] = ACTIONS(1369),
    [sym__external_open_brace] = ACTIONS(1369),
    [sym__external_open_bracket] = ACTIONS(1369),
    [sym__external_close_bracket] = ACTIONS(1369),
    [sym__external_open_bracket2] = ACTIONS(1369),
  },
  [719] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_else] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_close_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [720] = {
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_BSLASH] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_repeat] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1373),
    [anon_sym_LT_LT_DASH] = ACTIONS(1373),
    [anon_sym_COLON_EQ] = ACTIONS(1373),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_DASH_GT_GT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [aux_sym_binary_operator_token1] = ACTIONS(1373),
    [anon_sym_PIPE_GT] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1373),
    [anon_sym_L] = ACTIONS(1375),
    [anon_sym_i] = ACTIONS(1377),
    [sym__hex_literal] = ACTIONS(1373),
    [sym__number_literal] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [sym_return] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_break] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1371),
    [anon_sym_NA_integer_] = ACTIONS(1371),
    [anon_sym_NA_real_] = ACTIONS(1371),
    [anon_sym_NA_complex_] = ACTIONS(1371),
    [anon_sym_NA_character_] = ACTIONS(1371),
    [sym_dots] = ACTIONS(1371),
    [sym_dot_dot_i] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1373),
    [sym__newline] = ACTIONS(1373),
    [sym__raw_string_literal] = ACTIONS(1373),
    [sym__external_else] = ACTIONS(1373),
    [sym__external_open_parenthesis] = ACTIONS(1373),
    [sym__external_open_brace] = ACTIONS(1373),
    [sym__external_open_bracket] = ACTIONS(1373),
    [sym__external_close_bracket] = ACTIONS(1373),
    [sym__external_open_bracket2] = ACTIONS(1373),
  },
  [721] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_else] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_close_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [722] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_else] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_close_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [723] = {
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_BSLASH] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_repeat] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_LT_DASH] = ACTIONS(1385),
    [anon_sym_LT_LT_DASH] = ACTIONS(1385),
    [anon_sym_COLON_EQ] = ACTIONS(1385),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_DASH_GT_GT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [aux_sym_binary_operator_token1] = ACTIONS(1385),
    [anon_sym_PIPE_GT] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1385),
    [sym__hex_literal] = ACTIONS(1385),
    [sym__number_literal] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_return] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_break] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1383),
    [anon_sym_NA_integer_] = ACTIONS(1383),
    [anon_sym_NA_real_] = ACTIONS(1383),
    [anon_sym_NA_complex_] = ACTIONS(1383),
    [anon_sym_NA_character_] = ACTIONS(1383),
    [sym_dots] = ACTIONS(1383),
    [sym_dot_dot_i] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1385),
    [sym__newline] = ACTIONS(1385),
    [sym__raw_string_literal] = ACTIONS(1385),
    [sym__external_else] = ACTIONS(1385),
    [sym__external_open_parenthesis] = ACTIONS(1385),
    [sym__external_open_brace] = ACTIONS(1385),
    [sym__external_open_bracket] = ACTIONS(1385),
    [sym__external_close_bracket] = ACTIONS(1385),
    [sym__external_open_bracket2] = ACTIONS(1385),
  },
  [724] = {
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_BSLASH] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_repeat] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_LT_DASH] = ACTIONS(1389),
    [anon_sym_LT_LT_DASH] = ACTIONS(1389),
    [anon_sym_COLON_EQ] = ACTIONS(1389),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_DASH_GT_GT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [aux_sym_binary_operator_token1] = ACTIONS(1389),
    [anon_sym_PIPE_GT] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1389),
    [sym__hex_literal] = ACTIONS(1389),
    [sym__number_literal] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_return] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_break] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1387),
    [anon_sym_NA_integer_] = ACTIONS(1387),
    [anon_sym_NA_real_] = ACTIONS(1387),
    [anon_sym_NA_complex_] = ACTIONS(1387),
    [anon_sym_NA_character_] = ACTIONS(1387),
    [sym_dots] = ACTIONS(1387),
    [sym_dot_dot_i] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1389),
    [sym__newline] = ACTIONS(1389),
    [sym__raw_string_literal] = ACTIONS(1389),
    [sym__external_else] = ACTIONS(1389),
    [sym__external_open_parenthesis] = ACTIONS(1389),
    [sym__external_open_brace] = ACTIONS(1389),
    [sym__external_open_bracket] = ACTIONS(1389),
    [sym__external_close_bracket] = ACTIONS(1389),
    [sym__external_open_bracket2] = ACTIONS(1389),
  },
  [725] = {
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_repeat] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [anon_sym_LT_LT_DASH] = ACTIONS(1361),
    [anon_sym_COLON_EQ] = ACTIONS(1361),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_DASH_GT_GT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [aux_sym_binary_operator_token1] = ACTIONS(1361),
    [anon_sym_PIPE_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1361),
    [sym__hex_literal] = ACTIONS(1361),
    [sym__number_literal] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [sym_return] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_break] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1359),
    [anon_sym_NA_integer_] = ACTIONS(1359),
    [anon_sym_NA_real_] = ACTIONS(1359),
    [anon_sym_NA_complex_] = ACTIONS(1359),
    [anon_sym_NA_character_] = ACTIONS(1359),
    [sym_dots] = ACTIONS(1359),
    [sym_dot_dot_i] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1361),
    [sym__newline] = ACTIONS(1361),
    [sym__raw_string_literal] = ACTIONS(1361),
    [sym__external_else] = ACTIONS(1361),
    [sym__external_open_parenthesis] = ACTIONS(1361),
    [sym__external_open_brace] = ACTIONS(1361),
    [sym__external_open_bracket] = ACTIONS(1361),
    [sym__external_close_bracket] = ACTIONS(1361),
    [sym__external_open_bracket2] = ACTIONS(1361),
  },
  [726] = {
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_BSLASH] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_repeat] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_LT_DASH] = ACTIONS(1365),
    [anon_sym_LT_LT_DASH] = ACTIONS(1365),
    [anon_sym_COLON_EQ] = ACTIONS(1365),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_DASH_GT_GT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [aux_sym_binary_operator_token1] = ACTIONS(1365),
    [anon_sym_PIPE_GT] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1365),
    [sym__hex_literal] = ACTIONS(1365),
    [sym__number_literal] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_return] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_break] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1363),
    [anon_sym_NA_integer_] = ACTIONS(1363),
    [anon_sym_NA_real_] = ACTIONS(1363),
    [anon_sym_NA_complex_] = ACTIONS(1363),
    [anon_sym_NA_character_] = ACTIONS(1363),
    [sym_dots] = ACTIONS(1363),
    [sym_dot_dot_i] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1365),
    [sym__newline] = ACTIONS(1365),
    [sym__raw_string_literal] = ACTIONS(1365),
    [sym__external_else] = ACTIONS(1365),
    [sym__external_open_parenthesis] = ACTIONS(1365),
    [sym__external_open_brace] = ACTIONS(1365),
    [sym__external_open_bracket] = ACTIONS(1365),
    [sym__external_close_bracket] = ACTIONS(1365),
    [sym__external_open_bracket2] = ACTIONS(1365),
  },
  [727] = {
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_BSLASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_repeat] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_LT_LT_DASH] = ACTIONS(1369),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_DASH_GT_GT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [aux_sym_binary_operator_token1] = ACTIONS(1369),
    [anon_sym_PIPE_GT] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DOLLAR] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1369),
    [sym__hex_literal] = ACTIONS(1369),
    [sym__number_literal] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [sym_return] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_break] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1367),
    [anon_sym_NA_integer_] = ACTIONS(1367),
    [anon_sym_NA_real_] = ACTIONS(1367),
    [anon_sym_NA_complex_] = ACTIONS(1367),
    [anon_sym_NA_character_] = ACTIONS(1367),
    [sym_dots] = ACTIONS(1367),
    [sym_dot_dot_i] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1369),
    [sym__newline] = ACTIONS(1369),
    [sym__raw_string_literal] = ACTIONS(1369),
    [sym__external_else] = ACTIONS(1369),
    [sym__external_open_parenthesis] = ACTIONS(1369),
    [sym__external_close_parenthesis] = ACTIONS(1369),
    [sym__external_open_brace] = ACTIONS(1369),
    [sym__external_open_bracket] = ACTIONS(1369),
    [sym__external_open_bracket2] = ACTIONS(1369),
  },
  [728] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_else] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_close_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [729] = {
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_BSLASH] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_repeat] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1373),
    [anon_sym_LT_LT_DASH] = ACTIONS(1373),
    [anon_sym_COLON_EQ] = ACTIONS(1373),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_DASH_GT_GT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [aux_sym_binary_operator_token1] = ACTIONS(1373),
    [anon_sym_PIPE_GT] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1373),
    [anon_sym_L] = ACTIONS(1391),
    [anon_sym_i] = ACTIONS(1393),
    [sym__hex_literal] = ACTIONS(1373),
    [sym__number_literal] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [sym_return] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_break] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1371),
    [anon_sym_NA_integer_] = ACTIONS(1371),
    [anon_sym_NA_real_] = ACTIONS(1371),
    [anon_sym_NA_complex_] = ACTIONS(1371),
    [anon_sym_NA_character_] = ACTIONS(1371),
    [sym_dots] = ACTIONS(1371),
    [sym_dot_dot_i] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1373),
    [sym__newline] = ACTIONS(1373),
    [sym__raw_string_literal] = ACTIONS(1373),
    [sym__external_else] = ACTIONS(1373),
    [sym__external_open_parenthesis] = ACTIONS(1373),
    [sym__external_close_parenthesis] = ACTIONS(1373),
    [sym__external_open_brace] = ACTIONS(1373),
    [sym__external_open_bracket] = ACTIONS(1373),
    [sym__external_open_bracket2] = ACTIONS(1373),
  },
  [730] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_else] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_close_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [731] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_else] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_close_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [732] = {
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_BSLASH] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_repeat] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_LT_DASH] = ACTIONS(1385),
    [anon_sym_LT_LT_DASH] = ACTIONS(1385),
    [anon_sym_COLON_EQ] = ACTIONS(1385),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_DASH_GT_GT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [aux_sym_binary_operator_token1] = ACTIONS(1385),
    [anon_sym_PIPE_GT] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1385),
    [sym__hex_literal] = ACTIONS(1385),
    [sym__number_literal] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_return] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_break] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1383),
    [anon_sym_NA_integer_] = ACTIONS(1383),
    [anon_sym_NA_real_] = ACTIONS(1383),
    [anon_sym_NA_complex_] = ACTIONS(1383),
    [anon_sym_NA_character_] = ACTIONS(1383),
    [sym_dots] = ACTIONS(1383),
    [sym_dot_dot_i] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1385),
    [sym__newline] = ACTIONS(1385),
    [sym__raw_string_literal] = ACTIONS(1385),
    [sym__external_else] = ACTIONS(1385),
    [sym__external_open_parenthesis] = ACTIONS(1385),
    [sym__external_close_parenthesis] = ACTIONS(1385),
    [sym__external_open_brace] = ACTIONS(1385),
    [sym__external_open_bracket] = ACTIONS(1385),
    [sym__external_open_bracket2] = ACTIONS(1385),
  },
  [733] = {
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_BSLASH] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_repeat] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_LT_DASH] = ACTIONS(1389),
    [anon_sym_LT_LT_DASH] = ACTIONS(1389),
    [anon_sym_COLON_EQ] = ACTIONS(1389),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_DASH_GT_GT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [aux_sym_binary_operator_token1] = ACTIONS(1389),
    [anon_sym_PIPE_GT] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1389),
    [sym__hex_literal] = ACTIONS(1389),
    [sym__number_literal] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_return] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_break] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1387),
    [anon_sym_NA_integer_] = ACTIONS(1387),
    [anon_sym_NA_real_] = ACTIONS(1387),
    [anon_sym_NA_complex_] = ACTIONS(1387),
    [anon_sym_NA_character_] = ACTIONS(1387),
    [sym_dots] = ACTIONS(1387),
    [sym_dot_dot_i] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1389),
    [sym__semicolon] = ACTIONS(1389),
    [sym__raw_string_literal] = ACTIONS(1389),
    [sym__external_else] = ACTIONS(1389),
    [sym__external_open_parenthesis] = ACTIONS(1389),
    [sym__external_open_brace] = ACTIONS(1389),
    [sym__external_close_brace] = ACTIONS(1389),
    [sym__external_open_bracket] = ACTIONS(1389),
    [sym__external_open_bracket2] = ACTIONS(1389),
  },
  [734] = {
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_BSLASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_repeat] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_LT_LT_DASH] = ACTIONS(1369),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_DASH_GT_GT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [aux_sym_binary_operator_token1] = ACTIONS(1369),
    [anon_sym_PIPE_GT] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DOLLAR] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1369),
    [sym__hex_literal] = ACTIONS(1369),
    [sym__number_literal] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [sym_return] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_break] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1367),
    [anon_sym_NA_integer_] = ACTIONS(1367),
    [anon_sym_NA_real_] = ACTIONS(1367),
    [anon_sym_NA_complex_] = ACTIONS(1367),
    [anon_sym_NA_character_] = ACTIONS(1367),
    [sym_dots] = ACTIONS(1367),
    [sym_dot_dot_i] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1369),
    [sym__newline] = ACTIONS(1369),
    [sym__raw_string_literal] = ACTIONS(1369),
    [sym__external_else] = ACTIONS(1369),
    [sym__external_open_parenthesis] = ACTIONS(1369),
    [sym__external_open_brace] = ACTIONS(1369),
    [sym__external_open_bracket] = ACTIONS(1369),
    [sym__external_open_bracket2] = ACTIONS(1369),
    [sym__external_close_bracket2] = ACTIONS(1369),
  },
  [735] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_else] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
    [sym__external_close_bracket2] = ACTIONS(1353),
  },
  [736] = {
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_BSLASH] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_repeat] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1373),
    [anon_sym_LT_LT_DASH] = ACTIONS(1373),
    [anon_sym_COLON_EQ] = ACTIONS(1373),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_DASH_GT_GT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [aux_sym_binary_operator_token1] = ACTIONS(1373),
    [anon_sym_PIPE_GT] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1373),
    [anon_sym_L] = ACTIONS(1395),
    [anon_sym_i] = ACTIONS(1397),
    [sym__hex_literal] = ACTIONS(1373),
    [sym__number_literal] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [sym_return] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_break] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1371),
    [anon_sym_NA_integer_] = ACTIONS(1371),
    [anon_sym_NA_real_] = ACTIONS(1371),
    [anon_sym_NA_complex_] = ACTIONS(1371),
    [anon_sym_NA_character_] = ACTIONS(1371),
    [sym_dots] = ACTIONS(1371),
    [sym_dot_dot_i] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1373),
    [sym__newline] = ACTIONS(1373),
    [sym__raw_string_literal] = ACTIONS(1373),
    [sym__external_else] = ACTIONS(1373),
    [sym__external_open_parenthesis] = ACTIONS(1373),
    [sym__external_open_brace] = ACTIONS(1373),
    [sym__external_open_bracket] = ACTIONS(1373),
    [sym__external_open_bracket2] = ACTIONS(1373),
    [sym__external_close_bracket2] = ACTIONS(1373),
  },
  [737] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_else] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
    [sym__external_close_bracket2] = ACTIONS(1381),
  },
  [738] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_else] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
    [sym__external_close_bracket2] = ACTIONS(1381),
  },
  [739] = {
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_BSLASH] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_repeat] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_LT_DASH] = ACTIONS(1385),
    [anon_sym_LT_LT_DASH] = ACTIONS(1385),
    [anon_sym_COLON_EQ] = ACTIONS(1385),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_DASH_GT_GT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [aux_sym_binary_operator_token1] = ACTIONS(1385),
    [anon_sym_PIPE_GT] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1385),
    [sym__hex_literal] = ACTIONS(1385),
    [sym__number_literal] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_return] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_break] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1383),
    [anon_sym_NA_integer_] = ACTIONS(1383),
    [anon_sym_NA_real_] = ACTIONS(1383),
    [anon_sym_NA_complex_] = ACTIONS(1383),
    [anon_sym_NA_character_] = ACTIONS(1383),
    [sym_dots] = ACTIONS(1383),
    [sym_dot_dot_i] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1385),
    [sym__newline] = ACTIONS(1385),
    [sym__raw_string_literal] = ACTIONS(1385),
    [sym__external_else] = ACTIONS(1385),
    [sym__external_open_parenthesis] = ACTIONS(1385),
    [sym__external_open_brace] = ACTIONS(1385),
    [sym__external_open_bracket] = ACTIONS(1385),
    [sym__external_open_bracket2] = ACTIONS(1385),
    [sym__external_close_bracket2] = ACTIONS(1385),
  },
  [740] = {
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_BSLASH] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_repeat] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_LT_DASH] = ACTIONS(1389),
    [anon_sym_LT_LT_DASH] = ACTIONS(1389),
    [anon_sym_COLON_EQ] = ACTIONS(1389),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_DASH_GT_GT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [aux_sym_binary_operator_token1] = ACTIONS(1389),
    [anon_sym_PIPE_GT] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1389),
    [sym__hex_literal] = ACTIONS(1389),
    [sym__number_literal] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_return] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_break] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1387),
    [anon_sym_NA_integer_] = ACTIONS(1387),
    [anon_sym_NA_real_] = ACTIONS(1387),
    [anon_sym_NA_complex_] = ACTIONS(1387),
    [anon_sym_NA_character_] = ACTIONS(1387),
    [sym_dots] = ACTIONS(1387),
    [sym_dot_dot_i] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1389),
    [sym__newline] = ACTIONS(1389),
    [sym__raw_string_literal] = ACTIONS(1389),
    [sym__external_else] = ACTIONS(1389),
    [sym__external_open_parenthesis] = ACTIONS(1389),
    [sym__external_open_brace] = ACTIONS(1389),
    [sym__external_open_bracket] = ACTIONS(1389),
    [sym__external_open_bracket2] = ACTIONS(1389),
    [sym__external_close_bracket2] = ACTIONS(1389),
  },
  [741] = {
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_repeat] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [anon_sym_LT_LT_DASH] = ACTIONS(1361),
    [anon_sym_COLON_EQ] = ACTIONS(1361),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_DASH_GT_GT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [aux_sym_binary_operator_token1] = ACTIONS(1361),
    [anon_sym_PIPE_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1361),
    [sym__hex_literal] = ACTIONS(1361),
    [sym__number_literal] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [sym_return] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_break] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1359),
    [anon_sym_NA_integer_] = ACTIONS(1359),
    [anon_sym_NA_real_] = ACTIONS(1359),
    [anon_sym_NA_complex_] = ACTIONS(1359),
    [anon_sym_NA_character_] = ACTIONS(1359),
    [sym_dots] = ACTIONS(1359),
    [sym_dot_dot_i] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1361),
    [sym__newline] = ACTIONS(1361),
    [sym__raw_string_literal] = ACTIONS(1361),
    [sym__external_else] = ACTIONS(1361),
    [sym__external_open_parenthesis] = ACTIONS(1361),
    [sym__external_open_brace] = ACTIONS(1361),
    [sym__external_open_bracket] = ACTIONS(1361),
    [sym__external_open_bracket2] = ACTIONS(1361),
    [sym__external_close_bracket2] = ACTIONS(1361),
  },
  [742] = {
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_BSLASH] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_repeat] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_LT_DASH] = ACTIONS(1365),
    [anon_sym_LT_LT_DASH] = ACTIONS(1365),
    [anon_sym_COLON_EQ] = ACTIONS(1365),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_DASH_GT_GT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [aux_sym_binary_operator_token1] = ACTIONS(1365),
    [anon_sym_PIPE_GT] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1365),
    [sym__hex_literal] = ACTIONS(1365),
    [sym__number_literal] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_return] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_break] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1363),
    [anon_sym_NA_integer_] = ACTIONS(1363),
    [anon_sym_NA_real_] = ACTIONS(1363),
    [anon_sym_NA_complex_] = ACTIONS(1363),
    [anon_sym_NA_character_] = ACTIONS(1363),
    [sym_dots] = ACTIONS(1363),
    [sym_dot_dot_i] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1365),
    [sym__newline] = ACTIONS(1365),
    [sym__raw_string_literal] = ACTIONS(1365),
    [sym__external_else] = ACTIONS(1365),
    [sym__external_open_parenthesis] = ACTIONS(1365),
    [sym__external_open_brace] = ACTIONS(1365),
    [sym__external_open_bracket] = ACTIONS(1365),
    [sym__external_open_bracket2] = ACTIONS(1365),
    [sym__external_close_bracket2] = ACTIONS(1365),
  },
  [743] = {
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_repeat] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [anon_sym_LT_LT_DASH] = ACTIONS(1361),
    [anon_sym_COLON_EQ] = ACTIONS(1361),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_DASH_GT_GT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [aux_sym_binary_operator_token1] = ACTIONS(1361),
    [anon_sym_PIPE_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1361),
    [sym__hex_literal] = ACTIONS(1361),
    [sym__number_literal] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [sym_return] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_break] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1359),
    [anon_sym_NA_integer_] = ACTIONS(1359),
    [anon_sym_NA_real_] = ACTIONS(1359),
    [anon_sym_NA_complex_] = ACTIONS(1359),
    [anon_sym_NA_character_] = ACTIONS(1359),
    [sym_dots] = ACTIONS(1359),
    [sym_dot_dot_i] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1361),
    [sym__newline] = ACTIONS(1361),
    [sym__raw_string_literal] = ACTIONS(1361),
    [sym__external_else] = ACTIONS(1361),
    [sym__external_open_parenthesis] = ACTIONS(1361),
    [sym__external_close_parenthesis] = ACTIONS(1361),
    [sym__external_open_brace] = ACTIONS(1361),
    [sym__external_open_bracket] = ACTIONS(1361),
    [sym__external_open_bracket2] = ACTIONS(1361),
  },
  [744] = {
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_BSLASH] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_repeat] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_LT_DASH] = ACTIONS(1365),
    [anon_sym_LT_LT_DASH] = ACTIONS(1365),
    [anon_sym_COLON_EQ] = ACTIONS(1365),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_DASH_GT_GT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [aux_sym_binary_operator_token1] = ACTIONS(1365),
    [anon_sym_PIPE_GT] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1365),
    [sym__hex_literal] = ACTIONS(1365),
    [sym__number_literal] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_return] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_break] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1363),
    [anon_sym_NA_integer_] = ACTIONS(1363),
    [anon_sym_NA_real_] = ACTIONS(1363),
    [anon_sym_NA_complex_] = ACTIONS(1363),
    [anon_sym_NA_character_] = ACTIONS(1363),
    [sym_dots] = ACTIONS(1363),
    [sym_dot_dot_i] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1365),
    [sym__newline] = ACTIONS(1365),
    [sym__raw_string_literal] = ACTIONS(1365),
    [sym__external_else] = ACTIONS(1365),
    [sym__external_open_parenthesis] = ACTIONS(1365),
    [sym__external_close_parenthesis] = ACTIONS(1365),
    [sym__external_open_brace] = ACTIONS(1365),
    [sym__external_open_bracket] = ACTIONS(1365),
    [sym__external_open_bracket2] = ACTIONS(1365),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(1369),
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_BSLASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_repeat] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_LT_LT_DASH] = ACTIONS(1369),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_DASH_GT_GT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [aux_sym_binary_operator_token1] = ACTIONS(1369),
    [anon_sym_PIPE_GT] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DOLLAR] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1369),
    [sym__hex_literal] = ACTIONS(1369),
    [sym__number_literal] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [sym_return] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_break] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1367),
    [anon_sym_NA_integer_] = ACTIONS(1367),
    [anon_sym_NA_real_] = ACTIONS(1367),
    [anon_sym_NA_complex_] = ACTIONS(1367),
    [anon_sym_NA_character_] = ACTIONS(1367),
    [sym_dots] = ACTIONS(1367),
    [sym_dot_dot_i] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1369),
    [sym__semicolon] = ACTIONS(1369),
    [sym__raw_string_literal] = ACTIONS(1369),
    [sym__external_else] = ACTIONS(1369),
    [sym__external_open_parenthesis] = ACTIONS(1369),
    [sym__external_open_brace] = ACTIONS(1369),
    [sym__external_open_bracket] = ACTIONS(1369),
    [sym__external_open_bracket2] = ACTIONS(1369),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(1353),
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1353),
    [sym__semicolon] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_else] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(1373),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_BSLASH] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_repeat] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1373),
    [anon_sym_LT_LT_DASH] = ACTIONS(1373),
    [anon_sym_COLON_EQ] = ACTIONS(1373),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_DASH_GT_GT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [aux_sym_binary_operator_token1] = ACTIONS(1373),
    [anon_sym_PIPE_GT] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1373),
    [anon_sym_L] = ACTIONS(1399),
    [anon_sym_i] = ACTIONS(1401),
    [sym__hex_literal] = ACTIONS(1373),
    [sym__number_literal] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [sym_return] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_break] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1371),
    [anon_sym_NA_integer_] = ACTIONS(1371),
    [anon_sym_NA_real_] = ACTIONS(1371),
    [anon_sym_NA_complex_] = ACTIONS(1371),
    [anon_sym_NA_character_] = ACTIONS(1371),
    [sym_dots] = ACTIONS(1371),
    [sym_dot_dot_i] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1373),
    [sym__semicolon] = ACTIONS(1373),
    [sym__raw_string_literal] = ACTIONS(1373),
    [sym__external_else] = ACTIONS(1373),
    [sym__external_open_parenthesis] = ACTIONS(1373),
    [sym__external_open_brace] = ACTIONS(1373),
    [sym__external_open_bracket] = ACTIONS(1373),
    [sym__external_open_bracket2] = ACTIONS(1373),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1381),
    [sym__semicolon] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_else] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1381),
    [sym__semicolon] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_else] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_BSLASH] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_repeat] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_LT_DASH] = ACTIONS(1385),
    [anon_sym_LT_LT_DASH] = ACTIONS(1385),
    [anon_sym_COLON_EQ] = ACTIONS(1385),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_DASH_GT_GT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [aux_sym_binary_operator_token1] = ACTIONS(1385),
    [anon_sym_PIPE_GT] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1385),
    [sym__hex_literal] = ACTIONS(1385),
    [sym__number_literal] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_return] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_break] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1383),
    [anon_sym_NA_integer_] = ACTIONS(1383),
    [anon_sym_NA_real_] = ACTIONS(1383),
    [anon_sym_NA_complex_] = ACTIONS(1383),
    [anon_sym_NA_character_] = ACTIONS(1383),
    [sym_dots] = ACTIONS(1383),
    [sym_dot_dot_i] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1385),
    [sym__semicolon] = ACTIONS(1385),
    [sym__raw_string_literal] = ACTIONS(1385),
    [sym__external_else] = ACTIONS(1385),
    [sym__external_open_parenthesis] = ACTIONS(1385),
    [sym__external_open_brace] = ACTIONS(1385),
    [sym__external_open_bracket] = ACTIONS(1385),
    [sym__external_open_bracket2] = ACTIONS(1385),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(1389),
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_BSLASH] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_repeat] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_LT_DASH] = ACTIONS(1389),
    [anon_sym_LT_LT_DASH] = ACTIONS(1389),
    [anon_sym_COLON_EQ] = ACTIONS(1389),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_DASH_GT_GT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [aux_sym_binary_operator_token1] = ACTIONS(1389),
    [anon_sym_PIPE_GT] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1389),
    [sym__hex_literal] = ACTIONS(1389),
    [sym__number_literal] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_return] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_break] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1387),
    [anon_sym_NA_integer_] = ACTIONS(1387),
    [anon_sym_NA_real_] = ACTIONS(1387),
    [anon_sym_NA_complex_] = ACTIONS(1387),
    [anon_sym_NA_character_] = ACTIONS(1387),
    [sym_dots] = ACTIONS(1387),
    [sym_dot_dot_i] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1389),
    [sym__semicolon] = ACTIONS(1389),
    [sym__raw_string_literal] = ACTIONS(1389),
    [sym__external_else] = ACTIONS(1389),
    [sym__external_open_parenthesis] = ACTIONS(1389),
    [sym__external_open_brace] = ACTIONS(1389),
    [sym__external_open_bracket] = ACTIONS(1389),
    [sym__external_open_bracket2] = ACTIONS(1389),
  },
  [752] = {
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_BSLASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_repeat] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_LT_LT_DASH] = ACTIONS(1369),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_DASH_GT_GT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [aux_sym_binary_operator_token1] = ACTIONS(1369),
    [anon_sym_PIPE_GT] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DOLLAR] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1369),
    [sym__hex_literal] = ACTIONS(1369),
    [sym__number_literal] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [sym_return] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_break] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1367),
    [anon_sym_NA_integer_] = ACTIONS(1367),
    [anon_sym_NA_real_] = ACTIONS(1367),
    [anon_sym_NA_complex_] = ACTIONS(1367),
    [anon_sym_NA_character_] = ACTIONS(1367),
    [sym_dots] = ACTIONS(1367),
    [sym_dot_dot_i] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1369),
    [sym__semicolon] = ACTIONS(1369),
    [sym__raw_string_literal] = ACTIONS(1369),
    [sym__external_else] = ACTIONS(1369),
    [sym__external_open_parenthesis] = ACTIONS(1369),
    [sym__external_open_brace] = ACTIONS(1369),
    [sym__external_close_brace] = ACTIONS(1369),
    [sym__external_open_bracket] = ACTIONS(1369),
    [sym__external_open_bracket2] = ACTIONS(1369),
  },
  [753] = {
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_BSLASH] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_repeat] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1373),
    [anon_sym_LT_LT_DASH] = ACTIONS(1373),
    [anon_sym_COLON_EQ] = ACTIONS(1373),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_DASH_GT_GT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [aux_sym_binary_operator_token1] = ACTIONS(1373),
    [anon_sym_PIPE_GT] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1373),
    [anon_sym_L] = ACTIONS(1403),
    [anon_sym_i] = ACTIONS(1405),
    [sym__hex_literal] = ACTIONS(1373),
    [sym__number_literal] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [sym_return] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_break] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1371),
    [anon_sym_NA_integer_] = ACTIONS(1371),
    [anon_sym_NA_real_] = ACTIONS(1371),
    [anon_sym_NA_complex_] = ACTIONS(1371),
    [anon_sym_NA_character_] = ACTIONS(1371),
    [sym_dots] = ACTIONS(1371),
    [sym_dot_dot_i] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1373),
    [sym__semicolon] = ACTIONS(1373),
    [sym__raw_string_literal] = ACTIONS(1373),
    [sym__external_else] = ACTIONS(1373),
    [sym__external_open_parenthesis] = ACTIONS(1373),
    [sym__external_open_brace] = ACTIONS(1373),
    [sym__external_close_brace] = ACTIONS(1373),
    [sym__external_open_bracket] = ACTIONS(1373),
    [sym__external_open_bracket2] = ACTIONS(1373),
  },
  [754] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1381),
    [sym__semicolon] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_else] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_close_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [755] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1381),
    [sym__semicolon] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_else] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_close_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [756] = {
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_BSLASH] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_repeat] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_LT_DASH] = ACTIONS(1385),
    [anon_sym_LT_LT_DASH] = ACTIONS(1385),
    [anon_sym_COLON_EQ] = ACTIONS(1385),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_DASH_GT_GT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [aux_sym_binary_operator_token1] = ACTIONS(1385),
    [anon_sym_PIPE_GT] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1385),
    [sym__hex_literal] = ACTIONS(1385),
    [sym__number_literal] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_return] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_break] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1383),
    [anon_sym_NA_integer_] = ACTIONS(1383),
    [anon_sym_NA_real_] = ACTIONS(1383),
    [anon_sym_NA_complex_] = ACTIONS(1383),
    [anon_sym_NA_character_] = ACTIONS(1383),
    [sym_dots] = ACTIONS(1383),
    [sym_dot_dot_i] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1385),
    [sym__semicolon] = ACTIONS(1385),
    [sym__raw_string_literal] = ACTIONS(1385),
    [sym__external_else] = ACTIONS(1385),
    [sym__external_open_parenthesis] = ACTIONS(1385),
    [sym__external_open_brace] = ACTIONS(1385),
    [sym__external_close_brace] = ACTIONS(1385),
    [sym__external_open_bracket] = ACTIONS(1385),
    [sym__external_open_bracket2] = ACTIONS(1385),
  },
  [757] = {
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_BSLASH] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_repeat] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_LT_DASH] = ACTIONS(1389),
    [anon_sym_LT_LT_DASH] = ACTIONS(1389),
    [anon_sym_COLON_EQ] = ACTIONS(1389),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_DASH_GT_GT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [aux_sym_binary_operator_token1] = ACTIONS(1389),
    [anon_sym_PIPE_GT] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1389),
    [sym__hex_literal] = ACTIONS(1389),
    [sym__number_literal] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_return] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_break] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1387),
    [anon_sym_NA_integer_] = ACTIONS(1387),
    [anon_sym_NA_real_] = ACTIONS(1387),
    [anon_sym_NA_complex_] = ACTIONS(1387),
    [anon_sym_NA_character_] = ACTIONS(1387),
    [sym_dots] = ACTIONS(1387),
    [sym_dot_dot_i] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1389),
    [sym__newline] = ACTIONS(1389),
    [sym__raw_string_literal] = ACTIONS(1389),
    [sym__external_else] = ACTIONS(1389),
    [sym__external_open_parenthesis] = ACTIONS(1389),
    [sym__external_close_parenthesis] = ACTIONS(1389),
    [sym__external_open_brace] = ACTIONS(1389),
    [sym__external_open_bracket] = ACTIONS(1389),
    [sym__external_open_bracket2] = ACTIONS(1389),
  },
  [758] = {
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_repeat] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [anon_sym_LT_LT_DASH] = ACTIONS(1361),
    [anon_sym_COLON_EQ] = ACTIONS(1361),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_DASH_GT_GT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [aux_sym_binary_operator_token1] = ACTIONS(1361),
    [anon_sym_PIPE_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1361),
    [sym__hex_literal] = ACTIONS(1361),
    [sym__number_literal] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [sym_return] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_break] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1359),
    [anon_sym_NA_integer_] = ACTIONS(1359),
    [anon_sym_NA_real_] = ACTIONS(1359),
    [anon_sym_NA_complex_] = ACTIONS(1359),
    [anon_sym_NA_character_] = ACTIONS(1359),
    [sym_dots] = ACTIONS(1359),
    [sym_dot_dot_i] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1361),
    [sym__newline] = ACTIONS(1361),
    [sym__raw_string_literal] = ACTIONS(1361),
    [sym__external_open_parenthesis] = ACTIONS(1361),
    [sym__external_open_brace] = ACTIONS(1361),
    [sym__external_open_bracket] = ACTIONS(1361),
    [sym__external_close_bracket] = ACTIONS(1361),
    [sym__external_open_bracket2] = ACTIONS(1361),
  },
  [759] = {
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_BSLASH] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_repeat] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_LT_DASH] = ACTIONS(1389),
    [anon_sym_LT_LT_DASH] = ACTIONS(1389),
    [anon_sym_COLON_EQ] = ACTIONS(1389),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_DASH_GT_GT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [aux_sym_binary_operator_token1] = ACTIONS(1389),
    [anon_sym_PIPE_GT] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1389),
    [sym__hex_literal] = ACTIONS(1389),
    [sym__number_literal] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_return] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_break] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1387),
    [anon_sym_NA_integer_] = ACTIONS(1387),
    [anon_sym_NA_real_] = ACTIONS(1387),
    [anon_sym_NA_complex_] = ACTIONS(1387),
    [anon_sym_NA_character_] = ACTIONS(1387),
    [sym_dots] = ACTIONS(1387),
    [sym_dot_dot_i] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1389),
    [sym__newline] = ACTIONS(1389),
    [sym__raw_string_literal] = ACTIONS(1389),
    [sym__external_open_parenthesis] = ACTIONS(1389),
    [sym__external_open_brace] = ACTIONS(1389),
    [sym__external_open_bracket] = ACTIONS(1389),
    [sym__external_close_bracket] = ACTIONS(1389),
    [sym__external_open_bracket2] = ACTIONS(1389),
  },
  [760] = {
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_BSLASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_repeat] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_LT_LT_DASH] = ACTIONS(1369),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_DASH_GT_GT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [aux_sym_binary_operator_token1] = ACTIONS(1369),
    [anon_sym_PIPE_GT] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DOLLAR] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1369),
    [sym__hex_literal] = ACTIONS(1369),
    [sym__number_literal] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [sym_return] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_break] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1367),
    [anon_sym_NA_integer_] = ACTIONS(1367),
    [anon_sym_NA_real_] = ACTIONS(1367),
    [anon_sym_NA_complex_] = ACTIONS(1367),
    [anon_sym_NA_character_] = ACTIONS(1367),
    [sym_dots] = ACTIONS(1367),
    [sym_dot_dot_i] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1369),
    [sym__newline] = ACTIONS(1369),
    [sym__raw_string_literal] = ACTIONS(1369),
    [sym__external_open_parenthesis] = ACTIONS(1369),
    [sym__external_open_brace] = ACTIONS(1369),
    [sym__external_open_bracket] = ACTIONS(1369),
    [sym__external_open_bracket2] = ACTIONS(1369),
    [sym__external_close_bracket2] = ACTIONS(1369),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_repeat] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [anon_sym_LT_LT_DASH] = ACTIONS(1361),
    [anon_sym_COLON_EQ] = ACTIONS(1361),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_DASH_GT_GT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [aux_sym_binary_operator_token1] = ACTIONS(1361),
    [anon_sym_PIPE_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1361),
    [sym__hex_literal] = ACTIONS(1361),
    [sym__number_literal] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [sym_return] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_break] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1359),
    [anon_sym_NA_integer_] = ACTIONS(1359),
    [anon_sym_NA_real_] = ACTIONS(1359),
    [anon_sym_NA_complex_] = ACTIONS(1359),
    [anon_sym_NA_character_] = ACTIONS(1359),
    [sym_dots] = ACTIONS(1359),
    [sym_dot_dot_i] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1361),
    [sym__semicolon] = ACTIONS(1361),
    [sym__raw_string_literal] = ACTIONS(1361),
    [sym__external_open_parenthesis] = ACTIONS(1361),
    [sym__external_open_brace] = ACTIONS(1361),
    [sym__external_open_bracket] = ACTIONS(1361),
    [sym__external_open_bracket2] = ACTIONS(1361),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(1365),
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_BSLASH] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_repeat] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_LT_DASH] = ACTIONS(1365),
    [anon_sym_LT_LT_DASH] = ACTIONS(1365),
    [anon_sym_COLON_EQ] = ACTIONS(1365),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_DASH_GT_GT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [aux_sym_binary_operator_token1] = ACTIONS(1365),
    [anon_sym_PIPE_GT] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1365),
    [sym__hex_literal] = ACTIONS(1365),
    [sym__number_literal] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_return] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_break] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1363),
    [anon_sym_NA_integer_] = ACTIONS(1363),
    [anon_sym_NA_real_] = ACTIONS(1363),
    [anon_sym_NA_complex_] = ACTIONS(1363),
    [anon_sym_NA_character_] = ACTIONS(1363),
    [sym_dots] = ACTIONS(1363),
    [sym_dot_dot_i] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1365),
    [sym__semicolon] = ACTIONS(1365),
    [sym__raw_string_literal] = ACTIONS(1365),
    [sym__external_open_parenthesis] = ACTIONS(1365),
    [sym__external_open_brace] = ACTIONS(1365),
    [sym__external_open_bracket] = ACTIONS(1365),
    [sym__external_open_bracket2] = ACTIONS(1365),
  },
  [763] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
    [sym__external_close_bracket2] = ACTIONS(1353),
  },
  [764] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_close_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [765] = {
    [aux_sym_function_definition_repeat1] = STATE(765),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_repeat] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_LT_DASH] = ACTIONS(1411),
    [anon_sym_LT_LT_DASH] = ACTIONS(1411),
    [anon_sym_COLON_EQ] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_DASH_GT_GT] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [aux_sym_binary_operator_token1] = ACTIONS(1411),
    [anon_sym_PIPE_GT] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [sym__hex_literal] = ACTIONS(1411),
    [sym__number_literal] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_return] = ACTIONS(1409),
    [sym_next] = ACTIONS(1409),
    [sym_break] = ACTIONS(1409),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_null] = ACTIONS(1409),
    [sym_inf] = ACTIONS(1409),
    [sym_nan] = ACTIONS(1409),
    [anon_sym_NA] = ACTIONS(1409),
    [anon_sym_NA_integer_] = ACTIONS(1409),
    [anon_sym_NA_real_] = ACTIONS(1409),
    [anon_sym_NA_complex_] = ACTIONS(1409),
    [anon_sym_NA_character_] = ACTIONS(1409),
    [sym_dots] = ACTIONS(1409),
    [sym_dot_dot_i] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1413),
    [sym__semicolon] = ACTIONS(1411),
    [sym__raw_string_literal] = ACTIONS(1411),
    [sym__external_else] = ACTIONS(1411),
    [sym__external_open_parenthesis] = ACTIONS(1411),
    [sym__external_open_brace] = ACTIONS(1411),
    [sym__external_close_brace] = ACTIONS(1411),
    [sym__external_open_bracket] = ACTIONS(1411),
    [sym__external_open_bracket2] = ACTIONS(1411),
  },
  [766] = {
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_BSLASH] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_repeat] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1373),
    [anon_sym_LT_LT_DASH] = ACTIONS(1373),
    [anon_sym_COLON_EQ] = ACTIONS(1373),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_DASH_GT_GT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [aux_sym_binary_operator_token1] = ACTIONS(1373),
    [anon_sym_PIPE_GT] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1373),
    [anon_sym_L] = ACTIONS(1416),
    [anon_sym_i] = ACTIONS(1418),
    [sym__hex_literal] = ACTIONS(1373),
    [sym__number_literal] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [sym_return] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_break] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1371),
    [anon_sym_NA_integer_] = ACTIONS(1371),
    [anon_sym_NA_real_] = ACTIONS(1371),
    [anon_sym_NA_complex_] = ACTIONS(1371),
    [anon_sym_NA_character_] = ACTIONS(1371),
    [sym_dots] = ACTIONS(1371),
    [sym_dot_dot_i] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1373),
    [sym__newline] = ACTIONS(1373),
    [sym__raw_string_literal] = ACTIONS(1373),
    [sym__external_open_parenthesis] = ACTIONS(1373),
    [sym__external_open_brace] = ACTIONS(1373),
    [sym__external_open_bracket] = ACTIONS(1373),
    [sym__external_open_bracket2] = ACTIONS(1373),
    [sym__external_close_bracket2] = ACTIONS(1373),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_BSLASH] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_repeat] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_LT_DASH] = ACTIONS(1385),
    [anon_sym_LT_LT_DASH] = ACTIONS(1385),
    [anon_sym_COLON_EQ] = ACTIONS(1385),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_DASH_GT_GT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [aux_sym_binary_operator_token1] = ACTIONS(1385),
    [anon_sym_PIPE_GT] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1385),
    [sym__hex_literal] = ACTIONS(1385),
    [sym__number_literal] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_return] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_break] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1383),
    [anon_sym_NA_integer_] = ACTIONS(1383),
    [anon_sym_NA_real_] = ACTIONS(1383),
    [anon_sym_NA_complex_] = ACTIONS(1383),
    [anon_sym_NA_character_] = ACTIONS(1383),
    [sym_dots] = ACTIONS(1383),
    [sym_dot_dot_i] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1385),
    [sym__semicolon] = ACTIONS(1385),
    [sym__raw_string_literal] = ACTIONS(1385),
    [sym__external_open_parenthesis] = ACTIONS(1385),
    [sym__external_open_brace] = ACTIONS(1385),
    [sym__external_open_bracket] = ACTIONS(1385),
    [sym__external_open_bracket2] = ACTIONS(1385),
  },
  [768] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
    [sym__external_close_bracket2] = ACTIONS(1381),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(1353),
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1353),
    [sym__semicolon] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(1389),
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_BSLASH] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_repeat] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_LT_DASH] = ACTIONS(1389),
    [anon_sym_LT_LT_DASH] = ACTIONS(1389),
    [anon_sym_COLON_EQ] = ACTIONS(1389),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_DASH_GT_GT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [aux_sym_binary_operator_token1] = ACTIONS(1389),
    [anon_sym_PIPE_GT] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1389),
    [sym__hex_literal] = ACTIONS(1389),
    [sym__number_literal] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_return] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_break] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1387),
    [anon_sym_NA_integer_] = ACTIONS(1387),
    [anon_sym_NA_real_] = ACTIONS(1387),
    [anon_sym_NA_complex_] = ACTIONS(1387),
    [anon_sym_NA_character_] = ACTIONS(1387),
    [sym_dots] = ACTIONS(1387),
    [sym_dot_dot_i] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1389),
    [sym__semicolon] = ACTIONS(1389),
    [sym__raw_string_literal] = ACTIONS(1389),
    [sym__external_open_parenthesis] = ACTIONS(1389),
    [sym__external_open_brace] = ACTIONS(1389),
    [sym__external_open_bracket] = ACTIONS(1389),
    [sym__external_open_bracket2] = ACTIONS(1389),
  },
  [771] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
    [sym__external_close_bracket2] = ACTIONS(1353),
  },
  [772] = {
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_BSLASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_repeat] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_LT_LT_DASH] = ACTIONS(1369),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_DASH_GT_GT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [aux_sym_binary_operator_token1] = ACTIONS(1369),
    [anon_sym_PIPE_GT] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DOLLAR] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1369),
    [sym__hex_literal] = ACTIONS(1369),
    [sym__number_literal] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [sym_return] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_break] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1367),
    [anon_sym_NA_integer_] = ACTIONS(1367),
    [anon_sym_NA_real_] = ACTIONS(1367),
    [anon_sym_NA_complex_] = ACTIONS(1367),
    [anon_sym_NA_character_] = ACTIONS(1367),
    [sym_dots] = ACTIONS(1367),
    [sym_dot_dot_i] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1369),
    [sym__semicolon] = ACTIONS(1369),
    [sym__raw_string_literal] = ACTIONS(1369),
    [sym__external_open_parenthesis] = ACTIONS(1369),
    [sym__external_open_brace] = ACTIONS(1369),
    [sym__external_close_brace] = ACTIONS(1369),
    [sym__external_open_bracket] = ACTIONS(1369),
    [sym__external_open_bracket2] = ACTIONS(1369),
  },
  [773] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_close_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [774] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1353),
    [sym__semicolon] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_close_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [775] = {
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_repeat] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [anon_sym_LT_LT_DASH] = ACTIONS(1361),
    [anon_sym_COLON_EQ] = ACTIONS(1361),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_DASH_GT_GT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [aux_sym_binary_operator_token1] = ACTIONS(1361),
    [anon_sym_PIPE_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1361),
    [sym__hex_literal] = ACTIONS(1361),
    [sym__number_literal] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [sym_return] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_break] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1359),
    [anon_sym_NA_integer_] = ACTIONS(1359),
    [anon_sym_NA_real_] = ACTIONS(1359),
    [anon_sym_NA_complex_] = ACTIONS(1359),
    [anon_sym_NA_character_] = ACTIONS(1359),
    [sym_dots] = ACTIONS(1359),
    [sym_dot_dot_i] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1361),
    [sym__newline] = ACTIONS(1361),
    [sym__raw_string_literal] = ACTIONS(1361),
    [sym__external_open_parenthesis] = ACTIONS(1361),
    [sym__external_open_brace] = ACTIONS(1361),
    [sym__external_open_bracket] = ACTIONS(1361),
    [sym__external_open_bracket2] = ACTIONS(1361),
    [sym__external_close_bracket2] = ACTIONS(1361),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(1373),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_BSLASH] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_repeat] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1373),
    [anon_sym_LT_LT_DASH] = ACTIONS(1373),
    [anon_sym_COLON_EQ] = ACTIONS(1373),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_DASH_GT_GT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [aux_sym_binary_operator_token1] = ACTIONS(1373),
    [anon_sym_PIPE_GT] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1373),
    [anon_sym_L] = ACTIONS(1422),
    [anon_sym_i] = ACTIONS(1424),
    [sym__hex_literal] = ACTIONS(1373),
    [sym__number_literal] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [sym_return] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_break] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1371),
    [anon_sym_NA_integer_] = ACTIONS(1371),
    [anon_sym_NA_real_] = ACTIONS(1371),
    [anon_sym_NA_complex_] = ACTIONS(1371),
    [anon_sym_NA_character_] = ACTIONS(1371),
    [sym_dots] = ACTIONS(1371),
    [sym_dot_dot_i] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1373),
    [sym__semicolon] = ACTIONS(1373),
    [sym__raw_string_literal] = ACTIONS(1373),
    [sym__external_open_parenthesis] = ACTIONS(1373),
    [sym__external_open_brace] = ACTIONS(1373),
    [sym__external_open_bracket] = ACTIONS(1373),
    [sym__external_open_bracket2] = ACTIONS(1373),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1381),
    [sym__semicolon] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [778] = {
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_BSLASH] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_repeat] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_LT_DASH] = ACTIONS(1365),
    [anon_sym_LT_LT_DASH] = ACTIONS(1365),
    [anon_sym_COLON_EQ] = ACTIONS(1365),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_DASH_GT_GT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [aux_sym_binary_operator_token1] = ACTIONS(1365),
    [anon_sym_PIPE_GT] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1365),
    [sym__hex_literal] = ACTIONS(1365),
    [sym__number_literal] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_return] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_break] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1363),
    [anon_sym_NA_integer_] = ACTIONS(1363),
    [anon_sym_NA_real_] = ACTIONS(1363),
    [anon_sym_NA_complex_] = ACTIONS(1363),
    [anon_sym_NA_character_] = ACTIONS(1363),
    [sym_dots] = ACTIONS(1363),
    [sym_dot_dot_i] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1365),
    [sym__newline] = ACTIONS(1365),
    [sym__raw_string_literal] = ACTIONS(1365),
    [sym__external_open_parenthesis] = ACTIONS(1365),
    [sym__external_open_brace] = ACTIONS(1365),
    [sym__external_open_bracket] = ACTIONS(1365),
    [sym__external_open_bracket2] = ACTIONS(1365),
    [sym__external_close_bracket2] = ACTIONS(1365),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1381),
    [sym__semicolon] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [780] = {
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_BSLASH] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_repeat] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1373),
    [anon_sym_LT_LT_DASH] = ACTIONS(1373),
    [anon_sym_COLON_EQ] = ACTIONS(1373),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_DASH_GT_GT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [aux_sym_binary_operator_token1] = ACTIONS(1373),
    [anon_sym_PIPE_GT] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1373),
    [anon_sym_L] = ACTIONS(1426),
    [anon_sym_i] = ACTIONS(1428),
    [sym__hex_literal] = ACTIONS(1373),
    [sym__number_literal] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [sym_return] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_break] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1371),
    [anon_sym_NA_integer_] = ACTIONS(1371),
    [anon_sym_NA_real_] = ACTIONS(1371),
    [anon_sym_NA_complex_] = ACTIONS(1371),
    [anon_sym_NA_character_] = ACTIONS(1371),
    [sym_dots] = ACTIONS(1371),
    [sym_dot_dot_i] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1373),
    [sym__semicolon] = ACTIONS(1373),
    [sym__raw_string_literal] = ACTIONS(1373),
    [sym__external_open_parenthesis] = ACTIONS(1373),
    [sym__external_open_brace] = ACTIONS(1373),
    [sym__external_close_brace] = ACTIONS(1373),
    [sym__external_open_bracket] = ACTIONS(1373),
    [sym__external_open_bracket2] = ACTIONS(1373),
  },
  [781] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1381),
    [sym__semicolon] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_close_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [782] = {
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_repeat] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [anon_sym_LT_LT_DASH] = ACTIONS(1361),
    [anon_sym_COLON_EQ] = ACTIONS(1361),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_DASH_GT_GT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [aux_sym_binary_operator_token1] = ACTIONS(1361),
    [anon_sym_PIPE_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1361),
    [sym__hex_literal] = ACTIONS(1361),
    [sym__number_literal] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [sym_return] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_break] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1359),
    [anon_sym_NA_integer_] = ACTIONS(1359),
    [anon_sym_NA_real_] = ACTIONS(1359),
    [anon_sym_NA_complex_] = ACTIONS(1359),
    [anon_sym_NA_character_] = ACTIONS(1359),
    [sym_dots] = ACTIONS(1359),
    [sym_dot_dot_i] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1361),
    [sym__newline] = ACTIONS(1361),
    [sym__raw_string_literal] = ACTIONS(1361),
    [sym__external_open_parenthesis] = ACTIONS(1361),
    [sym__external_close_parenthesis] = ACTIONS(1361),
    [sym__external_open_brace] = ACTIONS(1361),
    [sym__external_open_bracket] = ACTIONS(1361),
    [sym__external_open_bracket2] = ACTIONS(1361),
  },
  [783] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
    [sym__external_close_bracket2] = ACTIONS(1381),
  },
  [784] = {
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_BSLASH] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_repeat] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_LT_DASH] = ACTIONS(1385),
    [anon_sym_LT_LT_DASH] = ACTIONS(1385),
    [anon_sym_COLON_EQ] = ACTIONS(1385),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_DASH_GT_GT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [aux_sym_binary_operator_token1] = ACTIONS(1385),
    [anon_sym_PIPE_GT] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1385),
    [sym__hex_literal] = ACTIONS(1385),
    [sym__number_literal] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_return] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_break] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1383),
    [anon_sym_NA_integer_] = ACTIONS(1383),
    [anon_sym_NA_real_] = ACTIONS(1383),
    [anon_sym_NA_complex_] = ACTIONS(1383),
    [anon_sym_NA_character_] = ACTIONS(1383),
    [sym_dots] = ACTIONS(1383),
    [sym_dot_dot_i] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1385),
    [sym__newline] = ACTIONS(1385),
    [sym__raw_string_literal] = ACTIONS(1385),
    [sym__external_open_parenthesis] = ACTIONS(1385),
    [sym__external_open_brace] = ACTIONS(1385),
    [sym__external_open_bracket] = ACTIONS(1385),
    [sym__external_open_bracket2] = ACTIONS(1385),
    [sym__external_close_bracket2] = ACTIONS(1385),
  },
  [785] = {
    [aux_sym_function_definition_repeat1] = STATE(785),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_repeat] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_LT_DASH] = ACTIONS(1411),
    [anon_sym_LT_LT_DASH] = ACTIONS(1411),
    [anon_sym_COLON_EQ] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_DASH_GT_GT] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [aux_sym_binary_operator_token1] = ACTIONS(1411),
    [anon_sym_PIPE_GT] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [sym__hex_literal] = ACTIONS(1411),
    [sym__number_literal] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_return] = ACTIONS(1409),
    [sym_next] = ACTIONS(1409),
    [sym_break] = ACTIONS(1409),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_null] = ACTIONS(1409),
    [sym_inf] = ACTIONS(1409),
    [sym_nan] = ACTIONS(1409),
    [anon_sym_NA] = ACTIONS(1409),
    [anon_sym_NA_integer_] = ACTIONS(1409),
    [anon_sym_NA_real_] = ACTIONS(1409),
    [anon_sym_NA_complex_] = ACTIONS(1409),
    [anon_sym_NA_character_] = ACTIONS(1409),
    [sym_dots] = ACTIONS(1409),
    [sym_dot_dot_i] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1411),
    [sym__newline] = ACTIONS(1430),
    [sym__raw_string_literal] = ACTIONS(1411),
    [sym__external_else] = ACTIONS(1411),
    [sym__external_open_parenthesis] = ACTIONS(1411),
    [sym__external_open_brace] = ACTIONS(1411),
    [sym__external_open_bracket] = ACTIONS(1411),
    [sym__external_close_bracket] = ACTIONS(1411),
    [sym__external_open_bracket2] = ACTIONS(1411),
  },
  [786] = {
    [aux_sym_function_definition_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_repeat] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_LT_DASH] = ACTIONS(1411),
    [anon_sym_LT_LT_DASH] = ACTIONS(1411),
    [anon_sym_COLON_EQ] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_DASH_GT_GT] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [aux_sym_binary_operator_token1] = ACTIONS(1411),
    [anon_sym_PIPE_GT] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [sym__hex_literal] = ACTIONS(1411),
    [sym__number_literal] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_return] = ACTIONS(1409),
    [sym_next] = ACTIONS(1409),
    [sym_break] = ACTIONS(1409),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_null] = ACTIONS(1409),
    [sym_inf] = ACTIONS(1409),
    [sym_nan] = ACTIONS(1409),
    [anon_sym_NA] = ACTIONS(1409),
    [anon_sym_NA_integer_] = ACTIONS(1409),
    [anon_sym_NA_real_] = ACTIONS(1409),
    [anon_sym_NA_complex_] = ACTIONS(1409),
    [anon_sym_NA_character_] = ACTIONS(1409),
    [sym_dots] = ACTIONS(1409),
    [sym_dot_dot_i] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1411),
    [sym__newline] = ACTIONS(1433),
    [sym__raw_string_literal] = ACTIONS(1411),
    [sym__external_else] = ACTIONS(1411),
    [sym__external_open_parenthesis] = ACTIONS(1411),
    [sym__external_open_brace] = ACTIONS(1411),
    [sym__external_open_bracket] = ACTIONS(1411),
    [sym__external_open_bracket2] = ACTIONS(1411),
    [sym__external_close_bracket2] = ACTIONS(1411),
  },
  [787] = {
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_BSLASH] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_repeat] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_LT_DASH] = ACTIONS(1385),
    [anon_sym_LT_LT_DASH] = ACTIONS(1385),
    [anon_sym_COLON_EQ] = ACTIONS(1385),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_DASH_GT_GT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [aux_sym_binary_operator_token1] = ACTIONS(1385),
    [anon_sym_PIPE_GT] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1385),
    [sym__hex_literal] = ACTIONS(1385),
    [sym__number_literal] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_return] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_break] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1383),
    [anon_sym_NA_integer_] = ACTIONS(1383),
    [anon_sym_NA_real_] = ACTIONS(1383),
    [anon_sym_NA_complex_] = ACTIONS(1383),
    [anon_sym_NA_character_] = ACTIONS(1383),
    [sym_dots] = ACTIONS(1383),
    [sym_dot_dot_i] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1385),
    [sym__newline] = ACTIONS(1385),
    [sym__raw_string_literal] = ACTIONS(1385),
    [sym__external_open_parenthesis] = ACTIONS(1385),
    [sym__external_open_brace] = ACTIONS(1385),
    [sym__external_open_bracket] = ACTIONS(1385),
    [sym__external_close_bracket] = ACTIONS(1385),
    [sym__external_open_bracket2] = ACTIONS(1385),
  },
  [788] = {
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_BSLASH] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_repeat] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_LT_DASH] = ACTIONS(1389),
    [anon_sym_LT_LT_DASH] = ACTIONS(1389),
    [anon_sym_COLON_EQ] = ACTIONS(1389),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_DASH_GT_GT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [aux_sym_binary_operator_token1] = ACTIONS(1389),
    [anon_sym_PIPE_GT] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1389),
    [sym__hex_literal] = ACTIONS(1389),
    [sym__number_literal] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_return] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_break] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1387),
    [anon_sym_NA_integer_] = ACTIONS(1387),
    [anon_sym_NA_real_] = ACTIONS(1387),
    [anon_sym_NA_complex_] = ACTIONS(1387),
    [anon_sym_NA_character_] = ACTIONS(1387),
    [sym_dots] = ACTIONS(1387),
    [sym_dot_dot_i] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1389),
    [sym__newline] = ACTIONS(1389),
    [sym__raw_string_literal] = ACTIONS(1389),
    [sym__external_open_parenthesis] = ACTIONS(1389),
    [sym__external_open_brace] = ACTIONS(1389),
    [sym__external_open_bracket] = ACTIONS(1389),
    [sym__external_open_bracket2] = ACTIONS(1389),
    [sym__external_close_bracket2] = ACTIONS(1389),
  },
  [789] = {
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_BSLASH] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_repeat] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_LT_DASH] = ACTIONS(1385),
    [anon_sym_LT_LT_DASH] = ACTIONS(1385),
    [anon_sym_COLON_EQ] = ACTIONS(1385),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_DASH_GT_GT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [aux_sym_binary_operator_token1] = ACTIONS(1385),
    [anon_sym_PIPE_GT] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1385),
    [sym__hex_literal] = ACTIONS(1385),
    [sym__number_literal] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_return] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_break] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1383),
    [anon_sym_NA_integer_] = ACTIONS(1383),
    [anon_sym_NA_real_] = ACTIONS(1383),
    [anon_sym_NA_complex_] = ACTIONS(1383),
    [anon_sym_NA_character_] = ACTIONS(1383),
    [sym_dots] = ACTIONS(1383),
    [sym_dot_dot_i] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1385),
    [sym__semicolon] = ACTIONS(1385),
    [sym__raw_string_literal] = ACTIONS(1385),
    [sym__external_open_parenthesis] = ACTIONS(1385),
    [sym__external_open_brace] = ACTIONS(1385),
    [sym__external_close_brace] = ACTIONS(1385),
    [sym__external_open_bracket] = ACTIONS(1385),
    [sym__external_open_bracket2] = ACTIONS(1385),
  },
  [790] = {
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_BSLASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_repeat] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_LT_LT_DASH] = ACTIONS(1369),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_DASH_GT_GT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [aux_sym_binary_operator_token1] = ACTIONS(1369),
    [anon_sym_PIPE_GT] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DOLLAR] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1369),
    [sym__hex_literal] = ACTIONS(1369),
    [sym__number_literal] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [sym_return] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_break] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1367),
    [anon_sym_NA_integer_] = ACTIONS(1367),
    [anon_sym_NA_real_] = ACTIONS(1367),
    [anon_sym_NA_complex_] = ACTIONS(1367),
    [anon_sym_NA_character_] = ACTIONS(1367),
    [sym_dots] = ACTIONS(1367),
    [sym_dot_dot_i] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1369),
    [sym__newline] = ACTIONS(1369),
    [sym__raw_string_literal] = ACTIONS(1369),
    [sym__external_open_parenthesis] = ACTIONS(1369),
    [sym__external_close_parenthesis] = ACTIONS(1369),
    [sym__external_open_brace] = ACTIONS(1369),
    [sym__external_open_bracket] = ACTIONS(1369),
    [sym__external_open_bracket2] = ACTIONS(1369),
  },
  [791] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_close_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [792] = {
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_BSLASH] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_repeat] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1373),
    [anon_sym_LT_LT_DASH] = ACTIONS(1373),
    [anon_sym_COLON_EQ] = ACTIONS(1373),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_DASH_GT_GT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [aux_sym_binary_operator_token1] = ACTIONS(1373),
    [anon_sym_PIPE_GT] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1373),
    [anon_sym_L] = ACTIONS(1436),
    [anon_sym_i] = ACTIONS(1438),
    [sym__hex_literal] = ACTIONS(1373),
    [sym__number_literal] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [sym_return] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_break] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1371),
    [anon_sym_NA_integer_] = ACTIONS(1371),
    [anon_sym_NA_real_] = ACTIONS(1371),
    [anon_sym_NA_complex_] = ACTIONS(1371),
    [anon_sym_NA_character_] = ACTIONS(1371),
    [sym_dots] = ACTIONS(1371),
    [sym_dot_dot_i] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1373),
    [sym__newline] = ACTIONS(1373),
    [sym__raw_string_literal] = ACTIONS(1373),
    [sym__external_open_parenthesis] = ACTIONS(1373),
    [sym__external_close_parenthesis] = ACTIONS(1373),
    [sym__external_open_brace] = ACTIONS(1373),
    [sym__external_open_bracket] = ACTIONS(1373),
    [sym__external_open_bracket2] = ACTIONS(1373),
  },
  [793] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_close_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [794] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_close_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [795] = {
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_BSLASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_repeat] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_LT_LT_DASH] = ACTIONS(1369),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_DASH_GT_GT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [aux_sym_binary_operator_token1] = ACTIONS(1369),
    [anon_sym_PIPE_GT] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DOLLAR] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1369),
    [sym__hex_literal] = ACTIONS(1369),
    [sym__number_literal] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [sym_return] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_break] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1367),
    [anon_sym_NA_integer_] = ACTIONS(1367),
    [anon_sym_NA_real_] = ACTIONS(1367),
    [anon_sym_NA_complex_] = ACTIONS(1367),
    [anon_sym_NA_character_] = ACTIONS(1367),
    [sym_dots] = ACTIONS(1367),
    [sym_dot_dot_i] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1369),
    [sym__newline] = ACTIONS(1369),
    [sym__raw_string_literal] = ACTIONS(1369),
    [sym__external_open_parenthesis] = ACTIONS(1369),
    [sym__external_open_brace] = ACTIONS(1369),
    [sym__external_open_bracket] = ACTIONS(1369),
    [sym__external_close_bracket] = ACTIONS(1369),
    [sym__external_open_bracket2] = ACTIONS(1369),
  },
  [796] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_close_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [797] = {
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_BSLASH] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_repeat] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1373),
    [anon_sym_LT_LT_DASH] = ACTIONS(1373),
    [anon_sym_COLON_EQ] = ACTIONS(1373),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_DASH_GT_GT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [aux_sym_binary_operator_token1] = ACTIONS(1373),
    [anon_sym_PIPE_GT] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1373),
    [anon_sym_L] = ACTIONS(1440),
    [anon_sym_i] = ACTIONS(1442),
    [sym__hex_literal] = ACTIONS(1373),
    [sym__number_literal] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [sym_return] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_break] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1371),
    [anon_sym_NA_integer_] = ACTIONS(1371),
    [anon_sym_NA_real_] = ACTIONS(1371),
    [anon_sym_NA_complex_] = ACTIONS(1371),
    [anon_sym_NA_character_] = ACTIONS(1371),
    [sym_dots] = ACTIONS(1371),
    [sym_dot_dot_i] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1373),
    [sym__newline] = ACTIONS(1373),
    [sym__raw_string_literal] = ACTIONS(1373),
    [sym__external_open_parenthesis] = ACTIONS(1373),
    [sym__external_open_brace] = ACTIONS(1373),
    [sym__external_open_bracket] = ACTIONS(1373),
    [sym__external_close_bracket] = ACTIONS(1373),
    [sym__external_open_bracket2] = ACTIONS(1373),
  },
  [798] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1381),
    [sym__newline] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_close_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [799] = {
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_BSLASH] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_repeat] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_LT_DASH] = ACTIONS(1385),
    [anon_sym_LT_LT_DASH] = ACTIONS(1385),
    [anon_sym_COLON_EQ] = ACTIONS(1385),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_DASH_GT_GT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [aux_sym_binary_operator_token1] = ACTIONS(1385),
    [anon_sym_PIPE_GT] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1385),
    [sym__hex_literal] = ACTIONS(1385),
    [sym__number_literal] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_return] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_break] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1383),
    [anon_sym_NA_integer_] = ACTIONS(1383),
    [anon_sym_NA_real_] = ACTIONS(1383),
    [anon_sym_NA_complex_] = ACTIONS(1383),
    [anon_sym_NA_character_] = ACTIONS(1383),
    [sym_dots] = ACTIONS(1383),
    [sym_dot_dot_i] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1385),
    [sym__newline] = ACTIONS(1385),
    [sym__raw_string_literal] = ACTIONS(1385),
    [sym__external_open_parenthesis] = ACTIONS(1385),
    [sym__external_close_parenthesis] = ACTIONS(1385),
    [sym__external_open_brace] = ACTIONS(1385),
    [sym__external_open_bracket] = ACTIONS(1385),
    [sym__external_open_bracket2] = ACTIONS(1385),
  },
  [800] = {
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_BSLASH] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_repeat] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_LT_DASH] = ACTIONS(1389),
    [anon_sym_LT_LT_DASH] = ACTIONS(1389),
    [anon_sym_COLON_EQ] = ACTIONS(1389),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_DASH_GT_GT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [aux_sym_binary_operator_token1] = ACTIONS(1389),
    [anon_sym_PIPE_GT] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1389),
    [sym__hex_literal] = ACTIONS(1389),
    [sym__number_literal] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_return] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_break] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1387),
    [anon_sym_NA_integer_] = ACTIONS(1387),
    [anon_sym_NA_real_] = ACTIONS(1387),
    [anon_sym_NA_complex_] = ACTIONS(1387),
    [anon_sym_NA_character_] = ACTIONS(1387),
    [sym_dots] = ACTIONS(1387),
    [sym_dot_dot_i] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1389),
    [sym__newline] = ACTIONS(1389),
    [sym__raw_string_literal] = ACTIONS(1389),
    [sym__external_open_parenthesis] = ACTIONS(1389),
    [sym__external_close_parenthesis] = ACTIONS(1389),
    [sym__external_open_brace] = ACTIONS(1389),
    [sym__external_open_bracket] = ACTIONS(1389),
    [sym__external_open_bracket2] = ACTIONS(1389),
  },
  [801] = {
    [aux_sym_function_definition_repeat1] = STATE(801),
    [ts_builtin_sym_end] = ACTIONS(1411),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_repeat] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_LT_DASH] = ACTIONS(1411),
    [anon_sym_LT_LT_DASH] = ACTIONS(1411),
    [anon_sym_COLON_EQ] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_DASH_GT_GT] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [aux_sym_binary_operator_token1] = ACTIONS(1411),
    [anon_sym_PIPE_GT] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [sym__hex_literal] = ACTIONS(1411),
    [sym__number_literal] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_return] = ACTIONS(1409),
    [sym_next] = ACTIONS(1409),
    [sym_break] = ACTIONS(1409),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_null] = ACTIONS(1409),
    [sym_inf] = ACTIONS(1409),
    [sym_nan] = ACTIONS(1409),
    [anon_sym_NA] = ACTIONS(1409),
    [anon_sym_NA_integer_] = ACTIONS(1409),
    [anon_sym_NA_real_] = ACTIONS(1409),
    [anon_sym_NA_complex_] = ACTIONS(1409),
    [anon_sym_NA_character_] = ACTIONS(1409),
    [sym_dots] = ACTIONS(1409),
    [sym_dot_dot_i] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1444),
    [sym__semicolon] = ACTIONS(1411),
    [sym__raw_string_literal] = ACTIONS(1411),
    [sym__external_else] = ACTIONS(1411),
    [sym__external_open_parenthesis] = ACTIONS(1411),
    [sym__external_open_brace] = ACTIONS(1411),
    [sym__external_open_bracket] = ACTIONS(1411),
    [sym__external_open_bracket2] = ACTIONS(1411),
  },
  [802] = {
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_BSLASH] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_repeat] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_LT_DASH] = ACTIONS(1389),
    [anon_sym_LT_LT_DASH] = ACTIONS(1389),
    [anon_sym_COLON_EQ] = ACTIONS(1389),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_DASH_GT_GT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [aux_sym_binary_operator_token1] = ACTIONS(1389),
    [anon_sym_PIPE_GT] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1389),
    [sym__hex_literal] = ACTIONS(1389),
    [sym__number_literal] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_return] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_break] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1387),
    [anon_sym_NA_integer_] = ACTIONS(1387),
    [anon_sym_NA_real_] = ACTIONS(1387),
    [anon_sym_NA_complex_] = ACTIONS(1387),
    [anon_sym_NA_character_] = ACTIONS(1387),
    [sym_dots] = ACTIONS(1387),
    [sym_dot_dot_i] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1389),
    [sym__semicolon] = ACTIONS(1389),
    [sym__raw_string_literal] = ACTIONS(1389),
    [sym__external_open_parenthesis] = ACTIONS(1389),
    [sym__external_open_brace] = ACTIONS(1389),
    [sym__external_close_brace] = ACTIONS(1389),
    [sym__external_open_bracket] = ACTIONS(1389),
    [sym__external_open_bracket2] = ACTIONS(1389),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(1369),
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_BSLASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_repeat] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_LT_LT_DASH] = ACTIONS(1369),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_DASH_GT_GT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [aux_sym_binary_operator_token1] = ACTIONS(1369),
    [anon_sym_PIPE_GT] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_DOLLAR] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1369),
    [sym__hex_literal] = ACTIONS(1369),
    [sym__number_literal] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [sym_return] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_break] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1367),
    [anon_sym_NA_integer_] = ACTIONS(1367),
    [anon_sym_NA_real_] = ACTIONS(1367),
    [anon_sym_NA_complex_] = ACTIONS(1367),
    [anon_sym_NA_character_] = ACTIONS(1367),
    [sym_dots] = ACTIONS(1367),
    [sym_dot_dot_i] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1369),
    [sym__semicolon] = ACTIONS(1369),
    [sym__raw_string_literal] = ACTIONS(1369),
    [sym__external_open_parenthesis] = ACTIONS(1369),
    [sym__external_open_brace] = ACTIONS(1369),
    [sym__external_open_bracket] = ACTIONS(1369),
    [sym__external_open_bracket2] = ACTIONS(1369),
  },
  [804] = {
    [aux_sym_function_definition_repeat1] = STATE(804),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_repeat] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_LT_DASH] = ACTIONS(1411),
    [anon_sym_LT_LT_DASH] = ACTIONS(1411),
    [anon_sym_COLON_EQ] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_DASH_GT_GT] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [aux_sym_binary_operator_token1] = ACTIONS(1411),
    [anon_sym_PIPE_GT] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [sym__hex_literal] = ACTIONS(1411),
    [sym__number_literal] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_return] = ACTIONS(1409),
    [sym_next] = ACTIONS(1409),
    [sym_break] = ACTIONS(1409),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_null] = ACTIONS(1409),
    [sym_inf] = ACTIONS(1409),
    [sym_nan] = ACTIONS(1409),
    [anon_sym_NA] = ACTIONS(1409),
    [anon_sym_NA_integer_] = ACTIONS(1409),
    [anon_sym_NA_real_] = ACTIONS(1409),
    [anon_sym_NA_complex_] = ACTIONS(1409),
    [anon_sym_NA_character_] = ACTIONS(1409),
    [sym_dots] = ACTIONS(1409),
    [sym_dot_dot_i] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1411),
    [sym__newline] = ACTIONS(1447),
    [sym__raw_string_literal] = ACTIONS(1411),
    [sym__external_else] = ACTIONS(1411),
    [sym__external_open_parenthesis] = ACTIONS(1411),
    [sym__external_close_parenthesis] = ACTIONS(1411),
    [sym__external_open_brace] = ACTIONS(1411),
    [sym__external_open_bracket] = ACTIONS(1411),
    [sym__external_open_bracket2] = ACTIONS(1411),
  },
  [805] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1357),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_close_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [806] = {
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_BSLASH] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_repeat] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_LT_DASH] = ACTIONS(1365),
    [anon_sym_LT_LT_DASH] = ACTIONS(1365),
    [anon_sym_COLON_EQ] = ACTIONS(1365),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_DASH_GT_GT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [aux_sym_binary_operator_token1] = ACTIONS(1365),
    [anon_sym_PIPE_GT] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1365),
    [sym__hex_literal] = ACTIONS(1365),
    [sym__number_literal] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_return] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_break] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1363),
    [anon_sym_NA_integer_] = ACTIONS(1363),
    [anon_sym_NA_real_] = ACTIONS(1363),
    [anon_sym_NA_complex_] = ACTIONS(1363),
    [anon_sym_NA_character_] = ACTIONS(1363),
    [sym_dots] = ACTIONS(1363),
    [sym_dot_dot_i] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1365),
    [sym__newline] = ACTIONS(1365),
    [sym__raw_string_literal] = ACTIONS(1365),
    [sym__external_open_parenthesis] = ACTIONS(1365),
    [sym__external_close_parenthesis] = ACTIONS(1365),
    [sym__external_open_brace] = ACTIONS(1365),
    [sym__external_open_bracket] = ACTIONS(1365),
    [sym__external_open_bracket2] = ACTIONS(1365),
  },
  [807] = {
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_repeat] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [anon_sym_LT_LT_DASH] = ACTIONS(1361),
    [anon_sym_COLON_EQ] = ACTIONS(1361),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_DASH_GT_GT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [aux_sym_binary_operator_token1] = ACTIONS(1361),
    [anon_sym_PIPE_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1361),
    [sym__hex_literal] = ACTIONS(1361),
    [sym__number_literal] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [sym_return] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_break] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1359),
    [anon_sym_NA_integer_] = ACTIONS(1359),
    [anon_sym_NA_real_] = ACTIONS(1359),
    [anon_sym_NA_complex_] = ACTIONS(1359),
    [anon_sym_NA_character_] = ACTIONS(1359),
    [sym_dots] = ACTIONS(1359),
    [sym_dot_dot_i] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1361),
    [sym__semicolon] = ACTIONS(1361),
    [sym__raw_string_literal] = ACTIONS(1361),
    [sym__external_open_parenthesis] = ACTIONS(1361),
    [sym__external_open_brace] = ACTIONS(1361),
    [sym__external_close_brace] = ACTIONS(1361),
    [sym__external_open_bracket] = ACTIONS(1361),
    [sym__external_open_bracket2] = ACTIONS(1361),
  },
  [808] = {
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_BSLASH] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_repeat] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_LT_DASH] = ACTIONS(1365),
    [anon_sym_LT_LT_DASH] = ACTIONS(1365),
    [anon_sym_COLON_EQ] = ACTIONS(1365),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_DASH_GT_GT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [aux_sym_binary_operator_token1] = ACTIONS(1365),
    [anon_sym_PIPE_GT] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1365),
    [sym__hex_literal] = ACTIONS(1365),
    [sym__number_literal] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_return] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_break] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1363),
    [anon_sym_NA_integer_] = ACTIONS(1363),
    [anon_sym_NA_real_] = ACTIONS(1363),
    [anon_sym_NA_complex_] = ACTIONS(1363),
    [anon_sym_NA_character_] = ACTIONS(1363),
    [sym_dots] = ACTIONS(1363),
    [sym_dot_dot_i] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1365),
    [sym__semicolon] = ACTIONS(1365),
    [sym__raw_string_literal] = ACTIONS(1365),
    [sym__external_open_parenthesis] = ACTIONS(1365),
    [sym__external_open_brace] = ACTIONS(1365),
    [sym__external_close_brace] = ACTIONS(1365),
    [sym__external_open_bracket] = ACTIONS(1365),
    [sym__external_open_bracket2] = ACTIONS(1365),
  },
  [809] = {
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_BSLASH] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_repeat] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_LT_DASH] = ACTIONS(1365),
    [anon_sym_LT_LT_DASH] = ACTIONS(1365),
    [anon_sym_COLON_EQ] = ACTIONS(1365),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_DASH_GT_GT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [aux_sym_binary_operator_token1] = ACTIONS(1365),
    [anon_sym_PIPE_GT] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1365),
    [sym__hex_literal] = ACTIONS(1365),
    [sym__number_literal] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_return] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_break] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1363),
    [anon_sym_NA_integer_] = ACTIONS(1363),
    [anon_sym_NA_real_] = ACTIONS(1363),
    [anon_sym_NA_complex_] = ACTIONS(1363),
    [anon_sym_NA_character_] = ACTIONS(1363),
    [sym_dots] = ACTIONS(1363),
    [sym_dot_dot_i] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1365),
    [sym__newline] = ACTIONS(1365),
    [sym__raw_string_literal] = ACTIONS(1365),
    [sym__external_open_parenthesis] = ACTIONS(1365),
    [sym__external_open_brace] = ACTIONS(1365),
    [sym__external_open_bracket] = ACTIONS(1365),
    [sym__external_close_bracket] = ACTIONS(1365),
    [sym__external_open_bracket2] = ACTIONS(1365),
  },
  [810] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_BSLASH] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_repeat] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_LT_DASH] = ACTIONS(1381),
    [anon_sym_LT_LT_DASH] = ACTIONS(1381),
    [anon_sym_COLON_EQ] = ACTIONS(1381),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_DASH_GT_GT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [aux_sym_binary_operator_token1] = ACTIONS(1381),
    [anon_sym_PIPE_GT] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1379),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1381),
    [sym__hex_literal] = ACTIONS(1381),
    [sym__number_literal] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_return] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_break] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1379),
    [anon_sym_NA_integer_] = ACTIONS(1379),
    [anon_sym_NA_real_] = ACTIONS(1379),
    [anon_sym_NA_complex_] = ACTIONS(1379),
    [anon_sym_NA_character_] = ACTIONS(1379),
    [sym_dots] = ACTIONS(1379),
    [sym_dot_dot_i] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1381),
    [sym__semicolon] = ACTIONS(1381),
    [sym__raw_string_literal] = ACTIONS(1381),
    [sym__external_open_parenthesis] = ACTIONS(1381),
    [sym__external_open_brace] = ACTIONS(1381),
    [sym__external_close_brace] = ACTIONS(1381),
    [sym__external_open_bracket] = ACTIONS(1381),
    [sym__external_open_bracket2] = ACTIONS(1381),
  },
  [811] = {
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_repeat] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_LT_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_DASH_GT] = ACTIONS(1452),
    [anon_sym_DASH_GT_GT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [aux_sym_binary_operator_token1] = ACTIONS(1454),
    [anon_sym_PIPE_GT] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym__hex_literal] = ACTIONS(1454),
    [sym__number_literal] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_return] = ACTIONS(1452),
    [sym_next] = ACTIONS(1452),
    [sym_break] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_inf] = ACTIONS(1452),
    [sym_nan] = ACTIONS(1452),
    [anon_sym_NA] = ACTIONS(1452),
    [anon_sym_NA_integer_] = ACTIONS(1452),
    [anon_sym_NA_real_] = ACTIONS(1452),
    [anon_sym_NA_complex_] = ACTIONS(1452),
    [anon_sym_NA_character_] = ACTIONS(1452),
    [sym_dots] = ACTIONS(1452),
    [sym_dot_dot_i] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1454),
    [sym__newline] = ACTIONS(1454),
    [sym__raw_string_literal] = ACTIONS(1454),
    [sym__external_else] = ACTIONS(1454),
    [sym__external_open_parenthesis] = ACTIONS(1454),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_open_bracket] = ACTIONS(1454),
    [sym__external_open_bracket2] = ACTIONS(1454),
    [sym__external_close_bracket2] = ACTIONS(1454),
  },
  [812] = {
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_repeat] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_LT_LT_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_DASH_GT] = ACTIONS(1458),
    [anon_sym_DASH_GT_GT] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [aux_sym_binary_operator_token1] = ACTIONS(1456),
    [anon_sym_PIPE_GT] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [sym__hex_literal] = ACTIONS(1456),
    [sym__number_literal] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_return] = ACTIONS(1458),
    [sym_next] = ACTIONS(1458),
    [sym_break] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [sym_inf] = ACTIONS(1458),
    [sym_nan] = ACTIONS(1458),
    [anon_sym_NA] = ACTIONS(1458),
    [anon_sym_NA_integer_] = ACTIONS(1458),
    [anon_sym_NA_real_] = ACTIONS(1458),
    [anon_sym_NA_complex_] = ACTIONS(1458),
    [anon_sym_NA_character_] = ACTIONS(1458),
    [sym_dots] = ACTIONS(1458),
    [sym_dot_dot_i] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1456),
    [sym__semicolon] = ACTIONS(1456),
    [sym__raw_string_literal] = ACTIONS(1456),
    [sym__external_else] = ACTIONS(1456),
    [sym__external_open_parenthesis] = ACTIONS(1456),
    [sym__external_open_brace] = ACTIONS(1456),
    [sym__external_open_bracket] = ACTIONS(1456),
    [sym__external_open_bracket2] = ACTIONS(1456),
  },
  [813] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_repeat] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_LT_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(1462),
    [anon_sym_DASH_GT] = ACTIONS(1460),
    [anon_sym_DASH_GT_GT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [aux_sym_binary_operator_token1] = ACTIONS(1462),
    [anon_sym_PIPE_GT] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [sym__hex_literal] = ACTIONS(1462),
    [sym__number_literal] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_return] = ACTIONS(1460),
    [sym_next] = ACTIONS(1460),
    [sym_break] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_inf] = ACTIONS(1460),
    [sym_nan] = ACTIONS(1460),
    [anon_sym_NA] = ACTIONS(1460),
    [anon_sym_NA_integer_] = ACTIONS(1460),
    [anon_sym_NA_real_] = ACTIONS(1460),
    [anon_sym_NA_complex_] = ACTIONS(1460),
    [anon_sym_NA_character_] = ACTIONS(1460),
    [sym_dots] = ACTIONS(1460),
    [sym_dot_dot_i] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1462),
    [sym__semicolon] = ACTIONS(1462),
    [sym__raw_string_literal] = ACTIONS(1462),
    [sym__external_else] = ACTIONS(1462),
    [sym__external_open_parenthesis] = ACTIONS(1462),
    [sym__external_open_brace] = ACTIONS(1462),
    [sym__external_close_brace] = ACTIONS(1462),
    [sym__external_open_bracket] = ACTIONS(1462),
    [sym__external_open_bracket2] = ACTIONS(1462),
  },
  [814] = {
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_repeat] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_LT_LT_DASH] = ACTIONS(1466),
    [anon_sym_COLON_EQ] = ACTIONS(1466),
    [anon_sym_DASH_GT] = ACTIONS(1464),
    [anon_sym_DASH_GT_GT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [aux_sym_binary_operator_token1] = ACTIONS(1466),
    [anon_sym_PIPE_GT] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym__hex_literal] = ACTIONS(1466),
    [sym__number_literal] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_return] = ACTIONS(1464),
    [sym_next] = ACTIONS(1464),
    [sym_break] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_inf] = ACTIONS(1464),
    [sym_nan] = ACTIONS(1464),
    [anon_sym_NA] = ACTIONS(1464),
    [anon_sym_NA_integer_] = ACTIONS(1464),
    [anon_sym_NA_real_] = ACTIONS(1464),
    [anon_sym_NA_complex_] = ACTIONS(1464),
    [anon_sym_NA_character_] = ACTIONS(1464),
    [sym_dots] = ACTIONS(1464),
    [sym_dot_dot_i] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1466),
    [sym__semicolon] = ACTIONS(1466),
    [sym__raw_string_literal] = ACTIONS(1466),
    [sym__external_else] = ACTIONS(1466),
    [sym__external_open_parenthesis] = ACTIONS(1466),
    [sym__external_open_brace] = ACTIONS(1466),
    [sym__external_close_brace] = ACTIONS(1466),
    [sym__external_open_bracket] = ACTIONS(1466),
    [sym__external_open_bracket2] = ACTIONS(1466),
  },
  [815] = {
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_repeat] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_LT_LT_DASH] = ACTIONS(1470),
    [anon_sym_COLON_EQ] = ACTIONS(1470),
    [anon_sym_DASH_GT] = ACTIONS(1468),
    [anon_sym_DASH_GT_GT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [aux_sym_binary_operator_token1] = ACTIONS(1470),
    [anon_sym_PIPE_GT] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym__hex_literal] = ACTIONS(1470),
    [sym__number_literal] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_return] = ACTIONS(1468),
    [sym_next] = ACTIONS(1468),
    [sym_break] = ACTIONS(1468),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_inf] = ACTIONS(1468),
    [sym_nan] = ACTIONS(1468),
    [anon_sym_NA] = ACTIONS(1468),
    [anon_sym_NA_integer_] = ACTIONS(1468),
    [anon_sym_NA_real_] = ACTIONS(1468),
    [anon_sym_NA_complex_] = ACTIONS(1468),
    [anon_sym_NA_character_] = ACTIONS(1468),
    [sym_dots] = ACTIONS(1468),
    [sym_dot_dot_i] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1470),
    [sym__semicolon] = ACTIONS(1470),
    [sym__raw_string_literal] = ACTIONS(1470),
    [sym__external_else] = ACTIONS(1470),
    [sym__external_open_parenthesis] = ACTIONS(1470),
    [sym__external_open_brace] = ACTIONS(1470),
    [sym__external_close_brace] = ACTIONS(1470),
    [sym__external_open_bracket] = ACTIONS(1470),
    [sym__external_open_bracket2] = ACTIONS(1470),
  },
  [816] = {
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_repeat] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_LT_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_DASH_GT] = ACTIONS(1452),
    [anon_sym_DASH_GT_GT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [aux_sym_binary_operator_token1] = ACTIONS(1454),
    [anon_sym_PIPE_GT] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym__hex_literal] = ACTIONS(1454),
    [sym__number_literal] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_return] = ACTIONS(1452),
    [sym_next] = ACTIONS(1452),
    [sym_break] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_inf] = ACTIONS(1452),
    [sym_nan] = ACTIONS(1452),
    [anon_sym_NA] = ACTIONS(1452),
    [anon_sym_NA_integer_] = ACTIONS(1452),
    [anon_sym_NA_real_] = ACTIONS(1452),
    [anon_sym_NA_complex_] = ACTIONS(1452),
    [anon_sym_NA_character_] = ACTIONS(1452),
    [sym_dots] = ACTIONS(1452),
    [sym_dot_dot_i] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1454),
    [sym__newline] = ACTIONS(1454),
    [sym__raw_string_literal] = ACTIONS(1454),
    [sym__external_else] = ACTIONS(1454),
    [sym__external_open_parenthesis] = ACTIONS(1454),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_open_bracket] = ACTIONS(1454),
    [sym__external_close_bracket] = ACTIONS(1454),
    [sym__external_open_bracket2] = ACTIONS(1454),
  },
  [817] = {
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_repeat] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_LT_LT_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_DASH_GT_GT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [aux_sym_binary_operator_token1] = ACTIONS(1474),
    [anon_sym_PIPE_GT] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [sym__hex_literal] = ACTIONS(1474),
    [sym__number_literal] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_return] = ACTIONS(1472),
    [sym_next] = ACTIONS(1472),
    [sym_break] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [sym_inf] = ACTIONS(1472),
    [sym_nan] = ACTIONS(1472),
    [anon_sym_NA] = ACTIONS(1472),
    [anon_sym_NA_integer_] = ACTIONS(1472),
    [anon_sym_NA_real_] = ACTIONS(1472),
    [anon_sym_NA_complex_] = ACTIONS(1472),
    [anon_sym_NA_character_] = ACTIONS(1472),
    [sym_dots] = ACTIONS(1472),
    [sym_dot_dot_i] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1474),
    [sym__newline] = ACTIONS(1474),
    [sym__raw_string_literal] = ACTIONS(1474),
    [sym__external_else] = ACTIONS(1474),
    [sym__external_open_parenthesis] = ACTIONS(1474),
    [sym__external_open_brace] = ACTIONS(1474),
    [sym__external_open_bracket] = ACTIONS(1474),
    [sym__external_close_bracket] = ACTIONS(1474),
    [sym__external_open_bracket2] = ACTIONS(1474),
  },
  [818] = {
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_repeat] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_LT_LT_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_DASH_GT] = ACTIONS(1476),
    [anon_sym_DASH_GT_GT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [aux_sym_binary_operator_token1] = ACTIONS(1478),
    [anon_sym_PIPE_GT] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [sym__hex_literal] = ACTIONS(1478),
    [sym__number_literal] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_return] = ACTIONS(1476),
    [sym_next] = ACTIONS(1476),
    [sym_break] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [sym_inf] = ACTIONS(1476),
    [sym_nan] = ACTIONS(1476),
    [anon_sym_NA] = ACTIONS(1476),
    [anon_sym_NA_integer_] = ACTIONS(1476),
    [anon_sym_NA_real_] = ACTIONS(1476),
    [anon_sym_NA_complex_] = ACTIONS(1476),
    [anon_sym_NA_character_] = ACTIONS(1476),
    [sym_dots] = ACTIONS(1476),
    [sym_dot_dot_i] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1478),
    [sym__newline] = ACTIONS(1478),
    [sym__raw_string_literal] = ACTIONS(1478),
    [sym__external_else] = ACTIONS(1478),
    [sym__external_open_parenthesis] = ACTIONS(1478),
    [sym__external_open_brace] = ACTIONS(1478),
    [sym__external_open_bracket] = ACTIONS(1478),
    [sym__external_close_bracket] = ACTIONS(1478),
    [sym__external_open_bracket2] = ACTIONS(1478),
  },
  [819] = {
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_function] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_repeat] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_LT_LT_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_DASH_GT] = ACTIONS(1480),
    [anon_sym_DASH_GT_GT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [aux_sym_binary_operator_token1] = ACTIONS(1482),
    [anon_sym_PIPE_GT] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [sym__hex_literal] = ACTIONS(1482),
    [sym__number_literal] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_return] = ACTIONS(1480),
    [sym_next] = ACTIONS(1480),
    [sym_break] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_inf] = ACTIONS(1480),
    [sym_nan] = ACTIONS(1480),
    [anon_sym_NA] = ACTIONS(1480),
    [anon_sym_NA_integer_] = ACTIONS(1480),
    [anon_sym_NA_real_] = ACTIONS(1480),
    [anon_sym_NA_complex_] = ACTIONS(1480),
    [anon_sym_NA_character_] = ACTIONS(1480),
    [sym_dots] = ACTIONS(1480),
    [sym_dot_dot_i] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1482),
    [sym__newline] = ACTIONS(1482),
    [sym__raw_string_literal] = ACTIONS(1482),
    [sym__external_else] = ACTIONS(1482),
    [sym__external_open_parenthesis] = ACTIONS(1482),
    [sym__external_open_brace] = ACTIONS(1482),
    [sym__external_open_bracket] = ACTIONS(1482),
    [sym__external_close_bracket] = ACTIONS(1482),
    [sym__external_open_bracket2] = ACTIONS(1482),
  },
  [820] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_repeat] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_LT_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(1462),
    [anon_sym_DASH_GT] = ACTIONS(1460),
    [anon_sym_DASH_GT_GT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [aux_sym_binary_operator_token1] = ACTIONS(1462),
    [anon_sym_PIPE_GT] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [sym__hex_literal] = ACTIONS(1462),
    [sym__number_literal] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_return] = ACTIONS(1460),
    [sym_next] = ACTIONS(1460),
    [sym_break] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_inf] = ACTIONS(1460),
    [sym_nan] = ACTIONS(1460),
    [anon_sym_NA] = ACTIONS(1460),
    [anon_sym_NA_integer_] = ACTIONS(1460),
    [anon_sym_NA_real_] = ACTIONS(1460),
    [anon_sym_NA_complex_] = ACTIONS(1460),
    [anon_sym_NA_character_] = ACTIONS(1460),
    [sym_dots] = ACTIONS(1460),
    [sym_dot_dot_i] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1462),
    [sym__newline] = ACTIONS(1462),
    [sym__raw_string_literal] = ACTIONS(1462),
    [sym__external_else] = ACTIONS(1462),
    [sym__external_open_parenthesis] = ACTIONS(1462),
    [sym__external_open_brace] = ACTIONS(1462),
    [sym__external_open_bracket] = ACTIONS(1462),
    [sym__external_close_bracket] = ACTIONS(1462),
    [sym__external_open_bracket2] = ACTIONS(1462),
  },
  [821] = {
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_repeat] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_LT_LT_DASH] = ACTIONS(1466),
    [anon_sym_COLON_EQ] = ACTIONS(1466),
    [anon_sym_DASH_GT] = ACTIONS(1464),
    [anon_sym_DASH_GT_GT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [aux_sym_binary_operator_token1] = ACTIONS(1466),
    [anon_sym_PIPE_GT] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym__hex_literal] = ACTIONS(1466),
    [sym__number_literal] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_return] = ACTIONS(1464),
    [sym_next] = ACTIONS(1464),
    [sym_break] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_inf] = ACTIONS(1464),
    [sym_nan] = ACTIONS(1464),
    [anon_sym_NA] = ACTIONS(1464),
    [anon_sym_NA_integer_] = ACTIONS(1464),
    [anon_sym_NA_real_] = ACTIONS(1464),
    [anon_sym_NA_complex_] = ACTIONS(1464),
    [anon_sym_NA_character_] = ACTIONS(1464),
    [sym_dots] = ACTIONS(1464),
    [sym_dot_dot_i] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1466),
    [sym__newline] = ACTIONS(1466),
    [sym__raw_string_literal] = ACTIONS(1466),
    [sym__external_else] = ACTIONS(1466),
    [sym__external_open_parenthesis] = ACTIONS(1466),
    [sym__external_open_brace] = ACTIONS(1466),
    [sym__external_open_bracket] = ACTIONS(1466),
    [sym__external_close_bracket] = ACTIONS(1466),
    [sym__external_open_bracket2] = ACTIONS(1466),
  },
  [822] = {
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_repeat] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_LT_LT_DASH] = ACTIONS(1470),
    [anon_sym_COLON_EQ] = ACTIONS(1470),
    [anon_sym_DASH_GT] = ACTIONS(1468),
    [anon_sym_DASH_GT_GT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [aux_sym_binary_operator_token1] = ACTIONS(1470),
    [anon_sym_PIPE_GT] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym__hex_literal] = ACTIONS(1470),
    [sym__number_literal] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_return] = ACTIONS(1468),
    [sym_next] = ACTIONS(1468),
    [sym_break] = ACTIONS(1468),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_inf] = ACTIONS(1468),
    [sym_nan] = ACTIONS(1468),
    [anon_sym_NA] = ACTIONS(1468),
    [anon_sym_NA_integer_] = ACTIONS(1468),
    [anon_sym_NA_real_] = ACTIONS(1468),
    [anon_sym_NA_complex_] = ACTIONS(1468),
    [anon_sym_NA_character_] = ACTIONS(1468),
    [sym_dots] = ACTIONS(1468),
    [sym_dot_dot_i] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1470),
    [sym__newline] = ACTIONS(1470),
    [sym__raw_string_literal] = ACTIONS(1470),
    [sym__external_else] = ACTIONS(1470),
    [sym__external_open_parenthesis] = ACTIONS(1470),
    [sym__external_open_brace] = ACTIONS(1470),
    [sym__external_open_bracket] = ACTIONS(1470),
    [sym__external_close_bracket] = ACTIONS(1470),
    [sym__external_open_bracket2] = ACTIONS(1470),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_repeat] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_LT_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_DASH_GT] = ACTIONS(1452),
    [anon_sym_DASH_GT_GT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [aux_sym_binary_operator_token1] = ACTIONS(1454),
    [anon_sym_PIPE_GT] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym__hex_literal] = ACTIONS(1454),
    [sym__number_literal] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_return] = ACTIONS(1452),
    [sym_next] = ACTIONS(1452),
    [sym_break] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_inf] = ACTIONS(1452),
    [sym_nan] = ACTIONS(1452),
    [anon_sym_NA] = ACTIONS(1452),
    [anon_sym_NA_integer_] = ACTIONS(1452),
    [anon_sym_NA_real_] = ACTIONS(1452),
    [anon_sym_NA_complex_] = ACTIONS(1452),
    [anon_sym_NA_character_] = ACTIONS(1452),
    [sym_dots] = ACTIONS(1452),
    [sym_dot_dot_i] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1454),
    [sym__semicolon] = ACTIONS(1454),
    [sym__raw_string_literal] = ACTIONS(1454),
    [sym__external_else] = ACTIONS(1454),
    [sym__external_open_parenthesis] = ACTIONS(1454),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_open_bracket] = ACTIONS(1454),
    [sym__external_open_bracket2] = ACTIONS(1454),
  },
  [824] = {
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1486),
    [anon_sym_LT_LT_DASH] = ACTIONS(1486),
    [anon_sym_COLON_EQ] = ACTIONS(1486),
    [anon_sym_DASH_GT] = ACTIONS(1484),
    [anon_sym_DASH_GT_GT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1486),
    [aux_sym_binary_operator_token1] = ACTIONS(1486),
    [anon_sym_PIPE_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [sym__hex_literal] = ACTIONS(1486),
    [sym__number_literal] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_return] = ACTIONS(1484),
    [sym_next] = ACTIONS(1484),
    [sym_break] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [sym_inf] = ACTIONS(1484),
    [sym_nan] = ACTIONS(1484),
    [anon_sym_NA] = ACTIONS(1484),
    [anon_sym_NA_integer_] = ACTIONS(1484),
    [anon_sym_NA_real_] = ACTIONS(1484),
    [anon_sym_NA_complex_] = ACTIONS(1484),
    [anon_sym_NA_character_] = ACTIONS(1484),
    [sym_dots] = ACTIONS(1484),
    [sym_dot_dot_i] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1486),
    [sym__newline] = ACTIONS(1486),
    [sym__raw_string_literal] = ACTIONS(1486),
    [sym__external_else] = ACTIONS(1486),
    [sym__external_open_parenthesis] = ACTIONS(1486),
    [sym__external_close_parenthesis] = ACTIONS(1486),
    [sym__external_open_brace] = ACTIONS(1486),
    [sym__external_open_bracket] = ACTIONS(1486),
    [sym__external_open_bracket2] = ACTIONS(1486),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_repeat] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_LT_LT_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_DASH_GT_GT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [aux_sym_binary_operator_token1] = ACTIONS(1474),
    [anon_sym_PIPE_GT] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [sym__hex_literal] = ACTIONS(1474),
    [sym__number_literal] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_return] = ACTIONS(1472),
    [sym_next] = ACTIONS(1472),
    [sym_break] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [sym_inf] = ACTIONS(1472),
    [sym_nan] = ACTIONS(1472),
    [anon_sym_NA] = ACTIONS(1472),
    [anon_sym_NA_integer_] = ACTIONS(1472),
    [anon_sym_NA_real_] = ACTIONS(1472),
    [anon_sym_NA_complex_] = ACTIONS(1472),
    [anon_sym_NA_character_] = ACTIONS(1472),
    [sym_dots] = ACTIONS(1472),
    [sym_dot_dot_i] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1474),
    [sym__semicolon] = ACTIONS(1474),
    [sym__raw_string_literal] = ACTIONS(1474),
    [sym__external_else] = ACTIONS(1474),
    [sym__external_open_parenthesis] = ACTIONS(1474),
    [sym__external_open_brace] = ACTIONS(1474),
    [sym__external_open_bracket] = ACTIONS(1474),
    [sym__external_open_bracket2] = ACTIONS(1474),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_repeat] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_LT_LT_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_DASH_GT] = ACTIONS(1476),
    [anon_sym_DASH_GT_GT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [aux_sym_binary_operator_token1] = ACTIONS(1478),
    [anon_sym_PIPE_GT] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [sym__hex_literal] = ACTIONS(1478),
    [sym__number_literal] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_return] = ACTIONS(1476),
    [sym_next] = ACTIONS(1476),
    [sym_break] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [sym_inf] = ACTIONS(1476),
    [sym_nan] = ACTIONS(1476),
    [anon_sym_NA] = ACTIONS(1476),
    [anon_sym_NA_integer_] = ACTIONS(1476),
    [anon_sym_NA_real_] = ACTIONS(1476),
    [anon_sym_NA_complex_] = ACTIONS(1476),
    [anon_sym_NA_character_] = ACTIONS(1476),
    [sym_dots] = ACTIONS(1476),
    [sym_dot_dot_i] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1478),
    [sym__semicolon] = ACTIONS(1478),
    [sym__raw_string_literal] = ACTIONS(1478),
    [sym__external_else] = ACTIONS(1478),
    [sym__external_open_parenthesis] = ACTIONS(1478),
    [sym__external_open_brace] = ACTIONS(1478),
    [sym__external_open_bracket] = ACTIONS(1478),
    [sym__external_open_bracket2] = ACTIONS(1478),
  },
  [827] = {
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_repeat] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_LT_LT_DASH] = ACTIONS(1490),
    [anon_sym_COLON_EQ] = ACTIONS(1490),
    [anon_sym_DASH_GT] = ACTIONS(1488),
    [anon_sym_DASH_GT_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [aux_sym_binary_operator_token1] = ACTIONS(1490),
    [anon_sym_PIPE_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym__hex_literal] = ACTIONS(1490),
    [sym__number_literal] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_return] = ACTIONS(1488),
    [sym_next] = ACTIONS(1488),
    [sym_break] = ACTIONS(1488),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [sym_inf] = ACTIONS(1488),
    [sym_nan] = ACTIONS(1488),
    [anon_sym_NA] = ACTIONS(1488),
    [anon_sym_NA_integer_] = ACTIONS(1488),
    [anon_sym_NA_real_] = ACTIONS(1488),
    [anon_sym_NA_complex_] = ACTIONS(1488),
    [anon_sym_NA_character_] = ACTIONS(1488),
    [sym_dots] = ACTIONS(1488),
    [sym_dot_dot_i] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1490),
    [sym__newline] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1490),
    [sym__external_else] = ACTIONS(1490),
    [sym__external_open_parenthesis] = ACTIONS(1490),
    [sym__external_open_brace] = ACTIONS(1490),
    [sym__external_open_bracket] = ACTIONS(1490),
    [sym__external_close_bracket] = ACTIONS(1490),
    [sym__external_open_bracket2] = ACTIONS(1490),
  },
  [828] = {
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_repeat] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_LT_LT_DASH] = ACTIONS(1494),
    [anon_sym_COLON_EQ] = ACTIONS(1494),
    [anon_sym_DASH_GT] = ACTIONS(1492),
    [anon_sym_DASH_GT_GT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [aux_sym_binary_operator_token1] = ACTIONS(1494),
    [anon_sym_PIPE_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym__hex_literal] = ACTIONS(1494),
    [sym__number_literal] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_return] = ACTIONS(1492),
    [sym_next] = ACTIONS(1492),
    [sym_break] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_inf] = ACTIONS(1492),
    [sym_nan] = ACTIONS(1492),
    [anon_sym_NA] = ACTIONS(1492),
    [anon_sym_NA_integer_] = ACTIONS(1492),
    [anon_sym_NA_real_] = ACTIONS(1492),
    [anon_sym_NA_complex_] = ACTIONS(1492),
    [anon_sym_NA_character_] = ACTIONS(1492),
    [sym_dots] = ACTIONS(1492),
    [sym_dot_dot_i] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1494),
    [sym__newline] = ACTIONS(1494),
    [sym__raw_string_literal] = ACTIONS(1494),
    [sym__external_else] = ACTIONS(1494),
    [sym__external_open_parenthesis] = ACTIONS(1494),
    [sym__external_open_brace] = ACTIONS(1494),
    [sym__external_open_bracket] = ACTIONS(1494),
    [sym__external_close_bracket] = ACTIONS(1494),
    [sym__external_open_bracket2] = ACTIONS(1494),
  },
  [829] = {
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_repeat] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_LT_DASH] = ACTIONS(1498),
    [anon_sym_LT_LT_DASH] = ACTIONS(1498),
    [anon_sym_COLON_EQ] = ACTIONS(1498),
    [anon_sym_DASH_GT] = ACTIONS(1496),
    [anon_sym_DASH_GT_GT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1498),
    [aux_sym_binary_operator_token1] = ACTIONS(1498),
    [anon_sym_PIPE_GT] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [sym__hex_literal] = ACTIONS(1498),
    [sym__number_literal] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_return] = ACTIONS(1496),
    [sym_next] = ACTIONS(1496),
    [sym_break] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_inf] = ACTIONS(1496),
    [sym_nan] = ACTIONS(1496),
    [anon_sym_NA] = ACTIONS(1496),
    [anon_sym_NA_integer_] = ACTIONS(1496),
    [anon_sym_NA_real_] = ACTIONS(1496),
    [anon_sym_NA_complex_] = ACTIONS(1496),
    [anon_sym_NA_character_] = ACTIONS(1496),
    [sym_dots] = ACTIONS(1496),
    [sym_dot_dot_i] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1498),
    [sym__newline] = ACTIONS(1498),
    [sym__raw_string_literal] = ACTIONS(1498),
    [sym__external_else] = ACTIONS(1498),
    [sym__external_open_parenthesis] = ACTIONS(1498),
    [sym__external_open_brace] = ACTIONS(1498),
    [sym__external_open_bracket] = ACTIONS(1498),
    [sym__external_close_bracket] = ACTIONS(1498),
    [sym__external_open_bracket2] = ACTIONS(1498),
  },
  [830] = {
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_repeat] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_LT_LT_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_DASH_GT] = ACTIONS(1458),
    [anon_sym_DASH_GT_GT] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [aux_sym_binary_operator_token1] = ACTIONS(1456),
    [anon_sym_PIPE_GT] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [sym__hex_literal] = ACTIONS(1456),
    [sym__number_literal] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_return] = ACTIONS(1458),
    [sym_next] = ACTIONS(1458),
    [sym_break] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [sym_inf] = ACTIONS(1458),
    [sym_nan] = ACTIONS(1458),
    [anon_sym_NA] = ACTIONS(1458),
    [anon_sym_NA_integer_] = ACTIONS(1458),
    [anon_sym_NA_real_] = ACTIONS(1458),
    [anon_sym_NA_complex_] = ACTIONS(1458),
    [anon_sym_NA_character_] = ACTIONS(1458),
    [sym_dots] = ACTIONS(1458),
    [sym_dot_dot_i] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1456),
    [sym__newline] = ACTIONS(1456),
    [sym__raw_string_literal] = ACTIONS(1456),
    [sym__external_else] = ACTIONS(1456),
    [sym__external_open_parenthesis] = ACTIONS(1456),
    [sym__external_open_brace] = ACTIONS(1456),
    [sym__external_open_bracket] = ACTIONS(1456),
    [sym__external_close_bracket] = ACTIONS(1456),
    [sym__external_open_bracket2] = ACTIONS(1456),
  },
  [831] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(1056),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1538),
  },
  [832] = {
    [aux_sym_function_definition_repeat1] = STATE(832),
    [ts_builtin_sym_end] = ACTIONS(1411),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_repeat] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_LT_DASH] = ACTIONS(1411),
    [anon_sym_LT_LT_DASH] = ACTIONS(1411),
    [anon_sym_COLON_EQ] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_DASH_GT_GT] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [aux_sym_binary_operator_token1] = ACTIONS(1411),
    [anon_sym_PIPE_GT] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [sym__hex_literal] = ACTIONS(1411),
    [sym__number_literal] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_return] = ACTIONS(1409),
    [sym_next] = ACTIONS(1409),
    [sym_break] = ACTIONS(1409),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_null] = ACTIONS(1409),
    [sym_inf] = ACTIONS(1409),
    [sym_nan] = ACTIONS(1409),
    [anon_sym_NA] = ACTIONS(1409),
    [anon_sym_NA_integer_] = ACTIONS(1409),
    [anon_sym_NA_real_] = ACTIONS(1409),
    [anon_sym_NA_complex_] = ACTIONS(1409),
    [anon_sym_NA_character_] = ACTIONS(1409),
    [sym_dots] = ACTIONS(1409),
    [sym_dot_dot_i] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1540),
    [sym__semicolon] = ACTIONS(1411),
    [sym__raw_string_literal] = ACTIONS(1411),
    [sym__external_open_parenthesis] = ACTIONS(1411),
    [sym__external_open_brace] = ACTIONS(1411),
    [sym__external_open_bracket] = ACTIONS(1411),
    [sym__external_open_bracket2] = ACTIONS(1411),
  },
  [833] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(981),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1543),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_function] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_repeat] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_LT_LT_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_DASH_GT] = ACTIONS(1480),
    [anon_sym_DASH_GT_GT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [aux_sym_binary_operator_token1] = ACTIONS(1482),
    [anon_sym_PIPE_GT] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [sym__hex_literal] = ACTIONS(1482),
    [sym__number_literal] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_return] = ACTIONS(1480),
    [sym_next] = ACTIONS(1480),
    [sym_break] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_inf] = ACTIONS(1480),
    [sym_nan] = ACTIONS(1480),
    [anon_sym_NA] = ACTIONS(1480),
    [anon_sym_NA_integer_] = ACTIONS(1480),
    [anon_sym_NA_real_] = ACTIONS(1480),
    [anon_sym_NA_complex_] = ACTIONS(1480),
    [anon_sym_NA_character_] = ACTIONS(1480),
    [sym_dots] = ACTIONS(1480),
    [sym_dot_dot_i] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1482),
    [sym__semicolon] = ACTIONS(1482),
    [sym__raw_string_literal] = ACTIONS(1482),
    [sym__external_else] = ACTIONS(1482),
    [sym__external_open_parenthesis] = ACTIONS(1482),
    [sym__external_open_brace] = ACTIONS(1482),
    [sym__external_open_bracket] = ACTIONS(1482),
    [sym__external_open_bracket2] = ACTIONS(1482),
  },
  [835] = {
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_repeat] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_LT_LT_DASH] = ACTIONS(1490),
    [anon_sym_COLON_EQ] = ACTIONS(1490),
    [anon_sym_DASH_GT] = ACTIONS(1488),
    [anon_sym_DASH_GT_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [aux_sym_binary_operator_token1] = ACTIONS(1490),
    [anon_sym_PIPE_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym__hex_literal] = ACTIONS(1490),
    [sym__number_literal] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_return] = ACTIONS(1488),
    [sym_next] = ACTIONS(1488),
    [sym_break] = ACTIONS(1488),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [sym_inf] = ACTIONS(1488),
    [sym_nan] = ACTIONS(1488),
    [anon_sym_NA] = ACTIONS(1488),
    [anon_sym_NA_integer_] = ACTIONS(1488),
    [anon_sym_NA_real_] = ACTIONS(1488),
    [anon_sym_NA_complex_] = ACTIONS(1488),
    [anon_sym_NA_character_] = ACTIONS(1488),
    [sym_dots] = ACTIONS(1488),
    [sym_dot_dot_i] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1490),
    [sym__semicolon] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1490),
    [sym__external_else] = ACTIONS(1490),
    [sym__external_open_parenthesis] = ACTIONS(1490),
    [sym__external_open_brace] = ACTIONS(1490),
    [sym__external_close_brace] = ACTIONS(1490),
    [sym__external_open_bracket] = ACTIONS(1490),
    [sym__external_open_bracket2] = ACTIONS(1490),
  },
  [836] = {
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_repeat] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_LT_LT_DASH] = ACTIONS(1494),
    [anon_sym_COLON_EQ] = ACTIONS(1494),
    [anon_sym_DASH_GT] = ACTIONS(1492),
    [anon_sym_DASH_GT_GT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [aux_sym_binary_operator_token1] = ACTIONS(1494),
    [anon_sym_PIPE_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym__hex_literal] = ACTIONS(1494),
    [sym__number_literal] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_return] = ACTIONS(1492),
    [sym_next] = ACTIONS(1492),
    [sym_break] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_inf] = ACTIONS(1492),
    [sym_nan] = ACTIONS(1492),
    [anon_sym_NA] = ACTIONS(1492),
    [anon_sym_NA_integer_] = ACTIONS(1492),
    [anon_sym_NA_real_] = ACTIONS(1492),
    [anon_sym_NA_complex_] = ACTIONS(1492),
    [anon_sym_NA_character_] = ACTIONS(1492),
    [sym_dots] = ACTIONS(1492),
    [sym_dot_dot_i] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1494),
    [sym__semicolon] = ACTIONS(1494),
    [sym__raw_string_literal] = ACTIONS(1494),
    [sym__external_else] = ACTIONS(1494),
    [sym__external_open_parenthesis] = ACTIONS(1494),
    [sym__external_open_brace] = ACTIONS(1494),
    [sym__external_close_brace] = ACTIONS(1494),
    [sym__external_open_bracket] = ACTIONS(1494),
    [sym__external_open_bracket2] = ACTIONS(1494),
  },
  [837] = {
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_repeat] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_LT_DASH] = ACTIONS(1498),
    [anon_sym_LT_LT_DASH] = ACTIONS(1498),
    [anon_sym_COLON_EQ] = ACTIONS(1498),
    [anon_sym_DASH_GT] = ACTIONS(1496),
    [anon_sym_DASH_GT_GT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1498),
    [aux_sym_binary_operator_token1] = ACTIONS(1498),
    [anon_sym_PIPE_GT] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [sym__hex_literal] = ACTIONS(1498),
    [sym__number_literal] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_return] = ACTIONS(1496),
    [sym_next] = ACTIONS(1496),
    [sym_break] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_inf] = ACTIONS(1496),
    [sym_nan] = ACTIONS(1496),
    [anon_sym_NA] = ACTIONS(1496),
    [anon_sym_NA_integer_] = ACTIONS(1496),
    [anon_sym_NA_real_] = ACTIONS(1496),
    [anon_sym_NA_complex_] = ACTIONS(1496),
    [anon_sym_NA_character_] = ACTIONS(1496),
    [sym_dots] = ACTIONS(1496),
    [sym_dot_dot_i] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1498),
    [sym__semicolon] = ACTIONS(1498),
    [sym__raw_string_literal] = ACTIONS(1498),
    [sym__external_else] = ACTIONS(1498),
    [sym__external_open_parenthesis] = ACTIONS(1498),
    [sym__external_open_brace] = ACTIONS(1498),
    [sym__external_close_brace] = ACTIONS(1498),
    [sym__external_open_bracket] = ACTIONS(1498),
    [sym__external_open_bracket2] = ACTIONS(1498),
  },
  [838] = {
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1486),
    [anon_sym_LT_LT_DASH] = ACTIONS(1486),
    [anon_sym_COLON_EQ] = ACTIONS(1486),
    [anon_sym_DASH_GT] = ACTIONS(1484),
    [anon_sym_DASH_GT_GT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1486),
    [aux_sym_binary_operator_token1] = ACTIONS(1486),
    [anon_sym_PIPE_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [sym__hex_literal] = ACTIONS(1486),
    [sym__number_literal] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_return] = ACTIONS(1484),
    [sym_next] = ACTIONS(1484),
    [sym_break] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [sym_inf] = ACTIONS(1484),
    [sym_nan] = ACTIONS(1484),
    [anon_sym_NA] = ACTIONS(1484),
    [anon_sym_NA_integer_] = ACTIONS(1484),
    [anon_sym_NA_real_] = ACTIONS(1484),
    [anon_sym_NA_complex_] = ACTIONS(1484),
    [anon_sym_NA_character_] = ACTIONS(1484),
    [sym_dots] = ACTIONS(1484),
    [sym_dot_dot_i] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1486),
    [sym__newline] = ACTIONS(1486),
    [sym__raw_string_literal] = ACTIONS(1486),
    [sym__external_else] = ACTIONS(1486),
    [sym__external_open_parenthesis] = ACTIONS(1486),
    [sym__external_open_brace] = ACTIONS(1486),
    [sym__external_open_bracket] = ACTIONS(1486),
    [sym__external_open_bracket2] = ACTIONS(1486),
    [sym__external_close_bracket2] = ACTIONS(1486),
  },
  [839] = {
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_repeat] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_LT_LT_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_DASH_GT] = ACTIONS(1458),
    [anon_sym_DASH_GT_GT] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [aux_sym_binary_operator_token1] = ACTIONS(1456),
    [anon_sym_PIPE_GT] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [sym__hex_literal] = ACTIONS(1456),
    [sym__number_literal] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_return] = ACTIONS(1458),
    [sym_next] = ACTIONS(1458),
    [sym_break] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [sym_inf] = ACTIONS(1458),
    [sym_nan] = ACTIONS(1458),
    [anon_sym_NA] = ACTIONS(1458),
    [anon_sym_NA_integer_] = ACTIONS(1458),
    [anon_sym_NA_real_] = ACTIONS(1458),
    [anon_sym_NA_complex_] = ACTIONS(1458),
    [anon_sym_NA_character_] = ACTIONS(1458),
    [sym_dots] = ACTIONS(1458),
    [sym_dot_dot_i] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1456),
    [sym__semicolon] = ACTIONS(1456),
    [sym__raw_string_literal] = ACTIONS(1456),
    [sym__external_else] = ACTIONS(1456),
    [sym__external_open_parenthesis] = ACTIONS(1456),
    [sym__external_open_brace] = ACTIONS(1456),
    [sym__external_close_brace] = ACTIONS(1456),
    [sym__external_open_bracket] = ACTIONS(1456),
    [sym__external_open_bracket2] = ACTIONS(1456),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_repeat] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_LT_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(1462),
    [anon_sym_DASH_GT] = ACTIONS(1460),
    [anon_sym_DASH_GT_GT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [aux_sym_binary_operator_token1] = ACTIONS(1462),
    [anon_sym_PIPE_GT] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [sym__hex_literal] = ACTIONS(1462),
    [sym__number_literal] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_return] = ACTIONS(1460),
    [sym_next] = ACTIONS(1460),
    [sym_break] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_inf] = ACTIONS(1460),
    [sym_nan] = ACTIONS(1460),
    [anon_sym_NA] = ACTIONS(1460),
    [anon_sym_NA_integer_] = ACTIONS(1460),
    [anon_sym_NA_real_] = ACTIONS(1460),
    [anon_sym_NA_complex_] = ACTIONS(1460),
    [anon_sym_NA_character_] = ACTIONS(1460),
    [sym_dots] = ACTIONS(1460),
    [sym_dot_dot_i] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1462),
    [sym__semicolon] = ACTIONS(1462),
    [sym__raw_string_literal] = ACTIONS(1462),
    [sym__external_else] = ACTIONS(1462),
    [sym__external_open_parenthesis] = ACTIONS(1462),
    [sym__external_open_brace] = ACTIONS(1462),
    [sym__external_open_bracket] = ACTIONS(1462),
    [sym__external_open_bracket2] = ACTIONS(1462),
  },
  [841] = {
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_repeat] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1547),
    [anon_sym_LT_LT_DASH] = ACTIONS(1547),
    [anon_sym_COLON_EQ] = ACTIONS(1547),
    [anon_sym_DASH_GT] = ACTIONS(1545),
    [anon_sym_DASH_GT_GT] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [aux_sym_binary_operator_token1] = ACTIONS(1547),
    [anon_sym_PIPE_GT] = ACTIONS(1547),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1547),
    [sym__hex_literal] = ACTIONS(1547),
    [sym__number_literal] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_return] = ACTIONS(1545),
    [sym_next] = ACTIONS(1545),
    [sym_break] = ACTIONS(1545),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_null] = ACTIONS(1545),
    [sym_inf] = ACTIONS(1545),
    [sym_nan] = ACTIONS(1545),
    [anon_sym_NA] = ACTIONS(1545),
    [anon_sym_NA_integer_] = ACTIONS(1545),
    [anon_sym_NA_real_] = ACTIONS(1545),
    [anon_sym_NA_complex_] = ACTIONS(1545),
    [anon_sym_NA_character_] = ACTIONS(1545),
    [sym_dots] = ACTIONS(1545),
    [sym_dot_dot_i] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1547),
    [sym__newline] = ACTIONS(1547),
    [sym__raw_string_literal] = ACTIONS(1547),
    [sym__external_else] = ACTIONS(1547),
    [sym__external_open_parenthesis] = ACTIONS(1547),
    [sym__external_close_parenthesis] = ACTIONS(1547),
    [sym__external_open_brace] = ACTIONS(1547),
    [sym__external_open_bracket] = ACTIONS(1547),
    [sym__external_open_bracket2] = ACTIONS(1547),
  },
  [842] = {
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_BSLASH] = ACTIONS(1551),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_repeat] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1551),
    [anon_sym_LT_LT_DASH] = ACTIONS(1551),
    [anon_sym_COLON_EQ] = ACTIONS(1551),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_DASH_GT_GT] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [aux_sym_binary_operator_token1] = ACTIONS(1551),
    [anon_sym_PIPE_GT] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(1551),
    [sym__hex_literal] = ACTIONS(1551),
    [sym__number_literal] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_return] = ACTIONS(1549),
    [sym_next] = ACTIONS(1549),
    [sym_break] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_null] = ACTIONS(1549),
    [sym_inf] = ACTIONS(1549),
    [sym_nan] = ACTIONS(1549),
    [anon_sym_NA] = ACTIONS(1549),
    [anon_sym_NA_integer_] = ACTIONS(1549),
    [anon_sym_NA_real_] = ACTIONS(1549),
    [anon_sym_NA_complex_] = ACTIONS(1549),
    [anon_sym_NA_character_] = ACTIONS(1549),
    [sym_dots] = ACTIONS(1549),
    [sym_dot_dot_i] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1551),
    [sym__newline] = ACTIONS(1551),
    [sym__raw_string_literal] = ACTIONS(1551),
    [sym__external_else] = ACTIONS(1551),
    [sym__external_open_parenthesis] = ACTIONS(1551),
    [sym__external_close_parenthesis] = ACTIONS(1551),
    [sym__external_open_brace] = ACTIONS(1551),
    [sym__external_open_bracket] = ACTIONS(1551),
    [sym__external_open_bracket2] = ACTIONS(1551),
  },
  [843] = {
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_BSLASH] = ACTIONS(1555),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_repeat] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_LT_DASH] = ACTIONS(1555),
    [anon_sym_LT_LT_DASH] = ACTIONS(1555),
    [anon_sym_COLON_EQ] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_DASH_GT_GT] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [aux_sym_binary_operator_token1] = ACTIONS(1555),
    [anon_sym_PIPE_GT] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1555),
    [sym__hex_literal] = ACTIONS(1555),
    [sym__number_literal] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_return] = ACTIONS(1553),
    [sym_next] = ACTIONS(1553),
    [sym_break] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_null] = ACTIONS(1553),
    [sym_inf] = ACTIONS(1553),
    [sym_nan] = ACTIONS(1553),
    [anon_sym_NA] = ACTIONS(1553),
    [anon_sym_NA_integer_] = ACTIONS(1553),
    [anon_sym_NA_real_] = ACTIONS(1553),
    [anon_sym_NA_complex_] = ACTIONS(1553),
    [anon_sym_NA_character_] = ACTIONS(1553),
    [sym_dots] = ACTIONS(1553),
    [sym_dot_dot_i] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1555),
    [sym__newline] = ACTIONS(1555),
    [sym__raw_string_literal] = ACTIONS(1555),
    [sym__external_else] = ACTIONS(1555),
    [sym__external_open_parenthesis] = ACTIONS(1555),
    [sym__external_close_parenthesis] = ACTIONS(1555),
    [sym__external_open_brace] = ACTIONS(1555),
    [sym__external_open_bracket] = ACTIONS(1555),
    [sym__external_open_bracket2] = ACTIONS(1555),
  },
  [844] = {
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_BSLASH] = ACTIONS(1559),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_repeat] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_LT_DASH] = ACTIONS(1559),
    [anon_sym_LT_LT_DASH] = ACTIONS(1559),
    [anon_sym_COLON_EQ] = ACTIONS(1559),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_DASH_GT_GT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1559),
    [aux_sym_binary_operator_token1] = ACTIONS(1559),
    [anon_sym_PIPE_GT] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1559),
    [sym__hex_literal] = ACTIONS(1559),
    [sym__number_literal] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_return] = ACTIONS(1557),
    [sym_next] = ACTIONS(1557),
    [sym_break] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_null] = ACTIONS(1557),
    [sym_inf] = ACTIONS(1557),
    [sym_nan] = ACTIONS(1557),
    [anon_sym_NA] = ACTIONS(1557),
    [anon_sym_NA_integer_] = ACTIONS(1557),
    [anon_sym_NA_real_] = ACTIONS(1557),
    [anon_sym_NA_complex_] = ACTIONS(1557),
    [anon_sym_NA_character_] = ACTIONS(1557),
    [sym_dots] = ACTIONS(1557),
    [sym_dot_dot_i] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1559),
    [sym__newline] = ACTIONS(1559),
    [sym__raw_string_literal] = ACTIONS(1559),
    [sym__external_else] = ACTIONS(1559),
    [sym__external_open_parenthesis] = ACTIONS(1559),
    [sym__external_close_parenthesis] = ACTIONS(1559),
    [sym__external_open_brace] = ACTIONS(1559),
    [sym__external_open_bracket] = ACTIONS(1559),
    [sym__external_open_bracket2] = ACTIONS(1559),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_repeat] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_LT_LT_DASH] = ACTIONS(1466),
    [anon_sym_COLON_EQ] = ACTIONS(1466),
    [anon_sym_DASH_GT] = ACTIONS(1464),
    [anon_sym_DASH_GT_GT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [aux_sym_binary_operator_token1] = ACTIONS(1466),
    [anon_sym_PIPE_GT] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym__hex_literal] = ACTIONS(1466),
    [sym__number_literal] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_return] = ACTIONS(1464),
    [sym_next] = ACTIONS(1464),
    [sym_break] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_inf] = ACTIONS(1464),
    [sym_nan] = ACTIONS(1464),
    [anon_sym_NA] = ACTIONS(1464),
    [anon_sym_NA_integer_] = ACTIONS(1464),
    [anon_sym_NA_real_] = ACTIONS(1464),
    [anon_sym_NA_complex_] = ACTIONS(1464),
    [anon_sym_NA_character_] = ACTIONS(1464),
    [sym_dots] = ACTIONS(1464),
    [sym_dot_dot_i] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1466),
    [sym__semicolon] = ACTIONS(1466),
    [sym__raw_string_literal] = ACTIONS(1466),
    [sym__external_else] = ACTIONS(1466),
    [sym__external_open_parenthesis] = ACTIONS(1466),
    [sym__external_open_brace] = ACTIONS(1466),
    [sym__external_open_bracket] = ACTIONS(1466),
    [sym__external_open_bracket2] = ACTIONS(1466),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_repeat] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_LT_LT_DASH] = ACTIONS(1470),
    [anon_sym_COLON_EQ] = ACTIONS(1470),
    [anon_sym_DASH_GT] = ACTIONS(1468),
    [anon_sym_DASH_GT_GT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [aux_sym_binary_operator_token1] = ACTIONS(1470),
    [anon_sym_PIPE_GT] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym__hex_literal] = ACTIONS(1470),
    [sym__number_literal] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_return] = ACTIONS(1468),
    [sym_next] = ACTIONS(1468),
    [sym_break] = ACTIONS(1468),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_inf] = ACTIONS(1468),
    [sym_nan] = ACTIONS(1468),
    [anon_sym_NA] = ACTIONS(1468),
    [anon_sym_NA_integer_] = ACTIONS(1468),
    [anon_sym_NA_real_] = ACTIONS(1468),
    [anon_sym_NA_complex_] = ACTIONS(1468),
    [anon_sym_NA_character_] = ACTIONS(1468),
    [sym_dots] = ACTIONS(1468),
    [sym_dot_dot_i] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1470),
    [sym__semicolon] = ACTIONS(1470),
    [sym__raw_string_literal] = ACTIONS(1470),
    [sym__external_else] = ACTIONS(1470),
    [sym__external_open_parenthesis] = ACTIONS(1470),
    [sym__external_open_brace] = ACTIONS(1470),
    [sym__external_open_bracket] = ACTIONS(1470),
    [sym__external_open_bracket2] = ACTIONS(1470),
  },
  [847] = {
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_repeat] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1547),
    [anon_sym_LT_LT_DASH] = ACTIONS(1547),
    [anon_sym_COLON_EQ] = ACTIONS(1547),
    [anon_sym_DASH_GT] = ACTIONS(1545),
    [anon_sym_DASH_GT_GT] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [aux_sym_binary_operator_token1] = ACTIONS(1547),
    [anon_sym_PIPE_GT] = ACTIONS(1547),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1547),
    [sym__hex_literal] = ACTIONS(1547),
    [sym__number_literal] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_return] = ACTIONS(1545),
    [sym_next] = ACTIONS(1545),
    [sym_break] = ACTIONS(1545),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_null] = ACTIONS(1545),
    [sym_inf] = ACTIONS(1545),
    [sym_nan] = ACTIONS(1545),
    [anon_sym_NA] = ACTIONS(1545),
    [anon_sym_NA_integer_] = ACTIONS(1545),
    [anon_sym_NA_real_] = ACTIONS(1545),
    [anon_sym_NA_complex_] = ACTIONS(1545),
    [anon_sym_NA_character_] = ACTIONS(1545),
    [sym_dots] = ACTIONS(1545),
    [sym_dot_dot_i] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1547),
    [sym__newline] = ACTIONS(1547),
    [sym__raw_string_literal] = ACTIONS(1547),
    [sym__external_else] = ACTIONS(1547),
    [sym__external_open_parenthesis] = ACTIONS(1547),
    [sym__external_open_brace] = ACTIONS(1547),
    [sym__external_open_bracket] = ACTIONS(1547),
    [sym__external_open_bracket2] = ACTIONS(1547),
    [sym__external_close_bracket2] = ACTIONS(1547),
  },
  [848] = {
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_BSLASH] = ACTIONS(1551),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_repeat] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1551),
    [anon_sym_LT_LT_DASH] = ACTIONS(1551),
    [anon_sym_COLON_EQ] = ACTIONS(1551),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_DASH_GT_GT] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [aux_sym_binary_operator_token1] = ACTIONS(1551),
    [anon_sym_PIPE_GT] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(1551),
    [sym__hex_literal] = ACTIONS(1551),
    [sym__number_literal] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_return] = ACTIONS(1549),
    [sym_next] = ACTIONS(1549),
    [sym_break] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_null] = ACTIONS(1549),
    [sym_inf] = ACTIONS(1549),
    [sym_nan] = ACTIONS(1549),
    [anon_sym_NA] = ACTIONS(1549),
    [anon_sym_NA_integer_] = ACTIONS(1549),
    [anon_sym_NA_real_] = ACTIONS(1549),
    [anon_sym_NA_complex_] = ACTIONS(1549),
    [anon_sym_NA_character_] = ACTIONS(1549),
    [sym_dots] = ACTIONS(1549),
    [sym_dot_dot_i] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1551),
    [sym__newline] = ACTIONS(1551),
    [sym__raw_string_literal] = ACTIONS(1551),
    [sym__external_else] = ACTIONS(1551),
    [sym__external_open_parenthesis] = ACTIONS(1551),
    [sym__external_open_brace] = ACTIONS(1551),
    [sym__external_open_bracket] = ACTIONS(1551),
    [sym__external_open_bracket2] = ACTIONS(1551),
    [sym__external_close_bracket2] = ACTIONS(1551),
  },
  [849] = {
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_BSLASH] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_repeat] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_LT_DASH] = ACTIONS(1563),
    [anon_sym_LT_LT_DASH] = ACTIONS(1563),
    [anon_sym_COLON_EQ] = ACTIONS(1563),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_DASH_GT_GT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [aux_sym_binary_operator_token1] = ACTIONS(1563),
    [anon_sym_PIPE_GT] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1563),
    [sym__hex_literal] = ACTIONS(1563),
    [sym__number_literal] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_return] = ACTIONS(1561),
    [sym_next] = ACTIONS(1561),
    [sym_break] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_inf] = ACTIONS(1561),
    [sym_nan] = ACTIONS(1561),
    [anon_sym_NA] = ACTIONS(1561),
    [anon_sym_NA_integer_] = ACTIONS(1561),
    [anon_sym_NA_real_] = ACTIONS(1561),
    [anon_sym_NA_complex_] = ACTIONS(1561),
    [anon_sym_NA_character_] = ACTIONS(1561),
    [sym_dots] = ACTIONS(1561),
    [sym_dot_dot_i] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1563),
    [sym__newline] = ACTIONS(1563),
    [sym__raw_string_literal] = ACTIONS(1563),
    [sym__external_else] = ACTIONS(1563),
    [sym__external_open_parenthesis] = ACTIONS(1563),
    [sym__external_close_parenthesis] = ACTIONS(1563),
    [sym__external_open_brace] = ACTIONS(1563),
    [sym__external_open_bracket] = ACTIONS(1563),
    [sym__external_open_bracket2] = ACTIONS(1563),
  },
  [850] = {
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_BSLASH] = ACTIONS(1555),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_repeat] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_LT_DASH] = ACTIONS(1555),
    [anon_sym_LT_LT_DASH] = ACTIONS(1555),
    [anon_sym_COLON_EQ] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_DASH_GT_GT] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [aux_sym_binary_operator_token1] = ACTIONS(1555),
    [anon_sym_PIPE_GT] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1555),
    [sym__hex_literal] = ACTIONS(1555),
    [sym__number_literal] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_return] = ACTIONS(1553),
    [sym_next] = ACTIONS(1553),
    [sym_break] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_null] = ACTIONS(1553),
    [sym_inf] = ACTIONS(1553),
    [sym_nan] = ACTIONS(1553),
    [anon_sym_NA] = ACTIONS(1553),
    [anon_sym_NA_integer_] = ACTIONS(1553),
    [anon_sym_NA_real_] = ACTIONS(1553),
    [anon_sym_NA_complex_] = ACTIONS(1553),
    [anon_sym_NA_character_] = ACTIONS(1553),
    [sym_dots] = ACTIONS(1553),
    [sym_dot_dot_i] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1555),
    [sym__newline] = ACTIONS(1555),
    [sym__raw_string_literal] = ACTIONS(1555),
    [sym__external_else] = ACTIONS(1555),
    [sym__external_open_parenthesis] = ACTIONS(1555),
    [sym__external_open_brace] = ACTIONS(1555),
    [sym__external_open_bracket] = ACTIONS(1555),
    [sym__external_open_bracket2] = ACTIONS(1555),
    [sym__external_close_bracket2] = ACTIONS(1555),
  },
  [851] = {
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_BSLASH] = ACTIONS(1559),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_repeat] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_LT_DASH] = ACTIONS(1559),
    [anon_sym_LT_LT_DASH] = ACTIONS(1559),
    [anon_sym_COLON_EQ] = ACTIONS(1559),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_DASH_GT_GT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1559),
    [aux_sym_binary_operator_token1] = ACTIONS(1559),
    [anon_sym_PIPE_GT] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1559),
    [sym__hex_literal] = ACTIONS(1559),
    [sym__number_literal] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_return] = ACTIONS(1557),
    [sym_next] = ACTIONS(1557),
    [sym_break] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_null] = ACTIONS(1557),
    [sym_inf] = ACTIONS(1557),
    [sym_nan] = ACTIONS(1557),
    [anon_sym_NA] = ACTIONS(1557),
    [anon_sym_NA_integer_] = ACTIONS(1557),
    [anon_sym_NA_real_] = ACTIONS(1557),
    [anon_sym_NA_complex_] = ACTIONS(1557),
    [anon_sym_NA_character_] = ACTIONS(1557),
    [sym_dots] = ACTIONS(1557),
    [sym_dot_dot_i] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1559),
    [sym__newline] = ACTIONS(1559),
    [sym__raw_string_literal] = ACTIONS(1559),
    [sym__external_else] = ACTIONS(1559),
    [sym__external_open_parenthesis] = ACTIONS(1559),
    [sym__external_open_brace] = ACTIONS(1559),
    [sym__external_open_bracket] = ACTIONS(1559),
    [sym__external_open_bracket2] = ACTIONS(1559),
    [sym__external_close_bracket2] = ACTIONS(1559),
  },
  [852] = {
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_BSLASH] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_repeat] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_LT_DASH] = ACTIONS(1563),
    [anon_sym_LT_LT_DASH] = ACTIONS(1563),
    [anon_sym_COLON_EQ] = ACTIONS(1563),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_DASH_GT_GT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [aux_sym_binary_operator_token1] = ACTIONS(1563),
    [anon_sym_PIPE_GT] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1563),
    [sym__hex_literal] = ACTIONS(1563),
    [sym__number_literal] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_return] = ACTIONS(1561),
    [sym_next] = ACTIONS(1561),
    [sym_break] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_inf] = ACTIONS(1561),
    [sym_nan] = ACTIONS(1561),
    [anon_sym_NA] = ACTIONS(1561),
    [anon_sym_NA_integer_] = ACTIONS(1561),
    [anon_sym_NA_real_] = ACTIONS(1561),
    [anon_sym_NA_complex_] = ACTIONS(1561),
    [anon_sym_NA_character_] = ACTIONS(1561),
    [sym_dots] = ACTIONS(1561),
    [sym_dot_dot_i] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1563),
    [sym__newline] = ACTIONS(1563),
    [sym__raw_string_literal] = ACTIONS(1563),
    [sym__external_else] = ACTIONS(1563),
    [sym__external_open_parenthesis] = ACTIONS(1563),
    [sym__external_open_brace] = ACTIONS(1563),
    [sym__external_open_bracket] = ACTIONS(1563),
    [sym__external_open_bracket2] = ACTIONS(1563),
    [sym__external_close_bracket2] = ACTIONS(1563),
  },
  [853] = {
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_repeat] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_LT_DASH] = ACTIONS(1567),
    [anon_sym_LT_LT_DASH] = ACTIONS(1567),
    [anon_sym_COLON_EQ] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_DASH_GT_GT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [aux_sym_binary_operator_token1] = ACTIONS(1567),
    [anon_sym_PIPE_GT] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_AT] = ACTIONS(1567),
    [sym__hex_literal] = ACTIONS(1567),
    [sym__number_literal] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_return] = ACTIONS(1565),
    [sym_next] = ACTIONS(1565),
    [sym_break] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_null] = ACTIONS(1565),
    [sym_inf] = ACTIONS(1565),
    [sym_nan] = ACTIONS(1565),
    [anon_sym_NA] = ACTIONS(1565),
    [anon_sym_NA_integer_] = ACTIONS(1565),
    [anon_sym_NA_real_] = ACTIONS(1565),
    [anon_sym_NA_complex_] = ACTIONS(1565),
    [anon_sym_NA_character_] = ACTIONS(1565),
    [sym_dots] = ACTIONS(1565),
    [sym_dot_dot_i] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1567),
    [sym__newline] = ACTIONS(1567),
    [sym__raw_string_literal] = ACTIONS(1567),
    [sym__external_else] = ACTIONS(1567),
    [sym__external_open_parenthesis] = ACTIONS(1567),
    [sym__external_open_brace] = ACTIONS(1567),
    [sym__external_open_bracket] = ACTIONS(1567),
    [sym__external_open_bracket2] = ACTIONS(1567),
    [sym__external_close_bracket2] = ACTIONS(1567),
  },
  [854] = {
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BSLASH] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_repeat] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_LT_DASH] = ACTIONS(1571),
    [anon_sym_LT_LT_DASH] = ACTIONS(1571),
    [anon_sym_COLON_EQ] = ACTIONS(1571),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_DASH_GT_GT] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_CARET] = ACTIONS(1571),
    [aux_sym_binary_operator_token1] = ACTIONS(1571),
    [anon_sym_PIPE_GT] = ACTIONS(1571),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(1571),
    [sym__hex_literal] = ACTIONS(1571),
    [sym__number_literal] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_return] = ACTIONS(1569),
    [sym_next] = ACTIONS(1569),
    [sym_break] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [sym_inf] = ACTIONS(1569),
    [sym_nan] = ACTIONS(1569),
    [anon_sym_NA] = ACTIONS(1569),
    [anon_sym_NA_integer_] = ACTIONS(1569),
    [anon_sym_NA_real_] = ACTIONS(1569),
    [anon_sym_NA_complex_] = ACTIONS(1569),
    [anon_sym_NA_character_] = ACTIONS(1569),
    [sym_dots] = ACTIONS(1569),
    [sym_dot_dot_i] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1571),
    [sym__newline] = ACTIONS(1571),
    [sym__raw_string_literal] = ACTIONS(1571),
    [sym__external_else] = ACTIONS(1571),
    [sym__external_open_parenthesis] = ACTIONS(1571),
    [sym__external_open_brace] = ACTIONS(1571),
    [sym__external_open_bracket] = ACTIONS(1571),
    [sym__external_open_bracket2] = ACTIONS(1571),
    [sym__external_close_bracket2] = ACTIONS(1571),
  },
  [855] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(865),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1573),
  },
  [856] = {
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_repeat] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_LT_DASH] = ACTIONS(1567),
    [anon_sym_LT_LT_DASH] = ACTIONS(1567),
    [anon_sym_COLON_EQ] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_DASH_GT_GT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [aux_sym_binary_operator_token1] = ACTIONS(1567),
    [anon_sym_PIPE_GT] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_AT] = ACTIONS(1567),
    [sym__hex_literal] = ACTIONS(1567),
    [sym__number_literal] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_return] = ACTIONS(1565),
    [sym_next] = ACTIONS(1565),
    [sym_break] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_null] = ACTIONS(1565),
    [sym_inf] = ACTIONS(1565),
    [sym_nan] = ACTIONS(1565),
    [anon_sym_NA] = ACTIONS(1565),
    [anon_sym_NA_integer_] = ACTIONS(1565),
    [anon_sym_NA_real_] = ACTIONS(1565),
    [anon_sym_NA_complex_] = ACTIONS(1565),
    [anon_sym_NA_character_] = ACTIONS(1565),
    [sym_dots] = ACTIONS(1565),
    [sym_dot_dot_i] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1567),
    [sym__newline] = ACTIONS(1567),
    [sym__raw_string_literal] = ACTIONS(1567),
    [sym__external_else] = ACTIONS(1567),
    [sym__external_open_parenthesis] = ACTIONS(1567),
    [sym__external_close_parenthesis] = ACTIONS(1567),
    [sym__external_open_brace] = ACTIONS(1567),
    [sym__external_open_bracket] = ACTIONS(1567),
    [sym__external_open_bracket2] = ACTIONS(1567),
  },
  [857] = {
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BSLASH] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_repeat] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_LT_DASH] = ACTIONS(1571),
    [anon_sym_LT_LT_DASH] = ACTIONS(1571),
    [anon_sym_COLON_EQ] = ACTIONS(1571),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_DASH_GT_GT] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_CARET] = ACTIONS(1571),
    [aux_sym_binary_operator_token1] = ACTIONS(1571),
    [anon_sym_PIPE_GT] = ACTIONS(1571),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(1571),
    [sym__hex_literal] = ACTIONS(1571),
    [sym__number_literal] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_return] = ACTIONS(1569),
    [sym_next] = ACTIONS(1569),
    [sym_break] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [sym_inf] = ACTIONS(1569),
    [sym_nan] = ACTIONS(1569),
    [anon_sym_NA] = ACTIONS(1569),
    [anon_sym_NA_integer_] = ACTIONS(1569),
    [anon_sym_NA_real_] = ACTIONS(1569),
    [anon_sym_NA_complex_] = ACTIONS(1569),
    [anon_sym_NA_character_] = ACTIONS(1569),
    [sym_dots] = ACTIONS(1569),
    [sym_dot_dot_i] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1571),
    [sym__newline] = ACTIONS(1571),
    [sym__raw_string_literal] = ACTIONS(1571),
    [sym__external_else] = ACTIONS(1571),
    [sym__external_open_parenthesis] = ACTIONS(1571),
    [sym__external_close_parenthesis] = ACTIONS(1571),
    [sym__external_open_brace] = ACTIONS(1571),
    [sym__external_open_bracket] = ACTIONS(1571),
    [sym__external_open_bracket2] = ACTIONS(1571),
  },
  [858] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(880),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1575),
  },
  [859] = {
    [aux_sym_function_definition_repeat1] = STATE(859),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_repeat] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_LT_DASH] = ACTIONS(1411),
    [anon_sym_LT_LT_DASH] = ACTIONS(1411),
    [anon_sym_COLON_EQ] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_DASH_GT_GT] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [aux_sym_binary_operator_token1] = ACTIONS(1411),
    [anon_sym_PIPE_GT] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [sym__hex_literal] = ACTIONS(1411),
    [sym__number_literal] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_return] = ACTIONS(1409),
    [sym_next] = ACTIONS(1409),
    [sym_break] = ACTIONS(1409),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_null] = ACTIONS(1409),
    [sym_inf] = ACTIONS(1409),
    [sym_nan] = ACTIONS(1409),
    [anon_sym_NA] = ACTIONS(1409),
    [anon_sym_NA_integer_] = ACTIONS(1409),
    [anon_sym_NA_real_] = ACTIONS(1409),
    [anon_sym_NA_complex_] = ACTIONS(1409),
    [anon_sym_NA_character_] = ACTIONS(1409),
    [sym_dots] = ACTIONS(1409),
    [sym_dot_dot_i] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1411),
    [sym__newline] = ACTIONS(1577),
    [sym__raw_string_literal] = ACTIONS(1411),
    [sym__external_open_parenthesis] = ACTIONS(1411),
    [sym__external_open_brace] = ACTIONS(1411),
    [sym__external_open_bracket] = ACTIONS(1411),
    [sym__external_open_bracket2] = ACTIONS(1411),
    [sym__external_close_bracket2] = ACTIONS(1411),
  },
  [860] = {
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_repeat] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_LT_LT_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_DASH_GT_GT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [aux_sym_binary_operator_token1] = ACTIONS(1474),
    [anon_sym_PIPE_GT] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [sym__hex_literal] = ACTIONS(1474),
    [sym__number_literal] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_return] = ACTIONS(1472),
    [sym_next] = ACTIONS(1472),
    [sym_break] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [sym_inf] = ACTIONS(1472),
    [sym_nan] = ACTIONS(1472),
    [anon_sym_NA] = ACTIONS(1472),
    [anon_sym_NA_integer_] = ACTIONS(1472),
    [anon_sym_NA_real_] = ACTIONS(1472),
    [anon_sym_NA_complex_] = ACTIONS(1472),
    [anon_sym_NA_character_] = ACTIONS(1472),
    [sym_dots] = ACTIONS(1472),
    [sym_dot_dot_i] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1474),
    [sym__newline] = ACTIONS(1474),
    [sym__raw_string_literal] = ACTIONS(1474),
    [sym__external_else] = ACTIONS(1474),
    [sym__external_open_parenthesis] = ACTIONS(1474),
    [sym__external_open_brace] = ACTIONS(1474),
    [sym__external_open_bracket] = ACTIONS(1474),
    [sym__external_open_bracket2] = ACTIONS(1474),
    [sym__external_close_bracket2] = ACTIONS(1474),
  },
  [861] = {
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_repeat] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_LT_LT_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_DASH_GT] = ACTIONS(1476),
    [anon_sym_DASH_GT_GT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [aux_sym_binary_operator_token1] = ACTIONS(1478),
    [anon_sym_PIPE_GT] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [sym__hex_literal] = ACTIONS(1478),
    [sym__number_literal] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_return] = ACTIONS(1476),
    [sym_next] = ACTIONS(1476),
    [sym_break] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [sym_inf] = ACTIONS(1476),
    [sym_nan] = ACTIONS(1476),
    [anon_sym_NA] = ACTIONS(1476),
    [anon_sym_NA_integer_] = ACTIONS(1476),
    [anon_sym_NA_real_] = ACTIONS(1476),
    [anon_sym_NA_complex_] = ACTIONS(1476),
    [anon_sym_NA_character_] = ACTIONS(1476),
    [sym_dots] = ACTIONS(1476),
    [sym_dot_dot_i] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1478),
    [sym__newline] = ACTIONS(1478),
    [sym__raw_string_literal] = ACTIONS(1478),
    [sym__external_else] = ACTIONS(1478),
    [sym__external_open_parenthesis] = ACTIONS(1478),
    [sym__external_open_brace] = ACTIONS(1478),
    [sym__external_open_bracket] = ACTIONS(1478),
    [sym__external_open_bracket2] = ACTIONS(1478),
    [sym__external_close_bracket2] = ACTIONS(1478),
  },
  [862] = {
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_function] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_repeat] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_LT_LT_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_DASH_GT] = ACTIONS(1480),
    [anon_sym_DASH_GT_GT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [aux_sym_binary_operator_token1] = ACTIONS(1482),
    [anon_sym_PIPE_GT] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [sym__hex_literal] = ACTIONS(1482),
    [sym__number_literal] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_return] = ACTIONS(1480),
    [sym_next] = ACTIONS(1480),
    [sym_break] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_inf] = ACTIONS(1480),
    [sym_nan] = ACTIONS(1480),
    [anon_sym_NA] = ACTIONS(1480),
    [anon_sym_NA_integer_] = ACTIONS(1480),
    [anon_sym_NA_real_] = ACTIONS(1480),
    [anon_sym_NA_complex_] = ACTIONS(1480),
    [anon_sym_NA_character_] = ACTIONS(1480),
    [sym_dots] = ACTIONS(1480),
    [sym_dot_dot_i] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1482),
    [sym__newline] = ACTIONS(1482),
    [sym__raw_string_literal] = ACTIONS(1482),
    [sym__external_else] = ACTIONS(1482),
    [sym__external_open_parenthesis] = ACTIONS(1482),
    [sym__external_open_brace] = ACTIONS(1482),
    [sym__external_open_bracket] = ACTIONS(1482),
    [sym__external_open_bracket2] = ACTIONS(1482),
    [sym__external_close_bracket2] = ACTIONS(1482),
  },
  [863] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_repeat] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_LT_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(1462),
    [anon_sym_DASH_GT] = ACTIONS(1460),
    [anon_sym_DASH_GT_GT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [aux_sym_binary_operator_token1] = ACTIONS(1462),
    [anon_sym_PIPE_GT] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [sym__hex_literal] = ACTIONS(1462),
    [sym__number_literal] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_return] = ACTIONS(1460),
    [sym_next] = ACTIONS(1460),
    [sym_break] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_inf] = ACTIONS(1460),
    [sym_nan] = ACTIONS(1460),
    [anon_sym_NA] = ACTIONS(1460),
    [anon_sym_NA_integer_] = ACTIONS(1460),
    [anon_sym_NA_real_] = ACTIONS(1460),
    [anon_sym_NA_complex_] = ACTIONS(1460),
    [anon_sym_NA_character_] = ACTIONS(1460),
    [sym_dots] = ACTIONS(1460),
    [sym_dot_dot_i] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1462),
    [sym__newline] = ACTIONS(1462),
    [sym__raw_string_literal] = ACTIONS(1462),
    [sym__external_else] = ACTIONS(1462),
    [sym__external_open_parenthesis] = ACTIONS(1462),
    [sym__external_open_brace] = ACTIONS(1462),
    [sym__external_open_bracket] = ACTIONS(1462),
    [sym__external_open_bracket2] = ACTIONS(1462),
    [sym__external_close_bracket2] = ACTIONS(1462),
  },
  [864] = {
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_repeat] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_LT_LT_DASH] = ACTIONS(1466),
    [anon_sym_COLON_EQ] = ACTIONS(1466),
    [anon_sym_DASH_GT] = ACTIONS(1464),
    [anon_sym_DASH_GT_GT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [aux_sym_binary_operator_token1] = ACTIONS(1466),
    [anon_sym_PIPE_GT] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym__hex_literal] = ACTIONS(1466),
    [sym__number_literal] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_return] = ACTIONS(1464),
    [sym_next] = ACTIONS(1464),
    [sym_break] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_inf] = ACTIONS(1464),
    [sym_nan] = ACTIONS(1464),
    [anon_sym_NA] = ACTIONS(1464),
    [anon_sym_NA_integer_] = ACTIONS(1464),
    [anon_sym_NA_real_] = ACTIONS(1464),
    [anon_sym_NA_complex_] = ACTIONS(1464),
    [anon_sym_NA_character_] = ACTIONS(1464),
    [sym_dots] = ACTIONS(1464),
    [sym_dot_dot_i] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1466),
    [sym__newline] = ACTIONS(1466),
    [sym__raw_string_literal] = ACTIONS(1466),
    [sym__external_else] = ACTIONS(1466),
    [sym__external_open_parenthesis] = ACTIONS(1466),
    [sym__external_open_brace] = ACTIONS(1466),
    [sym__external_open_bracket] = ACTIONS(1466),
    [sym__external_open_bracket2] = ACTIONS(1466),
    [sym__external_close_bracket2] = ACTIONS(1466),
  },
  [865] = {
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_repeat] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_LT_LT_DASH] = ACTIONS(1470),
    [anon_sym_COLON_EQ] = ACTIONS(1470),
    [anon_sym_DASH_GT] = ACTIONS(1468),
    [anon_sym_DASH_GT_GT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [aux_sym_binary_operator_token1] = ACTIONS(1470),
    [anon_sym_PIPE_GT] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym__hex_literal] = ACTIONS(1470),
    [sym__number_literal] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_return] = ACTIONS(1468),
    [sym_next] = ACTIONS(1468),
    [sym_break] = ACTIONS(1468),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_inf] = ACTIONS(1468),
    [sym_nan] = ACTIONS(1468),
    [anon_sym_NA] = ACTIONS(1468),
    [anon_sym_NA_integer_] = ACTIONS(1468),
    [anon_sym_NA_real_] = ACTIONS(1468),
    [anon_sym_NA_complex_] = ACTIONS(1468),
    [anon_sym_NA_character_] = ACTIONS(1468),
    [sym_dots] = ACTIONS(1468),
    [sym_dot_dot_i] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1470),
    [sym__newline] = ACTIONS(1470),
    [sym__raw_string_literal] = ACTIONS(1470),
    [sym__external_else] = ACTIONS(1470),
    [sym__external_open_parenthesis] = ACTIONS(1470),
    [sym__external_open_brace] = ACTIONS(1470),
    [sym__external_open_bracket] = ACTIONS(1470),
    [sym__external_open_bracket2] = ACTIONS(1470),
    [sym__external_close_bracket2] = ACTIONS(1470),
  },
  [866] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(983),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1580),
  },
  [867] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(1059),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1582),
  },
  [868] = {
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_repeat] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_LT_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_DASH_GT] = ACTIONS(1452),
    [anon_sym_DASH_GT_GT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [aux_sym_binary_operator_token1] = ACTIONS(1454),
    [anon_sym_PIPE_GT] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym__hex_literal] = ACTIONS(1454),
    [sym__number_literal] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_return] = ACTIONS(1452),
    [sym_next] = ACTIONS(1452),
    [sym_break] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_inf] = ACTIONS(1452),
    [sym_nan] = ACTIONS(1452),
    [anon_sym_NA] = ACTIONS(1452),
    [anon_sym_NA_integer_] = ACTIONS(1452),
    [anon_sym_NA_real_] = ACTIONS(1452),
    [anon_sym_NA_complex_] = ACTIONS(1452),
    [anon_sym_NA_character_] = ACTIONS(1452),
    [sym_dots] = ACTIONS(1452),
    [sym_dot_dot_i] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1454),
    [sym__newline] = ACTIONS(1454),
    [sym__raw_string_literal] = ACTIONS(1454),
    [sym__external_else] = ACTIONS(1454),
    [sym__external_open_parenthesis] = ACTIONS(1454),
    [sym__external_close_parenthesis] = ACTIONS(1454),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_open_bracket] = ACTIONS(1454),
    [sym__external_open_bracket2] = ACTIONS(1454),
  },
  [869] = {
    [aux_sym_function_definition_repeat1] = STATE(869),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_repeat] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_LT_DASH] = ACTIONS(1411),
    [anon_sym_LT_LT_DASH] = ACTIONS(1411),
    [anon_sym_COLON_EQ] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_DASH_GT_GT] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [aux_sym_binary_operator_token1] = ACTIONS(1411),
    [anon_sym_PIPE_GT] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [sym__hex_literal] = ACTIONS(1411),
    [sym__number_literal] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_return] = ACTIONS(1409),
    [sym_next] = ACTIONS(1409),
    [sym_break] = ACTIONS(1409),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_null] = ACTIONS(1409),
    [sym_inf] = ACTIONS(1409),
    [sym_nan] = ACTIONS(1409),
    [anon_sym_NA] = ACTIONS(1409),
    [anon_sym_NA_integer_] = ACTIONS(1409),
    [anon_sym_NA_real_] = ACTIONS(1409),
    [anon_sym_NA_complex_] = ACTIONS(1409),
    [anon_sym_NA_character_] = ACTIONS(1409),
    [sym_dots] = ACTIONS(1409),
    [sym_dot_dot_i] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1584),
    [sym__semicolon] = ACTIONS(1411),
    [sym__raw_string_literal] = ACTIONS(1411),
    [sym__external_open_parenthesis] = ACTIONS(1411),
    [sym__external_open_brace] = ACTIONS(1411),
    [sym__external_close_brace] = ACTIONS(1411),
    [sym__external_open_bracket] = ACTIONS(1411),
    [sym__external_open_bracket2] = ACTIONS(1411),
  },
  [870] = {
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_repeat] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_LT_LT_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_DASH_GT_GT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [aux_sym_binary_operator_token1] = ACTIONS(1474),
    [anon_sym_PIPE_GT] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [sym__hex_literal] = ACTIONS(1474),
    [sym__number_literal] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_return] = ACTIONS(1472),
    [sym_next] = ACTIONS(1472),
    [sym_break] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [sym_inf] = ACTIONS(1472),
    [sym_nan] = ACTIONS(1472),
    [anon_sym_NA] = ACTIONS(1472),
    [anon_sym_NA_integer_] = ACTIONS(1472),
    [anon_sym_NA_real_] = ACTIONS(1472),
    [anon_sym_NA_complex_] = ACTIONS(1472),
    [anon_sym_NA_character_] = ACTIONS(1472),
    [sym_dots] = ACTIONS(1472),
    [sym_dot_dot_i] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1474),
    [sym__newline] = ACTIONS(1474),
    [sym__raw_string_literal] = ACTIONS(1474),
    [sym__external_else] = ACTIONS(1474),
    [sym__external_open_parenthesis] = ACTIONS(1474),
    [sym__external_close_parenthesis] = ACTIONS(1474),
    [sym__external_open_brace] = ACTIONS(1474),
    [sym__external_open_bracket] = ACTIONS(1474),
    [sym__external_open_bracket2] = ACTIONS(1474),
  },
  [871] = {
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_repeat] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_LT_LT_DASH] = ACTIONS(1490),
    [anon_sym_COLON_EQ] = ACTIONS(1490),
    [anon_sym_DASH_GT] = ACTIONS(1488),
    [anon_sym_DASH_GT_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [aux_sym_binary_operator_token1] = ACTIONS(1490),
    [anon_sym_PIPE_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym__hex_literal] = ACTIONS(1490),
    [sym__number_literal] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_return] = ACTIONS(1488),
    [sym_next] = ACTIONS(1488),
    [sym_break] = ACTIONS(1488),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [sym_inf] = ACTIONS(1488),
    [sym_nan] = ACTIONS(1488),
    [anon_sym_NA] = ACTIONS(1488),
    [anon_sym_NA_integer_] = ACTIONS(1488),
    [anon_sym_NA_real_] = ACTIONS(1488),
    [anon_sym_NA_complex_] = ACTIONS(1488),
    [anon_sym_NA_character_] = ACTIONS(1488),
    [sym_dots] = ACTIONS(1488),
    [sym_dot_dot_i] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1490),
    [sym__newline] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1490),
    [sym__external_else] = ACTIONS(1490),
    [sym__external_open_parenthesis] = ACTIONS(1490),
    [sym__external_open_brace] = ACTIONS(1490),
    [sym__external_open_bracket] = ACTIONS(1490),
    [sym__external_open_bracket2] = ACTIONS(1490),
    [sym__external_close_bracket2] = ACTIONS(1490),
  },
  [872] = {
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_repeat] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_LT_LT_DASH] = ACTIONS(1494),
    [anon_sym_COLON_EQ] = ACTIONS(1494),
    [anon_sym_DASH_GT] = ACTIONS(1492),
    [anon_sym_DASH_GT_GT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [aux_sym_binary_operator_token1] = ACTIONS(1494),
    [anon_sym_PIPE_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym__hex_literal] = ACTIONS(1494),
    [sym__number_literal] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_return] = ACTIONS(1492),
    [sym_next] = ACTIONS(1492),
    [sym_break] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_inf] = ACTIONS(1492),
    [sym_nan] = ACTIONS(1492),
    [anon_sym_NA] = ACTIONS(1492),
    [anon_sym_NA_integer_] = ACTIONS(1492),
    [anon_sym_NA_real_] = ACTIONS(1492),
    [anon_sym_NA_complex_] = ACTIONS(1492),
    [anon_sym_NA_character_] = ACTIONS(1492),
    [sym_dots] = ACTIONS(1492),
    [sym_dot_dot_i] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1494),
    [sym__newline] = ACTIONS(1494),
    [sym__raw_string_literal] = ACTIONS(1494),
    [sym__external_else] = ACTIONS(1494),
    [sym__external_open_parenthesis] = ACTIONS(1494),
    [sym__external_open_brace] = ACTIONS(1494),
    [sym__external_open_bracket] = ACTIONS(1494),
    [sym__external_open_bracket2] = ACTIONS(1494),
    [sym__external_close_bracket2] = ACTIONS(1494),
  },
  [873] = {
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_repeat] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_LT_DASH] = ACTIONS(1498),
    [anon_sym_LT_LT_DASH] = ACTIONS(1498),
    [anon_sym_COLON_EQ] = ACTIONS(1498),
    [anon_sym_DASH_GT] = ACTIONS(1496),
    [anon_sym_DASH_GT_GT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1498),
    [aux_sym_binary_operator_token1] = ACTIONS(1498),
    [anon_sym_PIPE_GT] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [sym__hex_literal] = ACTIONS(1498),
    [sym__number_literal] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_return] = ACTIONS(1496),
    [sym_next] = ACTIONS(1496),
    [sym_break] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_inf] = ACTIONS(1496),
    [sym_nan] = ACTIONS(1496),
    [anon_sym_NA] = ACTIONS(1496),
    [anon_sym_NA_integer_] = ACTIONS(1496),
    [anon_sym_NA_real_] = ACTIONS(1496),
    [anon_sym_NA_complex_] = ACTIONS(1496),
    [anon_sym_NA_character_] = ACTIONS(1496),
    [sym_dots] = ACTIONS(1496),
    [sym_dot_dot_i] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1498),
    [sym__newline] = ACTIONS(1498),
    [sym__raw_string_literal] = ACTIONS(1498),
    [sym__external_else] = ACTIONS(1498),
    [sym__external_open_parenthesis] = ACTIONS(1498),
    [sym__external_open_brace] = ACTIONS(1498),
    [sym__external_open_bracket] = ACTIONS(1498),
    [sym__external_open_bracket2] = ACTIONS(1498),
    [sym__external_close_bracket2] = ACTIONS(1498),
  },
  [874] = {
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_repeat] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_LT_LT_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_DASH_GT] = ACTIONS(1458),
    [anon_sym_DASH_GT_GT] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [aux_sym_binary_operator_token1] = ACTIONS(1456),
    [anon_sym_PIPE_GT] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [sym__hex_literal] = ACTIONS(1456),
    [sym__number_literal] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_return] = ACTIONS(1458),
    [sym_next] = ACTIONS(1458),
    [sym_break] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [sym_inf] = ACTIONS(1458),
    [sym_nan] = ACTIONS(1458),
    [anon_sym_NA] = ACTIONS(1458),
    [anon_sym_NA_integer_] = ACTIONS(1458),
    [anon_sym_NA_real_] = ACTIONS(1458),
    [anon_sym_NA_complex_] = ACTIONS(1458),
    [anon_sym_NA_character_] = ACTIONS(1458),
    [sym_dots] = ACTIONS(1458),
    [sym_dot_dot_i] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1456),
    [sym__newline] = ACTIONS(1456),
    [sym__raw_string_literal] = ACTIONS(1456),
    [sym__external_else] = ACTIONS(1456),
    [sym__external_open_parenthesis] = ACTIONS(1456),
    [sym__external_open_brace] = ACTIONS(1456),
    [sym__external_open_bracket] = ACTIONS(1456),
    [sym__external_open_bracket2] = ACTIONS(1456),
    [sym__external_close_bracket2] = ACTIONS(1456),
  },
  [875] = {
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_repeat] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_LT_LT_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_DASH_GT] = ACTIONS(1476),
    [anon_sym_DASH_GT_GT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [aux_sym_binary_operator_token1] = ACTIONS(1478),
    [anon_sym_PIPE_GT] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [sym__hex_literal] = ACTIONS(1478),
    [sym__number_literal] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_return] = ACTIONS(1476),
    [sym_next] = ACTIONS(1476),
    [sym_break] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [sym_inf] = ACTIONS(1476),
    [sym_nan] = ACTIONS(1476),
    [anon_sym_NA] = ACTIONS(1476),
    [anon_sym_NA_integer_] = ACTIONS(1476),
    [anon_sym_NA_real_] = ACTIONS(1476),
    [anon_sym_NA_complex_] = ACTIONS(1476),
    [anon_sym_NA_character_] = ACTIONS(1476),
    [sym_dots] = ACTIONS(1476),
    [sym_dot_dot_i] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1478),
    [sym__newline] = ACTIONS(1478),
    [sym__raw_string_literal] = ACTIONS(1478),
    [sym__external_else] = ACTIONS(1478),
    [sym__external_open_parenthesis] = ACTIONS(1478),
    [sym__external_close_parenthesis] = ACTIONS(1478),
    [sym__external_open_brace] = ACTIONS(1478),
    [sym__external_open_bracket] = ACTIONS(1478),
    [sym__external_open_bracket2] = ACTIONS(1478),
  },
  [876] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(2100),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1587),
  },
  [877] = {
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_function] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_repeat] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_LT_LT_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_DASH_GT] = ACTIONS(1480),
    [anon_sym_DASH_GT_GT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [aux_sym_binary_operator_token1] = ACTIONS(1482),
    [anon_sym_PIPE_GT] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [sym__hex_literal] = ACTIONS(1482),
    [sym__number_literal] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_return] = ACTIONS(1480),
    [sym_next] = ACTIONS(1480),
    [sym_break] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_inf] = ACTIONS(1480),
    [sym_nan] = ACTIONS(1480),
    [anon_sym_NA] = ACTIONS(1480),
    [anon_sym_NA_integer_] = ACTIONS(1480),
    [anon_sym_NA_real_] = ACTIONS(1480),
    [anon_sym_NA_complex_] = ACTIONS(1480),
    [anon_sym_NA_character_] = ACTIONS(1480),
    [sym_dots] = ACTIONS(1480),
    [sym_dot_dot_i] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1482),
    [sym__newline] = ACTIONS(1482),
    [sym__raw_string_literal] = ACTIONS(1482),
    [sym__external_else] = ACTIONS(1482),
    [sym__external_open_parenthesis] = ACTIONS(1482),
    [sym__external_close_parenthesis] = ACTIONS(1482),
    [sym__external_open_brace] = ACTIONS(1482),
    [sym__external_open_bracket] = ACTIONS(1482),
    [sym__external_open_bracket2] = ACTIONS(1482),
  },
  [878] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_repeat] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_LT_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(1462),
    [anon_sym_DASH_GT] = ACTIONS(1460),
    [anon_sym_DASH_GT_GT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [aux_sym_binary_operator_token1] = ACTIONS(1462),
    [anon_sym_PIPE_GT] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [sym__hex_literal] = ACTIONS(1462),
    [sym__number_literal] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_return] = ACTIONS(1460),
    [sym_next] = ACTIONS(1460),
    [sym_break] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_inf] = ACTIONS(1460),
    [sym_nan] = ACTIONS(1460),
    [anon_sym_NA] = ACTIONS(1460),
    [anon_sym_NA_integer_] = ACTIONS(1460),
    [anon_sym_NA_real_] = ACTIONS(1460),
    [anon_sym_NA_complex_] = ACTIONS(1460),
    [anon_sym_NA_character_] = ACTIONS(1460),
    [sym_dots] = ACTIONS(1460),
    [sym_dot_dot_i] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1462),
    [sym__newline] = ACTIONS(1462),
    [sym__raw_string_literal] = ACTIONS(1462),
    [sym__external_else] = ACTIONS(1462),
    [sym__external_open_parenthesis] = ACTIONS(1462),
    [sym__external_close_parenthesis] = ACTIONS(1462),
    [sym__external_open_brace] = ACTIONS(1462),
    [sym__external_open_bracket] = ACTIONS(1462),
    [sym__external_open_bracket2] = ACTIONS(1462),
  },
  [879] = {
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_repeat] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_LT_LT_DASH] = ACTIONS(1466),
    [anon_sym_COLON_EQ] = ACTIONS(1466),
    [anon_sym_DASH_GT] = ACTIONS(1464),
    [anon_sym_DASH_GT_GT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [aux_sym_binary_operator_token1] = ACTIONS(1466),
    [anon_sym_PIPE_GT] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym__hex_literal] = ACTIONS(1466),
    [sym__number_literal] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_return] = ACTIONS(1464),
    [sym_next] = ACTIONS(1464),
    [sym_break] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_inf] = ACTIONS(1464),
    [sym_nan] = ACTIONS(1464),
    [anon_sym_NA] = ACTIONS(1464),
    [anon_sym_NA_integer_] = ACTIONS(1464),
    [anon_sym_NA_real_] = ACTIONS(1464),
    [anon_sym_NA_complex_] = ACTIONS(1464),
    [anon_sym_NA_character_] = ACTIONS(1464),
    [sym_dots] = ACTIONS(1464),
    [sym_dot_dot_i] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1466),
    [sym__newline] = ACTIONS(1466),
    [sym__raw_string_literal] = ACTIONS(1466),
    [sym__external_else] = ACTIONS(1466),
    [sym__external_open_parenthesis] = ACTIONS(1466),
    [sym__external_close_parenthesis] = ACTIONS(1466),
    [sym__external_open_brace] = ACTIONS(1466),
    [sym__external_open_bracket] = ACTIONS(1466),
    [sym__external_open_bracket2] = ACTIONS(1466),
  },
  [880] = {
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_repeat] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_LT_LT_DASH] = ACTIONS(1470),
    [anon_sym_COLON_EQ] = ACTIONS(1470),
    [anon_sym_DASH_GT] = ACTIONS(1468),
    [anon_sym_DASH_GT_GT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [aux_sym_binary_operator_token1] = ACTIONS(1470),
    [anon_sym_PIPE_GT] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym__hex_literal] = ACTIONS(1470),
    [sym__number_literal] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_return] = ACTIONS(1468),
    [sym_next] = ACTIONS(1468),
    [sym_break] = ACTIONS(1468),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_inf] = ACTIONS(1468),
    [sym_nan] = ACTIONS(1468),
    [anon_sym_NA] = ACTIONS(1468),
    [anon_sym_NA_integer_] = ACTIONS(1468),
    [anon_sym_NA_real_] = ACTIONS(1468),
    [anon_sym_NA_complex_] = ACTIONS(1468),
    [anon_sym_NA_character_] = ACTIONS(1468),
    [sym_dots] = ACTIONS(1468),
    [sym_dot_dot_i] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1470),
    [sym__newline] = ACTIONS(1470),
    [sym__raw_string_literal] = ACTIONS(1470),
    [sym__external_else] = ACTIONS(1470),
    [sym__external_open_parenthesis] = ACTIONS(1470),
    [sym__external_close_parenthesis] = ACTIONS(1470),
    [sym__external_open_brace] = ACTIONS(1470),
    [sym__external_open_bracket] = ACTIONS(1470),
    [sym__external_open_bracket2] = ACTIONS(1470),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1486),
    [anon_sym_LT_LT_DASH] = ACTIONS(1486),
    [anon_sym_COLON_EQ] = ACTIONS(1486),
    [anon_sym_DASH_GT] = ACTIONS(1484),
    [anon_sym_DASH_GT_GT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1486),
    [aux_sym_binary_operator_token1] = ACTIONS(1486),
    [anon_sym_PIPE_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [sym__hex_literal] = ACTIONS(1486),
    [sym__number_literal] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_return] = ACTIONS(1484),
    [sym_next] = ACTIONS(1484),
    [sym_break] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [sym_inf] = ACTIONS(1484),
    [sym_nan] = ACTIONS(1484),
    [anon_sym_NA] = ACTIONS(1484),
    [anon_sym_NA_integer_] = ACTIONS(1484),
    [anon_sym_NA_real_] = ACTIONS(1484),
    [anon_sym_NA_complex_] = ACTIONS(1484),
    [anon_sym_NA_character_] = ACTIONS(1484),
    [sym_dots] = ACTIONS(1484),
    [sym_dot_dot_i] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1486),
    [sym__semicolon] = ACTIONS(1486),
    [sym__raw_string_literal] = ACTIONS(1486),
    [sym__external_else] = ACTIONS(1486),
    [sym__external_open_parenthesis] = ACTIONS(1486),
    [sym__external_open_brace] = ACTIONS(1486),
    [sym__external_open_bracket] = ACTIONS(1486),
    [sym__external_open_bracket2] = ACTIONS(1486),
  },
  [882] = {
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_repeat] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_LT_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_DASH_GT] = ACTIONS(1452),
    [anon_sym_DASH_GT_GT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [aux_sym_binary_operator_token1] = ACTIONS(1454),
    [anon_sym_PIPE_GT] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym__hex_literal] = ACTIONS(1454),
    [sym__number_literal] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_return] = ACTIONS(1452),
    [sym_next] = ACTIONS(1452),
    [sym_break] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_inf] = ACTIONS(1452),
    [sym_nan] = ACTIONS(1452),
    [anon_sym_NA] = ACTIONS(1452),
    [anon_sym_NA_integer_] = ACTIONS(1452),
    [anon_sym_NA_real_] = ACTIONS(1452),
    [anon_sym_NA_complex_] = ACTIONS(1452),
    [anon_sym_NA_character_] = ACTIONS(1452),
    [sym_dots] = ACTIONS(1452),
    [sym_dot_dot_i] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1454),
    [sym__semicolon] = ACTIONS(1454),
    [sym__raw_string_literal] = ACTIONS(1454),
    [sym__external_else] = ACTIONS(1454),
    [sym__external_open_parenthesis] = ACTIONS(1454),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1454),
    [sym__external_open_bracket] = ACTIONS(1454),
    [sym__external_open_bracket2] = ACTIONS(1454),
  },
  [883] = {
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1486),
    [anon_sym_LT_LT_DASH] = ACTIONS(1486),
    [anon_sym_COLON_EQ] = ACTIONS(1486),
    [anon_sym_DASH_GT] = ACTIONS(1484),
    [anon_sym_DASH_GT_GT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1486),
    [aux_sym_binary_operator_token1] = ACTIONS(1486),
    [anon_sym_PIPE_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [sym__hex_literal] = ACTIONS(1486),
    [sym__number_literal] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_return] = ACTIONS(1484),
    [sym_next] = ACTIONS(1484),
    [sym_break] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [sym_inf] = ACTIONS(1484),
    [sym_nan] = ACTIONS(1484),
    [anon_sym_NA] = ACTIONS(1484),
    [anon_sym_NA_integer_] = ACTIONS(1484),
    [anon_sym_NA_real_] = ACTIONS(1484),
    [anon_sym_NA_complex_] = ACTIONS(1484),
    [anon_sym_NA_character_] = ACTIONS(1484),
    [sym_dots] = ACTIONS(1484),
    [sym_dot_dot_i] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1486),
    [sym__newline] = ACTIONS(1486),
    [sym__raw_string_literal] = ACTIONS(1486),
    [sym__external_else] = ACTIONS(1486),
    [sym__external_open_parenthesis] = ACTIONS(1486),
    [sym__external_open_brace] = ACTIONS(1486),
    [sym__external_open_bracket] = ACTIONS(1486),
    [sym__external_close_bracket] = ACTIONS(1486),
    [sym__external_open_bracket2] = ACTIONS(1486),
  },
  [884] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(1032),
    [aux_sym_braced_expression_repeat1] = STATE(916),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1589),
  },
  [885] = {
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_repeat] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_LT_LT_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_DASH_GT_GT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [aux_sym_binary_operator_token1] = ACTIONS(1474),
    [anon_sym_PIPE_GT] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [sym__hex_literal] = ACTIONS(1474),
    [sym__number_literal] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_return] = ACTIONS(1472),
    [sym_next] = ACTIONS(1472),
    [sym_break] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [sym_inf] = ACTIONS(1472),
    [sym_nan] = ACTIONS(1472),
    [anon_sym_NA] = ACTIONS(1472),
    [anon_sym_NA_integer_] = ACTIONS(1472),
    [anon_sym_NA_real_] = ACTIONS(1472),
    [anon_sym_NA_complex_] = ACTIONS(1472),
    [anon_sym_NA_character_] = ACTIONS(1472),
    [sym_dots] = ACTIONS(1472),
    [sym_dot_dot_i] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1474),
    [sym__semicolon] = ACTIONS(1474),
    [sym__raw_string_literal] = ACTIONS(1474),
    [sym__external_else] = ACTIONS(1474),
    [sym__external_open_parenthesis] = ACTIONS(1474),
    [sym__external_open_brace] = ACTIONS(1474),
    [sym__external_close_brace] = ACTIONS(1474),
    [sym__external_open_bracket] = ACTIONS(1474),
    [sym__external_open_bracket2] = ACTIONS(1474),
  },
  [886] = {
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_repeat] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_LT_LT_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_DASH_GT] = ACTIONS(1476),
    [anon_sym_DASH_GT_GT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [aux_sym_binary_operator_token1] = ACTIONS(1478),
    [anon_sym_PIPE_GT] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [sym__hex_literal] = ACTIONS(1478),
    [sym__number_literal] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_return] = ACTIONS(1476),
    [sym_next] = ACTIONS(1476),
    [sym_break] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [sym_inf] = ACTIONS(1476),
    [sym_nan] = ACTIONS(1476),
    [anon_sym_NA] = ACTIONS(1476),
    [anon_sym_NA_integer_] = ACTIONS(1476),
    [anon_sym_NA_real_] = ACTIONS(1476),
    [anon_sym_NA_complex_] = ACTIONS(1476),
    [anon_sym_NA_character_] = ACTIONS(1476),
    [sym_dots] = ACTIONS(1476),
    [sym_dot_dot_i] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1478),
    [sym__semicolon] = ACTIONS(1478),
    [sym__raw_string_literal] = ACTIONS(1478),
    [sym__external_else] = ACTIONS(1478),
    [sym__external_open_parenthesis] = ACTIONS(1478),
    [sym__external_open_brace] = ACTIONS(1478),
    [sym__external_close_brace] = ACTIONS(1478),
    [sym__external_open_bracket] = ACTIONS(1478),
    [sym__external_open_bracket2] = ACTIONS(1478),
  },
  [887] = {
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_repeat] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_LT_LT_DASH] = ACTIONS(1490),
    [anon_sym_COLON_EQ] = ACTIONS(1490),
    [anon_sym_DASH_GT] = ACTIONS(1488),
    [anon_sym_DASH_GT_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [aux_sym_binary_operator_token1] = ACTIONS(1490),
    [anon_sym_PIPE_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym__hex_literal] = ACTIONS(1490),
    [sym__number_literal] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_return] = ACTIONS(1488),
    [sym_next] = ACTIONS(1488),
    [sym_break] = ACTIONS(1488),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [sym_inf] = ACTIONS(1488),
    [sym_nan] = ACTIONS(1488),
    [anon_sym_NA] = ACTIONS(1488),
    [anon_sym_NA_integer_] = ACTIONS(1488),
    [anon_sym_NA_real_] = ACTIONS(1488),
    [anon_sym_NA_complex_] = ACTIONS(1488),
    [anon_sym_NA_character_] = ACTIONS(1488),
    [sym_dots] = ACTIONS(1488),
    [sym_dot_dot_i] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1490),
    [sym__newline] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1490),
    [sym__external_else] = ACTIONS(1490),
    [sym__external_open_parenthesis] = ACTIONS(1490),
    [sym__external_close_parenthesis] = ACTIONS(1490),
    [sym__external_open_brace] = ACTIONS(1490),
    [sym__external_open_bracket] = ACTIONS(1490),
    [sym__external_open_bracket2] = ACTIONS(1490),
  },
  [888] = {
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_repeat] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_LT_LT_DASH] = ACTIONS(1494),
    [anon_sym_COLON_EQ] = ACTIONS(1494),
    [anon_sym_DASH_GT] = ACTIONS(1492),
    [anon_sym_DASH_GT_GT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [aux_sym_binary_operator_token1] = ACTIONS(1494),
    [anon_sym_PIPE_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym__hex_literal] = ACTIONS(1494),
    [sym__number_literal] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_return] = ACTIONS(1492),
    [sym_next] = ACTIONS(1492),
    [sym_break] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_inf] = ACTIONS(1492),
    [sym_nan] = ACTIONS(1492),
    [anon_sym_NA] = ACTIONS(1492),
    [anon_sym_NA_integer_] = ACTIONS(1492),
    [anon_sym_NA_real_] = ACTIONS(1492),
    [anon_sym_NA_complex_] = ACTIONS(1492),
    [anon_sym_NA_character_] = ACTIONS(1492),
    [sym_dots] = ACTIONS(1492),
    [sym_dot_dot_i] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1494),
    [sym__newline] = ACTIONS(1494),
    [sym__raw_string_literal] = ACTIONS(1494),
    [sym__external_else] = ACTIONS(1494),
    [sym__external_open_parenthesis] = ACTIONS(1494),
    [sym__external_close_parenthesis] = ACTIONS(1494),
    [sym__external_open_brace] = ACTIONS(1494),
    [sym__external_open_bracket] = ACTIONS(1494),
    [sym__external_open_bracket2] = ACTIONS(1494),
  },
  [889] = {
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_repeat] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_LT_DASH] = ACTIONS(1498),
    [anon_sym_LT_LT_DASH] = ACTIONS(1498),
    [anon_sym_COLON_EQ] = ACTIONS(1498),
    [anon_sym_DASH_GT] = ACTIONS(1496),
    [anon_sym_DASH_GT_GT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1498),
    [aux_sym_binary_operator_token1] = ACTIONS(1498),
    [anon_sym_PIPE_GT] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [sym__hex_literal] = ACTIONS(1498),
    [sym__number_literal] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_return] = ACTIONS(1496),
    [sym_next] = ACTIONS(1496),
    [sym_break] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_inf] = ACTIONS(1496),
    [sym_nan] = ACTIONS(1496),
    [anon_sym_NA] = ACTIONS(1496),
    [anon_sym_NA_integer_] = ACTIONS(1496),
    [anon_sym_NA_real_] = ACTIONS(1496),
    [anon_sym_NA_complex_] = ACTIONS(1496),
    [anon_sym_NA_character_] = ACTIONS(1496),
    [sym_dots] = ACTIONS(1496),
    [sym_dot_dot_i] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1498),
    [sym__newline] = ACTIONS(1498),
    [sym__raw_string_literal] = ACTIONS(1498),
    [sym__external_else] = ACTIONS(1498),
    [sym__external_open_parenthesis] = ACTIONS(1498),
    [sym__external_close_parenthesis] = ACTIONS(1498),
    [sym__external_open_brace] = ACTIONS(1498),
    [sym__external_open_bracket] = ACTIONS(1498),
    [sym__external_open_bracket2] = ACTIONS(1498),
  },
  [890] = {
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_repeat] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_LT_LT_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_DASH_GT] = ACTIONS(1458),
    [anon_sym_DASH_GT_GT] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [aux_sym_binary_operator_token1] = ACTIONS(1456),
    [anon_sym_PIPE_GT] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [sym__hex_literal] = ACTIONS(1456),
    [sym__number_literal] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_return] = ACTIONS(1458),
    [sym_next] = ACTIONS(1458),
    [sym_break] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [sym_inf] = ACTIONS(1458),
    [sym_nan] = ACTIONS(1458),
    [anon_sym_NA] = ACTIONS(1458),
    [anon_sym_NA_integer_] = ACTIONS(1458),
    [anon_sym_NA_real_] = ACTIONS(1458),
    [anon_sym_NA_complex_] = ACTIONS(1458),
    [anon_sym_NA_character_] = ACTIONS(1458),
    [sym_dots] = ACTIONS(1458),
    [sym_dot_dot_i] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1456),
    [sym__newline] = ACTIONS(1456),
    [sym__raw_string_literal] = ACTIONS(1456),
    [sym__external_else] = ACTIONS(1456),
    [sym__external_open_parenthesis] = ACTIONS(1456),
    [sym__external_close_parenthesis] = ACTIONS(1456),
    [sym__external_open_brace] = ACTIONS(1456),
    [sym__external_open_bracket] = ACTIONS(1456),
    [sym__external_open_bracket2] = ACTIONS(1456),
  },
  [891] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(2131),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1591),
  },
  [892] = {
    [aux_sym_function_definition_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_repeat] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_LT_DASH] = ACTIONS(1411),
    [anon_sym_LT_LT_DASH] = ACTIONS(1411),
    [anon_sym_COLON_EQ] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_DASH_GT_GT] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [aux_sym_binary_operator_token1] = ACTIONS(1411),
    [anon_sym_PIPE_GT] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [sym__hex_literal] = ACTIONS(1411),
    [sym__number_literal] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_return] = ACTIONS(1409),
    [sym_next] = ACTIONS(1409),
    [sym_break] = ACTIONS(1409),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_null] = ACTIONS(1409),
    [sym_inf] = ACTIONS(1409),
    [sym_nan] = ACTIONS(1409),
    [anon_sym_NA] = ACTIONS(1409),
    [anon_sym_NA_integer_] = ACTIONS(1409),
    [anon_sym_NA_real_] = ACTIONS(1409),
    [anon_sym_NA_complex_] = ACTIONS(1409),
    [anon_sym_NA_character_] = ACTIONS(1409),
    [sym_dots] = ACTIONS(1409),
    [sym_dot_dot_i] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1411),
    [sym__newline] = ACTIONS(1593),
    [sym__raw_string_literal] = ACTIONS(1411),
    [sym__external_open_parenthesis] = ACTIONS(1411),
    [sym__external_close_parenthesis] = ACTIONS(1411),
    [sym__external_open_brace] = ACTIONS(1411),
    [sym__external_open_bracket] = ACTIONS(1411),
    [sym__external_open_bracket2] = ACTIONS(1411),
  },
  [893] = {
    [ts_builtin_sym_end] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_repeat] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1547),
    [anon_sym_LT_LT_DASH] = ACTIONS(1547),
    [anon_sym_COLON_EQ] = ACTIONS(1547),
    [anon_sym_DASH_GT] = ACTIONS(1545),
    [anon_sym_DASH_GT_GT] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [aux_sym_binary_operator_token1] = ACTIONS(1547),
    [anon_sym_PIPE_GT] = ACTIONS(1547),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1547),
    [sym__hex_literal] = ACTIONS(1547),
    [sym__number_literal] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_return] = ACTIONS(1545),
    [sym_next] = ACTIONS(1545),
    [sym_break] = ACTIONS(1545),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_null] = ACTIONS(1545),
    [sym_inf] = ACTIONS(1545),
    [sym_nan] = ACTIONS(1545),
    [anon_sym_NA] = ACTIONS(1545),
    [anon_sym_NA_integer_] = ACTIONS(1545),
    [anon_sym_NA_real_] = ACTIONS(1545),
    [anon_sym_NA_complex_] = ACTIONS(1545),
    [anon_sym_NA_character_] = ACTIONS(1545),
    [sym_dots] = ACTIONS(1545),
    [sym_dot_dot_i] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1547),
    [sym__semicolon] = ACTIONS(1547),
    [sym__raw_string_literal] = ACTIONS(1547),
    [sym__external_else] = ACTIONS(1547),
    [sym__external_open_parenthesis] = ACTIONS(1547),
    [sym__external_open_brace] = ACTIONS(1547),
    [sym__external_open_bracket] = ACTIONS(1547),
    [sym__external_open_bracket2] = ACTIONS(1547),
  },
  [894] = {
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_function] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_repeat] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_LT_LT_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_DASH_GT] = ACTIONS(1480),
    [anon_sym_DASH_GT_GT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [aux_sym_binary_operator_token1] = ACTIONS(1482),
    [anon_sym_PIPE_GT] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [sym__hex_literal] = ACTIONS(1482),
    [sym__number_literal] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_return] = ACTIONS(1480),
    [sym_next] = ACTIONS(1480),
    [sym_break] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_inf] = ACTIONS(1480),
    [sym_nan] = ACTIONS(1480),
    [anon_sym_NA] = ACTIONS(1480),
    [anon_sym_NA_integer_] = ACTIONS(1480),
    [anon_sym_NA_real_] = ACTIONS(1480),
    [anon_sym_NA_complex_] = ACTIONS(1480),
    [anon_sym_NA_character_] = ACTIONS(1480),
    [sym_dots] = ACTIONS(1480),
    [sym_dot_dot_i] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1482),
    [sym__semicolon] = ACTIONS(1482),
    [sym__raw_string_literal] = ACTIONS(1482),
    [sym__external_else] = ACTIONS(1482),
    [sym__external_open_parenthesis] = ACTIONS(1482),
    [sym__external_open_brace] = ACTIONS(1482),
    [sym__external_close_brace] = ACTIONS(1482),
    [sym__external_open_bracket] = ACTIONS(1482),
    [sym__external_open_bracket2] = ACTIONS(1482),
  },
  [895] = {
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_repeat] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1547),
    [anon_sym_LT_LT_DASH] = ACTIONS(1547),
    [anon_sym_COLON_EQ] = ACTIONS(1547),
    [anon_sym_DASH_GT] = ACTIONS(1545),
    [anon_sym_DASH_GT_GT] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [aux_sym_binary_operator_token1] = ACTIONS(1547),
    [anon_sym_PIPE_GT] = ACTIONS(1547),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1547),
    [sym__hex_literal] = ACTIONS(1547),
    [sym__number_literal] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_return] = ACTIONS(1545),
    [sym_next] = ACTIONS(1545),
    [sym_break] = ACTIONS(1545),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_null] = ACTIONS(1545),
    [sym_inf] = ACTIONS(1545),
    [sym_nan] = ACTIONS(1545),
    [anon_sym_NA] = ACTIONS(1545),
    [anon_sym_NA_integer_] = ACTIONS(1545),
    [anon_sym_NA_real_] = ACTIONS(1545),
    [anon_sym_NA_complex_] = ACTIONS(1545),
    [anon_sym_NA_character_] = ACTIONS(1545),
    [sym_dots] = ACTIONS(1545),
    [sym_dot_dot_i] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1547),
    [sym__newline] = ACTIONS(1547),
    [sym__raw_string_literal] = ACTIONS(1547),
    [sym__external_else] = ACTIONS(1547),
    [sym__external_open_parenthesis] = ACTIONS(1547),
    [sym__external_open_brace] = ACTIONS(1547),
    [sym__external_open_bracket] = ACTIONS(1547),
    [sym__external_close_bracket] = ACTIONS(1547),
    [sym__external_open_bracket2] = ACTIONS(1547),
  },
  [896] = {
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_BSLASH] = ACTIONS(1551),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_repeat] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1551),
    [anon_sym_LT_LT_DASH] = ACTIONS(1551),
    [anon_sym_COLON_EQ] = ACTIONS(1551),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_DASH_GT_GT] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [aux_sym_binary_operator_token1] = ACTIONS(1551),
    [anon_sym_PIPE_GT] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(1551),
    [sym__hex_literal] = ACTIONS(1551),
    [sym__number_literal] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_return] = ACTIONS(1549),
    [sym_next] = ACTIONS(1549),
    [sym_break] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_null] = ACTIONS(1549),
    [sym_inf] = ACTIONS(1549),
    [sym_nan] = ACTIONS(1549),
    [anon_sym_NA] = ACTIONS(1549),
    [anon_sym_NA_integer_] = ACTIONS(1549),
    [anon_sym_NA_real_] = ACTIONS(1549),
    [anon_sym_NA_complex_] = ACTIONS(1549),
    [anon_sym_NA_character_] = ACTIONS(1549),
    [sym_dots] = ACTIONS(1549),
    [sym_dot_dot_i] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1551),
    [sym__newline] = ACTIONS(1551),
    [sym__raw_string_literal] = ACTIONS(1551),
    [sym__external_else] = ACTIONS(1551),
    [sym__external_open_parenthesis] = ACTIONS(1551),
    [sym__external_open_brace] = ACTIONS(1551),
    [sym__external_open_bracket] = ACTIONS(1551),
    [sym__external_close_bracket] = ACTIONS(1551),
    [sym__external_open_bracket2] = ACTIONS(1551),
  },
  [897] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(1053),
    [aux_sym_braced_expression_repeat1] = STATE(831),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1596),
  },
  [898] = {
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_BSLASH] = ACTIONS(1551),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_repeat] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1551),
    [anon_sym_LT_LT_DASH] = ACTIONS(1551),
    [anon_sym_COLON_EQ] = ACTIONS(1551),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_DASH_GT_GT] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [aux_sym_binary_operator_token1] = ACTIONS(1551),
    [anon_sym_PIPE_GT] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(1551),
    [sym__hex_literal] = ACTIONS(1551),
    [sym__number_literal] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_return] = ACTIONS(1549),
    [sym_next] = ACTIONS(1549),
    [sym_break] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_null] = ACTIONS(1549),
    [sym_inf] = ACTIONS(1549),
    [sym_nan] = ACTIONS(1549),
    [anon_sym_NA] = ACTIONS(1549),
    [anon_sym_NA_integer_] = ACTIONS(1549),
    [anon_sym_NA_real_] = ACTIONS(1549),
    [anon_sym_NA_complex_] = ACTIONS(1549),
    [anon_sym_NA_character_] = ACTIONS(1549),
    [sym_dots] = ACTIONS(1549),
    [sym_dot_dot_i] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1551),
    [sym__semicolon] = ACTIONS(1551),
    [sym__raw_string_literal] = ACTIONS(1551),
    [sym__external_else] = ACTIONS(1551),
    [sym__external_open_parenthesis] = ACTIONS(1551),
    [sym__external_open_brace] = ACTIONS(1551),
    [sym__external_open_bracket] = ACTIONS(1551),
    [sym__external_open_bracket2] = ACTIONS(1551),
  },
  [899] = {
    [ts_builtin_sym_end] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_BSLASH] = ACTIONS(1555),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_repeat] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_LT_DASH] = ACTIONS(1555),
    [anon_sym_LT_LT_DASH] = ACTIONS(1555),
    [anon_sym_COLON_EQ] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_DASH_GT_GT] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [aux_sym_binary_operator_token1] = ACTIONS(1555),
    [anon_sym_PIPE_GT] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1555),
    [sym__hex_literal] = ACTIONS(1555),
    [sym__number_literal] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_return] = ACTIONS(1553),
    [sym_next] = ACTIONS(1553),
    [sym_break] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_null] = ACTIONS(1553),
    [sym_inf] = ACTIONS(1553),
    [sym_nan] = ACTIONS(1553),
    [anon_sym_NA] = ACTIONS(1553),
    [anon_sym_NA_integer_] = ACTIONS(1553),
    [anon_sym_NA_real_] = ACTIONS(1553),
    [anon_sym_NA_complex_] = ACTIONS(1553),
    [anon_sym_NA_character_] = ACTIONS(1553),
    [sym_dots] = ACTIONS(1553),
    [sym_dot_dot_i] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1555),
    [sym__semicolon] = ACTIONS(1555),
    [sym__raw_string_literal] = ACTIONS(1555),
    [sym__external_else] = ACTIONS(1555),
    [sym__external_open_parenthesis] = ACTIONS(1555),
    [sym__external_open_brace] = ACTIONS(1555),
    [sym__external_open_bracket] = ACTIONS(1555),
    [sym__external_open_bracket2] = ACTIONS(1555),
  },
  [900] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_BSLASH] = ACTIONS(1559),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_repeat] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_LT_DASH] = ACTIONS(1559),
    [anon_sym_LT_LT_DASH] = ACTIONS(1559),
    [anon_sym_COLON_EQ] = ACTIONS(1559),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_DASH_GT_GT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1559),
    [aux_sym_binary_operator_token1] = ACTIONS(1559),
    [anon_sym_PIPE_GT] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1559),
    [sym__hex_literal] = ACTIONS(1559),
    [sym__number_literal] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_return] = ACTIONS(1557),
    [sym_next] = ACTIONS(1557),
    [sym_break] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_null] = ACTIONS(1557),
    [sym_inf] = ACTIONS(1557),
    [sym_nan] = ACTIONS(1557),
    [anon_sym_NA] = ACTIONS(1557),
    [anon_sym_NA_integer_] = ACTIONS(1557),
    [anon_sym_NA_real_] = ACTIONS(1557),
    [anon_sym_NA_complex_] = ACTIONS(1557),
    [anon_sym_NA_character_] = ACTIONS(1557),
    [sym_dots] = ACTIONS(1557),
    [sym_dot_dot_i] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1559),
    [sym__semicolon] = ACTIONS(1559),
    [sym__raw_string_literal] = ACTIONS(1559),
    [sym__external_else] = ACTIONS(1559),
    [sym__external_open_parenthesis] = ACTIONS(1559),
    [sym__external_open_brace] = ACTIONS(1559),
    [sym__external_open_bracket] = ACTIONS(1559),
    [sym__external_open_bracket2] = ACTIONS(1559),
  },
  [901] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(2127),
    [aux_sym_braced_expression_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1598),
  },
  [902] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_repeat] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_LT_LT_DASH] = ACTIONS(1490),
    [anon_sym_COLON_EQ] = ACTIONS(1490),
    [anon_sym_DASH_GT] = ACTIONS(1488),
    [anon_sym_DASH_GT_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [aux_sym_binary_operator_token1] = ACTIONS(1490),
    [anon_sym_PIPE_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym__hex_literal] = ACTIONS(1490),
    [sym__number_literal] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_return] = ACTIONS(1488),
    [sym_next] = ACTIONS(1488),
    [sym_break] = ACTIONS(1488),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [sym_inf] = ACTIONS(1488),
    [sym_nan] = ACTIONS(1488),
    [anon_sym_NA] = ACTIONS(1488),
    [anon_sym_NA_integer_] = ACTIONS(1488),
    [anon_sym_NA_real_] = ACTIONS(1488),
    [anon_sym_NA_complex_] = ACTIONS(1488),
    [anon_sym_NA_character_] = ACTIONS(1488),
    [sym_dots] = ACTIONS(1488),
    [sym_dot_dot_i] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1490),
    [sym__semicolon] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1490),
    [sym__external_else] = ACTIONS(1490),
    [sym__external_open_parenthesis] = ACTIONS(1490),
    [sym__external_open_brace] = ACTIONS(1490),
    [sym__external_open_bracket] = ACTIONS(1490),
    [sym__external_open_bracket2] = ACTIONS(1490),
  },
  [903] = {
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_BSLASH] = ACTIONS(1555),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_repeat] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_LT_DASH] = ACTIONS(1555),
    [anon_sym_LT_LT_DASH] = ACTIONS(1555),
    [anon_sym_COLON_EQ] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_DASH_GT_GT] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [aux_sym_binary_operator_token1] = ACTIONS(1555),
    [anon_sym_PIPE_GT] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1555),
    [sym__hex_literal] = ACTIONS(1555),
    [sym__number_literal] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_return] = ACTIONS(1553),
    [sym_next] = ACTIONS(1553),
    [sym_break] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_null] = ACTIONS(1553),
    [sym_inf] = ACTIONS(1553),
    [sym_nan] = ACTIONS(1553),
    [anon_sym_NA] = ACTIONS(1553),
    [anon_sym_NA_integer_] = ACTIONS(1553),
    [anon_sym_NA_real_] = ACTIONS(1553),
    [anon_sym_NA_complex_] = ACTIONS(1553),
    [anon_sym_NA_character_] = ACTIONS(1553),
    [sym_dots] = ACTIONS(1553),
    [sym_dot_dot_i] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1555),
    [sym__newline] = ACTIONS(1555),
    [sym__raw_string_literal] = ACTIONS(1555),
    [sym__external_else] = ACTIONS(1555),
    [sym__external_open_parenthesis] = ACTIONS(1555),
    [sym__external_open_brace] = ACTIONS(1555),
    [sym__external_open_bracket] = ACTIONS(1555),
    [sym__external_close_bracket] = ACTIONS(1555),
    [sym__external_open_bracket2] = ACTIONS(1555),
  },
  [904] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(992),
    [aux_sym_braced_expression_repeat1] = STATE(867),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1600),
  },
  [905] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_BSLASH] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_repeat] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_LT_DASH] = ACTIONS(1563),
    [anon_sym_LT_LT_DASH] = ACTIONS(1563),
    [anon_sym_COLON_EQ] = ACTIONS(1563),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_DASH_GT_GT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [aux_sym_binary_operator_token1] = ACTIONS(1563),
    [anon_sym_PIPE_GT] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1563),
    [sym__hex_literal] = ACTIONS(1563),
    [sym__number_literal] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_return] = ACTIONS(1561),
    [sym_next] = ACTIONS(1561),
    [sym_break] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_inf] = ACTIONS(1561),
    [sym_nan] = ACTIONS(1561),
    [anon_sym_NA] = ACTIONS(1561),
    [anon_sym_NA_integer_] = ACTIONS(1561),
    [anon_sym_NA_real_] = ACTIONS(1561),
    [anon_sym_NA_complex_] = ACTIONS(1561),
    [anon_sym_NA_character_] = ACTIONS(1561),
    [sym_dots] = ACTIONS(1561),
    [sym_dot_dot_i] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1563),
    [sym__semicolon] = ACTIONS(1563),
    [sym__raw_string_literal] = ACTIONS(1563),
    [sym__external_else] = ACTIONS(1563),
    [sym__external_open_parenthesis] = ACTIONS(1563),
    [sym__external_open_brace] = ACTIONS(1563),
    [sym__external_open_bracket] = ACTIONS(1563),
    [sym__external_open_bracket2] = ACTIONS(1563),
  },
  [906] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(944),
    [aux_sym_braced_expression_repeat1] = STATE(833),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1602),
  },
  [907] = {
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_BSLASH] = ACTIONS(1559),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_repeat] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_LT_DASH] = ACTIONS(1559),
    [anon_sym_LT_LT_DASH] = ACTIONS(1559),
    [anon_sym_COLON_EQ] = ACTIONS(1559),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_DASH_GT_GT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1559),
    [aux_sym_binary_operator_token1] = ACTIONS(1559),
    [anon_sym_PIPE_GT] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1559),
    [sym__hex_literal] = ACTIONS(1559),
    [sym__number_literal] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_return] = ACTIONS(1557),
    [sym_next] = ACTIONS(1557),
    [sym_break] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_null] = ACTIONS(1557),
    [sym_inf] = ACTIONS(1557),
    [sym_nan] = ACTIONS(1557),
    [anon_sym_NA] = ACTIONS(1557),
    [anon_sym_NA_integer_] = ACTIONS(1557),
    [anon_sym_NA_real_] = ACTIONS(1557),
    [anon_sym_NA_complex_] = ACTIONS(1557),
    [anon_sym_NA_character_] = ACTIONS(1557),
    [sym_dots] = ACTIONS(1557),
    [sym_dot_dot_i] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1559),
    [sym__newline] = ACTIONS(1559),
    [sym__raw_string_literal] = ACTIONS(1559),
    [sym__external_else] = ACTIONS(1559),
    [sym__external_open_parenthesis] = ACTIONS(1559),
    [sym__external_open_brace] = ACTIONS(1559),
    [sym__external_open_bracket] = ACTIONS(1559),
    [sym__external_close_bracket] = ACTIONS(1559),
    [sym__external_open_bracket2] = ACTIONS(1559),
  },
  [908] = {
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_BSLASH] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_repeat] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_LT_DASH] = ACTIONS(1563),
    [anon_sym_LT_LT_DASH] = ACTIONS(1563),
    [anon_sym_COLON_EQ] = ACTIONS(1563),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_DASH_GT_GT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [aux_sym_binary_operator_token1] = ACTIONS(1563),
    [anon_sym_PIPE_GT] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1563),
    [sym__hex_literal] = ACTIONS(1563),
    [sym__number_literal] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_return] = ACTIONS(1561),
    [sym_next] = ACTIONS(1561),
    [sym_break] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_inf] = ACTIONS(1561),
    [sym_nan] = ACTIONS(1561),
    [anon_sym_NA] = ACTIONS(1561),
    [anon_sym_NA_integer_] = ACTIONS(1561),
    [anon_sym_NA_real_] = ACTIONS(1561),
    [anon_sym_NA_complex_] = ACTIONS(1561),
    [anon_sym_NA_character_] = ACTIONS(1561),
    [sym_dots] = ACTIONS(1561),
    [sym_dot_dot_i] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1563),
    [sym__newline] = ACTIONS(1563),
    [sym__raw_string_literal] = ACTIONS(1563),
    [sym__external_else] = ACTIONS(1563),
    [sym__external_open_parenthesis] = ACTIONS(1563),
    [sym__external_open_brace] = ACTIONS(1563),
    [sym__external_open_bracket] = ACTIONS(1563),
    [sym__external_close_bracket] = ACTIONS(1563),
    [sym__external_open_bracket2] = ACTIONS(1563),
  },
  [909] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_repeat] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_LT_LT_DASH] = ACTIONS(1494),
    [anon_sym_COLON_EQ] = ACTIONS(1494),
    [anon_sym_DASH_GT] = ACTIONS(1492),
    [anon_sym_DASH_GT_GT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [aux_sym_binary_operator_token1] = ACTIONS(1494),
    [anon_sym_PIPE_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym__hex_literal] = ACTIONS(1494),
    [sym__number_literal] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_return] = ACTIONS(1492),
    [sym_next] = ACTIONS(1492),
    [sym_break] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_inf] = ACTIONS(1492),
    [sym_nan] = ACTIONS(1492),
    [anon_sym_NA] = ACTIONS(1492),
    [anon_sym_NA_integer_] = ACTIONS(1492),
    [anon_sym_NA_real_] = ACTIONS(1492),
    [anon_sym_NA_complex_] = ACTIONS(1492),
    [anon_sym_NA_character_] = ACTIONS(1492),
    [sym_dots] = ACTIONS(1492),
    [sym_dot_dot_i] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1494),
    [sym__semicolon] = ACTIONS(1494),
    [sym__raw_string_literal] = ACTIONS(1494),
    [sym__external_else] = ACTIONS(1494),
    [sym__external_open_parenthesis] = ACTIONS(1494),
    [sym__external_open_brace] = ACTIONS(1494),
    [sym__external_open_bracket] = ACTIONS(1494),
    [sym__external_open_bracket2] = ACTIONS(1494),
  },
  [910] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(919),
    [aux_sym_braced_expression_repeat1] = STATE(923),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1604),
  },
  [911] = {
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1486),
    [anon_sym_LT_LT_DASH] = ACTIONS(1486),
    [anon_sym_COLON_EQ] = ACTIONS(1486),
    [anon_sym_DASH_GT] = ACTIONS(1484),
    [anon_sym_DASH_GT_GT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1486),
    [aux_sym_binary_operator_token1] = ACTIONS(1486),
    [anon_sym_PIPE_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [sym__hex_literal] = ACTIONS(1486),
    [sym__number_literal] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_return] = ACTIONS(1484),
    [sym_next] = ACTIONS(1484),
    [sym_break] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [sym_inf] = ACTIONS(1484),
    [sym_nan] = ACTIONS(1484),
    [anon_sym_NA] = ACTIONS(1484),
    [anon_sym_NA_integer_] = ACTIONS(1484),
    [anon_sym_NA_real_] = ACTIONS(1484),
    [anon_sym_NA_complex_] = ACTIONS(1484),
    [anon_sym_NA_character_] = ACTIONS(1484),
    [sym_dots] = ACTIONS(1484),
    [sym_dot_dot_i] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1486),
    [sym__semicolon] = ACTIONS(1486),
    [sym__raw_string_literal] = ACTIONS(1486),
    [sym__external_else] = ACTIONS(1486),
    [sym__external_open_parenthesis] = ACTIONS(1486),
    [sym__external_open_brace] = ACTIONS(1486),
    [sym__external_close_brace] = ACTIONS(1486),
    [sym__external_open_bracket] = ACTIONS(1486),
    [sym__external_open_bracket2] = ACTIONS(1486),
  },
  [912] = {
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_repeat] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_LT_DASH] = ACTIONS(1567),
    [anon_sym_LT_LT_DASH] = ACTIONS(1567),
    [anon_sym_COLON_EQ] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_DASH_GT_GT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [aux_sym_binary_operator_token1] = ACTIONS(1567),
    [anon_sym_PIPE_GT] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_AT] = ACTIONS(1567),
    [sym__hex_literal] = ACTIONS(1567),
    [sym__number_literal] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_return] = ACTIONS(1565),
    [sym_next] = ACTIONS(1565),
    [sym_break] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_null] = ACTIONS(1565),
    [sym_inf] = ACTIONS(1565),
    [sym_nan] = ACTIONS(1565),
    [anon_sym_NA] = ACTIONS(1565),
    [anon_sym_NA_integer_] = ACTIONS(1565),
    [anon_sym_NA_real_] = ACTIONS(1565),
    [anon_sym_NA_complex_] = ACTIONS(1565),
    [anon_sym_NA_character_] = ACTIONS(1565),
    [sym_dots] = ACTIONS(1565),
    [sym_dot_dot_i] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1567),
    [sym__newline] = ACTIONS(1567),
    [sym__raw_string_literal] = ACTIONS(1567),
    [sym__external_else] = ACTIONS(1567),
    [sym__external_open_parenthesis] = ACTIONS(1567),
    [sym__external_open_brace] = ACTIONS(1567),
    [sym__external_open_bracket] = ACTIONS(1567),
    [sym__external_close_bracket] = ACTIONS(1567),
    [sym__external_open_bracket2] = ACTIONS(1567),
  },
  [913] = {
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BSLASH] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_repeat] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_LT_DASH] = ACTIONS(1571),
    [anon_sym_LT_LT_DASH] = ACTIONS(1571),
    [anon_sym_COLON_EQ] = ACTIONS(1571),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_DASH_GT_GT] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_CARET] = ACTIONS(1571),
    [aux_sym_binary_operator_token1] = ACTIONS(1571),
    [anon_sym_PIPE_GT] = ACTIONS(1571),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(1571),
    [sym__hex_literal] = ACTIONS(1571),
    [sym__number_literal] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_return] = ACTIONS(1569),
    [sym_next] = ACTIONS(1569),
    [sym_break] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [sym_inf] = ACTIONS(1569),
    [sym_nan] = ACTIONS(1569),
    [anon_sym_NA] = ACTIONS(1569),
    [anon_sym_NA_integer_] = ACTIONS(1569),
    [anon_sym_NA_real_] = ACTIONS(1569),
    [anon_sym_NA_complex_] = ACTIONS(1569),
    [anon_sym_NA_character_] = ACTIONS(1569),
    [sym_dots] = ACTIONS(1569),
    [sym_dot_dot_i] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1571),
    [sym__newline] = ACTIONS(1571),
    [sym__raw_string_literal] = ACTIONS(1571),
    [sym__external_else] = ACTIONS(1571),
    [sym__external_open_parenthesis] = ACTIONS(1571),
    [sym__external_open_brace] = ACTIONS(1571),
    [sym__external_open_bracket] = ACTIONS(1571),
    [sym__external_close_bracket] = ACTIONS(1571),
    [sym__external_open_bracket2] = ACTIONS(1571),
  },
  [914] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(822),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1606),
  },
  [915] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(857),
    [aux_sym_braced_expression_repeat1] = STATE(858),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1608),
  },
  [916] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(946),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1610),
  },
  [917] = {
    [ts_builtin_sym_end] = ACTIONS(1567),
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_repeat] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_LT_DASH] = ACTIONS(1567),
    [anon_sym_LT_LT_DASH] = ACTIONS(1567),
    [anon_sym_COLON_EQ] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_DASH_GT_GT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [aux_sym_binary_operator_token1] = ACTIONS(1567),
    [anon_sym_PIPE_GT] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_AT] = ACTIONS(1567),
    [sym__hex_literal] = ACTIONS(1567),
    [sym__number_literal] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_return] = ACTIONS(1565),
    [sym_next] = ACTIONS(1565),
    [sym_break] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_null] = ACTIONS(1565),
    [sym_inf] = ACTIONS(1565),
    [sym_nan] = ACTIONS(1565),
    [anon_sym_NA] = ACTIONS(1565),
    [anon_sym_NA_integer_] = ACTIONS(1565),
    [anon_sym_NA_real_] = ACTIONS(1565),
    [anon_sym_NA_complex_] = ACTIONS(1565),
    [anon_sym_NA_character_] = ACTIONS(1565),
    [sym_dots] = ACTIONS(1565),
    [sym_dot_dot_i] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1567),
    [sym__semicolon] = ACTIONS(1567),
    [sym__raw_string_literal] = ACTIONS(1567),
    [sym__external_else] = ACTIONS(1567),
    [sym__external_open_parenthesis] = ACTIONS(1567),
    [sym__external_open_brace] = ACTIONS(1567),
    [sym__external_open_bracket] = ACTIONS(1567),
    [sym__external_open_bracket2] = ACTIONS(1567),
  },
  [918] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(932),
    [aux_sym_braced_expression_repeat1] = STATE(933),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1612),
  },
  [919] = {
    [ts_builtin_sym_end] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BSLASH] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_repeat] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_LT_DASH] = ACTIONS(1571),
    [anon_sym_LT_LT_DASH] = ACTIONS(1571),
    [anon_sym_COLON_EQ] = ACTIONS(1571),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_DASH_GT_GT] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_CARET] = ACTIONS(1571),
    [aux_sym_binary_operator_token1] = ACTIONS(1571),
    [anon_sym_PIPE_GT] = ACTIONS(1571),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(1571),
    [sym__hex_literal] = ACTIONS(1571),
    [sym__number_literal] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_return] = ACTIONS(1569),
    [sym_next] = ACTIONS(1569),
    [sym_break] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [sym_inf] = ACTIONS(1569),
    [sym_nan] = ACTIONS(1569),
    [anon_sym_NA] = ACTIONS(1569),
    [anon_sym_NA_integer_] = ACTIONS(1569),
    [anon_sym_NA_real_] = ACTIONS(1569),
    [anon_sym_NA_complex_] = ACTIONS(1569),
    [anon_sym_NA_character_] = ACTIONS(1569),
    [sym_dots] = ACTIONS(1569),
    [sym_dot_dot_i] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1571),
    [sym__semicolon] = ACTIONS(1571),
    [sym__raw_string_literal] = ACTIONS(1571),
    [sym__external_else] = ACTIONS(1571),
    [sym__external_open_parenthesis] = ACTIONS(1571),
    [sym__external_open_brace] = ACTIONS(1571),
    [sym__external_open_bracket] = ACTIONS(1571),
    [sym__external_open_bracket2] = ACTIONS(1571),
  },
  [920] = {
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_repeat] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1547),
    [anon_sym_LT_LT_DASH] = ACTIONS(1547),
    [anon_sym_COLON_EQ] = ACTIONS(1547),
    [anon_sym_DASH_GT] = ACTIONS(1545),
    [anon_sym_DASH_GT_GT] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [aux_sym_binary_operator_token1] = ACTIONS(1547),
    [anon_sym_PIPE_GT] = ACTIONS(1547),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1547),
    [sym__hex_literal] = ACTIONS(1547),
    [sym__number_literal] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_return] = ACTIONS(1545),
    [sym_next] = ACTIONS(1545),
    [sym_break] = ACTIONS(1545),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_null] = ACTIONS(1545),
    [sym_inf] = ACTIONS(1545),
    [sym_nan] = ACTIONS(1545),
    [anon_sym_NA] = ACTIONS(1545),
    [anon_sym_NA_integer_] = ACTIONS(1545),
    [anon_sym_NA_real_] = ACTIONS(1545),
    [anon_sym_NA_complex_] = ACTIONS(1545),
    [anon_sym_NA_character_] = ACTIONS(1545),
    [sym_dots] = ACTIONS(1545),
    [sym_dot_dot_i] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1547),
    [sym__semicolon] = ACTIONS(1547),
    [sym__raw_string_literal] = ACTIONS(1547),
    [sym__external_else] = ACTIONS(1547),
    [sym__external_open_parenthesis] = ACTIONS(1547),
    [sym__external_open_brace] = ACTIONS(1547),
    [sym__external_close_brace] = ACTIONS(1547),
    [sym__external_open_bracket] = ACTIONS(1547),
    [sym__external_open_bracket2] = ACTIONS(1547),
  },
  [921] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(2097),
    [aux_sym_braced_expression_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1614),
  },
  [922] = {
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_BSLASH] = ACTIONS(1551),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_repeat] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1551),
    [anon_sym_LT_LT_DASH] = ACTIONS(1551),
    [anon_sym_COLON_EQ] = ACTIONS(1551),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_DASH_GT_GT] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [aux_sym_binary_operator_token1] = ACTIONS(1551),
    [anon_sym_PIPE_GT] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(1551),
    [sym__hex_literal] = ACTIONS(1551),
    [sym__number_literal] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_return] = ACTIONS(1549),
    [sym_next] = ACTIONS(1549),
    [sym_break] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_null] = ACTIONS(1549),
    [sym_inf] = ACTIONS(1549),
    [sym_nan] = ACTIONS(1549),
    [anon_sym_NA] = ACTIONS(1549),
    [anon_sym_NA_integer_] = ACTIONS(1549),
    [anon_sym_NA_real_] = ACTIONS(1549),
    [anon_sym_NA_complex_] = ACTIONS(1549),
    [anon_sym_NA_character_] = ACTIONS(1549),
    [sym_dots] = ACTIONS(1549),
    [sym_dot_dot_i] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1551),
    [sym__semicolon] = ACTIONS(1551),
    [sym__raw_string_literal] = ACTIONS(1551),
    [sym__external_else] = ACTIONS(1551),
    [sym__external_open_parenthesis] = ACTIONS(1551),
    [sym__external_open_brace] = ACTIONS(1551),
    [sym__external_close_brace] = ACTIONS(1551),
    [sym__external_open_bracket] = ACTIONS(1551),
    [sym__external_open_bracket2] = ACTIONS(1551),
  },
  [923] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(846),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1616),
  },
  [924] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(957),
    [aux_sym_braced_expression_repeat1] = STATE(866),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1618),
  },
  [925] = {
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_BSLASH] = ACTIONS(1555),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_repeat] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_LT_DASH] = ACTIONS(1555),
    [anon_sym_LT_LT_DASH] = ACTIONS(1555),
    [anon_sym_COLON_EQ] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_DASH_GT_GT] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [aux_sym_binary_operator_token1] = ACTIONS(1555),
    [anon_sym_PIPE_GT] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1555),
    [sym__hex_literal] = ACTIONS(1555),
    [sym__number_literal] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_return] = ACTIONS(1553),
    [sym_next] = ACTIONS(1553),
    [sym_break] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_null] = ACTIONS(1553),
    [sym_inf] = ACTIONS(1553),
    [sym_nan] = ACTIONS(1553),
    [anon_sym_NA] = ACTIONS(1553),
    [anon_sym_NA_integer_] = ACTIONS(1553),
    [anon_sym_NA_real_] = ACTIONS(1553),
    [anon_sym_NA_complex_] = ACTIONS(1553),
    [anon_sym_NA_character_] = ACTIONS(1553),
    [sym_dots] = ACTIONS(1553),
    [sym_dot_dot_i] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1555),
    [sym__semicolon] = ACTIONS(1555),
    [sym__raw_string_literal] = ACTIONS(1555),
    [sym__external_else] = ACTIONS(1555),
    [sym__external_open_parenthesis] = ACTIONS(1555),
    [sym__external_open_brace] = ACTIONS(1555),
    [sym__external_close_brace] = ACTIONS(1555),
    [sym__external_open_bracket] = ACTIONS(1555),
    [sym__external_open_bracket2] = ACTIONS(1555),
  },
  [926] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(913),
    [aux_sym_braced_expression_repeat1] = STATE(914),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1620),
  },
  [927] = {
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_BSLASH] = ACTIONS(1559),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_repeat] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_LT_DASH] = ACTIONS(1559),
    [anon_sym_LT_LT_DASH] = ACTIONS(1559),
    [anon_sym_COLON_EQ] = ACTIONS(1559),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_DASH_GT_GT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1559),
    [aux_sym_binary_operator_token1] = ACTIONS(1559),
    [anon_sym_PIPE_GT] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1559),
    [sym__hex_literal] = ACTIONS(1559),
    [sym__number_literal] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_return] = ACTIONS(1557),
    [sym_next] = ACTIONS(1557),
    [sym_break] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_null] = ACTIONS(1557),
    [sym_inf] = ACTIONS(1557),
    [sym_nan] = ACTIONS(1557),
    [anon_sym_NA] = ACTIONS(1557),
    [anon_sym_NA_integer_] = ACTIONS(1557),
    [anon_sym_NA_real_] = ACTIONS(1557),
    [anon_sym_NA_complex_] = ACTIONS(1557),
    [anon_sym_NA_character_] = ACTIONS(1557),
    [sym_dots] = ACTIONS(1557),
    [sym_dot_dot_i] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1559),
    [sym__semicolon] = ACTIONS(1559),
    [sym__raw_string_literal] = ACTIONS(1559),
    [sym__external_else] = ACTIONS(1559),
    [sym__external_open_parenthesis] = ACTIONS(1559),
    [sym__external_open_brace] = ACTIONS(1559),
    [sym__external_close_brace] = ACTIONS(1559),
    [sym__external_open_bracket] = ACTIONS(1559),
    [sym__external_open_bracket2] = ACTIONS(1559),
  },
  [928] = {
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_BSLASH] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_repeat] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_LT_DASH] = ACTIONS(1563),
    [anon_sym_LT_LT_DASH] = ACTIONS(1563),
    [anon_sym_COLON_EQ] = ACTIONS(1563),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_DASH_GT_GT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [aux_sym_binary_operator_token1] = ACTIONS(1563),
    [anon_sym_PIPE_GT] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1563),
    [sym__hex_literal] = ACTIONS(1563),
    [sym__number_literal] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_return] = ACTIONS(1561),
    [sym_next] = ACTIONS(1561),
    [sym_break] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_inf] = ACTIONS(1561),
    [sym_nan] = ACTIONS(1561),
    [anon_sym_NA] = ACTIONS(1561),
    [anon_sym_NA_integer_] = ACTIONS(1561),
    [anon_sym_NA_real_] = ACTIONS(1561),
    [anon_sym_NA_complex_] = ACTIONS(1561),
    [anon_sym_NA_character_] = ACTIONS(1561),
    [sym_dots] = ACTIONS(1561),
    [sym_dot_dot_i] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1563),
    [sym__semicolon] = ACTIONS(1563),
    [sym__raw_string_literal] = ACTIONS(1563),
    [sym__external_else] = ACTIONS(1563),
    [sym__external_open_parenthesis] = ACTIONS(1563),
    [sym__external_open_brace] = ACTIONS(1563),
    [sym__external_close_brace] = ACTIONS(1563),
    [sym__external_open_bracket] = ACTIONS(1563),
    [sym__external_open_bracket2] = ACTIONS(1563),
  },
  [929] = {
    [aux_sym_function_definition_repeat1] = STATE(929),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_BSLASH] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_repeat] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_LT_DASH] = ACTIONS(1411),
    [anon_sym_LT_LT_DASH] = ACTIONS(1411),
    [anon_sym_COLON_EQ] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_DASH_GT_GT] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [aux_sym_binary_operator_token1] = ACTIONS(1411),
    [anon_sym_PIPE_GT] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [sym__hex_literal] = ACTIONS(1411),
    [sym__number_literal] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_return] = ACTIONS(1409),
    [sym_next] = ACTIONS(1409),
    [sym_break] = ACTIONS(1409),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_null] = ACTIONS(1409),
    [sym_inf] = ACTIONS(1409),
    [sym_nan] = ACTIONS(1409),
    [anon_sym_NA] = ACTIONS(1409),
    [anon_sym_NA_integer_] = ACTIONS(1409),
    [anon_sym_NA_real_] = ACTIONS(1409),
    [anon_sym_NA_complex_] = ACTIONS(1409),
    [anon_sym_NA_character_] = ACTIONS(1409),
    [sym_dots] = ACTIONS(1409),
    [sym_dot_dot_i] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1411),
    [sym__newline] = ACTIONS(1622),
    [sym__raw_string_literal] = ACTIONS(1411),
    [sym__external_open_parenthesis] = ACTIONS(1411),
    [sym__external_open_brace] = ACTIONS(1411),
    [sym__external_open_bracket] = ACTIONS(1411),
    [sym__external_close_bracket] = ACTIONS(1411),
    [sym__external_open_bracket2] = ACTIONS(1411),
  },
  [930] = {
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_repeat] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_LT_DASH] = ACTIONS(1567),
    [anon_sym_LT_LT_DASH] = ACTIONS(1567),
    [anon_sym_COLON_EQ] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_DASH_GT_GT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [aux_sym_binary_operator_token1] = ACTIONS(1567),
    [anon_sym_PIPE_GT] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_AT] = ACTIONS(1567),
    [sym__hex_literal] = ACTIONS(1567),
    [sym__number_literal] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_return] = ACTIONS(1565),
    [sym_next] = ACTIONS(1565),
    [sym_break] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_null] = ACTIONS(1565),
    [sym_inf] = ACTIONS(1565),
    [sym_nan] = ACTIONS(1565),
    [anon_sym_NA] = ACTIONS(1565),
    [anon_sym_NA_integer_] = ACTIONS(1565),
    [anon_sym_NA_real_] = ACTIONS(1565),
    [anon_sym_NA_complex_] = ACTIONS(1565),
    [anon_sym_NA_character_] = ACTIONS(1565),
    [sym_dots] = ACTIONS(1565),
    [sym_dot_dot_i] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1567),
    [sym__semicolon] = ACTIONS(1567),
    [sym__raw_string_literal] = ACTIONS(1567),
    [sym__external_else] = ACTIONS(1567),
    [sym__external_open_parenthesis] = ACTIONS(1567),
    [sym__external_open_brace] = ACTIONS(1567),
    [sym__external_close_brace] = ACTIONS(1567),
    [sym__external_open_bracket] = ACTIONS(1567),
    [sym__external_open_bracket2] = ACTIONS(1567),
  },
  [931] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(854),
    [aux_sym_braced_expression_repeat1] = STATE(855),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1625),
  },
  [932] = {
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BSLASH] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_repeat] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_LT_DASH] = ACTIONS(1571),
    [anon_sym_LT_LT_DASH] = ACTIONS(1571),
    [anon_sym_COLON_EQ] = ACTIONS(1571),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_DASH_GT_GT] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_CARET] = ACTIONS(1571),
    [aux_sym_binary_operator_token1] = ACTIONS(1571),
    [anon_sym_PIPE_GT] = ACTIONS(1571),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(1571),
    [sym__hex_literal] = ACTIONS(1571),
    [sym__number_literal] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_return] = ACTIONS(1569),
    [sym_next] = ACTIONS(1569),
    [sym_break] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [sym_inf] = ACTIONS(1569),
    [sym_nan] = ACTIONS(1569),
    [anon_sym_NA] = ACTIONS(1569),
    [anon_sym_NA_integer_] = ACTIONS(1569),
    [anon_sym_NA_real_] = ACTIONS(1569),
    [anon_sym_NA_complex_] = ACTIONS(1569),
    [anon_sym_NA_character_] = ACTIONS(1569),
    [sym_dots] = ACTIONS(1569),
    [sym_dot_dot_i] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1571),
    [sym__semicolon] = ACTIONS(1571),
    [sym__raw_string_literal] = ACTIONS(1571),
    [sym__external_else] = ACTIONS(1571),
    [sym__external_open_parenthesis] = ACTIONS(1571),
    [sym__external_open_brace] = ACTIONS(1571),
    [sym__external_close_brace] = ACTIONS(1571),
    [sym__external_open_bracket] = ACTIONS(1571),
    [sym__external_open_bracket2] = ACTIONS(1571),
  },
  [933] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [sym__close_brace] = STATE(815),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_repeat] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [sym__hex_literal] = ACTIONS(1522),
    [sym__number_literal] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_return] = ACTIONS(1526),
    [sym_next] = ACTIONS(1526),
    [sym_break] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_inf] = ACTIONS(1526),
    [sym_nan] = ACTIONS(1526),
    [anon_sym_NA] = ACTIONS(1528),
    [anon_sym_NA_integer_] = ACTIONS(1528),
    [anon_sym_NA_real_] = ACTIONS(1528),
    [anon_sym_NA_complex_] = ACTIONS(1528),
    [anon_sym_NA_character_] = ACTIONS(1528),
    [sym_dots] = ACTIONS(1526),
    [sym_dot_dot_i] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1532),
    [sym__semicolon] = ACTIONS(1532),
    [sym__raw_string_literal] = ACTIONS(1159),
    [sym__external_open_parenthesis] = ACTIONS(1534),
    [sym__external_open_brace] = ACTIONS(1536),
    [sym__external_close_brace] = ACTIONS(1627),
  },
  [934] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_repeat] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_LT_DASH] = ACTIONS(1498),
    [anon_sym_LT_LT_DASH] = ACTIONS(1498),
    [anon_sym_COLON_EQ] = ACTIONS(1498),
    [anon_sym_DASH_GT] = ACTIONS(1496),
    [anon_sym_DASH_GT_GT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1498),
    [aux_sym_binary_operator_token1] = ACTIONS(1498),
    [anon_sym_PIPE_GT] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [sym__hex_literal] = ACTIONS(1498),
    [sym__number_literal] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_return] = ACTIONS(1496),
    [sym_next] = ACTIONS(1496),
    [sym_break] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_inf] = ACTIONS(1496),
    [sym_nan] = ACTIONS(1496),
    [anon_sym_NA] = ACTIONS(1496),
    [anon_sym_NA_integer_] = ACTIONS(1496),
    [anon_sym_NA_real_] = ACTIONS(1496),
    [anon_sym_NA_complex_] = ACTIONS(1496),
    [anon_sym_NA_character_] = ACTIONS(1496),
    [sym_dots] = ACTIONS(1496),
    [sym_dot_dot_i] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1498),
    [sym__semicolon] = ACTIONS(1498),
    [sym__raw_string_literal] = ACTIONS(1498),
    [sym__external_else] = ACTIONS(1498),
    [sym__external_open_parenthesis] = ACTIONS(1498),
    [sym__external_open_brace] = ACTIONS(1498),
    [sym__external_open_bracket] = ACTIONS(1498),
    [sym__external_open_bracket2] = ACTIONS(1498),
  },
  [935] = {
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_repeat] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1547),
    [anon_sym_LT_LT_DASH] = ACTIONS(1547),
    [anon_sym_COLON_EQ] = ACTIONS(1547),
    [anon_sym_DASH_GT] = ACTIONS(1545),
    [anon_sym_DASH_GT_GT] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [aux_sym_binary_operator_token1] = ACTIONS(1547),
    [anon_sym_PIPE_GT] = ACTIONS(1547),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1547),
    [sym__hex_literal] = ACTIONS(1547),
    [sym__number_literal] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_return] = ACTIONS(1545),
    [sym_next] = ACTIONS(1545),
    [sym_break] = ACTIONS(1545),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_null] = ACTIONS(1545),
    [sym_inf] = ACTIONS(1545),
    [sym_nan] = ACTIONS(1545),
    [anon_sym_NA] = ACTIONS(1545),
    [anon_sym_NA_integer_] = ACTIONS(1545),
    [anon_sym_NA_real_] = ACTIONS(1545),
    [anon_sym_NA_complex_] = ACTIONS(1545),
    [anon_sym_NA_character_] = ACTIONS(1545),
    [sym_dots] = ACTIONS(1545),
    [sym_dot_dot_i] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1547),
    [sym__newline] = ACTIONS(1547),
    [sym__raw_string_literal] = ACTIONS(1547),
    [sym__external_open_parenthesis] = ACTIONS(1547),
    [sym__external_close_parenthesis] = ACTIONS(1547),
    [sym__external_open_brace] = ACTIONS(1547),
    [sym__external_open_bracket] = ACTIONS(1547),
    [sym__external_open_bracket2] = ACTIONS(1547),
  },
  [936] = {
    [sym_function_definition] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_repeat_statement] = STATE(534),
    [sym_braced_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_call] = STATE(534),
    [sym_subset] = STATE(534),
    [sym_subset2] = STATE(534),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_extract_operator] = STATE(534),
    [sym_namespace_operator] = STATE(534),
    [sym_integer] = STATE(534),
    [sym_complex] = STATE(534),
    [sym_float] = STATE(534),
    [sym__float_literal] = STATE(797),
    [sym_string] = STATE(796),
    [sym__single_quoted_string] = STATE(798),
    [sym__double_quoted_string] = STATE(773),
    [sym_na] = STATE(534),
    [sym__expression] = STATE(534),
    [sym__string_or_identifier] = STATE(2302),
    [sym__open_parenthesis] = STATE(1008),
    [sym__open_brace] = STATE(904),
    [sym_identifier] = ACTIONS(1629),
    [anon_sym_BSLASH] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DASH] = ACTIONS(579),
    [sym__hex_literal] = ACTIONS(581),
    [sym__number_literal] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [sym_return] = ACTIONS(589),
    [sym_next] = ACTIONS(589),
    [sym_break] = ACTIONS(589),
    [sym_true] = ACTIONS(589),
    [sym_false] = ACTIONS(589),
    [sym_null] = ACTIONS(589),
    [sym_inf] = ACTIONS(589),
    [sym_nan] = ACTIONS(589),
    [anon_sym_NA] = ACTIONS(591),
    [anon_sym_NA_integer_] = ACTIONS(591),
    [anon_sym_NA_real_] = ACTIONS(591),
    [anon_sym_NA_complex_] = ACTIONS(591),
    [anon_sym_NA_character_] = ACTIONS(591),
    [sym_dots] = ACTIONS(589),
    [sym_dot_dot_i] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1631),
    [sym__newline] = ACTIONS(599),
    [sym__raw_string_literal] = ACTIONS(601),
    [sym__external_open_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(605),
    [sym__external_close_bracket] = ACTIONS(1631),
  },
  [937] = {
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_repeat] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_LT_LT_DASH] = ACTIONS(1494),
    [anon_sym_COLON_EQ] = ACTIONS(1494),
    [anon_sym_DASH_GT] = ACTIONS(1492),
    [anon_sym_DASH_GT_GT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [aux_sym_binary_operator_token1] = ACTIONS(1494),
    [anon_sym_PIPE_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym__hex_literal] = ACTIONS(1494),
    [sym__number_literal] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_return] = ACTIONS(1492),
    [sym_next] = ACTIONS(1492),
    [sym_break] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_inf] = ACTIONS(1492),
    [sym_nan] = ACTIONS(1492),
    [anon_sym_NA] = ACTIONS(1492),
    [anon_sym_NA_integer_] = ACTIONS(1492),
    [anon_sym_NA_real_] = ACTIONS(1492),
    [anon_sym_NA_complex_] = ACTIONS(1492),
    [anon_sym_NA_character_] = ACTIONS(1492),
    [sym_dots] = ACTIONS(1492),
    [sym_dot_dot_i] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1494),
    [sym__newline] = ACTIONS(1494),
    [sym__raw_string_literal] = ACTIONS(1494),
    [sym__external_open_parenthesis] = ACTIONS(1494),
    [sym__external_close_parenthesis] = ACTIONS(1494),
    [sym__external_open_brace] = ACTIONS(1494),
    [sym__external_open_bracket] = ACTIONS(1494),
    [sym__external_open_bracket2] = ACTIONS(1494),
  },
  [938] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_repeat] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_LT_LT_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_DASH_GT] = ACTIONS(1476),
    [anon_sym_DASH_GT_GT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [aux_sym_binary_operator_token1] = ACTIONS(1478),
    [anon_sym_PIPE_GT] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [sym__hex_literal] = ACTIONS(1478),
    [sym__number_literal] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_return] = ACTIONS(1476),
    [sym_next] = ACTIONS(1476),
    [sym_break] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [sym_inf] = ACTIONS(1476),
    [sym_nan] = ACTIONS(1476),
    [anon_sym_NA] = ACTIONS(1476),
    [anon_sym_NA_integer_] = ACTIONS(1476),
    [anon_sym_NA_real_] = ACTIONS(1476),
    [anon_sym_NA_complex_] = ACTIONS(1476),
    [anon_sym_NA_character_] = ACTIONS(1476),
    [sym_dots] = ACTIONS(1476),
    [sym_dot_dot_i] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1478),
    [sym__semicolon] = ACTIONS(1478),
    [sym__raw_string_literal] = ACTIONS(1478),
    [sym__external_open_parenthesis] = ACTIONS(1478),
    [sym__external_open_brace] = ACTIONS(1478),
    [sym__external_open_bracket] = ACTIONS(1478),
    [sym__external_open_bracket2] = ACTIONS(1478),
  },
  [939] = {
    [ts_builtin_sym_end] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_repeat] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1547),
    [anon_sym_LT_LT_DASH] = ACTIONS(1547),
    [anon_sym_COLON_EQ] = ACTIONS(1547),
    [anon_sym_DASH_GT] = ACTIONS(1545),
    [anon_sym_DASH_GT_GT] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [aux_sym_binary_operator_token1] = ACTIONS(1547),
    [anon_sym_PIPE_GT] = ACTIONS(1547),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1547),
    [sym__hex_literal] = ACTIONS(1547),
    [sym__number_literal] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_return] = ACTIONS(1545),
    [sym_next] = ACTIONS(1545),
    [sym_break] = ACTIONS(1545),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_null] = ACTIONS(1545),
    [sym_inf] = ACTIONS(1545),
    [sym_nan] = ACTIONS(1545),
    [anon_sym_NA] = ACTIONS(1545),
    [anon_sym_NA_integer_] = ACTIONS(1545),
    [anon_sym_NA_real_] = ACTIONS(1545),
    [anon_sym_NA_complex_] = ACTIONS(1545),
    [anon_sym_NA_character_] = ACTIONS(1545),
    [sym_dots] = ACTIONS(1545),
    [sym_dot_dot_i] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1547),
    [sym__semicolon] = ACTIONS(1547),
    [sym__raw_string_literal] = ACTIONS(1547),
    [sym__external_open_parenthesis] = ACTIONS(1547),
    [sym__external_open_brace] = ACTIONS(1547),
    [sym__external_open_bracket] = ACTIONS(1547),
    [sym__external_open_bracket2] = ACTIONS(1547),
  },
  [940] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_repeat] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_LT_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_DASH_GT] = ACTIONS(1452),
    [anon_sym_DASH_GT_GT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [aux_sym_binary_operator_token1] = ACTIONS(1454),
    [anon_sym_PIPE_GT] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym__hex_literal] = ACTIONS(1454),
    [sym__number_literal] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_return] = ACTIONS(1452),
    [sym_next] = ACTIONS(1452),
    [sym_break] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_inf] = ACTIONS(1452),
    [sym_nan] = ACTIONS(1452),
    [anon_sym_NA] = ACTIONS(1452),
    [anon_sym_NA_integer_] = ACTIONS(1452),
    [anon_sym_NA_real_] = ACTIONS(1452),
    [anon_sym_NA_complex_] = ACTIONS(1452),
    [anon_sym_NA_character_] = ACTIONS(1452),
    [sym_dots] = ACTIONS(1452),
    [sym_dot_dot_i] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1454),
    [sym__semicolon] = ACTIONS(1454),
    [sym__raw_string_literal] = ACTIONS(1454),
    [sym__external_open_parenthesis] = ACTIONS(1454),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_open_bracket] = ACTIONS(1454),
    [sym__external_open_bracket2] = ACTIONS(1454),
  },
  [941] = {
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_repeat] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1547),
    [anon_sym_LT_LT_DASH] = ACTIONS(1547),
    [anon_sym_COLON_EQ] = ACTIONS(1547),
    [anon_sym_DASH_GT] = ACTIONS(1545),
    [anon_sym_DASH_GT_GT] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [aux_sym_binary_operator_token1] = ACTIONS(1547),
    [anon_sym_PIPE_GT] = ACTIONS(1547),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1547),
    [sym__hex_literal] = ACTIONS(1547),
    [sym__number_literal] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_return] = ACTIONS(1545),
    [sym_next] = ACTIONS(1545),
    [sym_break] = ACTIONS(1545),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_null] = ACTIONS(1545),
    [sym_inf] = ACTIONS(1545),
    [sym_nan] = ACTIONS(1545),
    [anon_sym_NA] = ACTIONS(1545),
    [anon_sym_NA_integer_] = ACTIONS(1545),
    [anon_sym_NA_real_] = ACTIONS(1545),
    [anon_sym_NA_complex_] = ACTIONS(1545),
    [anon_sym_NA_character_] = ACTIONS(1545),
    [sym_dots] = ACTIONS(1545),
    [sym_dot_dot_i] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1547),
    [sym__newline] = ACTIONS(1547),
    [sym__raw_string_literal] = ACTIONS(1547),
    [sym__external_open_parenthesis] = ACTIONS(1547),
    [sym__external_open_brace] = ACTIONS(1547),
    [sym__external_open_bracket] = ACTIONS(1547),
    [sym__external_close_bracket] = ACTIONS(1547),
    [sym__external_open_bracket2] = ACTIONS(1547),
  },
  [942] = {
    [ts_builtin_sym_end] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_BSLASH] = ACTIONS(1555),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_repeat] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_LT_DASH] = ACTIONS(1555),
    [anon_sym_LT_LT_DASH] = ACTIONS(1555),
    [anon_sym_COLON_EQ] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_DASH_GT_GT] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [aux_sym_binary_operator_token1] = ACTIONS(1555),
    [anon_sym_PIPE_GT] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1555),
    [sym__hex_literal] = ACTIONS(1555),
    [sym__number_literal] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_return] = ACTIONS(1553),
    [sym_next] = ACTIONS(1553),
    [sym_break] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_null] = ACTIONS(1553),
    [sym_inf] = ACTIONS(1553),
    [sym_nan] = ACTIONS(1553),
    [anon_sym_NA] = ACTIONS(1553),
    [anon_sym_NA_integer_] = ACTIONS(1553),
    [anon_sym_NA_real_] = ACTIONS(1553),
    [anon_sym_NA_complex_] = ACTIONS(1553),
    [anon_sym_NA_character_] = ACTIONS(1553),
    [sym_dots] = ACTIONS(1553),
    [sym_dot_dot_i] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1555),
    [sym__semicolon] = ACTIONS(1555),
    [sym__raw_string_literal] = ACTIONS(1555),
    [sym__external_open_parenthesis] = ACTIONS(1555),
    [sym__external_open_brace] = ACTIONS(1555),
    [sym__external_open_bracket] = ACTIONS(1555),
    [sym__external_open_bracket2] = ACTIONS(1555),
  },
  [943] = {
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_repeat] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_LT_DASH] = ACTIONS(1567),
    [anon_sym_LT_LT_DASH] = ACTIONS(1567),
    [anon_sym_COLON_EQ] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_DASH_GT_GT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [aux_sym_binary_operator_token1] = ACTIONS(1567),
    [anon_sym_PIPE_GT] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_AT] = ACTIONS(1567),
    [sym__hex_literal] = ACTIONS(1567),
    [sym__number_literal] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_return] = ACTIONS(1565),
    [sym_next] = ACTIONS(1565),
    [sym_break] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_null] = ACTIONS(1565),
    [sym_inf] = ACTIONS(1565),
    [sym_nan] = ACTIONS(1565),
    [anon_sym_NA] = ACTIONS(1565),
    [anon_sym_NA_integer_] = ACTIONS(1565),
    [anon_sym_NA_real_] = ACTIONS(1565),
    [anon_sym_NA_complex_] = ACTIONS(1565),
    [anon_sym_NA_character_] = ACTIONS(1565),
    [sym_dots] = ACTIONS(1565),
    [sym_dot_dot_i] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1567),
    [sym__newline] = ACTIONS(1567),
    [sym__raw_string_literal] = ACTIONS(1567),
    [sym__external_open_parenthesis] = ACTIONS(1567),
    [sym__external_open_brace] = ACTIONS(1567),
    [sym__external_open_bracket] = ACTIONS(1567),
    [sym__external_open_bracket2] = ACTIONS(1567),
    [sym__external_close_bracket2] = ACTIONS(1567),
  },
  [944] = {
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BSLASH] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_repeat] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_LT_DASH] = ACTIONS(1571),
    [anon_sym_LT_LT_DASH] = ACTIONS(1571),
    [anon_sym_COLON_EQ] = ACTIONS(1571),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_DASH_GT_GT] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_CARET] = ACTIONS(1571),
    [aux_sym_binary_operator_token1] = ACTIONS(1571),
    [anon_sym_PIPE_GT] = ACTIONS(1571),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(1571),
    [sym__hex_literal] = ACTIONS(1571),
    [sym__number_literal] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_return] = ACTIONS(1569),
    [sym_next] = ACTIONS(1569),
    [sym_break] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [sym_inf] = ACTIONS(1569),
    [sym_nan] = ACTIONS(1569),
    [anon_sym_NA] = ACTIONS(1569),
    [anon_sym_NA_integer_] = ACTIONS(1569),
    [anon_sym_NA_real_] = ACTIONS(1569),
    [anon_sym_NA_complex_] = ACTIONS(1569),
    [anon_sym_NA_character_] = ACTIONS(1569),
    [sym_dots] = ACTIONS(1569),
    [sym_dot_dot_i] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1571),
    [sym__newline] = ACTIONS(1571),
    [sym__raw_string_literal] = ACTIONS(1571),
    [sym__external_open_parenthesis] = ACTIONS(1571),
    [sym__external_open_brace] = ACTIONS(1571),
    [sym__external_open_bracket] = ACTIONS(1571),
    [sym__external_open_bracket2] = ACTIONS(1571),
    [sym__external_close_bracket2] = ACTIONS(1571),
  },
  [945] = {
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_BSLASH] = ACTIONS(1555),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_repeat] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_LT_DASH] = ACTIONS(1555),
    [anon_sym_LT_LT_DASH] = ACTIONS(1555),
    [anon_sym_COLON_EQ] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_DASH_GT_GT] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [aux_sym_binary_operator_token1] = ACTIONS(1555),
    [anon_sym_PIPE_GT] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1555),
    [sym__hex_literal] = ACTIONS(1555),
    [sym__number_literal] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_return] = ACTIONS(1553),
    [sym_next] = ACTIONS(1553),
    [sym_break] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_null] = ACTIONS(1553),
    [sym_inf] = ACTIONS(1553),
    [sym_nan] = ACTIONS(1553),
    [anon_sym_NA] = ACTIONS(1553),
    [anon_sym_NA_integer_] = ACTIONS(1553),
    [anon_sym_NA_real_] = ACTIONS(1553),
    [anon_sym_NA_complex_] = ACTIONS(1553),
    [anon_sym_NA_character_] = ACTIONS(1553),
    [sym_dots] = ACTIONS(1553),
    [sym_dot_dot_i] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1555),
    [sym__newline] = ACTIONS(1555),
    [sym__raw_string_literal] = ACTIONS(1555),
    [sym__external_open_parenthesis] = ACTIONS(1555),
    [sym__external_open_brace] = ACTIONS(1555),
    [sym__external_open_bracket] = ACTIONS(1555),
    [sym__external_open_bracket2] = ACTIONS(1555),
    [sym__external_close_bracket2] = ACTIONS(1555),
  },
  [946] = {
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_repeat] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_LT_LT_DASH] = ACTIONS(1470),
    [anon_sym_COLON_EQ] = ACTIONS(1470),
    [anon_sym_DASH_GT] = ACTIONS(1468),
    [anon_sym_DASH_GT_GT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [aux_sym_binary_operator_token1] = ACTIONS(1470),
    [anon_sym_PIPE_GT] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym__hex_literal] = ACTIONS(1470),
    [sym__number_literal] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_return] = ACTIONS(1468),
    [sym_next] = ACTIONS(1468),
    [sym_break] = ACTIONS(1468),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_inf] = ACTIONS(1468),
    [sym_nan] = ACTIONS(1468),
    [anon_sym_NA] = ACTIONS(1468),
    [anon_sym_NA_integer_] = ACTIONS(1468),
    [anon_sym_NA_real_] = ACTIONS(1468),
    [anon_sym_NA_complex_] = ACTIONS(1468),
    [anon_sym_NA_character_] = ACTIONS(1468),
    [sym_dots] = ACTIONS(1468),
    [sym_dot_dot_i] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1470),
    [sym__newline] = ACTIONS(1470),
    [sym__raw_string_literal] = ACTIONS(1470),
    [sym__external_open_parenthesis] = ACTIONS(1470),
    [sym__external_close_parenthesis] = ACTIONS(1470),
    [sym__external_open_brace] = ACTIONS(1470),
    [sym__external_open_bracket] = ACTIONS(1470),
    [sym__external_open_bracket2] = ACTIONS(1470),
  },
  [947] = {
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1486),
    [anon_sym_LT_LT_DASH] = ACTIONS(1486),
    [anon_sym_COLON_EQ] = ACTIONS(1486),
    [anon_sym_DASH_GT] = ACTIONS(1484),
    [anon_sym_DASH_GT_GT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1486),
    [aux_sym_binary_operator_token1] = ACTIONS(1486),
    [anon_sym_PIPE_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [sym__hex_literal] = ACTIONS(1486),
    [sym__number_literal] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_return] = ACTIONS(1484),
    [sym_next] = ACTIONS(1484),
    [sym_break] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [sym_inf] = ACTIONS(1484),
    [sym_nan] = ACTIONS(1484),
    [anon_sym_NA] = ACTIONS(1484),
    [anon_sym_NA_integer_] = ACTIONS(1484),
    [anon_sym_NA_real_] = ACTIONS(1484),
    [anon_sym_NA_complex_] = ACTIONS(1484),
    [anon_sym_NA_character_] = ACTIONS(1484),
    [sym_dots] = ACTIONS(1484),
    [sym_dot_dot_i] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1486),
    [sym__newline] = ACTIONS(1486),
    [sym__raw_string_literal] = ACTIONS(1486),
    [sym__external_open_parenthesis] = ACTIONS(1486),
    [sym__external_open_brace] = ACTIONS(1486),
    [sym__external_open_bracket] = ACTIONS(1486),
    [sym__external_open_bracket2] = ACTIONS(1486),
    [sym__external_close_bracket2] = ACTIONS(1486),
  },
  [948] = {
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_BSLASH] = ACTIONS(1559),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_repeat] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_LT_DASH] = ACTIONS(1559),
    [anon_sym_LT_LT_DASH] = ACTIONS(1559),
    [anon_sym_COLON_EQ] = ACTIONS(1559),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_DASH_GT_GT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1559),
    [aux_sym_binary_operator_token1] = ACTIONS(1559),
    [anon_sym_PIPE_GT] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1559),
    [sym__hex_literal] = ACTIONS(1559),
    [sym__number_literal] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_return] = ACTIONS(1557),
    [sym_next] = ACTIONS(1557),
    [sym_break] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_null] = ACTIONS(1557),
    [sym_inf] = ACTIONS(1557),
    [sym_nan] = ACTIONS(1557),
    [anon_sym_NA] = ACTIONS(1557),
    [anon_sym_NA_integer_] = ACTIONS(1557),
    [anon_sym_NA_real_] = ACTIONS(1557),
    [anon_sym_NA_complex_] = ACTIONS(1557),
    [anon_sym_NA_character_] = ACTIONS(1557),
    [sym_dots] = ACTIONS(1557),
    [sym_dot_dot_i] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1559),
    [sym__newline] = ACTIONS(1559),
    [sym__raw_string_literal] = ACTIONS(1559),
    [sym__external_open_parenthesis] = ACTIONS(1559),
    [sym__external_open_brace] = ACTIONS(1559),
    [sym__external_open_bracket] = ACTIONS(1559),
    [sym__external_open_bracket2] = ACTIONS(1559),
    [sym__external_close_bracket2] = ACTIONS(1559),
  },
  [949] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_function] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_repeat] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_LT_LT_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_DASH_GT] = ACTIONS(1480),
    [anon_sym_DASH_GT_GT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [aux_sym_binary_operator_token1] = ACTIONS(1482),
    [anon_sym_PIPE_GT] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [sym__hex_literal] = ACTIONS(1482),
    [sym__number_literal] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_return] = ACTIONS(1480),
    [sym_next] = ACTIONS(1480),
    [sym_break] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_inf] = ACTIONS(1480),
    [sym_nan] = ACTIONS(1480),
    [anon_sym_NA] = ACTIONS(1480),
    [anon_sym_NA_integer_] = ACTIONS(1480),
    [anon_sym_NA_real_] = ACTIONS(1480),
    [anon_sym_NA_complex_] = ACTIONS(1480),
    [anon_sym_NA_character_] = ACTIONS(1480),
    [sym_dots] = ACTIONS(1480),
    [sym_dot_dot_i] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1482),
    [sym__semicolon] = ACTIONS(1482),
    [sym__raw_string_literal] = ACTIONS(1482),
    [sym__external_open_parenthesis] = ACTIONS(1482),
    [sym__external_open_brace] = ACTIONS(1482),
    [sym__external_open_bracket] = ACTIONS(1482),
    [sym__external_open_bracket2] = ACTIONS(1482),
  },
  [950] = {
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_repeat] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_LT_LT_DASH] = ACTIONS(1490),
    [anon_sym_COLON_EQ] = ACTIONS(1490),
    [anon_sym_DASH_GT] = ACTIONS(1488),
    [anon_sym_DASH_GT_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [aux_sym_binary_operator_token1] = ACTIONS(1490),
    [anon_sym_PIPE_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym__hex_literal] = ACTIONS(1490),
    [sym__number_literal] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_return] = ACTIONS(1488),
    [sym_next] = ACTIONS(1488),
    [sym_break] = ACTIONS(1488),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [sym_inf] = ACTIONS(1488),
    [sym_nan] = ACTIONS(1488),
    [anon_sym_NA] = ACTIONS(1488),
    [anon_sym_NA_integer_] = ACTIONS(1488),
    [anon_sym_NA_real_] = ACTIONS(1488),
    [anon_sym_NA_complex_] = ACTIONS(1488),
    [anon_sym_NA_character_] = ACTIONS(1488),
    [sym_dots] = ACTIONS(1488),
    [sym_dot_dot_i] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1490),
    [sym__semicolon] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1490),
    [sym__external_open_parenthesis] = ACTIONS(1490),
    [sym__external_open_brace] = ACTIONS(1490),
    [sym__external_close_brace] = ACTIONS(1490),
    [sym__external_open_bracket] = ACTIONS(1490),
    [sym__external_open_bracket2] = ACTIONS(1490),
  },
  [951] = {
    [sym_function_definition] = STATE(602),
    [sym_if_statement] = STATE(602),
    [sym_for_statement] = STATE(602),
    [sym_while_statement] = STATE(602),
    [sym_repeat_statement] = STATE(602),
    [sym_braced_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_call] = STATE(602),
    [sym_subset] = STATE(602),
    [sym_subset2] = STATE(602),
    [sym__argument_value] = STATE(2078),
    [sym_unary_operator] = STATE(602),
    [sym_binary_operator] = STATE(602),
    [sym_extract_operator] = STATE(602),
    [sym_namespace_operator] = STATE(602),
    [sym_integer] = STATE(602),
    [sym_complex] = STATE(602),
    [sym_float] = STATE(602),
    [sym__float_literal] = STATE(766),
    [sym_string] = STATE(763),
    [sym__single_quoted_string] = STATE(768),
    [sym__double_quoted_string] = STATE(783),
    [sym_na] = STATE(602),
    [sym__expression] = STATE(602),
    [sym__string_or_identifier] = STATE(2291),
    [sym__open_parenthesis] = STATE(1015),
    [sym__open_brace] = STATE(906),
    [sym_identifier] = ACTIONS(1633),
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(613),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_for] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_repeat] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [sym__hex_literal] = ACTIONS(631),
    [sym__number_literal] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_dots] = ACTIONS(639),
    [sym_dot_dot_i] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1631),
    [sym__newline] = ACTIONS(649),
    [sym__raw_string_literal] = ACTIONS(651),
    [sym__external_open_parenthesis] = ACTIONS(653),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_bracket2] = ACTIONS(1631),
  },
  [952] = {
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_repeat] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_LT_LT_DASH] = ACTIONS(1494),
    [anon_sym_COLON_EQ] = ACTIONS(1494),
    [anon_sym_DASH_GT] = ACTIONS(1492),
    [anon_sym_DASH_GT_GT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [aux_sym_binary_operator_token1] = ACTIONS(1494),
    [anon_sym_PIPE_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym__hex_literal] = ACTIONS(1494),
    [sym__number_literal] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_return] = ACTIONS(1492),
    [sym_next] = ACTIONS(1492),
    [sym_break] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_inf] = ACTIONS(1492),
    [sym_nan] = ACTIONS(1492),
    [anon_sym_NA] = ACTIONS(1492),
    [anon_sym_NA_integer_] = ACTIONS(1492),
    [anon_sym_NA_real_] = ACTIONS(1492),
    [anon_sym_NA_complex_] = ACTIONS(1492),
    [anon_sym_NA_character_] = ACTIONS(1492),
    [sym_dots] = ACTIONS(1492),
    [sym_dot_dot_i] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1494),
    [sym__semicolon] = ACTIONS(1494),
    [sym__raw_string_literal] = ACTIONS(1494),
    [sym__external_open_parenthesis] = ACTIONS(1494),
    [sym__external_open_brace] = ACTIONS(1494),
    [sym__external_close_brace] = ACTIONS(1494),
    [sym__external_open_bracket] = ACTIONS(1494),
    [sym__external_open_bracket2] = ACTIONS(1494),
  },
  [953] = {
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_BSLASH] = ACTIONS(1551),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_repeat] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1551),
    [anon_sym_LT_LT_DASH] = ACTIONS(1551),
    [anon_sym_COLON_EQ] = ACTIONS(1551),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_DASH_GT_GT] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [aux_sym_binary_operator_token1] = ACTIONS(1551),
    [anon_sym_PIPE_GT] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(1551),
    [sym__hex_literal] = ACTIONS(1551),
    [sym__number_literal] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_return] = ACTIONS(1549),
    [sym_next] = ACTIONS(1549),
    [sym_break] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_null] = ACTIONS(1549),
    [sym_inf] = ACTIONS(1549),
    [sym_nan] = ACTIONS(1549),
    [anon_sym_NA] = ACTIONS(1549),
    [anon_sym_NA_integer_] = ACTIONS(1549),
    [anon_sym_NA_real_] = ACTIONS(1549),
    [anon_sym_NA_complex_] = ACTIONS(1549),
    [anon_sym_NA_character_] = ACTIONS(1549),
    [sym_dots] = ACTIONS(1549),
    [sym_dot_dot_i] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1551),
    [sym__semicolon] = ACTIONS(1551),
    [sym__raw_string_literal] = ACTIONS(1551),
    [sym__external_open_parenthesis] = ACTIONS(1551),
    [sym__external_open_brace] = ACTIONS(1551),
    [sym__external_open_bracket] = ACTIONS(1551),
    [sym__external_open_bracket2] = ACTIONS(1551),
  },
  [954] = {
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_repeat] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_LT_DASH] = ACTIONS(1498),
    [anon_sym_LT_LT_DASH] = ACTIONS(1498),
    [anon_sym_COLON_EQ] = ACTIONS(1498),
    [anon_sym_DASH_GT] = ACTIONS(1496),
    [anon_sym_DASH_GT_GT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1498),
    [aux_sym_binary_operator_token1] = ACTIONS(1498),
    [anon_sym_PIPE_GT] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [sym__hex_literal] = ACTIONS(1498),
    [sym__number_literal] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_return] = ACTIONS(1496),
    [sym_next] = ACTIONS(1496),
    [sym_break] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_inf] = ACTIONS(1496),
    [sym_nan] = ACTIONS(1496),
    [anon_sym_NA] = ACTIONS(1496),
    [anon_sym_NA_integer_] = ACTIONS(1496),
    [anon_sym_NA_real_] = ACTIONS(1496),
    [anon_sym_NA_complex_] = ACTIONS(1496),
    [anon_sym_NA_character_] = ACTIONS(1496),
    [sym_dots] = ACTIONS(1496),
    [sym_dot_dot_i] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1498),
    [sym__semicolon] = ACTIONS(1498),
    [sym__raw_string_literal] = ACTIONS(1498),
    [sym__external_open_parenthesis] = ACTIONS(1498),
    [sym__external_open_brace] = ACTIONS(1498),
    [sym__external_close_brace] = ACTIONS(1498),
    [sym__external_open_bracket] = ACTIONS(1498),
    [sym__external_open_bracket2] = ACTIONS(1498),
  },
  [955] = {
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_repeat] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_LT_LT_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_DASH_GT] = ACTIONS(1458),
    [anon_sym_DASH_GT_GT] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [aux_sym_binary_operator_token1] = ACTIONS(1456),
    [anon_sym_PIPE_GT] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [sym__hex_literal] = ACTIONS(1456),
    [sym__number_literal] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_return] = ACTIONS(1458),
    [sym_next] = ACTIONS(1458),
    [sym_break] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [sym_inf] = ACTIONS(1458),
    [sym_nan] = ACTIONS(1458),
    [anon_sym_NA] = ACTIONS(1458),
    [anon_sym_NA_integer_] = ACTIONS(1458),
    [anon_sym_NA_real_] = ACTIONS(1458),
    [anon_sym_NA_complex_] = ACTIONS(1458),
    [anon_sym_NA_character_] = ACTIONS(1458),
    [sym_dots] = ACTIONS(1458),
    [sym_dot_dot_i] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1456),
    [sym__semicolon] = ACTIONS(1456),
    [sym__raw_string_literal] = ACTIONS(1456),
    [sym__external_open_parenthesis] = ACTIONS(1456),
    [sym__external_open_brace] = ACTIONS(1456),
    [sym__external_close_brace] = ACTIONS(1456),
    [sym__external_open_bracket] = ACTIONS(1456),
    [sym__external_open_bracket2] = ACTIONS(1456),
  },
  [956] = {
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_repeat] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_LT_LT_DASH] = ACTIONS(1490),
    [anon_sym_COLON_EQ] = ACTIONS(1490),
    [anon_sym_DASH_GT] = ACTIONS(1488),
    [anon_sym_DASH_GT_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [aux_sym_binary_operator_token1] = ACTIONS(1490),
    [anon_sym_PIPE_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym__hex_literal] = ACTIONS(1490),
    [sym__number_literal] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_return] = ACTIONS(1488),
    [sym_next] = ACTIONS(1488),
    [sym_break] = ACTIONS(1488),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [sym_inf] = ACTIONS(1488),
    [sym_nan] = ACTIONS(1488),
    [anon_sym_NA] = ACTIONS(1488),
    [anon_sym_NA_integer_] = ACTIONS(1488),
    [anon_sym_NA_real_] = ACTIONS(1488),
    [anon_sym_NA_complex_] = ACTIONS(1488),
    [anon_sym_NA_character_] = ACTIONS(1488),
    [sym_dots] = ACTIONS(1488),
    [sym_dot_dot_i] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1490),
    [sym__newline] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1490),
    [sym__external_open_parenthesis] = ACTIONS(1490),
    [sym__external_open_brace] = ACTIONS(1490),
    [sym__external_open_bracket] = ACTIONS(1490),
    [sym__external_open_bracket2] = ACTIONS(1490),
    [sym__external_close_bracket2] = ACTIONS(1490),
  },
  [957] = {
    [ts_builtin_sym_end] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BSLASH] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_repeat] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_LT_DASH] = ACTIONS(1571),
    [anon_sym_LT_LT_DASH] = ACTIONS(1571),
    [anon_sym_COLON_EQ] = ACTIONS(1571),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_DASH_GT_GT] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_CARET] = ACTIONS(1571),
    [aux_sym_binary_operator_token1] = ACTIONS(1571),
    [anon_sym_PIPE_GT] = ACTIONS(1571),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(1571),
    [sym__hex_literal] = ACTIONS(1571),
    [sym__number_literal] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_return] = ACTIONS(1569),
    [sym_next] = ACTIONS(1569),
    [sym_break] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [sym_inf] = ACTIONS(1569),
    [sym_nan] = ACTIONS(1569),
    [anon_sym_NA] = ACTIONS(1569),
    [anon_sym_NA_integer_] = ACTIONS(1569),
    [anon_sym_NA_real_] = ACTIONS(1569),
    [anon_sym_NA_complex_] = ACTIONS(1569),
    [anon_sym_NA_character_] = ACTIONS(1569),
    [sym_dots] = ACTIONS(1569),
    [sym_dot_dot_i] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1571),
    [sym__semicolon] = ACTIONS(1571),
    [sym__raw_string_literal] = ACTIONS(1571),
    [sym__external_open_parenthesis] = ACTIONS(1571),
    [sym__external_open_brace] = ACTIONS(1571),
    [sym__external_open_bracket] = ACTIONS(1571),
    [sym__external_open_bracket2] = ACTIONS(1571),
  },
  [958] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_repeat] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_LT_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(1462),
    [anon_sym_DASH_GT] = ACTIONS(1460),
    [anon_sym_DASH_GT_GT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [aux_sym_binary_operator_token1] = ACTIONS(1462),
    [anon_sym_PIPE_GT] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [sym__hex_literal] = ACTIONS(1462),
    [sym__number_literal] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_return] = ACTIONS(1460),
    [sym_next] = ACTIONS(1460),
    [sym_break] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_inf] = ACTIONS(1460),
    [sym_nan] = ACTIONS(1460),
    [anon_sym_NA] = ACTIONS(1460),
    [anon_sym_NA_integer_] = ACTIONS(1460),
    [anon_sym_NA_real_] = ACTIONS(1460),
    [anon_sym_NA_complex_] = ACTIONS(1460),
    [anon_sym_NA_character_] = ACTIONS(1460),
    [sym_dots] = ACTIONS(1460),
    [sym_dot_dot_i] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1462),
    [sym__semicolon] = ACTIONS(1462),
    [sym__raw_string_literal] = ACTIONS(1462),
    [sym__external_open_parenthesis] = ACTIONS(1462),
    [sym__external_open_brace] = ACTIONS(1462),
    [sym__external_open_bracket] = ACTIONS(1462),
    [sym__external_open_bracket2] = ACTIONS(1462),
  },
  [959] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_repeat] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_LT_LT_DASH] = ACTIONS(1466),
    [anon_sym_COLON_EQ] = ACTIONS(1466),
    [anon_sym_DASH_GT] = ACTIONS(1464),
    [anon_sym_DASH_GT_GT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [aux_sym_binary_operator_token1] = ACTIONS(1466),
    [anon_sym_PIPE_GT] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym__hex_literal] = ACTIONS(1466),
    [sym__number_literal] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_return] = ACTIONS(1464),
    [sym_next] = ACTIONS(1464),
    [sym_break] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_inf] = ACTIONS(1464),
    [sym_nan] = ACTIONS(1464),
    [anon_sym_NA] = ACTIONS(1464),
    [anon_sym_NA_integer_] = ACTIONS(1464),
    [anon_sym_NA_real_] = ACTIONS(1464),
    [anon_sym_NA_complex_] = ACTIONS(1464),
    [anon_sym_NA_character_] = ACTIONS(1464),
    [sym_dots] = ACTIONS(1464),
    [sym_dot_dot_i] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1466),
    [sym__semicolon] = ACTIONS(1466),
    [sym__raw_string_literal] = ACTIONS(1466),
    [sym__external_open_parenthesis] = ACTIONS(1466),
    [sym__external_open_brace] = ACTIONS(1466),
    [sym__external_open_bracket] = ACTIONS(1466),
    [sym__external_open_bracket2] = ACTIONS(1466),
  },
  [960] = {
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_repeat] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_LT_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_DASH_GT] = ACTIONS(1452),
    [anon_sym_DASH_GT_GT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [aux_sym_binary_operator_token1] = ACTIONS(1454),
    [anon_sym_PIPE_GT] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym__hex_literal] = ACTIONS(1454),
    [sym__number_literal] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_return] = ACTIONS(1452),
    [sym_next] = ACTIONS(1452),
    [sym_break] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_inf] = ACTIONS(1452),
    [sym_nan] = ACTIONS(1452),
    [anon_sym_NA] = ACTIONS(1452),
    [anon_sym_NA_integer_] = ACTIONS(1452),
    [anon_sym_NA_real_] = ACTIONS(1452),
    [anon_sym_NA_complex_] = ACTIONS(1452),
    [anon_sym_NA_character_] = ACTIONS(1452),
    [sym_dots] = ACTIONS(1452),
    [sym_dot_dot_i] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1454),
    [sym__newline] = ACTIONS(1454),
    [sym__raw_string_literal] = ACTIONS(1454),
    [sym__external_open_parenthesis] = ACTIONS(1454),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_open_bracket] = ACTIONS(1454),
    [sym__external_open_bracket2] = ACTIONS(1454),
    [sym__external_close_bracket2] = ACTIONS(1454),
  },
  [961] = {
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_repeat] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_LT_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_DASH_GT] = ACTIONS(1452),
    [anon_sym_DASH_GT_GT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [aux_sym_binary_operator_token1] = ACTIONS(1454),
    [anon_sym_PIPE_GT] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym__hex_literal] = ACTIONS(1454),
    [sym__number_literal] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_return] = ACTIONS(1452),
    [sym_next] = ACTIONS(1452),
    [sym_break] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_inf] = ACTIONS(1452),
    [sym_nan] = ACTIONS(1452),
    [anon_sym_NA] = ACTIONS(1452),
    [anon_sym_NA_integer_] = ACTIONS(1452),
    [anon_sym_NA_real_] = ACTIONS(1452),
    [anon_sym_NA_complex_] = ACTIONS(1452),
    [anon_sym_NA_character_] = ACTIONS(1452),
    [sym_dots] = ACTIONS(1452),
    [sym_dot_dot_i] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1454),
    [sym__newline] = ACTIONS(1454),
    [sym__raw_string_literal] = ACTIONS(1454),
    [sym__external_open_parenthesis] = ACTIONS(1454),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_open_bracket] = ACTIONS(1454),
    [sym__external_close_bracket] = ACTIONS(1454),
    [sym__external_open_bracket2] = ACTIONS(1454),
  },
  [962] = {
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_repeat] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1547),
    [anon_sym_LT_LT_DASH] = ACTIONS(1547),
    [anon_sym_COLON_EQ] = ACTIONS(1547),
    [anon_sym_DASH_GT] = ACTIONS(1545),
    [anon_sym_DASH_GT_GT] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [aux_sym_binary_operator_token1] = ACTIONS(1547),
    [anon_sym_PIPE_GT] = ACTIONS(1547),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1547),
    [sym__hex_literal] = ACTIONS(1547),
    [sym__number_literal] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_return] = ACTIONS(1545),
    [sym_next] = ACTIONS(1545),
    [sym_break] = ACTIONS(1545),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_null] = ACTIONS(1545),
    [sym_inf] = ACTIONS(1545),
    [sym_nan] = ACTIONS(1545),
    [anon_sym_NA] = ACTIONS(1545),
    [anon_sym_NA_integer_] = ACTIONS(1545),
    [anon_sym_NA_real_] = ACTIONS(1545),
    [anon_sym_NA_complex_] = ACTIONS(1545),
    [anon_sym_NA_character_] = ACTIONS(1545),
    [sym_dots] = ACTIONS(1545),
    [sym_dot_dot_i] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1547),
    [sym__newline] = ACTIONS(1547),
    [sym__raw_string_literal] = ACTIONS(1547),
    [sym__external_open_parenthesis] = ACTIONS(1547),
    [sym__external_open_brace] = ACTIONS(1547),
    [sym__external_open_bracket] = ACTIONS(1547),
    [sym__external_open_bracket2] = ACTIONS(1547),
    [sym__external_close_bracket2] = ACTIONS(1547),
  },
  [963] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(959),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1643),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [964] = {
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_repeat] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_LT_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_DASH_GT] = ACTIONS(1452),
    [anon_sym_DASH_GT_GT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [aux_sym_binary_operator_token1] = ACTIONS(1454),
    [anon_sym_PIPE_GT] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym__hex_literal] = ACTIONS(1454),
    [sym__number_literal] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_return] = ACTIONS(1452),
    [sym_next] = ACTIONS(1452),
    [sym_break] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_inf] = ACTIONS(1452),
    [sym_nan] = ACTIONS(1452),
    [anon_sym_NA] = ACTIONS(1452),
    [anon_sym_NA_integer_] = ACTIONS(1452),
    [anon_sym_NA_real_] = ACTIONS(1452),
    [anon_sym_NA_complex_] = ACTIONS(1452),
    [anon_sym_NA_character_] = ACTIONS(1452),
    [sym_dots] = ACTIONS(1452),
    [sym_dot_dot_i] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1454),
    [sym__newline] = ACTIONS(1454),
    [sym__raw_string_literal] = ACTIONS(1454),
    [sym__external_open_parenthesis] = ACTIONS(1454),
    [sym__external_close_parenthesis] = ACTIONS(1454),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_open_bracket] = ACTIONS(1454),
    [sym__external_open_bracket2] = ACTIONS(1454),
  },
  [965] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_BSLASH] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_repeat] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_LT_DASH] = ACTIONS(1563),
    [anon_sym_LT_LT_DASH] = ACTIONS(1563),
    [anon_sym_COLON_EQ] = ACTIONS(1563),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_DASH_GT_GT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [aux_sym_binary_operator_token1] = ACTIONS(1563),
    [anon_sym_PIPE_GT] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1563),
    [sym__hex_literal] = ACTIONS(1563),
    [sym__number_literal] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_return] = ACTIONS(1561),
    [sym_next] = ACTIONS(1561),
    [sym_break] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_inf] = ACTIONS(1561),
    [sym_nan] = ACTIONS(1561),
    [anon_sym_NA] = ACTIONS(1561),
    [anon_sym_NA_integer_] = ACTIONS(1561),
    [anon_sym_NA_real_] = ACTIONS(1561),
    [anon_sym_NA_complex_] = ACTIONS(1561),
    [anon_sym_NA_character_] = ACTIONS(1561),
    [sym_dots] = ACTIONS(1561),
    [sym_dot_dot_i] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1563),
    [sym__semicolon] = ACTIONS(1563),
    [sym__raw_string_literal] = ACTIONS(1563),
    [sym__external_open_parenthesis] = ACTIONS(1563),
    [sym__external_open_brace] = ACTIONS(1563),
    [sym__external_open_bracket] = ACTIONS(1563),
    [sym__external_open_bracket2] = ACTIONS(1563),
  },
  [966] = {
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1486),
    [anon_sym_LT_LT_DASH] = ACTIONS(1486),
    [anon_sym_COLON_EQ] = ACTIONS(1486),
    [anon_sym_DASH_GT] = ACTIONS(1484),
    [anon_sym_DASH_GT_GT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1486),
    [aux_sym_binary_operator_token1] = ACTIONS(1486),
    [anon_sym_PIPE_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [sym__hex_literal] = ACTIONS(1486),
    [sym__number_literal] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_return] = ACTIONS(1484),
    [sym_next] = ACTIONS(1484),
    [sym_break] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [sym_inf] = ACTIONS(1484),
    [sym_nan] = ACTIONS(1484),
    [anon_sym_NA] = ACTIONS(1484),
    [anon_sym_NA_integer_] = ACTIONS(1484),
    [anon_sym_NA_real_] = ACTIONS(1484),
    [anon_sym_NA_complex_] = ACTIONS(1484),
    [anon_sym_NA_character_] = ACTIONS(1484),
    [sym_dots] = ACTIONS(1484),
    [sym_dot_dot_i] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1486),
    [sym__semicolon] = ACTIONS(1486),
    [sym__raw_string_literal] = ACTIONS(1486),
    [sym__external_open_parenthesis] = ACTIONS(1486),
    [sym__external_open_brace] = ACTIONS(1486),
    [sym__external_close_brace] = ACTIONS(1486),
    [sym__external_open_bracket] = ACTIONS(1486),
    [sym__external_open_bracket2] = ACTIONS(1486),
  },
  [967] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_close_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [968] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1018),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1031),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1645),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [969] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_BSLASH] = ACTIONS(1559),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_repeat] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_LT_DASH] = ACTIONS(1559),
    [anon_sym_LT_LT_DASH] = ACTIONS(1559),
    [anon_sym_COLON_EQ] = ACTIONS(1559),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_DASH_GT_GT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1559),
    [aux_sym_binary_operator_token1] = ACTIONS(1559),
    [anon_sym_PIPE_GT] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1559),
    [sym__hex_literal] = ACTIONS(1559),
    [sym__number_literal] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_return] = ACTIONS(1557),
    [sym_next] = ACTIONS(1557),
    [sym_break] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_null] = ACTIONS(1557),
    [sym_inf] = ACTIONS(1557),
    [sym_nan] = ACTIONS(1557),
    [anon_sym_NA] = ACTIONS(1557),
    [anon_sym_NA_integer_] = ACTIONS(1557),
    [anon_sym_NA_real_] = ACTIONS(1557),
    [anon_sym_NA_complex_] = ACTIONS(1557),
    [anon_sym_NA_character_] = ACTIONS(1557),
    [sym_dots] = ACTIONS(1557),
    [sym_dot_dot_i] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1559),
    [sym__semicolon] = ACTIONS(1559),
    [sym__raw_string_literal] = ACTIONS(1559),
    [sym__external_open_parenthesis] = ACTIONS(1559),
    [sym__external_open_brace] = ACTIONS(1559),
    [sym__external_open_bracket] = ACTIONS(1559),
    [sym__external_open_bracket2] = ACTIONS(1559),
  },
  [970] = {
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_BSLASH] = ACTIONS(1551),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_repeat] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1551),
    [anon_sym_LT_LT_DASH] = ACTIONS(1551),
    [anon_sym_COLON_EQ] = ACTIONS(1551),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_DASH_GT_GT] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [aux_sym_binary_operator_token1] = ACTIONS(1551),
    [anon_sym_PIPE_GT] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(1551),
    [sym__hex_literal] = ACTIONS(1551),
    [sym__number_literal] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_return] = ACTIONS(1549),
    [sym_next] = ACTIONS(1549),
    [sym_break] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_null] = ACTIONS(1549),
    [sym_inf] = ACTIONS(1549),
    [sym_nan] = ACTIONS(1549),
    [anon_sym_NA] = ACTIONS(1549),
    [anon_sym_NA_integer_] = ACTIONS(1549),
    [anon_sym_NA_real_] = ACTIONS(1549),
    [anon_sym_NA_complex_] = ACTIONS(1549),
    [anon_sym_NA_character_] = ACTIONS(1549),
    [sym_dots] = ACTIONS(1549),
    [sym_dot_dot_i] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1551),
    [sym__newline] = ACTIONS(1551),
    [sym__raw_string_literal] = ACTIONS(1551),
    [sym__external_open_parenthesis] = ACTIONS(1551),
    [sym__external_open_brace] = ACTIONS(1551),
    [sym__external_open_bracket] = ACTIONS(1551),
    [sym__external_close_bracket] = ACTIONS(1551),
    [sym__external_open_bracket2] = ACTIONS(1551),
  },
  [971] = {
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_function] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_repeat] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_LT_LT_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_DASH_GT] = ACTIONS(1480),
    [anon_sym_DASH_GT_GT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [aux_sym_binary_operator_token1] = ACTIONS(1482),
    [anon_sym_PIPE_GT] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [sym__hex_literal] = ACTIONS(1482),
    [sym__number_literal] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_return] = ACTIONS(1480),
    [sym_next] = ACTIONS(1480),
    [sym_break] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_inf] = ACTIONS(1480),
    [sym_nan] = ACTIONS(1480),
    [anon_sym_NA] = ACTIONS(1480),
    [anon_sym_NA_integer_] = ACTIONS(1480),
    [anon_sym_NA_real_] = ACTIONS(1480),
    [anon_sym_NA_complex_] = ACTIONS(1480),
    [anon_sym_NA_character_] = ACTIONS(1480),
    [sym_dots] = ACTIONS(1480),
    [sym_dot_dot_i] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1482),
    [sym__newline] = ACTIONS(1482),
    [sym__raw_string_literal] = ACTIONS(1482),
    [sym__external_open_parenthesis] = ACTIONS(1482),
    [sym__external_open_brace] = ACTIONS(1482),
    [sym__external_open_bracket] = ACTIONS(1482),
    [sym__external_open_bracket2] = ACTIONS(1482),
    [sym__external_close_bracket2] = ACTIONS(1482),
  },
  [972] = {
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_BSLASH] = ACTIONS(1555),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_repeat] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_LT_DASH] = ACTIONS(1555),
    [anon_sym_LT_LT_DASH] = ACTIONS(1555),
    [anon_sym_COLON_EQ] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_DASH_GT_GT] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [aux_sym_binary_operator_token1] = ACTIONS(1555),
    [anon_sym_PIPE_GT] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1555),
    [sym__hex_literal] = ACTIONS(1555),
    [sym__number_literal] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_return] = ACTIONS(1553),
    [sym_next] = ACTIONS(1553),
    [sym_break] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_null] = ACTIONS(1553),
    [sym_inf] = ACTIONS(1553),
    [sym_nan] = ACTIONS(1553),
    [anon_sym_NA] = ACTIONS(1553),
    [anon_sym_NA_integer_] = ACTIONS(1553),
    [anon_sym_NA_real_] = ACTIONS(1553),
    [anon_sym_NA_complex_] = ACTIONS(1553),
    [anon_sym_NA_character_] = ACTIONS(1553),
    [sym_dots] = ACTIONS(1553),
    [sym_dot_dot_i] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1555),
    [sym__newline] = ACTIONS(1555),
    [sym__raw_string_literal] = ACTIONS(1555),
    [sym__external_open_parenthesis] = ACTIONS(1555),
    [sym__external_open_brace] = ACTIONS(1555),
    [sym__external_open_bracket] = ACTIONS(1555),
    [sym__external_close_bracket] = ACTIONS(1555),
    [sym__external_open_bracket2] = ACTIONS(1555),
  },
  [973] = {
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_BSLASH] = ACTIONS(1559),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_repeat] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_LT_DASH] = ACTIONS(1559),
    [anon_sym_LT_LT_DASH] = ACTIONS(1559),
    [anon_sym_COLON_EQ] = ACTIONS(1559),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_DASH_GT_GT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1559),
    [aux_sym_binary_operator_token1] = ACTIONS(1559),
    [anon_sym_PIPE_GT] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1559),
    [sym__hex_literal] = ACTIONS(1559),
    [sym__number_literal] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_return] = ACTIONS(1557),
    [sym_next] = ACTIONS(1557),
    [sym_break] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_null] = ACTIONS(1557),
    [sym_inf] = ACTIONS(1557),
    [sym_nan] = ACTIONS(1557),
    [anon_sym_NA] = ACTIONS(1557),
    [anon_sym_NA_integer_] = ACTIONS(1557),
    [anon_sym_NA_real_] = ACTIONS(1557),
    [anon_sym_NA_complex_] = ACTIONS(1557),
    [anon_sym_NA_character_] = ACTIONS(1557),
    [sym_dots] = ACTIONS(1557),
    [sym_dot_dot_i] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1559),
    [sym__newline] = ACTIONS(1559),
    [sym__raw_string_literal] = ACTIONS(1559),
    [sym__external_open_parenthesis] = ACTIONS(1559),
    [sym__external_open_brace] = ACTIONS(1559),
    [sym__external_open_bracket] = ACTIONS(1559),
    [sym__external_close_bracket] = ACTIONS(1559),
    [sym__external_open_bracket2] = ACTIONS(1559),
  },
  [974] = {
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_repeat] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_LT_LT_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_DASH_GT_GT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [aux_sym_binary_operator_token1] = ACTIONS(1474),
    [anon_sym_PIPE_GT] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [sym__hex_literal] = ACTIONS(1474),
    [sym__number_literal] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_return] = ACTIONS(1472),
    [sym_next] = ACTIONS(1472),
    [sym_break] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [sym_inf] = ACTIONS(1472),
    [sym_nan] = ACTIONS(1472),
    [anon_sym_NA] = ACTIONS(1472),
    [anon_sym_NA_integer_] = ACTIONS(1472),
    [anon_sym_NA_real_] = ACTIONS(1472),
    [anon_sym_NA_complex_] = ACTIONS(1472),
    [anon_sym_NA_character_] = ACTIONS(1472),
    [sym_dots] = ACTIONS(1472),
    [sym_dot_dot_i] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1474),
    [sym__newline] = ACTIONS(1474),
    [sym__raw_string_literal] = ACTIONS(1474),
    [sym__external_open_parenthesis] = ACTIONS(1474),
    [sym__external_close_parenthesis] = ACTIONS(1474),
    [sym__external_open_brace] = ACTIONS(1474),
    [sym__external_open_bracket] = ACTIONS(1474),
    [sym__external_open_bracket2] = ACTIONS(1474),
  },
  [975] = {
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_repeat] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_LT_DASH] = ACTIONS(1498),
    [anon_sym_LT_LT_DASH] = ACTIONS(1498),
    [anon_sym_COLON_EQ] = ACTIONS(1498),
    [anon_sym_DASH_GT] = ACTIONS(1496),
    [anon_sym_DASH_GT_GT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1498),
    [aux_sym_binary_operator_token1] = ACTIONS(1498),
    [anon_sym_PIPE_GT] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [sym__hex_literal] = ACTIONS(1498),
    [sym__number_literal] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_return] = ACTIONS(1496),
    [sym_next] = ACTIONS(1496),
    [sym_break] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_inf] = ACTIONS(1496),
    [sym_nan] = ACTIONS(1496),
    [anon_sym_NA] = ACTIONS(1496),
    [anon_sym_NA_integer_] = ACTIONS(1496),
    [anon_sym_NA_real_] = ACTIONS(1496),
    [anon_sym_NA_complex_] = ACTIONS(1496),
    [anon_sym_NA_character_] = ACTIONS(1496),
    [sym_dots] = ACTIONS(1496),
    [sym_dot_dot_i] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1498),
    [sym__newline] = ACTIONS(1498),
    [sym__raw_string_literal] = ACTIONS(1498),
    [sym__external_open_parenthesis] = ACTIONS(1498),
    [sym__external_close_parenthesis] = ACTIONS(1498),
    [sym__external_open_brace] = ACTIONS(1498),
    [sym__external_open_bracket] = ACTIONS(1498),
    [sym__external_open_bracket2] = ACTIONS(1498),
  },
  [976] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1038),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1647),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [977] = {
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_repeat] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_LT_LT_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_DASH_GT] = ACTIONS(1458),
    [anon_sym_DASH_GT_GT] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [aux_sym_binary_operator_token1] = ACTIONS(1456),
    [anon_sym_PIPE_GT] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [sym__hex_literal] = ACTIONS(1456),
    [sym__number_literal] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_return] = ACTIONS(1458),
    [sym_next] = ACTIONS(1458),
    [sym_break] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [sym_inf] = ACTIONS(1458),
    [sym_nan] = ACTIONS(1458),
    [anon_sym_NA] = ACTIONS(1458),
    [anon_sym_NA_integer_] = ACTIONS(1458),
    [anon_sym_NA_real_] = ACTIONS(1458),
    [anon_sym_NA_complex_] = ACTIONS(1458),
    [anon_sym_NA_character_] = ACTIONS(1458),
    [sym_dots] = ACTIONS(1458),
    [sym_dot_dot_i] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1456),
    [sym__newline] = ACTIONS(1456),
    [sym__raw_string_literal] = ACTIONS(1456),
    [sym__external_open_parenthesis] = ACTIONS(1456),
    [sym__external_close_parenthesis] = ACTIONS(1456),
    [sym__external_open_brace] = ACTIONS(1456),
    [sym__external_open_bracket] = ACTIONS(1456),
    [sym__external_open_bracket2] = ACTIONS(1456),
  },
  [978] = {
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1486),
    [anon_sym_LT_LT_DASH] = ACTIONS(1486),
    [anon_sym_COLON_EQ] = ACTIONS(1486),
    [anon_sym_DASH_GT] = ACTIONS(1484),
    [anon_sym_DASH_GT_GT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1486),
    [aux_sym_binary_operator_token1] = ACTIONS(1486),
    [anon_sym_PIPE_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [sym__hex_literal] = ACTIONS(1486),
    [sym__number_literal] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_return] = ACTIONS(1484),
    [sym_next] = ACTIONS(1484),
    [sym_break] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [sym_inf] = ACTIONS(1484),
    [sym_nan] = ACTIONS(1484),
    [anon_sym_NA] = ACTIONS(1484),
    [anon_sym_NA_integer_] = ACTIONS(1484),
    [anon_sym_NA_real_] = ACTIONS(1484),
    [anon_sym_NA_complex_] = ACTIONS(1484),
    [anon_sym_NA_character_] = ACTIONS(1484),
    [sym_dots] = ACTIONS(1484),
    [sym_dot_dot_i] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1486),
    [sym__newline] = ACTIONS(1486),
    [sym__raw_string_literal] = ACTIONS(1486),
    [sym__external_open_parenthesis] = ACTIONS(1486),
    [sym__external_close_parenthesis] = ACTIONS(1486),
    [sym__external_open_brace] = ACTIONS(1486),
    [sym__external_open_bracket] = ACTIONS(1486),
    [sym__external_open_bracket2] = ACTIONS(1486),
  },
  [979] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_close_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
  },
  [980] = {
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_BSLASH] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_repeat] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_LT_DASH] = ACTIONS(1563),
    [anon_sym_LT_LT_DASH] = ACTIONS(1563),
    [anon_sym_COLON_EQ] = ACTIONS(1563),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_DASH_GT_GT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [aux_sym_binary_operator_token1] = ACTIONS(1563),
    [anon_sym_PIPE_GT] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1563),
    [sym__hex_literal] = ACTIONS(1563),
    [sym__number_literal] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_return] = ACTIONS(1561),
    [sym_next] = ACTIONS(1561),
    [sym_break] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_inf] = ACTIONS(1561),
    [sym_nan] = ACTIONS(1561),
    [anon_sym_NA] = ACTIONS(1561),
    [anon_sym_NA_integer_] = ACTIONS(1561),
    [anon_sym_NA_real_] = ACTIONS(1561),
    [anon_sym_NA_complex_] = ACTIONS(1561),
    [anon_sym_NA_character_] = ACTIONS(1561),
    [sym_dots] = ACTIONS(1561),
    [sym_dot_dot_i] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1563),
    [sym__newline] = ACTIONS(1563),
    [sym__raw_string_literal] = ACTIONS(1563),
    [sym__external_open_parenthesis] = ACTIONS(1563),
    [sym__external_open_brace] = ACTIONS(1563),
    [sym__external_open_bracket] = ACTIONS(1563),
    [sym__external_open_bracket2] = ACTIONS(1563),
    [sym__external_close_bracket2] = ACTIONS(1563),
  },
  [981] = {
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_repeat] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_LT_LT_DASH] = ACTIONS(1470),
    [anon_sym_COLON_EQ] = ACTIONS(1470),
    [anon_sym_DASH_GT] = ACTIONS(1468),
    [anon_sym_DASH_GT_GT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [aux_sym_binary_operator_token1] = ACTIONS(1470),
    [anon_sym_PIPE_GT] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym__hex_literal] = ACTIONS(1470),
    [sym__number_literal] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_return] = ACTIONS(1468),
    [sym_next] = ACTIONS(1468),
    [sym_break] = ACTIONS(1468),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_inf] = ACTIONS(1468),
    [sym_nan] = ACTIONS(1468),
    [anon_sym_NA] = ACTIONS(1468),
    [anon_sym_NA_integer_] = ACTIONS(1468),
    [anon_sym_NA_real_] = ACTIONS(1468),
    [anon_sym_NA_complex_] = ACTIONS(1468),
    [anon_sym_NA_character_] = ACTIONS(1468),
    [sym_dots] = ACTIONS(1468),
    [sym_dot_dot_i] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1470),
    [sym__newline] = ACTIONS(1470),
    [sym__raw_string_literal] = ACTIONS(1470),
    [sym__external_open_parenthesis] = ACTIONS(1470),
    [sym__external_open_brace] = ACTIONS(1470),
    [sym__external_open_bracket] = ACTIONS(1470),
    [sym__external_open_bracket2] = ACTIONS(1470),
    [sym__external_close_bracket2] = ACTIONS(1470),
  },
  [982] = {
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_repeat] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_LT_LT_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_DASH_GT] = ACTIONS(1476),
    [anon_sym_DASH_GT_GT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [aux_sym_binary_operator_token1] = ACTIONS(1478),
    [anon_sym_PIPE_GT] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [sym__hex_literal] = ACTIONS(1478),
    [sym__number_literal] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_return] = ACTIONS(1476),
    [sym_next] = ACTIONS(1476),
    [sym_break] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [sym_inf] = ACTIONS(1476),
    [sym_nan] = ACTIONS(1476),
    [anon_sym_NA] = ACTIONS(1476),
    [anon_sym_NA_integer_] = ACTIONS(1476),
    [anon_sym_NA_real_] = ACTIONS(1476),
    [anon_sym_NA_complex_] = ACTIONS(1476),
    [anon_sym_NA_character_] = ACTIONS(1476),
    [sym_dots] = ACTIONS(1476),
    [sym_dot_dot_i] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1478),
    [sym__newline] = ACTIONS(1478),
    [sym__raw_string_literal] = ACTIONS(1478),
    [sym__external_open_parenthesis] = ACTIONS(1478),
    [sym__external_close_parenthesis] = ACTIONS(1478),
    [sym__external_open_brace] = ACTIONS(1478),
    [sym__external_open_bracket] = ACTIONS(1478),
    [sym__external_open_bracket2] = ACTIONS(1478),
  },
  [983] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_repeat] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_LT_LT_DASH] = ACTIONS(1470),
    [anon_sym_COLON_EQ] = ACTIONS(1470),
    [anon_sym_DASH_GT] = ACTIONS(1468),
    [anon_sym_DASH_GT_GT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [aux_sym_binary_operator_token1] = ACTIONS(1470),
    [anon_sym_PIPE_GT] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym__hex_literal] = ACTIONS(1470),
    [sym__number_literal] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_return] = ACTIONS(1468),
    [sym_next] = ACTIONS(1468),
    [sym_break] = ACTIONS(1468),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_inf] = ACTIONS(1468),
    [sym_nan] = ACTIONS(1468),
    [anon_sym_NA] = ACTIONS(1468),
    [anon_sym_NA_integer_] = ACTIONS(1468),
    [anon_sym_NA_real_] = ACTIONS(1468),
    [anon_sym_NA_complex_] = ACTIONS(1468),
    [anon_sym_NA_character_] = ACTIONS(1468),
    [sym_dots] = ACTIONS(1468),
    [sym_dot_dot_i] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1470),
    [sym__semicolon] = ACTIONS(1470),
    [sym__raw_string_literal] = ACTIONS(1470),
    [sym__external_open_parenthesis] = ACTIONS(1470),
    [sym__external_open_brace] = ACTIONS(1470),
    [sym__external_open_bracket] = ACTIONS(1470),
    [sym__external_open_bracket2] = ACTIONS(1470),
  },
  [984] = {
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_BSLASH] = ACTIONS(1551),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_repeat] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1551),
    [anon_sym_LT_LT_DASH] = ACTIONS(1551),
    [anon_sym_COLON_EQ] = ACTIONS(1551),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_DASH_GT_GT] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [aux_sym_binary_operator_token1] = ACTIONS(1551),
    [anon_sym_PIPE_GT] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(1551),
    [sym__hex_literal] = ACTIONS(1551),
    [sym__number_literal] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_return] = ACTIONS(1549),
    [sym_next] = ACTIONS(1549),
    [sym_break] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_null] = ACTIONS(1549),
    [sym_inf] = ACTIONS(1549),
    [sym_nan] = ACTIONS(1549),
    [anon_sym_NA] = ACTIONS(1549),
    [anon_sym_NA_integer_] = ACTIONS(1549),
    [anon_sym_NA_real_] = ACTIONS(1549),
    [anon_sym_NA_complex_] = ACTIONS(1549),
    [anon_sym_NA_character_] = ACTIONS(1549),
    [sym_dots] = ACTIONS(1549),
    [sym_dot_dot_i] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1551),
    [sym__newline] = ACTIONS(1551),
    [sym__raw_string_literal] = ACTIONS(1551),
    [sym__external_open_parenthesis] = ACTIONS(1551),
    [sym__external_open_brace] = ACTIONS(1551),
    [sym__external_open_bracket] = ACTIONS(1551),
    [sym__external_open_bracket2] = ACTIONS(1551),
    [sym__external_close_bracket2] = ACTIONS(1551),
  },
  [985] = {
    [sym_function_definition] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_repeat_statement] = STATE(444),
    [sym_braced_expression] = STATE(444),
    [sym_parenthesized_expression] = STATE(444),
    [sym_call] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_unary_operator] = STATE(444),
    [sym_binary_operator] = STATE(444),
    [sym_extract_operator] = STATE(444),
    [sym_namespace_operator] = STATE(444),
    [sym_integer] = STATE(444),
    [sym_complex] = STATE(444),
    [sym_float] = STATE(444),
    [sym__float_literal] = STATE(780),
    [sym_string] = STATE(774),
    [sym__single_quoted_string] = STATE(781),
    [sym__double_quoted_string] = STATE(810),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym__string_or_identifier] = STATE(2298),
    [sym__open_parenthesis] = STATE(994),
    [sym__open_brace] = STATE(897),
    [aux_sym_braced_expression_repeat1] = STATE(985),
    [sym_identifier] = ACTIONS(1649),
    [anon_sym_BSLASH] = ACTIONS(1652),
    [anon_sym_function] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1664),
    [anon_sym_repeat] = ACTIONS(1667),
    [anon_sym_QMARK] = ACTIONS(1670),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [sym__hex_literal] = ACTIONS(1682),
    [sym__number_literal] = ACTIONS(1685),
    [anon_sym_SQUOTE] = ACTIONS(1688),
    [anon_sym_DQUOTE] = ACTIONS(1691),
    [sym_return] = ACTIONS(1694),
    [sym_next] = ACTIONS(1694),
    [sym_break] = ACTIONS(1694),
    [sym_true] = ACTIONS(1694),
    [sym_false] = ACTIONS(1694),
    [sym_null] = ACTIONS(1694),
    [sym_inf] = ACTIONS(1694),
    [sym_nan] = ACTIONS(1694),
    [anon_sym_NA] = ACTIONS(1697),
    [anon_sym_NA_integer_] = ACTIONS(1697),
    [anon_sym_NA_real_] = ACTIONS(1697),
    [anon_sym_NA_complex_] = ACTIONS(1697),
    [anon_sym_NA_character_] = ACTIONS(1697),
    [sym_dots] = ACTIONS(1694),
    [sym_dot_dot_i] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1703),
    [sym__semicolon] = ACTIONS(1703),
    [sym__raw_string_literal] = ACTIONS(1706),
    [sym__external_open_parenthesis] = ACTIONS(1709),
    [sym__external_open_brace] = ACTIONS(1712),
    [sym__external_close_brace] = ACTIONS(1715),
  },
  [986] = {
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_function] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_repeat] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_LT_LT_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_DASH_GT] = ACTIONS(1480),
    [anon_sym_DASH_GT_GT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [aux_sym_binary_operator_token1] = ACTIONS(1482),
    [anon_sym_PIPE_GT] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [sym__hex_literal] = ACTIONS(1482),
    [sym__number_literal] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_return] = ACTIONS(1480),
    [sym_next] = ACTIONS(1480),
    [sym_break] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_inf] = ACTIONS(1480),
    [sym_nan] = ACTIONS(1480),
    [anon_sym_NA] = ACTIONS(1480),
    [anon_sym_NA_integer_] = ACTIONS(1480),
    [anon_sym_NA_real_] = ACTIONS(1480),
    [anon_sym_NA_complex_] = ACTIONS(1480),
    [anon_sym_NA_character_] = ACTIONS(1480),
    [sym_dots] = ACTIONS(1480),
    [sym_dot_dot_i] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1482),
    [sym__newline] = ACTIONS(1482),
    [sym__raw_string_literal] = ACTIONS(1482),
    [sym__external_open_parenthesis] = ACTIONS(1482),
    [sym__external_close_parenthesis] = ACTIONS(1482),
    [sym__external_open_brace] = ACTIONS(1482),
    [sym__external_open_bracket] = ACTIONS(1482),
    [sym__external_open_bracket2] = ACTIONS(1482),
  },
  [987] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_repeat] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_LT_LT_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_DASH_GT_GT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [aux_sym_binary_operator_token1] = ACTIONS(1474),
    [anon_sym_PIPE_GT] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [sym__hex_literal] = ACTIONS(1474),
    [sym__number_literal] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_return] = ACTIONS(1472),
    [sym_next] = ACTIONS(1472),
    [sym_break] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [sym_inf] = ACTIONS(1472),
    [sym_nan] = ACTIONS(1472),
    [anon_sym_NA] = ACTIONS(1472),
    [anon_sym_NA_integer_] = ACTIONS(1472),
    [anon_sym_NA_real_] = ACTIONS(1472),
    [anon_sym_NA_complex_] = ACTIONS(1472),
    [anon_sym_NA_character_] = ACTIONS(1472),
    [sym_dots] = ACTIONS(1472),
    [sym_dot_dot_i] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1474),
    [sym__semicolon] = ACTIONS(1474),
    [sym__raw_string_literal] = ACTIONS(1474),
    [sym__external_open_parenthesis] = ACTIONS(1474),
    [sym__external_open_brace] = ACTIONS(1474),
    [sym__external_open_bracket] = ACTIONS(1474),
    [sym__external_open_bracket2] = ACTIONS(1474),
  },
  [988] = {
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_repeat] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_LT_LT_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_DASH_GT] = ACTIONS(1458),
    [anon_sym_DASH_GT_GT] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [aux_sym_binary_operator_token1] = ACTIONS(1456),
    [anon_sym_PIPE_GT] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [sym__hex_literal] = ACTIONS(1456),
    [sym__number_literal] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_return] = ACTIONS(1458),
    [sym_next] = ACTIONS(1458),
    [sym_break] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [sym_inf] = ACTIONS(1458),
    [sym_nan] = ACTIONS(1458),
    [anon_sym_NA] = ACTIONS(1458),
    [anon_sym_NA_integer_] = ACTIONS(1458),
    [anon_sym_NA_real_] = ACTIONS(1458),
    [anon_sym_NA_complex_] = ACTIONS(1458),
    [anon_sym_NA_character_] = ACTIONS(1458),
    [sym_dots] = ACTIONS(1458),
    [sym_dot_dot_i] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1456),
    [sym__newline] = ACTIONS(1456),
    [sym__raw_string_literal] = ACTIONS(1456),
    [sym__external_open_parenthesis] = ACTIONS(1456),
    [sym__external_open_brace] = ACTIONS(1456),
    [sym__external_open_bracket] = ACTIONS(1456),
    [sym__external_close_bracket] = ACTIONS(1456),
    [sym__external_open_bracket2] = ACTIONS(1456),
  },
  [989] = {
    [sym_function_definition] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_while_statement] = STATE(556),
    [sym_repeat_statement] = STATE(556),
    [sym_braced_expression] = STATE(556),
    [sym_parenthesized_expression] = STATE(556),
    [sym_call] = STATE(556),
    [sym_subset] = STATE(556),
    [sym_subset2] = STATE(556),
    [sym_unary_operator] = STATE(556),
    [sym_binary_operator] = STATE(556),
    [sym_extract_operator] = STATE(556),
    [sym_namespace_operator] = STATE(556),
    [sym_integer] = STATE(556),
    [sym_complex] = STATE(556),
    [sym_float] = STATE(556),
    [sym__float_literal] = STATE(776),
    [sym_string] = STATE(769),
    [sym__single_quoted_string] = STATE(777),
    [sym__double_quoted_string] = STATE(779),
    [sym_na] = STATE(556),
    [sym__expression] = STATE(556),
    [sym__string_or_identifier] = STATE(2305),
    [sym__open_parenthesis] = STATE(1039),
    [sym__open_brace] = STATE(924),
    [aux_sym_program_repeat1] = STATE(989),
    [ts_builtin_sym_end] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(1719),
    [anon_sym_BSLASH] = ACTIONS(1722),
    [anon_sym_function] = ACTIONS(1725),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1731),
    [anon_sym_while] = ACTIONS(1734),
    [anon_sym_repeat] = ACTIONS(1737),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_BANG] = ACTIONS(1746),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [sym__hex_literal] = ACTIONS(1752),
    [sym__number_literal] = ACTIONS(1755),
    [anon_sym_SQUOTE] = ACTIONS(1758),
    [anon_sym_DQUOTE] = ACTIONS(1761),
    [sym_return] = ACTIONS(1764),
    [sym_next] = ACTIONS(1764),
    [sym_break] = ACTIONS(1764),
    [sym_true] = ACTIONS(1764),
    [sym_false] = ACTIONS(1764),
    [sym_null] = ACTIONS(1764),
    [sym_inf] = ACTIONS(1764),
    [sym_nan] = ACTIONS(1764),
    [anon_sym_NA] = ACTIONS(1767),
    [anon_sym_NA_integer_] = ACTIONS(1767),
    [anon_sym_NA_real_] = ACTIONS(1767),
    [anon_sym_NA_complex_] = ACTIONS(1767),
    [anon_sym_NA_character_] = ACTIONS(1767),
    [sym_dots] = ACTIONS(1764),
    [sym_dot_dot_i] = ACTIONS(1770),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1773),
    [sym__semicolon] = ACTIONS(1773),
    [sym__raw_string_literal] = ACTIONS(1776),
    [sym__external_open_parenthesis] = ACTIONS(1779),
    [sym__external_open_brace] = ACTIONS(1782),
  },
  [990] = {
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_repeat] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1547),
    [anon_sym_LT_LT_DASH] = ACTIONS(1547),
    [anon_sym_COLON_EQ] = ACTIONS(1547),
    [anon_sym_DASH_GT] = ACTIONS(1545),
    [anon_sym_DASH_GT_GT] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [aux_sym_binary_operator_token1] = ACTIONS(1547),
    [anon_sym_PIPE_GT] = ACTIONS(1547),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1547),
    [sym__hex_literal] = ACTIONS(1547),
    [sym__number_literal] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_return] = ACTIONS(1545),
    [sym_next] = ACTIONS(1545),
    [sym_break] = ACTIONS(1545),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_null] = ACTIONS(1545),
    [sym_inf] = ACTIONS(1545),
    [sym_nan] = ACTIONS(1545),
    [anon_sym_NA] = ACTIONS(1545),
    [anon_sym_NA_integer_] = ACTIONS(1545),
    [anon_sym_NA_real_] = ACTIONS(1545),
    [anon_sym_NA_complex_] = ACTIONS(1545),
    [anon_sym_NA_character_] = ACTIONS(1545),
    [sym_dots] = ACTIONS(1545),
    [sym_dot_dot_i] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1547),
    [sym__semicolon] = ACTIONS(1547),
    [sym__raw_string_literal] = ACTIONS(1547),
    [sym__external_open_parenthesis] = ACTIONS(1547),
    [sym__external_open_brace] = ACTIONS(1547),
    [sym__external_close_brace] = ACTIONS(1547),
    [sym__external_open_bracket] = ACTIONS(1547),
    [sym__external_open_bracket2] = ACTIONS(1547),
  },
  [991] = {
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1486),
    [anon_sym_LT_LT_DASH] = ACTIONS(1486),
    [anon_sym_COLON_EQ] = ACTIONS(1486),
    [anon_sym_DASH_GT] = ACTIONS(1484),
    [anon_sym_DASH_GT_GT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1486),
    [aux_sym_binary_operator_token1] = ACTIONS(1486),
    [anon_sym_PIPE_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [sym__hex_literal] = ACTIONS(1486),
    [sym__number_literal] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_return] = ACTIONS(1484),
    [sym_next] = ACTIONS(1484),
    [sym_break] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [sym_inf] = ACTIONS(1484),
    [sym_nan] = ACTIONS(1484),
    [anon_sym_NA] = ACTIONS(1484),
    [anon_sym_NA_integer_] = ACTIONS(1484),
    [anon_sym_NA_real_] = ACTIONS(1484),
    [anon_sym_NA_complex_] = ACTIONS(1484),
    [anon_sym_NA_character_] = ACTIONS(1484),
    [sym_dots] = ACTIONS(1484),
    [sym_dot_dot_i] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1486),
    [sym__newline] = ACTIONS(1486),
    [sym__raw_string_literal] = ACTIONS(1486),
    [sym__external_open_parenthesis] = ACTIONS(1486),
    [sym__external_open_brace] = ACTIONS(1486),
    [sym__external_open_bracket] = ACTIONS(1486),
    [sym__external_close_bracket] = ACTIONS(1486),
    [sym__external_open_bracket2] = ACTIONS(1486),
  },
  [992] = {
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BSLASH] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_repeat] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_LT_DASH] = ACTIONS(1571),
    [anon_sym_LT_LT_DASH] = ACTIONS(1571),
    [anon_sym_COLON_EQ] = ACTIONS(1571),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_DASH_GT_GT] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_CARET] = ACTIONS(1571),
    [aux_sym_binary_operator_token1] = ACTIONS(1571),
    [anon_sym_PIPE_GT] = ACTIONS(1571),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(1571),
    [sym__hex_literal] = ACTIONS(1571),
    [sym__number_literal] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_return] = ACTIONS(1569),
    [sym_next] = ACTIONS(1569),
    [sym_break] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [sym_inf] = ACTIONS(1569),
    [sym_nan] = ACTIONS(1569),
    [anon_sym_NA] = ACTIONS(1569),
    [anon_sym_NA_integer_] = ACTIONS(1569),
    [anon_sym_NA_real_] = ACTIONS(1569),
    [anon_sym_NA_complex_] = ACTIONS(1569),
    [anon_sym_NA_character_] = ACTIONS(1569),
    [sym_dots] = ACTIONS(1569),
    [sym_dot_dot_i] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1571),
    [sym__newline] = ACTIONS(1571),
    [sym__raw_string_literal] = ACTIONS(1571),
    [sym__external_open_parenthesis] = ACTIONS(1571),
    [sym__external_open_brace] = ACTIONS(1571),
    [sym__external_open_bracket] = ACTIONS(1571),
    [sym__external_close_bracket] = ACTIONS(1571),
    [sym__external_open_bracket2] = ACTIONS(1571),
  },
  [993] = {
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_BSLASH] = ACTIONS(1551),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_repeat] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1551),
    [anon_sym_LT_LT_DASH] = ACTIONS(1551),
    [anon_sym_COLON_EQ] = ACTIONS(1551),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_DASH_GT_GT] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [aux_sym_binary_operator_token1] = ACTIONS(1551),
    [anon_sym_PIPE_GT] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(1551),
    [sym__hex_literal] = ACTIONS(1551),
    [sym__number_literal] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_return] = ACTIONS(1549),
    [sym_next] = ACTIONS(1549),
    [sym_break] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_null] = ACTIONS(1549),
    [sym_inf] = ACTIONS(1549),
    [sym_nan] = ACTIONS(1549),
    [anon_sym_NA] = ACTIONS(1549),
    [anon_sym_NA_integer_] = ACTIONS(1549),
    [anon_sym_NA_real_] = ACTIONS(1549),
    [anon_sym_NA_complex_] = ACTIONS(1549),
    [anon_sym_NA_character_] = ACTIONS(1549),
    [sym_dots] = ACTIONS(1549),
    [sym_dot_dot_i] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1551),
    [sym__semicolon] = ACTIONS(1551),
    [sym__raw_string_literal] = ACTIONS(1551),
    [sym__external_open_parenthesis] = ACTIONS(1551),
    [sym__external_open_brace] = ACTIONS(1551),
    [sym__external_close_brace] = ACTIONS(1551),
    [sym__external_open_bracket] = ACTIONS(1551),
    [sym__external_open_bracket2] = ACTIONS(1551),
  },
  [994] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1052),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(976),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1785),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [995] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_repeat] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_LT_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(1462),
    [anon_sym_DASH_GT] = ACTIONS(1460),
    [anon_sym_DASH_GT_GT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [aux_sym_binary_operator_token1] = ACTIONS(1462),
    [anon_sym_PIPE_GT] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [sym__hex_literal] = ACTIONS(1462),
    [sym__number_literal] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_return] = ACTIONS(1460),
    [sym_next] = ACTIONS(1460),
    [sym_break] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_inf] = ACTIONS(1460),
    [sym_nan] = ACTIONS(1460),
    [anon_sym_NA] = ACTIONS(1460),
    [anon_sym_NA_integer_] = ACTIONS(1460),
    [anon_sym_NA_real_] = ACTIONS(1460),
    [anon_sym_NA_complex_] = ACTIONS(1460),
    [anon_sym_NA_character_] = ACTIONS(1460),
    [sym_dots] = ACTIONS(1460),
    [sym_dot_dot_i] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1462),
    [sym__newline] = ACTIONS(1462),
    [sym__raw_string_literal] = ACTIONS(1462),
    [sym__external_open_parenthesis] = ACTIONS(1462),
    [sym__external_close_parenthesis] = ACTIONS(1462),
    [sym__external_open_brace] = ACTIONS(1462),
    [sym__external_open_bracket] = ACTIONS(1462),
    [sym__external_open_bracket2] = ACTIONS(1462),
  },
  [996] = {
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_repeat] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_LT_LT_DASH] = ACTIONS(1494),
    [anon_sym_COLON_EQ] = ACTIONS(1494),
    [anon_sym_DASH_GT] = ACTIONS(1492),
    [anon_sym_DASH_GT_GT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [aux_sym_binary_operator_token1] = ACTIONS(1494),
    [anon_sym_PIPE_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym__hex_literal] = ACTIONS(1494),
    [sym__number_literal] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_return] = ACTIONS(1492),
    [sym_next] = ACTIONS(1492),
    [sym_break] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_inf] = ACTIONS(1492),
    [sym_nan] = ACTIONS(1492),
    [anon_sym_NA] = ACTIONS(1492),
    [anon_sym_NA_integer_] = ACTIONS(1492),
    [anon_sym_NA_real_] = ACTIONS(1492),
    [anon_sym_NA_complex_] = ACTIONS(1492),
    [anon_sym_NA_character_] = ACTIONS(1492),
    [sym_dots] = ACTIONS(1492),
    [sym_dot_dot_i] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1494),
    [sym__newline] = ACTIONS(1494),
    [sym__raw_string_literal] = ACTIONS(1494),
    [sym__external_open_parenthesis] = ACTIONS(1494),
    [sym__external_open_brace] = ACTIONS(1494),
    [sym__external_open_bracket] = ACTIONS(1494),
    [sym__external_open_bracket2] = ACTIONS(1494),
    [sym__external_close_bracket2] = ACTIONS(1494),
  },
  [997] = {
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_BSLASH] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_repeat] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_LT_DASH] = ACTIONS(1563),
    [anon_sym_LT_LT_DASH] = ACTIONS(1563),
    [anon_sym_COLON_EQ] = ACTIONS(1563),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_DASH_GT_GT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [aux_sym_binary_operator_token1] = ACTIONS(1563),
    [anon_sym_PIPE_GT] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1563),
    [sym__hex_literal] = ACTIONS(1563),
    [sym__number_literal] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_return] = ACTIONS(1561),
    [sym_next] = ACTIONS(1561),
    [sym_break] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_inf] = ACTIONS(1561),
    [sym_nan] = ACTIONS(1561),
    [anon_sym_NA] = ACTIONS(1561),
    [anon_sym_NA_integer_] = ACTIONS(1561),
    [anon_sym_NA_real_] = ACTIONS(1561),
    [anon_sym_NA_complex_] = ACTIONS(1561),
    [anon_sym_NA_character_] = ACTIONS(1561),
    [sym_dots] = ACTIONS(1561),
    [sym_dot_dot_i] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1563),
    [sym__newline] = ACTIONS(1563),
    [sym__raw_string_literal] = ACTIONS(1563),
    [sym__external_open_parenthesis] = ACTIONS(1563),
    [sym__external_open_brace] = ACTIONS(1563),
    [sym__external_open_bracket] = ACTIONS(1563),
    [sym__external_close_bracket] = ACTIONS(1563),
    [sym__external_open_bracket2] = ACTIONS(1563),
  },
  [998] = {
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_repeat] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_LT_DASH] = ACTIONS(1498),
    [anon_sym_LT_LT_DASH] = ACTIONS(1498),
    [anon_sym_COLON_EQ] = ACTIONS(1498),
    [anon_sym_DASH_GT] = ACTIONS(1496),
    [anon_sym_DASH_GT_GT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1498),
    [aux_sym_binary_operator_token1] = ACTIONS(1498),
    [anon_sym_PIPE_GT] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [sym__hex_literal] = ACTIONS(1498),
    [sym__number_literal] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_return] = ACTIONS(1496),
    [sym_next] = ACTIONS(1496),
    [sym_break] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_inf] = ACTIONS(1496),
    [sym_nan] = ACTIONS(1496),
    [anon_sym_NA] = ACTIONS(1496),
    [anon_sym_NA_integer_] = ACTIONS(1496),
    [anon_sym_NA_real_] = ACTIONS(1496),
    [anon_sym_NA_complex_] = ACTIONS(1496),
    [anon_sym_NA_character_] = ACTIONS(1496),
    [sym_dots] = ACTIONS(1496),
    [sym_dot_dot_i] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1498),
    [sym__newline] = ACTIONS(1498),
    [sym__raw_string_literal] = ACTIONS(1498),
    [sym__external_open_parenthesis] = ACTIONS(1498),
    [sym__external_open_brace] = ACTIONS(1498),
    [sym__external_open_bracket] = ACTIONS(1498),
    [sym__external_open_bracket2] = ACTIONS(1498),
    [sym__external_close_bracket2] = ACTIONS(1498),
  },
  [999] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(2130),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1787),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1000] = {
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_repeat] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_LT_LT_DASH] = ACTIONS(1466),
    [anon_sym_COLON_EQ] = ACTIONS(1466),
    [anon_sym_DASH_GT] = ACTIONS(1464),
    [anon_sym_DASH_GT_GT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [aux_sym_binary_operator_token1] = ACTIONS(1466),
    [anon_sym_PIPE_GT] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym__hex_literal] = ACTIONS(1466),
    [sym__number_literal] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_return] = ACTIONS(1464),
    [sym_next] = ACTIONS(1464),
    [sym_break] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_inf] = ACTIONS(1464),
    [sym_nan] = ACTIONS(1464),
    [anon_sym_NA] = ACTIONS(1464),
    [anon_sym_NA_integer_] = ACTIONS(1464),
    [anon_sym_NA_real_] = ACTIONS(1464),
    [anon_sym_NA_complex_] = ACTIONS(1464),
    [anon_sym_NA_character_] = ACTIONS(1464),
    [sym_dots] = ACTIONS(1464),
    [sym_dot_dot_i] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1466),
    [sym__newline] = ACTIONS(1466),
    [sym__raw_string_literal] = ACTIONS(1466),
    [sym__external_open_parenthesis] = ACTIONS(1466),
    [sym__external_open_brace] = ACTIONS(1466),
    [sym__external_open_bracket] = ACTIONS(1466),
    [sym__external_open_bracket2] = ACTIONS(1466),
    [sym__external_close_bracket2] = ACTIONS(1466),
  },
  [1001] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(2125),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(999),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1789),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1002] = {
    [sym_function_definition] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_while_statement] = STATE(556),
    [sym_repeat_statement] = STATE(556),
    [sym_braced_expression] = STATE(556),
    [sym_parenthesized_expression] = STATE(556),
    [sym_call] = STATE(556),
    [sym_subset] = STATE(556),
    [sym_subset2] = STATE(556),
    [sym_unary_operator] = STATE(556),
    [sym_binary_operator] = STATE(556),
    [sym_extract_operator] = STATE(556),
    [sym_namespace_operator] = STATE(556),
    [sym_integer] = STATE(556),
    [sym_complex] = STATE(556),
    [sym_float] = STATE(556),
    [sym__float_literal] = STATE(776),
    [sym_string] = STATE(769),
    [sym__single_quoted_string] = STATE(777),
    [sym__double_quoted_string] = STATE(779),
    [sym_na] = STATE(556),
    [sym__expression] = STATE(556),
    [sym__string_or_identifier] = STATE(2305),
    [sym__open_parenthesis] = STATE(1039),
    [sym__open_brace] = STATE(924),
    [aux_sym_program_repeat1] = STATE(989),
    [ts_builtin_sym_end] = ACTIONS(1791),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_for] = ACTIONS(15),
    [anon_sym_while] = ACTIONS(17),
    [anon_sym_repeat] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [sym__hex_literal] = ACTIONS(29),
    [sym__number_literal] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_return] = ACTIONS(37),
    [sym_next] = ACTIONS(37),
    [sym_break] = ACTIONS(37),
    [sym_true] = ACTIONS(37),
    [sym_false] = ACTIONS(37),
    [sym_null] = ACTIONS(37),
    [sym_inf] = ACTIONS(37),
    [sym_nan] = ACTIONS(37),
    [anon_sym_NA] = ACTIONS(39),
    [anon_sym_NA_integer_] = ACTIONS(39),
    [anon_sym_NA_real_] = ACTIONS(39),
    [anon_sym_NA_complex_] = ACTIONS(39),
    [anon_sym_NA_character_] = ACTIONS(39),
    [sym_dots] = ACTIONS(37),
    [sym_dot_dot_i] = ACTIONS(41),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1793),
    [sym__semicolon] = ACTIONS(1793),
    [sym__raw_string_literal] = ACTIONS(45),
    [sym__external_open_parenthesis] = ACTIONS(47),
    [sym__external_open_brace] = ACTIONS(49),
  },
  [1003] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_repeat] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_LT_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(1462),
    [anon_sym_DASH_GT] = ACTIONS(1460),
    [anon_sym_DASH_GT_GT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [aux_sym_binary_operator_token1] = ACTIONS(1462),
    [anon_sym_PIPE_GT] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [sym__hex_literal] = ACTIONS(1462),
    [sym__number_literal] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_return] = ACTIONS(1460),
    [sym_next] = ACTIONS(1460),
    [sym_break] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_inf] = ACTIONS(1460),
    [sym_nan] = ACTIONS(1460),
    [anon_sym_NA] = ACTIONS(1460),
    [anon_sym_NA_integer_] = ACTIONS(1460),
    [anon_sym_NA_real_] = ACTIONS(1460),
    [anon_sym_NA_complex_] = ACTIONS(1460),
    [anon_sym_NA_character_] = ACTIONS(1460),
    [sym_dots] = ACTIONS(1460),
    [sym_dot_dot_i] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1462),
    [sym__newline] = ACTIONS(1462),
    [sym__raw_string_literal] = ACTIONS(1462),
    [sym__external_open_parenthesis] = ACTIONS(1462),
    [sym__external_open_brace] = ACTIONS(1462),
    [sym__external_open_bracket] = ACTIONS(1462),
    [sym__external_close_bracket] = ACTIONS(1462),
    [sym__external_open_bracket2] = ACTIONS(1462),
  },
  [1004] = {
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_BSLASH] = ACTIONS(1555),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_repeat] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_LT_DASH] = ACTIONS(1555),
    [anon_sym_LT_LT_DASH] = ACTIONS(1555),
    [anon_sym_COLON_EQ] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_DASH_GT_GT] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [aux_sym_binary_operator_token1] = ACTIONS(1555),
    [anon_sym_PIPE_GT] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1555),
    [sym__hex_literal] = ACTIONS(1555),
    [sym__number_literal] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_return] = ACTIONS(1553),
    [sym_next] = ACTIONS(1553),
    [sym_break] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_null] = ACTIONS(1553),
    [sym_inf] = ACTIONS(1553),
    [sym_nan] = ACTIONS(1553),
    [anon_sym_NA] = ACTIONS(1553),
    [anon_sym_NA_integer_] = ACTIONS(1553),
    [anon_sym_NA_real_] = ACTIONS(1553),
    [anon_sym_NA_complex_] = ACTIONS(1553),
    [anon_sym_NA_character_] = ACTIONS(1553),
    [sym_dots] = ACTIONS(1553),
    [sym_dot_dot_i] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1555),
    [sym__semicolon] = ACTIONS(1555),
    [sym__raw_string_literal] = ACTIONS(1555),
    [sym__external_open_parenthesis] = ACTIONS(1555),
    [sym__external_open_brace] = ACTIONS(1555),
    [sym__external_close_brace] = ACTIONS(1555),
    [sym__external_open_bracket] = ACTIONS(1555),
    [sym__external_open_bracket2] = ACTIONS(1555),
  },
  [1005] = {
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_function] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_repeat] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_LT_LT_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_DASH_GT] = ACTIONS(1480),
    [anon_sym_DASH_GT_GT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [aux_sym_binary_operator_token1] = ACTIONS(1482),
    [anon_sym_PIPE_GT] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [sym__hex_literal] = ACTIONS(1482),
    [sym__number_literal] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_return] = ACTIONS(1480),
    [sym_next] = ACTIONS(1480),
    [sym_break] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_inf] = ACTIONS(1480),
    [sym_nan] = ACTIONS(1480),
    [anon_sym_NA] = ACTIONS(1480),
    [anon_sym_NA_integer_] = ACTIONS(1480),
    [anon_sym_NA_real_] = ACTIONS(1480),
    [anon_sym_NA_complex_] = ACTIONS(1480),
    [anon_sym_NA_character_] = ACTIONS(1480),
    [sym_dots] = ACTIONS(1480),
    [sym_dot_dot_i] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1482),
    [sym__newline] = ACTIONS(1482),
    [sym__raw_string_literal] = ACTIONS(1482),
    [sym__external_open_parenthesis] = ACTIONS(1482),
    [sym__external_open_brace] = ACTIONS(1482),
    [sym__external_open_bracket] = ACTIONS(1482),
    [sym__external_close_bracket] = ACTIONS(1482),
    [sym__external_open_bracket2] = ACTIONS(1482),
  },
  [1006] = {
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_repeat] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_LT_LT_DASH] = ACTIONS(1490),
    [anon_sym_COLON_EQ] = ACTIONS(1490),
    [anon_sym_DASH_GT] = ACTIONS(1488),
    [anon_sym_DASH_GT_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [aux_sym_binary_operator_token1] = ACTIONS(1490),
    [anon_sym_PIPE_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym__hex_literal] = ACTIONS(1490),
    [sym__number_literal] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_return] = ACTIONS(1488),
    [sym_next] = ACTIONS(1488),
    [sym_break] = ACTIONS(1488),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [sym_inf] = ACTIONS(1488),
    [sym_nan] = ACTIONS(1488),
    [anon_sym_NA] = ACTIONS(1488),
    [anon_sym_NA_integer_] = ACTIONS(1488),
    [anon_sym_NA_real_] = ACTIONS(1488),
    [anon_sym_NA_complex_] = ACTIONS(1488),
    [anon_sym_NA_character_] = ACTIONS(1488),
    [sym_dots] = ACTIONS(1488),
    [sym_dot_dot_i] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1490),
    [sym__newline] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1490),
    [sym__external_open_parenthesis] = ACTIONS(1490),
    [sym__external_close_parenthesis] = ACTIONS(1490),
    [sym__external_open_brace] = ACTIONS(1490),
    [sym__external_open_bracket] = ACTIONS(1490),
    [sym__external_open_bracket2] = ACTIONS(1490),
  },
  [1007] = {
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_BSLASH] = ACTIONS(1551),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_repeat] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_LT_DASH] = ACTIONS(1551),
    [anon_sym_LT_LT_DASH] = ACTIONS(1551),
    [anon_sym_COLON_EQ] = ACTIONS(1551),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_DASH_GT_GT] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [aux_sym_binary_operator_token1] = ACTIONS(1551),
    [anon_sym_PIPE_GT] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(1551),
    [sym__hex_literal] = ACTIONS(1551),
    [sym__number_literal] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_return] = ACTIONS(1549),
    [sym_next] = ACTIONS(1549),
    [sym_break] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_null] = ACTIONS(1549),
    [sym_inf] = ACTIONS(1549),
    [sym_nan] = ACTIONS(1549),
    [anon_sym_NA] = ACTIONS(1549),
    [anon_sym_NA_integer_] = ACTIONS(1549),
    [anon_sym_NA_real_] = ACTIONS(1549),
    [anon_sym_NA_complex_] = ACTIONS(1549),
    [anon_sym_NA_character_] = ACTIONS(1549),
    [sym_dots] = ACTIONS(1549),
    [sym_dot_dot_i] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1551),
    [sym__newline] = ACTIONS(1551),
    [sym__raw_string_literal] = ACTIONS(1551),
    [sym__external_open_parenthesis] = ACTIONS(1551),
    [sym__external_close_parenthesis] = ACTIONS(1551),
    [sym__external_open_brace] = ACTIONS(1551),
    [sym__external_open_bracket] = ACTIONS(1551),
    [sym__external_open_bracket2] = ACTIONS(1551),
  },
  [1008] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1017),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1062),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1795),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1009] = {
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_repeat] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_LT_LT_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_DASH_GT_GT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [aux_sym_binary_operator_token1] = ACTIONS(1474),
    [anon_sym_PIPE_GT] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [sym__hex_literal] = ACTIONS(1474),
    [sym__number_literal] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_return] = ACTIONS(1472),
    [sym_next] = ACTIONS(1472),
    [sym_break] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [sym_inf] = ACTIONS(1472),
    [sym_nan] = ACTIONS(1472),
    [anon_sym_NA] = ACTIONS(1472),
    [anon_sym_NA_integer_] = ACTIONS(1472),
    [anon_sym_NA_real_] = ACTIONS(1472),
    [anon_sym_NA_complex_] = ACTIONS(1472),
    [anon_sym_NA_character_] = ACTIONS(1472),
    [sym_dots] = ACTIONS(1472),
    [sym_dot_dot_i] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1474),
    [sym__newline] = ACTIONS(1474),
    [sym__raw_string_literal] = ACTIONS(1474),
    [sym__external_open_parenthesis] = ACTIONS(1474),
    [sym__external_open_brace] = ACTIONS(1474),
    [sym__external_open_bracket] = ACTIONS(1474),
    [sym__external_close_bracket] = ACTIONS(1474),
    [sym__external_open_bracket2] = ACTIONS(1474),
  },
  [1010] = {
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_repeat] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_LT_LT_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_DASH_GT_GT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [aux_sym_binary_operator_token1] = ACTIONS(1474),
    [anon_sym_PIPE_GT] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [sym__hex_literal] = ACTIONS(1474),
    [sym__number_literal] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_return] = ACTIONS(1472),
    [sym_next] = ACTIONS(1472),
    [sym_break] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [sym_inf] = ACTIONS(1472),
    [sym_nan] = ACTIONS(1472),
    [anon_sym_NA] = ACTIONS(1472),
    [anon_sym_NA_integer_] = ACTIONS(1472),
    [anon_sym_NA_real_] = ACTIONS(1472),
    [anon_sym_NA_complex_] = ACTIONS(1472),
    [anon_sym_NA_character_] = ACTIONS(1472),
    [sym_dots] = ACTIONS(1472),
    [sym_dot_dot_i] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1474),
    [sym__newline] = ACTIONS(1474),
    [sym__raw_string_literal] = ACTIONS(1474),
    [sym__external_open_parenthesis] = ACTIONS(1474),
    [sym__external_open_brace] = ACTIONS(1474),
    [sym__external_open_bracket] = ACTIONS(1474),
    [sym__external_open_bracket2] = ACTIONS(1474),
    [sym__external_close_bracket2] = ACTIONS(1474),
  },
  [1011] = {
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_BSLASH] = ACTIONS(1555),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_repeat] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_LT_DASH] = ACTIONS(1555),
    [anon_sym_LT_LT_DASH] = ACTIONS(1555),
    [anon_sym_COLON_EQ] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_DASH_GT_GT] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [aux_sym_binary_operator_token1] = ACTIONS(1555),
    [anon_sym_PIPE_GT] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_AT] = ACTIONS(1555),
    [sym__hex_literal] = ACTIONS(1555),
    [sym__number_literal] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_return] = ACTIONS(1553),
    [sym_next] = ACTIONS(1553),
    [sym_break] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_null] = ACTIONS(1553),
    [sym_inf] = ACTIONS(1553),
    [sym_nan] = ACTIONS(1553),
    [anon_sym_NA] = ACTIONS(1553),
    [anon_sym_NA_integer_] = ACTIONS(1553),
    [anon_sym_NA_real_] = ACTIONS(1553),
    [anon_sym_NA_complex_] = ACTIONS(1553),
    [anon_sym_NA_character_] = ACTIONS(1553),
    [sym_dots] = ACTIONS(1553),
    [sym_dot_dot_i] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1555),
    [sym__newline] = ACTIONS(1555),
    [sym__raw_string_literal] = ACTIONS(1555),
    [sym__external_open_parenthesis] = ACTIONS(1555),
    [sym__external_close_parenthesis] = ACTIONS(1555),
    [sym__external_open_brace] = ACTIONS(1555),
    [sym__external_open_bracket] = ACTIONS(1555),
    [sym__external_open_bracket2] = ACTIONS(1555),
  },
  [1012] = {
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_BSLASH] = ACTIONS(1559),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_repeat] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_LT_DASH] = ACTIONS(1559),
    [anon_sym_LT_LT_DASH] = ACTIONS(1559),
    [anon_sym_COLON_EQ] = ACTIONS(1559),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_DASH_GT_GT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1559),
    [aux_sym_binary_operator_token1] = ACTIONS(1559),
    [anon_sym_PIPE_GT] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1559),
    [sym__hex_literal] = ACTIONS(1559),
    [sym__number_literal] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_return] = ACTIONS(1557),
    [sym_next] = ACTIONS(1557),
    [sym_break] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_null] = ACTIONS(1557),
    [sym_inf] = ACTIONS(1557),
    [sym_nan] = ACTIONS(1557),
    [anon_sym_NA] = ACTIONS(1557),
    [anon_sym_NA_integer_] = ACTIONS(1557),
    [anon_sym_NA_real_] = ACTIONS(1557),
    [anon_sym_NA_complex_] = ACTIONS(1557),
    [anon_sym_NA_character_] = ACTIONS(1557),
    [sym_dots] = ACTIONS(1557),
    [sym_dot_dot_i] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1559),
    [sym__newline] = ACTIONS(1559),
    [sym__raw_string_literal] = ACTIONS(1559),
    [sym__external_open_parenthesis] = ACTIONS(1559),
    [sym__external_close_parenthesis] = ACTIONS(1559),
    [sym__external_open_brace] = ACTIONS(1559),
    [sym__external_open_bracket] = ACTIONS(1559),
    [sym__external_open_bracket2] = ACTIONS(1559),
  },
  [1013] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1000),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1797),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1014] = {
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_BSLASH] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_repeat] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_LT_DASH] = ACTIONS(1563),
    [anon_sym_LT_LT_DASH] = ACTIONS(1563),
    [anon_sym_COLON_EQ] = ACTIONS(1563),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_DASH_GT_GT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [aux_sym_binary_operator_token1] = ACTIONS(1563),
    [anon_sym_PIPE_GT] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1563),
    [sym__hex_literal] = ACTIONS(1563),
    [sym__number_literal] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_return] = ACTIONS(1561),
    [sym_next] = ACTIONS(1561),
    [sym_break] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_inf] = ACTIONS(1561),
    [sym_nan] = ACTIONS(1561),
    [anon_sym_NA] = ACTIONS(1561),
    [anon_sym_NA_integer_] = ACTIONS(1561),
    [anon_sym_NA_real_] = ACTIONS(1561),
    [anon_sym_NA_complex_] = ACTIONS(1561),
    [anon_sym_NA_character_] = ACTIONS(1561),
    [sym_dots] = ACTIONS(1561),
    [sym_dot_dot_i] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1563),
    [sym__newline] = ACTIONS(1563),
    [sym__raw_string_literal] = ACTIONS(1563),
    [sym__external_open_parenthesis] = ACTIONS(1563),
    [sym__external_close_parenthesis] = ACTIONS(1563),
    [sym__external_open_brace] = ACTIONS(1563),
    [sym__external_open_bracket] = ACTIONS(1563),
    [sym__external_open_bracket2] = ACTIONS(1563),
  },
  [1015] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(943),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1013),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1799),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1016] = {
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_repeat] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_LT_LT_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_DASH_GT] = ACTIONS(1476),
    [anon_sym_DASH_GT_GT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [aux_sym_binary_operator_token1] = ACTIONS(1478),
    [anon_sym_PIPE_GT] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [sym__hex_literal] = ACTIONS(1478),
    [sym__number_literal] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_return] = ACTIONS(1476),
    [sym_next] = ACTIONS(1476),
    [sym_break] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [sym_inf] = ACTIONS(1476),
    [sym_nan] = ACTIONS(1476),
    [anon_sym_NA] = ACTIONS(1476),
    [anon_sym_NA_integer_] = ACTIONS(1476),
    [anon_sym_NA_real_] = ACTIONS(1476),
    [anon_sym_NA_complex_] = ACTIONS(1476),
    [anon_sym_NA_character_] = ACTIONS(1476),
    [sym_dots] = ACTIONS(1476),
    [sym_dot_dot_i] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1478),
    [sym__newline] = ACTIONS(1478),
    [sym__raw_string_literal] = ACTIONS(1478),
    [sym__external_open_parenthesis] = ACTIONS(1478),
    [sym__external_open_brace] = ACTIONS(1478),
    [sym__external_open_bracket] = ACTIONS(1478),
    [sym__external_close_bracket] = ACTIONS(1478),
    [sym__external_open_bracket2] = ACTIONS(1478),
  },
  [1017] = {
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_repeat] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_LT_DASH] = ACTIONS(1567),
    [anon_sym_LT_LT_DASH] = ACTIONS(1567),
    [anon_sym_COLON_EQ] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_DASH_GT_GT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [aux_sym_binary_operator_token1] = ACTIONS(1567),
    [anon_sym_PIPE_GT] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_AT] = ACTIONS(1567),
    [sym__hex_literal] = ACTIONS(1567),
    [sym__number_literal] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_return] = ACTIONS(1565),
    [sym_next] = ACTIONS(1565),
    [sym_break] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_null] = ACTIONS(1565),
    [sym_inf] = ACTIONS(1565),
    [sym_nan] = ACTIONS(1565),
    [anon_sym_NA] = ACTIONS(1565),
    [anon_sym_NA_integer_] = ACTIONS(1565),
    [anon_sym_NA_real_] = ACTIONS(1565),
    [anon_sym_NA_complex_] = ACTIONS(1565),
    [anon_sym_NA_character_] = ACTIONS(1565),
    [sym_dots] = ACTIONS(1565),
    [sym_dot_dot_i] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1567),
    [sym__newline] = ACTIONS(1567),
    [sym__raw_string_literal] = ACTIONS(1567),
    [sym__external_open_parenthesis] = ACTIONS(1567),
    [sym__external_open_brace] = ACTIONS(1567),
    [sym__external_open_bracket] = ACTIONS(1567),
    [sym__external_close_bracket] = ACTIONS(1567),
    [sym__external_open_bracket2] = ACTIONS(1567),
  },
  [1018] = {
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_repeat] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_LT_DASH] = ACTIONS(1567),
    [anon_sym_LT_LT_DASH] = ACTIONS(1567),
    [anon_sym_COLON_EQ] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_DASH_GT_GT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [aux_sym_binary_operator_token1] = ACTIONS(1567),
    [anon_sym_PIPE_GT] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_AT] = ACTIONS(1567),
    [sym__hex_literal] = ACTIONS(1567),
    [sym__number_literal] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_return] = ACTIONS(1565),
    [sym_next] = ACTIONS(1565),
    [sym_break] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_null] = ACTIONS(1565),
    [sym_inf] = ACTIONS(1565),
    [sym_nan] = ACTIONS(1565),
    [anon_sym_NA] = ACTIONS(1565),
    [anon_sym_NA_integer_] = ACTIONS(1565),
    [anon_sym_NA_real_] = ACTIONS(1565),
    [anon_sym_NA_complex_] = ACTIONS(1565),
    [anon_sym_NA_character_] = ACTIONS(1565),
    [sym_dots] = ACTIONS(1565),
    [sym_dot_dot_i] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1567),
    [sym__newline] = ACTIONS(1567),
    [sym__raw_string_literal] = ACTIONS(1567),
    [sym__external_open_parenthesis] = ACTIONS(1567),
    [sym__external_close_parenthesis] = ACTIONS(1567),
    [sym__external_open_brace] = ACTIONS(1567),
    [sym__external_open_bracket] = ACTIONS(1567),
    [sym__external_open_bracket2] = ACTIONS(1567),
  },
  [1019] = {
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_repeat] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_LT_DASH] = ACTIONS(1454),
    [anon_sym_LT_LT_DASH] = ACTIONS(1454),
    [anon_sym_COLON_EQ] = ACTIONS(1454),
    [anon_sym_DASH_GT] = ACTIONS(1452),
    [anon_sym_DASH_GT_GT] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [aux_sym_binary_operator_token1] = ACTIONS(1454),
    [anon_sym_PIPE_GT] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [sym__hex_literal] = ACTIONS(1454),
    [sym__number_literal] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_return] = ACTIONS(1452),
    [sym_next] = ACTIONS(1452),
    [sym_break] = ACTIONS(1452),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [sym_inf] = ACTIONS(1452),
    [sym_nan] = ACTIONS(1452),
    [anon_sym_NA] = ACTIONS(1452),
    [anon_sym_NA_integer_] = ACTIONS(1452),
    [anon_sym_NA_real_] = ACTIONS(1452),
    [anon_sym_NA_complex_] = ACTIONS(1452),
    [anon_sym_NA_character_] = ACTIONS(1452),
    [sym_dots] = ACTIONS(1452),
    [sym_dot_dot_i] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1454),
    [sym__semicolon] = ACTIONS(1454),
    [sym__raw_string_literal] = ACTIONS(1454),
    [sym__external_open_parenthesis] = ACTIONS(1454),
    [sym__external_open_brace] = ACTIONS(1454),
    [sym__external_close_brace] = ACTIONS(1454),
    [sym__external_open_bracket] = ACTIONS(1454),
    [sym__external_open_bracket2] = ACTIONS(1454),
  },
  [1020] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(845),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1801),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1021] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_repeat] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_LT_LT_DASH] = ACTIONS(1490),
    [anon_sym_COLON_EQ] = ACTIONS(1490),
    [anon_sym_DASH_GT] = ACTIONS(1488),
    [anon_sym_DASH_GT_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [aux_sym_binary_operator_token1] = ACTIONS(1490),
    [anon_sym_PIPE_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym__hex_literal] = ACTIONS(1490),
    [sym__number_literal] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_return] = ACTIONS(1488),
    [sym_next] = ACTIONS(1488),
    [sym_break] = ACTIONS(1488),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [sym_inf] = ACTIONS(1488),
    [sym_nan] = ACTIONS(1488),
    [anon_sym_NA] = ACTIONS(1488),
    [anon_sym_NA_integer_] = ACTIONS(1488),
    [anon_sym_NA_real_] = ACTIONS(1488),
    [anon_sym_NA_complex_] = ACTIONS(1488),
    [anon_sym_NA_character_] = ACTIONS(1488),
    [sym_dots] = ACTIONS(1488),
    [sym_dot_dot_i] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1490),
    [sym__semicolon] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1490),
    [sym__external_open_parenthesis] = ACTIONS(1490),
    [sym__external_open_brace] = ACTIONS(1490),
    [sym__external_open_bracket] = ACTIONS(1490),
    [sym__external_open_bracket2] = ACTIONS(1490),
  },
  [1022] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(917),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1020),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1803),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1023] = {
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_repeat] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [anon_sym_LT_LT_DASH] = ACTIONS(1490),
    [anon_sym_COLON_EQ] = ACTIONS(1490),
    [anon_sym_DASH_GT] = ACTIONS(1488),
    [anon_sym_DASH_GT_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1490),
    [aux_sym_binary_operator_token1] = ACTIONS(1490),
    [anon_sym_PIPE_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [sym__hex_literal] = ACTIONS(1490),
    [sym__number_literal] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_return] = ACTIONS(1488),
    [sym_next] = ACTIONS(1488),
    [sym_break] = ACTIONS(1488),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [sym_inf] = ACTIONS(1488),
    [sym_nan] = ACTIONS(1488),
    [anon_sym_NA] = ACTIONS(1488),
    [anon_sym_NA_integer_] = ACTIONS(1488),
    [anon_sym_NA_real_] = ACTIONS(1488),
    [anon_sym_NA_complex_] = ACTIONS(1488),
    [anon_sym_NA_character_] = ACTIONS(1488),
    [sym_dots] = ACTIONS(1488),
    [sym_dot_dot_i] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1490),
    [sym__newline] = ACTIONS(1490),
    [sym__raw_string_literal] = ACTIONS(1490),
    [sym__external_open_parenthesis] = ACTIONS(1490),
    [sym__external_open_brace] = ACTIONS(1490),
    [sym__external_open_bracket] = ACTIONS(1490),
    [sym__external_close_bracket] = ACTIONS(1490),
    [sym__external_open_bracket2] = ACTIONS(1490),
  },
  [1024] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_BSLASH] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_EQ] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_repeat] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_LT_DASH] = ACTIONS(1353),
    [anon_sym_LT_LT_DASH] = ACTIONS(1353),
    [anon_sym_COLON_EQ] = ACTIONS(1353),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_DASH_GT_GT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1353),
    [aux_sym_binary_operator_token1] = ACTIONS(1353),
    [anon_sym_PIPE_GT] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DOLLAR] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1353),
    [sym__hex_literal] = ACTIONS(1353),
    [sym__number_literal] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_return] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_break] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1351),
    [anon_sym_NA_integer_] = ACTIONS(1351),
    [anon_sym_NA_real_] = ACTIONS(1351),
    [anon_sym_NA_complex_] = ACTIONS(1351),
    [anon_sym_NA_character_] = ACTIONS(1351),
    [sym_dots] = ACTIONS(1351),
    [sym_dot_dot_i] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1353),
    [sym__newline] = ACTIONS(1353),
    [sym__raw_string_literal] = ACTIONS(1353),
    [sym__external_open_parenthesis] = ACTIONS(1353),
    [sym__external_open_brace] = ACTIONS(1353),
    [sym__external_open_bracket] = ACTIONS(1353),
    [sym__external_open_bracket2] = ACTIONS(1353),
    [sym__external_close_bracket2] = ACTIONS(1353),
  },
  [1025] = {
    [sym_function_definition] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_repeat_statement] = STATE(467),
    [sym_braced_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_call] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym__argument_value] = STATE(2066),
    [sym_unary_operator] = STATE(467),
    [sym_binary_operator] = STATE(467),
    [sym_extract_operator] = STATE(467),
    [sym_namespace_operator] = STATE(467),
    [sym_integer] = STATE(467),
    [sym_complex] = STATE(467),
    [sym_float] = STATE(467),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__open_brace] = STATE(884),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_break] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(737),
    [sym_dot_dot_i] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1631),
    [sym__newline] = ACTIONS(747),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1631),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1026] = {
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_repeat] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_LT_DASH] = ACTIONS(1474),
    [anon_sym_LT_LT_DASH] = ACTIONS(1474),
    [anon_sym_COLON_EQ] = ACTIONS(1474),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_DASH_GT_GT] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [aux_sym_binary_operator_token1] = ACTIONS(1474),
    [anon_sym_PIPE_GT] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [sym__hex_literal] = ACTIONS(1474),
    [sym__number_literal] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_return] = ACTIONS(1472),
    [sym_next] = ACTIONS(1472),
    [sym_break] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [sym_inf] = ACTIONS(1472),
    [sym_nan] = ACTIONS(1472),
    [anon_sym_NA] = ACTIONS(1472),
    [anon_sym_NA_integer_] = ACTIONS(1472),
    [anon_sym_NA_real_] = ACTIONS(1472),
    [anon_sym_NA_complex_] = ACTIONS(1472),
    [anon_sym_NA_character_] = ACTIONS(1472),
    [sym_dots] = ACTIONS(1472),
    [sym_dot_dot_i] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1474),
    [sym__semicolon] = ACTIONS(1474),
    [sym__raw_string_literal] = ACTIONS(1474),
    [sym__external_open_parenthesis] = ACTIONS(1474),
    [sym__external_open_brace] = ACTIONS(1474),
    [sym__external_close_brace] = ACTIONS(1474),
    [sym__external_open_bracket] = ACTIONS(1474),
    [sym__external_open_bracket2] = ACTIONS(1474),
  },
  [1027] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(879),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1805),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1028] = {
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_repeat] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_LT_LT_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_DASH_GT] = ACTIONS(1476),
    [anon_sym_DASH_GT_GT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [aux_sym_binary_operator_token1] = ACTIONS(1478),
    [anon_sym_PIPE_GT] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [sym__hex_literal] = ACTIONS(1478),
    [sym__number_literal] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_return] = ACTIONS(1476),
    [sym_next] = ACTIONS(1476),
    [sym_break] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [sym_inf] = ACTIONS(1476),
    [sym_nan] = ACTIONS(1476),
    [anon_sym_NA] = ACTIONS(1476),
    [anon_sym_NA_integer_] = ACTIONS(1476),
    [anon_sym_NA_real_] = ACTIONS(1476),
    [anon_sym_NA_complex_] = ACTIONS(1476),
    [anon_sym_NA_character_] = ACTIONS(1476),
    [sym_dots] = ACTIONS(1476),
    [sym_dot_dot_i] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1478),
    [sym__semicolon] = ACTIONS(1478),
    [sym__raw_string_literal] = ACTIONS(1478),
    [sym__external_open_parenthesis] = ACTIONS(1478),
    [sym__external_open_brace] = ACTIONS(1478),
    [sym__external_close_brace] = ACTIONS(1478),
    [sym__external_open_bracket] = ACTIONS(1478),
    [sym__external_open_bracket2] = ACTIONS(1478),
  },
  [1029] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(856),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1027),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1807),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1030] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_repeat] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_LT_LT_DASH] = ACTIONS(1494),
    [anon_sym_COLON_EQ] = ACTIONS(1494),
    [anon_sym_DASH_GT] = ACTIONS(1492),
    [anon_sym_DASH_GT_GT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [aux_sym_binary_operator_token1] = ACTIONS(1494),
    [anon_sym_PIPE_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym__hex_literal] = ACTIONS(1494),
    [sym__number_literal] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_return] = ACTIONS(1492),
    [sym_next] = ACTIONS(1492),
    [sym_break] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_inf] = ACTIONS(1492),
    [sym_nan] = ACTIONS(1492),
    [anon_sym_NA] = ACTIONS(1492),
    [anon_sym_NA_integer_] = ACTIONS(1492),
    [anon_sym_NA_real_] = ACTIONS(1492),
    [anon_sym_NA_complex_] = ACTIONS(1492),
    [anon_sym_NA_character_] = ACTIONS(1492),
    [sym_dots] = ACTIONS(1492),
    [sym_dot_dot_i] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1494),
    [sym__semicolon] = ACTIONS(1494),
    [sym__raw_string_literal] = ACTIONS(1494),
    [sym__external_open_parenthesis] = ACTIONS(1494),
    [sym__external_open_brace] = ACTIONS(1494),
    [sym__external_open_bracket] = ACTIONS(1494),
    [sym__external_open_bracket2] = ACTIONS(1494),
  },
  [1031] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1049),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1809),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1032] = {
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BSLASH] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_repeat] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_LT_DASH] = ACTIONS(1571),
    [anon_sym_LT_LT_DASH] = ACTIONS(1571),
    [anon_sym_COLON_EQ] = ACTIONS(1571),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_DASH_GT_GT] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_CARET] = ACTIONS(1571),
    [aux_sym_binary_operator_token1] = ACTIONS(1571),
    [anon_sym_PIPE_GT] = ACTIONS(1571),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(1571),
    [sym__hex_literal] = ACTIONS(1571),
    [sym__number_literal] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_return] = ACTIONS(1569),
    [sym_next] = ACTIONS(1569),
    [sym_break] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [sym_inf] = ACTIONS(1569),
    [sym_nan] = ACTIONS(1569),
    [anon_sym_NA] = ACTIONS(1569),
    [anon_sym_NA_integer_] = ACTIONS(1569),
    [anon_sym_NA_real_] = ACTIONS(1569),
    [anon_sym_NA_complex_] = ACTIONS(1569),
    [anon_sym_NA_character_] = ACTIONS(1569),
    [sym_dots] = ACTIONS(1569),
    [sym_dot_dot_i] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1571),
    [sym__newline] = ACTIONS(1571),
    [sym__raw_string_literal] = ACTIONS(1571),
    [sym__external_open_parenthesis] = ACTIONS(1571),
    [sym__external_close_parenthesis] = ACTIONS(1571),
    [sym__external_open_brace] = ACTIONS(1571),
    [sym__external_open_bracket] = ACTIONS(1571),
    [sym__external_open_bracket2] = ACTIONS(1571),
  },
  [1033] = {
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_function] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_repeat] = ACTIONS(1480),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_LT_DASH] = ACTIONS(1482),
    [anon_sym_LT_LT_DASH] = ACTIONS(1482),
    [anon_sym_COLON_EQ] = ACTIONS(1482),
    [anon_sym_DASH_GT] = ACTIONS(1480),
    [anon_sym_DASH_GT_GT] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_STAR_STAR] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [aux_sym_binary_operator_token1] = ACTIONS(1482),
    [anon_sym_PIPE_GT] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [sym__hex_literal] = ACTIONS(1482),
    [sym__number_literal] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_return] = ACTIONS(1480),
    [sym_next] = ACTIONS(1480),
    [sym_break] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [sym_inf] = ACTIONS(1480),
    [sym_nan] = ACTIONS(1480),
    [anon_sym_NA] = ACTIONS(1480),
    [anon_sym_NA_integer_] = ACTIONS(1480),
    [anon_sym_NA_real_] = ACTIONS(1480),
    [anon_sym_NA_complex_] = ACTIONS(1480),
    [anon_sym_NA_character_] = ACTIONS(1480),
    [sym_dots] = ACTIONS(1480),
    [sym_dot_dot_i] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1482),
    [sym__semicolon] = ACTIONS(1482),
    [sym__raw_string_literal] = ACTIONS(1482),
    [sym__external_open_parenthesis] = ACTIONS(1482),
    [sym__external_open_brace] = ACTIONS(1482),
    [sym__external_close_brace] = ACTIONS(1482),
    [sym__external_open_bracket] = ACTIONS(1482),
    [sym__external_open_bracket2] = ACTIONS(1482),
  },
  [1034] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(814),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1811),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1035] = {
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_repeat] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_LT_DASH] = ACTIONS(1494),
    [anon_sym_LT_LT_DASH] = ACTIONS(1494),
    [anon_sym_COLON_EQ] = ACTIONS(1494),
    [anon_sym_DASH_GT] = ACTIONS(1492),
    [anon_sym_DASH_GT_GT] = ACTIONS(1494),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_STAR_STAR] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1494),
    [aux_sym_binary_operator_token1] = ACTIONS(1494),
    [anon_sym_PIPE_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [sym__hex_literal] = ACTIONS(1494),
    [sym__number_literal] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_return] = ACTIONS(1492),
    [sym_next] = ACTIONS(1492),
    [sym_break] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_inf] = ACTIONS(1492),
    [sym_nan] = ACTIONS(1492),
    [anon_sym_NA] = ACTIONS(1492),
    [anon_sym_NA_integer_] = ACTIONS(1492),
    [anon_sym_NA_real_] = ACTIONS(1492),
    [anon_sym_NA_complex_] = ACTIONS(1492),
    [anon_sym_NA_character_] = ACTIONS(1492),
    [sym_dots] = ACTIONS(1492),
    [sym_dot_dot_i] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1494),
    [sym__newline] = ACTIONS(1494),
    [sym__raw_string_literal] = ACTIONS(1494),
    [sym__external_open_parenthesis] = ACTIONS(1494),
    [sym__external_open_brace] = ACTIONS(1494),
    [sym__external_open_bracket] = ACTIONS(1494),
    [sym__external_close_bracket] = ACTIONS(1494),
    [sym__external_open_bracket2] = ACTIONS(1494),
  },
  [1036] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(930),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1813),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1037] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_repeat] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_LT_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(1462),
    [anon_sym_DASH_GT] = ACTIONS(1460),
    [anon_sym_DASH_GT_GT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [aux_sym_binary_operator_token1] = ACTIONS(1462),
    [anon_sym_PIPE_GT] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [sym__hex_literal] = ACTIONS(1462),
    [sym__number_literal] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_return] = ACTIONS(1460),
    [sym_next] = ACTIONS(1460),
    [sym_break] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_inf] = ACTIONS(1460),
    [sym_nan] = ACTIONS(1460),
    [anon_sym_NA] = ACTIONS(1460),
    [anon_sym_NA_integer_] = ACTIONS(1460),
    [anon_sym_NA_real_] = ACTIONS(1460),
    [anon_sym_NA_complex_] = ACTIONS(1460),
    [anon_sym_NA_character_] = ACTIONS(1460),
    [sym_dots] = ACTIONS(1460),
    [sym_dot_dot_i] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1462),
    [sym__semicolon] = ACTIONS(1462),
    [sym__raw_string_literal] = ACTIONS(1462),
    [sym__external_open_parenthesis] = ACTIONS(1462),
    [sym__external_open_brace] = ACTIONS(1462),
    [sym__external_close_brace] = ACTIONS(1462),
    [sym__external_open_bracket] = ACTIONS(1462),
    [sym__external_open_bracket2] = ACTIONS(1462),
  },
  [1038] = {
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_repeat] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_LT_LT_DASH] = ACTIONS(1466),
    [anon_sym_COLON_EQ] = ACTIONS(1466),
    [anon_sym_DASH_GT] = ACTIONS(1464),
    [anon_sym_DASH_GT_GT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [aux_sym_binary_operator_token1] = ACTIONS(1466),
    [anon_sym_PIPE_GT] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym__hex_literal] = ACTIONS(1466),
    [sym__number_literal] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_return] = ACTIONS(1464),
    [sym_next] = ACTIONS(1464),
    [sym_break] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_inf] = ACTIONS(1464),
    [sym_nan] = ACTIONS(1464),
    [anon_sym_NA] = ACTIONS(1464),
    [anon_sym_NA_integer_] = ACTIONS(1464),
    [anon_sym_NA_real_] = ACTIONS(1464),
    [anon_sym_NA_complex_] = ACTIONS(1464),
    [anon_sym_NA_character_] = ACTIONS(1464),
    [sym_dots] = ACTIONS(1464),
    [sym_dot_dot_i] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1466),
    [sym__semicolon] = ACTIONS(1466),
    [sym__raw_string_literal] = ACTIONS(1466),
    [sym__external_open_parenthesis] = ACTIONS(1466),
    [sym__external_open_brace] = ACTIONS(1466),
    [sym__external_close_brace] = ACTIONS(1466),
    [sym__external_open_bracket] = ACTIONS(1466),
    [sym__external_open_bracket2] = ACTIONS(1466),
  },
  [1039] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1061),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(963),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1815),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1040] = {
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_repeat] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_LT_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(1462),
    [anon_sym_DASH_GT] = ACTIONS(1460),
    [anon_sym_DASH_GT_GT] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [aux_sym_binary_operator_token1] = ACTIONS(1462),
    [anon_sym_PIPE_GT] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [sym__hex_literal] = ACTIONS(1462),
    [sym__number_literal] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_return] = ACTIONS(1460),
    [sym_next] = ACTIONS(1460),
    [sym_break] = ACTIONS(1460),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [sym_inf] = ACTIONS(1460),
    [sym_nan] = ACTIONS(1460),
    [anon_sym_NA] = ACTIONS(1460),
    [anon_sym_NA_integer_] = ACTIONS(1460),
    [anon_sym_NA_real_] = ACTIONS(1460),
    [anon_sym_NA_complex_] = ACTIONS(1460),
    [anon_sym_NA_character_] = ACTIONS(1460),
    [sym_dots] = ACTIONS(1460),
    [sym_dot_dot_i] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1462),
    [sym__newline] = ACTIONS(1462),
    [sym__raw_string_literal] = ACTIONS(1462),
    [sym__external_open_parenthesis] = ACTIONS(1462),
    [sym__external_open_brace] = ACTIONS(1462),
    [sym__external_open_bracket] = ACTIONS(1462),
    [sym__external_open_bracket2] = ACTIONS(1462),
    [sym__external_close_bracket2] = ACTIONS(1462),
  },
  [1041] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(2096),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1817),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1042] = {
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_repeat] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_LT_DASH] = ACTIONS(1498),
    [anon_sym_LT_LT_DASH] = ACTIONS(1498),
    [anon_sym_COLON_EQ] = ACTIONS(1498),
    [anon_sym_DASH_GT] = ACTIONS(1496),
    [anon_sym_DASH_GT_GT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1498),
    [aux_sym_binary_operator_token1] = ACTIONS(1498),
    [anon_sym_PIPE_GT] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [sym__hex_literal] = ACTIONS(1498),
    [sym__number_literal] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_return] = ACTIONS(1496),
    [sym_next] = ACTIONS(1496),
    [sym_break] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_inf] = ACTIONS(1496),
    [sym_nan] = ACTIONS(1496),
    [anon_sym_NA] = ACTIONS(1496),
    [anon_sym_NA_integer_] = ACTIONS(1496),
    [anon_sym_NA_real_] = ACTIONS(1496),
    [anon_sym_NA_complex_] = ACTIONS(1496),
    [anon_sym_NA_character_] = ACTIONS(1496),
    [sym_dots] = ACTIONS(1496),
    [sym_dot_dot_i] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1498),
    [sym__newline] = ACTIONS(1498),
    [sym__raw_string_literal] = ACTIONS(1498),
    [sym__external_open_parenthesis] = ACTIONS(1498),
    [sym__external_open_brace] = ACTIONS(1498),
    [sym__external_open_bracket] = ACTIONS(1498),
    [sym__external_close_bracket] = ACTIONS(1498),
    [sym__external_open_bracket2] = ACTIONS(1498),
  },
  [1043] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(2114),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1041),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1819),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1044] = {
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_repeat] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(1478),
    [anon_sym_LT_LT_DASH] = ACTIONS(1478),
    [anon_sym_COLON_EQ] = ACTIONS(1478),
    [anon_sym_DASH_GT] = ACTIONS(1476),
    [anon_sym_DASH_GT_GT] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [aux_sym_binary_operator_token1] = ACTIONS(1478),
    [anon_sym_PIPE_GT] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [sym__hex_literal] = ACTIONS(1478),
    [sym__number_literal] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_return] = ACTIONS(1476),
    [sym_next] = ACTIONS(1476),
    [sym_break] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [sym_inf] = ACTIONS(1476),
    [sym_nan] = ACTIONS(1476),
    [anon_sym_NA] = ACTIONS(1476),
    [anon_sym_NA_integer_] = ACTIONS(1476),
    [anon_sym_NA_real_] = ACTIONS(1476),
    [anon_sym_NA_complex_] = ACTIONS(1476),
    [anon_sym_NA_character_] = ACTIONS(1476),
    [sym_dots] = ACTIONS(1476),
    [sym_dot_dot_i] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1478),
    [sym__newline] = ACTIONS(1478),
    [sym__raw_string_literal] = ACTIONS(1478),
    [sym__external_open_parenthesis] = ACTIONS(1478),
    [sym__external_open_brace] = ACTIONS(1478),
    [sym__external_open_bracket] = ACTIONS(1478),
    [sym__external_open_bracket2] = ACTIONS(1478),
    [sym__external_close_bracket2] = ACTIONS(1478),
  },
  [1045] = {
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_BSLASH] = ACTIONS(1559),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_EQ] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_repeat] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_LT_DASH] = ACTIONS(1559),
    [anon_sym_LT_LT_DASH] = ACTIONS(1559),
    [anon_sym_COLON_EQ] = ACTIONS(1559),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_DASH_GT_GT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1559),
    [aux_sym_binary_operator_token1] = ACTIONS(1559),
    [anon_sym_PIPE_GT] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_AT] = ACTIONS(1559),
    [sym__hex_literal] = ACTIONS(1559),
    [sym__number_literal] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_return] = ACTIONS(1557),
    [sym_next] = ACTIONS(1557),
    [sym_break] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_null] = ACTIONS(1557),
    [sym_inf] = ACTIONS(1557),
    [sym_nan] = ACTIONS(1557),
    [anon_sym_NA] = ACTIONS(1557),
    [anon_sym_NA_integer_] = ACTIONS(1557),
    [anon_sym_NA_real_] = ACTIONS(1557),
    [anon_sym_NA_complex_] = ACTIONS(1557),
    [anon_sym_NA_character_] = ACTIONS(1557),
    [sym_dots] = ACTIONS(1557),
    [sym_dot_dot_i] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1559),
    [sym__semicolon] = ACTIONS(1559),
    [sym__raw_string_literal] = ACTIONS(1559),
    [sym__external_open_parenthesis] = ACTIONS(1559),
    [sym__external_open_brace] = ACTIONS(1559),
    [sym__external_close_brace] = ACTIONS(1559),
    [sym__external_open_bracket] = ACTIONS(1559),
    [sym__external_open_bracket2] = ACTIONS(1559),
  },
  [1046] = {
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_BSLASH] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_repeat] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_LT_DASH] = ACTIONS(1563),
    [anon_sym_LT_LT_DASH] = ACTIONS(1563),
    [anon_sym_COLON_EQ] = ACTIONS(1563),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_DASH_GT_GT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1563),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [aux_sym_binary_operator_token1] = ACTIONS(1563),
    [anon_sym_PIPE_GT] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_AT] = ACTIONS(1563),
    [sym__hex_literal] = ACTIONS(1563),
    [sym__number_literal] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_return] = ACTIONS(1561),
    [sym_next] = ACTIONS(1561),
    [sym_break] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_null] = ACTIONS(1561),
    [sym_inf] = ACTIONS(1561),
    [sym_nan] = ACTIONS(1561),
    [anon_sym_NA] = ACTIONS(1561),
    [anon_sym_NA_integer_] = ACTIONS(1561),
    [anon_sym_NA_real_] = ACTIONS(1561),
    [anon_sym_NA_complex_] = ACTIONS(1561),
    [anon_sym_NA_character_] = ACTIONS(1561),
    [sym_dots] = ACTIONS(1561),
    [sym_dot_dot_i] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1563),
    [sym__semicolon] = ACTIONS(1563),
    [sym__raw_string_literal] = ACTIONS(1563),
    [sym__external_open_parenthesis] = ACTIONS(1563),
    [sym__external_open_brace] = ACTIONS(1563),
    [sym__external_close_brace] = ACTIONS(1563),
    [sym__external_open_bracket] = ACTIONS(1563),
    [sym__external_open_bracket2] = ACTIONS(1563),
  },
  [1047] = {
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_repeat] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_LT_LT_DASH] = ACTIONS(1466),
    [anon_sym_COLON_EQ] = ACTIONS(1466),
    [anon_sym_DASH_GT] = ACTIONS(1464),
    [anon_sym_DASH_GT_GT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [aux_sym_binary_operator_token1] = ACTIONS(1466),
    [anon_sym_PIPE_GT] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym__hex_literal] = ACTIONS(1466),
    [sym__number_literal] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_return] = ACTIONS(1464),
    [sym_next] = ACTIONS(1464),
    [sym_break] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_inf] = ACTIONS(1464),
    [sym_nan] = ACTIONS(1464),
    [anon_sym_NA] = ACTIONS(1464),
    [anon_sym_NA_integer_] = ACTIONS(1464),
    [anon_sym_NA_real_] = ACTIONS(1464),
    [anon_sym_NA_complex_] = ACTIONS(1464),
    [anon_sym_NA_character_] = ACTIONS(1464),
    [sym_dots] = ACTIONS(1464),
    [sym_dot_dot_i] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1466),
    [sym__newline] = ACTIONS(1466),
    [sym__raw_string_literal] = ACTIONS(1466),
    [sym__external_open_parenthesis] = ACTIONS(1466),
    [sym__external_open_brace] = ACTIONS(1466),
    [sym__external_open_bracket] = ACTIONS(1466),
    [sym__external_close_bracket] = ACTIONS(1466),
    [sym__external_open_bracket2] = ACTIONS(1466),
  },
  [1048] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(821),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1821),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1049] = {
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_repeat] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_LT_DASH] = ACTIONS(1466),
    [anon_sym_LT_LT_DASH] = ACTIONS(1466),
    [anon_sym_COLON_EQ] = ACTIONS(1466),
    [anon_sym_DASH_GT] = ACTIONS(1464),
    [anon_sym_DASH_GT_GT] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [aux_sym_binary_operator_token1] = ACTIONS(1466),
    [anon_sym_PIPE_GT] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [sym__hex_literal] = ACTIONS(1466),
    [sym__number_literal] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_return] = ACTIONS(1464),
    [sym_next] = ACTIONS(1464),
    [sym_break] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_inf] = ACTIONS(1464),
    [sym_nan] = ACTIONS(1464),
    [anon_sym_NA] = ACTIONS(1464),
    [anon_sym_NA_integer_] = ACTIONS(1464),
    [anon_sym_NA_real_] = ACTIONS(1464),
    [anon_sym_NA_complex_] = ACTIONS(1464),
    [anon_sym_NA_character_] = ACTIONS(1464),
    [sym_dots] = ACTIONS(1464),
    [sym_dot_dot_i] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1466),
    [sym__newline] = ACTIONS(1466),
    [sym__raw_string_literal] = ACTIONS(1466),
    [sym__external_open_parenthesis] = ACTIONS(1466),
    [sym__external_close_parenthesis] = ACTIONS(1466),
    [sym__external_open_brace] = ACTIONS(1466),
    [sym__external_open_bracket] = ACTIONS(1466),
    [sym__external_open_bracket2] = ACTIONS(1466),
  },
  [1050] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(912),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1048),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1823),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1051] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_repeat] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_LT_DASH] = ACTIONS(1498),
    [anon_sym_LT_LT_DASH] = ACTIONS(1498),
    [anon_sym_COLON_EQ] = ACTIONS(1498),
    [anon_sym_DASH_GT] = ACTIONS(1496),
    [anon_sym_DASH_GT_GT] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_STAR_STAR] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1498),
    [aux_sym_binary_operator_token1] = ACTIONS(1498),
    [anon_sym_PIPE_GT] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [sym__hex_literal] = ACTIONS(1498),
    [sym__number_literal] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_return] = ACTIONS(1496),
    [sym_next] = ACTIONS(1496),
    [sym_break] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_inf] = ACTIONS(1496),
    [sym_nan] = ACTIONS(1496),
    [anon_sym_NA] = ACTIONS(1496),
    [anon_sym_NA_integer_] = ACTIONS(1496),
    [anon_sym_NA_real_] = ACTIONS(1496),
    [anon_sym_NA_complex_] = ACTIONS(1496),
    [anon_sym_NA_character_] = ACTIONS(1496),
    [sym_dots] = ACTIONS(1496),
    [sym_dot_dot_i] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1498),
    [sym__semicolon] = ACTIONS(1498),
    [sym__raw_string_literal] = ACTIONS(1498),
    [sym__external_open_parenthesis] = ACTIONS(1498),
    [sym__external_open_brace] = ACTIONS(1498),
    [sym__external_open_bracket] = ACTIONS(1498),
    [sym__external_open_bracket2] = ACTIONS(1498),
  },
  [1052] = {
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_repeat] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_LT_DASH] = ACTIONS(1567),
    [anon_sym_LT_LT_DASH] = ACTIONS(1567),
    [anon_sym_COLON_EQ] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_DASH_GT_GT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [aux_sym_binary_operator_token1] = ACTIONS(1567),
    [anon_sym_PIPE_GT] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_AT] = ACTIONS(1567),
    [sym__hex_literal] = ACTIONS(1567),
    [sym__number_literal] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_return] = ACTIONS(1565),
    [sym_next] = ACTIONS(1565),
    [sym_break] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_null] = ACTIONS(1565),
    [sym_inf] = ACTIONS(1565),
    [sym_nan] = ACTIONS(1565),
    [anon_sym_NA] = ACTIONS(1565),
    [anon_sym_NA_integer_] = ACTIONS(1565),
    [anon_sym_NA_real_] = ACTIONS(1565),
    [anon_sym_NA_complex_] = ACTIONS(1565),
    [anon_sym_NA_character_] = ACTIONS(1565),
    [sym_dots] = ACTIONS(1565),
    [sym_dot_dot_i] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1567),
    [sym__semicolon] = ACTIONS(1567),
    [sym__raw_string_literal] = ACTIONS(1567),
    [sym__external_open_parenthesis] = ACTIONS(1567),
    [sym__external_open_brace] = ACTIONS(1567),
    [sym__external_close_brace] = ACTIONS(1567),
    [sym__external_open_bracket] = ACTIONS(1567),
    [sym__external_open_bracket2] = ACTIONS(1567),
  },
  [1053] = {
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_BSLASH] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_repeat] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_LT_DASH] = ACTIONS(1571),
    [anon_sym_LT_LT_DASH] = ACTIONS(1571),
    [anon_sym_COLON_EQ] = ACTIONS(1571),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_DASH_GT_GT] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1571),
    [anon_sym_STAR_STAR] = ACTIONS(1571),
    [anon_sym_CARET] = ACTIONS(1571),
    [aux_sym_binary_operator_token1] = ACTIONS(1571),
    [anon_sym_PIPE_GT] = ACTIONS(1571),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_AT] = ACTIONS(1571),
    [sym__hex_literal] = ACTIONS(1571),
    [sym__number_literal] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_return] = ACTIONS(1569),
    [sym_next] = ACTIONS(1569),
    [sym_break] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_null] = ACTIONS(1569),
    [sym_inf] = ACTIONS(1569),
    [sym_nan] = ACTIONS(1569),
    [anon_sym_NA] = ACTIONS(1569),
    [anon_sym_NA_integer_] = ACTIONS(1569),
    [anon_sym_NA_real_] = ACTIONS(1569),
    [anon_sym_NA_complex_] = ACTIONS(1569),
    [anon_sym_NA_character_] = ACTIONS(1569),
    [sym_dots] = ACTIONS(1569),
    [sym_dot_dot_i] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1571),
    [sym__semicolon] = ACTIONS(1571),
    [sym__raw_string_literal] = ACTIONS(1571),
    [sym__external_open_parenthesis] = ACTIONS(1571),
    [sym__external_open_brace] = ACTIONS(1571),
    [sym__external_close_brace] = ACTIONS(1571),
    [sym__external_open_bracket] = ACTIONS(1571),
    [sym__external_open_bracket2] = ACTIONS(1571),
  },
  [1054] = {
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_repeat] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_LT_LT_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_DASH_GT] = ACTIONS(1458),
    [anon_sym_DASH_GT_GT] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [aux_sym_binary_operator_token1] = ACTIONS(1456),
    [anon_sym_PIPE_GT] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [sym__hex_literal] = ACTIONS(1456),
    [sym__number_literal] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_return] = ACTIONS(1458),
    [sym_next] = ACTIONS(1458),
    [sym_break] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [sym_inf] = ACTIONS(1458),
    [sym_nan] = ACTIONS(1458),
    [anon_sym_NA] = ACTIONS(1458),
    [anon_sym_NA_integer_] = ACTIONS(1458),
    [anon_sym_NA_real_] = ACTIONS(1458),
    [anon_sym_NA_complex_] = ACTIONS(1458),
    [anon_sym_NA_character_] = ACTIONS(1458),
    [sym_dots] = ACTIONS(1458),
    [sym_dot_dot_i] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1456),
    [sym__newline] = ACTIONS(1456),
    [sym__raw_string_literal] = ACTIONS(1456),
    [sym__external_open_parenthesis] = ACTIONS(1456),
    [sym__external_open_brace] = ACTIONS(1456),
    [sym__external_open_bracket] = ACTIONS(1456),
    [sym__external_open_bracket2] = ACTIONS(1456),
    [sym__external_close_bracket2] = ACTIONS(1456),
  },
  [1055] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(864),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1825),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1056] = {
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_repeat] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_LT_LT_DASH] = ACTIONS(1470),
    [anon_sym_COLON_EQ] = ACTIONS(1470),
    [anon_sym_DASH_GT] = ACTIONS(1468),
    [anon_sym_DASH_GT_GT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [aux_sym_binary_operator_token1] = ACTIONS(1470),
    [anon_sym_PIPE_GT] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym__hex_literal] = ACTIONS(1470),
    [sym__number_literal] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_return] = ACTIONS(1468),
    [sym_next] = ACTIONS(1468),
    [sym_break] = ACTIONS(1468),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_inf] = ACTIONS(1468),
    [sym_nan] = ACTIONS(1468),
    [anon_sym_NA] = ACTIONS(1468),
    [anon_sym_NA_integer_] = ACTIONS(1468),
    [anon_sym_NA_real_] = ACTIONS(1468),
    [anon_sym_NA_complex_] = ACTIONS(1468),
    [anon_sym_NA_character_] = ACTIONS(1468),
    [sym_dots] = ACTIONS(1468),
    [sym_dot_dot_i] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1470),
    [sym__semicolon] = ACTIONS(1470),
    [sym__raw_string_literal] = ACTIONS(1470),
    [sym__external_open_parenthesis] = ACTIONS(1470),
    [sym__external_open_brace] = ACTIONS(1470),
    [sym__external_close_brace] = ACTIONS(1470),
    [sym__external_open_bracket] = ACTIONS(1470),
    [sym__external_open_bracket2] = ACTIONS(1470),
  },
  [1057] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(853),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1055),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1827),
    [sym__external_open_brace] = ACTIONS(755),
  },
  [1058] = {
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_repeat] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_DASH] = ACTIONS(1456),
    [anon_sym_LT_LT_DASH] = ACTIONS(1456),
    [anon_sym_COLON_EQ] = ACTIONS(1456),
    [anon_sym_DASH_GT] = ACTIONS(1458),
    [anon_sym_DASH_GT_GT] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_CARET] = ACTIONS(1456),
    [aux_sym_binary_operator_token1] = ACTIONS(1456),
    [anon_sym_PIPE_GT] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [sym__hex_literal] = ACTIONS(1456),
    [sym__number_literal] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_return] = ACTIONS(1458),
    [sym_next] = ACTIONS(1458),
    [sym_break] = ACTIONS(1458),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [sym_inf] = ACTIONS(1458),
    [sym_nan] = ACTIONS(1458),
    [anon_sym_NA] = ACTIONS(1458),
    [anon_sym_NA_integer_] = ACTIONS(1458),
    [anon_sym_NA_real_] = ACTIONS(1458),
    [anon_sym_NA_complex_] = ACTIONS(1458),
    [anon_sym_NA_character_] = ACTIONS(1458),
    [sym_dots] = ACTIONS(1458),
    [sym_dot_dot_i] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1456),
    [sym__semicolon] = ACTIONS(1456),
    [sym__raw_string_literal] = ACTIONS(1456),
    [sym__external_open_parenthesis] = ACTIONS(1456),
    [sym__external_open_brace] = ACTIONS(1456),
    [sym__external_open_bracket] = ACTIONS(1456),
    [sym__external_open_bracket2] = ACTIONS(1456),
  },
  [1059] = {
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_repeat] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_LT_DASH] = ACTIONS(1470),
    [anon_sym_LT_LT_DASH] = ACTIONS(1470),
    [anon_sym_COLON_EQ] = ACTIONS(1470),
    [anon_sym_DASH_GT] = ACTIONS(1468),
    [anon_sym_DASH_GT_GT] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1468),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [aux_sym_binary_operator_token1] = ACTIONS(1470),
    [anon_sym_PIPE_GT] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [sym__hex_literal] = ACTIONS(1470),
    [sym__number_literal] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_return] = ACTIONS(1468),
    [sym_next] = ACTIONS(1468),
    [sym_break] = ACTIONS(1468),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [sym_inf] = ACTIONS(1468),
    [sym_nan] = ACTIONS(1468),
    [anon_sym_NA] = ACTIONS(1468),
    [anon_sym_NA_integer_] = ACTIONS(1468),
    [anon_sym_NA_real_] = ACTIONS(1468),
    [anon_sym_NA_complex_] = ACTIONS(1468),
    [anon_sym_NA_character_] = ACTIONS(1468),
    [sym_dots] = ACTIONS(1468),
    [sym_dot_dot_i] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1470),
    [sym__newline] = ACTIONS(1470),
    [sym__raw_string_literal] = ACTIONS(1470),
    [sym__external_open_parenthesis] = ACTIONS(1470),
    [sym__external_open_brace] = ACTIONS(1470),
    [sym__external_open_bracket] = ACTIONS(1470),
    [sym__external_close_bracket] = ACTIONS(1470),
    [sym__external_open_bracket2] = ACTIONS(1470),
  },
  [1060] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_repeat] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_DASH] = ACTIONS(1486),
    [anon_sym_LT_LT_DASH] = ACTIONS(1486),
    [anon_sym_COLON_EQ] = ACTIONS(1486),
    [anon_sym_DASH_GT] = ACTIONS(1484),
    [anon_sym_DASH_GT_GT] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1486),
    [aux_sym_binary_operator_token1] = ACTIONS(1486),
    [anon_sym_PIPE_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [sym__hex_literal] = ACTIONS(1486),
    [sym__number_literal] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_return] = ACTIONS(1484),
    [sym_next] = ACTIONS(1484),
    [sym_break] = ACTIONS(1484),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [sym_inf] = ACTIONS(1484),
    [sym_nan] = ACTIONS(1484),
    [anon_sym_NA] = ACTIONS(1484),
    [anon_sym_NA_integer_] = ACTIONS(1484),
    [anon_sym_NA_real_] = ACTIONS(1484),
    [anon_sym_NA_complex_] = ACTIONS(1484),
    [anon_sym_NA_character_] = ACTIONS(1484),
    [sym_dots] = ACTIONS(1484),
    [sym_dot_dot_i] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1486),
    [sym__semicolon] = ACTIONS(1486),
    [sym__raw_string_literal] = ACTIONS(1486),
    [sym__external_open_parenthesis] = ACTIONS(1486),
    [sym__external_open_brace] = ACTIONS(1486),
    [sym__external_open_bracket] = ACTIONS(1486),
    [sym__external_open_bracket2] = ACTIONS(1486),
  },
  [1061] = {
    [ts_builtin_sym_end] = ACTIONS(1567),
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_repeat] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_LT_DASH] = ACTIONS(1567),
    [anon_sym_LT_LT_DASH] = ACTIONS(1567),
    [anon_sym_COLON_EQ] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_DASH_GT_GT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1567),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1567),
    [aux_sym_binary_operator_token1] = ACTIONS(1567),
    [anon_sym_PIPE_GT] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_AT] = ACTIONS(1567),
    [sym__hex_literal] = ACTIONS(1567),
    [sym__number_literal] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_return] = ACTIONS(1565),
    [sym_next] = ACTIONS(1565),
    [sym_break] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_null] = ACTIONS(1565),
    [sym_inf] = ACTIONS(1565),
    [sym_nan] = ACTIONS(1565),
    [anon_sym_NA] = ACTIONS(1565),
    [anon_sym_NA_integer_] = ACTIONS(1565),
    [anon_sym_NA_real_] = ACTIONS(1565),
    [anon_sym_NA_complex_] = ACTIONS(1565),
    [anon_sym_NA_character_] = ACTIONS(1565),
    [sym_dots] = ACTIONS(1565),
    [sym_dot_dot_i] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1567),
    [sym__semicolon] = ACTIONS(1567),
    [sym__raw_string_literal] = ACTIONS(1567),
    [sym__external_open_parenthesis] = ACTIONS(1567),
    [sym__external_open_brace] = ACTIONS(1567),
    [sym__external_open_bracket] = ACTIONS(1567),
    [sym__external_open_bracket2] = ACTIONS(1567),
  },
  [1062] = {
    [sym_function_definition] = STATE(702),
    [sym_if_statement] = STATE(702),
    [sym_for_statement] = STATE(702),
    [sym_while_statement] = STATE(702),
    [sym_repeat_statement] = STATE(702),
    [sym_braced_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_call] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_extract_operator] = STATE(702),
    [sym_namespace_operator] = STATE(702),
    [sym_integer] = STATE(702),
    [sym_complex] = STATE(702),
    [sym_float] = STATE(702),
    [sym__float_literal] = STATE(792),
    [sym_string] = STATE(791),
    [sym__single_quoted_string] = STATE(793),
    [sym__double_quoted_string] = STATE(794),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__string_or_identifier] = STATE(2300),
    [sym__open_parenthesis] = STATE(968),
    [sym__close_parenthesis] = STATE(1047),
    [sym__open_brace] = STATE(884),
    [aux_sym_parenthesized_expression_repeat1] = STATE(1063),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_repeat] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [sym__hex_literal] = ACTIONS(729),
    [sym__number_literal] = ACTIONS(731),
    [anon_sym_SQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [sym_return] = ACTIONS(1637),
    [sym_next] = ACTIONS(1637),
    [sym_break] = ACTIONS(1637),
    [sym_true] = ACTIONS(1637),
    [sym_false] = ACTIONS(1637),
    [sym_null] = ACTIONS(1637),
    [sym_inf] = ACTIONS(1637),
    [sym_nan] = ACTIONS(1637),
    [anon_sym_NA] = ACTIONS(739),
    [anon_sym_NA_integer_] = ACTIONS(739),
    [anon_sym_NA_real_] = ACTIONS(739),
    [anon_sym_NA_complex_] = ACTIONS(739),
    [anon_sym_NA_character_] = ACTIONS(739),
    [sym_dots] = ACTIONS(1637),
    [sym_dot_dot_i] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1641),
    [sym__raw_string_literal] = ACTIONS(749),
    [sym__external_open_parenthesis] = ACTIONS(751),
    [sym__external_close_parenthesis] = ACTIONS(1829),
    [sym__external_open_brace] = ACTIONS(755),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      sym_identifier,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(1837), 1,
      anon_sym_function,
    ACTIONS(1840), 1,
      anon_sym_if,
    ACTIONS(1843), 1,
      anon_sym_for,
    ACTIONS(1846), 1,
      anon_sym_while,
    ACTIONS(1849), 1,
      anon_sym_repeat,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1855), 1,
      anon_sym_TILDE,
    ACTIONS(1858), 1,
      anon_sym_BANG,
    ACTIONS(1864), 1,
      sym__hex_literal,
    ACTIONS(1867), 1,
      sym__number_literal,
    ACTIONS(1870), 1,
      anon_sym_SQUOTE,
    ACTIONS(1873), 1,
      anon_sym_DQUOTE,
    ACTIONS(1882), 1,
      sym_dot_dot_i,
    ACTIONS(1885), 1,
      sym__newline,
    ACTIONS(1888), 1,
      sym__raw_string_literal,
    ACTIONS(1891), 1,
      sym__external_open_parenthesis,
    ACTIONS(1894), 1,
      sym__external_close_parenthesis,
    ACTIONS(1896), 1,
      sym__external_open_brace,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1063), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(1861), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1879), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1876), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(702), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [131] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1929), 1,
      sym_dot_dot_i,
    ACTIONS(1931), 1,
      sym__newline,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1267), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1925), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(149), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [259] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1939), 1,
      sym_dot_dot_i,
    ACTIONS(1941), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1937), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(543), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [387] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1945), 1,
      sym_dot_dot_i,
    ACTIONS(1947), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1298), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1943), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(445), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [515] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1951), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1949), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(636), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [643] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1955), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1953), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(544), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [771] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1959), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1957), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(637), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [899] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1963), 1,
      sym_dot_dot_i,
    ACTIONS(1965), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1961), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(638), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1027] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1969), 1,
      sym_dot_dot_i,
    ACTIONS(1971), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1088), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1967), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(639), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1155] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2003), 1,
      sym_dot_dot_i,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1999), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(47), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1283] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2011), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2009), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(48), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1411] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2015), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2013), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(545), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1539] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2019), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2017), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(49), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1667] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2023), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2021), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(641), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1795] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2027), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2025), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(50), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1923] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(2031), 1,
      sym_dot_dot_i,
    ACTIONS(2033), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1094), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2029), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(642), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2051] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2037), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2035), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(51), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2179] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2041), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2039), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(52), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2307] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2045), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2043), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(546), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2435] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2049), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2047), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(53), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2563] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2053), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2051), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(54), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2691] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2057), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2055), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(643), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2819] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2061), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2059), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(55), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2947] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2065), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2063), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(547), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3075] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2069), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2067), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(56), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3203] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2073), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2071), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(644), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3331] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2077), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2075), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(57), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3459] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(2081), 1,
      sym_dot_dot_i,
    ACTIONS(2083), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1097), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2079), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(645), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3587] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2087), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2085), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(58), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3715] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2091), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2089), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(59), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3843] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2095), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2093), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(548), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3971] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2099), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2097), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(646), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4099] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2135), 1,
      sym_dot_dot_i,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2137), 2,
      sym__external_close_parenthesis,
      sym_comma,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2131), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2050), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2147), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2145), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(549), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2151), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2149), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(647), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2155), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2153), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(550), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2159), 1,
      sym_dot_dot_i,
    ACTIONS(2161), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1107), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2157), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1952), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2165), 1,
      sym_dot_dot_i,
    ACTIONS(2167), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1108), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2163), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1982), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2171), 1,
      sym_dot_dot_i,
    ACTIONS(2173), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1109), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2169), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1988), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2177), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2175), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(60), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2181), 1,
      sym_dot_dot_i,
    ACTIONS(2183), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1112), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2179), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(61), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2187), 1,
      sym_dot_dot_i,
    ACTIONS(2189), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1110), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2185), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2019), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2193), 1,
      sym_dot_dot_i,
    ACTIONS(2195), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1111), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2191), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2033), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2199), 1,
      sym_dot_dot_i,
    ACTIONS(2201), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1151), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2197), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2040), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2205), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2203), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1929), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2209), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2207), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1931), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2213), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2211), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1991), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2217), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2215), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1971), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2221), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2219), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1972), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2225), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2223), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(62), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2229), 1,
      sym_dot_dot_i,
    ACTIONS(2231), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1116), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2227), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(63), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2235), 1,
      sym_dot_dot_i,
    ACTIONS(2237), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1117), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2233), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(64), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2241), 1,
      sym_dot_dot_i,
    ACTIONS(2243), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1121), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2239), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(65), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2247), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2245), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(66), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2251), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2249), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(67), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2255), 1,
      sym_dot_dot_i,
    ACTIONS(2257), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1126), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2253), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(68), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2261), 1,
      sym_dot_dot_i,
    ACTIONS(2263), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1128), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2259), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(69), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2267), 1,
      sym_dot_dot_i,
    ACTIONS(2269), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1166), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2265), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1989), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2273), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2271), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(70), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2277), 1,
      sym_dot_dot_i,
    ACTIONS(2279), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1132), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2275), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(71), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2283), 1,
      sym_dot_dot_i,
    ACTIONS(2285), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1167), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2281), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1997), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2289), 1,
      sym_dot_dot_i,
    ACTIONS(2291), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1170), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2287), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2006), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2295), 1,
      sym_dot_dot_i,
    ACTIONS(2297), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1171), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2293), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2008), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2301), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2299), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(72), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2305), 1,
      sym_dot_dot_i,
    ACTIONS(2307), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1172), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2303), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2014), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2311), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2309), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(73), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2315), 1,
      sym_dot_dot_i,
    ACTIONS(2317), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1136), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2313), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(74), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2321), 1,
      sym_dot_dot_i,
    ACTIONS(2323), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1173), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2319), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2018), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(2327), 1,
      sym_dot_dot_i,
    ACTIONS(2329), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1076), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2325), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(632), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2333), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2331), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(75), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2337), 1,
      sym_dot_dot_i,
    ACTIONS(2339), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1178), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2335), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2038), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2343), 1,
      sym_dot_dot_i,
    ACTIONS(2345), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1181), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2341), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2044), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2349), 1,
      sym_dot_dot_i,
    ACTIONS(2351), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1184), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2347), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1923), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(2355), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2353), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(76), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2359), 1,
      sym_dot_dot_i,
    ACTIONS(2361), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1187), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2357), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1932), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2365), 1,
      sym_dot_dot_i,
    ACTIONS(2367), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1190), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2363), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1939), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2371), 1,
      sym_dot_dot_i,
    ACTIONS(2373), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1193), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2369), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1951), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2405), 1,
      sym_dot_dot_i,
    ACTIONS(2407), 1,
      sym__newline,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1146), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2401), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(77), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2415), 1,
      sym_dot_dot_i,
    ACTIONS(2417), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1147), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2413), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(78), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2421), 1,
      sym_dot_dot_i,
    ACTIONS(2423), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1149), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2419), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(79), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2427), 1,
      sym_dot_dot_i,
    ACTIONS(2429), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1150), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2425), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(80), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2433), 1,
      sym_dot_dot_i,
    ACTIONS(2435), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1152), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2431), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(81), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2439), 1,
      sym_dot_dot_i,
    ACTIONS(2441), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1168), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2437), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(82), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2445), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2443), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(83), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2449), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2447), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(84), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2453), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2451), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(551), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2457), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2455), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(85), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2461), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2459), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(86), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2465), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2463), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1980), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2469), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2467), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(87), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2473), 1,
      sym_dot_dot_i,
    ACTIONS(2475), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1197), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2471), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1986), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2479), 1,
      sym_dot_dot_i,
    ACTIONS(2481), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1174), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2477), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(88), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2485), 1,
      sym_dot_dot_i,
    ACTIONS(2487), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1177), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2483), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(90), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2491), 1,
      sym_dot_dot_i,
    ACTIONS(2493), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1179), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2489), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(91), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2497), 1,
      sym_dot_dot_i,
    ACTIONS(2499), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1180), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2495), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(92), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2503), 1,
      sym_dot_dot_i,
    ACTIONS(2505), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1182), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2501), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(93), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2509), 1,
      sym_dot_dot_i,
    ACTIONS(2511), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1183), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2507), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(94), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2515), 1,
      sym_dot_dot_i,
    ACTIONS(2517), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1185), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2513), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(95), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2521), 1,
      sym_dot_dot_i,
    ACTIONS(2523), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1186), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2519), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(96), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2527), 1,
      sym_dot_dot_i,
    ACTIONS(2529), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1188), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2525), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(97), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2533), 1,
      sym_dot_dot_i,
    ACTIONS(2535), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1189), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2531), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(98), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2539), 1,
      sym_dot_dot_i,
    ACTIONS(2541), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1191), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2537), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(99), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2545), 1,
      sym_dot_dot_i,
    ACTIONS(2547), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1192), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2543), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(100), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2551), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2549), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2016), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2555), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2553), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2023), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2559), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2557), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(101), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2563), 1,
      sym_dot_dot_i,
    ACTIONS(2565), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1195), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2561), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(102), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2569), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2567), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2047), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2573), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2571), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1925), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2577), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2575), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1926), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2581), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2579), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1953), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2585), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2583), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(103), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2589), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2587), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1979), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2593), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2591), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(104), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2597), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2595), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(105), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2601), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2599), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2051), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2605), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2603), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(106), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2609), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2607), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(107), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2613), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2611), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2011), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2617), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2615), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(108), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2621), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2619), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(109), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2625), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2623), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2046), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2629), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2627), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(110), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2633), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2631), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(111), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2637), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2635), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1924), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2641), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2639), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(112), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2645), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2643), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(113), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2649), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2647), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1938), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2653), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2651), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(114), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2657), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2655), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(115), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2661), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2659), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1946), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2665), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2663), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(552), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2669), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2667), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(116), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2673), 1,
      sym_dot_dot_i,
    ACTIONS(2675), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1199), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2671), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(117), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2679), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2677), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1987), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2683), 1,
      sym_dot_dot_i,
    ACTIONS(2685), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1209), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2681), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2003), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2689), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2687), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(118), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2693), 1,
      sym_dot_dot_i,
    ACTIONS(2695), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1203), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2691), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(119), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2699), 1,
      sym_dot_dot_i,
    ACTIONS(2701), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1204), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2697), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(120), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2705), 1,
      sym_dot_dot_i,
    ACTIONS(2707), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1207), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2703), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(121), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2711), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2709), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(122), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2715), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2713), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(123), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2719), 1,
      sym_dot_dot_i,
    ACTIONS(2721), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1212), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2717), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(124), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2725), 1,
      sym_dot_dot_i,
    ACTIONS(2727), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1213), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2723), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(125), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2731), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2729), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(126), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2735), 1,
      sym_dot_dot_i,
    ACTIONS(2737), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1216), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2733), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(127), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2741), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2739), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2021), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2745), 1,
      sym_dot_dot_i,
    ACTIONS(2747), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1217), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2743), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2026), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2751), 1,
      sym_dot_dot_i,
    ACTIONS(2753), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1219), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2749), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2030), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2757), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2755), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(128), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2761), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2759), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(129), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2765), 1,
      sym_dot_dot_i,
    ACTIONS(2767), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1218), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2763), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(130), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2771), 1,
      sym_dot_dot_i,
    ACTIONS(2773), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1227), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2769), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2049), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2777), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2775), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(131), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2781), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2779), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1927), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(2785), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2783), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(132), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2789), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2787), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1928), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2793), 1,
      sym_dot_dot_i,
    ACTIONS(2795), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1233), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2791), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1930), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2799), 1,
      sym_dot_dot_i,
    ACTIONS(2801), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1230), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2797), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(133), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2805), 1,
      sym_dot_dot_i,
    ACTIONS(2807), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1231), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2803), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(134), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2811), 1,
      sym_dot_dot_i,
    ACTIONS(2813), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1232), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2809), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(135), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2817), 1,
      sym_dot_dot_i,
    ACTIONS(2819), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1234), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2815), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(136), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2823), 1,
      sym_dot_dot_i,
    ACTIONS(2825), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1235), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2821), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(137), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2829), 1,
      sym_dot_dot_i,
    ACTIONS(2831), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1236), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2827), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1933), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2835), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2833), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1941), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2839), 1,
      sym_dot_dot_i,
    ACTIONS(2841), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1241), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2837), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1943), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2845), 1,
      sym_dot_dot_i,
    ACTIONS(2847), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1254), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2843), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(139), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2851), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2849), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(140), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2855), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2853), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(141), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2859), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2857), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(142), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2863), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2861), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1958), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2867), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2865), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(143), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2871), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2869), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(144), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2875), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2873), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1959), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2879), 1,
      sym_dot_dot_i,
    ACTIONS(2881), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1250), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2877), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1965), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2885), 1,
      sym_dot_dot_i,
    ACTIONS(2887), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1261), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2883), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(145), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2891), 1,
      sym_dot_dot_i,
    ACTIONS(2893), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1264), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2889), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(147), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2897), 1,
      sym_dot_dot_i,
    ACTIONS(2899), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1265), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2895), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(148), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2903), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2901), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1967), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2907), 1,
      sym_dot_dot_i,
    ACTIONS(2909), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1268), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2905), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(150), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2913), 1,
      sym_dot_dot_i,
    ACTIONS(2915), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1270), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2911), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(151), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2919), 1,
      sym_dot_dot_i,
    ACTIONS(2921), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1271), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2917), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(152), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2925), 1,
      sym_dot_dot_i,
    ACTIONS(2927), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1273), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2923), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(153), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2931), 1,
      sym_dot_dot_i,
    ACTIONS(2933), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1274), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2929), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(154), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2937), 1,
      sym_dot_dot_i,
    ACTIONS(2939), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1276), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2935), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(155), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2943), 1,
      sym_dot_dot_i,
    ACTIONS(2945), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1278), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2941), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(156), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2949), 1,
      sym_dot_dot_i,
    ACTIONS(2951), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1279), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2947), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(157), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(2955), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2953), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1974), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2959), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2957), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(486), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(2963), 1,
      sym_dot_dot_i,
    ACTIONS(2965), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1263), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2961), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(323), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(2969), 1,
      sym_dot_dot_i,
    ACTIONS(2971), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1266), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2967), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(324), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2975), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2973), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(158), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(2979), 1,
      sym_dot_dot_i,
    ACTIONS(2981), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1290), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2977), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(159), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(2985), 1,
      sym_dot_dot_i,
    ACTIONS(2987), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1269), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2983), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(325), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(2991), 1,
      sym_dot_dot_i,
    ACTIONS(2993), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1272), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2989), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(326), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(2997), 1,
      sym_dot_dot_i,
    ACTIONS(2999), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1275), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2995), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(327), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(3003), 1,
      sym_dot_dot_i,
    ACTIONS(3005), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1380), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3001), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(18), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3009), 1,
      sym_dot_dot_i,
    ACTIONS(3011), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1299), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3007), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(328), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3015), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3013), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(160), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3019), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3017), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(161), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3023), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3021), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(329), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3027), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3025), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(162), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3031), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3029), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(163), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3035), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3033), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(330), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3039), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3037), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(164), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3043), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3041), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(165), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3047), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3045), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(331), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3051), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3049), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(166), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3055), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3053), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(167), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3059), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3057), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(332), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3063), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3061), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(168), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3067), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3065), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(169), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3071), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3069), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(333), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3075), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3073), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(170), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(3079), 1,
      sym_dot_dot_i,
    ACTIONS(3081), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1401), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3077), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(487), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3085), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3083), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(171), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3089), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3087), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(172), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3093), 1,
      sym_dot_dot_i,
    ACTIONS(3095), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1312), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3091), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(334), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3099), 1,
      sym_dot_dot_i,
    ACTIONS(3101), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1313), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3097), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(335), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      sym_dot_dot_i,
    ACTIONS(3107), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1317), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3103), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(336), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      sym_dot_dot_i,
    ACTIONS(3113), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1319), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3109), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(337), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3117), 1,
      sym_dot_dot_i,
    ACTIONS(3119), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1320), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3115), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(338), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3123), 1,
      sym_dot_dot_i,
    ACTIONS(3125), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1322), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3121), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(339), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3129), 1,
      sym_dot_dot_i,
    ACTIONS(3131), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1348), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3127), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(340), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3135), 1,
      sym_dot_dot_i,
    ACTIONS(3137), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1362), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3133), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(341), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3141), 1,
      sym_dot_dot_i,
    ACTIONS(3143), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1386), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3139), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(342), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3147), 1,
      sym_dot_dot_i,
    ACTIONS(3149), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1388), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3145), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(343), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3153), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3151), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(173), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(3157), 1,
      sym_dot_dot_i,
    ACTIONS(3159), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1301), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3155), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(174), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3163), 1,
      sym_dot_dot_i,
    ACTIONS(3165), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1389), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3161), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(344), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3169), 1,
      sym_dot_dot_i,
    ACTIONS(3171), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1392), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3167), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(345), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3175), 1,
      sym_dot_dot_i,
    ACTIONS(3177), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1395), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3173), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(346), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3181), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3179), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(446), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3185), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3183), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(555), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(3189), 1,
      sym_dot_dot_i,
    ACTIONS(3191), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1397), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3187), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(557), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3195), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3193), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(322), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3199), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3197), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(349), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3203), 1,
      sym_dot_dot_i,
    ACTIONS(3205), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1419), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3201), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(350), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3209), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3207), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(175), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(3213), 1,
      sym_dot_dot_i,
    ACTIONS(3215), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1306), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3211), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(176), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(3219), 1,
      sym_dot_dot_i,
    ACTIONS(3221), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1307), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3217), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(177), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(3225), 1,
      sym_dot_dot_i,
    ACTIONS(3227), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1310), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3223), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(178), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(3231), 1,
      sym_dot_dot_i,
    ACTIONS(3233), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1251), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3229), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(471), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3237), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3235), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(179), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3241), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3239), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(180), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(3245), 1,
      sym_dot_dot_i,
    ACTIONS(3247), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1314), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3243), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(181), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(3251), 1,
      sym_dot_dot_i,
    ACTIONS(3253), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1315), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3249), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(182), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3257), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3255), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(183), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(3261), 1,
      sym_dot_dot_i,
    ACTIONS(3263), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1318), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3259), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(184), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3267), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3265), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(351), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3271), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3269), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(352), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3275), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3273), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(185), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3279), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3277), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(186), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(3283), 1,
      sym_dot_dot_i,
    ACTIONS(3285), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1321), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3281), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(187), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3289), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3287), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(353), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3293), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3291), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(188), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3297), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3295), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(354), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3301), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3299), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(355), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3305), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3303), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(189), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3309), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3307), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(356), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3345), 1,
      sym_dot_dot_i,
    ACTIONS(3347), 1,
      sym__newline,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1329), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3341), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1896), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3357), 1,
      sym_dot_dot_i,
    ACTIONS(3359), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1330), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3355), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1897), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3363), 1,
      sym_dot_dot_i,
    ACTIONS(3365), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1331), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3361), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1898), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3369), 1,
      sym_dot_dot_i,
    ACTIONS(3371), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1332), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3367), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1899), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3375), 1,
      sym_dot_dot_i,
    ACTIONS(3377), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1333), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3373), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1900), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3381), 1,
      sym_dot_dot_i,
    ACTIONS(3383), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1346), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3379), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1904), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3387), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3385), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1905), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3391), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3389), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1906), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3395), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3393), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1907), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3399), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3397), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1908), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3403), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3401), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1909), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3407), 1,
      sym_dot_dot_i,
    ACTIONS(3409), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1349), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3405), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1910), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3413), 1,
      sym_dot_dot_i,
    ACTIONS(3415), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1351), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3411), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1912), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3419), 1,
      sym_dot_dot_i,
    ACTIONS(3421), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1352), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3417), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1913), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3425), 1,
      sym_dot_dot_i,
    ACTIONS(3427), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1353), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3423), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1914), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3431), 1,
      sym_dot_dot_i,
    ACTIONS(3433), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1354), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3429), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1915), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3437), 1,
      sym_dot_dot_i,
    ACTIONS(3439), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1355), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3435), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1916), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3443), 1,
      sym_dot_dot_i,
    ACTIONS(3445), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1356), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3441), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1917), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3449), 1,
      sym_dot_dot_i,
    ACTIONS(3451), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1357), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3447), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1918), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3455), 1,
      sym_dot_dot_i,
    ACTIONS(3457), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1358), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3453), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1919), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3461), 1,
      sym_dot_dot_i,
    ACTIONS(3463), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1359), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3459), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1920), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3467), 1,
      sym_dot_dot_i,
    ACTIONS(3469), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1360), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3465), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1893), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3473), 1,
      sym_dot_dot_i,
    ACTIONS(3475), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1361), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3471), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1882), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3479), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3477), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1880), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3483), 1,
      sym_dot_dot_i,
    ACTIONS(3485), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1363), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3481), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1883), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3489), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3487), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(357), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3493), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3491), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1911), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3497), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3495), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1872), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3501), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3499), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1881), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3505), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3503), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1886), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3509), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3507), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1888), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3513), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3511), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1889), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3517), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3515), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1890), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3521), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3519), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1884), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3525), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3523), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1885), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3529), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3527), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1887), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3533), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3531), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1891), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3537), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3535), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1921), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3541), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3539), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1894), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3545), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3543), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(358), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3549), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3547), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1895), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3553), 1,
      sym_dot_dot_i,
    ACTIONS(3555), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1365), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3551), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1901), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3559), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3557), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1902), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3563), 1,
      sym_dot_dot_i,
    ACTIONS(3565), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1369), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3561), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1903), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3569), 1,
      sym_dot_dot_i,
    ACTIONS(3571), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1370), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3567), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1866), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3575), 1,
      sym_dot_dot_i,
    ACTIONS(3577), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1373), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3573), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1867), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3581), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3579), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1868), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3585), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3583), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1869), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3589), 1,
      sym_dot_dot_i,
    ACTIONS(3591), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1375), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3587), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1870), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3595), 1,
      sym_dot_dot_i,
    ACTIONS(3597), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1376), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3593), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1871), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3601), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3599), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1873), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3605), 1,
      sym_dot_dot_i,
    ACTIONS(3607), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1378), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3603), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1874), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3611), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3609), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1875), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3615), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3613), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1876), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3619), 1,
      sym_dot_dot_i,
    ACTIONS(3621), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1379), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3617), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1877), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3625), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3623), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1878), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(3629), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3627), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1879), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(3633), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3631), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(20), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3665), 1,
      sym_dot_dot_i,
    ACTIONS(3667), 1,
      sym__newline,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1391), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3661), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(190), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3675), 1,
      sym_dot_dot_i,
    ACTIONS(3677), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1393), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3673), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(191), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3681), 1,
      sym_dot_dot_i,
    ACTIONS(3683), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1394), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3679), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(192), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3687), 1,
      sym_dot_dot_i,
    ACTIONS(3689), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1396), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3685), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(193), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3693), 1,
      sym_dot_dot_i,
    ACTIONS(3695), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1398), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3691), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(321), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3699), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3697), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(359), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(3703), 1,
      sym_dot_dot_i,
    ACTIONS(3705), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1426), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3701), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(34), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3709), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3707), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(360), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3713), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3711), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(361), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3717), 1,
      sym_dot_dot_i,
    ACTIONS(3719), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1421), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3715), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(195), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3723), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3721), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(196), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3727), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3725), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(362), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3731), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3729), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(197), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3735), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3733), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(198), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3739), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3737), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(363), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3743), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3741), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(199), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3747), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3745), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(559), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3751), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3749), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(200), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(3755), 1,
      sym_dot_dot_i,
    ACTIONS(3757), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1417), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3753), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(560), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(3761), 1,
      sym_dot_dot_i,
    ACTIONS(3763), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1418), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3759), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(561), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3767), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3765), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(488), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3771), 1,
      sym_dot_dot_i,
    ACTIONS(3773), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1430), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3769), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(201), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3777), 1,
      sym_dot_dot_i,
    ACTIONS(3779), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1434), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3775), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(203), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3783), 1,
      sym_dot_dot_i,
    ACTIONS(3785), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1436), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3781), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(204), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3789), 1,
      sym_dot_dot_i,
    ACTIONS(3791), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1438), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3787), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(205), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3795), 1,
      sym_dot_dot_i,
    ACTIONS(3797), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1440), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3793), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(206), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3801), 1,
      sym_dot_dot_i,
    ACTIONS(3803), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1441), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3799), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(207), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3807), 1,
      sym_dot_dot_i,
    ACTIONS(3809), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1443), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3805), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(208), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3813), 1,
      sym_dot_dot_i,
    ACTIONS(3815), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1445), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3811), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(209), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3819), 1,
      sym_dot_dot_i,
    ACTIONS(3821), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1447), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3817), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(210), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3825), 1,
      sym_dot_dot_i,
    ACTIONS(3827), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1449), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3823), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(211), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3831), 1,
      sym_dot_dot_i,
    ACTIONS(3833), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1451), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3829), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(212), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3837), 1,
      sym_dot_dot_i,
    ACTIONS(3839), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1453), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3835), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(213), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(3843), 1,
      sym_dot_dot_i,
    ACTIONS(3845), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1439), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3841), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(489), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_dot_dot_i,
    ACTIONS(3851), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1427), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3847), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(562), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(3855), 1,
      sym_dot_dot_i,
    ACTIONS(3857), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1444), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3853), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(490), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3861), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3859), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(563), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3865), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3863), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(564), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3869), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3867), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(364), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(3873), 1,
      sym_dot_dot_i,
    ACTIONS(3875), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1452), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3871), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(366), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3879), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3877), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(214), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3883), 1,
      sym_dot_dot_i,
    ACTIONS(3885), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1465), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3881), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(215), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(3889), 1,
      sym_dot_dot_i,
    ACTIONS(3891), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1431), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3887), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(565), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(3895), 1,
      sym_dot_dot_i,
    ACTIONS(3897), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1435), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3893), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(566), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3901), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3899), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(447), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(3905), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3903), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(3), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3909), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3907), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(567), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(3913), 1,
      sym_dot_dot_i,
    ACTIONS(3915), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1442), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3911), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(568), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(3919), 1,
      sym_dot_dot_i,
    ACTIONS(3921), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1458), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3917), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(491), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3925), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3923), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(216), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3929), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3927), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(569), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3933), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3931), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(217), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3937), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3935), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(448), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3941), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3939), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(218), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3945), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3943), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(570), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3949), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3947), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(219), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(3953), 1,
      sym_dot_dot_i,
    ACTIONS(3955), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1450), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3951), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(571), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3959), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3957), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(220), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3963), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3961), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(495), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3967), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3965), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(221), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3971), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3969), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(222), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3975), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3973), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(572), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3979), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3977), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(223), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3983), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3981), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(496), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3987), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3985), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(224), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(3991), 1,
      sym_dot_dot_i,
    ACTIONS(3993), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1477), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3989), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(497), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(3997), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3995), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(225), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(4001), 1,
      sym_dot_dot_i,
    ACTIONS(4003), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1482), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3999), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(498), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4007), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4005), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(226), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4011), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4009), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(573), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4015), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4013), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(227), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4019), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4017), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(367), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4023), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4021), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(228), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(4027), 1,
      sym_dot_dot_i,
    ACTIONS(4029), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1460), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4025), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(368), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(4033), 1,
      sym_dot_dot_i,
    ACTIONS(4035), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1462), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4031), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(369), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4039), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4037), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(449), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(4043), 1,
      sym_dot_dot_i,
    ACTIONS(4045), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1469), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4041), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(370), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4049), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4047), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(499), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4053), 1,
      sym_dot_dot_i,
    ACTIONS(4055), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1480), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4051), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(577), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4059), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4057), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(371), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4063), 1,
      sym_dot_dot_i,
    ACTIONS(4065), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1487), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4061), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(578), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4069), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4067), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(372), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(4073), 1,
      sym_dot_dot_i,
    ACTIONS(4075), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1473), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4071), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(373), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      sym_dot_dot_i,
    ACTIONS(4081), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1475), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4077), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(374), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4085), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4083), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(229), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4089), 1,
      sym_dot_dot_i,
    ACTIONS(4091), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1483), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4087), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(230), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4095), 1,
      sym_dot_dot_i,
    ACTIONS(4097), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1501), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4093), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(579), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4101), 1,
      sym_dot_dot_i,
    ACTIONS(4103), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1505), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4099), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(580), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4107), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4105), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(375), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(4111), 1,
      sym_dot_dot_i,
    ACTIONS(4113), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1478), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4109), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(376), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4117), 1,
      sym_dot_dot_i,
    ACTIONS(4119), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1507), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4115), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(581), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(4123), 1,
      sym_dot_dot_i,
    ACTIONS(4125), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1510), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4121), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(500), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4129), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4127), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(377), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4133), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4131), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(450), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4137), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4135), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(378), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(4141), 1,
      sym_dot_dot_i,
    ACTIONS(4143), 1,
      sym__newline,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(1481), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4139), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(379), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4147), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4145), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(501), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4151), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4149), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(380), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4155), 1,
      sym_dot_dot_i,
    ACTIONS(4157), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1592), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4153), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(582), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4161), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4159), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(583), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      anon_sym_function,
    ACTIONS(565), 1,
      anon_sym_if,
    ACTIONS(567), 1,
      anon_sym_for,
    ACTIONS(569), 1,
      anon_sym_while,
    ACTIONS(571), 1,
      anon_sym_repeat,
    ACTIONS(573), 1,
      anon_sym_QMARK,
    ACTIONS(575), 1,
      anon_sym_TILDE,
    ACTIONS(577), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      sym__hex_literal,
    ACTIONS(583), 1,
      sym__number_literal,
    ACTIONS(585), 1,
      anon_sym_SQUOTE,
    ACTIONS(587), 1,
      anon_sym_DQUOTE,
    ACTIONS(601), 1,
      sym__raw_string_literal,
    ACTIONS(603), 1,
      sym__external_open_parenthesis,
    ACTIONS(605), 1,
      sym__external_open_brace,
    ACTIONS(1629), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4165), 1,
      sym_dot_dot_i,
    STATE(773), 1,
      sym__double_quoted_string,
    STATE(796), 1,
      sym_string,
    STATE(797), 1,
      sym__float_literal,
    STATE(798), 1,
      sym__single_quoted_string,
    STATE(904), 1,
      sym__open_brace,
    STATE(1008), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2302), 1,
      sym__string_or_identifier,
    ACTIONS(579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(591), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4163), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(381), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4169), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4167), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(502), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4173), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4171), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(231), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4177), 1,
      sym_dot_dot_i,
    ACTIONS(4179), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1489), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4175), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(232), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4183), 1,
      sym_dot_dot_i,
    ACTIONS(4185), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1491), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4181), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(233), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4189), 1,
      sym_dot_dot_i,
    ACTIONS(4191), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1495), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4187), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(234), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4195), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4193), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(584), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(4199), 1,
      sym_dot_dot_i,
    ACTIONS(4201), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1571), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4197), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(503), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4205), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4203), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(235), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4209), 1,
      sym_dot_dot_i,
    ACTIONS(4211), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1511), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4207), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(382), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4215), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4213), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(236), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4219), 1,
      sym_dot_dot_i,
    ACTIONS(4221), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1500), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4217), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(237), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4225), 1,
      sym_dot_dot_i,
    ACTIONS(4227), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1502), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4223), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(238), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4231), 1,
      sym_dot_dot_i,
    ACTIONS(4233), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1518), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4229), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(383), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4237), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4235), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(239), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4241), 1,
      sym_dot_dot_i,
    ACTIONS(4243), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1506), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4239), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(240), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4247), 1,
      sym_dot_dot_i,
    ACTIONS(4249), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1519), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4245), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(384), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4253), 1,
      sym_dot_dot_i,
    ACTIONS(4255), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1521), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4251), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(385), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4259), 1,
      sym_dot_dot_i,
    ACTIONS(4261), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1525), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4257), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(386), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4265), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4263), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(241), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4269), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4267), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(585), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4273), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4271), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(242), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4277), 1,
      sym_dot_dot_i,
    ACTIONS(4279), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1509), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4275), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(243), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4283), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4281), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(472), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4287), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4285), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(586), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4291), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4289), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(244), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4295), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4293), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(587), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4299), 1,
      sym_dot_dot_i,
    ACTIONS(4301), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1573), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4297), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(387), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(4305), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4303), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(245), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4309), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4307), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(504), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4313), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4311), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(388), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4317), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4315), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(473), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4349), 1,
      sym_dot_dot_i,
    ACTIONS(4351), 1,
      sym__newline,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1524), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4345), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(246), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4359), 1,
      sym_dot_dot_i,
    ACTIONS(4361), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1526), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4357), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(247), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4365), 1,
      sym_dot_dot_i,
    ACTIONS(4367), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1528), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4363), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(248), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4371), 1,
      sym_dot_dot_i,
    ACTIONS(4373), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1530), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4369), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(249), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4377), 1,
      sym_dot_dot_i,
    ACTIONS(4379), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1532), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4375), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(250), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4383), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4381), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(389), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4387), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4385), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(390), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4391), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4389), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(474), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4395), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4393), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(391), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4399), 1,
      sym_dot_dot_i,
    ACTIONS(4401), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1558), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4397), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(251), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4405), 1,
      sym_dot_dot_i,
    ACTIONS(4407), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1615), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4403), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(588), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4411), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4409), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(252), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4415), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4413), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(392), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4419), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4417), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(253), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4423), 1,
      sym_dot_dot_i,
    ACTIONS(4425), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1618), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4421), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(589), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4429), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4427), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(254), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4433), 1,
      sym_dot_dot_i,
    ACTIONS(4435), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1620), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4431), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(590), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4439), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4437), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(255), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4443), 1,
      sym_dot_dot_i,
    ACTIONS(4445), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1626), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4441), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(591), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4449), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4447), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(256), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4453), 1,
      sym_dot_dot_i,
    ACTIONS(4455), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1629), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4451), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(592), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4459), 1,
      sym_dot_dot_i,
    ACTIONS(4461), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1591), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4457), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(393), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4465), 1,
      sym_dot_dot_i,
    ACTIONS(4467), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1593), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4463), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(394), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4471), 1,
      sym_dot_dot_i,
    ACTIONS(4473), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1595), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4469), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(395), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4477), 1,
      sym_dot_dot_i,
    ACTIONS(4479), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1568), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4475), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(257), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4483), 1,
      sym_dot_dot_i,
    ACTIONS(4485), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1572), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4481), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(259), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4489), 1,
      sym_dot_dot_i,
    ACTIONS(4491), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1574), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4487), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(260), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4495), 1,
      sym_dot_dot_i,
    ACTIONS(4497), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1576), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4493), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(261), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4501), 1,
      sym_dot_dot_i,
    ACTIONS(4503), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4499), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(262), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4507), 1,
      sym_dot_dot_i,
    ACTIONS(4509), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1578), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4505), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(263), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4513), 1,
      sym_dot_dot_i,
    ACTIONS(4515), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1580), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4511), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(264), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4519), 1,
      sym_dot_dot_i,
    ACTIONS(4521), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4517), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(265), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4525), 1,
      sym_dot_dot_i,
    ACTIONS(4527), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1583), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4523), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(266), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4531), 1,
      sym_dot_dot_i,
    ACTIONS(4533), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1585), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4529), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(267), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4537), 1,
      sym_dot_dot_i,
    ACTIONS(4539), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1587), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4535), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(268), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4543), 1,
      sym_dot_dot_i,
    ACTIONS(4545), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1589), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4541), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(269), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4549), 1,
      sym_dot_dot_i,
    ACTIONS(4551), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1597), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4547), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(396), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4555), 1,
      sym_dot_dot_i,
    ACTIONS(4557), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1598), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4553), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(397), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4561), 1,
      sym_dot_dot_i,
    ACTIONS(4563), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1600), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4559), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(398), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4567), 1,
      sym_dot_dot_i,
    ACTIONS(4569), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4565), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(399), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4573), 1,
      sym_dot_dot_i,
    ACTIONS(4575), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4571), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(400), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4579), 1,
      sym_dot_dot_i,
    ACTIONS(4581), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1608), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4577), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(401), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4585), 1,
      sym_dot_dot_i,
    ACTIONS(4587), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1610), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4583), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(402), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4591), 1,
      sym_dot_dot_i,
    ACTIONS(4593), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1612), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4589), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(403), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4597), 1,
      sym_dot_dot_i,
    ACTIONS(4599), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1614), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4595), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(404), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4603), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4601), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(270), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4607), 1,
      sym_dot_dot_i,
    ACTIONS(4609), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1601), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4605), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(271), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4613), 1,
      sym_dot_dot_i,
    ACTIONS(4615), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1616), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4611), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(405), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4619), 1,
      sym_dot_dot_i,
    ACTIONS(4621), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1636), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4617), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(593), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4625), 1,
      sym_dot_dot_i,
    ACTIONS(4627), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1638), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4623), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(595), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4631), 1,
      sym_dot_dot_i,
    ACTIONS(4633), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1646), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4629), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(596), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4637), 1,
      sym_dot_dot_i,
    ACTIONS(4639), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1648), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4635), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(597), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4643), 1,
      sym_dot_dot_i,
    ACTIONS(4645), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1651), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4641), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(598), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4649), 1,
      sym_dot_dot_i,
    ACTIONS(4651), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1653), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4647), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(599), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4655), 1,
      sym_dot_dot_i,
    ACTIONS(4657), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1655), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4653), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(600), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4661), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4659), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(272), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4665), 1,
      sym_dot_dot_i,
    ACTIONS(4667), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1657), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4663), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(601), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4671), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4669), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(273), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4675), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4673), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(505), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4679), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4677), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(274), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4683), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4681), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(408), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4687), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4685), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(275), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(4691), 1,
      sym_dot_dot_i,
    ACTIONS(4693), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1640), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4689), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(409), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4697), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4695), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(276), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4701), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4699), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(277), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4705), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4703), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(278), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4709), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4707), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(475), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4713), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4711), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(279), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4717), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4715), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(280), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(4721), 1,
      sym_dot_dot_i,
    ACTIONS(4723), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1611), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4719), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(506), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4727), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4725), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(281), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(4731), 1,
      sym_dot_dot_i,
    ACTIONS(4733), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1617), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4729), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(507), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4737), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4735), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(282), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(4741), 1,
      sym_dot_dot_i,
    ACTIONS(4743), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1621), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4739), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(508), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4747), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4745), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(283), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(4751), 1,
      sym_dot_dot_i,
    ACTIONS(4753), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1633), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4749), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(509), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4757), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4755), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(284), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(4761), 1,
      sym_dot_dot_i,
    ACTIONS(4763), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1644), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4759), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(510), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4767), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4765), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(410), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4771), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4769), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(608), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4775), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4773), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(411), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(4779), 1,
      sym_dot_dot_i,
    ACTIONS(4781), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1699), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4777), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(609), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4785), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4783), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(412), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4789), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4787), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(476), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4793), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4791), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(413), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4797), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4795), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(414), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4801), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4799), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(477), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4805), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4803), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(415), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4809), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4807), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(285), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4813), 1,
      sym_dot_dot_i,
    ACTIONS(4815), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1622), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4811), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(286), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(4819), 1,
      sym_dot_dot_i,
    ACTIONS(4821), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1295), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4817), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(624), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4825), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4823), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(416), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4829), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4827), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(478), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4833), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4831), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(417), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(4837), 1,
      sym_dot_dot_i,
    ACTIONS(4839), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1719), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4835), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(511), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4843), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4841), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(418), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(4847), 1,
      sym_dot_dot_i,
    ACTIONS(4849), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1425), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4845), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(626), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4853), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4851), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(419), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4857), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4855), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(512), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4861), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4859), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(420), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4865), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4863), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(479), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4869), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4867), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(421), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4873), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4871), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(610), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4877), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4875), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(422), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4881), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4879), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(513), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4885), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4883), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(611), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(4889), 1,
      sym_dot_dot_i,
    ACTIONS(4891), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1504), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4887), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(451), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4895), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4893), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(612), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4899), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4897), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(515), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4903), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4901), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(287), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4907), 1,
      sym_dot_dot_i,
    ACTIONS(4909), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1628), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4905), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(288), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4913), 1,
      sym_dot_dot_i,
    ACTIONS(4915), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4911), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(289), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4919), 1,
      sym_dot_dot_i,
    ACTIONS(4921), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1634), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4917), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(290), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4925), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4923), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(613), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4929), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4927), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(480), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4933), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4931), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(291), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4937), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4935), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(614), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4941), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4939), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(292), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4945), 1,
      sym_dot_dot_i,
    ACTIONS(4947), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1639), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4943), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(293), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4951), 1,
      sym_dot_dot_i,
    ACTIONS(4953), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1641), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4949), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(294), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4957), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4955), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(516), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4961), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4959), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(295), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4965), 1,
      sym_dot_dot_i,
    ACTIONS(4967), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1645), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4963), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(296), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4971), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4969), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(615), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(4975), 1,
      sym_dot_dot_i,
    ACTIONS(4977), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1512), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4973), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(452), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4981), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4979), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(616), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4985), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4983), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(297), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4989), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4987), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(423), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4993), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4991), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(298), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(4997), 1,
      sym_dot_dot_i,
    ACTIONS(4999), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1649), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(4995), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(42), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(5003), 1,
      sym_dot_dot_i,
    ACTIONS(5005), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1666), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5001), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(424), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5009), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5007), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(517), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(5013), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5011), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(300), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5017), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5015), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(617), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5021), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5019), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(481), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5025), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5023), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(618), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(5029), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5027), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(301), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5033), 1,
      sym_dot_dot_i,
    ACTIONS(5035), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1520), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5031), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(453), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5039), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5037), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(619), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5043), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5041), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(483), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5047), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5045), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(620), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5051), 1,
      sym_dot_dot_i,
    ACTIONS(5053), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1579), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5049), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(454), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5057), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5055), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(621), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5061), 1,
      sym_dot_dot_i,
    ACTIONS(5063), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1759), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5059), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(518), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5067), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5065), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(622), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5071), 1,
      sym_dot_dot_i,
    ACTIONS(5073), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1761), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5069), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(519), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(5077), 1,
      sym_dot_dot_i,
    ACTIONS(5079), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1661), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5075), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(4), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5083), 1,
      sym_dot_dot_i,
    ACTIONS(5085), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1770), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5081), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(520), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(5089), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5087), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(5), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(5093), 1,
      sym_dot_dot_i,
    ACTIONS(5095), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1664), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5091), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(6), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5099), 1,
      sym_dot_dot_i,
    ACTIONS(5101), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1065), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5097), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(521), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(5105), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5103), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(7), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5109), 1,
      sym_dot_dot_i,
    ACTIONS(5111), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1068), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5107), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(688), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5115), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5113), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(425), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(5119), 1,
      sym_dot_dot_i,
    ACTIONS(5121), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1672), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5117), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(426), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(5125), 1,
      sym_dot_dot_i,
    ACTIONS(5127), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1674), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5123), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(427), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(5131), 1,
      sym_dot_dot_i,
    ACTIONS(5133), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1679), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5129), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(428), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5137), 1,
      sym_dot_dot_i,
    ACTIONS(5139), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1074), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5135), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(523), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5143), 1,
      sym_dot_dot_i,
    ACTIONS(5145), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1081), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5141), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(524), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5149), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5147), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(429), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5153), 1,
      sym_dot_dot_i,
    ACTIONS(5155), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1086), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5151), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(525), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5159), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5157), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(430), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(5163), 1,
      sym_dot_dot_i,
    ACTIONS(5165), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1688), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5161), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(431), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(5169), 1,
      sym_dot_dot_i,
    ACTIONS(5171), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1690), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5167), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(432), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5175), 1,
      sym_dot_dot_i,
    ACTIONS(5177), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1093), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5173), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(526), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5181), 1,
      sym_dot_dot_i,
    ACTIONS(5183), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1096), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5179), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(527), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5187), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5185), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(433), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(5191), 1,
      sym_dot_dot_i,
    ACTIONS(5193), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1694), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5189), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(434), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5197), 1,
      sym_dot_dot_i,
    ACTIONS(5199), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1098), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5195), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(528), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5203), 1,
      sym_dot_dot_i,
    ACTIONS(5205), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1148), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5201), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(529), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5209), 1,
      sym_dot_dot_i,
    ACTIONS(5211), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1194), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5207), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(530), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(5215), 1,
      sym_dot_dot_i,
    ACTIONS(5217), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1685), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5213), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(8), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5221), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5219), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(9), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(5225), 1,
      sym_dot_dot_i,
    ACTIONS(5227), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1687), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5223), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(10), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5231), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5229), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(11), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5235), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5233), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(435), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5239), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5237), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(484), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5243), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5241), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(436), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(5247), 1,
      sym_dot_dot_i,
    ACTIONS(5249), 1,
      sym__newline,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(1702), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5245), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(437), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5253), 1,
      sym_dot_dot_i,
    ACTIONS(5255), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1596), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5251), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(458), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5259), 1,
      sym_dot_dot_i,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5257), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(485), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5263), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5261), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(438), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(5267), 1,
      sym_dot_dot_i,
    ACTIONS(5269), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1696), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5265), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1857), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(5273), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5271), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1856), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(5277), 1,
      sym_dot_dot_i,
    ACTIONS(5279), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1698), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5275), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1864), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(5283), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5281), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1858), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5287), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5285), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(623), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(5291), 1,
      sym_dot_dot_i,
    ACTIONS(5293), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1763), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5289), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(625), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5297), 1,
      sym_dot_dot_i,
    ACTIONS(5299), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1599), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5295), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(459), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_BSLASH,
    ACTIONS(613), 1,
      anon_sym_function,
    ACTIONS(615), 1,
      anon_sym_if,
    ACTIONS(617), 1,
      anon_sym_for,
    ACTIONS(619), 1,
      anon_sym_while,
    ACTIONS(621), 1,
      anon_sym_repeat,
    ACTIONS(623), 1,
      anon_sym_QMARK,
    ACTIONS(625), 1,
      anon_sym_TILDE,
    ACTIONS(627), 1,
      anon_sym_BANG,
    ACTIONS(631), 1,
      sym__hex_literal,
    ACTIONS(633), 1,
      sym__number_literal,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(637), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      sym__raw_string_literal,
    ACTIONS(653), 1,
      sym__external_open_parenthesis,
    ACTIONS(655), 1,
      sym__external_open_brace,
    ACTIONS(1633), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5303), 1,
      sym_dot_dot_i,
    STATE(763), 1,
      sym_string,
    STATE(766), 1,
      sym__float_literal,
    STATE(768), 1,
      sym__single_quoted_string,
    STATE(783), 1,
      sym__double_quoted_string,
    STATE(906), 1,
      sym__open_brace,
    STATE(1015), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2291), 1,
      sym__string_or_identifier,
    ACTIONS(629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(641), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5301), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(439), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5307), 1,
      sym_dot_dot_i,
    ACTIONS(5309), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1605), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5305), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(460), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5313), 1,
      sym_dot_dot_i,
    ACTIONS(5315), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5311), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(461), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(5319), 1,
      sym_dot_dot_i,
    ACTIONS(5321), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1706), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5317), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(12), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(5325), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5323), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(13), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(5329), 1,
      sym_dot_dot_i,
    ACTIONS(5331), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1708), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5327), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(14), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(5335), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5333), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(15), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5339), 1,
      sym_dot_dot_i,
    ACTIONS(5341), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1722), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5337), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(138), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5345), 1,
      sym_dot_dot_i,
    ACTIONS(5347), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1727), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5343), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(299), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5351), 1,
      sym_dot_dot_i,
    ACTIONS(5353), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1728), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5349), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(302), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5357), 1,
      sym_dot_dot_i,
    ACTIONS(5359), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1729), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5355), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(303), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5363), 1,
      sym_dot_dot_i,
    ACTIONS(5365), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1731), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5361), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(304), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5369), 1,
      sym_dot_dot_i,
    ACTIONS(5371), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1627), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5367), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(462), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(5375), 1,
      sym_dot_dot_i,
    ACTIONS(5377), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1716), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5373), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(16), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(5381), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5379), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(17), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(5385), 1,
      sym_dot_dot_i,
    ACTIONS(5387), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1718), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5383), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(41), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(5391), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5389), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(19), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5395), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5393), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(538), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(5399), 1,
      sym_dot_dot_i,
    ACTIONS(5401), 1,
      sym__newline,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(1296), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5397), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(539), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5405), 1,
      sym_dot_dot_i,
    ACTIONS(5407), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1771), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5403), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(305), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5411), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5409), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(306), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(5415), 1,
      sym_dot_dot_i,
    ACTIONS(5417), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1724), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5413), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(26), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(5421), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5419), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(27), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(5425), 1,
      sym_dot_dot_i,
    ACTIONS(5427), 1,
      sym__newline,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(1726), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5423), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(28), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(2375), 1,
      sym_identifier,
    ACTIONS(2377), 1,
      anon_sym_BSLASH,
    ACTIONS(2379), 1,
      anon_sym_function,
    ACTIONS(2381), 1,
      anon_sym_if,
    ACTIONS(2383), 1,
      anon_sym_for,
    ACTIONS(2385), 1,
      anon_sym_while,
    ACTIONS(2387), 1,
      anon_sym_repeat,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_TILDE,
    ACTIONS(2393), 1,
      anon_sym_BANG,
    ACTIONS(2397), 1,
      sym__hex_literal,
    ACTIONS(2399), 1,
      sym__number_literal,
    ACTIONS(2409), 1,
      sym__external_open_parenthesis,
    ACTIONS(2411), 1,
      sym__external_open_brace,
    ACTIONS(5431), 1,
      sym_dot_dot_i,
    STATE(728), 1,
      sym_string,
    STATE(729), 1,
      sym__float_literal,
    STATE(730), 1,
      sym__single_quoted_string,
    STATE(731), 1,
      sym__double_quoted_string,
    STATE(915), 1,
      sym__open_brace,
    STATE(1029), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2295), 1,
      sym__string_or_identifier,
    ACTIONS(2395), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2403), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5429), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(29), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5435), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5433), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(307), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5439), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5437), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(308), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5443), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5441), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(309), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5447), 1,
      sym_dot_dot_i,
    ACTIONS(5449), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1647), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5445), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(463), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5453), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5451), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(310), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(5457), 1,
      sym_dot_dot_i,
    ACTIONS(5459), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1733), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5455), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(30), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5463), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5461), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(31), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(5467), 1,
      sym_dot_dot_i,
    ACTIONS(5469), 1,
      sym__newline,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(1735), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5465), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(32), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_SQUOTE,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym__raw_string_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1901), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_function,
    ACTIONS(1905), 1,
      anon_sym_if,
    ACTIONS(1907), 1,
      anon_sym_for,
    ACTIONS(1909), 1,
      anon_sym_while,
    ACTIONS(1911), 1,
      anon_sym_repeat,
    ACTIONS(1913), 1,
      anon_sym_QMARK,
    ACTIONS(1915), 1,
      anon_sym_TILDE,
    ACTIONS(1917), 1,
      anon_sym_BANG,
    ACTIONS(1921), 1,
      sym__hex_literal,
    ACTIONS(1923), 1,
      sym__number_literal,
    ACTIONS(1933), 1,
      sym__external_open_parenthesis,
    ACTIONS(1935), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5473), 1,
      sym_dot_dot_i,
    STATE(713), 1,
      sym_string,
    STATE(753), 1,
      sym__float_literal,
    STATE(754), 1,
      sym__single_quoted_string,
    STATE(755), 1,
      sym__double_quoted_string,
    STATE(918), 1,
      sym__open_brace,
    STATE(1036), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2301), 1,
      sym__string_or_identifier,
    ACTIONS(1919), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1927), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5471), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(33), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5477), 1,
      sym_dot_dot_i,
    ACTIONS(5479), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1652), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5475), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(464), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5483), 1,
      sym_dot_dot_i,
    ACTIONS(5485), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1689), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5481), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(465), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5489), 1,
      sym_dot_dot_i,
    ACTIONS(5491), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1693), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5487), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(466), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5495), 1,
      sym_dot_dot_i,
    ACTIONS(5497), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1072), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5493), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(311), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5501), 1,
      sym_dot_dot_i,
    ACTIONS(5503), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1075), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5499), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(313), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5507), 1,
      sym_dot_dot_i,
    ACTIONS(5509), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1077), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5505), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(314), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [86913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(5513), 1,
      sym_dot_dot_i,
    ACTIONS(5515), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1743), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5511), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1859), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(5519), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5517), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1863), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(5523), 1,
      sym_dot_dot_i,
    ACTIONS(5525), 1,
      sym__newline,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(1745), 1,
      aux_sym_function_definition_repeat1,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5521), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1861), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_BSLASH,
    ACTIONS(3315), 1,
      anon_sym_function,
    ACTIONS(3317), 1,
      anon_sym_if,
    ACTIONS(3319), 1,
      anon_sym_for,
    ACTIONS(3321), 1,
      anon_sym_while,
    ACTIONS(3323), 1,
      anon_sym_repeat,
    ACTIONS(3325), 1,
      anon_sym_QMARK,
    ACTIONS(3327), 1,
      anon_sym_TILDE,
    ACTIONS(3329), 1,
      anon_sym_BANG,
    ACTIONS(3333), 1,
      sym__hex_literal,
    ACTIONS(3335), 1,
      sym__number_literal,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(3351), 1,
      sym__external_open_parenthesis,
    ACTIONS(3353), 1,
      sym__external_open_brace,
    ACTIONS(5529), 1,
      sym_dot_dot_i,
    STATE(921), 1,
      sym__open_brace,
    STATE(1043), 1,
      sym__open_parenthesis,
    STATE(2058), 1,
      sym_string,
    STATE(2064), 1,
      sym__float_literal,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2293), 1,
      sym__string_or_identifier,
    ACTIONS(3331), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3343), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5527), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1862), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5533), 1,
      sym_dot_dot_i,
    ACTIONS(5535), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1079), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5531), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(315), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5539), 1,
      sym_dot_dot_i,
    ACTIONS(5541), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1080), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5537), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(316), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5545), 1,
      sym_dot_dot_i,
    ACTIONS(5547), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1082), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5543), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(317), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5551), 1,
      sym_dot_dot_i,
    ACTIONS(5553), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1083), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5549), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(318), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [87937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5557), 1,
      sym_dot_dot_i,
    ACTIONS(5559), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1085), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5555), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(319), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5563), 1,
      sym_dot_dot_i,
    ACTIONS(5565), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1087), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5561), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(320), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5569), 1,
      sym_dot_dot_i,
    ACTIONS(5571), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1089), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5567), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(194), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(5575), 1,
      sym_dot_dot_i,
    ACTIONS(5577), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1754), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5573), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(5581), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5579), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(35), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(5585), 1,
      sym_dot_dot_i,
    ACTIONS(5587), 1,
      sym__newline,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1756), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5583), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(36), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 1,
      anon_sym_function,
    ACTIONS(3641), 1,
      anon_sym_if,
    ACTIONS(3643), 1,
      anon_sym_for,
    ACTIONS(3645), 1,
      anon_sym_while,
    ACTIONS(3647), 1,
      anon_sym_repeat,
    ACTIONS(3649), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      anon_sym_TILDE,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3657), 1,
      sym__hex_literal,
    ACTIONS(3659), 1,
      sym__number_literal,
    ACTIONS(3669), 1,
      sym__external_open_parenthesis,
    ACTIONS(3671), 1,
      sym__external_open_brace,
    ACTIONS(5591), 1,
      sym_dot_dot_i,
    STATE(719), 1,
      sym_string,
    STATE(720), 1,
      sym__float_literal,
    STATE(721), 1,
      sym__single_quoted_string,
    STATE(722), 1,
      sym__double_quoted_string,
    STATE(926), 1,
      sym__open_brace,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2303), 1,
      sym__string_or_identifier,
    ACTIONS(3655), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5589), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(37), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5595), 1,
      sym_dot_dot_i,
    ACTIONS(5597), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1091), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5593), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(43), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [88961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5601), 1,
      sym_dot_dot_i,
    ACTIONS(5603), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1092), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5599), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(44), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5607), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5605), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(540), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5611), 1,
      sym_dot_dot_i,
    ACTIONS(5613), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1433), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5609), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(627), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5617), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5615), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(541), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5621), 1,
      sym_dot_dot_i,
    ACTIONS(5623), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1456), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5619), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(631), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5627), 1,
      sym_dot_dot_i,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5625), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(628), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(5631), 1,
      sym_dot_dot_i,
    ACTIONS(5633), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1765), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5629), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(38), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(5637), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5635), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(39), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [89985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(5641), 1,
      sym_dot_dot_i,
    ACTIONS(5643), 1,
      sym__newline,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1767), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5639), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(40), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_BSLASH,
    ACTIONS(4323), 1,
      anon_sym_function,
    ACTIONS(4325), 1,
      anon_sym_if,
    ACTIONS(4327), 1,
      anon_sym_for,
    ACTIONS(4329), 1,
      anon_sym_while,
    ACTIONS(4331), 1,
      anon_sym_repeat,
    ACTIONS(4333), 1,
      anon_sym_QMARK,
    ACTIONS(4335), 1,
      anon_sym_TILDE,
    ACTIONS(4337), 1,
      anon_sym_BANG,
    ACTIONS(4341), 1,
      sym__hex_literal,
    ACTIONS(4343), 1,
      sym__number_literal,
    ACTIONS(4353), 1,
      sym__external_open_parenthesis,
    ACTIONS(4355), 1,
      sym__external_open_brace,
    ACTIONS(5647), 1,
      sym_dot_dot_i,
    STATE(735), 1,
      sym_string,
    STATE(736), 1,
      sym__float_literal,
    STATE(737), 1,
      sym__single_quoted_string,
    STATE(738), 1,
      sym__double_quoted_string,
    STATE(931), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2290), 1,
      sym__string_or_identifier,
    ACTIONS(4339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4347), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5645), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(21), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(5651), 1,
      sym_dot_dot_i,
    ACTIONS(5653), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1067), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5649), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(629), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym__raw_string_literal,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1502), 1,
      anon_sym_BSLASH,
    ACTIONS(1504), 1,
      anon_sym_function,
    ACTIONS(1506), 1,
      anon_sym_if,
    ACTIONS(1508), 1,
      anon_sym_for,
    ACTIONS(1510), 1,
      anon_sym_while,
    ACTIONS(1512), 1,
      anon_sym_repeat,
    ACTIONS(1514), 1,
      anon_sym_QMARK,
    ACTIONS(1516), 1,
      anon_sym_TILDE,
    ACTIONS(1518), 1,
      anon_sym_BANG,
    ACTIONS(1522), 1,
      sym__hex_literal,
    ACTIONS(1524), 1,
      sym__number_literal,
    ACTIONS(1534), 1,
      sym__external_open_parenthesis,
    ACTIONS(1536), 1,
      sym__external_open_brace,
    ACTIONS(5657), 1,
      sym_dot_dot_i,
    ACTIONS(5659), 1,
      sym__newline,
    STATE(774), 1,
      sym_string,
    STATE(780), 1,
      sym__float_literal,
    STATE(781), 1,
      sym__single_quoted_string,
    STATE(810), 1,
      sym__double_quoted_string,
    STATE(897), 1,
      sym__open_brace,
    STATE(994), 1,
      sym__open_parenthesis,
    STATE(1069), 1,
      aux_sym_function_definition_repeat1,
    STATE(2298), 1,
      sym__string_or_identifier,
    ACTIONS(1520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1528), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5655), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(630), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_BSLASH,
    ACTIONS(711), 1,
      anon_sym_function,
    ACTIONS(713), 1,
      anon_sym_if,
    ACTIONS(715), 1,
      anon_sym_for,
    ACTIONS(717), 1,
      anon_sym_while,
    ACTIONS(719), 1,
      anon_sym_repeat,
    ACTIONS(721), 1,
      anon_sym_QMARK,
    ACTIONS(723), 1,
      anon_sym_TILDE,
    ACTIONS(725), 1,
      anon_sym_BANG,
    ACTIONS(729), 1,
      sym__hex_literal,
    ACTIONS(731), 1,
      sym__number_literal,
    ACTIONS(733), 1,
      anon_sym_SQUOTE,
    ACTIONS(735), 1,
      anon_sym_DQUOTE,
    ACTIONS(749), 1,
      sym__raw_string_literal,
    ACTIONS(751), 1,
      sym__external_open_parenthesis,
    ACTIONS(755), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym_identifier,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(5663), 1,
      sym_dot_dot_i,
    STATE(791), 1,
      sym_string,
    STATE(792), 1,
      sym__float_literal,
    STATE(793), 1,
      sym__single_quoted_string,
    STATE(794), 1,
      sym__double_quoted_string,
    STATE(884), 1,
      sym__open_brace,
    STATE(968), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2300), 1,
      sym__string_or_identifier,
    ACTIONS(727), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(739), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5661), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(542), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5667), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5665), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(45), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5671), 1,
      sym_dot_dot_i,
    ACTIONS(5673), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1102), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5669), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(46), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [90881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_BSLASH,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_for,
    ACTIONS(17), 1,
      anon_sym_while,
    ACTIONS(19), 1,
      anon_sym_repeat,
    ACTIONS(21), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(25), 1,
      anon_sym_BANG,
    ACTIONS(29), 1,
      sym__hex_literal,
    ACTIONS(31), 1,
      sym__number_literal,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      sym__raw_string_literal,
    ACTIONS(47), 1,
      sym__external_open_parenthesis,
    ACTIONS(49), 1,
      sym__external_open_brace,
    ACTIONS(5677), 1,
      sym_dot_dot_i,
    ACTIONS(5679), 1,
      sym__newline,
    STATE(769), 1,
      sym_string,
    STATE(776), 1,
      sym__float_literal,
    STATE(777), 1,
      sym__single_quoted_string,
    STATE(779), 1,
      sym__double_quoted_string,
    STATE(924), 1,
      sym__open_brace,
    STATE(1039), 1,
      sym__open_parenthesis,
    STATE(1474), 1,
      aux_sym_function_definition_repeat1,
    STATE(2305), 1,
      sym__string_or_identifier,
    ACTIONS(27), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(39), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5675), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(365), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5683), 1,
      sym_dot_dot_i,
    ACTIONS(5685), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1775), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5681), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(22), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5689), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5687), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(23), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5693), 1,
      sym_dot_dot_i,
    ACTIONS(5695), 1,
      sym__newline,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(1777), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5691), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(24), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(769), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      sym__raw_string_literal,
    ACTIONS(1941), 1,
      sym__newline,
    ACTIONS(1973), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      anon_sym_BSLASH,
    ACTIONS(1977), 1,
      anon_sym_function,
    ACTIONS(1979), 1,
      anon_sym_if,
    ACTIONS(1981), 1,
      anon_sym_for,
    ACTIONS(1983), 1,
      anon_sym_while,
    ACTIONS(1985), 1,
      anon_sym_repeat,
    ACTIONS(1987), 1,
      anon_sym_QMARK,
    ACTIONS(1989), 1,
      anon_sym_TILDE,
    ACTIONS(1991), 1,
      anon_sym_BANG,
    ACTIONS(1995), 1,
      sym__hex_literal,
    ACTIONS(1997), 1,
      sym__number_literal,
    ACTIONS(2005), 1,
      sym__external_open_parenthesis,
    ACTIONS(2007), 1,
      sym__external_open_brace,
    ACTIONS(5699), 1,
      sym_dot_dot_i,
    STATE(746), 1,
      sym_string,
    STATE(747), 1,
      sym__float_literal,
    STATE(748), 1,
      sym__single_quoted_string,
    STATE(749), 1,
      sym__double_quoted_string,
    STATE(910), 1,
      sym__open_brace,
    STATE(1022), 1,
      sym__open_parenthesis,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    STATE(2299), 1,
      sym__string_or_identifier,
    ACTIONS(1993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2001), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5697), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(25), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5703), 1,
      sym_dot_dot_i,
    ACTIONS(5705), 1,
      sym__newline,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(1175), 1,
      aux_sym_function_definition_repeat1,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5701), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2028), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91649] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5709), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5707), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1983), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91771] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5713), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5711), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2036), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [91893] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5717), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5715), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1990), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92015] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5721), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5719), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1976), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92137] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5725), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5723), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2042), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92259] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5729), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5727), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1994), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92381] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5733), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5731), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2041), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92503] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5737), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5735), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2043), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92625] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5741), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5739), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2045), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92747] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5745), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5743), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2048), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92869] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5749), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5747), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1934), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [92991] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5753), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5751), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1935), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93113] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5757), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5755), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1936), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93235] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5761), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5759), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1937), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93357] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5765), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5763), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1940), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93479] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5769), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5767), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1942), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93601] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5773), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5771), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1944), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93723] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5777), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5775), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1945), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93845] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5781), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5779), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1947), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [93967] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5785), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5783), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1948), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94089] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5789), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5787), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1949), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94211] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5793), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5791), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1950), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94333] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5797), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5795), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1954), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94455] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5801), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5799), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1955), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94577] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5805), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5803), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1956), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94699] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5809), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5807), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1957), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94821] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5813), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5811), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1961), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [94943] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5817), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5815), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1962), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95065] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5821), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5819), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1963), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95187] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5825), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5823), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1964), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95309] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5829), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5827), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1966), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95431] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5833), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5831), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1968), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95553] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5837), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5835), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1969), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95675] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5841), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5839), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1970), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95797] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5845), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5843), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1973), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [95919] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5849), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5847), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1975), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96041] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5853), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5851), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1922), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96163] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5857), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5855), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1978), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96285] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5861), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5859), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1981), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96407] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5865), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5863), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2039), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96529] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5869), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5867), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1984), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96651] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5873), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5871), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1985), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96773] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5877), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5875), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1992), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [96895] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5881), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5879), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1993), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97017] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5885), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5883), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1995), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97139] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5889), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5887), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1996), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97261] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5893), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5891), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1998), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97383] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5897), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5895), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1999), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97505] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5901), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5899), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2000), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97627] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5905), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5903), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2001), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97749] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5909), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5907), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2002), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97871] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5913), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5911), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2004), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [97993] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5917), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5915), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2005), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98115] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5921), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5919), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2007), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98237] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5925), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5923), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2009), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98359] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5929), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5927), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2010), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98481] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5933), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5931), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2012), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98603] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5937), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5935), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2013), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98725] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5941), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5939), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2015), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98847] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5945), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5943), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2017), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [98969] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5949), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5947), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2020), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99091] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5953), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5951), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2022), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99213] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5957), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5955), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2024), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99335] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5961), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5959), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2025), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99457] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5965), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5963), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2027), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99579] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5969), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5967), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2029), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99701] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5973), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5971), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2031), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99823] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5977), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5975), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2032), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [99945] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5981), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5979), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2034), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [100067] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5985), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5983), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2035), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [100189] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5989), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5987), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(2037), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [100311] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      sym_identifier,
    ACTIONS(2103), 1,
      anon_sym_BSLASH,
    ACTIONS(2105), 1,
      anon_sym_function,
    ACTIONS(2107), 1,
      anon_sym_if,
    ACTIONS(2109), 1,
      anon_sym_for,
    ACTIONS(2111), 1,
      anon_sym_while,
    ACTIONS(2113), 1,
      anon_sym_repeat,
    ACTIONS(2115), 1,
      anon_sym_QMARK,
    ACTIONS(2117), 1,
      anon_sym_TILDE,
    ACTIONS(2119), 1,
      anon_sym_BANG,
    ACTIONS(2123), 1,
      sym__hex_literal,
    ACTIONS(2125), 1,
      sym__number_literal,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(2141), 1,
      sym__external_open_parenthesis,
    ACTIONS(2143), 1,
      sym__external_open_brace,
    ACTIONS(5993), 1,
      sym_dot_dot_i,
    STATE(901), 1,
      sym__open_brace,
    STATE(1001), 1,
      sym__open_parenthesis,
    STATE(2083), 1,
      sym_string,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2087), 1,
      sym__float_literal,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2292), 1,
      sym__string_or_identifier,
    ACTIONS(2121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2133), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(5991), 9,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      sym_dots,
    STATE(1977), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [100433] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(5995), 1,
      sym_identifier,
    ACTIONS(5997), 1,
      sym__newline,
    STATE(1892), 1,
      aux_sym_function_definition_repeat1,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2108), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(829), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(825), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(5999), 1,
      sym_identifier,
    ACTIONS(6001), 1,
      sym__newline,
    STATE(1851), 1,
      aux_sym_function_definition_repeat1,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2102), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(765), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(761), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100575] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(6003), 1,
      sym_identifier,
    ACTIONS(6005), 1,
      sym__newline,
    STATE(1854), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2129), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(765), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(761), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100645] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(6007), 1,
      sym_identifier,
    ACTIONS(6009), 1,
      sym__newline,
    STATE(1960), 1,
      aux_sym_function_definition_repeat1,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2122), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(829), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(825), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100715] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3339), 1,
      anon_sym_DQUOTE,
    ACTIONS(3349), 1,
      sym__raw_string_literal,
    ACTIONS(6011), 1,
      sym_identifier,
    STATE(2065), 1,
      sym__single_quoted_string,
    STATE(2073), 1,
      sym__double_quoted_string,
    STATE(2115), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(1077), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1075), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [100780] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6051), 1,
      sym__external_else,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1220), 1,
      sym__else,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(199), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100888] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    ACTIONS(6059), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1211), 1,
      sym__else,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(53), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100996] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    ACTIONS(6061), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1237), 1,
      sym__else,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(101), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101104] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    ACTIONS(6063), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1367), 1,
      sym__else,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(53), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101212] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_SQUOTE,
    ACTIONS(2129), 1,
      anon_sym_DQUOTE,
    ACTIONS(2139), 1,
      sym__raw_string_literal,
    ACTIONS(6065), 1,
      sym_identifier,
    STATE(2086), 1,
      sym__single_quoted_string,
    STATE(2089), 1,
      sym__double_quoted_string,
    STATE(2128), 2,
      sym_string,
      sym__string_or_identifier,
    ACTIONS(1077), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1075), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [101276] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    ACTIONS(6067), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1372), 1,
      sym__else,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(205), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101384] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    ACTIONS(6069), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1377), 1,
      sym__else,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(101), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101492] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    ACTIONS(6071), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1371), 1,
      sym__else,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(199), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101600] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    ACTIONS(6073), 1,
      sym__external_else,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(1226), 1,
      sym__else,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(205), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101708] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(371), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101811] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(403), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101914] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(407), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102017] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(411), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102120] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(415), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102223] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(419), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102326] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(423), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102429] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(383), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102532] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(427), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102635] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(431), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102738] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(435), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102841] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(439), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102944] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(369), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103047] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(443), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103150] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(447), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103253] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(375), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103356] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(385), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(383), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [103451] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(371), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [103522] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(379), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103625] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(383), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [103712] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(383), 15,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [103795] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(383), 16,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [103874] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(383), 17,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [103949] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(383), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104052] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(385), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(383), 8,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [104149] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(383), 10,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [104240] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(383), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [104311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      sym__newline,
    STATE(1892), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(1409), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1411), 30,
      sym__raw_string_literal,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_identifier,
      sym_comma,
  [104364] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(371), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [104437] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(383), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [104508] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(387), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104611] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(453), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104714] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(457), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104817] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(455), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(457), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [104912] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(455), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(457), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [104999] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(455), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(457), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [105070] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(391), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105173] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(395), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105276] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(399), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105379] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(461), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105482] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(465), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105585] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(469), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105688] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(467), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [105783] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(467), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [105870] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(467), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(469), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [105941] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(371), 7,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [106042] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(383), 7,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [106143] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(373), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(371), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [106238] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(371), 16,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [106317] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6023), 1,
      anon_sym_DASH_GT,
    ACTIONS(6025), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6021), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(371), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106420] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_TILDE,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6027), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6031), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(373), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(371), 8,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [106517] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6029), 1,
      anon_sym_AMP,
    ACTIONS(6033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(371), 10,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [106608] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6035), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6037), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(371), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [106695] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_PLUS,
    ACTIONS(6019), 1,
      anon_sym_DASH,
    ACTIONS(6039), 1,
      anon_sym_STAR,
    ACTIONS(6041), 1,
      anon_sym_SLASH,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(371), 15,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [106778] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6045), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(371), 17,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [106853] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(371), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [106924] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6047), 1,
      anon_sym_COLON,
    ACTIONS(6053), 1,
      sym__external_open_parenthesis,
    ACTIONS(6055), 1,
      sym__external_open_bracket,
    ACTIONS(6057), 1,
      sym__external_open_bracket2,
    STATE(678), 1,
      sym__open_parenthesis,
    STATE(679), 1,
      sym__open_bracket,
    STATE(680), 1,
      sym__open_bracket2,
    STATE(2099), 1,
      sym_call_arguments,
    STATE(2103), 1,
      sym_subset_arguments,
    STATE(2112), 1,
      sym_subset2_arguments,
    ACTIONS(6043), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6049), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(383), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [106997] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6120), 1,
      sym__external_close_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1429), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107103] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(371), 16,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [107177] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(383), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [107247] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(383), 15,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [107325] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(383), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107427] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(411), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107529] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(415), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107631] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(465), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107733] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(419), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107835] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(469), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107937] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(371), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [108007] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(423), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108109] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6126), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1700), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108215] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6128), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1768), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6130), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1131), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108427] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6132), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1078), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108533] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(383), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [108605] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(371), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [108677] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6134), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1198), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108783] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(427), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108885] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6136), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1210), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108991] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(431), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109093] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6138), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1215), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109199] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6140), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1228), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109305] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(383), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [109375] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6142), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1420), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6144), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1454), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109587] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6146), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1457), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109693] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6148), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1470), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109799] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(371), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [109869] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(453), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109971] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(385), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(383), 7,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [110067] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6150), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110173] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6152), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1667), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110279] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6154), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1669), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6156), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1680), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110491] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(435), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110593] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(439), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6158), 1,
      sym__newline,
    STATE(1960), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(1409), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1411), 29,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_identifier,
      sym_comma,
  [110747] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6161), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1103), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110853] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6163), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1113), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110959] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6165), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1115), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6167), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1122), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111171] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(369), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6169), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1196), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111379] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(443), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6171), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1200), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111587] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6173), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1202), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111693] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6175), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1208), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111799] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(467), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [111885] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(467), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(469), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [111955] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6177), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1291), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112061] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(447), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112163] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6179), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1302), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112269] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6181), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1414), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112375] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6183), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1304), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6185), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1311), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112587] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(383), 9,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [112677] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(375), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112779] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6187), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1364), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112885] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(457), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112987] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6189), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1366), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113093] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6191), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1368), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113199] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6193), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1374), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113305] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(379), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113407] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(387), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113509] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(455), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(457), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [113603] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(371), 6,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [113703] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6195), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1277), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113809] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(467), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [113903] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6197), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1466), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6199), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1484), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114115] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6201), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1387), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114221] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6203), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1486), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114327] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6205), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1496), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114433] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(371), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114535] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6207), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1602), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6209), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1623), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114747] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6211), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1625), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114853] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6213), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1635), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114959] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6215), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1659), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115065] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(391), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115167] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6217), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1662), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6219), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1684), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115379] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(373), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(371), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [115473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6221), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1686), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115579] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(371), 15,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [115657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6223), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1695), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115763] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6225), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1697), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115869] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(383), 14,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [115951] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6227), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1705), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6229), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1707), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116163] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(371), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6231), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1715), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116371] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(383), 6,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [116471] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6233), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1717), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116577] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(373), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(371), 7,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [116673] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(455), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(457), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [116759] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6235), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1723), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116865] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(395), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116967] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6237), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1725), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117073] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(383), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117175] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6239), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1732), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6241), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1734), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117387] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(399), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6243), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1742), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117595] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(371), 9,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [117685] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6245), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117791] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(403), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117893] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6247), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117999] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6249), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1755), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118105] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(455), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(457), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [118175] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6251), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1764), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6253), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1766), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118387] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6255), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1472), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118493] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6257), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1774), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118599] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(371), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [118685] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6259), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1776), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118791] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(461), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118893] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6261), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1297), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118999] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6263), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1259), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6265), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1399), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119211] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(373), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(371), 14,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [119293] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6267), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1415), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119399] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(383), 16,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [119473] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(385), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(383), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [119567] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    ACTIONS(6269), 1,
      sym__external_close_parenthesis,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(1428), 1,
      sym__close_parenthesis,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119673] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(407), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119775] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_EQ,
    ACTIONS(6080), 1,
      anon_sym_QMARK,
    ACTIONS(6082), 1,
      anon_sym_TILDE,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6090), 1,
      anon_sym_DASH_GT,
    ACTIONS(6092), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6100), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(6271), 2,
      sym__external_close_parenthesis,
      sym_comma,
    ACTIONS(6088), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119879] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_PLUS,
    ACTIONS(6086), 1,
      anon_sym_DASH,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_SLASH,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      sym__external_open_parenthesis,
    ACTIONS(6122), 1,
      sym__external_open_bracket,
    ACTIONS(6124), 1,
      sym__external_open_bracket2,
    STATE(654), 1,
      sym__open_parenthesis,
    STATE(655), 1,
      sym__open_bracket,
    STATE(656), 1,
      sym__open_bracket2,
    STATE(2116), 1,
      sym_subset2_arguments,
    STATE(2120), 1,
      sym_call_arguments,
    STATE(2121), 1,
      sym_subset_arguments,
    ACTIONS(6102), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6110), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(6112), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(6116), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(385), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6104), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(383), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [119965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6273), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6277), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6281), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1361), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1365), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6285), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1357), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(1351), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1353), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [120284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6289), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 16,
      sym__newline,
      sym__semicolon,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(775), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6281), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1369), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6293), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_L,
    ACTIONS(6299), 1,
      anon_sym_i,
    ACTIONS(1371), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1373), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [120558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1381), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6277), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6273), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1385), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(835), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(835), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1389), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6285), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [120918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1381), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [120963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6273), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6281), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6289), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6285), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6277), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(835), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6293), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6289), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 16,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_bracket2,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
    ACTIONS(6293), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1357), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(1351), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1353), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [121416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 1,
      sym__newline,
    STATE(2084), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(1411), 13,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(1409), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1365), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1381), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6304), 1,
      anon_sym_L,
    ACTIONS(6306), 1,
      anon_sym_i,
    ACTIONS(1371), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1373), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [121600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1385), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1381), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1369), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1361), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(1389), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [121820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 15,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(1255), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1486), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [121907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 14,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(6308), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [121950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1466), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [121993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1571), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1456), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1553), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1555), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1470), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1498), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1454), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1559), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1547), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 14,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(6312), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [122380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1474), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1478), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1490), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1494), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1551), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 14,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(6316), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
      sym_dots,
  [122638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1563), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1482), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1567), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1462), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1563), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1482), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1551), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1547), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [122978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1553), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1555), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1559), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1490), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1498), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1494), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1567), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1486), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1571), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1462), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1454), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1466), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1470), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1474), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1478), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(1456), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [123608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      sym_dots,
    ACTIONS(6324), 1,
      sym__external_close_parenthesis,
    STATE(2095), 1,
      sym__close_parenthesis,
    STATE(2184), 1,
      sym_parameter,
    STATE(2294), 1,
      sym__parameter_with_default,
    STATE(2297), 1,
      sym__parameter_without_default,
  [123633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 1,
      sym__newline,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    STATE(1508), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2142), 1,
      aux_sym_function_definition_repeat1,
  [123652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6330), 1,
      sym__newline,
    STATE(1260), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2147), 1,
      aux_sym_function_definition_repeat1,
  [123671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1153), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6334), 1,
      sym__newline,
    STATE(1229), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2140), 1,
      aux_sym_function_definition_repeat1,
  [123709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1255), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1772), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1575), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6336), 1,
      sym__newline,
    STATE(1145), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2145), 1,
      aux_sym_function_definition_repeat1,
  [123785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6338), 1,
      sym__newline,
    STATE(1721), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2141), 1,
      aux_sym_function_definition_repeat1,
  [123804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1169), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123823] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1594), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1300), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6340), 1,
      sym__newline,
    STATE(1607), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2151), 1,
      aux_sym_function_definition_repeat1,
  [123880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6342), 1,
      sym__newline,
    STATE(1328), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2153), 1,
      aux_sym_function_definition_repeat1,
  [123899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6344), 1,
      sym__newline,
    STATE(1066), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2156), 1,
      aux_sym_function_definition_repeat1,
  [123918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1720), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6346), 1,
      sym__newline,
    STATE(1479), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2146), 1,
      aux_sym_function_definition_repeat1,
  [123956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1347), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [123975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6348), 1,
      sym__newline,
    STATE(1522), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2155), 1,
      aux_sym_function_definition_repeat1,
  [123994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1559), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1305), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      sym_dots,
    STATE(2294), 1,
      sym__parameter_with_default,
    STATE(2296), 1,
      sym_parameter,
    STATE(2297), 1,
      sym__parameter_without_default,
  [124051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6332), 1,
      sym__newline,
    STATE(1422), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6350), 1,
      sym__newline,
    STATE(1390), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2158), 1,
      aux_sym_function_definition_repeat1,
  [124089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__external_open_parenthesis,
    ACTIONS(6352), 1,
      sym__newline,
    STATE(1106), 1,
      sym_parameters,
    STATE(2135), 1,
      sym__open_parenthesis,
    STATE(2138), 1,
      aux_sym_function_definition_repeat1,
  [124108] = 4,
    ACTIONS(6354), 1,
      anon_sym_SQUOTE,
    ACTIONS(6358), 1,
      sym_comment,
    STATE(2187), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124122] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6360), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6362), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124136] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6365), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6369), 1,
      sym__external_open_parenthesis,
    STATE(1784), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124166] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6371), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124180] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6373), 1,
      anon_sym_SQUOTE,
    STATE(2192), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124194] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6375), 1,
      anon_sym_SQUOTE,
    STATE(2207), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124208] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6377), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124222] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6379), 1,
      anon_sym_DQUOTE,
    STATE(2219), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6381), 1,
      sym__external_open_parenthesis,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124252] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_DQUOTE,
    STATE(2226), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124266] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_SQUOTE,
    STATE(2215), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6387), 1,
      sym__newline,
    ACTIONS(6389), 1,
      sym__external_open_parenthesis,
    STATE(2217), 1,
      aux_sym_function_definition_repeat1,
    STATE(2313), 1,
      sym__open_parenthesis,
  [124296] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6391), 1,
      anon_sym_DQUOTE,
    STATE(2165), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124310] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6393), 1,
      anon_sym_DQUOTE,
    STATE(2190), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124324] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6395), 1,
      anon_sym_DQUOTE,
    STATE(2189), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124338] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6397), 1,
      anon_sym_SQUOTE,
    STATE(2186), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124352] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6399), 1,
      anon_sym_SQUOTE,
    STATE(2181), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124366] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6401), 1,
      anon_sym_DQUOTE,
    STATE(2182), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124380] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6403), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124394] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124408] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124422] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_DQUOTE,
    STATE(2188), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      sym_comma,
    ACTIONS(6413), 1,
      sym__external_close_parenthesis,
    STATE(2105), 1,
      sym__close_parenthesis,
    STATE(2191), 1,
      aux_sym_parameters_repeat1,
  [124452] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6415), 1,
      anon_sym_DQUOTE,
    STATE(2163), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124466] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124480] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124494] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124508] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6423), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124522] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6425), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      sym_comma,
    ACTIONS(6427), 1,
      sym__external_close_parenthesis,
    STATE(2111), 1,
      sym__close_parenthesis,
    STATE(2288), 1,
      aux_sym_parameters_repeat1,
  [124552] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6429), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124566] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6431), 1,
      anon_sym_SQUOTE,
    STATE(2199), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124580] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6433), 1,
      anon_sym_SQUOTE,
    STATE(2168), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124594] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6435), 1,
      anon_sym_DQUOTE,
    STATE(2201), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124608] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6437), 1,
      anon_sym_SQUOTE,
    STATE(2209), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124622] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6439), 1,
      anon_sym_DQUOTE,
    STATE(2180), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124636] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6441), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124650] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 1,
      sym__newline,
    ACTIONS(6447), 1,
      sym__external_open_parenthesis,
    STATE(1785), 1,
      sym__open_parenthesis,
    STATE(2202), 1,
      aux_sym_function_definition_repeat1,
  [124680] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6449), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6451), 1,
      sym__external_open_parenthesis,
    STATE(1786), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124710] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6453), 1,
      anon_sym_DQUOTE,
    STATE(2211), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124724] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6455), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6457), 1,
      sym__newline,
    ACTIONS(6459), 1,
      sym__external_open_parenthesis,
    STATE(1789), 1,
      sym__open_parenthesis,
    STATE(2206), 1,
      aux_sym_function_definition_repeat1,
  [124754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6461), 1,
      sym__external_open_parenthesis,
    STATE(1790), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124770] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6463), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6465), 1,
      sym__newline,
    ACTIONS(6467), 1,
      sym__external_open_parenthesis,
    STATE(1793), 1,
      sym__open_parenthesis,
    STATE(2210), 1,
      aux_sym_function_definition_repeat1,
  [124800] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6471), 1,
      sym__external_open_parenthesis,
    STATE(1794), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124830] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6473), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 1,
      sym__newline,
    ACTIONS(6477), 1,
      sym__external_open_parenthesis,
    STATE(1797), 1,
      sym__open_parenthesis,
    STATE(2214), 1,
      aux_sym_function_definition_repeat1,
  [124860] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_SQUOTE,
    STATE(2235), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6481), 1,
      sym__external_open_parenthesis,
    STATE(1798), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124890] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6483), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [124904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6485), 1,
      sym__newline,
    ACTIONS(6487), 1,
      sym__external_open_parenthesis,
    STATE(1801), 1,
      sym__open_parenthesis,
    STATE(2218), 1,
      aux_sym_function_definition_repeat1,
  [124920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6489), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2326), 1,
      sym__open_parenthesis,
  [124936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6491), 1,
      sym__external_open_parenthesis,
    STATE(1802), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [124952] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6493), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 1,
      sym__newline,
    ACTIONS(6497), 1,
      sym__external_open_parenthesis,
    STATE(1805), 1,
      sym__open_parenthesis,
    STATE(2222), 1,
      aux_sym_function_definition_repeat1,
  [124982] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_DQUOTE,
    STATE(2228), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [124996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6501), 1,
      sym__external_open_parenthesis,
    STATE(1806), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 1,
      sym__newline,
    ACTIONS(6505), 1,
      sym__external_open_parenthesis,
    STATE(1809), 1,
      sym__open_parenthesis,
    STATE(2225), 1,
      aux_sym_function_definition_repeat1,
  [125028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 1,
      sym__newline,
    ACTIONS(6509), 1,
      sym__external_open_parenthesis,
    STATE(1781), 1,
      sym__open_parenthesis,
    STATE(2170), 1,
      aux_sym_function_definition_repeat1,
  [125044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6511), 1,
      sym__external_open_parenthesis,
    STATE(1810), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125060] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6513), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [125074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 1,
      sym__newline,
    ACTIONS(6517), 1,
      sym__external_open_parenthesis,
    STATE(1813), 1,
      sym__open_parenthesis,
    STATE(2284), 1,
      aux_sym_function_definition_repeat1,
  [125090] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6519), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6367), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [125104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      sym__newline,
    ACTIONS(6523), 1,
      sym__external_open_parenthesis,
    STATE(1817), 1,
      sym__open_parenthesis,
    STATE(2231), 1,
      aux_sym_function_definition_repeat1,
  [125120] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    STATE(2230), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(6527), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [125134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6530), 1,
      sym__external_open_parenthesis,
    STATE(1779), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 1,
      sym__newline,
    ACTIONS(6534), 1,
      sym__external_open_parenthesis,
    STATE(1821), 1,
      sym__open_parenthesis,
    STATE(2234), 1,
      aux_sym_function_definition_repeat1,
  [125166] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6536), 1,
      anon_sym_SQUOTE,
    STATE(2198), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [125180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6538), 1,
      sym__external_open_parenthesis,
    STATE(1822), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125196] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_SQUOTE,
    STATE(2162), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [125210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 1,
      sym__newline,
    ACTIONS(6544), 1,
      sym__external_open_parenthesis,
    STATE(1825), 1,
      sym__open_parenthesis,
    STATE(2237), 1,
      aux_sym_function_definition_repeat1,
  [125226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6546), 1,
      sym__external_open_parenthesis,
    STATE(1826), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      sym__newline,
    ACTIONS(6550), 1,
      sym__external_open_parenthesis,
    STATE(1829), 1,
      sym__open_parenthesis,
    STATE(2240), 1,
      aux_sym_function_definition_repeat1,
  [125258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      sym__newline,
    ACTIONS(6554), 1,
      sym__external_open_parenthesis,
    STATE(1783), 1,
      sym__open_parenthesis,
    STATE(2164), 1,
      aux_sym_function_definition_repeat1,
  [125274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6556), 1,
      sym__external_open_parenthesis,
    STATE(1830), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125290] = 4,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym_SQUOTE,
    STATE(2204), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(6356), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [125304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 1,
      sym__newline,
    ACTIONS(6562), 1,
      sym__external_open_parenthesis,
    STATE(1831), 1,
      sym__open_parenthesis,
    STATE(2243), 1,
      aux_sym_function_definition_repeat1,
  [125320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6564), 1,
      sym__external_open_parenthesis,
    STATE(1832), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      sym__newline,
    ACTIONS(6568), 1,
      sym__external_open_parenthesis,
    STATE(1833), 1,
      sym__open_parenthesis,
    STATE(2245), 1,
      aux_sym_function_definition_repeat1,
  [125352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6570), 1,
      sym__external_open_parenthesis,
    STATE(1834), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 1,
      sym__newline,
    ACTIONS(6574), 1,
      sym__external_open_parenthesis,
    STATE(1835), 1,
      sym__open_parenthesis,
    STATE(2247), 1,
      aux_sym_function_definition_repeat1,
  [125384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6576), 1,
      sym__external_open_parenthesis,
    STATE(1836), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 1,
      sym__newline,
    ACTIONS(6580), 1,
      sym__external_open_parenthesis,
    STATE(1837), 1,
      sym__open_parenthesis,
    STATE(2249), 1,
      aux_sym_function_definition_repeat1,
  [125416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6582), 1,
      sym__external_open_parenthesis,
    STATE(1838), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6584), 1,
      sym__newline,
    ACTIONS(6586), 1,
      sym__external_open_parenthesis,
    STATE(1839), 1,
      sym__open_parenthesis,
    STATE(2251), 1,
      aux_sym_function_definition_repeat1,
  [125448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6588), 1,
      sym__external_open_parenthesis,
    STATE(1840), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 1,
      sym__newline,
    ACTIONS(6592), 1,
      sym__external_open_parenthesis,
    STATE(1841), 1,
      sym__open_parenthesis,
    STATE(2253), 1,
      aux_sym_function_definition_repeat1,
  [125480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6594), 1,
      sym__external_open_parenthesis,
    STATE(1842), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      sym__newline,
    ACTIONS(6598), 1,
      sym__external_open_parenthesis,
    STATE(1843), 1,
      sym__open_parenthesis,
    STATE(2255), 1,
      aux_sym_function_definition_repeat1,
  [125512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6600), 1,
      sym__external_open_parenthesis,
    STATE(1844), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 1,
      sym__newline,
    ACTIONS(6604), 1,
      sym__external_open_parenthesis,
    STATE(1845), 1,
      sym__open_parenthesis,
    STATE(2257), 1,
      aux_sym_function_definition_repeat1,
  [125544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6606), 1,
      sym__external_open_parenthesis,
    STATE(1846), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6608), 1,
      sym__newline,
    ACTIONS(6610), 1,
      sym__external_open_parenthesis,
    STATE(1847), 1,
      sym__open_parenthesis,
    STATE(2259), 1,
      aux_sym_function_definition_repeat1,
  [125576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6612), 1,
      sym__external_open_parenthesis,
    STATE(1848), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      sym__newline,
    ACTIONS(6616), 1,
      sym__external_open_parenthesis,
    STATE(1849), 1,
      sym__open_parenthesis,
    STATE(2262), 1,
      aux_sym_function_definition_repeat1,
  [125608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6618), 1,
      sym__newline,
    ACTIONS(6620), 1,
      sym__external_open_parenthesis,
    STATE(2263), 1,
      aux_sym_function_definition_repeat1,
    STATE(2353), 1,
      sym__open_parenthesis,
  [125624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6622), 1,
      sym__external_open_parenthesis,
    STATE(1818), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6624), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2330), 1,
      sym__open_parenthesis,
  [125656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6626), 1,
      sym__newline,
    ACTIONS(6628), 1,
      sym__external_open_parenthesis,
    STATE(2265), 1,
      aux_sym_function_definition_repeat1,
    STATE(2336), 1,
      sym__open_parenthesis,
  [125672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6630), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2346), 1,
      sym__open_parenthesis,
  [125688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6632), 1,
      sym__newline,
    ACTIONS(6634), 1,
      sym__external_open_parenthesis,
    STATE(2267), 1,
      aux_sym_function_definition_repeat1,
    STATE(2317), 1,
      sym__open_parenthesis,
  [125704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6636), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2334), 1,
      sym__open_parenthesis,
  [125720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      sym__newline,
    ACTIONS(6640), 1,
      sym__external_open_parenthesis,
    STATE(2269), 1,
      aux_sym_function_definition_repeat1,
    STATE(2337), 1,
      sym__open_parenthesis,
  [125736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6642), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2342), 1,
      sym__open_parenthesis,
  [125752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6644), 1,
      sym__newline,
    ACTIONS(6646), 1,
      sym__external_open_parenthesis,
    STATE(2271), 1,
      aux_sym_function_definition_repeat1,
    STATE(2352), 1,
      sym__open_parenthesis,
  [125768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6648), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2307), 1,
      sym__open_parenthesis,
  [125784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6650), 1,
      sym__newline,
    ACTIONS(6652), 1,
      sym__external_open_parenthesis,
    STATE(2273), 1,
      aux_sym_function_definition_repeat1,
    STATE(2310), 1,
      sym__open_parenthesis,
  [125800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6654), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2311), 1,
      sym__open_parenthesis,
  [125816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      sym__newline,
    ACTIONS(6658), 1,
      sym__external_open_parenthesis,
    STATE(2275), 1,
      aux_sym_function_definition_repeat1,
    STATE(2314), 1,
      sym__open_parenthesis,
  [125832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6660), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2315), 1,
      sym__open_parenthesis,
  [125848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6662), 1,
      sym__newline,
    ACTIONS(6664), 1,
      sym__external_open_parenthesis,
    STATE(2277), 1,
      aux_sym_function_definition_repeat1,
    STATE(2318), 1,
      sym__open_parenthesis,
  [125864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6666), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2319), 1,
      sym__open_parenthesis,
  [125880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6668), 1,
      sym__newline,
    ACTIONS(6670), 1,
      sym__external_open_parenthesis,
    STATE(2279), 1,
      aux_sym_function_definition_repeat1,
    STATE(2322), 1,
      sym__open_parenthesis,
  [125896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6672), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2323), 1,
      sym__open_parenthesis,
  [125912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6674), 1,
      sym__newline,
    ACTIONS(6676), 1,
      sym__external_open_parenthesis,
    STATE(2281), 1,
      aux_sym_function_definition_repeat1,
    STATE(2306), 1,
      sym__open_parenthesis,
  [125928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6678), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2327), 1,
      sym__open_parenthesis,
  [125944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6680), 1,
      sym__newline,
    ACTIONS(6682), 1,
      sym__external_open_parenthesis,
    STATE(2283), 1,
      aux_sym_function_definition_repeat1,
    STATE(2328), 1,
      sym__open_parenthesis,
  [125960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6684), 1,
      sym__external_open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
    STATE(2329), 1,
      sym__open_parenthesis,
  [125976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      sym__newline,
    ACTIONS(6686), 1,
      sym__external_open_parenthesis,
    STATE(1814), 1,
      sym__open_parenthesis,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [125992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_EQ,
    ACTIONS(6690), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [126003] = 3,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6692), 1,
      anon_sym_DQUOTE,
    ACTIONS(6694), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [126014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      sym__external_open_parenthesis,
    ACTIONS(6696), 1,
      sym__newline,
    STATE(2287), 1,
      aux_sym_function_definition_repeat1,
  [126027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      sym_comma,
    ACTIONS(6702), 1,
      sym__external_close_parenthesis,
    STATE(2288), 1,
      aux_sym_parameters_repeat1,
  [126040] = 3,
    ACTIONS(6358), 1,
      sym_comment,
    ACTIONS(6704), 1,
      anon_sym_SQUOTE,
    ACTIONS(6706), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [126051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6710), 1,
      anon_sym_COLON_COLON_COLON,
  [126061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6714), 1,
      anon_sym_COLON_COLON_COLON,
  [126071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6718), 1,
      anon_sym_COLON_COLON_COLON,
  [126081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_COLON_COLON_COLON,
  [126091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6724), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [126099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6726), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6728), 1,
      anon_sym_COLON_COLON_COLON,
  [126109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6730), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [126117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6732), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [126125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6736), 1,
      anon_sym_COLON_COLON_COLON,
  [126135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6740), 1,
      anon_sym_COLON_COLON_COLON,
  [126145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6744), 1,
      anon_sym_COLON_COLON_COLON,
  [126155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON_COLON,
  [126165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_COLON_COLON_COLON,
  [126175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6754), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6756), 1,
      anon_sym_COLON_COLON_COLON,
  [126185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6690), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [126193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6760), 1,
      anon_sym_COLON_COLON_COLON,
  [126203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6762), 1,
      sym_identifier,
  [126210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6764), 1,
      sym_identifier,
  [126217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6766), 1,
      anon_sym_in,
  [126224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6768), 1,
      anon_sym_in,
  [126231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6770), 1,
      sym_identifier,
  [126238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 1,
      sym_identifier,
  [126245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6774), 1,
      anon_sym_in,
  [126252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6776), 1,
      sym_identifier,
  [126259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6778), 1,
      sym_identifier,
  [126266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 1,
      sym_identifier,
  [126273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6782), 1,
      anon_sym_in,
  [126280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6784), 1,
      sym_identifier,
  [126287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 1,
      sym_identifier,
  [126294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6788), 1,
      sym_identifier,
  [126301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6790), 1,
      anon_sym_in,
  [126308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 1,
      anon_sym_in,
  [126315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      sym_identifier,
  [126322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6796), 1,
      sym_identifier,
  [126329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6798), 1,
      anon_sym_in,
  [126336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6800), 1,
      anon_sym_in,
  [126343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6802), 1,
      sym_identifier,
  [126350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6804), 1,
      sym_identifier,
  [126357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6806), 1,
      sym_identifier,
  [126364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 1,
      sym_identifier,
  [126371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6810), 1,
      sym_identifier,
  [126378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 1,
      anon_sym_in,
  [126385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6814), 1,
      anon_sym_in,
  [126392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 1,
      anon_sym_in,
  [126399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6818), 1,
      sym_identifier,
  [126406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 1,
      anon_sym_in,
  [126413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6822), 1,
      sym_identifier,
  [126420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 1,
      sym_identifier,
  [126427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_in,
  [126434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym_in,
  [126441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_in,
  [126448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 1,
      anon_sym_in,
  [126455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      sym_identifier,
  [126462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_in,
  [126469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6838), 1,
      anon_sym_in,
  [126476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 1,
      anon_sym_in,
  [126483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6842), 1,
      sym_identifier,
  [126490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      ts_builtin_sym_end,
  [126497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6846), 1,
      anon_sym_in,
  [126504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_in,
  [126511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_in,
  [126518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6852), 1,
      anon_sym_in,
  [126525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6854), 1,
      sym_identifier,
  [126532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      sym_identifier,
  [126539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1063)] = 0,
  [SMALL_STATE(1064)] = 131,
  [SMALL_STATE(1065)] = 259,
  [SMALL_STATE(1066)] = 387,
  [SMALL_STATE(1067)] = 515,
  [SMALL_STATE(1068)] = 643,
  [SMALL_STATE(1069)] = 771,
  [SMALL_STATE(1070)] = 899,
  [SMALL_STATE(1071)] = 1027,
  [SMALL_STATE(1072)] = 1155,
  [SMALL_STATE(1073)] = 1283,
  [SMALL_STATE(1074)] = 1411,
  [SMALL_STATE(1075)] = 1539,
  [SMALL_STATE(1076)] = 1667,
  [SMALL_STATE(1077)] = 1795,
  [SMALL_STATE(1078)] = 1923,
  [SMALL_STATE(1079)] = 2051,
  [SMALL_STATE(1080)] = 2179,
  [SMALL_STATE(1081)] = 2307,
  [SMALL_STATE(1082)] = 2435,
  [SMALL_STATE(1083)] = 2563,
  [SMALL_STATE(1084)] = 2691,
  [SMALL_STATE(1085)] = 2819,
  [SMALL_STATE(1086)] = 2947,
  [SMALL_STATE(1087)] = 3075,
  [SMALL_STATE(1088)] = 3203,
  [SMALL_STATE(1089)] = 3331,
  [SMALL_STATE(1090)] = 3459,
  [SMALL_STATE(1091)] = 3587,
  [SMALL_STATE(1092)] = 3715,
  [SMALL_STATE(1093)] = 3843,
  [SMALL_STATE(1094)] = 3971,
  [SMALL_STATE(1095)] = 4099,
  [SMALL_STATE(1096)] = 4225,
  [SMALL_STATE(1097)] = 4353,
  [SMALL_STATE(1098)] = 4481,
  [SMALL_STATE(1099)] = 4609,
  [SMALL_STATE(1100)] = 4737,
  [SMALL_STATE(1101)] = 4865,
  [SMALL_STATE(1102)] = 4993,
  [SMALL_STATE(1103)] = 5121,
  [SMALL_STATE(1104)] = 5249,
  [SMALL_STATE(1105)] = 5377,
  [SMALL_STATE(1106)] = 5505,
  [SMALL_STATE(1107)] = 5633,
  [SMALL_STATE(1108)] = 5761,
  [SMALL_STATE(1109)] = 5889,
  [SMALL_STATE(1110)] = 6017,
  [SMALL_STATE(1111)] = 6145,
  [SMALL_STATE(1112)] = 6273,
  [SMALL_STATE(1113)] = 6401,
  [SMALL_STATE(1114)] = 6529,
  [SMALL_STATE(1115)] = 6657,
  [SMALL_STATE(1116)] = 6785,
  [SMALL_STATE(1117)] = 6913,
  [SMALL_STATE(1118)] = 7041,
  [SMALL_STATE(1119)] = 7169,
  [SMALL_STATE(1120)] = 7297,
  [SMALL_STATE(1121)] = 7425,
  [SMALL_STATE(1122)] = 7553,
  [SMALL_STATE(1123)] = 7681,
  [SMALL_STATE(1124)] = 7809,
  [SMALL_STATE(1125)] = 7937,
  [SMALL_STATE(1126)] = 8065,
  [SMALL_STATE(1127)] = 8193,
  [SMALL_STATE(1128)] = 8321,
  [SMALL_STATE(1129)] = 8449,
  [SMALL_STATE(1130)] = 8577,
  [SMALL_STATE(1131)] = 8705,
  [SMALL_STATE(1132)] = 8833,
  [SMALL_STATE(1133)] = 8961,
  [SMALL_STATE(1134)] = 9089,
  [SMALL_STATE(1135)] = 9217,
  [SMALL_STATE(1136)] = 9345,
  [SMALL_STATE(1137)] = 9473,
  [SMALL_STATE(1138)] = 9601,
  [SMALL_STATE(1139)] = 9729,
  [SMALL_STATE(1140)] = 9857,
  [SMALL_STATE(1141)] = 9985,
  [SMALL_STATE(1142)] = 10113,
  [SMALL_STATE(1143)] = 10241,
  [SMALL_STATE(1144)] = 10369,
  [SMALL_STATE(1145)] = 10497,
  [SMALL_STATE(1146)] = 10625,
  [SMALL_STATE(1147)] = 10753,
  [SMALL_STATE(1148)] = 10881,
  [SMALL_STATE(1149)] = 11009,
  [SMALL_STATE(1150)] = 11137,
  [SMALL_STATE(1151)] = 11265,
  [SMALL_STATE(1152)] = 11393,
  [SMALL_STATE(1153)] = 11521,
  [SMALL_STATE(1154)] = 11649,
  [SMALL_STATE(1155)] = 11777,
  [SMALL_STATE(1156)] = 11905,
  [SMALL_STATE(1157)] = 12033,
  [SMALL_STATE(1158)] = 12161,
  [SMALL_STATE(1159)] = 12289,
  [SMALL_STATE(1160)] = 12417,
  [SMALL_STATE(1161)] = 12545,
  [SMALL_STATE(1162)] = 12673,
  [SMALL_STATE(1163)] = 12801,
  [SMALL_STATE(1164)] = 12929,
  [SMALL_STATE(1165)] = 13057,
  [SMALL_STATE(1166)] = 13185,
  [SMALL_STATE(1167)] = 13313,
  [SMALL_STATE(1168)] = 13441,
  [SMALL_STATE(1169)] = 13569,
  [SMALL_STATE(1170)] = 13697,
  [SMALL_STATE(1171)] = 13825,
  [SMALL_STATE(1172)] = 13953,
  [SMALL_STATE(1173)] = 14081,
  [SMALL_STATE(1174)] = 14209,
  [SMALL_STATE(1175)] = 14337,
  [SMALL_STATE(1176)] = 14465,
  [SMALL_STATE(1177)] = 14593,
  [SMALL_STATE(1178)] = 14721,
  [SMALL_STATE(1179)] = 14849,
  [SMALL_STATE(1180)] = 14977,
  [SMALL_STATE(1181)] = 15105,
  [SMALL_STATE(1182)] = 15233,
  [SMALL_STATE(1183)] = 15361,
  [SMALL_STATE(1184)] = 15489,
  [SMALL_STATE(1185)] = 15617,
  [SMALL_STATE(1186)] = 15745,
  [SMALL_STATE(1187)] = 15873,
  [SMALL_STATE(1188)] = 16001,
  [SMALL_STATE(1189)] = 16129,
  [SMALL_STATE(1190)] = 16257,
  [SMALL_STATE(1191)] = 16385,
  [SMALL_STATE(1192)] = 16513,
  [SMALL_STATE(1193)] = 16641,
  [SMALL_STATE(1194)] = 16769,
  [SMALL_STATE(1195)] = 16897,
  [SMALL_STATE(1196)] = 17025,
  [SMALL_STATE(1197)] = 17153,
  [SMALL_STATE(1198)] = 17281,
  [SMALL_STATE(1199)] = 17409,
  [SMALL_STATE(1200)] = 17537,
  [SMALL_STATE(1201)] = 17665,
  [SMALL_STATE(1202)] = 17793,
  [SMALL_STATE(1203)] = 17921,
  [SMALL_STATE(1204)] = 18049,
  [SMALL_STATE(1205)] = 18177,
  [SMALL_STATE(1206)] = 18305,
  [SMALL_STATE(1207)] = 18433,
  [SMALL_STATE(1208)] = 18561,
  [SMALL_STATE(1209)] = 18689,
  [SMALL_STATE(1210)] = 18817,
  [SMALL_STATE(1211)] = 18945,
  [SMALL_STATE(1212)] = 19073,
  [SMALL_STATE(1213)] = 19201,
  [SMALL_STATE(1214)] = 19329,
  [SMALL_STATE(1215)] = 19457,
  [SMALL_STATE(1216)] = 19585,
  [SMALL_STATE(1217)] = 19713,
  [SMALL_STATE(1218)] = 19841,
  [SMALL_STATE(1219)] = 19969,
  [SMALL_STATE(1220)] = 20097,
  [SMALL_STATE(1221)] = 20225,
  [SMALL_STATE(1222)] = 20353,
  [SMALL_STATE(1223)] = 20481,
  [SMALL_STATE(1224)] = 20609,
  [SMALL_STATE(1225)] = 20737,
  [SMALL_STATE(1226)] = 20865,
  [SMALL_STATE(1227)] = 20993,
  [SMALL_STATE(1228)] = 21121,
  [SMALL_STATE(1229)] = 21249,
  [SMALL_STATE(1230)] = 21377,
  [SMALL_STATE(1231)] = 21505,
  [SMALL_STATE(1232)] = 21633,
  [SMALL_STATE(1233)] = 21761,
  [SMALL_STATE(1234)] = 21889,
  [SMALL_STATE(1235)] = 22017,
  [SMALL_STATE(1236)] = 22145,
  [SMALL_STATE(1237)] = 22273,
  [SMALL_STATE(1238)] = 22401,
  [SMALL_STATE(1239)] = 22529,
  [SMALL_STATE(1240)] = 22657,
  [SMALL_STATE(1241)] = 22785,
  [SMALL_STATE(1242)] = 22913,
  [SMALL_STATE(1243)] = 23041,
  [SMALL_STATE(1244)] = 23169,
  [SMALL_STATE(1245)] = 23297,
  [SMALL_STATE(1246)] = 23425,
  [SMALL_STATE(1247)] = 23553,
  [SMALL_STATE(1248)] = 23681,
  [SMALL_STATE(1249)] = 23809,
  [SMALL_STATE(1250)] = 23937,
  [SMALL_STATE(1251)] = 24065,
  [SMALL_STATE(1252)] = 24193,
  [SMALL_STATE(1253)] = 24321,
  [SMALL_STATE(1254)] = 24449,
  [SMALL_STATE(1255)] = 24577,
  [SMALL_STATE(1256)] = 24705,
  [SMALL_STATE(1257)] = 24833,
  [SMALL_STATE(1258)] = 24961,
  [SMALL_STATE(1259)] = 25089,
  [SMALL_STATE(1260)] = 25217,
  [SMALL_STATE(1261)] = 25345,
  [SMALL_STATE(1262)] = 25473,
  [SMALL_STATE(1263)] = 25601,
  [SMALL_STATE(1264)] = 25729,
  [SMALL_STATE(1265)] = 25857,
  [SMALL_STATE(1266)] = 25985,
  [SMALL_STATE(1267)] = 26113,
  [SMALL_STATE(1268)] = 26241,
  [SMALL_STATE(1269)] = 26369,
  [SMALL_STATE(1270)] = 26497,
  [SMALL_STATE(1271)] = 26625,
  [SMALL_STATE(1272)] = 26753,
  [SMALL_STATE(1273)] = 26881,
  [SMALL_STATE(1274)] = 27009,
  [SMALL_STATE(1275)] = 27137,
  [SMALL_STATE(1276)] = 27265,
  [SMALL_STATE(1277)] = 27393,
  [SMALL_STATE(1278)] = 27521,
  [SMALL_STATE(1279)] = 27649,
  [SMALL_STATE(1280)] = 27777,
  [SMALL_STATE(1281)] = 27905,
  [SMALL_STATE(1282)] = 28033,
  [SMALL_STATE(1283)] = 28161,
  [SMALL_STATE(1284)] = 28289,
  [SMALL_STATE(1285)] = 28417,
  [SMALL_STATE(1286)] = 28545,
  [SMALL_STATE(1287)] = 28673,
  [SMALL_STATE(1288)] = 28801,
  [SMALL_STATE(1289)] = 28929,
  [SMALL_STATE(1290)] = 29057,
  [SMALL_STATE(1291)] = 29185,
  [SMALL_STATE(1292)] = 29313,
  [SMALL_STATE(1293)] = 29441,
  [SMALL_STATE(1294)] = 29569,
  [SMALL_STATE(1295)] = 29697,
  [SMALL_STATE(1296)] = 29825,
  [SMALL_STATE(1297)] = 29953,
  [SMALL_STATE(1298)] = 30081,
  [SMALL_STATE(1299)] = 30209,
  [SMALL_STATE(1300)] = 30337,
  [SMALL_STATE(1301)] = 30465,
  [SMALL_STATE(1302)] = 30593,
  [SMALL_STATE(1303)] = 30721,
  [SMALL_STATE(1304)] = 30849,
  [SMALL_STATE(1305)] = 30977,
  [SMALL_STATE(1306)] = 31105,
  [SMALL_STATE(1307)] = 31233,
  [SMALL_STATE(1308)] = 31361,
  [SMALL_STATE(1309)] = 31489,
  [SMALL_STATE(1310)] = 31617,
  [SMALL_STATE(1311)] = 31745,
  [SMALL_STATE(1312)] = 31873,
  [SMALL_STATE(1313)] = 32001,
  [SMALL_STATE(1314)] = 32129,
  [SMALL_STATE(1315)] = 32257,
  [SMALL_STATE(1316)] = 32385,
  [SMALL_STATE(1317)] = 32513,
  [SMALL_STATE(1318)] = 32641,
  [SMALL_STATE(1319)] = 32769,
  [SMALL_STATE(1320)] = 32897,
  [SMALL_STATE(1321)] = 33025,
  [SMALL_STATE(1322)] = 33153,
  [SMALL_STATE(1323)] = 33281,
  [SMALL_STATE(1324)] = 33409,
  [SMALL_STATE(1325)] = 33537,
  [SMALL_STATE(1326)] = 33665,
  [SMALL_STATE(1327)] = 33793,
  [SMALL_STATE(1328)] = 33921,
  [SMALL_STATE(1329)] = 34049,
  [SMALL_STATE(1330)] = 34177,
  [SMALL_STATE(1331)] = 34305,
  [SMALL_STATE(1332)] = 34433,
  [SMALL_STATE(1333)] = 34561,
  [SMALL_STATE(1334)] = 34689,
  [SMALL_STATE(1335)] = 34817,
  [SMALL_STATE(1336)] = 34945,
  [SMALL_STATE(1337)] = 35073,
  [SMALL_STATE(1338)] = 35201,
  [SMALL_STATE(1339)] = 35329,
  [SMALL_STATE(1340)] = 35457,
  [SMALL_STATE(1341)] = 35585,
  [SMALL_STATE(1342)] = 35713,
  [SMALL_STATE(1343)] = 35841,
  [SMALL_STATE(1344)] = 35969,
  [SMALL_STATE(1345)] = 36097,
  [SMALL_STATE(1346)] = 36225,
  [SMALL_STATE(1347)] = 36353,
  [SMALL_STATE(1348)] = 36481,
  [SMALL_STATE(1349)] = 36609,
  [SMALL_STATE(1350)] = 36737,
  [SMALL_STATE(1351)] = 36865,
  [SMALL_STATE(1352)] = 36993,
  [SMALL_STATE(1353)] = 37121,
  [SMALL_STATE(1354)] = 37249,
  [SMALL_STATE(1355)] = 37377,
  [SMALL_STATE(1356)] = 37505,
  [SMALL_STATE(1357)] = 37633,
  [SMALL_STATE(1358)] = 37761,
  [SMALL_STATE(1359)] = 37889,
  [SMALL_STATE(1360)] = 38017,
  [SMALL_STATE(1361)] = 38145,
  [SMALL_STATE(1362)] = 38273,
  [SMALL_STATE(1363)] = 38401,
  [SMALL_STATE(1364)] = 38529,
  [SMALL_STATE(1365)] = 38657,
  [SMALL_STATE(1366)] = 38785,
  [SMALL_STATE(1367)] = 38913,
  [SMALL_STATE(1368)] = 39041,
  [SMALL_STATE(1369)] = 39169,
  [SMALL_STATE(1370)] = 39297,
  [SMALL_STATE(1371)] = 39425,
  [SMALL_STATE(1372)] = 39553,
  [SMALL_STATE(1373)] = 39681,
  [SMALL_STATE(1374)] = 39809,
  [SMALL_STATE(1375)] = 39937,
  [SMALL_STATE(1376)] = 40065,
  [SMALL_STATE(1377)] = 40193,
  [SMALL_STATE(1378)] = 40321,
  [SMALL_STATE(1379)] = 40449,
  [SMALL_STATE(1380)] = 40577,
  [SMALL_STATE(1381)] = 40705,
  [SMALL_STATE(1382)] = 40833,
  [SMALL_STATE(1383)] = 40961,
  [SMALL_STATE(1384)] = 41089,
  [SMALL_STATE(1385)] = 41217,
  [SMALL_STATE(1386)] = 41345,
  [SMALL_STATE(1387)] = 41473,
  [SMALL_STATE(1388)] = 41601,
  [SMALL_STATE(1389)] = 41729,
  [SMALL_STATE(1390)] = 41857,
  [SMALL_STATE(1391)] = 41985,
  [SMALL_STATE(1392)] = 42113,
  [SMALL_STATE(1393)] = 42241,
  [SMALL_STATE(1394)] = 42369,
  [SMALL_STATE(1395)] = 42497,
  [SMALL_STATE(1396)] = 42625,
  [SMALL_STATE(1397)] = 42753,
  [SMALL_STATE(1398)] = 42881,
  [SMALL_STATE(1399)] = 43009,
  [SMALL_STATE(1400)] = 43137,
  [SMALL_STATE(1401)] = 43265,
  [SMALL_STATE(1402)] = 43393,
  [SMALL_STATE(1403)] = 43521,
  [SMALL_STATE(1404)] = 43649,
  [SMALL_STATE(1405)] = 43777,
  [SMALL_STATE(1406)] = 43905,
  [SMALL_STATE(1407)] = 44033,
  [SMALL_STATE(1408)] = 44161,
  [SMALL_STATE(1409)] = 44289,
  [SMALL_STATE(1410)] = 44417,
  [SMALL_STATE(1411)] = 44545,
  [SMALL_STATE(1412)] = 44673,
  [SMALL_STATE(1413)] = 44801,
  [SMALL_STATE(1414)] = 44929,
  [SMALL_STATE(1415)] = 45057,
  [SMALL_STATE(1416)] = 45185,
  [SMALL_STATE(1417)] = 45313,
  [SMALL_STATE(1418)] = 45441,
  [SMALL_STATE(1419)] = 45569,
  [SMALL_STATE(1420)] = 45697,
  [SMALL_STATE(1421)] = 45825,
  [SMALL_STATE(1422)] = 45953,
  [SMALL_STATE(1423)] = 46081,
  [SMALL_STATE(1424)] = 46209,
  [SMALL_STATE(1425)] = 46337,
  [SMALL_STATE(1426)] = 46465,
  [SMALL_STATE(1427)] = 46593,
  [SMALL_STATE(1428)] = 46721,
  [SMALL_STATE(1429)] = 46849,
  [SMALL_STATE(1430)] = 46977,
  [SMALL_STATE(1431)] = 47105,
  [SMALL_STATE(1432)] = 47233,
  [SMALL_STATE(1433)] = 47361,
  [SMALL_STATE(1434)] = 47489,
  [SMALL_STATE(1435)] = 47617,
  [SMALL_STATE(1436)] = 47745,
  [SMALL_STATE(1437)] = 47873,
  [SMALL_STATE(1438)] = 48001,
  [SMALL_STATE(1439)] = 48129,
  [SMALL_STATE(1440)] = 48257,
  [SMALL_STATE(1441)] = 48385,
  [SMALL_STATE(1442)] = 48513,
  [SMALL_STATE(1443)] = 48641,
  [SMALL_STATE(1444)] = 48769,
  [SMALL_STATE(1445)] = 48897,
  [SMALL_STATE(1446)] = 49025,
  [SMALL_STATE(1447)] = 49153,
  [SMALL_STATE(1448)] = 49281,
  [SMALL_STATE(1449)] = 49409,
  [SMALL_STATE(1450)] = 49537,
  [SMALL_STATE(1451)] = 49665,
  [SMALL_STATE(1452)] = 49793,
  [SMALL_STATE(1453)] = 49921,
  [SMALL_STATE(1454)] = 50049,
  [SMALL_STATE(1455)] = 50177,
  [SMALL_STATE(1456)] = 50305,
  [SMALL_STATE(1457)] = 50433,
  [SMALL_STATE(1458)] = 50561,
  [SMALL_STATE(1459)] = 50689,
  [SMALL_STATE(1460)] = 50817,
  [SMALL_STATE(1461)] = 50945,
  [SMALL_STATE(1462)] = 51073,
  [SMALL_STATE(1463)] = 51201,
  [SMALL_STATE(1464)] = 51329,
  [SMALL_STATE(1465)] = 51457,
  [SMALL_STATE(1466)] = 51585,
  [SMALL_STATE(1467)] = 51713,
  [SMALL_STATE(1468)] = 51841,
  [SMALL_STATE(1469)] = 51969,
  [SMALL_STATE(1470)] = 52097,
  [SMALL_STATE(1471)] = 52225,
  [SMALL_STATE(1472)] = 52353,
  [SMALL_STATE(1473)] = 52481,
  [SMALL_STATE(1474)] = 52609,
  [SMALL_STATE(1475)] = 52737,
  [SMALL_STATE(1476)] = 52865,
  [SMALL_STATE(1477)] = 52993,
  [SMALL_STATE(1478)] = 53121,
  [SMALL_STATE(1479)] = 53249,
  [SMALL_STATE(1480)] = 53377,
  [SMALL_STATE(1481)] = 53505,
  [SMALL_STATE(1482)] = 53633,
  [SMALL_STATE(1483)] = 53761,
  [SMALL_STATE(1484)] = 53889,
  [SMALL_STATE(1485)] = 54017,
  [SMALL_STATE(1486)] = 54145,
  [SMALL_STATE(1487)] = 54273,
  [SMALL_STATE(1488)] = 54401,
  [SMALL_STATE(1489)] = 54529,
  [SMALL_STATE(1490)] = 54657,
  [SMALL_STATE(1491)] = 54785,
  [SMALL_STATE(1492)] = 54913,
  [SMALL_STATE(1493)] = 55041,
  [SMALL_STATE(1494)] = 55169,
  [SMALL_STATE(1495)] = 55297,
  [SMALL_STATE(1496)] = 55425,
  [SMALL_STATE(1497)] = 55553,
  [SMALL_STATE(1498)] = 55681,
  [SMALL_STATE(1499)] = 55809,
  [SMALL_STATE(1500)] = 55937,
  [SMALL_STATE(1501)] = 56065,
  [SMALL_STATE(1502)] = 56193,
  [SMALL_STATE(1503)] = 56321,
  [SMALL_STATE(1504)] = 56449,
  [SMALL_STATE(1505)] = 56577,
  [SMALL_STATE(1506)] = 56705,
  [SMALL_STATE(1507)] = 56833,
  [SMALL_STATE(1508)] = 56961,
  [SMALL_STATE(1509)] = 57089,
  [SMALL_STATE(1510)] = 57217,
  [SMALL_STATE(1511)] = 57345,
  [SMALL_STATE(1512)] = 57473,
  [SMALL_STATE(1513)] = 57601,
  [SMALL_STATE(1514)] = 57729,
  [SMALL_STATE(1515)] = 57857,
  [SMALL_STATE(1516)] = 57985,
  [SMALL_STATE(1517)] = 58113,
  [SMALL_STATE(1518)] = 58241,
  [SMALL_STATE(1519)] = 58369,
  [SMALL_STATE(1520)] = 58497,
  [SMALL_STATE(1521)] = 58625,
  [SMALL_STATE(1522)] = 58753,
  [SMALL_STATE(1523)] = 58881,
  [SMALL_STATE(1524)] = 59009,
  [SMALL_STATE(1525)] = 59137,
  [SMALL_STATE(1526)] = 59265,
  [SMALL_STATE(1527)] = 59393,
  [SMALL_STATE(1528)] = 59521,
  [SMALL_STATE(1529)] = 59649,
  [SMALL_STATE(1530)] = 59777,
  [SMALL_STATE(1531)] = 59905,
  [SMALL_STATE(1532)] = 60033,
  [SMALL_STATE(1533)] = 60161,
  [SMALL_STATE(1534)] = 60289,
  [SMALL_STATE(1535)] = 60417,
  [SMALL_STATE(1536)] = 60545,
  [SMALL_STATE(1537)] = 60673,
  [SMALL_STATE(1538)] = 60801,
  [SMALL_STATE(1539)] = 60929,
  [SMALL_STATE(1540)] = 61057,
  [SMALL_STATE(1541)] = 61185,
  [SMALL_STATE(1542)] = 61313,
  [SMALL_STATE(1543)] = 61441,
  [SMALL_STATE(1544)] = 61569,
  [SMALL_STATE(1545)] = 61697,
  [SMALL_STATE(1546)] = 61825,
  [SMALL_STATE(1547)] = 61953,
  [SMALL_STATE(1548)] = 62081,
  [SMALL_STATE(1549)] = 62209,
  [SMALL_STATE(1550)] = 62337,
  [SMALL_STATE(1551)] = 62465,
  [SMALL_STATE(1552)] = 62593,
  [SMALL_STATE(1553)] = 62721,
  [SMALL_STATE(1554)] = 62849,
  [SMALL_STATE(1555)] = 62977,
  [SMALL_STATE(1556)] = 63105,
  [SMALL_STATE(1557)] = 63233,
  [SMALL_STATE(1558)] = 63361,
  [SMALL_STATE(1559)] = 63489,
  [SMALL_STATE(1560)] = 63617,
  [SMALL_STATE(1561)] = 63745,
  [SMALL_STATE(1562)] = 63873,
  [SMALL_STATE(1563)] = 64001,
  [SMALL_STATE(1564)] = 64129,
  [SMALL_STATE(1565)] = 64257,
  [SMALL_STATE(1566)] = 64385,
  [SMALL_STATE(1567)] = 64513,
  [SMALL_STATE(1568)] = 64641,
  [SMALL_STATE(1569)] = 64769,
  [SMALL_STATE(1570)] = 64897,
  [SMALL_STATE(1571)] = 65025,
  [SMALL_STATE(1572)] = 65153,
  [SMALL_STATE(1573)] = 65281,
  [SMALL_STATE(1574)] = 65409,
  [SMALL_STATE(1575)] = 65537,
  [SMALL_STATE(1576)] = 65665,
  [SMALL_STATE(1577)] = 65793,
  [SMALL_STATE(1578)] = 65921,
  [SMALL_STATE(1579)] = 66049,
  [SMALL_STATE(1580)] = 66177,
  [SMALL_STATE(1581)] = 66305,
  [SMALL_STATE(1582)] = 66433,
  [SMALL_STATE(1583)] = 66561,
  [SMALL_STATE(1584)] = 66689,
  [SMALL_STATE(1585)] = 66817,
  [SMALL_STATE(1586)] = 66945,
  [SMALL_STATE(1587)] = 67073,
  [SMALL_STATE(1588)] = 67201,
  [SMALL_STATE(1589)] = 67329,
  [SMALL_STATE(1590)] = 67457,
  [SMALL_STATE(1591)] = 67585,
  [SMALL_STATE(1592)] = 67713,
  [SMALL_STATE(1593)] = 67841,
  [SMALL_STATE(1594)] = 67969,
  [SMALL_STATE(1595)] = 68097,
  [SMALL_STATE(1596)] = 68225,
  [SMALL_STATE(1597)] = 68353,
  [SMALL_STATE(1598)] = 68481,
  [SMALL_STATE(1599)] = 68609,
  [SMALL_STATE(1600)] = 68737,
  [SMALL_STATE(1601)] = 68865,
  [SMALL_STATE(1602)] = 68993,
  [SMALL_STATE(1603)] = 69121,
  [SMALL_STATE(1604)] = 69249,
  [SMALL_STATE(1605)] = 69377,
  [SMALL_STATE(1606)] = 69505,
  [SMALL_STATE(1607)] = 69633,
  [SMALL_STATE(1608)] = 69761,
  [SMALL_STATE(1609)] = 69889,
  [SMALL_STATE(1610)] = 70017,
  [SMALL_STATE(1611)] = 70145,
  [SMALL_STATE(1612)] = 70273,
  [SMALL_STATE(1613)] = 70401,
  [SMALL_STATE(1614)] = 70529,
  [SMALL_STATE(1615)] = 70657,
  [SMALL_STATE(1616)] = 70785,
  [SMALL_STATE(1617)] = 70913,
  [SMALL_STATE(1618)] = 71041,
  [SMALL_STATE(1619)] = 71169,
  [SMALL_STATE(1620)] = 71297,
  [SMALL_STATE(1621)] = 71425,
  [SMALL_STATE(1622)] = 71553,
  [SMALL_STATE(1623)] = 71681,
  [SMALL_STATE(1624)] = 71809,
  [SMALL_STATE(1625)] = 71937,
  [SMALL_STATE(1626)] = 72065,
  [SMALL_STATE(1627)] = 72193,
  [SMALL_STATE(1628)] = 72321,
  [SMALL_STATE(1629)] = 72449,
  [SMALL_STATE(1630)] = 72577,
  [SMALL_STATE(1631)] = 72705,
  [SMALL_STATE(1632)] = 72833,
  [SMALL_STATE(1633)] = 72961,
  [SMALL_STATE(1634)] = 73089,
  [SMALL_STATE(1635)] = 73217,
  [SMALL_STATE(1636)] = 73345,
  [SMALL_STATE(1637)] = 73473,
  [SMALL_STATE(1638)] = 73601,
  [SMALL_STATE(1639)] = 73729,
  [SMALL_STATE(1640)] = 73857,
  [SMALL_STATE(1641)] = 73985,
  [SMALL_STATE(1642)] = 74113,
  [SMALL_STATE(1643)] = 74241,
  [SMALL_STATE(1644)] = 74369,
  [SMALL_STATE(1645)] = 74497,
  [SMALL_STATE(1646)] = 74625,
  [SMALL_STATE(1647)] = 74753,
  [SMALL_STATE(1648)] = 74881,
  [SMALL_STATE(1649)] = 75009,
  [SMALL_STATE(1650)] = 75137,
  [SMALL_STATE(1651)] = 75265,
  [SMALL_STATE(1652)] = 75393,
  [SMALL_STATE(1653)] = 75521,
  [SMALL_STATE(1654)] = 75649,
  [SMALL_STATE(1655)] = 75777,
  [SMALL_STATE(1656)] = 75905,
  [SMALL_STATE(1657)] = 76033,
  [SMALL_STATE(1658)] = 76161,
  [SMALL_STATE(1659)] = 76289,
  [SMALL_STATE(1660)] = 76417,
  [SMALL_STATE(1661)] = 76545,
  [SMALL_STATE(1662)] = 76673,
  [SMALL_STATE(1663)] = 76801,
  [SMALL_STATE(1664)] = 76929,
  [SMALL_STATE(1665)] = 77057,
  [SMALL_STATE(1666)] = 77185,
  [SMALL_STATE(1667)] = 77313,
  [SMALL_STATE(1668)] = 77441,
  [SMALL_STATE(1669)] = 77569,
  [SMALL_STATE(1670)] = 77697,
  [SMALL_STATE(1671)] = 77825,
  [SMALL_STATE(1672)] = 77953,
  [SMALL_STATE(1673)] = 78081,
  [SMALL_STATE(1674)] = 78209,
  [SMALL_STATE(1675)] = 78337,
  [SMALL_STATE(1676)] = 78465,
  [SMALL_STATE(1677)] = 78593,
  [SMALL_STATE(1678)] = 78721,
  [SMALL_STATE(1679)] = 78849,
  [SMALL_STATE(1680)] = 78977,
  [SMALL_STATE(1681)] = 79105,
  [SMALL_STATE(1682)] = 79233,
  [SMALL_STATE(1683)] = 79361,
  [SMALL_STATE(1684)] = 79489,
  [SMALL_STATE(1685)] = 79617,
  [SMALL_STATE(1686)] = 79745,
  [SMALL_STATE(1687)] = 79873,
  [SMALL_STATE(1688)] = 80001,
  [SMALL_STATE(1689)] = 80129,
  [SMALL_STATE(1690)] = 80257,
  [SMALL_STATE(1691)] = 80385,
  [SMALL_STATE(1692)] = 80513,
  [SMALL_STATE(1693)] = 80641,
  [SMALL_STATE(1694)] = 80769,
  [SMALL_STATE(1695)] = 80897,
  [SMALL_STATE(1696)] = 81025,
  [SMALL_STATE(1697)] = 81153,
  [SMALL_STATE(1698)] = 81281,
  [SMALL_STATE(1699)] = 81409,
  [SMALL_STATE(1700)] = 81537,
  [SMALL_STATE(1701)] = 81665,
  [SMALL_STATE(1702)] = 81793,
  [SMALL_STATE(1703)] = 81921,
  [SMALL_STATE(1704)] = 82049,
  [SMALL_STATE(1705)] = 82177,
  [SMALL_STATE(1706)] = 82305,
  [SMALL_STATE(1707)] = 82433,
  [SMALL_STATE(1708)] = 82561,
  [SMALL_STATE(1709)] = 82689,
  [SMALL_STATE(1710)] = 82817,
  [SMALL_STATE(1711)] = 82945,
  [SMALL_STATE(1712)] = 83073,
  [SMALL_STATE(1713)] = 83201,
  [SMALL_STATE(1714)] = 83329,
  [SMALL_STATE(1715)] = 83457,
  [SMALL_STATE(1716)] = 83585,
  [SMALL_STATE(1717)] = 83713,
  [SMALL_STATE(1718)] = 83841,
  [SMALL_STATE(1719)] = 83969,
  [SMALL_STATE(1720)] = 84097,
  [SMALL_STATE(1721)] = 84225,
  [SMALL_STATE(1722)] = 84353,
  [SMALL_STATE(1723)] = 84481,
  [SMALL_STATE(1724)] = 84609,
  [SMALL_STATE(1725)] = 84737,
  [SMALL_STATE(1726)] = 84865,
  [SMALL_STATE(1727)] = 84993,
  [SMALL_STATE(1728)] = 85121,
  [SMALL_STATE(1729)] = 85249,
  [SMALL_STATE(1730)] = 85377,
  [SMALL_STATE(1731)] = 85505,
  [SMALL_STATE(1732)] = 85633,
  [SMALL_STATE(1733)] = 85761,
  [SMALL_STATE(1734)] = 85889,
  [SMALL_STATE(1735)] = 86017,
  [SMALL_STATE(1736)] = 86145,
  [SMALL_STATE(1737)] = 86273,
  [SMALL_STATE(1738)] = 86401,
  [SMALL_STATE(1739)] = 86529,
  [SMALL_STATE(1740)] = 86657,
  [SMALL_STATE(1741)] = 86785,
  [SMALL_STATE(1742)] = 86913,
  [SMALL_STATE(1743)] = 87041,
  [SMALL_STATE(1744)] = 87169,
  [SMALL_STATE(1745)] = 87297,
  [SMALL_STATE(1746)] = 87425,
  [SMALL_STATE(1747)] = 87553,
  [SMALL_STATE(1748)] = 87681,
  [SMALL_STATE(1749)] = 87809,
  [SMALL_STATE(1750)] = 87937,
  [SMALL_STATE(1751)] = 88065,
  [SMALL_STATE(1752)] = 88193,
  [SMALL_STATE(1753)] = 88321,
  [SMALL_STATE(1754)] = 88449,
  [SMALL_STATE(1755)] = 88577,
  [SMALL_STATE(1756)] = 88705,
  [SMALL_STATE(1757)] = 88833,
  [SMALL_STATE(1758)] = 88961,
  [SMALL_STATE(1759)] = 89089,
  [SMALL_STATE(1760)] = 89217,
  [SMALL_STATE(1761)] = 89345,
  [SMALL_STATE(1762)] = 89473,
  [SMALL_STATE(1763)] = 89601,
  [SMALL_STATE(1764)] = 89729,
  [SMALL_STATE(1765)] = 89857,
  [SMALL_STATE(1766)] = 89985,
  [SMALL_STATE(1767)] = 90113,
  [SMALL_STATE(1768)] = 90241,
  [SMALL_STATE(1769)] = 90369,
  [SMALL_STATE(1770)] = 90497,
  [SMALL_STATE(1771)] = 90625,
  [SMALL_STATE(1772)] = 90753,
  [SMALL_STATE(1773)] = 90881,
  [SMALL_STATE(1774)] = 91009,
  [SMALL_STATE(1775)] = 91137,
  [SMALL_STATE(1776)] = 91265,
  [SMALL_STATE(1777)] = 91393,
  [SMALL_STATE(1778)] = 91521,
  [SMALL_STATE(1779)] = 91649,
  [SMALL_STATE(1780)] = 91771,
  [SMALL_STATE(1781)] = 91893,
  [SMALL_STATE(1782)] = 92015,
  [SMALL_STATE(1783)] = 92137,
  [SMALL_STATE(1784)] = 92259,
  [SMALL_STATE(1785)] = 92381,
  [SMALL_STATE(1786)] = 92503,
  [SMALL_STATE(1787)] = 92625,
  [SMALL_STATE(1788)] = 92747,
  [SMALL_STATE(1789)] = 92869,
  [SMALL_STATE(1790)] = 92991,
  [SMALL_STATE(1791)] = 93113,
  [SMALL_STATE(1792)] = 93235,
  [SMALL_STATE(1793)] = 93357,
  [SMALL_STATE(1794)] = 93479,
  [SMALL_STATE(1795)] = 93601,
  [SMALL_STATE(1796)] = 93723,
  [SMALL_STATE(1797)] = 93845,
  [SMALL_STATE(1798)] = 93967,
  [SMALL_STATE(1799)] = 94089,
  [SMALL_STATE(1800)] = 94211,
  [SMALL_STATE(1801)] = 94333,
  [SMALL_STATE(1802)] = 94455,
  [SMALL_STATE(1803)] = 94577,
  [SMALL_STATE(1804)] = 94699,
  [SMALL_STATE(1805)] = 94821,
  [SMALL_STATE(1806)] = 94943,
  [SMALL_STATE(1807)] = 95065,
  [SMALL_STATE(1808)] = 95187,
  [SMALL_STATE(1809)] = 95309,
  [SMALL_STATE(1810)] = 95431,
  [SMALL_STATE(1811)] = 95553,
  [SMALL_STATE(1812)] = 95675,
  [SMALL_STATE(1813)] = 95797,
  [SMALL_STATE(1814)] = 95919,
  [SMALL_STATE(1815)] = 96041,
  [SMALL_STATE(1816)] = 96163,
  [SMALL_STATE(1817)] = 96285,
  [SMALL_STATE(1818)] = 96407,
  [SMALL_STATE(1819)] = 96529,
  [SMALL_STATE(1820)] = 96651,
  [SMALL_STATE(1821)] = 96773,
  [SMALL_STATE(1822)] = 96895,
  [SMALL_STATE(1823)] = 97017,
  [SMALL_STATE(1824)] = 97139,
  [SMALL_STATE(1825)] = 97261,
  [SMALL_STATE(1826)] = 97383,
  [SMALL_STATE(1827)] = 97505,
  [SMALL_STATE(1828)] = 97627,
  [SMALL_STATE(1829)] = 97749,
  [SMALL_STATE(1830)] = 97871,
  [SMALL_STATE(1831)] = 97993,
  [SMALL_STATE(1832)] = 98115,
  [SMALL_STATE(1833)] = 98237,
  [SMALL_STATE(1834)] = 98359,
  [SMALL_STATE(1835)] = 98481,
  [SMALL_STATE(1836)] = 98603,
  [SMALL_STATE(1837)] = 98725,
  [SMALL_STATE(1838)] = 98847,
  [SMALL_STATE(1839)] = 98969,
  [SMALL_STATE(1840)] = 99091,
  [SMALL_STATE(1841)] = 99213,
  [SMALL_STATE(1842)] = 99335,
  [SMALL_STATE(1843)] = 99457,
  [SMALL_STATE(1844)] = 99579,
  [SMALL_STATE(1845)] = 99701,
  [SMALL_STATE(1846)] = 99823,
  [SMALL_STATE(1847)] = 99945,
  [SMALL_STATE(1848)] = 100067,
  [SMALL_STATE(1849)] = 100189,
  [SMALL_STATE(1850)] = 100311,
  [SMALL_STATE(1851)] = 100433,
  [SMALL_STATE(1852)] = 100504,
  [SMALL_STATE(1853)] = 100575,
  [SMALL_STATE(1854)] = 100645,
  [SMALL_STATE(1855)] = 100715,
  [SMALL_STATE(1856)] = 100780,
  [SMALL_STATE(1857)] = 100888,
  [SMALL_STATE(1858)] = 100996,
  [SMALL_STATE(1859)] = 101104,
  [SMALL_STATE(1860)] = 101212,
  [SMALL_STATE(1861)] = 101276,
  [SMALL_STATE(1862)] = 101384,
  [SMALL_STATE(1863)] = 101492,
  [SMALL_STATE(1864)] = 101600,
  [SMALL_STATE(1865)] = 101708,
  [SMALL_STATE(1866)] = 101811,
  [SMALL_STATE(1867)] = 101914,
  [SMALL_STATE(1868)] = 102017,
  [SMALL_STATE(1869)] = 102120,
  [SMALL_STATE(1870)] = 102223,
  [SMALL_STATE(1871)] = 102326,
  [SMALL_STATE(1872)] = 102429,
  [SMALL_STATE(1873)] = 102532,
  [SMALL_STATE(1874)] = 102635,
  [SMALL_STATE(1875)] = 102738,
  [SMALL_STATE(1876)] = 102841,
  [SMALL_STATE(1877)] = 102944,
  [SMALL_STATE(1878)] = 103047,
  [SMALL_STATE(1879)] = 103150,
  [SMALL_STATE(1880)] = 103253,
  [SMALL_STATE(1881)] = 103356,
  [SMALL_STATE(1882)] = 103451,
  [SMALL_STATE(1883)] = 103522,
  [SMALL_STATE(1884)] = 103625,
  [SMALL_STATE(1885)] = 103712,
  [SMALL_STATE(1886)] = 103795,
  [SMALL_STATE(1887)] = 103874,
  [SMALL_STATE(1888)] = 103949,
  [SMALL_STATE(1889)] = 104052,
  [SMALL_STATE(1890)] = 104149,
  [SMALL_STATE(1891)] = 104240,
  [SMALL_STATE(1892)] = 104311,
  [SMALL_STATE(1893)] = 104364,
  [SMALL_STATE(1894)] = 104437,
  [SMALL_STATE(1895)] = 104508,
  [SMALL_STATE(1896)] = 104611,
  [SMALL_STATE(1897)] = 104714,
  [SMALL_STATE(1898)] = 104817,
  [SMALL_STATE(1899)] = 104912,
  [SMALL_STATE(1900)] = 104999,
  [SMALL_STATE(1901)] = 105070,
  [SMALL_STATE(1902)] = 105173,
  [SMALL_STATE(1903)] = 105276,
  [SMALL_STATE(1904)] = 105379,
  [SMALL_STATE(1905)] = 105482,
  [SMALL_STATE(1906)] = 105585,
  [SMALL_STATE(1907)] = 105688,
  [SMALL_STATE(1908)] = 105783,
  [SMALL_STATE(1909)] = 105870,
  [SMALL_STATE(1910)] = 105941,
  [SMALL_STATE(1911)] = 106042,
  [SMALL_STATE(1912)] = 106143,
  [SMALL_STATE(1913)] = 106238,
  [SMALL_STATE(1914)] = 106317,
  [SMALL_STATE(1915)] = 106420,
  [SMALL_STATE(1916)] = 106517,
  [SMALL_STATE(1917)] = 106608,
  [SMALL_STATE(1918)] = 106695,
  [SMALL_STATE(1919)] = 106778,
  [SMALL_STATE(1920)] = 106853,
  [SMALL_STATE(1921)] = 106924,
  [SMALL_STATE(1922)] = 106997,
  [SMALL_STATE(1923)] = 107103,
  [SMALL_STATE(1924)] = 107177,
  [SMALL_STATE(1925)] = 107247,
  [SMALL_STATE(1926)] = 107325,
  [SMALL_STATE(1927)] = 107427,
  [SMALL_STATE(1928)] = 107529,
  [SMALL_STATE(1929)] = 107631,
  [SMALL_STATE(1930)] = 107733,
  [SMALL_STATE(1931)] = 107835,
  [SMALL_STATE(1932)] = 107937,
  [SMALL_STATE(1933)] = 108007,
  [SMALL_STATE(1934)] = 108109,
  [SMALL_STATE(1935)] = 108215,
  [SMALL_STATE(1936)] = 108321,
  [SMALL_STATE(1937)] = 108427,
  [SMALL_STATE(1938)] = 108533,
  [SMALL_STATE(1939)] = 108605,
  [SMALL_STATE(1940)] = 108677,
  [SMALL_STATE(1941)] = 108783,
  [SMALL_STATE(1942)] = 108885,
  [SMALL_STATE(1943)] = 108991,
  [SMALL_STATE(1944)] = 109093,
  [SMALL_STATE(1945)] = 109199,
  [SMALL_STATE(1946)] = 109305,
  [SMALL_STATE(1947)] = 109375,
  [SMALL_STATE(1948)] = 109481,
  [SMALL_STATE(1949)] = 109587,
  [SMALL_STATE(1950)] = 109693,
  [SMALL_STATE(1951)] = 109799,
  [SMALL_STATE(1952)] = 109869,
  [SMALL_STATE(1953)] = 109971,
  [SMALL_STATE(1954)] = 110067,
  [SMALL_STATE(1955)] = 110173,
  [SMALL_STATE(1956)] = 110279,
  [SMALL_STATE(1957)] = 110385,
  [SMALL_STATE(1958)] = 110491,
  [SMALL_STATE(1959)] = 110593,
  [SMALL_STATE(1960)] = 110695,
  [SMALL_STATE(1961)] = 110747,
  [SMALL_STATE(1962)] = 110853,
  [SMALL_STATE(1963)] = 110959,
  [SMALL_STATE(1964)] = 111065,
  [SMALL_STATE(1965)] = 111171,
  [SMALL_STATE(1966)] = 111273,
  [SMALL_STATE(1967)] = 111379,
  [SMALL_STATE(1968)] = 111481,
  [SMALL_STATE(1969)] = 111587,
  [SMALL_STATE(1970)] = 111693,
  [SMALL_STATE(1971)] = 111799,
  [SMALL_STATE(1972)] = 111885,
  [SMALL_STATE(1973)] = 111955,
  [SMALL_STATE(1974)] = 112061,
  [SMALL_STATE(1975)] = 112163,
  [SMALL_STATE(1976)] = 112269,
  [SMALL_STATE(1977)] = 112375,
  [SMALL_STATE(1978)] = 112481,
  [SMALL_STATE(1979)] = 112587,
  [SMALL_STATE(1980)] = 112677,
  [SMALL_STATE(1981)] = 112779,
  [SMALL_STATE(1982)] = 112885,
  [SMALL_STATE(1983)] = 112987,
  [SMALL_STATE(1984)] = 113093,
  [SMALL_STATE(1985)] = 113199,
  [SMALL_STATE(1986)] = 113305,
  [SMALL_STATE(1987)] = 113407,
  [SMALL_STATE(1988)] = 113509,
  [SMALL_STATE(1989)] = 113603,
  [SMALL_STATE(1990)] = 113703,
  [SMALL_STATE(1991)] = 113809,
  [SMALL_STATE(1992)] = 113903,
  [SMALL_STATE(1993)] = 114009,
  [SMALL_STATE(1994)] = 114115,
  [SMALL_STATE(1995)] = 114221,
  [SMALL_STATE(1996)] = 114327,
  [SMALL_STATE(1997)] = 114433,
  [SMALL_STATE(1998)] = 114535,
  [SMALL_STATE(1999)] = 114641,
  [SMALL_STATE(2000)] = 114747,
  [SMALL_STATE(2001)] = 114853,
  [SMALL_STATE(2002)] = 114959,
  [SMALL_STATE(2003)] = 115065,
  [SMALL_STATE(2004)] = 115167,
  [SMALL_STATE(2005)] = 115273,
  [SMALL_STATE(2006)] = 115379,
  [SMALL_STATE(2007)] = 115473,
  [SMALL_STATE(2008)] = 115579,
  [SMALL_STATE(2009)] = 115657,
  [SMALL_STATE(2010)] = 115763,
  [SMALL_STATE(2011)] = 115869,
  [SMALL_STATE(2012)] = 115951,
  [SMALL_STATE(2013)] = 116057,
  [SMALL_STATE(2014)] = 116163,
  [SMALL_STATE(2015)] = 116265,
  [SMALL_STATE(2016)] = 116371,
  [SMALL_STATE(2017)] = 116471,
  [SMALL_STATE(2018)] = 116577,
  [SMALL_STATE(2019)] = 116673,
  [SMALL_STATE(2020)] = 116759,
  [SMALL_STATE(2021)] = 116865,
  [SMALL_STATE(2022)] = 116967,
  [SMALL_STATE(2023)] = 117073,
  [SMALL_STATE(2024)] = 117175,
  [SMALL_STATE(2025)] = 117281,
  [SMALL_STATE(2026)] = 117387,
  [SMALL_STATE(2027)] = 117489,
  [SMALL_STATE(2028)] = 117595,
  [SMALL_STATE(2029)] = 117685,
  [SMALL_STATE(2030)] = 117791,
  [SMALL_STATE(2031)] = 117893,
  [SMALL_STATE(2032)] = 117999,
  [SMALL_STATE(2033)] = 118105,
  [SMALL_STATE(2034)] = 118175,
  [SMALL_STATE(2035)] = 118281,
  [SMALL_STATE(2036)] = 118387,
  [SMALL_STATE(2037)] = 118493,
  [SMALL_STATE(2038)] = 118599,
  [SMALL_STATE(2039)] = 118685,
  [SMALL_STATE(2040)] = 118791,
  [SMALL_STATE(2041)] = 118893,
  [SMALL_STATE(2042)] = 118999,
  [SMALL_STATE(2043)] = 119105,
  [SMALL_STATE(2044)] = 119211,
  [SMALL_STATE(2045)] = 119293,
  [SMALL_STATE(2046)] = 119399,
  [SMALL_STATE(2047)] = 119473,
  [SMALL_STATE(2048)] = 119567,
  [SMALL_STATE(2049)] = 119673,
  [SMALL_STATE(2050)] = 119775,
  [SMALL_STATE(2051)] = 119879,
  [SMALL_STATE(2052)] = 119965,
  [SMALL_STATE(2053)] = 120010,
  [SMALL_STATE(2054)] = 120055,
  [SMALL_STATE(2055)] = 120100,
  [SMALL_STATE(2056)] = 120145,
  [SMALL_STATE(2057)] = 120190,
  [SMALL_STATE(2058)] = 120235,
  [SMALL_STATE(2059)] = 120284,
  [SMALL_STATE(2060)] = 120329,
  [SMALL_STATE(2061)] = 120374,
  [SMALL_STATE(2062)] = 120419,
  [SMALL_STATE(2063)] = 120464,
  [SMALL_STATE(2064)] = 120509,
  [SMALL_STATE(2065)] = 120558,
  [SMALL_STATE(2066)] = 120603,
  [SMALL_STATE(2067)] = 120648,
  [SMALL_STATE(2068)] = 120693,
  [SMALL_STATE(2069)] = 120738,
  [SMALL_STATE(2070)] = 120783,
  [SMALL_STATE(2071)] = 120828,
  [SMALL_STATE(2072)] = 120873,
  [SMALL_STATE(2073)] = 120918,
  [SMALL_STATE(2074)] = 120963,
  [SMALL_STATE(2075)] = 121008,
  [SMALL_STATE(2076)] = 121053,
  [SMALL_STATE(2077)] = 121098,
  [SMALL_STATE(2078)] = 121143,
  [SMALL_STATE(2079)] = 121188,
  [SMALL_STATE(2080)] = 121233,
  [SMALL_STATE(2081)] = 121278,
  [SMALL_STATE(2082)] = 121323,
  [SMALL_STATE(2083)] = 121368,
  [SMALL_STATE(2084)] = 121416,
  [SMALL_STATE(2085)] = 121464,
  [SMALL_STATE(2086)] = 121508,
  [SMALL_STATE(2087)] = 121552,
  [SMALL_STATE(2088)] = 121600,
  [SMALL_STATE(2089)] = 121644,
  [SMALL_STATE(2090)] = 121688,
  [SMALL_STATE(2091)] = 121732,
  [SMALL_STATE(2092)] = 121776,
  [SMALL_STATE(2093)] = 121820,
  [SMALL_STATE(2094)] = 121864,
  [SMALL_STATE(2095)] = 121907,
  [SMALL_STATE(2096)] = 121950,
  [SMALL_STATE(2097)] = 121993,
  [SMALL_STATE(2098)] = 122036,
  [SMALL_STATE(2099)] = 122079,
  [SMALL_STATE(2100)] = 122122,
  [SMALL_STATE(2101)] = 122165,
  [SMALL_STATE(2102)] = 122208,
  [SMALL_STATE(2103)] = 122251,
  [SMALL_STATE(2104)] = 122294,
  [SMALL_STATE(2105)] = 122337,
  [SMALL_STATE(2106)] = 122380,
  [SMALL_STATE(2107)] = 122423,
  [SMALL_STATE(2108)] = 122466,
  [SMALL_STATE(2109)] = 122509,
  [SMALL_STATE(2110)] = 122552,
  [SMALL_STATE(2111)] = 122595,
  [SMALL_STATE(2112)] = 122638,
  [SMALL_STATE(2113)] = 122681,
  [SMALL_STATE(2114)] = 122724,
  [SMALL_STATE(2115)] = 122767,
  [SMALL_STATE(2116)] = 122810,
  [SMALL_STATE(2117)] = 122852,
  [SMALL_STATE(2118)] = 122894,
  [SMALL_STATE(2119)] = 122936,
  [SMALL_STATE(2120)] = 122978,
  [SMALL_STATE(2121)] = 123020,
  [SMALL_STATE(2122)] = 123062,
  [SMALL_STATE(2123)] = 123104,
  [SMALL_STATE(2124)] = 123146,
  [SMALL_STATE(2125)] = 123188,
  [SMALL_STATE(2126)] = 123230,
  [SMALL_STATE(2127)] = 123272,
  [SMALL_STATE(2128)] = 123314,
  [SMALL_STATE(2129)] = 123356,
  [SMALL_STATE(2130)] = 123398,
  [SMALL_STATE(2131)] = 123440,
  [SMALL_STATE(2132)] = 123482,
  [SMALL_STATE(2133)] = 123524,
  [SMALL_STATE(2134)] = 123566,
  [SMALL_STATE(2135)] = 123608,
  [SMALL_STATE(2136)] = 123633,
  [SMALL_STATE(2137)] = 123652,
  [SMALL_STATE(2138)] = 123671,
  [SMALL_STATE(2139)] = 123690,
  [SMALL_STATE(2140)] = 123709,
  [SMALL_STATE(2141)] = 123728,
  [SMALL_STATE(2142)] = 123747,
  [SMALL_STATE(2143)] = 123766,
  [SMALL_STATE(2144)] = 123785,
  [SMALL_STATE(2145)] = 123804,
  [SMALL_STATE(2146)] = 123823,
  [SMALL_STATE(2147)] = 123842,
  [SMALL_STATE(2148)] = 123861,
  [SMALL_STATE(2149)] = 123880,
  [SMALL_STATE(2150)] = 123899,
  [SMALL_STATE(2151)] = 123918,
  [SMALL_STATE(2152)] = 123937,
  [SMALL_STATE(2153)] = 123956,
  [SMALL_STATE(2154)] = 123975,
  [SMALL_STATE(2155)] = 123994,
  [SMALL_STATE(2156)] = 124013,
  [SMALL_STATE(2157)] = 124032,
  [SMALL_STATE(2158)] = 124051,
  [SMALL_STATE(2159)] = 124070,
  [SMALL_STATE(2160)] = 124089,
  [SMALL_STATE(2161)] = 124108,
  [SMALL_STATE(2162)] = 124122,
  [SMALL_STATE(2163)] = 124136,
  [SMALL_STATE(2164)] = 124150,
  [SMALL_STATE(2165)] = 124166,
  [SMALL_STATE(2166)] = 124180,
  [SMALL_STATE(2167)] = 124194,
  [SMALL_STATE(2168)] = 124208,
  [SMALL_STATE(2169)] = 124222,
  [SMALL_STATE(2170)] = 124236,
  [SMALL_STATE(2171)] = 124252,
  [SMALL_STATE(2172)] = 124266,
  [SMALL_STATE(2173)] = 124280,
  [SMALL_STATE(2174)] = 124296,
  [SMALL_STATE(2175)] = 124310,
  [SMALL_STATE(2176)] = 124324,
  [SMALL_STATE(2177)] = 124338,
  [SMALL_STATE(2178)] = 124352,
  [SMALL_STATE(2179)] = 124366,
  [SMALL_STATE(2180)] = 124380,
  [SMALL_STATE(2181)] = 124394,
  [SMALL_STATE(2182)] = 124408,
  [SMALL_STATE(2183)] = 124422,
  [SMALL_STATE(2184)] = 124436,
  [SMALL_STATE(2185)] = 124452,
  [SMALL_STATE(2186)] = 124466,
  [SMALL_STATE(2187)] = 124480,
  [SMALL_STATE(2188)] = 124494,
  [SMALL_STATE(2189)] = 124508,
  [SMALL_STATE(2190)] = 124522,
  [SMALL_STATE(2191)] = 124536,
  [SMALL_STATE(2192)] = 124552,
  [SMALL_STATE(2193)] = 124566,
  [SMALL_STATE(2194)] = 124580,
  [SMALL_STATE(2195)] = 124594,
  [SMALL_STATE(2196)] = 124608,
  [SMALL_STATE(2197)] = 124622,
  [SMALL_STATE(2198)] = 124636,
  [SMALL_STATE(2199)] = 124650,
  [SMALL_STATE(2200)] = 124664,
  [SMALL_STATE(2201)] = 124680,
  [SMALL_STATE(2202)] = 124694,
  [SMALL_STATE(2203)] = 124710,
  [SMALL_STATE(2204)] = 124724,
  [SMALL_STATE(2205)] = 124738,
  [SMALL_STATE(2206)] = 124754,
  [SMALL_STATE(2207)] = 124770,
  [SMALL_STATE(2208)] = 124784,
  [SMALL_STATE(2209)] = 124800,
  [SMALL_STATE(2210)] = 124814,
  [SMALL_STATE(2211)] = 124830,
  [SMALL_STATE(2212)] = 124844,
  [SMALL_STATE(2213)] = 124860,
  [SMALL_STATE(2214)] = 124874,
  [SMALL_STATE(2215)] = 124890,
  [SMALL_STATE(2216)] = 124904,
  [SMALL_STATE(2217)] = 124920,
  [SMALL_STATE(2218)] = 124936,
  [SMALL_STATE(2219)] = 124952,
  [SMALL_STATE(2220)] = 124966,
  [SMALL_STATE(2221)] = 124982,
  [SMALL_STATE(2222)] = 124996,
  [SMALL_STATE(2223)] = 125012,
  [SMALL_STATE(2224)] = 125028,
  [SMALL_STATE(2225)] = 125044,
  [SMALL_STATE(2226)] = 125060,
  [SMALL_STATE(2227)] = 125074,
  [SMALL_STATE(2228)] = 125090,
  [SMALL_STATE(2229)] = 125104,
  [SMALL_STATE(2230)] = 125120,
  [SMALL_STATE(2231)] = 125134,
  [SMALL_STATE(2232)] = 125150,
  [SMALL_STATE(2233)] = 125166,
  [SMALL_STATE(2234)] = 125180,
  [SMALL_STATE(2235)] = 125196,
  [SMALL_STATE(2236)] = 125210,
  [SMALL_STATE(2237)] = 125226,
  [SMALL_STATE(2238)] = 125242,
  [SMALL_STATE(2239)] = 125258,
  [SMALL_STATE(2240)] = 125274,
  [SMALL_STATE(2241)] = 125290,
  [SMALL_STATE(2242)] = 125304,
  [SMALL_STATE(2243)] = 125320,
  [SMALL_STATE(2244)] = 125336,
  [SMALL_STATE(2245)] = 125352,
  [SMALL_STATE(2246)] = 125368,
  [SMALL_STATE(2247)] = 125384,
  [SMALL_STATE(2248)] = 125400,
  [SMALL_STATE(2249)] = 125416,
  [SMALL_STATE(2250)] = 125432,
  [SMALL_STATE(2251)] = 125448,
  [SMALL_STATE(2252)] = 125464,
  [SMALL_STATE(2253)] = 125480,
  [SMALL_STATE(2254)] = 125496,
  [SMALL_STATE(2255)] = 125512,
  [SMALL_STATE(2256)] = 125528,
  [SMALL_STATE(2257)] = 125544,
  [SMALL_STATE(2258)] = 125560,
  [SMALL_STATE(2259)] = 125576,
  [SMALL_STATE(2260)] = 125592,
  [SMALL_STATE(2261)] = 125608,
  [SMALL_STATE(2262)] = 125624,
  [SMALL_STATE(2263)] = 125640,
  [SMALL_STATE(2264)] = 125656,
  [SMALL_STATE(2265)] = 125672,
  [SMALL_STATE(2266)] = 125688,
  [SMALL_STATE(2267)] = 125704,
  [SMALL_STATE(2268)] = 125720,
  [SMALL_STATE(2269)] = 125736,
  [SMALL_STATE(2270)] = 125752,
  [SMALL_STATE(2271)] = 125768,
  [SMALL_STATE(2272)] = 125784,
  [SMALL_STATE(2273)] = 125800,
  [SMALL_STATE(2274)] = 125816,
  [SMALL_STATE(2275)] = 125832,
  [SMALL_STATE(2276)] = 125848,
  [SMALL_STATE(2277)] = 125864,
  [SMALL_STATE(2278)] = 125880,
  [SMALL_STATE(2279)] = 125896,
  [SMALL_STATE(2280)] = 125912,
  [SMALL_STATE(2281)] = 125928,
  [SMALL_STATE(2282)] = 125944,
  [SMALL_STATE(2283)] = 125960,
  [SMALL_STATE(2284)] = 125976,
  [SMALL_STATE(2285)] = 125992,
  [SMALL_STATE(2286)] = 126003,
  [SMALL_STATE(2287)] = 126014,
  [SMALL_STATE(2288)] = 126027,
  [SMALL_STATE(2289)] = 126040,
  [SMALL_STATE(2290)] = 126051,
  [SMALL_STATE(2291)] = 126061,
  [SMALL_STATE(2292)] = 126071,
  [SMALL_STATE(2293)] = 126081,
  [SMALL_STATE(2294)] = 126091,
  [SMALL_STATE(2295)] = 126099,
  [SMALL_STATE(2296)] = 126109,
  [SMALL_STATE(2297)] = 126117,
  [SMALL_STATE(2298)] = 126125,
  [SMALL_STATE(2299)] = 126135,
  [SMALL_STATE(2300)] = 126145,
  [SMALL_STATE(2301)] = 126155,
  [SMALL_STATE(2302)] = 126165,
  [SMALL_STATE(2303)] = 126175,
  [SMALL_STATE(2304)] = 126185,
  [SMALL_STATE(2305)] = 126193,
  [SMALL_STATE(2306)] = 126203,
  [SMALL_STATE(2307)] = 126210,
  [SMALL_STATE(2308)] = 126217,
  [SMALL_STATE(2309)] = 126224,
  [SMALL_STATE(2310)] = 126231,
  [SMALL_STATE(2311)] = 126238,
  [SMALL_STATE(2312)] = 126245,
  [SMALL_STATE(2313)] = 126252,
  [SMALL_STATE(2314)] = 126259,
  [SMALL_STATE(2315)] = 126266,
  [SMALL_STATE(2316)] = 126273,
  [SMALL_STATE(2317)] = 126280,
  [SMALL_STATE(2318)] = 126287,
  [SMALL_STATE(2319)] = 126294,
  [SMALL_STATE(2320)] = 126301,
  [SMALL_STATE(2321)] = 126308,
  [SMALL_STATE(2322)] = 126315,
  [SMALL_STATE(2323)] = 126322,
  [SMALL_STATE(2324)] = 126329,
  [SMALL_STATE(2325)] = 126336,
  [SMALL_STATE(2326)] = 126343,
  [SMALL_STATE(2327)] = 126350,
  [SMALL_STATE(2328)] = 126357,
  [SMALL_STATE(2329)] = 126364,
  [SMALL_STATE(2330)] = 126371,
  [SMALL_STATE(2331)] = 126378,
  [SMALL_STATE(2332)] = 126385,
  [SMALL_STATE(2333)] = 126392,
  [SMALL_STATE(2334)] = 126399,
  [SMALL_STATE(2335)] = 126406,
  [SMALL_STATE(2336)] = 126413,
  [SMALL_STATE(2337)] = 126420,
  [SMALL_STATE(2338)] = 126427,
  [SMALL_STATE(2339)] = 126434,
  [SMALL_STATE(2340)] = 126441,
  [SMALL_STATE(2341)] = 126448,
  [SMALL_STATE(2342)] = 126455,
  [SMALL_STATE(2343)] = 126462,
  [SMALL_STATE(2344)] = 126469,
  [SMALL_STATE(2345)] = 126476,
  [SMALL_STATE(2346)] = 126483,
  [SMALL_STATE(2347)] = 126490,
  [SMALL_STATE(2348)] = 126497,
  [SMALL_STATE(2349)] = 126504,
  [SMALL_STATE(2350)] = 126511,
  [SMALL_STATE(2351)] = 126518,
  [SMALL_STATE(2352)] = 126525,
  [SMALL_STATE(2353)] = 126532,
  [SMALL_STATE(2354)] = 126539,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [51] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 34),
  [53] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 34),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 42),
  [103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 42),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 37),
  [199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 37),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 38),
  [205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 38),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 52),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 52),
  [371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 15),
  [373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 15),
  [375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 23),
  [377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 23),
  [379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 25),
  [381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 25),
  [383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 4, 0, 26),
  [385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 4, 0, 26),
  [387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 33),
  [389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 33),
  [391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 35),
  [393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 35),
  [395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 39),
  [397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 39),
  [399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 40),
  [401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 40),
  [403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 41),
  [405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 41),
  [407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 43),
  [409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 43),
  [411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 7, 0, 44),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 7, 0, 44),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 45),
  [417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 45),
  [419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 46),
  [421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 46),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 47),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 47),
  [427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 48),
  [429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 48),
  [431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 49),
  [433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 49),
  [435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 50),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 50),
  [439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 51),
  [441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 51),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 53),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 53),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 10, 0, 54),
  [449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 10, 0, 54),
  [451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_statement, 2, 0, 2),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_statement, 2, 0, 2),
  [455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 3),
  [457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 3),
  [459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 8),
  [461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 8),
  [463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_statement, 3, 0, 12),
  [465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_statement, 3, 0, 12),
  [467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 3, 0, 13),
  [469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 3, 0, 13),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 2, 0, 4),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 2, 0, 4),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 1, 0, 6),
  [777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 1, 0, 6),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 3, 0, 4),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 3, 0, 4),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_value, 1, 0, 16),
  [837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_value, 1, 0, 16),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_operator, 2, 0, 4),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_operator, 2, 0, 4),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(805),
  [1082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2148),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2148),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2238),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2261),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2200),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1582),
  [1100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1584),
  [1103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1586),
  [1106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1588),
  [1109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1590),
  [1112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(792),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(792),
  [1118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2193),
  [1121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2195),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(467),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(978),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(979),
  [1133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(467),
  [1136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2059),
  [1139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2069),
  [1142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(790),
  [1145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(968),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28),
  [1150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(884),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(771),
  [1170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2136),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2136),
  [1176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2248),
  [1179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2270),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2216),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1490),
  [1188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1494),
  [1191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1497),
  [1194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1498),
  [1197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1499),
  [1200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(766),
  [1203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(766),
  [1206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2177),
  [1209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2183),
  [1212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(602),
  [1215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(947),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1024),
  [1221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(602),
  [1224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2081),
  [1227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2079),
  [1230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(760),
  [1233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1015),
  [1236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(906),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 1, 0, 6),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 1, 0, 6),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [1261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(764),
  [1264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2137),
  [1267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2137),
  [1270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2246),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2268),
  [1276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2212),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1252),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1253),
  [1285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1256),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1257),
  [1291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1258),
  [1294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(797),
  [1297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(797),
  [1300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2194),
  [1303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2197),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(534),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(991),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(967),
  [1315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(534),
  [1318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2076),
  [1321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(2070),
  [1324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(795),
  [1327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(1008),
  [1330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 28), SHIFT_REPEAT(904),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_or_identifier, 1, 0, 0),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_or_identifier, 1, 0, 0),
  [1359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quoted_string, 3, 0, 14),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quoted_string, 3, 0, 14),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_quoted_string, 3, 0, 14),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_quoted_string, 3, 0, 14),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 1, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 1, 0, 0),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 1),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 1),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quoted_string, 2, 0, 0),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quoted_string, 2, 0, 0),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_quoted_string, 2, 0, 0),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_quoted_string, 2, 0, 0),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [1413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(765),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [1430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [1433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(801),
  [1447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(804),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 3, 0, 15),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 3, 0, 15),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2_arguments, 3, 0, 27),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2_arguments, 3, 0, 27),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_operator, 3, 0, 15),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_operator, 3, 0, 15),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 21),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 21),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_braced_expression, 3, 0, 21),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_braced_expression, 3, 0, 21),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 2, 0, 7),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 2, 0, 7),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset_arguments, 2, 0, 7),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset_arguments, 2, 0, 7),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2_arguments, 2, 0, 7),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2_arguments, 2, 0, 7),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_na, 1, 0, 0),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_na, 1, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 4, 0, 26),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 4, 0, 26),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 3, 0, 27),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 3, 0, 27),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset_arguments, 3, 0, 27),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset_arguments, 3, 0, 27),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [1540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer, 2, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer, 2, 0, 0),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_complex, 2, 0, 0),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex, 2, 0, 0),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 5),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 5),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset, 2, 0, 5),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset, 2, 0, 5),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2, 2, 0, 5),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2, 2, 0, 5),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 2, 0, 7),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 2, 0, 7),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_braced_expression, 2, 0, 7),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_braced_expression, 2, 0, 7),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [1584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(869),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [1593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(892),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(929),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_named, 2, 0, 9),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(774),
  [1652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2152),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2152),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2242),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2264),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2205),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1459),
  [1670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1461),
  [1673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1467),
  [1676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1468),
  [1679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1471),
  [1682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(780),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(780),
  [1688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2166),
  [1691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2169),
  [1694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(444),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(966),
  [1700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(444),
  [1703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2060),
  [1706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(772),
  [1709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(994),
  [1712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(897),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 22),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [1722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2150),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2150),
  [1728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2239),
  [1731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2173),
  [1734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2224),
  [1737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1603),
  [1740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [1743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1760),
  [1746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1762),
  [1749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1773),
  [1752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(776),
  [1755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(776),
  [1758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2172),
  [1761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2175),
  [1764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [1767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1060),
  [1770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [1773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(989),
  [1776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(803),
  [1779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1039),
  [1782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(924),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [1791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [1831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(791),
  [1834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2148),
  [1837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2148),
  [1840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2238),
  [1843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2261),
  [1846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2200),
  [1849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1582),
  [1852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1584),
  [1855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1586),
  [1858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1588),
  [1861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(1590),
  [1864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(792),
  [1867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(792),
  [1870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2193),
  [1873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2195),
  [1876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(702),
  [1879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(978),
  [1882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(702),
  [1885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(2093),
  [1888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(790),
  [1891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(968),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22),
  [1896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 22), SHIFT_REPEAT(884),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_with_default, 2, 0, 9),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [3583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [3613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [3643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [4315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [4325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [4345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [4499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [4505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [4623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [4695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [5097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [5107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [5123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [5129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [5189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [5195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [5201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [5229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [5327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [5355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [5379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [5389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [5445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [5455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [5461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [5465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [5471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [5475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [5481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [5493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [5499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [5505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [5511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [5517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [5521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [5537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [5543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [5555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [5561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [5589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [5599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [5609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [5615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [5619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [5625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [5629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [5649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [5655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [5661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [5665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [5669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [5675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [5685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [5697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [5701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [5707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [5711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [5715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [5719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [5723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [5727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [5731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [5735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [5739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [5741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [5747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [5751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [5755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [5759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [5763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [5767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [5771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [5775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [5783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [5793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [5801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [5807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [5811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [5815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [5819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [5827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [5831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [5835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [5839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [5843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [5847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [5849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [5851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [5855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [5859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [5863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [5867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [5871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [5873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [5875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [5877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [5879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [5887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [5891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [5895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [5903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [5923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [5927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [5931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [5935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [5939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [5943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [5951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [5955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [5967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [5979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [5983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [5987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [6013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [6023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [6027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [6029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [6035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [6039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [6047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [6075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1892),
  [6078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [6114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [6158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1960),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [6271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_with_default, 3, 0, 29),
  [6273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument, 1, 0, 19),
  [6275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 19),
  [6277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_named, 3, 0, 36),
  [6279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_named, 3, 0, 36),
  [6281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument, 1, 0, 20),
  [6283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 20),
  [6285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_unnamed, 1, 0, 20),
  [6287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_unnamed, 1, 0, 20),
  [6289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_call_arguments_repeat1, 1, 0, 17),
  [6291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 1, 0, 17),
  [6293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument, 1, 0, 18),
  [6295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument, 1, 0, 18),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [6301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [6308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 2, 0, 7),
  [6310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 7),
  [6312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 3, 0, 24),
  [6314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 24),
  [6316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 4, 0, 31),
  [6318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 31),
  [6320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [6360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__single_quoted_string_content, 2, 0, 0),
  [6362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quoted_string_content, 2, 0, 0), SHIFT_REPEAT(2289),
  [6365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [6373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [6383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [6385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [6391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [6393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [6401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [6403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [6405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [6407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [6409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [6415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [6417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [6421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [6423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [6425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [6429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [6431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [6433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [6435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [6437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [6439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [6441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [6443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [6449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [6453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [6455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [6463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [6473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [6483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [6493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [6499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [6525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__double_quoted_string_content, 2, 0, 0),
  [6527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__double_quoted_string_content, 2, 0, 0), SHIFT_REPEAT(2286),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [6540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [6558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [6690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_without_default, 1, 0, 9),
  [6692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__double_quoted_string_content, 1, 0, 0),
  [6694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__double_quoted_string_content, 1, 0, 0),
  [6696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2287),
  [6699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 32), SHIFT_REPEAT(2157),
  [6702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 32),
  [6704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__single_quoted_string_content, 1, 0, 0),
  [6706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__single_quoted_string_content, 1, 0, 0),
  [6708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [6712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [6724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 10),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [6730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 30),
  [6732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 11),
  [6734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [6742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [6844] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__semicolon = 1,
  ts_external_token__raw_string_literal = 2,
  ts_external_token__external_else = 3,
  ts_external_token__external_open_parenthesis = 4,
  ts_external_token__external_close_parenthesis = 5,
  ts_external_token__external_open_brace = 6,
  ts_external_token__external_close_brace = 7,
  ts_external_token__external_open_bracket = 8,
  ts_external_token__external_close_bracket = 9,
  ts_external_token__external_open_bracket2 = 10,
  ts_external_token__external_close_bracket2 = 11,
  ts_external_token__error_sentinel = 12,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__semicolon] = sym__semicolon,
  [ts_external_token__raw_string_literal] = sym__raw_string_literal,
  [ts_external_token__external_else] = sym__external_else,
  [ts_external_token__external_open_parenthesis] = sym__external_open_parenthesis,
  [ts_external_token__external_close_parenthesis] = sym__external_close_parenthesis,
  [ts_external_token__external_open_brace] = sym__external_open_brace,
  [ts_external_token__external_close_brace] = sym__external_close_brace,
  [ts_external_token__external_open_bracket] = sym__external_open_bracket,
  [ts_external_token__external_close_bracket] = sym__external_close_bracket,
  [ts_external_token__external_open_bracket2] = sym__external_open_bracket2,
  [ts_external_token__external_close_bracket2] = sym__external_close_bracket2,
  [ts_external_token__error_sentinel] = sym__error_sentinel,
};

static const bool ts_external_scanner_states[28][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
    [ts_external_token__error_sentinel] = true,
  },
  [2] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [3] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [7] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [8] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [10] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_bracket] = true,
  },
  [11] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [12] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [13] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [14] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [15] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [16] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
  },
  [17] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [18] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [19] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [20] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [21] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [22] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [23] = {
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [24] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [25] = {
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [26] = {
    [ts_external_token__external_close_parenthesis] = true,
  },
  [27] = {
    [ts_external_token__newline] = true,
    [ts_external_token__external_open_parenthesis] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_r_external_scanner_create(void);
void tree_sitter_r_external_scanner_destroy(void *);
bool tree_sitter_r_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_r_external_scanner_serialize(void *, char *);
void tree_sitter_r_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_r(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_r_external_scanner_create,
      tree_sitter_r_external_scanner_destroy,
      tree_sitter_r_external_scanner_scan,
      tree_sitter_r_external_scanner_serialize,
      tree_sitter_r_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
